%define upstream_name    XML-MinWriter
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl extension for writing XML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(XML::Writer)
BuildArch:  noarch

%description
XML::MinWriter is a module to write XML. It is largely compatible to
XML::Writer, but XML::MinWriter does not perform checks whether the XML is
well formed. There is also additional support for writing XML from a PYX
data source (For example, both modules XML::TiePYX and XML::Reader can
produce PYX which can then be fed into XML::MinWriter to generate XML).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
