%define upstream_name    XML-Namespace
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Simple support for XML Namespaces
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This module implements a simple object for representing XML Namespaces in
Perl. It provides little more than some syntactic sugar for your Perl
programs, saving you the bother of typing lots of long-winded URIs. It was
inspired by the Class::RDF::NS module distributed as part of Class::RDF.

Using XML::Namespace Objects
    First load the XML::Namespace module.

        use XML::Namespace;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


