%define upstream_name    XML-RSS-Parser
%define upstream_version 4.0
# Normally should be upstream_version .
%define upstream_dir_ver 4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    An object representing a
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(Class::XPath)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Elemental)
BuildArch: noarch

%description
XML::RSS::Parser is a lightweight liberal parser of RSS feeds. This parser
is "liberal" in that it does not demand compliance of a specific RSS
version and will attempt to gracefully handle tags it does not expect or
understand. The parser's only requirements is that the file is well-formed
XML and remotely resembles RSS. Roughly speaking, well formed XML with a
'channel' element as a direct sibling or the root tag and 'item' elements
etc.

There are a number of advantages to using this module then just using a
standard parser-tree combination. There are a number of different RSS
formats in use today. In very subtle ways these formats are not entirely
compatible from one to another. XML::RSS::Parser makes a couple assumptions
to "normalize" the parse tree into a more consistent form. For instance, it
forces 'channel' and 'item' into a parent-child relationship. For more
detail see the SPECIAL PROCESSING NOTES manpage.

This module is leaner then the XML::RSS manpage -- the majority of code was
for generating RSS files. It also provides a XPath-esque interface to the
feed's tree.

%prep
%setup -q -n %{upstream_name}-%{upstream_dir_ver}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


