%define upstream_name	 XML-RSS
%define upstream_version 1.65

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Creates and updates RSS files
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XML::Parser)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Creates and updates RSS files.
This module supports versions 0.9, 0.91 and 1.0 of RSS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod ogu-x README Changes

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/*/*
%{perl_vendorlib}/XML