%define upstream_name    XML-SAX-Expat
%define upstream_version 0.51

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

License:    Artistic or GPL+
Group:      Development/Perl
Summary:    SAX2 Driver for perl Expat Module
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/XML-SAX-Expat-%{upstream_version}.tar.gz
# (tv) fix install (RT#104665):
Patch0:     fix-install-RT104665.patch
# (tv) fix install (bis):
Patch1:     fix-install-tv.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::NamespaceSupport) >= 0.30.0
BuildRequires: perl(XML::Parser) >= 2.270.0
BuildRequires: perl(XML::SAX) >= 0.30.0
BuildRequires: perl(XML::SAX::Base) >= 1.0.0
BuildArch:  noarch
Requires(post): perl-XML-SAX

%description
An implementation of a SAX2 driver sitting on top of Expat (XML::Parser). 

%prep
%autosetup -n %{upstream_name}-%{upstream_version}
# some autoregistration stufif, moved to %post
perl -pi -e 'm/^sub MY/ and exit' Makefile.PL
chmod -x Changes
%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
chmod -x $RPM_BUILD_ROOT/%{perl_vendorlib}/XML/SAX/Expat.pm

%post 
# directly taken from Makefile
perl -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::Expat))->save_parsers()"

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/XML
%{_mandir}/man3/*
