%define upstream_name    XML-TreeBuilder
%define upstream_version 5.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Build a tree of XML::Element objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Cover)
BuildRequires: perl(HTML::Element) >= 4.100.0
BuildRequires: perl(HTML::Tagset) >= 3.20.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(XML::Catalog)
BuildRequires: perl(XML::Parser)
BuildArch:  noarch

%description
This is just a subclass of HTML::Element. It works basically the same as
HTML::Element, except that tagnames and attribute names aren't forced to
lowercase, as they are in HTML::Element.

the HTML::Element manpage describes everything you can do with this class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
