%define upstream_name    XML-Validator-Schema
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Validate XML with a subset of W3C XML Schema
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tree::DAG_Node)
BuildRequires: perl(XML::Filter::BufferText)
BuildRequires: perl(XML::SAX)
BuildArch: noarch


%description
This module allows you to validate XML documents against a W3C XML Schema.
This module does not implement the full W3C XML Schema recommendation
(https://www.w3.org/XML/Schema), but a useful subset. See the "SCHEMA
SUPPORT" section below.

*IMPORTANT NOTE*: To get line and column numbers in the error messages
generated by this module you must install XML::Filter::ExceptionLocator and
use XML::SAX::ExpatXS as your SAX parser. This module is much more useful
if you can tell where your errors are, so using these modules is highly
recommended!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
