%define upstream_name    XML-XML2JSON
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Convert XML into JSON (and back again) using XML::LibXML
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(ExtUtils::MakeMaker)
# Testsuite fails w/o: JSON::Parse:
BuildRequires: perl(JSON::Parse)
BuildRequires: perl(JSON::Syck)
BuildRequires: perl(JSON::DWIW)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::LibXML) >= 1.590.0
BuildArch: noarch

%description
I used Google for inspiration: https://code.google.com/apis/gdata/json.html

In short:

* * The response is represented as a JSON object; each nested element or
  attribute is represented as a name/value property of the object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
