%define upstream_name    XML-XPath
%define upstream_version 1.48

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    XML::XPath - a set of modules for parsing and evaluating XPath statements
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/XML-XPath
Source0:    https://cpan.metacpan.org/authors/id/M/MS/MSERGEANT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Path::Tiny) >= 0.76.0
BuildRequires: perl(Scalar::Util) >= 1.450.0
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Parser) >= 2.230.0
BuildArch:  noarch

# perl-generators does not work properly for
#   "use parent qw/-norequire XML::XPath::Node/;"
%global __requires_exclude %{__requires_exclude}|^perl\\(-norequire\\)

%description
This module aims to comply exactly to the XPath specification
at https://www.w3.org/TR/xpath and yet allow extensions to be
added in the form of functions. Modules such as XSLT and
XPointer may need to do this as they support functionality
beyond XPath.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/XML/*
