%define upstream_name    XML-XPathScript
%define upstream_version 2.00

%global __requires_exclude perl\\(Apache\\)|perl\\(Apache::AxKit::Cache\\)|perl\\(Apache::AxKit::CharsetConv\\)|perl\\(Apache::AxKit::Exception\\)|perl\\(Apache::AxKit::Language\\)|perl\\(Apache::AxKit::Provider\\)|perl\\(Apache::File\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A Perl framework for XML stylesheets
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Readonly)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::XPath)
BuildRequires: perl(XML::XPath::Node)
BuildRequires: perl(XML::XPath::NodeSet)
BuildRequires: perl(XML::XPath::XMLParser)
BuildRequires: perl(base)
BuildRequires: perl(bytes)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
%{upstream_name} is an XML templating language that has some concepts from ASP
and some from XSLT. This makes for a very flexible option for transforming
XML to HTML or text or just about any other format.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/*/*
%{perl_vendorlib}/XML
