%define upstream_name	 XML-XSLT
%define upstream_version 0.48

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11

Summary:	XML::XSLT - A perl module for processing XSLT
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/pod/XML::XSLT
Source0:	https://cpan.metacpan.org/authors/id/J/JS/JSTOWE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(XML::Parser)
BuildRequires:  perl(XML::DOM)
BuildArch: noarch


%description
This module implements the W3C's XSLT specification. The goal is
full implementation of this spec, but we have not yet achieved
that. However, it already works well. See XML::XSLT Commands for
the current status of each command.

XML::XSLT makes use of XML::DOM and LWP::Simple, while XML::DOM
uses XML::Parser.  Therefore XML::Parser, XML::DOM and LWP::Simple
have to be installed properly for XML::XSLT to run.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}
# (tv) fix doc permissions:
chmod 755 examples

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc ChangeLog MANIFEST README examples
#%doc %attr(644,root,-) ChangeLog MANIFEST README examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/XML
