%define	upstream_name XML-XUpdate-LibXML
%define upstream_version 0.6.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 18
License:	MPL
Group:		Development/Perl
Summary:	Simple implementation of XUpdate format
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Url:		https://metacpan.org/release/%{upstream_name}

BuildArch:	noarch
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.20
BuildRequires:	perl-devel
BuildRequires:	perl(XML::LibXML)
BuildRequires:	perl(XML::LibXML::XPathContext)

Requires(pre):	libxml2
Requires(pre):  perl(XML::LibXML)
Requires(pre):	perl(XML::SAX)

%description
%{upstream_name} module for perl
Simple implementation of XUpdate format

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%preun -p /usr/bin/perl
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p /usr/bin/perl
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%doc Changes
%{_bindir}/xupdate
%{_mandir}/*/*
%{perl_vendorlib}/XML/*
