%define upstream_name    YAML-Accessor
%define upstream_version 0.45

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Sugary accessors for YAML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(strictures)
BuildArch:  noarch

%description
'YAML::Accessor' aims to create a "gettr/settr" interface for YAML
objects/files and allow the user to both manipulate their structure and to
read and write from the (specified) file(s).

It doesn't use the simple 'YAML::XS' call 'LoadFile' and this may seem
unintuitive for users of YAML::XS. The point is not to reinvent YAML::XS,
but rather to create intuitive, easily-constructed objects with
proper accessor/mutator methods.

There are lots of things one could do with this; the obvious use case is a
config file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*
