%define upstream_name    YAML-PP
%define upstream_version v0.39.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    YAML Framework
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(B::Deparse)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Scalar::Util) >= 1.70.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Tie::Array)
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is Yet Another YAML Framework. For why this project was started, see
the "WHY" manpage.

The parser aims to parse 'YAML 1.2'. See the http://yaml.org/ manpage.

You can check out all current parse and load results from the
yaml-test-suite here: the
https://perlpunk.github.io/YAML-PP-p5/test-suite.html manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/YAML/
%{_bindir}/yamlpp-events
%{_bindir}/yamlpp-highlight
%{_bindir}/yamlpp-load
%{_bindir}/yamlpp-load-dump
%{_bindir}/yamlpp-parse-emit