%define upstream_name	 Youri-Config
%define upstream_version 0.2.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Summary:    Youri configuration handler
License:    GPL+ or Artistic
Group:      Development/Other
Url:        http://youri.zarb.org
Source0:    http://youri.zarb.org/download/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Kwalitee)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::AppConfig)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch
Requires:   perl-version
%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This package provides configuration handling for other youri programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files 
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*
