%define upstream_name	 Youri-Package-RPM-Generator
%define upstream_version 0.1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Template-based rpm generator
License:	GPL+ or Artistic
Group:		Development/Other
Url:		http://youri.zarb.org
Source0:	http://youri.zarb.org/download/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		fix-testsuite.diff
BuildConflicts: perl(Test::Kwalitee)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Harness)
BuildRequires:  perl(Text::Template)
BuildRequires:  perl(URPM)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(version)
BuildArch:	    noarch
Requires:       perl-version

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This module generates rpm packages from a spec file template, for testing
purposes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files 
%doc Changes README META.yml
%{perl_vendorlib}/Youri
%{_mandir}/man3/*
