%define upstream_name	 Youri-Package-RPM-Updater
%define upstream_version 0.6.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Update RPM packages
License:    GPL+ or Artistic
Group:      Development/Other
Url:        http://youri.zarb.org
Source0:    https://github.com/pterjan/%{upstream_name}/releases/download/release-%{upstream_version}/%{upstream_name}-%{upstream_version}.tar.gz

# (tv) temporary disabled due to missing perl-SVN with new perl:
#BuildRequires:	perl(SVN::Client)

BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Readonly)
BuildRequires: perl(SVN::Client)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(YAML::AppConfig)
BuildRequires: perl(Youri::Package) >= 0.2.0
BuildRequires: perl(version)
BuildRequires: perl(version)
Requires:   perl-version
BuildArch:  noarch

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This module updates rpm packages. When given an explicit new version, it
updates the spec file, and downloads new sources automatically. When not given
a new version, it just updates the spec file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# (tv) temporary disabled due to missing perl-SVN with new perl:
#%__make test

%install
%make_install

%files 
%doc Changes META.yml README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*
