%global __requires_exclude perl\\(RPM\)|perl\\(RPM::Constant\\)|perl\\(RPM::Header\\)|perl\\(RPM::Sign\\)

%define upstream_name	Youri-Package
%define upstream_version 0.2.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:	Abstract package class
License:	GPL or Artistic
Group:		Development/Other
Url:		https://metacpan.org/pod/Youri::Package
Source:		https://cpan.metacpan.org/authors/id/G/GR/GROUSSE/Youri-Package-%{upstream_version}.tar.gz
Requires:       perl-version
BuildRequires:  perl(Expect)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(URPM)
BuildRequires:  perl(RPM4)
BuildRequires:  perl(version)
BuildRequires:  perl(Youri::Package::RPM::Generator)
BuildRequires:  gnupg
BuildArch:	noarch

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This class provides an uniform view over various kind of packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files 
%doc Changes README META.yml
%{perl_vendorlib}/Youri
%{_mandir}/man3/*
