%define upstream_name Youri-Repository
%define upstream_version 0.1.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Packages repository abstraction layer
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/pod/Youri::Repository
Source0:    https://cpan.metacpan.org/authors/id/G/GR/GROUSSE/Youri-Repository-%{upstream_version}.tar.gz
BuildRequires: perl(Youri::Package)
BuildRequires: perl(version)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(List::UtilsBy)
Requires:   perl-version
BuildArch:  noarch

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This class provides an uniform view over various kind of packages repository.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files 
%doc ChangeLog META.yml README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*
