%define upstream_name    Zilla-Dist
%define upstream_version 0.0.163

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dist::Zilla Mixed Up
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Zilla/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Uploader)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::ChangesFromYaml)
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::TestBaseIncluder)
BuildRequires: perl(Dist::Zilla::Plugin::TestMLIncluder)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Share)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(IO::All)
BuildRequires: perl(Swim)
BuildRequires: perl(Swim::Plugin::badge)
BuildRequires: perl(Template::Toolkit::Simple)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(version)
BuildArch: noarch

%description
This module is a formalization of a Perl package directory layout and
release process that I have been evolving for some time. I use the same
layout for Bash, Ruby, Python and Node.js package publishing.

Zilla::Dist provides a Makefile and set of scripts that take a modern code
layout and transform it into something that looks like a standard old Perl
distribution. Under the hood 'zild' generates everything that Dist::Zilla
wants and lets 'dzil' do the heavy lifting, but you never need to interact
with 'Dist::Zilla' stuff directly.

Directory Layout
    A fully stacked top level CPAN package repository might look like this:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml LICENSE README Changes CONTRIBUTING META.json
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/zild
/usr/bin/zild-check-release
/usr/bin/zild-convert-dist
/usr/bin/zild-git-commit
/usr/bin/zild-make-cpan
/usr/bin/zild-massive-attack
/usr/bin/zild-render-template
/usr/bin/zild-setup-release
/usr/bin/zild-version-update

