%define upstream_name    accessors
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Create accessor methods in caller's package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/accessors
Source0:    https://cpan.metacpan.org/authors/id/S/SP/SPURKIS/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch
BuildRequires: perl(Module::Build) >= 0.200.0
BuildRequires: perl(Test::More) >= 0.10.0
BuildRequires: perl >= 1:5.6.0
Provides:   perl(accessors)

%description
The accessors pragma lets you create simple accessors at compile-time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# A few of the .pm modules have bogus execute permission
find $RPM_BUILD_ROOT%{perl_vendorlib} -name *.pm | xargs chmod a-x

%check
./Build test

%files
%doc Changes INSTALL META.yml MYMETA.yml README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*
