%define upstream_name autobox-Core
%define upstream_version 1.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    autobox::Core provides core functions to autoboxed scalars, arrays and hashes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SW/SWALTERS/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(autobox::Core)

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Want) >= 0.260.0
BuildRequires: perl(autobox) >= 2.710.0
BuildArch:  noarch

%description
The autobox module promotes Perl's primitive types (literals (strings
and numbers), scalars, arrays and hashes) into first-class objects.
However, autobox does not provide any methods for these new classes.

autobox::CORE provides a set of methods for these new classes. It
includes almost everything in perlfunc, some things from Scalar::Util
and List::Util, and some Perl 5 versions of methods taken from Perl 6.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*