%define upstream_name	 bignum
%define upstream_version 0.67

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Transparent BigNumber support for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.220.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl(Math::BigInt) >= 1.999.830
BuildRequires: perl(Math::BigRat) >= 0.262.300
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl-Math-BigInt >= 1.999.812
BuildArch:  noarch
Obsoletes:  perl-bignum < 0.370.0-4

Provides:   perl(bigrat)

%description
All operators (including basic math operations) are overloaded. Integer and
floating-point constants are created as proper BigInts or BigFloats,
respectively.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# Correct shebangs and permission
for F in lib/Math/BigInt/Trace.pm lib/Math/BigFloat/Trace.pm; do
    perl -MConfig -pi -e 's{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod -x "$F"
done

# Help generators to recognize Perl scripts
for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
export PERL5LIB=%{perl_vendorlib}
%__perl Makefile.PL installdirs=vendor
%make_build

%check
export PERL5LIB=%{perl_vendorlib}/
make test

%install
%make_install

%files
%doc BUGS CHANGES LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Math
%{_mandir}/*/*