%define upstream_name    first
%define upstream_version v0.0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Use the first loadable module in a list
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(version)
BuildArch: noarch

%description
Two main circumstances I've encountered where this is useful is:

* * when you have a list of modules that have the same interface but are
  more desirable for one reason or another like speed, portability, or
  availability.

      use first 'CGI::Simple', 'CGI::Minimal', 'CGI';

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


