%define upstream_name	 forks
%define upstream_version 0.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Drop-in replacement for Perl threads using fork()
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Acme::Damn)
BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(Devel::Symdump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Socket) >= 1.180.0
BuildRequires: perl(List::MoreUtils) >= 0.150.0
BuildRequires: perl(Scalar::Util) >= 1.110.0
BuildRequires: perl(Storable)
BuildRequires: perl(Sys::SigAction) >= 0.110.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(if)
BuildRequires: perl-devel
# This provides is not getting picked up
Provides:       perl(forks::Devel::Symdump) = %{version}

%description
The "forks" pragma allows a developer to use threads without having to have
a threaded perl, or to even run 5.8.0 or higher.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
find -type f | xargs chmod 644
yes no | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#%{__make} test

%install
%make_install

%files
%doc CREDITS META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/auto/%{upstream_name}/*
%{perl_vendorarch}/%{upstream_name}/*
%{perl_vendorarch}/threads/shared/*
%{_mandir}/*/*
