%define upstream_name    indirect
%define upstream_version 0.39

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Lexically warn about using the indirect method call syntax
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/V/VP/VPIT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(POSIX)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(lib)
BuildRequires: perl-devel
Provides:   perl(indirect)

%description
When enabled, this pragma warns about indirect method calls that are
present in your code.

The indirect syntax is now considered harmful, since its parsing has many
quirks and its use is error prone : when the subroutine 'foo' has not been
declared in the current package, 'foo $x' actually compiles to '$x->foo',
and 'foo { key => 1 }' to ''key'->foo(1)'. In the
https://shadowcat.co.uk/blog/matt-s-trout/indirect-but-still-fatal
manpage, Matt S. Trout gives an example of an undesirable indirect method
call on a block that can cause a particularly bewildering error.

This pragma currently does not warn for core functions ('print', 'say',
'exec' or 'system'). This may change in the future, or may be added as
optional features that would be enabled by passing options to 'unimport'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README samples
%{_mandir}/man3/*
%{perl_vendorarch}/*
