%define upstream_name    lib-abs
%define upstream_version 0.95

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Get pathname of current working directory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/lib/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd) >= 3.120.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch:  noarch

Provides:   perl(lib::abs)

%description
The main reason of this library is to transform relative paths to absolute
at the 'BEGIN' stage, and push transformed to '@INC'. Relative path basis
is not the current working directory, but the location of file, where the
statement is (caller file). When using common 'lib', relative paths stays
relative to current working directory,

	# For ex:
	# script: /opt/scripts/my.pl
	use lib::abs '../lib';

	# We run `/opt/scripts/my.pl` having cwd /home/mons
	# The @INC will contain '/opt/lib';

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README ex
%{_mandir}/man3/*
%perl_vendorlib/*
