%define upstream_name    lib-relative
%define upstream_version 1.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Add paths relative to the current file to @INC
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/lib/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(lib)
BuildArch:  noarch

%description
Adding a path to perlvar/"@INC" to load modules from a local directory may
seem simple, but has a few common pitfalls to be aware of. Directly adding
a relative path to '@INC' means that any later code that changes the
current working directory will change where modules are loaded from. This
applies to the '.' path that used to be in '@INC' by default until perl
5.26.0, or a relative path added in code like 'use lib 'path/to/lib'', and
may be a vulnerability if such a location is not supposed to be writable.
Additionally, the commonly used FindBin module relies on
interpreter state and the path to the original script invoked by the perl
interpreter, sometimes requiring workarounds in uncommon cases like
generated or embedded code. This module proposes a more straightforward
method: take a path relative to the perldata/"Special Literals", make it
absolute, and add it to '@INC'.

If this module is already available to be loaded, it can be used as with
the lib manpage.pm, passing relative paths, which will be absolutized
relative to the current file then passed on to lib. Multiple
arguments will be separately absolutized, and absolute paths will be passed
on unchanged.

For cases where this module cannot be loaded beforehand, the last section
of the /"SYNOPSIS"can be copy-pasted into a file to perform
the same task.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*