%define	upstream_name	 libintl-perl
%define	upstream_version 1.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A localization library for Perl
License:    LGPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/G/GU/GUIDO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: gdbm-devel
BuildRequires: gettext-devel
BuildRequires: perl-devel
#gw yes, this is required by the tests
BuildRequires: locales-de
# Needed for tests/04find_domain_bug.t (fedora)
BuildRequires: locales-en
%description
libintl-perl is a library that supports message translation for
Perl, written in pure Perl (version 5.004 or better). A faster C
version is also built and installed if the system fulfills all
requirements. Its interface is very similar to the gettext family
of functions in C, and it uses the same file formats as GNU
gettext, making it possible to use all tools available for gettext
itself and to seamlessly integrate internationalized Perl code
into mixed-language projects. An alternative library with a
similar purpose is available as Locale::MakeText. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# 04find_domain_bug.t fails with Perl 5.28, if LANG is non-en_US
LANG=en_US %{__make} test

%install
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
%make_install
# fix attribs
find %{buildroot}%{perl_vendorlib} -name "*.pm" | xargs chmod 755

%files
%doc COPYING Changes FAQ META.json META.yml MYMETA.yml NEWS README REFERENCES THANKS TODO sample
%{perl_vendorlib}/Locale
%{perl_vendorarch}/auto/Locale
%{_mandir}/*/*