%define	upstream_name	 libwww-perl
%define upstream_version 6.78

%global	__requires_exclude Authen::NTLM|HTTP::GHTTP|Win32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    The World-Wide Web library for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/O/OA/OALDERS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode) >= 2.120.0
BuildRequires: perl(Encode::Locale)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Listing) >= 6.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::HeadParser) >= 3.710.0
BuildRequires: perl(HTTP::CookieJar::LWP)
BuildRequires: perl(HTTP::Cookies) >= 6.0.0
BuildRequires: perl(HTTP::Daemon) >= 6.120.0
BuildRequires: perl(HTTP::Date) >= 6.0.0
BuildRequires: perl(HTTP::Negotiate) >= 6.0.0
BuildRequires: perl(HTTP::Request) >= 6.180.0
BuildRequires: perl(HTTP::Request::Common) >= 6.180.0
BuildRequires: perl(HTTP::Response) >= 6.180.0
BuildRequires: perl(HTTP::Status) >= 6.180.0
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(LWP::MediaTypes) >= 6.0.0
BuildRequires: perl(MIME::Base64) >= 2.100.0
BuildRequires: perl(Module::Load)
BuildRequires: perl(Net::FTP) >= 2.580.0
BuildRequires: perl(Net::HTTP) >= 6.180.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI) >= 1.100.0
BuildRequires: perl(URI::Escape)
BuildRequires: perl(WWW::RobotRules) >= 6.0.0
BuildRequires: perl(parent) >= 0.217.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch
Requires:   perl(HTTP::Cookies) >= 6
Requires:   perl(LWP::Protocol::https)
Provides:   perl(LWP::Protocol::http::SocketMethods) = %{version}

%description
The libwww-perl collection is a set of Perl modules which provides a simple and
consistent application programming interface (API) to the World-Wide Web. The
main focus of the library is to provide classes and functions that allow you to
write WWW clients. The library also contain modules that are of more general
use and even classes that help you implement simple HTTP servers.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/yes | %__perl Makefile.PL --aliases INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%license LICENSE
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml examples
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/*/*