%define upstream_name    macro
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Macro.pm compiler backend
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(PPI)
BuildRequires: perl(Test::Warn)
BuildArch: noarch

%description
The 'macro' pragma provides macros, a sort of inline functions, which is
like C pre-processor's macro.

The macros are very fast (about 200% faster than subroutines), but they
have some limitations that C pre-processor's macros have, e.g. they cannot
call 'return()' expectedly, although they seem anonymous subroutines.

Try 'PERL_MACRO_DEBUG=2' if you want to know how this module works.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


