%define upstream_name    rlib
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Manipulate @INC at compile time with relative paths
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch
Provides:   perl(rlib)

%description
rlib works in the same way as lib, except that all paths in 'LIST' are
treated as relative paths.

If rlib is used from the 'main' package then the paths in 'LIST' are
assumed to be relative to where the current script '$0' is located. This is
done by using the FindBin package.

If rlib is used from within any package other tha 'main' then the paths in
'LIST' are assumed to be relative to the root of the library where the file
for that package was found.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*