%define upstream_name    threads
%define upstream_version 2.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version 2.40
Release:    %mkrel 1

Summary:    Perl interpreter-based threads
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/J/JD/JDHEDDEN/%{upstream_name}-%{upstream_version}.tar.gz
# Unbundled from perl 5.40.0-RC1
Patch0:         threads-2.21-Upgrade-to-2.40.patch

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Devel::PPPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::testlib)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
Perl 5.6 introduced something called interpreter threads. Interpreter
threads are different from _5005threads_ (the thread model of Perl 5.005)
by creating a new Perl interpreter per thread, and not sharing any data or
state between threads by default.

Prior to Perl 5.8, this has only been available to people embedding Perl,
and for emulating fork() on Windows.

The _threads_ API is loosely based on the old Thread.pm API. It is very
important to note that variables are not shared between threads, all
variables are by default thread local. To use shared variables one must
also use the threads::shared manpage:

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}
# Generate ppport.h
perl -MDevel::PPPort \
    -e "Devel::PPPort::WriteFile() or die 'Could not generate ppport.h: $!'"


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*
