%define upstream_name    true
%define upstream_version v1.0.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Shim to allow modules to depend on true.pm
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::OP::Annotation) >= 0.440.0
BuildRequires: perl(B::Hooks::OP::Check) >= 0.220.0
BuildRequires: perl(Devel::StackTrace) >= 2.30.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Function::Parameters) >= 2.1.3
BuildRequires: perl(Moo) >= 2.3.4
BuildRequires: perl-devel
%description
Perl's 'require' builtin (and its 'use' wrapper) requires the files it
loads to return a true value. This is usually accomplished by placing a
single

    1;

statement at the end of included scripts or modules. It's not onerous to
add but it's a speed bump on the Perl novice's road to enlightenment. In
addition, it appears to be a _non-sequitur_ to the uninitiated, leading
some to attempt to mitigate its appearance with a comment:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
