%define upstream_name	 version
%define upstream_version 0.9918

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Perl extension for Version Objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}/
Source0:    https://cpan.metacpan.org/authors/id/J/JP/JPEACOCK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp) >= 0.130.0
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl(parent) >= 0.221.0
BuildRequires: perl-devel
Provides:   perl(version) = %{epoch}:%{version}

%description
Overloaded version objects for all versions of Perl. This module implements
all of the features of version objects which will be part of Perl 5.10.0
except automatic version object creation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorarch}/version*
%{perl_vendorarch}/auto/version
%{_mandir}/*/*