%define debugging 0
%define _disable_ld_no_undefined 1

#
# From FC:
#

%global perl_version    5.40.1
%global perl_epoch      2
%global perl_arch_stem -thread-multi
%global perl_archname %{_arch}-%{_os}%{perl_arch_stem}

%global multilib_64_archs aarch64 %{power64} s390x sparc64 x86_64 
%global parallel_tests 0
%global tapsetdir   %{_datadir}/systemtap/tapset

# This overrides filters from build root (/usr/lib/rpm/macros.d/macros.perl)
# intentionally (unversioned perl(DB) is removed and versioned one is kept).
# Filter provides from *.pl files, bug #924938
%global __provides_exclude_from .*%{_docdir}
%if %{defined perl_archlib}
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}.*%{perl_archlib}/.*\\.pl$|.*%{perl_privlib}/.*\\.pl$
%endif
%global __requires_exclude_from %{_docdir}
%global __provides_exclude perl\\((VMS|Win32|BSD::|DB\\)$)
%global __requires_exclude perl\\((VMS|BSD::|Win32|Tk|Mac::|Your::Module::Here)|^perl >

# Optional features

# SystemTap support
%bcond_without perl_enables_systemtap
# We can skip %%check phase
%bcond_without test

#
# End of FC
#




Name:     perl
Version:  %{perl_version}
Release:  %mkrel 1
Epoch:    %{perl_epoch}

%define rel %{nil}

Summary:  The Perl programming language
License:  GPL+ or Artistic
Group:    Development/Perl
Url:      https://www.perl.org/

# ftp://ftp.funet.fi/pub/languages/perl/snap/perl@17574.tbz
#ftp://ftp.funet.fi/pub/languages/perl/CPAN/src/perl-%%{version}.tar.bz2
Source0:  https://www.cpan.org/src/perl-%{version}%{rel}.tar.gz
Source1:  perl-headers-wanted
Source2:  perl-5.8.0-RC2-special-h2ph-not-failing-on-machine_ansi_header.patch
# From FC:
Source3:        macros.perl
#Systemtap tapset and example that make use of systemtap-sdt-devel
# build requirement. Written by lberk; Not yet upstream.
Source4:        perl.stp
Source5:        perl-example.stp
# Use config.over to make build of perl reproducible
Source8:        config.over
Patch400:  perl-5.16.0-perldoc-use-nroff-compatibility-option.patch
Patch123:  perl-5.12.0-patchlevel.patch

Patch144:  perl-5.16.0-h2ph--handle-relative-include.patch

# mdvbz#34505, get rid of this patch as soon as possible :-/
Patch148:  perl-5.38.0-workaround-segfault-freeing-scalar-a-second-time.patch


#
# fixes taken from debian
#
# Fix a segmentation fault occurring in the mod_perl2 test suite (debian #475498, perl #33807)
Patch165:  local_symtab.diff
# use hanextra for zh_CN.GB18030 promoted in mga3
Patch168:  perl-5.16.1-use-han-extra.patch

# do not exclude requires from META.* from %%_docdir when using %%perl_default_filter:
Patch170:  do-not-exclude-requires-from-meta.diff

Patch1000:      perl-5.26.0-cpan-without-dot.diff
Patch1001:      perl-5.22.3-eumm-without-dot.diff

# From FC:

# Fedora/RHEL only (64bit only)
Patch2:         perl-5.8.0-libdir64.patch
# FIXME: May need the "Fedora" references removed before upstreaming
# patches ExtUtils-MakeMaker
Patch4:         perl-USE_MM_LD_RUN_PATH.patch

# Provide maybe_command independently, bug #1129443
Patch5:         perl-5.22.1-Provide-ExtUtils-MM-methods-as-standalone-ExtUtils-M.patch

# Define SONAME for libperl.so
Patch8:        perl-5.16.3-create_libperl_soname.patch

# Install libperl.so to -Dshrpdir value
Patch9:        perl-5.22.0-Install-libperl.so-to-shrpdir-on-Linux.patch

# Make *DBM_File desctructors thread-safe, bug #1107543, RT#61912
Patch10:        perl-5.34.0-Destroy-GDBM-NDBM-ODBM-SDBM-_File-objects-only-from-.patch

# Replace ExtUtils::MakeMaker dependency with ExtUtils::MM::Utils.
# This allows not to require perl-devel. Bug #1129443
Patch11:        perl-5.22.1-Replace-EU-MM-dependnecy-with-EU-MM-Utils-in-IPC-Cmd.patch

# Link XS modules to pthread library to fix linking with -z defs,
# <https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/3RHZEHLRUHJFF2XGHI5RB6YPDNLDR4HG/>
Patch12:        perl-5.27.8-hints-linux-Add-lphtread-to-lddlflags.patch

# Pass the correct CFLAGS to dtrace
Patch13:        perl-5.28.0-Pass-CFLAGS-to-dtrace.patch

# Link XS modules to libperl.so with EU::CBuilder on Linux, bug #960048
Patch200:       0001-Link-XS-modules-to-libperl.so-with-EU-CBuilder-on-Li.patch

# Link XS modules to libperl.so with EU::MM on Linux, bug #960048
Patch201:       perl-5.16.3-Link-XS-modules-to-libperl.so-with-EU-MM-on-Linux.patch

# If optimizing -O is used, add the definition to .ph files, bug #2152012
Patch202:       perl-5.36.0-Add-definition-of-OPTIMIZE-to-.ph-files.patch

# Update some of the bundled modules
# see http://fedoraproject.org/wiki/Perl/perl.spec for instructions

#
# Security patches
# P2000 -> ...
#

Requires: perl-base = %{epoch}:%{version}-%{release}

# --

# the following modules are dual-lifed modules, which are shipping
# scripts in /usr/bin. to prevent conflict, dual-lifed modules rename
# the scripts - but only after the listed version ;-)
# BuildRequires:  git-core
BuildRequires:  bzip2-devel
BuildRequires:  zlib-devel
%if %{with perl_enables_systemtap}
BuildRequires:  systemtap-sdt-devel
%endif
Conflicts: perl-Archive-Tar < 1.840.0-2
Conflicts: perl-Digest-SHA < 5.610.0-3
Conflicts: perl-JSON-PP < 2.271.50-3
Conflicts: perl-Module-Build < 1:0.380.0-3
Conflicts: perl-Module-CoreList <= 2.610.0
Conflicts: perl-Pod-Perldoc < 3.150.0-3
Conflicts: perl-IO-Compress < 2.49.0-2
# lib/perl5db.t will fail if Term::ReadLine::Gnu is available
#BuildConflicts: perl-Term-ReadLine-Gnu
# ReadKey.c: loadable library and perl binaries are mismatched (got first handshake key 0xf380080, needed 0xeb80080)
BuildConflicts: perl-Term-ReadKey <= 2.380.0-9.mga10

# the following modules are no more compatible with recent perls, and
# aren't updated on cpan since quite some time.
# - perl 5.14
Conflicts: perl-Alias        <= 2.320.0-2
Conflicts: perl-DBD-Firebird <= 0.52-1
# rt#66966
Conflicts: perl-MIME-Explode <= 0.380.0-2

# file conflict on /bin/prove
Conflicts: perl-devel <= 5.18.2-3.mga5

Provides: perl(feature)
Provides: perl(re)
# Loaded by charnames, unicore/Name.pm does not declare unicore::Name module
Provides:       perl(unicore::Name)

Provides:  perl-libnet
Provides:  perl-Storable = 2.490.0
Obsoletes: perl-Storable < 2.490.0
Provides:  perl-Time-HiRes = 1:1.972.600
Obsoletes: perl-Time-HiRes < 1:1.972.600
Provides:  perl-Locale-Codes
Provides:  perl-Test-Simple = 1.1.2
Obsoletes: perl-Test-Simple < 1.1.2
Provides:  perl-Test-Builder-Tester = 1.180.0
Obsoletes: perl-Test-Builder-Tester < 1.180.0

Provides:  perl(version) = 1:1.130.0
Provides:  perl-version = 1:1.130.0
Obsoletes: perl-version < 1:1.130.0
Provides:  perl-File-Fetch = 0.480.0
Obsoletes: perl-File-Fetch < 0.480.0
Provides:  perl-CPAN = 2.50.0
Obsoletes: perl-CPAN < 2.50.0
Provides:  perl-IO-Zlib = 1.100.0
Obsoletes: perl-IO-Zlib < 1.100.0
Provides:  perl-Pod-Simple = 3.280.0
Obsoletes: perl-Pod-Simple < 3.280.0
%rename    perl-Math-BigInt-FastCalc

# for NDBM
BuildRequires: db-devel
BuildRequires: gdbm-devel
%if "%{_lib}" == "lib64"
BuildRequires: devel(libgdbm_compat(64bit))
%else
BuildRequires: devel(libgdbm_compat)
%endif
BuildRequires: rpm-%{_real_vendor}-setup-build

BuildRequires: man

%package base
Version:  %{version}
Summary:  The Perl programming language (base)
Provides: perl(v5.6.0) perl(base) perl(bytes) perl(constant) perl(integer) perl(lib) perl(overload) perl(strict) perl(utf8) perl(vars) perl(warnings) perl(Carp::Heavy)
Group:    Development/Perl
Url:      https://www.perl.org/
# explicit file provides
Provides: /usr/bin/perl
Provides: /bin/perl

%package devel
Version:  %{version}
Summary:  The Perl programming language (devel)
%if %{with perl_enables_systemtap}
Requires:       systemtap-sdt-devel
%endif
Group:    Development/Perl
Url: https://www.perl.org/
# for each package linked against libperl.so, rpm will
# add an automatic dependency on devel(libperl) for
# the corresponding devel package, but rpm will not
# automatically provides it, as libperl.so is not in
# standard library path
%ifarch %ix86
Provides:   devel(libperl)
%endif
%ifarch x86_64 aarch64
Provides:   devel(libperl(64bit))
%endif
Requires: %{name} = %{epoch}:%{version}-%{release}

%package doc
Version:  %{version}
Summary:  The Perl programming language (documentation)
Group:    Development/Perl
BuildArch: noarch
Url:      https://www.perl.org/
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: groff-for-man
Requires: perl(Pod::Perldoc)

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications (and what it excels
at) are probably system administration utilities and web programming.
A large proportion of the CGI scripts on the web are written in Perl.
You need the perl package installed on your system so that your
system can handle Perl scripts.

You need perl-base to have a full perl.

%description base
This is the base package for %{name}.
It contains the perl interpreter as well as the minimal set of perl
modules for a minimal basesystem.

%description devel
This is the devel package for %{name}.

%description doc
This is the documentation package for %{name}.
It contains also the 'perldoc' program.

%prep
%setup -q -n %{name}-%{version}%{rel}
%ifarch %{multilib_64_archs}
%patch -P2 -p1
%endif
%patch -P4 -p1
%patch -P5 -p1
%patch -P8 -p1
%patch -P9 -p1
%patch -P10 -p1
%patch -P11 -p1
%patch -P12 -p1
%patch -P13 -p1
%patch -P200 -p1
%patch -P201 -p1
%patch -P202 -p1

%patch -P144 -p0
%patch -P148 -p0

%patch -P165 -p1
%patch -P168 -p1 -b .han

# FC's macros.perl (we need to patch it):
cp -a %{SOURCE3} .
# do not exclude requires from META.* from %%_docdir:
%patch -P170 -p1 -b .req_from_meta

%patch -P400 -p0
%patch -P1000 -p1
%patch -P1001 -p1

%if "%{rel}" == "%{nil}"
# Local patch tracking
perl -x patchlevel.h \
    'Mageia patches'
%endif

#copy the example script
install -m 0644 %{SOURCE5} .

find . -name \*.orig -exec rm -fv {} \;

# Configure Compress::Zlib to use system zlib
sed -i 's|BUILD_ZLIB      = True|BUILD_ZLIB      = False|
    s|INCLUDE         = ./zlib-src|INCLUDE         = %{_includedir}|
    s|LIB             = ./zlib-src|LIB             = %{_libdir}|' \
    cpan/Compress-Raw-Zlib/config.in

# Ensure that we never accidentally bundle zlib or bzip2
rm -rf cpan/Compress-Raw-Zlib/zlib-src
rm -rf cpan/Compress-Raw-Bzip2/bzip2-src
sed -i '/\(bzip2\|zlib\)-src/d' MANIFEST

%build
echo "RPM Build arch: %{_arch}"

# use "lib", not %%{_lib}, for privlib, sitelib, and vendorlib
# To build production version, we would need -DDEBUGGING=-g

# Perl INC path (perl -V) in search order:
# - /usr/local/share/perl5            -- for CPAN     (site lib)
# - /usr/local/lib[64]/perl5          -- for CPAN     (site arch)
# - /usr/share/perl5/vendor_perl      -- 3rd party    (vendor lib)
# - /usr/lib[64]/perl5/vendor_perl    -- 3rd party    (vendor arch)
# - /usr/share/perl5                  -- Fedora       (priv lib)
# - /usr/lib[64]/perl5                -- Fedora       (arch lib)

%global privlib     %{_prefix}/share/perl5
%global archlib     %{_libdir}/perl5

%global perl_vendorlib  %{privlib}/vendor_perl
%global perl_vendorarch %{archlib}/vendor_perl

%global perl_abi    %(echo '%{perl_version}' | sed 's/^\\([^.]*\\.[^.]*\\).*/\\1/')

# ldflags is not used when linking XS modules.
# Only ldflags is used when linking miniperl.
# Only ccflags and ldflags are used for Configure's compiler checks.
# Set optimize=none to prevent from injecting upstream's value.
/bin/sh Configure -des \
%if %debugging
  -Doptimize=-g -DDEBUGGING \
%else
  -Doptimize="none" \
  -Dccflags="$RPM_OPT_FLAGS" \
  -Dldflags="$RPM_LD_FLAGS" \
  -Dccdlflags="-Wl,--enable-new-dtags $RPM_LD_FLAGS" \
  -Dlddlflags="-shared $RPM_LD_FLAGS" \
  -Dshrpdir="%{_libdir}" \
  -DDEBUGGING=-g \
%endif
  -Dmyhostname=localhost \
  -Dperladmin=root@localhost \
  -Dcc='%{__cc}' \
  -Dcf_by=%{distribution} \
  -Dcf_email=root@localhost  \
  -Dprefix=%{_prefix} \
  -Dman3dir="%{_mandir}/man3pm" \
  -Dvendorprefix=%{_prefix} \
  -Dsiteprefix=%{_prefix}/local \
  -Dsitelib="%{_prefix}/local/share/perl5/%{perl_abi}" \
  -Dsitearch="%{_prefix}/local/%{_lib}/perl5/%{perl_abi}" \
  -Dprivlib="%{privlib}" \
  -Dvendorlib="%{perl_vendorlib}" \
  -Dsiteman1dir=%_prefix/local/share/man/man1 \
  -Dsiteman3dir=%_prefix/local/share/man/man3 \
  -Dvendorman3dir=%_mandir/man3 \
  -Darchlib="%{archlib}" \
  -Dvendorarch="%{perl_vendorarch}" \
  -Darchname=%{perl_archname} \
%ifarch %{multilib_64_archs}
        -Dlibpth="/usr/local/lib64 /lib64 %{_prefix}/lib64" \
%endif
  -Duseshrplib \
  -Duseithreads \
%if %{with perl_enables_systemtap}
        -Dusedtrace='/usr/bin/dtrace' \
%else
        -Uusedtrace \
%endif
  -Di_db \
  -Ui_ndbm \
  -Di_gdbm \
  -Dman3ext=3pm \
  -Duse64bitint

# -Duseshrplib creates libperl.so, -Ubincompat5005 help create DSO -> libperl.so

BUILD_BZIP2=0
BZIP2_LIB=%{_libdir}
export BUILD_BZIP2 BZIP2_LIB

# Prepare a symlink from proper DSO name to libperl.so now so that new perl
# can be executed from make.
%global soname libperl.so.%{perl_abi}
test -L %soname || ln -s libperl.so %soname
%make_build

%install
%make_install

%global build_archlib $RPM_BUILD_ROOT%{archlib}
%global build_privlib $RPM_BUILD_ROOT%{privlib}
%global build_bindir  $RPM_BUILD_ROOT%{_bindir}
%global new_perl LD_PRELOAD="%{build_archlib}/CORE/libperl.so" \\\
    LD_LIBRARY_PATH="%{build_archlib}/CORE" \\\
    PERL5LIB="%{build_archlib}:%{build_privlib}" \\\
    %{build_bindir}/perl

# Make proper DSO names, move libperl to standard path.
mv "%{build_archlib}/CORE/libperl.so" \
    "$RPM_BUILD_ROOT%{_libdir}/libperl.so.%{perl_version}"
ln -s "libperl.so.%{perl_version}" "$RPM_BUILD_ROOT%{_libdir}/%{soname}"
ln -s "libperl.so.%{perl_version}" "$RPM_BUILD_ROOT%{_libdir}/libperl.so"
# XXX: Keep symlink from original location because various code glues
# $archlib/CORE/$libperl to get the DSO.
ln -s "../../libperl.so.%{perl_version}" "%{build_archlib}/CORE/libperl.so"


# Copy config.over to override Configure's guesses.
cp %{SOURCE8} .

#
# perl RPM macros
#
mkdir -p ${RPM_BUILD_ROOT}%{_rpmmacrodir}
# (tv) not using SOURCE3 because we need to patch it:
install -p -m 644 macros.perl ${RPM_BUILD_ROOT}%{_rpmmacrodir}

chmod -R u+w $RPM_BUILD_ROOT/*

# Do not distribute File::Spec::VMS as it works on VMS only (bug #973713)
# We cannot remove it in %%prep because dist/Cwd/t/Spec.t test needs it.
rm %{build_archlib}/File/Spec/VMS.pm
rm $RPM_BUILD_ROOT%{_mandir}/man3*/File::Spec::VMS.3*

# Do not distribute ExtUtils-PL2Bat, it is used only for Windows
rm %{build_privlib}/ExtUtils/PL2Bat.pm
rm $RPM_BUILD_ROOT%{_mandir}/man3*/ExtUtils::PL2Bat.3*

%if %{with perl_enables_systemtap}
# Systemtap tapset install
mkdir -p %{buildroot}%{tapsetdir}
%ifarch %{multilib_64_archs}
%global libperl_stp libperl%{perl_version}-64.stp
%else
%global libperl_stp libperl%{perl_version}-32.stp
%endif

sed \
  -e "s|LIBRARY_PATH|%{_libdir}/%{soname}|" \
  %{SOURCE4} \
  > %{buildroot}%{tapsetdir}/%{libperl_stp}
%endif
 

cp -f utils/h2ph utils/h2ph_patched
cat %{SOURCE2} | patch -p1

# LD_PRELOAD doesn't work... why?
LD_LIBRARY_PATH=`pwd`:$RPM_BUILD_ROOT%{_libdir} ./perl -Ilib utils/h2ph_patched -a -d $RPM_BUILD_ROOT%{archlib} `cat %{SOURCE1}` > /dev/null ||:

(
    # i don't like hardlinks, having symlinks instead:
    cd $RPM_BUILD_ROOT%{_bindir}
    ln -sf perl5 perl
    ln -s perl%{version} perl5
)

rm -f $RPM_BUILD_ROOT%{_bindir}/perlivp $RPM_BUILD_ROOT%{_mandir}/man1/perlivp.1

# call spec-helper before creating the file list
# (spec-helper removes some files, and compress some others)
%define dont_strip 1
%{?__spec_helper_post}
%undefine dont_strip

(
   cat > perl-base.list <<EOF
%{_bindir}/perl
%{_bindir}/perl5
%{_bindir}/perl%{version}
%dir %{privlib}
%dir %{privlib}/File
%{privlib}/autouse.pm
%{privlib}/AnyDBM_File.pm
%{privlib}/FindBin.pm
%{privlib}/File/Basename.pm
%{privlib}/File/Find.pm
%{privlib}/File/Path.pm
%{privlib}/File/Temp.pm
%{privlib}/File/GlobMapper.pm
%dir %{privlib}/Getopt
%{privlib}/Getopt/Long.pm
%{privlib}/Getopt/Std.pm
%dir %{privlib}/Encode
%{privlib}/Encode/ConfigLocal_PM.e2x
%{privlib}/Encode/Makefile_PL.e2x
%{privlib}/Encode/_PM.e2x
%{privlib}/Encode/_T.e2x
%{privlib}/ExtUtils/Liblist.pm
%{privlib}/ExtUtils/Liblist/Kid.pm
%{privlib}/ExtUtils/MakeMaker
%{privlib}/ExtUtils/MakeMaker.pm
%{privlib}/ExtUtils/MakeMaker/Config.pm
%{privlib}/ExtUtils/MM.pm
%{privlib}/ExtUtils/MY.pm
#%{privlib}/ExtUtils/MakeMaker/Locale.pm
%{privlib}/ExtUtils/MakeMaker/version.pm
%dir %{privlib}/IO
%dir %{privlib}/Compress
%dir %{privlib}/IO/Compress
%{privlib}/Compress/Zlib.pm
%dir %{privlib}/IO/Compress/Adapter
%{privlib}/IO/Compress/Adapter/Bzip2.pm
%{privlib}/IO/Compress/Adapter/Deflate.pm
%{privlib}/IO/Compress/Adapter/Identity.pm
%dir %{privlib}/IO/Compress/Base
%{privlib}/IO/Compress/Base.pm
%{privlib}/IO/Compress/Base/Common.pm
%{privlib}/IO/Compress/Bzip2.pm
%{privlib}/IO/Compress/Deflate.pm
%dir %{privlib}/IO/Compress/Gzip
%{privlib}/IO/Compress/Gzip.pm
%{privlib}/IO/Compress/Gzip/Constants.pm
%{privlib}/IO/Compress/RawDeflate.pm
%dir %{privlib}/IO/Compress/Zip
%{privlib}/IO/Compress/Zip.pm
%{privlib}/IO/Compress/Zip/Constants.pm
%dir %{privlib}/IO/Compress/Zlib
%{privlib}/IO/Compress/Zlib/Constants.pm
%{privlib}/IO/Compress/Zlib/Extra.pm
%dir %{privlib}/IO/Uncompress
%dir %{privlib}/IO/Uncompress/Adapter
%{privlib}/IO/Uncompress/Adapter/Bunzip2.pm
%{privlib}/IO/Uncompress/Adapter/Identity.pm
%{privlib}/IO/Uncompress/Adapter/Inflate.pm
%{privlib}/IO/Uncompress/AnyInflate.pm
%{privlib}/IO/Uncompress/AnyUncompress.pm
%{privlib}/IO/Uncompress/Base.pm
%{privlib}/IO/Uncompress/Bunzip2.pm
%{privlib}/IO/Uncompress/Gunzip.pm
%{privlib}/IO/Uncompress/Inflate.pm
%{privlib}/IO/Uncompress/RawInflate.pm
%{privlib}/IO/Uncompress/Unzip.pm
%{privlib}/Net/Cmd.pm
%{privlib}/Net/Config.pm
%dir %{privlib}/Net/FTP
%{privlib}/Net/FTP.pm
%{privlib}/Net/FTP/A.pm
%{privlib}/Net/FTP/E.pm
%{privlib}/Net/FTP/I.pm
%{privlib}/Net/FTP/L.pm
%{privlib}/Net/FTP/dataconn.pm
%dir %{privlib}/Time
%{privlib}/Time/Local.pm
%{privlib}/AutoLoader.pm
%dir %{privlib}/Carp
%{privlib}/Carp.pm
%{privlib}/Carp/Heavy.pm
%{privlib}/DirHandle.pm
%{archlib}/Errno.pm
%dir %{privlib}/Exporter
%{privlib}/Exporter/Heavy.pm
%{privlib}/Exporter.pm
%{privlib}/FileHandle.pm
%{privlib}/IPC/Open2.pm
%{privlib}/IPC/Open3.pm
%{privlib}/Net/POP3.pm
%{privlib}/PerlIO.pm
%{privlib}/SelectSaver.pm
%{privlib}/Symbol.pm
%dir %{privlib}/Tie
%{privlib}/Tie/Hash.pm
%{privlib}/XSLoader.pm
%{privlib}/base.pm
%{privlib}/bytes.pm
%{privlib}/constant.pm
%{privlib}/feature.pm
%{privlib}/integer.pm
%{privlib}/overload.pm
%{privlib}/overloading.pm
%{privlib}/parent.pm
%{privlib}/strict.pm
%{privlib}/utf8.pm
%{privlib}/vars.pm
%dir %{privlib}/warnings
%{privlib}/warnings/register.pm
%{privlib}/warnings.pm
%dir %{archlib}
%{archlib}/lib.pm
%{archlib}/B.pm
%{archlib}/auto/B/B.so
%{archlib}/Cwd.pm
%{archlib}/File/Spec.pm
%{archlib}/File/Spec/Unix.pm
%dir %{archlib}/File/Spec
%{archlib}/Fcntl.pm
%{archlib}/IO.pm
%dir %{archlib}/IO
%{archlib}/IO/File.pm
%{archlib}/IO/Handle.pm
%{archlib}/IO/Seekable.pm
%{archlib}/IO/Select.pm
%{archlib}/IO/Socket.pm
%dir %{archlib}/IO/Socket
%{archlib}/IO/Socket/INET.pm
%{archlib}/IO/Socket/UNIX.pm
%dir %{archlib}/Compress
%dir %{archlib}/Compress/Raw
%{archlib}/Compress/Raw/Bzip2.pm
%{archlib}/Compress/Raw/Zlib.pm
%dir %{archlib}/auto/Compress
%dir %{archlib}/auto/Compress/Raw
%dir %{archlib}/auto/Compress/Raw/Bzip2
%{archlib}/auto/Compress/Raw/Bzip2/Bzip2.so
%dir %{archlib}/auto/Compress/Raw/Zlib
%{archlib}/auto/Compress/Raw/Zlib/Zlib.so
%dir %{archlib}/auto
%dir %{archlib}/auto/Cwd
%{archlib}/auto/Cwd/Cwd.so
%dir %{archlib}/auto/Data
%dir %{archlib}/auto/Data/Dumper
%{archlib}/auto/Data/Dumper/Dumper.so
%{archlib}/Data/Dumper.pm
%dir %{archlib}/auto/Fcntl
%{archlib}/auto/Fcntl/Fcntl.so
%dir %{archlib}/auto/File
%dir %{archlib}/auto/File/Glob
%{archlib}/auto/File/Glob/Glob.so
%{archlib}/File/Glob.pm
%dir %{archlib}/auto/MIME
%dir %{archlib}/auto/MIME/Base64
%{archlib}/auto/MIME/Base64/Base64.so
%dir %{archlib}/auto/Digest
%dir %{archlib}/auto/Digest/MD5
%{archlib}/auto/Digest/MD5/MD5.so
%dir %{archlib}/auto/I18N
%dir %{archlib}/auto/I18N/Langinfo/
%{archlib}/auto/I18N/Langinfo/Langinfo.so
%dir %{archlib}/auto/IO
%{archlib}/auto/IO/IO.so
%dir %{archlib}/auto/Encode
%{archlib}/Encode.pm
%{archlib}/Encode/Alias.pm
%{archlib}/Encode/Byte.pm
%{archlib}/Encode/CJKConstants.pm
%{archlib}/Encode/Config.pm
%{archlib}/Encode/EBCDIC.pm
%{archlib}/Encode/Encoder.pm
%{archlib}/Encode/Encoding.pm
%{archlib}/Encode/GSM0338.pm
%{archlib}/Encode/Guess.pm
%dir %{archlib}/Encode/MIME
%dir %{archlib}/Encode/MIME/Header
%{archlib}/Encode/MIME/Header.pm
%{archlib}/Encode/MIME/Header/ISO_2022_JP.pm
%{archlib}/Encode/MIME/Name.pm
%{archlib}/Encode/Symbol.pm
%dir %{archlib}/Encode/Unicode
%{archlib}/Encode/Unicode.pm
%{archlib}/Encode/Unicode/UTF7.pm
%dir %{archlib}/auto/Encode/Byte
%{archlib}/auto/Encode/Byte/Byte.so
%dir %{archlib}/auto/Encode/EBCDIC
%{archlib}/auto/Encode/EBCDIC/EBCDIC.so
%{archlib}/auto/Encode/Encode.so
%dir %{archlib}/auto/Encode/Symbol
%{archlib}/auto/Encode/Symbol/Symbol.so
%dir %{archlib}/auto/Encode/Unicode
%{archlib}/auto/Encode/Unicode/Unicode.so
%dir %{archlib}/List
%dir %{archlib}/List/Util
%{archlib}/List/Util.pm
%{archlib}/List/Util/XS.pm
%dir %{archlib}/auto/List
%dir %{archlib}/auto/List/Util
%{archlib}/auto/List/Util/Util.so
%dir %{archlib}/auto/POSIX
%{archlib}/auto/POSIX/POSIX.so
%dir %{archlib}/auto/Socket
%{archlib}/auto/Socket/Socket.so
%dir %{archlib}/auto/Storable
%{archlib}/auto/Storable/Storable.so
%dir %{archlib}/auto/re
%{archlib}/auto/re/re.so
%{archlib}/Config.pm
%{archlib}/Config_heavy.pl
%{archlib}/Digest/MD5.pm
%{archlib}/DynaLoader.pm
%{archlib}/I18N/Langinfo.pm
%{archlib}/MIME/Base64.pm
%{archlib}/MIME/QuotedPrint.pm
%{archlib}/POSIX.pm
%dir %{archlib}/Scalar/
%{archlib}/Scalar/Util.pm
%{archlib}/Socket.pm
%{archlib}/Storable.pm
%dir %{archlib}/Sys/
%dir %{archlib}/auto/Sys/
%dir %{archlib}/auto/Sys/Hostname
%{archlib}/Sys/Hostname.pm
%{archlib}/auto/Sys/Hostname/Hostname.so
%{archlib}/re.pm
%dir %{archlib}/CORE
%{archlib}/CORE/libperl.so
%dir %{archlib}/asm
%dir %{archlib}/bits
%dir %{archlib}/sys
%{archlib}/asm/unistd.ph
%ifarch armv7hl
%{archlib}/asm/unistd-eabi.ph
%endif
%ifarch %mips
%{archlib}/asm/sgidefs.ph
%endif
%ifarch x86_64
%{archlib}/bits/wordsize.ph
%endif
%ifarch %ix86 x86_64
%{archlib}/asm/unistd_32.ph
%{archlib}/asm/unistd_64.ph
%endif
%ifarch aarch64
%{archlib}/asm-generic/unistd.ph
%{archlib}/asm-generic/bitsperlong.ph
%{archlib}/asm/bitsperlong.ph
%endif
%{archlib}/bits/syscall.ph
%{archlib}/sys/syscall.ph
%{archlib}/_h2ph_pre.ph
%{archlib}/syscall.ph
EOF

   cat > perl.list <<EOF
%doc README
%doc Artistic
%{_bindir}/encguess
%{_bindir}/perlbug
%{_bindir}/perlthanks
%{_bindir}/pod2man
%{_bindir}/pod2html
%{_bindir}/pod2text
%{_bindir}/prove
%{_bindir}/ptar
%{_bindir}/ptardiff
%{_bindir}/ptargrep
%{_bindir}/splain
%{_bindir}/zipdetails
%{_bindir}/streamzip
EOF

   cat > perl-devel.list <<EOF
%{_bindir}/corelist
%{_bindir}/cpan
%{_bindir}/enc2xs
%{_bindir}/h2ph
%{_bindir}/h2xs
%{_bindir}/instmodsh
%{_bindir}/json_pp
%{_bindir}/libnetcfg
%{_bindir}/piconv
%{_bindir}/pl2pm
%{_bindir}/pod2usage
%{_bindir}/podchecker
%{_bindir}/shasum
%{_bindir}/xsubpp
%{privlib}/Encode/encode.h
%{archlib}/CORE/EXTERN.h
%{archlib}/CORE/INTERN.h
%{archlib}/CORE/XSUB.h
%{archlib}/CORE/av.h
%{archlib}/CORE/cop.h
%{archlib}/CORE/cv.h
%{archlib}/CORE/dosish.h
%{archlib}/CORE/embed.h
%{archlib}/CORE/embedvar.h
%{archlib}/CORE/fakesdio.h
%{archlib}/CORE/form.h
%{archlib}/CORE/gv.h
%{archlib}/CORE/handy.h
%{archlib}/CORE/hv.h
%{archlib}/CORE/intrpvar.h
%{archlib}/CORE/iperlsys.h
%{archlib}/CORE/keywords.h
%{archlib}/CORE/malloc_ctl.h
%{archlib}/CORE/mg.h
%{archlib}/CORE/nostdio.h
%{archlib}/CORE/op.h
%{archlib}/CORE/opcode.h
%{archlib}/CORE/opnames.h
%{archlib}/CORE/overload.h
%{archlib}/CORE/pad.h
%{archlib}/CORE/parser.h
%{archlib}/CORE/patchlevel.h
%{archlib}/CORE/perlapi.h
%{archlib}/CORE/perlio.h
%{archlib}/CORE/perliol.h
%{archlib}/CORE/perlsdio.h
%{archlib}/CORE/perlvars.h
%{archlib}/CORE/perly.h
%{archlib}/CORE/pp.h
%{archlib}/CORE/pp_proto.h
%{archlib}/CORE/proto.h
%{archlib}/CORE/reentr.h
%{archlib}/CORE/regcharclass.h
%{archlib}/CORE/regcomp.h
%{archlib}/CORE/regexp.h
%{archlib}/CORE/regnodes.h
%{archlib}/CORE/scope.h
%{archlib}/CORE/sv.h
%{archlib}/CORE/thread.h
%{archlib}/CORE/unixish.h
%{archlib}/CORE/utf8.h
%{archlib}/CORE/utfebcdic.h
%{archlib}/CORE/util.h
%{archlib}/CORE/uudmap.h
%{archlib}/CORE/warnings.h
EOF

   cat > perl-doc.list <<EOF
%{_bindir}/perldoc
%{_mandir}/man3pm/Pod::Perldoc*
EOF

   rel_mandir=`echo %{_mandir} | sed "s,/,,"`
   (cd $RPM_BUILD_ROOT ; find ./%archlib "(" -name "*.pod" -o -iname "Changes*" -o -iname "ChangeLog*" -o -iname "README*" ")" -a -not -name perldiag.pod -printf "%%%%doc /%%p\n") >> perl-doc.list
   (cd $RPM_BUILD_ROOT ; find ./%privlib "(" -name "*.pod" -o -iname "Changes*" -o -iname "ChangeLog*" -o -iname "README*" ")" -a -not -name perldiag.pod -printf "%%%%doc /%%p\n") >> perl-doc.list
   (cd $RPM_BUILD_ROOT ; find $rel_mandir/man1 ! -name "perlivp.1*" ! -type d -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find $rel_mandir/man3pm ! -type d ! -name "Pod::Perldoc*" -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find ./%privlib ! -type d -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find ./%archlib ! -type d -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find ./%privlib -type d -printf "%%%%dir /%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find ./%archlib -type d -printf "%%%%dir /%%p\n") >> perl.list
   sed -i 's!/\./!!' perl.list
   sed -i 's!^%doc /\./!%doc !' perl-doc.list

   perl -ni -e 'BEGIN { open F, "perl-base.list"; $s{$_} = 1 foreach <F>; use Data::Dumper; warn Dumper(\%s) } print unless $s{$_}' perl.list 2>S.pm
   perl -ni -e 'BEGIN { open F, "perl-devel.list"; $s{$_} = 1 foreach <F>; } print unless $s{$_}' perl.list
   perl -ni -e 'BEGIN { open F, "perl-doc.list"; s/^.doc //, $s{$_} = 1 foreach <F>; } print unless $s{$_}' perl.list
)

# lib/perl5db.t will fail if Term::ReadLine::Gnu is available
%check
%if %{with test}
%{new_perl} -I/lib regen/lib_cleanup.pl
pushd t
%{new_perl} -I../lib porting/customized.t --regen
popd
# (tv) fix test working locally but failing on BS:
rm -f t/io/nargv.t
perl -pi -e 'undef $_ if /nargv/' MANIFEST
%if %{parallel_tests}
JOBS=$(printf '%%s' "%{?_smp_mflags}" | sed 's/.*-j\([0-9][0-9]*\).*/\1/')
LC_ALL=C TEST_JOBS=$JOBS make test_harness
%else
    LC_ALL=C make test_harness
%endif
%endif

%files -f perl.list

%files base -f perl-base.list
%{_rpmconfigdir}/macros.d/macros.perl
%{_libdir}/libperl.so.*

%files devel -f perl-devel.list
%{_libdir}/libperl.so
%if %{with perl_enables_systemtap}
%dir %{_datadir}/systemtap
%dir %{_datadir}/systemtap/tapset
%{tapsetdir}/%{libperl_stp}
%doc perl-example.stp
%endif

%files doc -f perl-doc.list

