%bcond_with bootstrap

Summary: Verify Perl code
Name: perl_checker
Version: 1.2.43
Release: %mkrel 1
License: GPLv2+
Group: Development/Perl
%ifarch %arm
# need ocamlrun
Requires: ocaml
%endif
URL: https://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/perl_checker
Source0: perl_checker-%version.tar.xz
BuildRequires: ocaml
%if %{without bootstrap}
# for POSIX fake package (for test suite):
BuildRequires: perl_checker-fake_packages
Requires: perl_checker-fake_packages
%endif

%description
Various verifying scripts created for DrakX

%package fake_packages
Summary: Verify Perl code
Conflicts: perl_checker < 1.2.29
BuildArch: noarch

# Obviously ignore deps from fake packages:
%global __requires_exclude_from ^%{_datadir}/%{name}/fake_packages/
%global __provides_exclude_from ^%{_datadir}/%{name}/fake_packages/

%description fake_packages
This package contains various fake packages in order to be able to check calls
to some widely used modules that are not parsable by perl_checker.

%prep
%autosetup -p1

%if %{with bootstrap}
sed -ie 's/\(^all.*\) test/\1/' Makefile
%endif

%build
export PERL_USE_UNSAFE_INC=1
make

%install
%make_install

%if %{without bootstrap}
%check
# sanity control
for i in $(find fake_packages -name "*.pm"); do
    ./src/perl_checker --no-check-white-space $i
done
%endif

%files
%doc src/perl_checker.html NEWS
%license COPYING
%{_bindir}/*
%{_datadir}/vim/ftplugin/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%files fake_packages
%{_datadir}/perl_checker



