%define upstream_name    App-perlbrew
%define upstream_version 0.98

%{?perl_default_filter}

Name:       perlbrew
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Manage perl installations in your $HOME
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Perl::Releases) >= 5.202.307.200
BuildRequires: perl(Capture::Tiny) >= 0.480.0
BuildRequires: perl(Devel::PatchPerl) >= 2.80.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.220.0
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Temp) >= 0.230.400
BuildRequires: perl(File::Which) >= 1.210.0
BuildRequires: perl(IO::All) >= 0.510.0
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildRequires: perl(Path::Class) >= 0.330.0
BuildRequires: perl(Pod::Usage) >= 1.690.0
BuildRequires: perl(Test::Exception) >= 0.320.0
BuildRequires: perl(Test::More) >= 1.1.2
BuildRequires: perl(Test::NoWarnings) >= 1.40.0
BuildRequires: perl(Test::Output) >= 1.30.0
BuildRequires: perl(Test::Simple) >= 1.1.2
BuildRequires: perl(Test::Spec) >= 0.490.0
BuildRequires: perl(Test::TempDir::Tiny) >= 0.16.0
BuildRequires: perl(local::lib) >= 2.0.14
BuildArch:  noarch

Obsoletes:  perl-%{upstream_name} <= 0.170.0

%description
perlbrew is a program to automate the building and installation of perl in
the users HOME. At the moment, it installs everything to
'~/perl5/perlbrew', and requires you to tweak your PATH by including a
bashrc/cshrc file it provides. You then can benefit from not having to run
'sudo' commands to install cpan modules because those are installed inside
your HOME too. It's a completely separate perl environment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

#%check
#%__make test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/perlbrew
%{_mandir}/man1/perlbrew.1*
%{_mandir}/man3/*
%perl_vendorlib/*