Name:		pfqueue
Version:	0.5.6
Release:	%mkrel 12
Summary:	Queue manager for the Postfix or Exim mail transport agent
License:	GPLv2
Group:		Monitoring
URL:		https://pfqueue.sourceforge.net/
Source:		https://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		pfqueue-fixes.patch
Patch1:		pfqueue-fixes-literal.patch
Patch2:		pfqueue-fixes-literal-2.patch
Patch3:		pfqueue-0.5.6-clang16-build-fix.patch
BuildRequires:	pkgconfig(ncurses)

%description
Pfqueue is a simple console tool for managing MTA (Mail Transfer
Agent) message queues. It handles queues through 'backends', libraries
that interact with the MTA, and displays informations through a
console, ncurses based 'frontend'.  Currently, pfqueue has backends
for Postfix (both 1.x and 2.x) and Exim (both version 3 and 4).

%prep
%setup -q
%patch -P 0 -p0 -b .fix1
%patch -P 1 -p1 -b .fix2
%patch -P 2 -p1 -b .fix3
%patch -P 3 -p1 -b .gcc14

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%makeinstall bindir=%{buildroot}%{_sbindir}

ln -s pfqueue.1 %{buildroot}%{_mandir}/man1/spfqueue.1

# we don't want these
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}%{_libdir}/*.so

%files
%doc AUTHORS ChangeLog NEWS README TODO
%license COPYING
%{_sbindir}/pfqueue
%{_sbindir}/spfqueue
%{_libdir}/libpfq_*.so.*
%{_libdir}/libpfqueue.so.*
%{_mandir}/man1/pfqueue.1*
%{_mandir}/man1/spfqueue.1*
%{_mandir}/man5/pfqueue.conf.5*
