%define         major           0
%define         libname         %mklibname %{name} %{major}
%define         libname_devel   %mklibname -d %{name}
%define         libname_static  %mklibname -d -s %{name}

%define         gccinstall_dir  %(LC_ALL=C %__cc --print-search-dirs | grep install | %__awk '{print $2}')
%define         fincludedir    %{gccinstall_dir}/finclude

Name:           pg2plplot
Summary:        Facilitating the transition from PGPlot to PLplot
Version:        5.13.0
Release:        %mkrel 8
License:        GPLv3+
Group:          Development/C
URL:            https://pg2plplot.sourceforge.net/
Source0:        https://sourceforge.net/projects/pg2plplot/files/pg2plplot-%{version}.tar.gz
Patch1:         pg2plplot-5.13.0-cmake-link.patch
Patch2:         pg2plplot-5.13.0-modulesdir.patch
#add soname version 0
Patch4:         pg2plplot-5.13.0-soname.patch
Patch5:         pg2plplot-5.13.0-master.patch

BuildRequires:  pkgconfig(plplot)
BuildRequires:  cmake
Requires:       %libname = %{version}-%{release}

%description
PG2PLplot is code intended to help the transition from
Fortran code linked against PGPlot to linking it against
PLplot. Reasons why one might want to make that transition is that the
latter is open-source code and actively maintained, while the output
looks better and can be obtained in more-modern formats. However, not
everything that can be done with PGPlot can also be done with PLplot
(yet). Examples that spring into mind are keeping an X-window open
after the code finished, and interactively reading coordinates from an
X-window.



%package -n %{libname}
Summary:  A library for replacing calls to PGPlot by calls to PLplot
Group:    System/Libraries
Requires: %{name} = %{version}-%{release}

%description -n %{libname}
The PG2PLplot library facilitates the transition from Fortran code
linked against PGPlot to linking it against PLplot.



%package -n %{libname_devel}
Summary:  Development files for pg2plplot
Group:    Development/C
Requires: %{libname} = %{version}-%{release}
Provides: pg2plplot-devel = %{version}-%{release}
Provides: libpg2plplot-devel = %{version}-%{release}

%description -n %libname_devel
%{summary}.



%package -n %{libname_static}
Summary:  Static development files for pg2plplot
Group:    Development/C
Provides: pg2plplot-static-devel = %{version}-%{release}
Provides: libpg2plplot-static-devel = %{version}-%{release}

%description -n %libname_static
%{summary}.


%prep
%autosetup -p1



%build
export MODULEDIR=%{fincludedir}
%cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DCMAKE_STATIC_LIB:BOOL=ON

%__make -C build

%install
%cmake_install



#relocate fortran modules to the right place
%__mkdir_p %{buildroot}%{fincludedir}
pushd %{buildroot}/%{_includedir}
mv pg2plplot  %{buildroot}%{fincludedir}/pg2plplot
popd

%__chmod 0755 %{buildroot}%{_libdir}/*.so.*


%files
%doc VERSION LICENCE
%{_datadir}/pg2plplot/rgb.txt

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libname_devel}
%doc CHANGELOG
%{_libdir}/*.so
%dir %{fincludedir}/pg2plplot
%{fincludedir}/pg2plplot/*.mod

%files -n %{libname_static}
%{_libdir}/*.a


