#define prerel beta1

Name:             pgmodeler
Version:          1.1.6
Release:          %mkrel %{?prerel:0.%prerel.}2
Summary:          PostgreSQL Database Modeler

License:          GPLv3
URL:              http://www.pgmodeler.com.br/
Group:            Development/Databases
Source0:          https://github.com/%{name}/%{name}/archive/v%{version}%{?prerel:-%prerel}/%{name}-%{version}%{?prerel:-%prerel}.tar.gz
# https://github.com/pgmodeler/pgmodeler/issues/618
Source1:          %{name}.desktop
Source2:          %{name}-mime-dbm.xml
Patch0:           %{name}-1.0.0-mga-do-not-check-for-updates-by-default.patch

BuildRequires:    pkgconfig(libxml-2.0)
BuildRequires:    pkgconfig(libpq)
BuildRequires:    pkgconfig(Qt6Core)
BuildRequires:    pkgconfig(Qt6Gui)
BuildRequires:    pkgconfig(Qt6Help)
BuildRequires:    pkgconfig(Qt6Network)
BuildRequires:    pkgconfig(Qt6PrintSupport)
BuildRequires:    pkgconfig(Qt6Svg)
BuildRequires:    pkgconfig(Qt6Widgets)
BuildRequires:    pkgconfig(xext)
BuildRequires:    icu-devel
BuildRequires:    desktop-file-utils
BuildRequires:    gettext

%description
PostgreSQL Database Modeler, or simply, pgModeler is an
open source tool for modeling databases that merges the classical
concepts of entity-relationship diagrams with specific features that
only PostgreSQL implements. The pgModeler translates the models created
by the user to SQL code and apply them onto database clusters (Version
9.x).

%package devel
Summary: Development files for %{name}
Group: System/Libraries
Requires: %{name} = %{version}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}%{?prerel:-%prerel}

%autopatch -p1

%build
%ifarch i586
%global optflags %(echo "%{optflags} -msse2")
%endif
%ifarch i686
%global optflags %(echo "%{optflags}" | sed "s/ -fcf-protection=full//")
%endif

%qmake_qt6 -recursive \
    PREFIX=%{_prefix} \
    BINDIR=%{_bindir} \
    PRIVATEBINDIR+=%{_libexecdir} \
    PLUGINSDIR=%{_libdir}/%{name}/plugins \
    SHAREDIR=%{_datadir}/%{name} \
    DOCDIR=%{_docdir}/%{name} \
    PRIVATELIBDIR+=%{_libdir}/%{name} \
        %{name}.pro

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-install --mode 644 \
    --dir %{buildroot}%{_datadir}/applications/ %{SOURCE1}

install -p -dm 755 %{buildroot}%{_datadir}/icons
install -p -m 644 assets/conf/%{name}_logo.png %{buildroot}%{_datadir}/icons

install -p -dm 755 %{buildroot}%{_datadir}/mime/packages
install -p -m 644 %{SOURCE2} %{buildroot}%{_datadir}/mime/packages/%{name}.xml

rm -f %{buildroot}%{_datadir}/%{name}/conf/%{name}.conf.0000

mkdir -p %{buildroot}%{_libdir}/%{name}/plugins

%files
%doc CHANGELOG.md LICENSE README.md RELEASENOTES.md
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_libexecdir}/%{name}-ch
%{_libexecdir}/%{name}-se
%{_libdir}/%{name}/lib*.so.*
%{_libdir}/%{name}/plugins
%{_datadir}/%{name}
%{_datadir}/icons/%{name}_logo.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop

%files devel
%{_libdir}/%{name}/lib*.so

