%define rel 3

%define phonon_epoch 5
%define phonon_major 4
%define phonon4qt5_version %(pkg-config --modversion phonon4qt5 2>/dev/null || echo 4.7.0)

%define upstream_name phonon-backend-gstreamer

%global _vpath_srcdir ..

Summary:        GStreamer backend for Phonon
Name:           phonon-gstreamer
Epoch:          5
Version:        4.10.0
Release:        %mkrel %{rel}
Group:          Video/Utilities
License:        LGPLv2+
URL:            http://phonon.kde.org/
Source0:        https://download.kde.org/stable/phonon/%{upstream_name}/%{version}/%{upstream_name}-%{version}.tar.xz
# run this script to generate a snapshot tarball
Source1:        phonon-gstreamer_snapshot.sh

## Mageia patches

# Fedora patches:

## Ubuntu/upstreamable patches
Patch1:         phonon-backend-gstreamer-4.8.2-flac_mimetype.patch

## Upstream patches

BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(phonon4qt5) >= 4.7.0
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5X11Extras)

%description
GStreamer backend for Phonon.

#--------------------------------------------------------------------

%package -n phonon4qt5-gstreamer
Summary:        GStreamer backend for Phonon Qt5
Group:          Video/Utilities

Provides:       phonon4qt5-backend
Provides:       phonon4qt5-backend-gstreamer

Requires:       phonon-gstreamer-common
Requires:       gstreamer1.0-plugins-good
Requires:       gstreamer1.0-plugins-base
Requires:       gstreamer1.0-cdparanoia
Recommends:     gstreamer1.0-libav
Recommends:     gstreamer1.0-soup
Recommends:     gstreamer1.0-pulse
Recommends:     gstreamer1.0-plugins-ugly
# not *strictly* required, but strongly recommended by upstream when built
# with USE_INSTALL_PLUGIN
#Add back when in mageia
#Requires: PackageKit-gstreamer-plugin
Requires:       %{mklibname phonon4qt5_ %{phonon_major}} >= %{phonon_epoch}:%{phonon4qt5_version}

%description -n phonon4qt5-gstreamer
GStreamer backend for Phonon Qt5.

%files -n phonon4qt5-gstreamer -f phonon_gstreamer.lang
%_qt5_plugindir/phonon4qt5_backend/phonon_gstreamer.so

#--------------------------------------------------------------------

%package -n phonon-gstreamer-common
Summary:        Common files for GStreamer backends for Phonon
Group:          Video/Utilities
BuildArch:      noarch

%description -n phonon-gstreamer-common
Common files for GStreamer backends for Phonon.

%files -n phonon-gstreamer-common
%_datadir/icons/hicolor/*/apps/phonon-gstreamer.*

#--------------------------------------------------------------------

%prep
%setup -qn %{upstream_name}-%{version}
%autopatch -p1

%build
mkdir -p Qt5
pushd Qt5
    %cmake_kf5 -Wno-dev -DUSE_INSTALL_PLUGIN:BOOL=ON -DPHONON_BUILD_PHONON4QT5:BOOL=ON
    %cmake_build
popd

%install
%make_install -C Qt5/%{_vpath_builddir}

%find_lang phonon_gstreamer --with-qt
