%define rel 6
%define _with_zeitgeist 0
%define up_name phonon

Name:           phonon-qt4
Summary:        KDE4 Multimedia Framework
Epoch:          5
Version:        4.10.3
Release:        %mkrel %{rel}
Url:            http://phonon.kde.org/
License:        LGPLv2+
Group:          Graphical desktop/KDE
# We're using git: http://gitorious.org/phonon
Source0:        https://download.kde.org/stable/phonon/%{version}/%{up_name}-%{version}.tar.xz

Patch10:        phonon-rpath_use_link_path.patch
Patch11:        phonon-DEFAULT_SOURCE.patch

# revert fix for https://bugs.kde.org/356218 as it causes
# (imo) worse regressions/side-effects: https://bugs.kde.org/337276
Patch24:        0024-fix-double-encoding-problem-with-MRLs.patch

# (cg) Phonon 4.4.1 needs Qt 4.6+
BuildRequires:  qt4-devel >= 4:4.6
BuildRequires:  kde4-macros
BuildRequires:  automoc
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libxml-2.0)
%if %{_with_zeitgeist}
BuildRequires:  pkgconfig(QZeitgeist)
%endif

%description
Phonon is the KDE Multimedia Framework.

#--------------------------------------------------------------------
### Qt4 ###

%package -n     phonon
Group:          Graphical desktop/KDE
Summary:        KDE4 Multimedia Framework
Conflicts:      phonon-devel < 5:4.8.2

%description -n phonon
Phonon is the KDE Multimedia Framework.

%files -n phonon
%dir %{_kde_libdir}/kde4/plugins/phonon_backend
%dir %{_kde_services}/phononbackends
%{_kde_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml

#--------------------------------------------------------------------

%package -n     qt4-designer-plugin-phonon
Group:          Development/KDE and Qt
Summary:        Phonon Qt4 designer plugin
Conflicts:      phonon-devel < 5:4.8.2

%description -n qt4-designer-plugin-phonon
Phonon Qt4 designer plugin.

%files -n qt4-designer-plugin-phonon
%{_qt4_plugindir}/designer/*

#--------------------------------------------------------------------

%define phononexperimental_major 4
%define libphononexperimental %mklibname phononexperimental %{phononexperimental_major}

%package -n     %{libphononexperimental}
Summary:        Phonon library
Group:          System/Libraries

%description -n %{libphononexperimental}
Phonon library.

%files -n %{libphononexperimental}
%{_kde_libdir}/libphononexperimental.so.%{phononexperimental_major}{,.*}

#--------------------------------------------------------------------

%define phonon_major 4
%define libphonon %mklibname phonon %{phonon_major}

%package -n     %{libphonon}
Summary:        Phonon library
Group:          System/Libraries
%if ! %{_with_zeitgeist}
Obsoletes:      libqzeitgeist-declarative-plugin < 0.8.0-7
Obsoletes:      %{mklibname qzeitgeist 1} < 0.8.0-7
%endif

%description -n %{libphonon}
Phonon library.

%files -n %{libphonon}
%{_kde_libdir}/libphonon.so.%{phonon_major}{,.*}

#--------------------------------------------------------------------

%package -n     phonon-devel
Group:          Development/KDE and Qt
Summary:        Header files and documentation for compiling KDE applications
Requires:       %{libphononexperimental} = %{epoch}:%{version}
Requires:       %{libphonon} = %{epoch}:%{version}
Requires:       phonon
Requires:       qt4-designer-plugin-phonon
Conflicts:      kdelibs4-devel < 4.0.80-5
Conflicts:      qt4-devel < 4:4.7.2
Obsoletes:      phonon-common
%if ! %{_with_zeitgeist}
Obsoletes:      %{mklibname -d qzeitgeist} < 0.8.0-7
%endif

%description -n phonon-devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.

%files -n phonon-devel
%{_kde_datadir}/phonon/buildsystem
%{_kde_libdir}/cmake/phonon
%{_includedir}/phonon
%{_kde_includedir}/KDE/Phonon
%{_kde_libdir}/libphonon.so
%{_kde_libdir}/libphononexperimental.so
%{_kde_libdir}/pkgconfig/phonon.pc
%{_qt4_prefix}/mkspecs/modules/qt_phonon.pri

### END Qt4 ###
#--------------------------------------------------------------------

%prep
%setup -qn %{up_name}-%{version}
%patch -P 10 -p1 -b .10
%patch -P 11 -p1 -b .11
%patch -P 24 -p1 -R -b .24

%build
%global _vpath_srcdir ..

### Qt4 Build ###
mkdir build-kde4
pushd build-kde4
%cmake_kde4 \
    -Wno-dev \
    -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON
%cmake_build
popd

%install
### Qt4 Install ###
%make_install -C build-kde4/%{_vpath_builddir}
mkdir -p %{buildroot}%{_kde_libdir}/kde4/plugins/phonon_backend
mkdir -p %{buildroot}%{_kde_services}/phononbackends
