%define upstream_name phonon-backend-vlc

%bcond_without qt5
%bcond_without qt6

%define rel 1

Name:           phonon-vlc
Version:        0.12.0
Release:        %mkrel %{rel}
Summary:        VLC backend for Phonon
License:        LGPLv2
Group:          Video/Utilities
URL:            https://invent.kde.org/libraries/phonon-vlc
Source0:        https://download.kde.org/stable/phonon/%{upstream_name}/%{version}/%{upstream_name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  cmake(ECM)
BuildRequires:  pkgconfig(libvlc) >= 2.0.1

### Qt5 build dependencies
%if %{with qt5}
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Help)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(phonon4qt5)
%endif
### Qt6 build dependencies
%if %{with qt6}
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(phonon4qt6)
%endif

%description
This package allows Phonon (the KDE media library) to use VLC
for audio and video playback.

#--------------------------------------------------------------------

%package        i18n
Summary:        Translation files for %{name}
Group:          System/Libraries
BuildArch:      noarch

%description    i18n
This package contains translation files for %{name}.

%files i18n -f phonon_vlc.lang

#--------------------------------------------------------------------

%if %{with qt5}
%package -n phonon4qt5-vlc
Summary:        VLC backend for Phonon Qt5
Group:          Video/Utilities

Provides:       phonon4qt5-backend
Provides:       phonon4qt5-backend-vlc

Requires:       %{name}-i18n >= %{version}-%{release}
Requires:       vlc-plugin-common
Recommends:     vlc-plugin-pulse

%description -n phonon4qt5-vlc
This package allows Phonon Qt5 (the KDE media library) to use VLC
for audio and video playback.

%files -n phonon4qt5-vlc
%doc AUTHORS
%license COPYING.LIB
%{_qt5_plugindir}/phonon4qt5_backend/phonon_vlc_qt5.so
%endif

#--------------------------------------------------------------------

%if %{with qt6}
%package -n phonon4qt6-vlc
Summary:        VLC backend for Phonon Qt6
Group:          Video/Utilities

Provides:       phonon4qt6-backend
Provides:       phonon4qt6-backend-vlc

Requires:       %{name}-i18n >= %{version}-%{release}
Requires:       vlc-plugin-common
Recommends:     vlc-plugin-pulse

%description -n phonon4qt6-vlc
This package allows Phonon Qt6 (the KDE media library) to use VLC
for audio and video playback.

%files -n phonon4qt6-vlc
%doc AUTHORS
%license COPYING.LIB
%{_qt6_plugindir}/phonon4qt6_backend/phonon_vlc_qt6.so
%endif

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
### Qt5 Build ###
%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_qt5 -DPHONON_BUILD_QT6:BOOL=OFF
%cmake_build
%endif

### Qt6 Build ###
%if %{with qt6}
%define _vpath_builddir build-qt6
%cmake_qt6 -DPHONON_BUILD_QT5:BOOL=OFF
%cmake_build
%endif

%install
### Qt5 Install ###
%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_install
%endif

### Qt6 Install ###
%if %{with qt6}
%define _vpath_builddir build-qt6
%cmake_install
%endif

%find_lang phonon_vlc --with-qt
