# filter plugins
%global __provides_exclude_from ^(^%{_qt5_plugindir}/.*\\.so)$
%global __provides_exclude_from ^(^%{_qt6_plugindir}/.*\\.so)$

%bcond_without qt5
%bcond_without qt6

%define rel 2

Name:           phonon
Summary:        KDE Multimedia Framework
Epoch:          5
Version:        4.12.0
Release:        %mkrel %{rel}
License:        LGPLv2+
Group:          Graphical desktop/KDE
Url:            https://userbase.kde.org/Phonon
Source0:        https://download.kde.org/stable/phonon/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  imagemagick
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libxml-2.0)

BuildRequires:  kf5-rpm-macros
### Qt5 build dependencies
%if %{with qt5}
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Help)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Designer)
BuildRequires:  cmake(Qt5OpenGL)
BuildRequires:  cmake(Qt5Xml)
%endif
### Qt6 build dependencies
%if %{with qt6}
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Designer)
BuildRequires:  cmake(Qt6Widgets)
%endif

%description
Phonon is the KDE Multimedia Framework.

#--------------------------------------------------------------------

%package        i18n
Summary:        Translation files for %{name}
Group:          System/Libraries
BuildArch:      noarch

%description    i18n
This package contains translation files for %{name}.

%files i18n -f %{name}.lang

#--------------------------------------------------------------------

### Qt5 ###
%if %{with qt5}

%define phonon4qt5_major 4
%define libphonon4qt5    %mklibname phonon4qt5_ %{phonon4qt5_major}

%package -n     %{libphonon4qt5}
Summary:        Phonon4Qt5 library
Group:          System/Libraries
Requires:       phonon4qt5 = %{epoch}:%{version}

%description -n %{libphonon4qt5}
Phonon4Qt5 library.

%files -n %{libphonon4qt5}
%license COPYING.LIB
%dir %{_qt5_plugindir}/phonon4qt5_backend
%{_qt5_libdir}/libphonon4qt5.so.%{phonon4qt5_major}{,.*}

#--------------------------------------------------------------------

%define phonon4qt5experimental_major 4
%define libphonon4qt5experimental    %mklibname phonon4qt5experimental %{phonon4qt5experimental_major}

%package -n     %{libphonon4qt5experimental}
Summary:        Phonon4Qt5 experimental library
Group:          System/Libraries
Requires:       phonon4qt5 = %{epoch}:%{version}

%description -n %{libphonon4qt5experimental}
Phonon4Qt5 experimental library.

%files -n %{libphonon4qt5experimental}
%license COPYING.LIB
%{_qt5_libdir}/libphonon4qt5experimental.so.%{phonon4qt5experimental_major}{,.*}

#--------------------------------------------------------------------

%package -n     phonon4qt5
Group:          System/Libraries
Summary:        Settings Tool for Phonon Multimedia Platform Abstraction (Qt5)
Requires:       %{name}-i18n >= %{epoch}:%{version}-%{release}
Provides:       phononsettings = %{epoch}:%{version}-%{release}

%description -n phonon4qt5
Phonon is a cross-platform portable Multimedia Support Abstraction,
which allows you to play multiple audio or video formats with the same
quality on all platforms, no matter which underlying architecture is
used.

%files -n phonon4qt5
%license COPYING
%{_bindir}/phononsettings

#--------------------------------------------------------------------

%define libphonon4qt5_devel %mklibname phonon4qt5 -d

%package -n     %{libphonon4qt5_devel}
Group:          Development/KDE and Qt
Summary:        Header files for compiling KDE applications
Requires:       %{libphonon4qt5} = %{epoch}:%{version}
Requires:       %{libphonon4qt5experimental} = %{epoch}:%{version}
Provides:       phonon4qt5-devel = %{epoch}:%{version}
Obsoletes:      phonon4qt5-devel < %{epoch}:4.11.1-5

%description -n %{libphonon4qt5_devel}
This package includes the header files you will need to compile applications
for KDE.

%files -n %{libphonon4qt5_devel}
%{_includedir}/phonon4qt5/
%{_qt5_libdir}/libphonon4qt5.so
%{_qt5_libdir}/libphonon4qt5experimental.so
%{_qt5_libdir}/pkgconfig/phonon4qt5.pc
%{_qt5_libdir}/cmake/phonon4qt5/
%{_kf5_mkspecsdir}/qt_phonon4qt5.pri
%{_qt5_plugindir}/designer/phonon4qt5widgets.so
%endif

### END Qt5
#--------------------------------------------------------------------

### Qt6 ###
%if %{with qt6}

%define phonon4qt6_major 4
%define libphonon4qt6    %mklibname phonon4qt6_ %{phonon4qt6_major}

%package -n     %{libphonon4qt6}
Summary:        Phonon4Qt6 library
Group:          System/Libraries
Requires:       phonon4qt6 = %{epoch}:%{version}

%description -n %{libphonon4qt6}
Phonon4Qt6 library.

%files -n %{libphonon4qt6}
%license COPYING.LIB
%dir %{_qt6_plugindir}/phonon4qt6_backend
%{_qt6_libdir}/libphonon4qt6.so.%{phonon4qt6_major}{,.*}

#--------------------------------------------------------------------

%define phonon4qt6experimental_major 4
%define libphonon4qt6experimental    %mklibname phonon4qt6experimental %{phonon4qt6experimental_major}

%package -n     %{libphonon4qt6experimental}
Summary:        Phonon4Qt6 experimental library
Group:          System/Libraries
Requires:       phonon4qt6 = %{epoch}:%{version}

%description -n %{libphonon4qt6experimental}
Phonon4Qt6 experimental library.

%files -n %{libphonon4qt6experimental}
%license COPYING.LIB
%{_qt6_libdir}/libphonon4qt6experimental.so.%{phonon4qt6experimental_major}{,.*}

#--------------------------------------------------------------------

%package -n     phonon4qt6
Group:          System/Libraries
Summary:        Settings Tool for Phonon Multimedia Platform Abstraction (Qt6)
Requires:       %{name}-i18n >= %{epoch}:%{version}-%{release}
Provides:       phononsettings-qt6 = %{epoch}:%{version}-%{release}

%description -n phonon4qt6
Phonon is a cross-platform portable Multimedia Support Abstraction,
which allows you to play multiple audio or video formats with the same
quality on all platforms, no matter which underlying architecture is
used.

%files -n phonon4qt6
%license COPYING
%{_bindir}/phononsettings-qt6

#--------------------------------------------------------------------

%define libphonon4qt6_devel %mklibname phonon4qt6 -d

%package -n     %{libphonon4qt6_devel}
Summary:        Header files for compiling KDE applications
Group:          Development/KDE and Qt
Requires:       %{libphonon4qt6} = %{epoch}:%{version}
Requires:       %{libphonon4qt6experimental} = %{epoch}:%{version}
Provides:       phonon4qt6-devel = %{epoch}:%{version}

%description -n %{libphonon4qt6_devel}
This package includes the header files you will need to compile applications
for KDE.

%files -n %{libphonon4qt6_devel}
%{_includedir}/phonon4qt6/
%{_qt6_libdir}/libphonon4qt6.so
%{_qt6_libdir}/libphonon4qt6experimental.so
%{_qt6_libdir}/pkgconfig/phonon4qt6.pc
%{_qt6_libdir}/cmake/phonon4qt6/
%{_qt6_plugindir}/designer/phonon4qt6widgets.so
%endif

### END Qt6
#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
### Qt5 Build ###
%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_qt5 -DPHONON_BUILD_QT6:BOOL=OFF
%cmake_build
%endif

### Qt6 Build ###
%if %{with qt6}
%define _vpath_builddir build-qt6
%cmake_qt6 -DPHONON_BUILD_QT5:BOOL=OFF
%cmake_build
%endif

%install
### Qt6 Install ###
%if %{with qt6}
%define _vpath_builddir build-qt6
%cmake_install
mkdir -p %{buildroot}%{_qt6_plugindir}/phonon4qt6_backend
## Conflicts with phonon4qt5 pkg
mv %{buildroot}%{_bindir}/phononsettings %{buildroot}%{_bindir}/phononsettings-qt6
%endif

### Qt5 Install ###
%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_install
mkdir -p %{buildroot}%{_qt5_plugindir}/phonon4qt5_backend
%endif

%find_lang %{name} --with-qt --all-name
