%bcond_without exiv2

Name:           photoqt
Version:        4.8.1
Release:        %mkrel 1
Summary:        A fast Qt image viewer
License:        GPLv3
Group:          Graphics/Viewers
Url:            https://photoqt.org/
Source0:        https://photoqt.org/pkgs/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake(ECM)
BuildRequires:  qt6-qtmultimedia
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  pkgconfig(poppler-qt6)
%if %{with exiv2}
BuildRequires:  pkgconfig(exiv2)
%endif
BuildRequires:  cmake(ZXing)
BuildRequires:  pkgconfig(Magick++)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(IL)
BuildRequires:  pkgconfig(mpv)
BuildRequires:  pkgconfig(pugixml)
BuildRequires:  python3dist(pychromecast)
BuildRequires:  freeimage-devel
Requires:       qtbase6-database-plugin-sqlite
Requires:       imagemagick
Requires:       qt6-qtcharts
Requires:       qt6-qtdeclarative
Requires:       qt6-qtlocation
Requires:       qt6-qtmultimedia
Requires:       qt6-qtpositioning
Requires:       qt6-qt5compat
Requires:       python3dist(pychromecast)

Recommends:     kimageformats
Recommends:     qt6-avif-image-plugin
Recommends:     qt6-heic-image-plugin
Recommends:     qt6-jpegxl-image-plugin

%description
PhotoQt is a simple, yet powerful and good looking image viewer,
written in Qt, published as open-source, and completely free.

%prep
%autosetup -p1

%build
# to use GraphicsMagick instead of ImageMagick add: -DIMAGEMAGICK=OFF -DGRAPHICSMAGICK=ON
%cmake_qt6 -DIMAGEMAGICK=ON \
           -DGRAPHICSMAGICK=OFF \
           -DFREEIMAGE=ON \
           -DVIDEO_MPV=ON \
           -DEXIV2=%{?with_exiv2:ON}%{?!with_exiv2:OFF}
%cmake_build

%install
%cmake_install

%files
%doc CHANGELOG
%{_bindir}/%{name}
%{_metainfodir}/org.%{name}.PhotoQt.metainfo.xml
%{_datadir}/applications/org.%{name}.PhotoQt.desktop
%{_iconsdir}/hicolor/*/apps/org.%{name}.PhotoQt.png
