%define github_name     rka-slim-session-middleware
%define composer_name   rka-slim-session-middleware
%define composer_vendor akrabat

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:       php-%{composer_vendor}-%{composer_name}
Version:    2.0.0
Release:    %mkrel 5
Summary:    Simple session middleware for Slim Framework 
License:    MIT
Group:      Development/PHP
URL:        https://github.com/akrabat/rka-slim-session-middleware
Source0:    https://github.com/mathmarques/Smarty-View/archive/%{github_name}-%{version}.tar.gz
# composer.json
Requires:   php >= 5.5.0
# autoloader
Requires:   php-composer(fedora/autoloader)
Provides:   php-composer(%{composer_vendor}/%{composer_name}) = %{version}
BuildArch:  noarch

%description
Middleware for Slim Framework that starts a session. Also provides a useful
Session class.

Autoloader: %{php_libdir}/RKA/autoload.php

%prep
%setup -qn %{github_name}-%{version}

%build

%install
install -d %{buildroot}%{php_libdir}
cp -pr RKA %{buildroot}%{php_libdir}/RKA

cat > %{buildroot}%{php_libdir}/RKA/autoload.php << 'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('RKA\\', __DIR__);
EOF

%files
%doc LICENSE README.md composer.json
%{php_libdir}/RKA
