# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%global with_tests 0%{?_with_tests:1}
%global modname amqp
%global pecl_name amqp
%global ini_name 40-%{pecl_name}.ini
%define _disable_ld_no_undefined 1
%define php_inidir %{_sysconfdir}/php.d/
%define pecl_xmldir %{_sharedstatedir}/php/peclxml
#define prever dev
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	Communicate with any AMQP compliant server
Name:		php%{phplong}-%{modname}
Version:	2.1.2
Release:	%mkrel 4
License:	PHP
Group:		Development/Other
URL:		https://pecl.php.net/package/amqp
Source0:	https://pecl.php.net/get/%{pecl_name}-%{version}%{?prever}.tgz
Source1:	40-amqp.ini
BuildRequires:	mercurial
BuildRequires:	php-pear
BuildRequires:	pkgconfig(librabbitmq) >= 0.5.2
%if %{with_tests}
BuildRequires:	rabbitmq-server
%endif

BuildRequires:	php-devel >= 3:%{phplong}.0
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}

Provides:	php-pecl-%{pecl_name} = %{version}
Provides:	php-pecl(%{pecl_name}) = %{version}
Provides:	php-%{modname} = %{version}


%description
This extension can communicate with any AMQP spec 0-9-1 compatible server,
such as RabbitMQ, OpenAMQP and Qpid, giving you the ability to create and
delete exchanges and queues, as well as publish to any exchange and consume
from any queue.


%prep
%autosetup -S hg -n %{modname}-%{version}
# Don't install/register tests
sed -e 's/role="test"/role="src"/' \
    -e '/LICENSE/s/role="doc"/role="src"/' \
    -i ../package.xml

sed -e 's/CFLAGS="-I/CFLAGS="$CFLAGS -I/' -i config.m4
cd ..

cp %{SOURCE1} .

%build
%{_bindir}/phpize
#rm -f aclocal.m4
#autoreconf -fi
%configure --with-php-config=%{_bindir}/php-config \
			--with-libdir=%{_lib} \
			--with-%{modname}=shared,%{_prefix}

#fix makefile having /usr/usr in path
perl -pi -e "s|-rpath,/usr/usr/%{_lib} -L/usr/usr/%{_lib}\b| |g" Makefile

%make_build


%install
%make_build install INSTALL_ROOT=%{buildroot}

install -d %{buildroot}%{inidir}

# Drop in the bit of configuration
install -Dpm 644 ../%{ini_name} %{buildroot}%{php_inidir}/%{ini_name}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{ini_name}

# Install XML package description
install -Dpm 644 ../package.xml %{buildroot}%{pecl_xmldir}/%{name}.xml

# Documentation
for i in $(grep 'role="doc"' ../package.xml | sed -e 's/^.*name="//;s/".*$//')
do install -Dpm 644 $i %{buildroot}%{pecl_docdir}/%{pecl_name}/$i
done


%check
: Minimal load test for NTS extension
/usr/bin/php --no-php-ini \
    --define extension=modules/%{pecl_name}.so \
    -m | grep %{pecl_name}

%if %{with_tests}
mkdir log run base
: Launch the RabbitMQ service
export RABBITMQ_PID_FILE=$PWD/run/pid
export RABBITMQ_LOG_BASE=$PWD/log
export RABBITMQ_MNESIA_BASE=$PWD/base
/usr/lib/rabbitmq/bin/rabbitmq-server &>log/output &
/usr/lib/rabbitmq/bin/rabbitmqctl wait $RABBITMQ_PID_FILE

ret=0
pushd NTS
: Run the upstream test Suite for NTS extension
TEST_PHP_EXECUTABLE=%{__php} \
TEST_PHP_ARGS="-n -d extension=$PWD/modules/%{pecl_name}.so" \
NO_INTERACTION=1 \
REPORT_EXIT_STATUS=1 \
%{__php} -n run-tests.php --show-diff || ret=1
popd

: Cleanup
if [ -s $RABBITMQ_PID_FILE ]; then
   kill $(cat $RABBITMQ_PID_FILE)
fi
rm -rf log run base

exit $ret
%endif


%files
%license LICENSE
%{pecl_xmldir}/%{name}.xml

%config(noreplace) %{php_inidir}/%{ini_name}
%config(noreplace)%{inidir}/%{ini_name}
%attr(0755,root,root)  %{extdir}/%{pecl_name}.so
