%define base_name	analog

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:		php-%{base_name}
Version:	1.0.19
Release:	%mkrel 1
Summary:	PHP micro logging package
License:	MIT
Group:		Development/PHP
URL:		https://github.com/jbroadway/analog
Source:     https://github.com/jbroadway/analog/archive/refs/tags/%{version}-stable.tar.gz
# composer.json
Requires:   php >= 5.3.2
Requires:   php-composer(psr/log)
# phpcompatinfo report
Requires:   php-curl
Requires:   php-json
Requires:   php-pcre
Requires:   php-xml
# autoloader
Requires:   php-composer(fedora/autoloader)
Provides:   php-composer(analog/analog) = %{version}
BuildArch:  noarch

%description
A MicroPHP logging package based on the idea of using closures for
configurability and extensibility. It functions as a static class, but you can
completely control the writing of log messages through a closure function (aka
anonymous functions), or use the Analog\Logger wrapper that implements the
PSR-3 specification.

Autoloader: %{php_libdir}/Analog/autoload.php

%prep
%setup -q -n analog-%{version}-stable

%build

%install
install -d -m 755 %{buildroot}%{php_libdir}
cp -pr lib/Analog %{buildroot}%{php_libdir}/

cat > %{buildroot}%{php_libdir}/Analog/autoload.php << 'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{_datadir}/php/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Analog\\', __DIR__);
\Fedora\Autoloader\Dependencies::required(array(
        '%{_datadir}/php/Psr/Log/autoload.php',
));
EOF

%files
%doc README.md LICENSE examples
%{php_libdir}/Analog
