# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define realname apcu (APC User Cache)
%define modname apcu
%define soname %{modname}.so
%define php_inidir %{_sysconfdir}/php.d/
%define ini_name 99_%{modname}.ini
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	The %{realname} module for PHP
Name:		php%{phplong}-%{modname}
Version:	5.1.24
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/APCu
Source0:	https://pecl.php.net/get/apcu-%{version}.tgz
Source1:	apcu.ini
Source2:	php-apcu.config.php
Patch0:		apcu-4.0.7-default_lock_dir.diff
Patch1:		apcu-4.0.7-default_config.diff
BuildRequires:	pkgconfig(libpcre2-posix)
BuildRequires:	mercurial
BuildRequires:	php-devel >= 3:%{phplong}.0
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}
Provides:	php-apc = 1:%{version}

%description
APCu is userland caching: APC stripped of opcode caching in preparation
for the deployment of Zend OPcache as the primary solution to opcode
caching in future versions of PHP.

APCu has a revised and simplified codebase, by the time the PECL release
is available, every part of APCu being used will have received review and
where necessary or appropriate, changes.

Simplifying and documenting the API of APCu completely removes the barrier
to maintenance and development of APCu in the future, and additionally allows
us to make optimizations not possible previously because of APC's inherent
complexity.

APCu only supports userland caching (and dumping) of variables, providing an
upgrade path for the future. When O+ takes over, many will be tempted to use
3rd party solutions to userland caching, possibly even distributed solutions;
this would be a grave error. The tried and tested APC codebase provides far
superior support for local storage of PHP variables.

%package	admin
Summary:	Web admin GUI for %{realname}
Group:		Development/PHP
Requires:	%{name}
Provides:	php-apc-admin = 1:%{version}
Obsoletes:	php-apc-admin < 1:%{version}

%description admin
This package contains a Web admin GUI for %{realname}.

To access the web GUI please open up your favourite web browser and point to:

http://localhost/%{name}/

%prep

%autosetup -S hg -n apcu-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{ini_name}
cp %{SOURCE2} php-apc.config.php

%build
%serverbuild

phpize

%configure

%make_build

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php-%{modname}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}/var/lib/php-apcu
install -d %{buildroot}%{inidir}

install -m0644 %{ini_name} %{buildroot}%{_sysconfdir}/php.d/%{ini_name}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{ini_name}

install -m0755 modules/apcu.so %{buildroot}%{extdir}/

install -d -m 755 %{buildroot}%{webappconfdir}
cat > %{buildroot}%{webappconfdir}/%{name}.conf << EOF
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Require local granted
    ErrorDocument 403 "Access denied per %{webappconfdir}/%{name}.conf"
</Directory>
EOF

install -m0644 apc.php %{buildroot}%{_datadir}/%{name}/index.php
install -m0644 php-apc.config.php %{buildroot}%{_sysconfdir}/php-%{modname}/config.php

cat > README.urpmi << EOF
The actual configuration file is /etc/php-%{modname}/config.php.
EOF

%post admin
# generate random secret
secret=%_get_password 46

# blowfish secret
perl -pi -e "s|_PASSWORD_|$secret|g" %{_sysconfdir}/%{name}/config.php

%files
%doc tests LICENSE NOTICE TECHNOTES.txt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{ini_name}
%config(noreplace)%{inidir}/%{ini_name}
%attr(0755,root,root) %{extdir}/apcu.so
%attr(0755,apache,apache) /var/lib/php-apcu

%files admin
%doc README.urpmi
%config(noreplace) %{webappconfdir}/%{name}.conf
%attr(0640,root,apache) %config(noreplace) %{_sysconfdir}/php-%{modname}/config.php
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/index.php
