# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname ast
%define soname %{modname}
%define inifile A50_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
#define prerel beta
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Name:		php%{phplong}-%{modname}
Version:	1.1.2
Release:	%mkrel 3
Group:		Development/PHP
Summary:	PHP extension exports the AST internally used by PHP
License:	BSD-3-Clause
URL:		https://pecl.php.net/package/%{modname}
Source0:	https://pecl.php.net/get/%{modname}-%{version}%{?prerel}.tgz
BuildRequires:	php-devel >= 3:%{phplong}.0
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description
php-ast exports the AST internally used by PHP.
php-ast is significantly faster than PHP-Parser, because the AST construction
is implemented in C. However, php-ast may only parse code that is syntactically
valid on the version of PHP it runs on.

%prep

%setup -q -n %{modname}-%{version}%{?prerel}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild
phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_bindir}
install -m0755 modules/%{soname}.so %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc package*.xml README.md
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}.so
