# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname dio
%define soname %{modname}.so
%define inifile 17_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	Direct I/O extension module for PHP
Name:		php%{phplong}-%{modname}
Version:	0.3.0
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/dio
Source0:	https://pecl.php.net/get/dio-%{version}.tgz
Epoch:		2
BuildRequires:	php-devel >= 3:%{phplong}.0
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{epoch}:%{version}

%description
PHP supports the direct io functions as described in the Posix Standard
(Section 6) for performing I/O functions at a lower level than the C-Language
stream I/O functions (fopen(), fread(),..). The use of the DIO functions should
be considered only when direct control of a device is needed. In all other
cases, the standard filesystem functions are more than adequate.

%prep

%setup -q -n dio-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
