# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname ds
%define soname %{modname}.so
%define inifile B04_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	Data Structures
Name:		php%{phplong}-%{modname}
Version:	1.5.0
Release:	%mkrel 6
Group:		Development/PHP
License:	MIT License
URL:		https://github.com/php-ds
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	ds.ini
BuildRequires:	php-devel >= 3:%{phplong}.0
BuildRequires:	pkgconfig(libpcre2-posix)
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description
Data Structures for PHP.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .
cp %{SOURCE1} %{inifile}

%build
phpize
%configure --with-libdir=%{_lib}
%make_build
mv modules/*.so .

%install

install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
