# Copyright (c) 2018 Remi Collet
# License: CC-BY-SA
# https://creativecommons.org/licenses/by-sa/4.0/

%global github_name   litemoji
%global composer_vendor elvanto
%global composer_name   litemoji
%global namespace_name  LitEmoji

%define php_libdir %{_datadir}/php
%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        2.0.1
Release:        %mkrel 3
Summary:        Conversion of unicode, HTML and shortcode emoji
License:        MIT
Group:          Development/PHP
URL:            https://github.com/elvanto/litemoji
Source0:        https://github.com/elvanto/litemoji/archive/%{github_name}-%{version}.tar.gz
BuildArch:      noarch
# From composer.json
Requires:       php >= 5.4
# From phpcompatinfo report for version 1.4.4
Requires:       php-mbstring
Requires:       php-pcre
# Autoloader
Requires:       php-composer(fedora/autoloader)
Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
A PHP library simplifying the conversion of unicode, HTML and shortcode emoji.

Autoloader: %{php_libdir}/%{namespace_name}/autoload.php

%prep
%setup -q -n %{github_name}-%{version}


%build
: Create autoloader
cat <<'AUTOLOAD' | tee src/autoload.php
<?php
/* Autoloader for %{name} and its dependencies */
require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('%{namespace_name}\\', __DIR__);
AUTOLOAD

%install
mkdir -p   %{buildroot}%{_datadir}/php/
cp -pr src %{buildroot}%{_datadir}/php/%{namespace_name}

%files
%doc LICENSE
%doc composer.json
%doc *.md
%{php_libdir}/%{namespace_name}
