# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname event
%define soname %{modname}.so
%define inifile A35_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	Event Scheduling Engine for PHP
Name:		php%{phplong}-%{modname}
Version:	3.1.4
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/event
Source0:	https://pecl.php.net/get/event-%{version}.tgz
BuildRequires:	php-sockets
BuildRequires:	pkgconfig(libevent)
Epoch:		1
BuildRequires:	php-devel >= 3:%{phplong}.0
Requires:	php%{phplong}-sockets
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{epoch}:%{version}

%description
This is an extension to efficiently schedule IO, time and signal based events
using the best available IO notification mechanism for your system. This is a
port of libevent to the PHP infrastructure; the API is similar but not
identical.

%prep
%setup -q -n event-%{version}

%build
%serverbuild

phpize
%configure \
    --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix} \
    --with-event-core \
    --with-event-pthreads \
    --with-event-extra \
    --with-event-openssl

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc CREDITS
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
