# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname expect
%define soname %{modname}.so
%define inifile A68_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	PHP extension for expect library
Name:		php%{phplong}-%{modname}
Version:	0.4.0
Release:	%mkrel 15
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/expect
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		php8.patch
Patch1:		pointer.patch
BuildRequires:	mercurial
BuildRequires:	expect-devel
BuildRequires:	pkgconfig(tcl)
BuildRequires:	file
BuildRequires:	php-devel >= 3:%{phplong}.0
Requires(pre):	php-webinterface
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description
This extension allows to interact with processes through PTY, using expect
library.

%prep

%autosetup -S hg -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

# borked libname
libexpect=`basename %{_libdir}/libexpect*.*.so | sed -e 's/^lib//' | sed -e 's/\.so$//'`
perl -pi -e "s|-lexpect|-l$libexpect|g" Makefile

%make_build

%install
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{extdir}
install -d %{buildroot}/var/log/httpd

install -m0755 modules/%{soname} %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}

[expect]
;expect.logfile = /var/log/httpd/%{name}.log
expect.loguser = On
expect.timeout = 10
EOF

install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

# install log rotation stuff
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} << EOF
/var/log/httpd/%{name}.log {
    create 644 apache apache
    monthly
    compress
    missingok
}
EOF

touch %{buildroot}/var/log/httpd/%{name}.log

%post
if [ $1 = 1 ]; then
    %create_ghostfile /var/log/httpd/%{name}.log apache apache 644
fi

%files
%doc package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
%ghost %attr(0644,apache,apache) /var/log/httpd/%{name}.log
