# inspired from fedora spec file
# Copyright (c) 2012-2017 Shawn Iwinski <shawn.iwinski@gmail.com>
# License: MIT
# https://opensource.org/licenses/MIT

%define github_name     Faker
%define composer_name   faker
%define composer_vendor fzaninotto

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:          php-%{composer_vendor}-%{composer_name}
Version:       1.9.2
Release:       %mkrel 1
Summary:       A PHP library that generates fake data
Group:         Development/PHP
License:       MIT
URL:           https://github.com/fzaninotto/Faker
Source0:       https://github.com/fzaninotto/Faker/archive/refs/tags/v%{version}.tar.gz
BuildArch:     noarch

# composer.json
Requires:      php >= 5.3.3.
# phpcompatinfo (computed from version 1.6.0)
Requires:      php-curl
Requires:      php-hash
Requires:      php-mbstring
Requires:      php-pcre
# Autoloader
Requires:      php-composer(fedora/autoloader)

# Composer
Provides:      php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
Faker is a PHP library that generates fake data for you. Whether you need
to bootstrap your database, create good-looking XML documents, fill-in your
persistence to stress test it, or anonymize data taken from a production
service, Faker is for you.

Faker is heavily inspired by Perl's Data::Faker [1], and by Ruby's Faker [2].

Autoloader: %{php_libdir}/Faker/autoload.php

Optional:
* CakePHP (https://cakephp.org/)
* Doctrine ORM (php-doctrine-orm)
* Mandango (formerly at mandango.org)
* Propel (http://propelorm.org/)

[1] https://search.cpan.org/~jasonk/Data-Faker/
[2] http://faker.rubyforge.org/


%prep
%setup -qn %{github_name}-%{version}

: Create autoloader
cat <<'AUTOLOAD' | tee src/Faker/autoload.php
<?php
/**
 * Autoloader for %{name} and its' dependencies
 * (created by %{name}-%{version}-%{release}).
 *
 * @return \Symfony\Component\ClassLoader\ClassLoader
 */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';
\Fedora\Autoloader\Autoload::addPsr4('Faker\\', __DIR__);

AUTOLOAD


%install
mkdir -p %{buildroot}%{php_libdir}
cp -rp src/%{github_name} %{buildroot}%{php_libdir}/

%files
%doc LICENSE
%doc *.md
%doc composer.json
%{php_libdir}/%{github_name}
