# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname gender
%define soname %{modname}.so
%define inifile A89_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	Gender Extension
Name:		php%{phplong}-%{modname}
Version:	1.1.0
Release:	%mkrel 25
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/gender/
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		php8.patch
BuildRequires:	file
BuildRequires:	mercurial
BuildRequires:	php-devel >= 3:%{phplong}.0
BuildRequires:	pkgconfig(libpcre2-posix)
Requires:	php%{phplong}-bz2
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description
Gender PHP extension is a port of the gender.c program originally written by
Joerg Michael. The main purpose is to find out the gender of first names. The
actual database contains >40000 first names from 54 countries.

%prep

%autosetup -S hg -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

bunzip2 data/nam_dict.txt.bz2

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -p -i -e "s|/lib\b|/%{_lib}|g" *.m4

perl -pi -e "s|/home/user/|%{_datadir}/%{name}/|g" README

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --enable-%{modname}

%make_build

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_datadir}/%{name}

install -m0755 modules/%{soname} %{buildroot}%{extdir}/
install -m0644 data/nam_dict.txt %{buildroot}%{_datadir}/%{name}/
bzip2 -9 %{buildroot}%{_datadir}/%{name}/nam_dict.txt

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}

[%{modname}]
EOF
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc package*.xml CREDITS LICENSE README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
%dir %{_datadir}/%{name}
%attr(0644,root,root) %{_datadir}/%{name}/nam_dict.txt.bz2
