# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname gmagick
%define soname %{modname}.so
%define inifile B01_%{modname}.ini
%define prel	RC1
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)

Summary:	Provides a wrapper to the GraphicsMagick library
Name:		php-%{modname}
Version:	2.0.6
Release:	%mkrel %{?prel:0.%prel.}13
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/gmagick/
Source0:	https://pecl.php.net/get/%{modname}-%{version}RC1.tgz
Patch0:		pointer.patch
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	graphicsmagick-devel >= 1.0.0
BuildRequires:	mercurial
BuildRequires:	pkgconfig(sm)
BuildRequires:	php-devel >= 3:%{phplong}.0

%description
%{modname}

%package -n php%{phplong}-%{modname}
Summary:	Provides a wrapper to the GraphicsMagick library
Group:		Development/PHP
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description -n php%{phplong}-%{modname}
Gmagick is a php extension to create, modify and obtain meta information of
images using the GraphicsMagick API. This extension requires GraphicsMagick
version 1.2.6+ and PHP 5.1.3+.

%prep

%autosetup -S hg -n %{modname}-%{version}RC1
[ "../package*.xml" != "/" ] && mv ../package*.xml .

find -type f | xargs chmod 644

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF

%files -n php%{phplong}-%{modname}
%doc README* package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
