# inspired from fedora spec file
# Copyright (c) 2016 Remi Collet
# License: CC-BY-SA
# https://creativecommons.org/licenses/by-sa/4.0/

%define github_name     lib_autolink
%define composer_name   lib_autolink
%define composer_vendor iamcal

%define php_libdir     %{_datadir}/php

Name:           php-iamcal-lib-autolink
Version:        1.7
Release:        %mkrel 4
Summary:        Adds anchors to urls in a text
Group:          Development/PHP
License:        MIT
URL:            https://github.com/iamcal/lib_autolink
Source0:        https://github.com/iamcal/lib_autolink/archive/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

# From composer.json, nothing
# From phpcompatinfo report for 1.7
Requires:       php-pcre

Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}


%description
Find URLs in HTML that are not already links, and make them into links.

Autoloader: %{php_libdir}/%{name}/autoload.php


%prep
%setup -q -n %{github_name}-%{version}

%build

%install
install -Dpm 644 lib_autolink.php %{buildroot}%{php_libdir}/%{name}/lib_autolink.php

# from composer.json, "autoload": {
#    "files": ["lib_autolink.php"]
ln -s lib_autolink.php %{buildroot}%{php_libdir}/%{name}/autoload.php

%files
%doc LICENSE
%doc *.md
%doc composer.json
%{php_libdir}/%{name}
