# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname igbinary
%define inifile A50_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Name:		php%{phplong}-%{modname}
Version:	3.2.16
Release:	%mkrel 3
Group:		Development/PHP
Summary:	PHP igbinary extension
License:	BSD-3-Clause
URL:		https://pecl.php.net/package/igbinary
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:	session.patch
BuildRequires:	mercurial
BuildRequires:	php-devel >= 3:%{phplong}.0
Requires:	php%{phplong}-session
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description
Igbinary is a drop in replacement for the standard php serializer. Instead of
time and space consuming textual representation, igbinary stores php data
structures in a compact binary form. Savings are significant when using
memcached or similar memory based storages for serialized data.


%prep

%autosetup -S hg -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

export CFLAGS="$CFLAGS -DHAVE_PHP_SESSION"

phpize
%configure --with-libdir=%{_lib} \
	--enable-%{modname}

export CFLAGS="${CFLAGS} -O3 -fno-strict-aliasing -fvisibility=default -Wno-error=deprecated-declarations -Wno-deprecated-declarations"
export LDFLAGS="%{ldflags} -O3 -lz"
export CXXFLAGS="${CXXFLAGS} -O3 -fvisibility=default -fvisibility-inlines-hidden -Wno-error=deprecated-declarations -Wno-deprecated-declarations"

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{incdir}/ext/%{modname}

install -m755 igbinary.so %{buildroot}%{extdir}
install src/php7/igbinary.h %{buildroot}%{incdir}/ext/%{modname}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = igbinary
; Use igbinary as session serializer
session.serialize_handler=igbinary
EOF
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc package*.xml README.md
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/igbinary.so
%{incdir}/ext/%{modname}/igbinary.h
