# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define realname Imagick
%define modname imagick
%define soname %{modname}.so
%define inifile 55_%{modname}.ini
%define mod_src %{modname}.c
%define php_inidir %{_sysconfdir}/php.d/
%define build_test 1
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)
#define _RC RC2


Summary:	Provides a wrapper to the ImageMagick library for PHP
Name:		php%{phplong}-%{modname}
Epoch:		3
Version:	3.8.0
Release:	%mkrel %{?_RC:0.%_RC.}1
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/imagick
Source0:	https://pecl.php.net/get/%{modname}-%{version}%{?_RC:%_RC}.tgz
Patch0:	imagick-3.7.0-drop-version-check.patch
BuildRequires:	imagemagick-devel >= 6.3.8
BuildRequires:	php-devel >= 3:%{phplong}.0
BuildRequires:	mercurial
BuildRequires:	pkgconfig(libpcre2-posix)
Recommends:	imagemagick >= 6.3.8
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{epoch}:%{version}

%description
Imagick is a native php extension to create and modify images using the
ImageMagick API.

imagick is a native php-extension. See the examples in the
%{_docdir}/%{name}/examples directory for some hints on
how to use it.

%prep

%autosetup -S hg -p1 -n %{modname}-%{version}%{?_RC:%_RC}
#[ "../package.xml" != "/" ] && mv -f ../package.xml .

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix} \
    --with-php-config=php-config

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP.
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}

[imagick]
imagick.locale_fix = 0
EOF
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc examples ChangeLog CREDITS LICENSE
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
