# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname imap
%define soname %{modname}
%define inifile 27_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	Bindings for the libmcrypt library
Name:		php%{phplong}-%{modname}
Version:	1.0.3
Epoch:	4
Release:	%mkrel 2
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/%{modname}
BuildRequires:	mercurial
BuildRequires:	php-devel >= 3:%{phplong}.0
BuildRequires:  openssl
BuildRequires:  pkgconfig(openssl)
BuildRequires:  c-client-devel >= 2007
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{epoch}:%{version}

%description
An extension to operate with the IMAP protocol, as well as the
NNTP, POP3, and local mailbox access methods.

%prep
%autosetup -S hg -n %{modname}-%{version}

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
	--with-%{modname}=shared,%{_prefix}

%make_build

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{extdir}
install -m0755 modules/%{soname}.so %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}

; rsh/ssh logins are disabled by default. Use this INI entry if you want to
; enable them. Note that the IMAP library does not filter mailbox names before
; passing them to rsh/ssh command, thus passing untrusted data to this function
; with rsh/ssh enabled is insecure.
;imap.enable_insecure_rsh=0
EOF

install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}.so
