%define rel	1

Summary:	An OO graph drawing class library for PHP
Name:		php-jpgraph
Version:	4.3.5
Release:	%mkrel %{rel}
License:	QPL
Group:		Networking/Other
URL:		https://jpgraph.net/
# no direct download link available on website
# md5 checksum: 7237ef5dc19ad8bb67197a19782e950c
#https://jpgraph.net/download/download.php?p=13
Source0:	jpgraph-%{version}.tar.gz
Patch0:		jpgraph-3.0.6-CVE-2009-4422.diff
Requires:	gd
Requires:	php-gd
Requires:	fonts-ttf-bitstream-vera
BuildRequires:	mercurial
BuildArch:	noarch
Obsoletes:	php5-jpgraph

# Needed by owncloud6
Provides:   pear(jpgraph_radar.php)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^pear\\(jpgraph

%description
JpGraph is a OO Graph drawing library for PHP.
Highlights of the available features are: text, linear, and log
scales for both the X and Y axes, anti-aliasing of lines,
color-gradient fills, support for GIF, JPG, and PNG formats,
support for two Y axes, spider plots (a.k.a Web plots),
pie-charts, lineplots, filled line plots, impulse plots, bar
plots, and error plots, support for multiple plot types in one
graph, intelligent autoscaling.

Extensive documentations are available at:
https://jpgraph.net/doc/

%package	doc
Summary:	Documentation for JpGraph
Group:		Networking/Other

%description	doc
JpGraph is a OO Graph drawing library for PHP.
Highlights of the available features are: text, linear, and log
scales for both the X and Y axes, anti-aliasing of lines,
color-gradient fills, support for GIF, JPG, and PNG formats,
support for two Y axes, spider plots (a.k.a Web plots),
pie-charts, lineplots, filled line plots, impulse plots, bar
plots, and error plots, support for multiple plot types in one
graph, intelligent autoscaling.

This package contains the documentation for %{name}.

%prep
%autosetup -S hg -n jpgraph-%{version}

%install
install -d %{buildroot}%{_datadir}/php/jpgraph
cp -aRf src/* %{buildroot}%{_datadir}/php/jpgraph/

install -d -m 755 %{buildroot}%{_docdir}/%{name}
cp -r docs %{buildroot}%{_docdir}/%{name}
cp -r src/Examples %{buildroot}%{_docdir}/%{name}
install -m 644 VERSION %{buildroot}%{_docdir}/%{name}

%files
%{_docdir}/%{name}
%{_datadir}/php/jpgraph
%exclude %{_docdir}/%{name}/Examples
%exclude %{_docdir}/%{name}/docs

%files doc
%{_docdir}/%{name}/Examples
%{_docdir}/%{name}/docs


