# spec file for php-kolab-net-ldap3
#
# Copyright (c) 2015-2019 Remi Collet
# License: CC-BY-SA
# https://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#

%global git_commit    ec4f0d6918aa
%global git_short     %(c=%{git_commit}; echo ${c:0:7})

Name:           php-kolab-net-ldap3
Version:        1.1.4
Release:        %mkrel 1
Summary:        Advanced functionality for accessing LDAP directories
Group:          Development/PHP
License:        GPLv3+
URL:            https://git.kolab.org/pear/Net_LDAP3/
Source0:        %{name}-%{version}-%{git_short}.tgz
Source1:        makesrc.sh

BuildArch:      noarch

Requires:       php-pear-Net_LDAP2 >= 2.0.12
# From phpcompatinfo report for version 1.1.0
Requires:       php-json
Requires:       php-ldap
Requires:       php-pcre

Provides:       php-kolab-Net_LDAP3 = %{version}-%{release}


%description
A successor of the PEAR:Net_LDAP2 module providing advanced functionality
for accessing LDAP directories.


%prep
%setup -q -n %{name}-%{git_commit}


%build
# Nothing to build


%install
mkdir -p       %{buildroot}%{_datadir}/php
cp -pr lib/Net %{buildroot}%{_datadir}/php/Net


%files
%license LICENSE
%doc composer.json
%{_datadir}/php/Net
