# inspired from fedora spec file
# Copyright (c) 2015-2020 Remi Collet
# License: CC-BY-SA
# https://creativecommons.org/licenses/by-sa/4.0/

%global bootstrap    0
%global github_owner laminas
%global github_name  laminas-dependency-plugin
%global zf_name      zend-dependency-plugin
%global namespace    Laminas
%global library      Dependency

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{github_name}
Version:        1.0.4
Release:        %mkrel 1
Summary:        Laminas Framework %{library} component
License:        BSD
Group:          Development/PHP
URL:            https://github.com/%{github_owner}/%{github_name}
Source0:        https://github.com/%{github_owner}/%{github_name}/archive/%{github_name}-%{version}.tar.gz

BuildArch:      noarch
# From composer, "require": {
#        "php": "^5.6 || ^7.0",
#        "composer-plugin-api": "^1.1"
Requires:       php >= 5.6
# Autoloader
BuildRequires:  php-fedora-autoloader-devel
Requires:       php-composer(fedora/autoloader)
Provides:       php-composer(%{github_owner}/%{github_name})   = %{version}
Provides:       php-autoloader(%{github_owner}/%{github_name}) = %{version}


%description
This Composer plugin, when enabled in a project, intercepts requests to install
packages from the zendframework and zfcampus vendors, and will replace them
with the equivalents from the Laminas Project.

The translator itself is initialized without any parameters, as any
configuration to it is optional. A translator without any translations
will actually do nothing but just return the given message IDs.

Documentation: https://docs.laminas.dev/%{github_name}/


%prep
%setup -q -n %{github_name}-%{version}

mv LICENSE.md LICENSE


%build
: Create autoloader
phpab --template fedora --output src/autoload.php src

cat << 'EOF' | tee -a src/autoload.php
\Fedora\Autoloader\Dependencies::required([
    '%{php_libdir}/%{namespace}/Stdlib/autoload.php',
]);
EOF

cat << 'EOF' | tee zf.php
<?php
require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';
\Fedora\Autoloader\Dependencies::required([
    '%{php_libdir}/%{namespace}/ZendFrameworkBridge/autoload.php',
    dirname(dirname(__DIR__)) . '/%{namespace}/%{library}/autoload.php',
]);
EOF


%install
: Laminas library
mkdir -p   %{buildroot}%{php_libdir}/%{namespace}/
cp -pr src %{buildroot}%{php_libdir}/%{namespace}/%{library}

: Zend equiv
mkdir -p      %{buildroot}%{php_libdir}/Zend/%{library}
cp -pr zf.php %{buildroot}%{php_libdir}/Zend/%{library}/autoload.php

%files
%doc LICENSE
%doc *.md
%doc composer.json
%{php_libdir}/Zend/%{library}
%{php_libdir}/%{namespace}/%{library}
