# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define		modname	libvirt
%define		imodname	libvirt-php
%define		_disable_ld_no_undefined 1
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)

# The change to gcc10 to default to -fno-common breaks libvirt-php
# c.f.: https://src.fedoraproject.org/rpms/redhat-rpm-config/c/3e759e70ac919595f45c1dc80c19fc8d3499b459
# c.f.: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/MXKIKAV4GMS22TGAO5Y6ROQ76EG4GKW2/
%define _legacy_common_support 1

Name:		php-libvirt
Version:	0.5.8
Release:	%mkrel 3
Summary:	PHP language binding for Libvirt
Group:		Development/PHP
License:	LGPLv2+
URL:		https://libvirt.org/php
Source0:	https://libvirt.org/sources/php/libvirt-php-%{version}.tar.xz
BuildRequires:	pkgconfig(libvirt)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	xsltproc
BuildRequires:	mercurial
BuildRequires:	php-cli
BuildRequires:	php-imagick
BuildRequires:	php-devel >= 3:%{phplong}.0

%description
%{modname}

%package -n php%{phplong}-%{modname}
Summary:	PHP language binding for Libvirt
Group:		Development/PHP
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description -n php%{phplong}-%{modname}
PHP language bindings for Libvirt API.
For more details see: https://libvirt.org/php/

%prep
%autosetup -S hg -n %{imodname}-%{version}

%build
%serverbuild
%configure \
	--with-html-dir=%{_datadir}/doc \
	--with-html-subdir=%{name}/html \
	--libdir=%{extdir} \
	--with-php-confdir=%{_sysconfdir}/php.d

%make_build

%install
%make_install
chmod +x %{buildroot}%{extdir}/%{imodname}.so
rm -rf %{buildroot}%{_datadir}/doc/php-libvirt
mv %{buildroot}%{_sysconfdir}/php.d/%{imodname}.ini %{buildroot}%{_sysconfdir}/php.d/40-%{imodname}.ini

%files -n php%{phplong}-%{modname}
%doc docs/*
%{extdir}/%{imodname}.so
%exclude %{extdir}/%{imodname}.la
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/40-%{imodname}.ini
