# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname mailparse
%define soname %{modname}.so
%define php_inidir %{_sysconfdir}/php.d/
%define inifile A12_%{modname}.ini
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	Email message manipulation for PHP
Name:		php%{phplong}-%{modname}
Version:	3.1.8
Release:	%mkrel 2
License:	PHP License
Group:		Development/PHP
URL:		https://pecl.php.net/package/mailparse
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
BuildRequires:	php-devel >= 3:%{phplong}.0
BuildRequires:	mbfl-devel
Epoch:		1
Requires:	php%{phplong}-mbstring
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{epoch}:%{version}

%description
Mailparse is an extension for parsing and working with email messages. It can
deal with rfc822 and rfc2045 (MIME) compliant messages.

%prep

%setup -q -n %{modname}-%{version}
%autopatch -p0

# fix strange attribs
find tests -type f|xargs chmod 644

ln -s %{_usrsrc}/php-devel/ext .

cp %{SOURCE1} %{inifile}

%build
%serverbuild

phpize
%configure \
    --enable-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{extdir}/
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc tests CREDITS try.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
