# inspired from fedora spec file

%define php_libdir     %{_datadir}/php

Name:        php-markdown
Version:     2.0.0
Release:     %mkrel 1
Summary:     Markdown implementation in PHP

Group:       Development/PHP
License:     BSD
URL:         https://michelf.ca/projects/php-markdown/
Source0:     https://littoral.michelf.ca/code/php-markdown/php-markdown-lib-%{version}.zip

BuildArch:   noarch
BuildRequires: php-fedora-autoloader-devel

Requires:    php >= 5.3
Requires:    php-pcre
Requires:    php-composer(fedora/autoloader)
Provides:    php-composer(michelf/php-markdown) = %{version}

%description
This is a PHP implementation of John Gruber's Markdown.
It is almost completely compliant with the reference implementation.

This packages provides the classic version %{classic_version} and the new
library version %{version}.

Autoloader: %{php_libdir}/Michelf/markdown-autoload.php


%prep
%setup -q -n "PHP Markdown Lib %{version}"

# documentation and licenses
mkdir -p library lic/library
mv Readme.* composer.json library
mv License.* lic/library

%build
# Generate simple autoloader
%{_bindir}/phpab \
    --template fedora \
    --output Michelf/markdown-autoload.php \
    Michelf
cat Michelf/markdown-autoload.php

%install
install -d %{buildroot}%{php_libdir}/

# PSR-0 library
cp -pr Michelf %{buildroot}%{php_libdir}/Michelf

%files
%doc lic/*
%doc library
%{php_libdir}/Michelf
