# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define	modname	memcached
%define	soname	%{modname}.so
%define	inifile	A91_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
#define prel RC2
%define incdir %(php-config --include-dir)
%define extdir %(php-config --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	A libmemcached library interface for PHP
Name:		php%{phplong}-%{modname}
Version:	3.3.0
Release:	%mkrel %{?prel:0.%prel.}2
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/memcached
Source0:	https://pecl.php.net/get/memcached-%{version}%{?prel:%prel}.tgz
Source1:	memcached.ini
BuildRequires:	pkgconfig(libmemcached) >= 1.0.17
BuildRequires:	fastlz-devel
BuildRequires:	event-devel
BuildRequires:	dos2unix
BuildRequires:	php%{phplong}-igbinary
BuildRequires:	php%{phplong}-msgpack
BuildRequires:	mercurial
BuildRequires:	php-devel >= 3:%{phplong}.0
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Requires:	php%{phplong}-igbinary
Requires:	php%{phplong}-msgpack
Requires:	php%{phplong}-session
Provides:	php-%{modname} = %{version}

%description
This extension uses libmemcached library to provide API for communicating with
memcached servers.

%prep
%autosetup -S hg -n memcached-%{version}%{?prel:%prel}
[ "../package.xml" != "/" ] && mv ../package.xml .

cp %{SOURCE1} %{inifile}

find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
	--enable-memcached=shared,%{_prefix} \
	--with-zlib-dir=%{_prefix} \
	--enable-memcached-protocol \
	--enable-memcached-session \
	--enable-memcached-json \
	--enable-memcached-igbinary \
	--enable-memcached-msgpack \
	--with-system-fastlz

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc CREDITS ChangeLog memcached-api.php package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
