# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname mongodb
%define soname %{modname}.so
%define inifile B04_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
#define beta RC1
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	MongoDB driver for PHP
Name:		php%{phplong}-%{modname}
Version:	2.0.0
Release:	%mkrel 1
Group:		Development/PHP
License:	Apache License
URL:			https://pecl.php.net/package/mongodb/
Source0:	https://pecl.php.net/get/%{modname}-%{version}%{?beta}.tgz
Source1:	mongodb.ini
BuildRequires:	php-devel >= 3:%{phplong}.0
BuildRequires:	pkgconfig(libpcre2-posix)
Obsoletes:	php-mongo < 1.9.0
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description
The purpose of this driver is to provide exceptionally thin glue between MongoDB
and PHP, implementing only fundamental and performance-critical components
necessary to build a fully-functional MongoDB driver.

%prep

%setup -q -n %{modname}-%{version}%{?beta}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}


%build
%serverbuild

phpize
%configure --with-libdir=%{_lib}
%make_build
mv modules/*.so .

%install

install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc README.md package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
