# inspired from fedora spec file
# Copyright (c) 2015-2017 Shawn Iwinski <shawn@iwin.ski>
# License: MIT
# https://opensource.org/licenses/MIT

%define github_name      monolog
%define composer_vendor  monolog
%define composer_name    monolog

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:          php-monolog
Version:       2.5.0
Release:       %mkrel 1
Summary:       Sends your logs to files, sockets, inboxes, databases and various web services
Group:         Development/PHP
License:       MIT
URL:           https://github.com/Seldaek/monolog
Source0:       https://github.com/Seldaek/monolog/archive/refs/tags/%{version}.tar.gz
BuildArch:     noarch

# composer.json
Requires:      php >= 5.3
Requires:      php-composer(psr/log) >= 1.0.1
# phpcompatinfo (computed from version 1.22.0)
Requires:      php-curl
Requires:      php-filter
Requires:      php-hash
Requires:      php-json
Requires:      php-mbstring
Requires:      php-openssl
Requires:      php-pcre
Requires:      php-sockets
Requires:      php-xml
# autoloader
Requires:      php-composer(fedora/autoloader)
Provides:      php-composer(%{composer_vendor}/%{composer_name}) = %{version}
Provides:      php-composer(psr/log-implementation) = 1.0.0

%description
Monolog sends your logs to files, sockets, inboxes, databases and various web
services. Special handlers allow you to build advanced logging strategies.

This library implements the PSR-3 [1] interface that you can type-hint
against in your own libraries to keep a maximum of interoperability. You can
also use it in your applications to make sure you can always use another
compatible logger at a later time.

Autoloader: %{php_libdir}/Monolog/autoload.php

%prep
%autosetup -n %{github_name}-%{version}

%install
install -d -m 755 %{buildroot}%{php_libdir}
cp -rp src/Monolog %{buildroot}%{php_libdir}

cat > %{buildroot}%{php_libdir}/Monolog/autoload.php <<'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Monolog\\', __DIR__);
\Fedora\Autoloader\Dependencies::required(array(
    '%{php_libdir}/Psr/Log/autoload.php',
));

\Fedora\Autoloader\Dependencies::optional(array(
    array(
        '%{php_libdir}/Aws3/autoload.php',
        '%{php_libdir}/Aws/autoload.php',
    ),
    '%{php_libdir}/Raven/autoload.php',
    '%{php_libdir}/Swift/swift_required.php',
));
EOF

%files
%doc LICENSE *.md 
%{php_libdir}/Monolog
