# inspired from fedora spec file
# License: MIT
# https://opensource.org/licenses/MIT

%define github_name     FastRoute
%define composer_name   fast-route
%define composer_vendor nikic

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        1.3.0
Release:        %mkrel 4
Summary:        Fast implementation of a regular expression based router
License:        BSD
Group:          Development/PHP
URL:            https://github.com/nikic/FastRoute
Source:         https://github.com/nikic/FastRoute/archive/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

# composer.json
Requires:       php >= 5.4
# phpcompatinfo 5.0.0 report for version 1.0.0
Requires:       php-pcre

Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}


%description
Fast implementation of a regular expression based router.

Documentation:
https://nikic.github.io/2014/02/18/Fast-request-routing-using-regular-expressions.html

Autoloader: %{php_libdir}/FastRoute/bootstrap.php

%prep
%setup -qn %{github_name}-%{version}

%build

%install
mkdir -p %{buildroot}%{php_libdir}
cp -pr src %{buildroot}%{php_libdir}/FastRoute

%files
%doc LICENSE
%doc composer.json
%doc *.md
%{php_libdir}/FastRoute
