%define upstream_name Auth_SASL
%define xmldir  /var/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Name: 		php-pear-%{upstream_name}
Version: 	1.2.0
Release:     	%mkrel 1
Summary: 	PEAR: Abstraction of various SASL mechanism responses
License: 	BSD
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/Auth_SASL-%{version}.tgz
URL: 		https://pear.php.net/package/Auth_SASL
BuildRequires:	php-pear >= 1.4.7

BuildArch: noarch

%description
Provides code to generate responses to common SASL mechanisms, including:
- Digest-MD5
- Cram-MD5
- Plain
- Anonymous
- Login (Pseudo mechanism)
- SCRAM

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Auth_SASL.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Auth_SASL.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Auth_SASL
fi

%files
%{peardir}/*
%{xmldir}/Auth_SASL.xml
