%define upstream_name CAS

%define __requires_exclude_from ^%{_datadir}/.*$

%define pear_libdir %{_datadir}/pear

Name:       php-pear-%{upstream_name}
Summary:    Central Authentication Service client library in php
Version:    1.6.1
Release:    %mkrel 1
License:    Apache 2.0 License
Group:      Development/PHP
URL:        https://wiki.jasig.org/display/CASC/phpCAS
Source0:    https://github.com/apereo/phpCAS/archive/%{version}.tar.gz
BuildArch:  noarch
Requires:		php
Requires:       php-curl
Requires:       php-dom
Requires:       php-hash
Requires:       php-pcre
Requires:       php-pdo
Requires:       php-session
# Autoloader
BuildRequires:  php-fedora-autoloader-devel
Requires:       php-composer(fedora/autoloader)
Provides:       php-composer(jasig/phpcas) = %{version}
Provides:       php-composer(phpcas) = %{version}

%description
This package is a installable library for using a Central
Authentication Service.

Autoloader '%{pear_libdir}/CAS/Autoload.php';

%prep
%setup -qn phpCAS-%{version}

%build
# Rewrite a classmap autoloader (upstream is broken)
%{_bindir}/phpab \
    --template fedora \
    --output source/CAS/Autoload.php  \
             source

%install
mkdir -p   %{buildroot}%{pear_libdir}
cp -pr source/* %{buildroot}%{pear_libdir}

%files
%doc LICENSE
%doc composer.json README.md NOTICE
%{pear_libdir}/CAS
%{pear_libdir}/CAS.php

