%define upstream_name Cache_Lite
%define xmldir	%{_var}/lib/pear
%define peardir	%(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	1.8.3
Release:	%mkrel 3
Summary:	Fast and Safe little cache system
License:	LGPL
Group:		Development/PHP
URL:		https://pear.php.net/package/Cache_Lite
Source0:	https://pear.php.net/get/Cache_Lite-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.5.4
Requires(postun):	php-pear >= 1.5.4
BuildArch:	noarch

%description
This package is a little cache system optimized for file containers. It is
fast and safe (because it uses file locking and/or anti-corruption tests).

%prep
%setup -c -T
pear -v -c pearrc \
	-d php_dir=%{peardir} \
	-d doc_dir=/docs \
	-d bin_dir=%{_bindir} \
	-d data_dir=%{peardir}/data \
	-d test_dir=%{peardir}/tests \
	-d ext_dir=%{_libdir} \
	-s

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Cache_Lite.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Cache_Lite.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Cache_Lite
fi

%files
%doc docs/Cache_Lite/*
%{peardir}/*
%{xmldir}/Cache_Lite.xml
