%define  upstream_name Console_Color2
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	0.1.2
Release:	%mkrel 9
Summary:	This Class allows you to easily use ANSI console colors in your application
License:	MIT
Group:		Development/PHP
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
URL:		https://pear.phpunit.de/package/%upstream_name
Requires(post): php-pear
Requires(preun): php-pear
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch
Obsoletes:	php-pear-Console_Color

%description
You can use Console_Color::convert to transform colorcodes like %r into
ANSI
control codes. $console = new Console_Color2(); print
$console->convert("%rHello World!%n"); would print
"Hello World" in red, for example.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Console_Color2.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Console_Color2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Console_Color2
fi

%files
%doc docs/Console_Color2/*
%{peardir}/*
%{xmldir}/Console_Color2.xml
