%define upstream_name Console_Getopt
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Summary:	Command-line option parser
Name: 		php-pear-%{upstream_name}
Version: 	1.4.3
Release: 	%mkrel 1
License: 	PHP License
Group: 		Development/PHP
URL: 		https://pear.php.net/package/Console_Getopt
Source0: 	https://pear.php.net/get/Console_Getopt-%{version}.tgz
BuildRequires:  php-pear >= 1.4.7
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch: 	noarch

%description
This is a PHP implementation of "getopt" supporting both
short and long options.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Console_Getopt.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Console_Getopt.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Console_Getopt
fi

%files
%{peardir}/*
%{xmldir}/Console_Getopt.xml
