%define	upstream_name	Crypt_GPG
%define	peardir		%(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define	xmldir		/var/lib/pear


Name:		php-pear-%{upstream_name}
Version:	1.6.10
Release:	%mkrel 1
Summary:	GNU Privacy Guard (GnuPG)
License:	LGPL
Group:		Development/PHP
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
URL:		https://pear.php.net/package/Crypt_GPG
BuildRequires:	php-pear >= 1.4.7
Requires(pre):	php-pear
Requires:	php-pear-Console_CommandLine >= 1.1.10
BuildArch:	noarch

%description
This package provides an object oriented interface to GNU Privacy Guard
(GnuPG). It requires the GnuPG executable to be on the system.

Though GnuPG can support symmetric-key cryptography, this package is
intended only to facilitate public-key cryptography.

This package requires PHP version 5.2.1 or greater.

%prep
%setup -c -T
pear -v -c pearrc \
	-d php_dir=%{peardir} \
	-d doc_dir=/docs \
	-d bin_dir=%{_bindir} \
	-d data_dir=%{peardir}/data \
	-d test_dir=%{peardir}/tests \
	-d ext_dir=%{_libdir} \
	-s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Crypt_GPG.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Crypt_GPG.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Crypt_GPG
fi

%files
%doc docs/Crypt_GPG/*
%{_bindir}/crypt-gpg-pinentry
%{peardir}/*
%{xmldir}/Crypt_GPG.xml
