%global __requires_exclude pear\\(File/Util.php\\)
%define upstream_name File
%define xmldir  /var/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Name: 		php-pear-%{upstream_name}
Version: 	1.4.1
Release: 	%mkrel 9
Summary: 	Common file and directory routines
License: 	PHP
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/File-%{version}.tgz
URL: 		https://pear.php.net/package/File
BuildRequires: 	php-pear >= 1.4.7

BuildArch: noarch

%description
Provides easy access to read/write to files along with
some common routines to deal with paths.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File
fi

%files
%{peardir}/*
%{xmldir}/File.xml
