%define upstream_name File_DNS
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.1.0
Release:     	%mkrel 9
Summary:    	Manipulate RFC1033-style DNS Zonefiles
License: 	PHP License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/File_DNS-%{version}.tgz
URL: 		https://pear.php.net/package/File_DNS
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
The File_DNS class provides a way to read, edit and write RFC1033 style DNS
Zones.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_DNS.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_DNS.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File_DNS
fi

%files
%doc docs/File_DNS/*
%{peardir}/*
%{xmldir}/File_DNS.xml
