%global	__requires_exclude pear\\(PHPUnit/Framework.php\\)|pear\\(Smarty.class.php\\)|pear\\(HTML/Template/Flexy.php\\)
%define		_class		HTML
%define		_subclass	QuickForm
%define		upstream_name	%{_class}_%{_subclass}

%define 	peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	3.2.16
Release:	%mkrel 1
Summary:	Methods for creating, validating, processing HTML forms
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/HTML_QuickForm/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
#fix bug #9373 with patches from David Walser
Patch0:		HTML_QuickForm-3.2.14-errors.patch
Patch1:		HTML_QuickForm-3.2.14-moodle1.patch
Patch2:		HTML_QuickForm-3.2.14-moodle2.patch
Patch3:		HTML_QuickForm-3.2.14-moodle3.patch
Patch4:		HTML_QuickForm-3.2.14-raiseError.patch

Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear
BuildRequires:	mercurial
BuildRequires:	php-pear-HTML_Common

%description
The PEAR::HTML_QuickForm package provides methods for creating,
validating, processing HTML forms. Features:
- Creates xHTML compliant form elements of various type.
- Allows you to choose an unlimited number of html attributes.
- Allows you to create your own custom elements using your own
  classes.
- Process form values (you should override the process method).
- Creates javascript validation code using regular expression.
- Server-side validation too.
- Allows you to create your own validation rules.
- Manages file uploads.
- Allows you to freeze some elements in your form.
- Allows you to customize the look of your form in many ways.
- Template-like form elements customization...

%prep
%autosetup -S hg -c

pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

cat package.xml |sed 's/md5sum="[a-z0-9]*"//' > %{upstream_name}-%{version}/%{upstream_name}.xml
cd %{upstream_name}-%{version}




%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

# Install XML package description
install -d %{buildroot}%{xmldir}
install -m 644 %{upstream_name}.xml %{buildroot}%{xmldir}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{upstream_name}.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/%{upstream_name}
fi

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{xmldir}/%{upstream_name}.xml


