%global	__requires_exclude pear\\(PHPUnit/Framework.php\\)
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}/
%define		_class		HTML
%define		_subclass	QuickForm2
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	2.3.2
Release:	%mkrel 1
Summary:	Methods for creating, validating, processing HTML forms
License:	BSD
Group:		Development/PHP
URL:		https://pear.php.net/package/HTML_QuickForm2
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.5.4
Requires:	php-pear-HTML_Common2 >= 2.0.0
BuildArch:	noarch

%description
PHP5 rewrite of HTML_QuickForm and HTML_QuickForm_Controller packages.

 This package provides methods to create, validate and render HTML forms.

 Features:
   * Supports all form elements defined by HTML standard, provides several
     custom elements
   * Server-side and client-side validation, several common rules provided
   * Multipage forms (tabbed forms and wizards)
   * Pluggable elements, rules, renderers and renderer plugins

 Major advantages over PHP4 version:
   * Most of the package's functionality is covered by unit tests
   * DOM-like API for building the form structure, new streamlined API for
     elements' values handling
   * Default rendering without tables (inspired by
     HTML_QuickForm_Renderer_Tableless)
   * Renderer plugins for elements with complex rendering needs
   * Ability to chain validation rules with 'and' and 'or'
   * Client-side validation can run "live" on changing the form fields,
     validation errors are displayed near the fields instead of in alert()

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_QuickForm2.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_QuickForm2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_QuickForm2
fi

%files
%doc docs/HTML_QuickForm2/*
%{peardir}/*
%{xmldir}/HTML_QuickForm2.xml
