%define upstream_name HTML_QuickForm_ElementGrid
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.1.2
Release:     	%mkrel 9
Summary:    	An HTML_QuickForm meta-element which holds any other element in a grid
License: 	LGPL
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/HTML_QuickForm_ElementGrid-%{version}.tgz
URL: 		https://pear.php.net/package/HTML_QuickForm_ElementGrid
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-HTML_QuickForm >= 3.2.5
Requires:	php-pear-HTML_Table >= 1.7.5
Requires:	php-pear >= 1.4.3
BuildArch: 	noarch

%description
An HTML_QuickForm meta-element which holds multiple HTML_QuickForm elements
in an HTML_Table. The elements in the table should behave exactly like
normal elements in a form, such as freezing and getting defaults and
submitted values correctly.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_QuickForm_ElementGrid.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_QuickForm_ElementGrid.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_QuickForm_ElementGrid
fi

%files
%doc docs/HTML_QuickForm_ElementGrid/*
%{peardir}/*
%{xmldir}/HTML_QuickForm_ElementGrid.xml
