%global __requires_exclude pear\\(I18N/UnicodeString/Exception.php\\)
%define upstream_name I18N_UnicodeString
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.1
Release:     	%mkrel 8
Summary:    	Provides a way to work with self contained multibyte strings
License: 	BSD
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/I18N_UnicodeString-%{version}.tgz
URL: 		https://pear.php.net/package/I18N_UnicodeString
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Provides a method of storing and manipulating multibyte strings in PHP
without using ext/mbstring. Also allows conversion between various methods
of storing Unicode in 8 byte strings like UTF-8 and HTML entities.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/I18N_UnicodeString.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/I18N_UnicodeString.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/I18N_UnicodeString
fi

%files
%doc docs/I18N_UnicodeString/*
%{peardir}/*
%{xmldir}/I18N_UnicodeString.xml
