%define		_class		MIME
%define		_subclass	Type
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.4.1
Release:	%mkrel 6
Summary:	Utility class for dealing with MIME types
License:	LGPL
Group:		Development/PHP
URL:		https://pear.php.net/package/MIME_Type/
Source0: 	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0
BuildArch:	noarch


%description
Provide functionality for dealing with MIME types.
* Parse MIME type.
* Supports full RFC2045 specification.
* Many utility functions for working with and determining info about types.
* Most functions can be called statically.
* Autodetect a file's mime-type, either with fileinfo extension,
  mime_magic extension, the 'file' command or an in-built mapping list

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
rm -rf %{buildroot}%{peardir}/tests
mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/MIME_Type.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/MIME_Type.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/MIME_Type
fi

%files
%doc docs/MIME_Type/*
%{peardir}/*
%{xmldir}/MIME_Type.xml
