%global __requires_exclude pear\\(PHPUnit/Framework.php\\)
%define		_class		Mail
%define		_subclass	Mbox
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.6.3
Release:	%mkrel 12
Summary:	Mbox PHP class to Unix MBOX parsing and using
License:	LGPL
Group:		Development/PHP
URL:		https://pear.php.net/package/Mail_Mbox/
Source0: 	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch



%description
It can split messages inside a Mbox, return the number of messages, return,
  update or remove an specific message or add a message on the Mbox.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
rm -rf %{buildroot}%{peardir}/tests
mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Mail_Mbox.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Mail_Mbox.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Mail_Mbox
fi

%files
%doc docs/Mail_Mbox/*
%{peardir}/*
%{xmldir}/Mail_Mbox.xml
