%global		__requires_exclude pear\\(PHPUnit/Framework.php\\)
%define		_class		Math
%define		_subclass	Quaternion
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.8.0
Release:	%mkrel 12
Summary:	Classes that define Quaternions and their operations
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/Math_Quaternion/
Source0: 	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch


%description
Classes that represent and manipulate quaternions. Contain definitions
for basic arithmetic functions in a static class.
Quaternions are an extension of the idea of complex numbers, and
a quaternion is defined as: 
    q = a + b*i + c*j + d*k
In 1844 Hamilton described a system in which numbers were composed of
a real part and 3 imaginary and independent parts (i,j,k), such that:
    i^2 = j^2 = k^2 = -1       and
    ij = k, jk = i, ki = j     and
    ji = -k, kj = -i, ik = -j
The above are known as "Hamilton's rules"

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
rm -rf %{buildroot}%{peardir}/tests


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Math_Quaternion.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Math_Quaternion.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Math_Quaternion
fi

%files
%{peardir}/*
%{xmldir}/Math_Quaternion.xml
