%global	__requires_exclude  	pear\\(PHPUnit/Framework.php\\)
%define upstream_name Net_GeoIP
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.0
Release:     	%mkrel 13
Summary:    	Library to perform geo-location lookups of IP addresses
License: 	LGPL 2.1
Group: 		Development/PHP
URL: 		https://pear.php.net/package/Net_GeoIP
Source0: 	https://pear.php.net/get/Net_GeoIP-%{version}.tgz
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
A library that uses Maxmind's GeoIP databases to accurately determine
geographic location of an IP address.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
rm -rf %{buildroot}%{peardir}/tests


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_GeoIP.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_GeoIP.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_GeoIP
fi

%files
%{peardir}/*
%{xmldir}/Net_GeoIP.xml
