%define upstream_name Net_LDAP2
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.2.0
Release:     	%mkrel 5
Summary:    	Object oriented interface for searching and manipulating LDAP-entries
License: 	LGPLv3 License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/Net_LDAP2-%{version}.tgz
URL: 		https://pear.php.net/package/Net_LDAP2
BuildRequires:	php-pear >= 1.4.7
BuildArch: noarch
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
Net_LDAP2 is the successor of Net_LDAP which is a clone of Perls Net::LDAP
                object interface to directory servers. It does contain most
of Net::LDAPs
                features but has some own too.
                 With Net_LDAP2 you have:
                 * A simple object-oriented interface to connections,
searches entries and filters.
                 * Support for TLS and LDAP v3.
                 * Simple modification, deletion and creation of LDAP
entries.
                 * Support for schema handling.

                 Net_LDAP2 layers itself on top of PHP's existing ldap
extensions.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
rm -rf %{buildroot}%{peardir}/tests 
mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_LDAP2.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_LDAP2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_LDAP2
fi

%files
%doc docs/Net_LDAP2/*
%{peardir}/*
%{xmldir}/Net_LDAP2.xml
