%define		_class		Net
%define		_subclass	NNTP
%define		upstream_name	%{_class}_%{_subclass}
%define		peardir	%(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define		xmldir	/var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.5.2
Release:	%mkrel 4
Summary:	NNTP implementation
License:	W3C
Group:		Development/PHP
URL:		https://pear.php.net/package/Net_NNTP/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.5
BuildArch:	noarch
%global	__requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
PEAR's package for communication with NNTP/Usenet servers.
Net_NNTP handles the connection and protocol level commands (RFC977),
including many commonly implemented non-standard commands (RFC2980).
Net_NNTP includes an user-friendly API for intermediate user, who don't
want to work directly at the command level. However, Net_NNTP does require
some knowledge about the NNTP protocol (RFC 977), and general knowledge
about email (RFC(2)822) and MIME (2045-2048), since any handling of both
content and headers is left up to the user!
The protocol implementation does not parse the actual article data, but at
the command level it splits returned data at protocol specified boundaries
where appropriate.

%prep
%setup -c -T
pear -v -c pearrc \
	-d php_dir=%{peardir} \
	-d doc_dir=/docs \
	-d bin_dir=%{_bindir} \
	-d data_dir=%{peardir}/data \
	-d test_dir=%{peardir}/tests \
	-d ext_dir=%{_libdir} \
	-s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_NNTP.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_NNTP.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_NNTP
fi

%files
%doc docs/Net_NNTP/*
%{peardir}/*
%{xmldir}/Net_NNTP.xml
