%define upstream_name Net_SMPP
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.4.5
Release:     	%mkrel 11
Summary:    	SMPP v3.4 protocol implementation
License: 	PHP License v3.0
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/Net_SMPP-%{version}.tgz
URL: 		https://pear.php.net/package/Net_SMPP
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.4.0b1
BuildArch: noarch
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
Net_SMPP is an implementation of the SMPP (Short Message Peer-to-Peer) v3.4
protocol. SMPP is an open protocol used in the wireless industry to send
and receive SMS messages.
Net_SMPP does not provide a SMPP client or server, but they can easily be
built with it.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_SMPP.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_SMPP.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_SMPP
fi

%files
%doc docs/Net_SMPP/*
%{peardir}/*
%{xmldir}/Net_SMPP.xml
