%define upstream_name Net_Socket
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Name: 		php-pear-%{upstream_name}
Version:     	1.2.2
Release:     	%mkrel 4
Summary:    	Network Socket Interface
License:    	PHP License
Group:       	Development/PHP
URL:         	https://pear.horde.org/#net_socket
Source0: 	https://pear.php.net/get/Net_Socket-%{version}.tgz
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Net_Socket is a class interface to TCP sockets.  It provides blocking
  and non-blocking operation, with different reading and writing modes
  (byte-wise, block-wise, line-wise and special formats like network
  byte-order ip addresses).

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_Socket.xml
mkdir -p %{buildroot}%{_defaultdocdir}
mv %{buildroot}/docs/Net_Socket %{buildroot}%{_defaultdocdir}/php-pear-Net_Socket


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_Socket.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_Socket
fi

%files
%doc LICENSE README.md
%{peardir}/*
%{xmldir}/Net_Socket.xml
