%define upstream_name Net_Traceroute
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.21.3
Release:     	%mkrel 9
Summary:    	Execute traceroute
License: 	PHP License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/Net_Traceroute-%{version}.tgz
URL: 		https://pear.php.net/package/Net_Traceroute
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
OS independent wrapper class for executing traceroute calls

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_Traceroute.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_Traceroute.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_Traceroute
fi

%files
%doc docs/Net_Traceroute/*
%{peardir}/*
%{xmldir}/Net_Traceroute.xml
