%define upstream_name Net_URL2
%define xmldir	%{_var}/lib/pear
%define peardir	%(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	2.2.3
Release:	%mkrel 1
Summary:	Class for parsing and handling URL
License:	BSD
Group:		Development/PHP
Source0:	https://pear.php.net/get/Net_URL2-%{version}.tgz
URL:		https://pear.php.net/package/Net_URL2
BuildRequires:	php-pear >= 1.4.7
Requires:		php-pear
Requires(postun):	php-pear

BuildArch:	noarch

%description
Provides parsing of URLs into their constituent parts (scheme, host, path
etc.), URL generation, and resolving of relative URLs.

%prep
%setup -c -T
pear -v -c pearrc \
	-d php_dir=%{peardir} \
	-d doc_dir=/docs \
	-d bin_dir=%{_bindir} \
	-d data_dir=%{peardir}/data \
	-d test_dir=%{peardir}/tests \
	-d ext_dir=%{_libdir} \
	-s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
rm -rf %{buildroot}%{peardir}/tests
mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_URL2.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_URL2.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_URL2
fi

%files
%doc docs/Net_URL2/*
%{peardir}/*
%{xmldir}/Net_URL2.xml
