%define upstream_name Net_Whois
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.6
Release:     	%mkrel 3
Summary:    	Net_Whois class provides a tool to query internet domain name and network number directory services
License: 	PHP
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/Net_Whois-%{version}.tgz
URL: 		https://pear.php.net/package/Net_Whois
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-Net_Socket
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
The PEAR::Net_Whois looks up records in the databases maintained by several
Network Information Centers (NICs).

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_Whois.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_Whois.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_Whois
fi

%files
%{peardir}/*
%{xmldir}/Net_Whois.xml
