%define		_class		System
%define		_subclass	Command
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.0.8
Release:	%mkrel 8
Summary:	System_Command is a commandline execution interface
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/System_Command/
Source0: 	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch


%description
System_Command is a commandline execution interface. Running functions from
the commandline can be risky if the proper precautions are not taken to
escape the shell arguments and reaping the exit status properly. This class
provides a formal interface to both, so that you can run a system command
as comfortably as you would run a php function, with full pear error
handling as results on failure. It is important to note that this class,
unlike other implementations, distinguishes between output to stderr and
output to stdout. It also reports the exit status of the command. So in
every sense of the word, it gives php shell capabilities.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/System_Command.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/System_Command.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/System_Command
fi

%files
%doc docs/System_Command/*
%{peardir}/*
%{xmldir}/System_Command.xml
