%define upstream_name XML_RPC2
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.5
Release:     	%mkrel 1
Summary:    	RPC client/server library
License: 	PHP License 3.02
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/XML_RPC2-%{version}.tgz
URL: 		https://pear.php.net/package/XML_RPC2
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-HTTP_Request2 >= 0.6.0
Requires:	php-pear-Cache_Lite >= 1.6.0
Requires:	php-pear >= 1.5.4
BuildArch: 	noarch

%description
XML_RPC2 is a pear package providing XML_RPC client and server services.
XML-RPC is a simple remote procedure call protocol built using HTTP as
transport and XML as encoding.
    As a client library, XML_RPC2 is capable of creating a proxy class
which exposes the methods exported by the server. As a server library,
XML_RPC2 is capable of exposing methods from a class or object instance,
seamlessly exporting local methods as remotely callable procedures.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_RPC2.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_RPC2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_RPC2
fi

%files
%doc docs/XML_RPC2/*
%{peardir}/*
%{xmldir}/XML_RPC2.xml
