%define upstream_name XML_Tree
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.0
Release:     	%mkrel 9
Summary:    	Represent XML data in a tree structure
License: 	PHP License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/XML_Tree-%{version}RC3.tgz
URL: 		https://pear.php.net/package/XML_Tree
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-XML_Parser >= 1.1.0
Requires:	php-pear >= 1.4.7
BuildArch: 	noarch
Epoch:		1

%description
Allows for the building of XML data structures using a tree
representation, without the need for an extension like DOMXML.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_Tree.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_Tree.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_Tree
fi

%files
%doc docs/XML_Tree/*
%{peardir}/*
%{xmldir}/XML_Tree.xml
