# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname pear
%global	__requires_exclude pear\\((PHPUnit.*|PEAR.*)\\)
%define Archive_Tar_version 1.5.0
%define Console_Getopt_version 1.4.3
%define Structures_Graph_version 1.1.1
%define XML_Util_version 1.4.5
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	PHP Extension and Application Repository
Name:		php%{phplong}-%{modname}
Epoch:		1
Version:	1.10.16
Release:	%mkrel 2
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/PEAR/
Source0:	https://pear.php.net/get/PEAR-%{version}.tgz
Source1:	install-pear.php
Source2:	relocate.php
Source3:	strip.php
Source4:	LICENSE
Source5:	pear.script
Source10:	pear.sh
Source11:	pecl.sh
Source12:	peardev.sh
Source21:	https://pear.php.net/get/Archive_Tar-%{Archive_Tar_version}.tgz
Source22:	https://pear.php.net/get/Console_Getopt-%{Console_Getopt_version}.tgz
Source23:	https://pear.php.net/get/Structures_Graph-%{Structures_Graph_version}.tgz
Source24:	https://pear.php.net/get/XML_Util-%{XML_Util_version}.tgz
BuildRequires:	php-cli
Obsoletes:	php-pear-Console_Getopt < %{Console_Getopt_version}
Obsoletes:	php-pear-Archive_Tar < %{Archive_Tar_version}
Obsoletes:	php-pear-Structures_Graph < %{Structures_Graph_version}
Obsoletes:	php-pear-XML_Util < %{XML_Util_version}
Obsoletes:	php%{phplong}-%{modname} <= 3:%{phplong}
BuildArch:	noarch
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Requires:	php%{phplong}-cli
Requires:	php%{phplong}-filter
Requires:	php%{phplong}-zlib
Requires:	php%{phplong}-openssl
Provides:	php-%{modname} = %{version}
Provides:	php-pear-Console_Getopt = %{Console_Getopt_version}
Provides:	pear(Console/Getopt.php) = %{Console_Getopt_version}
Provides:	php-pear-Archive_Tar = %{Archive_Tar_version}
Provides:	php-pear-Structures_Graph = %{Structures_Graph_version}
Provides:	php-pear-XML_Util = %{XML_Util_version}
Provides:	php-pear = %{epoch}:%{version}
# the russian roulette fix - start
# this reduces breakage going from php-pear-5.2.x
Provides:	pear = %{epoch}:%{version}
Provides:	php-pear-PEAR = %{epoch}:%{version}
Provides:	php-pear-PEAR-Command = %{epoch}:%{version}
Provides:	php-pear-PEAR-Frontend_CLI = %{epoch}:%{version}
Provides:	php-pear-PEAR-OS = %{epoch}:%{version}

%description 
PEAR is short for "PHP Extension and Application Repository" and is pronounced
just like the fruit. The purpose of PEAR is to provide:

 * A structured library of open-sourced code for PHP users
 * A system for code distribution and package maintenance
 * A standard style for code written in PHP
 * The PHP Foundation Classes (PFC)
 * The PHP Extension Code Library (PECL)
 * A web site, mailing lists and download mirrors to support the PHP/PEAR
   community

%prep
%setup -q -cT

# Create a usable PEAR directory (used by install-pear.php)
for archive in %{SOURCE0} %{SOURCE21} %{SOURCE22} %{SOURCE23} %{SOURCE24}; do
    tar xzf $archive --strip-components 1
    cp $archive .
    gunzip `basename $archive`
done
tar xzf %{SOURCE24} package.xml
mv package.xml XML_Util.xml

%autopatch -p1

%build

%install
export PHP_PEAR_SYSCONF_DIR=%{_sysconfdir}
export PHP_PEAR_SIG_KEYDIR=%{_sysconfdir}/pearkeys
export PHP_PEAR_SIG_BIN=%{_bindir}/gpg
export PHP_PEAR_INSTALL_DIR=%{_datadir}/pear

# 1.4.11 tries to write to the cache directory during installation
# so it's not possible to set a sane default via the environment.
# The ${PWD} bit will be stripped via relocate.php later.
export PHP_PEAR_CACHE_DIR=${PWD}%{_localstatedir}/cache/php-pear
export PHP_PEAR_TEMP_DIR=/var/tmp

install -d \
    %{buildroot}%{_datadir}/pear \
    %{buildroot}%{_localstatedir}/cache/php-pear \
    %{buildroot}%{_localstatedir}/www/html \
    %{buildroot}%{_datadir}/pear/.pkgxml \
    %{buildroot}%{_sysconfdir}/rpm \
    %{buildroot}%{_sysconfdir}/pear \
	%{buildroot}%{_bindir}

export INSTALL_ROOT=%{buildroot}

%{_bindir}/php \
    -n -dmemory_limit=64M -dshort_open_tag=0 -dsafe_mode=0 \
    -derror_reporting=E_ALL -ddetect_unicode=0 \
    %{SOURCE1} --force \
    --dir		%{buildroot}%{_datadir}/pear \
    --config	%{buildroot}%{_sysconfdir}/pear \
    --cache		%{buildroot}%{_localstatedir}/cache/php-pear \
    --bin		%{buildroot}%{_bindir} \
    --metadatadir %{buildroot}%{_datadir}/pear \
    --www		%{buildroot}%{_localstatedir}/www/html \
    `basename -s .tgz %{SOURCE0}`.tar `basename -s .tgz %{SOURCE20}`.tar `basename -s .tgz %{SOURCE21}`.tar `basename -s .tgz %{SOURCE22}`.tar `basename -s .tgz %{SOURCE23}`.tar `basename -s .tgz %{SOURCE24}`.tar

# Replace /usr/bin/* with simple scripts:
install -m 755 %{SOURCE10} %{buildroot}%{_bindir}/pear
install -m 755 %{SOURCE11} %{buildroot}%{_bindir}/pecl
install -m 755 %{SOURCE12} %{buildroot}%{_bindir}/peardev
install -m 644 scripts/*.php %{buildroot}%{_datadir}/pear

# Sanitize the pear.conf
%{_bindir}/php -n %{SOURCE2} %{buildroot}%{_sysconfdir}/pear.conf %{buildroot} |
%{_bindir}/php -n %{SOURCE2} php://stdin $PWD > new-pear.conf
%{_bindir}/php -n %{SOURCE3} new-pear.conf ext_dir |
%{_bindir}/php -n %{SOURCE3} php://stdin http_proxy > %{buildroot}%{_sysconfdir}/pear.conf

%{_bindir}/php -r "print_r(unserialize(substr(file_get_contents('%{buildroot}%{_sysconfdir}/pear.conf'),17)));"

#Sanitize the registry
for file in `ls %{buildroot}%{_datadir}/pear/.registry/*.reg`; do
	%{_bindir}/php -n %{SOURCE2} ${file} %{buildroot} |
	%{_bindir}/php -n %{SOURCE2} php://stdin $PWD > tmp.reg
	mv tmp.reg ${file}
done

install -m 644 -c %{SOURCE4} LICENSE

# Why this file here ?
rm -rf %{buildroot}/.depdb* %{buildroot}/.lock %{buildroot}/.channels %{buildroot}/.filemap

#remove buildroot duplicate
rm -rf %{buildroot}/%{buildroot}
rm -rf %{buildroot}%{_datadir}/pear/test

# Need for re-registrying XML_Util
install -m 644 XML_Util.xml %{buildroot}%{_datadir}/pear/.pkgxml/

# for filetriggers:
install -d -m 755 %{buildroot}%{_prefix}/lib/rpm/
install -m 755 %{SOURCE5} \
    %{buildroot}%{_datadir}/pear/pear.script

%check
# Check that no bogus paths are left in the configuration, or in
# the generated registry files.
[ `grep -c %{buildroot} %{buildroot}%{_sysconfdir}/pear.conf` -eq 0 ]
[ `grep -c %{_libdir} %{buildroot}%{_sysconfdir}/pear.conf` -eq 0 ]
[ `grep -c '"/tmp"' %{buildroot}%{_sysconfdir}/pear.conf` -eq 0 ]
[ `grep -c /usr/local %{buildroot}%{_sysconfdir}/pear.conf` -eq 0 ]
[ `grep -rl %{buildroot} %{buildroot}|wc -l` -eq 0 ]

# Register newly installed PECL packages
%transfiletriggerin --  %{_datadir}/pear/packages/
%{_datadir}/pear/pear.script

%files
%doc LICENSE README.rst
%dir %{_sysconfdir}/pear
%config(noreplace) %{_sysconfdir}/pear.conf
%{_datadir}/pear
%{_bindir}/*
%dir %{_localstatedir}/cache/php-pear
