%define base_name   phpmailer
%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:       php-%{base_name}
Version:    6.9.3
Release:    %mkrel 1
Summary:    Full-featured email creation and transfer class for PHP
License:    LGPLv2+
Group:      Development/Other
URL:        https://github.com/PHPMailer/PHPMailer
Source:     https://github.com/PHPMailer/PHPMailer/archive/refs/tags/v%{version}.zip
BuildArch:  noarch
# From composer.json, "require": {
#    "require": {
#        "php": ">=5.5.0",
#        "ext-ctype": "*",
#        "ext-filter": "*"
Requires:       php >= 5.5
Requires:       php-ctype
Requires:       php-filter
# from phpcompatinfo report on version 6.0.1
Requires:       php-hash
Requires:       php-imap
Requires:       php-intl
Requires:       php-mbstring
Requires:       php-openssl
Requires:       php-pcre
Requires:       php-composer(fedora/autoloader)
Provides:       php-composer(phpmailer/phpmailer) = %{version}
Recommends:     php-composer(psr/log)

%description
PHP email transport class featuring multiple file attachments, SMTP servers,
CCs, BCCs, HTML messages, and word wrap, and more. It can send email via
sendmail, PHP mail(), or with SMTP. Methods are based on the popular AspEmail
active server component.

Autoloader: %{php_libdir}/PHPMailer/autoload.php

%prep
%setup -q -n PHPMailer-%{version}

%build

%install
install -d -m 755 %{buildroot}%{php_libdir}/PHPMailer
cp -pr src/*.php %{buildroot}%{php_libdir}/PHPMailer
cp -pr language %{buildroot}%{php_libdir}/PHPMailer

cat > %{buildroot}%{php_libdir}/PHPMailer/autoload.php <<'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('PHPMailer\\PHPMailer\\', __DIR__);
\Fedora\Autoloader\Dependencies::optional(array(
    '%{php_libdir}/Psr/Log/autoload.php',
));
EOF

%files
%doc LICENSE
%doc *.md
%{php_libdir}/PHPMailer
