# inspired from fedora spec file
# Copyright (c) 2015 Shawn Iwinski <shawn.iwinski@gmail.com>
# License: MIT
# https://opensource.org/licenses/MIT

%define github_name      Pimple
%define composer_name    pimple
%define composer_vendor  pimple
%define _disable_ld_no_undefined 1

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:          php-%{composer_name}
Version:       3.5.0
Release:       %mkrel 1
Summary:       A simple dependency injection container for PHP (extension)
Group:         Development/PHP
License:       MIT
# This URL is no longer available
URL:           http://pimple.sensiolabs.org
Source0:       https://github.com/silexphp/Pimple/archive/refs/tags/v%{version}.tar.gz
BuildArch:     noarch
# composer.json
Requires:  php >= 5.3.0
Requires:  php-composer(psr/container) >= 1.0
## Autoloader
Requires:  php-composer(fedora/autoloader)
Provides:  php-composer(%{composer_vendor}/%{composer_name}) = %{version}
# Drop extension
Obsoletes: php-pimple-lib

%description
%{summary}.

Autoloader: %{php_libdir}/Pimple/autoload.php

%prep
%setup -qn %{github_name}-%{version}

%build
cat > src/Pimple/autoload.php <<'EOF'
<?php
 /* Autoloader for %{name} and its dependencies */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Pimple\\', __DIR__);

\Fedora\Autoloader\Dependencies::required(array(
    '%{php_libdir}/Psr/Container/autoload.php',
));
EOF

%install
# Library
mkdir -p %{buildroot}/%{php_libdir}/
cp -rp src/Pimple %{buildroot}/%{php_libdir}/

%files
%doc LICENSE CHANGELOG README.rst composer.json
%{php_libdir}/Pimple
%exclude %{php_libdir}/Pimple/Tests
