# inspired from fedora spec file
# Copyright (c) 2014-2016 Shawn Iwinski <shawn.iwinski@gmail.com>
# License: MIT
# https://opensource.org/licenses/MIT

%define github_name     http-message
%define composer_name   http-message
%define composer_vendor psr

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:          php-%{composer_vendor}-%{composer_name}
Version:       2.0
Release:       %mkrel 1
Summary:       Common interface for HTTP messages (PSR-7)
License:       MIT
Group:         Development/PHP
URL:           https://github.com/php-fig/http-message
Source0:       https://github.com/php-fig/http-message/archive/refs/tags/%{version}.tar.gz
# phpcompatinfo
Requires:      php >= 5.3.0
# autoloader
Requires:  php-composer(fedora/autoloader)
Provides:  php-composer(%{composer_vendor}/%{composer_name}) = %{version}
BuildArch: noarch

%description
This package holds all interfaces/classes/traits related to PSR-7 [1].

Note that this is not a HTTP message implementation of its own. It is merely an
interface that describes a HTTP message. See the specification for more details.

Autoloader: %{php_libdir}/Psr/Http/Message/autoload.php

[1] https://www.php-fig.org/psr/psr-7/


%prep
%setup -qn %{github_name}-%{version}

%build

%install
mkdir -p %{buildroot}%{php_libdir}/Psr/Http/Message
cp -rp src/* %{buildroot}%{php_libdir}/Psr/Http/Message/

cat > %{buildroot}%{php_libdir}/Psr/Http/Message/autoload.php <<'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Psr\\Http\\Message\\', __DIR__);
EOF

%files
%doc LICENSE *.md composer.json
%{php_libdir}/Psr
