# inspired from fedora spec file
# Copyright (c) 2013-2016 Shawn Iwinski <shawn.iwinski@gmail.com>
# License: MIT
# https://opensource.org/licenses/MIT

%define github_name     log
%define composer_name   log
%define composer_vendor psr

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:      php-%{composer_vendor}-%{composer_name}
Version:   3.0.2
Release:   %mkrel 1
Summary:   Common interface for logging libraries
Group:     Development/PHP
License:   MIT
URL:       https://www.php-fig.org/psr/psr-3/
Source0:   https://github.com/php-fig/log/archive/refs/tags/%{version}.tar.gz
# composer.json
Requires:  php >= 5.3.0
# autoloader
Requires:  php-composer(fedora/autoloader)
Provides:  php-composer(%{composer_vendor}/%{composer_name}) = %{version}
BuildArch: noarch

%description
This package holds all interfaces/classes/traits related to PSR-3 [1].

Note that this is not a logger of its own. It is merely an interface that
describes a logger. See the specification for more details.

[1] https://www.php-fig.org/psr/psr-3/

Autoloader: %{php_libdir}/Psr/Log/autoload.php

%prep
%setup -qn %{github_name}-%{version}


%build

%install
mkdir -p %{buildroot}%{php_libdir}/Psr/Log
cd src
cp -pr * %{buildroot}%{php_libdir}/Psr/Log/

cat > %{buildroot}%{php_libdir}/Psr/Log/autoload.php <<'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{_datadir}/php/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Psr\\Log\\', __DIR__);
EOF

%files
%doc LICENSE
%doc README.md
%doc composer.json
%{_datadir}/php/Psr
