# Copyright (c) 2017-2018 Shawn Iwinski <shawn@iwin.ski>
# License: MIT
# https://opensource.org/licenses/MIT

%global github_name     simple-cache
%global composer_name   simple-cache
%global composer_vendor psr

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:          php-%{composer_vendor}-%{composer_name}
Version:       3.0.0
Release:       %mkrel 1
Summary:       Common interfaces for simple caching (PSR-16)
License:       MIT
Group:         Development/PHP
URL:           https://www.php-fig.org/psr/psr-16/
Source0:       https://github.com/php-fig/simple-cache/archive/simple-cache-%{version}.tar.gz
BuildArch:     noarch

# composer.json
Requires:      php >= 5.3.0
# Autoloader
BuildRequires: php-composer(fedora/autoloader)
Requires:      php-composer(fedora/autoloader)
Provides:      php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
This repository holds all interfaces related to PSR-16.

Note that this is not a cache implementation of its own. It is merely an
interface that describes a cache implementation. See the specification [1]
for more details.

You can find implementations of the specification by looking for packages
providing the psr/simple-cache-implementation [2] virtual package.

Autoloader: %{php_libdir}/Psr/SimpleCache/autoload.php

[1] https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-16-simple-cache.md
[2] https://packagist.org/providers/psr/simple-cache-implementation

%prep
%setup -qn %{github_name}-%{version}

%build
cat >> src/autoload.php <<'EOF'
<?php
/**
 * Autoloader for %{name} and its dependencies
 * (created by %{name}-%{version}-%{release}).
 */
require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Psr\\SimpleCache\\', __DIR__);
EOF


%install
mkdir -p %{buildroot}%{php_libdir}/Psr
cp -rp src %{buildroot}%{php_libdir}/Psr/SimpleCache


%files
%doc LICENSE.md
%doc README.md
%doc composer.json
%dir %{php_libdir}/Psr
 %{php_libdir}/Psr/SimpleCache
