# Spec file for php-endroid-qrcode
#
# Copyright (c) 2013-2014 Remi Collet
# License: CC-BY-SA
# https://creativecommons.org/licenses/by-sa/3.0/
#
# Please, preserve the changelog entries
#
#%%global gh_commit    6a8aec204688d36681e0185fbaf1974b97e4a070
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     endroid
%global gh_project   qrcode
%global with_tests   %{?_without_tests:0}%{!?_without_tests:1}

Name:           php-%{gh_project}
Summary:        Endroid QR Code Generator
Version:        4.4.8
Release:        %mkrel 1

URL:            https://github.com/%{gh_owner}/%{gh_project}
Source0:        https://github.com/%{gh_owner}/%{gh_project}/archive/%{version}.tar.gz
License:        MIT
Group:          Development/PHP
BuildArch:      noarch

%if %{with_tests}
BuildRequires:  php >= 5.4
%endif

# From composer.json
Requires:       php >= 5.4
Requires:       php-gd

Obsoletes:      php-endroid-qrcode < 1.5.4-2
Provides:       php-endroid-qrcode = %{version}-%{release}
Obsoletes:      php-qr-code < 3.4.4-3
Obsoletes:      php-QrCode < 2.4.0-4

%description
This library based on QRcode Perl CGI & PHP scripts by Y.
Swetake helps you generate images containing a QR code.

%prep
%setup -q -n qr-code-%{version}

%install
# Install as a PSR-0 library
mkdir -p %{buildroot}%{_datadir}/php/Endroid/QrCode/
cp -pr assets %{buildroot}%{_datadir}/php/Endroid/.
cp -pr src/* %{buildroot}%{_datadir}/php/Endroid/QrCode/.

%check

%files
%doc composer.json LICENSE README.md
%dir %{_datadir}/php/Endroid
%{_datadir}/php/Endroid/assets
%{_datadir}/php/Endroid/QrCode


