# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname redis
%define soname %{modname}.so
%define inifile A91_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
# define beta RC2
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Name:		php%{phplong}-%{modname}
Version:	6.2.0
Release:	%mkrel 1
Summary:	The phpredis extension provides an API for communicating with the Redis key-value store
Group:		Development/PHP
License:	PHP License
URL:		https://github.com/nicolasff/phpredis
Source0:	https://github.com/nicolasff/phpredis/archive/%{version}.tar.gz
Source1:	redis.ini
BuildRequires:	php-devel >= 3:%{phplong}.0
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description -n php%{phplong}-%{modname}
The phpredis extension provides an API for communicating with the Redis key-value store

%prep
%setup -q -n phpredis-%{version}
%autopatch -p1

%build
%serverbuild
%{_bindir}/phpize
%configure --with-libdir=%{_lib} \
  --enable-%{modname}=shared,%{_prefix}
%make_build

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 modules/%{soname} %{buildroot}%{extdir}/
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}


%files
%doc CREDITS
%config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/redis.so
