# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define realname RRD
%define modname rrd
%define soname %{modname}.so
%define inifile 61_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	The %{realname} module for PHP
Name:		php%{phplong}-%{modname}
Version:	2.0.3
Release:	%mkrel 13
Group:		Development/PHP
License:	BSD
URL:		https://pecl.php.net/package/rrd
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(librrd) >= 1.2.7
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	php-devel >= 3:%{phplong}.0
BuildRequires:  mercurial
Patch1:		pointer.patch
Obsoletes:	php-rrdtool < 1

Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description
The php-rrd package is a dynamic shared object (DSO) that adds RRD
support to PHP.

%prep

%autosetup -S hg  -n %{modname}-%{version}

%build
phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/

%{__cat} > README.%{modname} << EOF
The php-rrd package contains a dynamic shared object (DSO) for PHP.
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
