# inspired from fedora spec file
# Copyright (c) 2016-2017 Remi Collet
# License: CC-BY-SA
# https://creativecommons.org/licenses/by-sa/4.0/

%define github_name     sabre-uri
%define composer_name   uri
%define composer_vendor sabre

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Summary:        Functions for making sense out of URIs
Version:        3.0.0
Release:        %mkrel 1
License:        BSD
Group:          Development/PHP
URL:            https://sabre.io/uri
Source0:        https://github.com/sabre-io/uri/archive/refs/tags/%{version}.tar.gz
Source1:        %{name}-autoload.php
BuildArch:      noarch
# From composer.json, "require" : {
#        "php": ">=5.4.7"
Requires:       php > 5.4.7
# From phpcompatinfo report for version 1.1.0
Requires:       php-pcre
# Autoloader
Requires:       php-composer(fedora/autoloader)

Provides:       php-composer(sabre/uri) = %{version}

%description
sabre/uri is a lightweight library that provides several functions for
working with URIs, staying true to the rules of RFC3986.

Partially inspired by Node.js URL library, and created to solve real
problems in PHP applications. 100% unit tested and many tests are based
on examples from RFC3986.

The library provides the following functions:
* resolve to resolve relative urls.
* normalize to aid in comparing urls.
* parse, which works like PHP's parse_url.
* build to do the exact opposite of parse.
* split to easily get the 'dirname' and 'basename' of a URL without
  all the problems those two functions have.

Autoloader: %{php_libdir}/Sabre/Uri/autoload.php

%prep
%setup -qn uri-%{version}
cp %{SOURCE1} lib/autoload.php

%build

%install
mkdir -p %{buildroot}%{php_libdir}/Sabre
cp -pr lib %{buildroot}%{php_libdir}/Sabre/Uri

%files
%doc LICENSE
%doc composer.json
%dir %{php_libdir}/Sabre
%{php_libdir}/Sabre/Uri
