# inspired from fedora spec file
# Copyright (c) 2013-2017 Remi Collet
# License: CC-BY-SA
# https://creativecommons.org/licenses/by-sa/4.0/

%define github_name     vobject
%define composer_name   vobject
%define composer_vendor sabre

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Summary:        Library to parse and manipulate iCalendar and vCard objects
Version:        4.4.1
Release:        %mkrel 1
License:        BSD
Group:          Development/PHP
URL:            https://sabre.io/vobject/
Source0:        https://github.com/sabre-io/vobject/archive/refs/tags/%{version}.tar.gz
Source1:        %{name}-autoload.php

# replace composer autloader
#Patch0:         sabre-vobject-bin.patch

BuildArch:      noarch

# From composer.json, "require"
#        "php"          : ">=5.5",
#        "ext-mbstring" : "*",
#        "sabre/xml"    : ">=1.5 <3.0"
Requires:       php >= 3:7.0.0
Requires:       php-mbstring
Requires:       php-composer(sabre/xml)     >= 1.5
# From phpcompatinfo report for version 4.1.2
Requires:       php-json
Requires:       php-pcre
Requires:       php-xml
# Autoloader
Requires:       php-composer(fedora/autoloader)

Provides:       php-composer(sabre/vobject) = %{version}


%description
The VObject library allows you to easily parse and manipulate iCalendar
and vCard objects using PHP. The goal of the VObject library is to create
a very complete library, with an easy to use API.

This project is a spin-off from SabreDAV, where it has been used for several
years. The VObject library has 100% unittest coverage.

Autoloader: %{php_libdir}/Sabre/VObject/autoload.php


%prep
%setup -qn %{github_name}-%{version}

#patch -P 0 -p1 -b .rpm
cp %{SOURCE1} lib/autoload.php

%build

%install
# Install as a PSR-0 library
mkdir -p %{buildroot}%{php_libdir}/Sabre
cp -pr lib %{buildroot}%{php_libdir}/Sabre/VObject

# Install the commands
install -Dpm 0755 bin/vobject \
    %{buildroot}/%{_bindir}/vobject
install -Dpm 0755 bin/generate_vcards \
    %{buildroot}/%{_bindir}/generate_vcards


%files
%doc LICENSE
%doc *md
%doc composer.json
%{php_libdir}/Sabre/VObject
%{_bindir}/vobject
%{_bindir}/generate_vcards
