# inspired from fedora spec file
# Copyright (c) 2016 Remi Collet
# License: CC-BY-SA
# https://creativecommons.org/licenses/by-sa/4.0/

%define github_name     sabre-xml
%define composer_name   xml
%define composer_vendor sabre

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Summary:        XML library that you may not hate
Version:        4.0.0
Release:        %mkrel 1
License:        BSD
Group:          Development/PHP
URL:            https://sabre.io/xml
Source0:        https://github.com/sabre-io/xml/archive/refs/tags/%{version}.tar.gz
Source1:        %{name}-autoload.php
BuildArch:      noarch
# From composer.json, "require" : {
#        "php" : ">=5.5.5",
#        "ext-xmlwriter" : "*",
#        "ext-xmlreader" : "*",
#        "ext-dom" : "*",
#        "lib-libxml" : ">=2.6.20",
#        "sabre/uri" : ">=1.0,<3.0.0"
Requires:       php >= 5.5.5
Requires:       php-xmlwriter
Requires:       php-xmlreader
Requires:       php-dom
Requires:       php-composer(sabre/uri) >= 1.0
# From phpcompatinfo report for version 1.4.0
Requires:       php-pcre
# Autoloader
Requires:       php-composer(fedora/autoloader)

Provides:       php-composer(sabre/xml) = %{version}


%description
The sabre/xml library is a specialized XML reader and writer.

Autoloader: %{php_libdir}/Sabre/Xml/autoload.php

%prep
%setup -qn xml-%{version}
cp %{SOURCE1} lib/autoload.php

%build

%install
mkdir -p %{buildroot}%{php_libdir}/Sabre
cp -pr lib %{buildroot}%{php_libdir}/Sabre/Xml

%files
%doc LICENSE
%doc *md
%doc composer.json
%{php_libdir}/Sabre/Xml
