# Copyright (c) 2012-2018 Shawn Iwinski <shawn.iwinski@gmail.com>
#                         Remi Collet <remi@fedoraproject.org>
#                         Christian Glombek <christian.glombek@rwth-aachen.de>
# License: MIT
# https://opensource.org/licenses/MIT

%define github_name     scssphp
%define composer_name   scssphp
%define composer_vendor leafo

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:          php-%{github_name}
Version:       1.11.0
Release:       %mkrel 1
Summary:       A compiler for SCSS written in PHP
License:       MIT
Group:         Development/PHP
URL:           https://leafo.github.io/scssphp
Source0:       https://github.com/scssphp/scssphp/archive/refs/tags/v%{version}.tar.gz
BuildArch:     noarch
# composer.json
Requires:      php >= 5.4.0
# phpcompatinfo (computed from version 0.7.5)
Requires:      php-ctype
Requires:      php-json
Requires:      php-mbstring
Requires:      php-pcre
# Autoloader
BuildRequires: php-composer(fedora/autoloader)
Requires:      php-composer(fedora/autoloader)
Provides:      php-composer(%{composer_vendor}/%{composer_name}) = %{version}


%description
SCSS (https://sass-lang.com/) is a CSS preprocessor that adds many features like
variables, mixins, imports, color manipulation, functions, and tons of other
powerful features.

The entire compiler comes in a single class file ready for including in any kind
of project in addition to a command line tool for running the compiler from the
terminal.

scssphp implements SCSS. It does not implement the SASS syntax, only the SCSS
syntax.

Autoloader: %{php_libdir}/Leafo/ScssPhp/autoload.php


%prep
%setup -qn %{github_name}-%{version}

sed "/scss.inc.php/s#.*#require_once '%{php_libdir}/Leafo/ScssPhp/autoload.php';#" \
    -i bin/pscss

sed -e '/VERSION/s/0.7.6/0.7.7/' -i src/Version.php


%build
cat > src/autoload.php <<'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Leafo\\ScssPhp\\', __DIR__);
EOF

%install
mkdir -p %{buildroot}%{php_libdir}/Leafo/ScssPhp
cp -pr src/* %{buildroot}%{php_libdir}/Leafo/ScssPhp/

mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/pscss %{buildroot}%{_bindir}/

%files
%doc LICENSE.md
%doc composer.json
%doc README.md
%{php_libdir}/Leafo/ScssPhp
%{_bindir}/pscss
