%define github_name     Slim-Flash
%define composer_name   flash
%define composer_vendor slim

%define php_libdir %{_datadir}/php
%define slim_home  %{php_libdir}/Slim

%define __requires_exclude_from ^%{_datadir}/.*$

Name:       php-%{composer_vendor}-%{composer_name}
Version:    0.4.0
Release:    %mkrel 4
Summary:    Slim Framework Flash Messages
License:    MIT
Group:      Development/PHP
URL:        https://www.slimframework.com/
Source0:    https://github.com/slimphp/Slim-Flash/archive/%{github_name}-%{version}.tar.gz
# composer.json
Requires:   php >= 5.5.0
Requires:   php-composer(slim/slim)
# autoloader
Requires:   php-composer(fedora/autoloader)
Provides:   php-composer(%{composer_vendor}/%{composer_name}) = %{version}
BuildArch:  noarch

%description
A Slim Framework Flash messages service provider. This enables you to define
transient messages that persist only from the current request to the next
request.

Autoloader: %{php_libdir}/Slim/Message/autoload.php

%prep
%setup -qn %{github_name}-%{version}

%build

%install
install -d %{buildroot}%{php_libdir}/Slim
cp -pr src %{buildroot}%{php_libdir}/Slim/Message

cat > %{buildroot}%{php_libdir}/Slim/Message/autoload.php << 'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{_datadir}/php/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Slim\\Flash\\', __DIR__);
\Fedora\Autoloader\Dependencies::required(array(
        '%{_datadir}/php/Slim/autoload.php',
));
EOF

%files
%doc LICENSE.md
%{php_libdir}/Slim/Message
