%define github_name smarty

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:		php-smarty
Version:	5.4.3
Release:	%mkrel 1
Summary:	Template/Presentation Framework for PHP
License:	LGPLv2+
Group:		Development/PHP
Url:		https://www.smarty.net/
#https://github.com/smarty-php/smarty/archive/v3.1.31.tar.gz
Source0:	https://github.com/smarty-php/smarty/archive/v%{version}.tar.gz
#until 3.1.32
#Patch0:		CVE-2017-1000480.diff
Requires:   php-mbstring
Requires:   php-pcre
Provides:   php-composer(smarty/smarty) = %{version}
Buildarch:	noarch

%description
Although Smarty is known as a "Template Engine", it would be more accurately
described as a "Template/Presentation Framework." That is, it provides the
programmer and template designer with a wealth of tools to automate tasks
commonly dealt with at the presentation layer of an application. I stress the
word Framework because Smarty is not a simple tag-replacing template engine.
Although it can be used for such a simple purpose, its focus is on quick and
painless development and deployment of your application, while maintaining
high-performance, scalability, security and future growth.

%prep
%setup -q -n %{github_name}-%{version}
%autopatch -p1

%build

%install
mkdir -p %{buildroot}%{php_libdir}
cp -pr libs %{buildroot}%{php_libdir}/Smarty

%files
%{php_libdir}/Smarty
