%define base_name       tcpdf
%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:       php-%{base_name}
Version:    6.8.0
Release:    %mkrel 1
Summary:    PHP class for generating PDF documents
License:    LGPLv3+
Group:      Development/PHP
URL:        https://www.tcpdf.org/
Source:     https://github.com/tecnickcom/TCPDF/archive/refs/tags/%version.tar.gz
BuildArch:  noarch
BuildRequires:  php-fedora-autoloader-devel
Requires:       php-bcmath
Requires:       php-curl
Requires:       php-gd
Requires:       php-hash
Requires:       php-json
Requires:       php-mbstring
Requires:       php-openssl
Requires:       php-pcre
Requires:       php-posix
Requires:       php-xml
Requires:       php-zlib
# Autoloader
Requires:       php-composer(fedora/autoloader)
# New name
Provides:       php-composer(tecnickcom/tcpdf)  = %{version}

%description
TCPDF is a FLOSS PHP class for generating PDF documents.

%package dejavu-lgc
Summary:        DejaVu LGC fonts for tcpdf
BuildRequires:  fonts-ttf-dejavu-lgc
Requires:       %{name} = %{version}-%{release}
Requires:       fonts-ttf-dejavu-lgc

%description dejavu-lgc
This package allow to use system DejaVu LGC font faces in TCPDF.

%package dejavu
Summary:        DejaVu fonts for tcpdf
BuildRequires:  fonts-ttf-dejavu
Requires:       %{name} = %{version}-%{release}
Requires:       fonts-ttf-dejavu

%description dejavu
This package allow to use system DejaVu font faces in TCPDF.

%package gnu-free-mono-fonts
Summary:        GNU FreeFonts mono-spaced for tcpdf
BuildRequires:  gnu-free-mono-fonts
Requires:       gnu-free-mono-fonts
Requires:       %{name} = %{version}-%{release}

%description gnu-free-mono-fonts
This package allow to use system GNU FreeFonts mono-spaced font faces in TCPDF.

%package gnu-free-sans-fonts
Summary:        GNU FreeFonts sans-serif for tcpdf
BuildRequires:  gnu-free-sans-fonts
Requires:       gnu-free-sans-fonts
Requires:       %{name} = %{version}-%{release}

%description gnu-free-sans-fonts
This package allow to use system GNU FreeFont sans-serif font faces in TCPDF.

%package gnu-free-serif-fonts
Summary:        GNU FreeFonts serif for tcpdf
BuildRequires:  gnu-free-serif-fonts
Requires:       gnu-free-serif-fonts
Requires:       %{name} = %{version}-%{release}

%description gnu-free-serif-fonts
This package allow to use system GNU FreeFont serif font faces in TCPDF.

%prep
%setup -q -n TCPDF-%{version}
%autopatch -p1

# remove bundled fonts
rm -rf fonts/dejavu-fonts-ttf* fonts/freefont-* fonts/ae_fonts_*
for fic in fonts/*.z
do
  rm -f $fic ${fic/.z/.php}
done
ls fonts | sed -e 's|^|%{php_libdir}/tcpdf/fonts/|' >corefonts.lst

%build

%install
install -d -m 755 %{buildroot}%{php_libdir}/tcpdf
cp -pr *.php   %{buildroot}%{php_libdir}/tcpdf
cp -pr include %{buildroot}%{php_libdir}/tcpdf
cp -pr fonts   %{buildroot}%{php_libdir}/tcpdf
install -d -m 755 %{buildroot}%{php_libdir}/tcpdf/images
install -m 644 examples/images/_blank.png \
    %{buildroot}%{php_libdir}/tcpdf/images/

php -d memory_limit=2G\
    %{_bindir}/phpab \
    --template fedora \
    --output %{buildroot}%{php_libdir}/tcpdf/autoload.php \
    %{buildroot}%{php_libdir}/tcpdf

# configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/tcpdf
install -m 644 config/*.php %{buildroot}%{_sysconfdir}/tcpdf

# tools
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 tools/tcpdf_addfont.php \
           %{buildroot}%{_bindir}/tcpdf_addfont

# fonts
list=""
for ttf in \
    /usr/share/fonts/TTF/dejavu/*ttf \
    /usr/share/fonts/TTF/dejavu-lgc/*ttf \
    /usr/share/fonts/gnu-free/*ttf \
; do
   list=$ttf${list:+,${list}}
done
php -d memory_limit=1G tools/tcpdf_addfont.php \
    --addcbbox \
    --flags 32 \
    --fonts $list \
    --link \
    --outpath %{buildroot}%{php_libdir}/tcpdf/fonts/

%files -f corefonts.lst
%doc CHANGELOG.TXT LICENSE.TXT README.md examples
%{_bindir}/tcpdf_addfont
%dir %{php_libdir}/tcpdf
%dir %{php_libdir}/tcpdf/fonts
%{php_libdir}/tcpdf/include
%{php_libdir}/tcpdf/images
%{php_libdir}/tcpdf/*php
%dir %{_sysconfdir}/tcpdf
%config(noreplace) %{_sysconfdir}/tcpdf/*

%files dejavu-lgc
%{php_libdir}/tcpdf/fonts/dejavulgcsans*
%{php_libdir}/tcpdf/fonts/dejavulgcserif*

%files dejavu
%{php_libdir}/tcpdf/fonts/dejavusans*
%{php_libdir}/tcpdf/fonts/dejavuserif*
%{php_libdir}/tcpdf/fonts/dejavumath*

%files gnu-free-mono-fonts
%{php_libdir}/tcpdf/fonts/freemono*

%files gnu-free-sans-fonts
%{php_libdir}/tcpdf/fonts/freesans*

%files gnu-free-serif-fonts
%{php_libdir}/tcpdf/fonts/freeserif*
