# inspired from fedora spec file
# Copyright (c) 2014-2017 Remi Collet
# License: CC-BY-SA
# https://creativecommons.org/licenses/by-sa/4.0/

%define github_name     DirectoryScanner
%define composer_name   directoryscanner
%define composer_vendor theseer
%define pear_name       DirectoryScanner
%define pear_channel    pear.netpirates.net

%define php_libdir     %{_datadir}/php

Name:           php-%{composer_vendor}-%{composer_name}
Version:        1.3.3
Release:        %mkrel 1
Summary:        A recursive directory scanner and filter
Group:          Development/PHP
License:        BSD
URL:            https://github.com/theseer/DirectoryScanner
Source0:        https://github.com/theseer/DirectoryScanner/archive/%{version}.tar.gz
BuildArch:      noarch

# From composer.json
Requires:       php >= 5.3.1
# From phpcompatinfo report for 1.3.0
Requires:       php-fileinfo

Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}
Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}

%description
A recursive directory scanner and filter.

%prep
%setup -qn %{github_name}-%{version}

%build

%install
mkdir -p   %{buildroot}%{php_libdir}/TheSeer
cp -pr src %{buildroot}%{php_libdir}/TheSeer/%{github_name}

%post
if [ -x %{_bindir}/pear ]; then
  %{_bindir}/pear uninstall --nodeps --ignore-errors --register-only \
      %{pear_channel}/%{pear_name} >/dev/null || :
fi

%files
%doc composer.json LICENSE
%{php_libdir}/TheSeer/%{github_name}
