# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname translit
%define soname %{modname}.so
%define inifile A33_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	Transliterates non-latin character sets to latin
Name:		php%{phplong}-%{modname}
Version:	0.7.1
Release:	%mkrel 15
Group:		Development/PHP
License:	PHP License
URL:		https://derickrethans.nl/translit.php
Source0:	https://github.com/derickr/pecl-translit/archive/%{version}.tar.gz
BuildRequires:	php-devel >= 3:%{phplong}.0
Epoch:		1
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{epoch}:%{version}

%description
This extension allows you to transliterate text in non-latin characters (such
as Chinese, Cyrillic, Greek etc) to latin characters. Besides the
transliteration the extension also contains filters to upper- and lowercase
Latin, Cyrillic and Greek, and perform special forms of transliteration such as
converting ligatures such as the Norwegian "æ" to "ae" and normalizing
punctuation and spacing.

%prep

%setup -q -n pecl-translit-%{version}

%build
%serverbuild

phpize
aclocal
autoconf
%configure \
    --enable-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install

install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc package.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
