%global git_tag_rev 3b7d5366c88eccf2517ebac57c59eb557c82f46c

Name:		php-wikimedia-cdb
Version:	2.0.0
Release:	%mkrel 1
Summary:	CDB functions for PHP
Group:          Development/PHP

License:	GPLv2+
URL:		https://www.mediawiki.org/wiki/CDB
Source0:	https://github.com/wikimedia/cdb/archive/refs/tags/%{version}.tar.gz

Buildarch:	noarch

#BuildRequires:  php-dba
#BuildRequires:  php-pear-PHPUnit
#BuildRequires:  php-theseer-autoload

Provides:	php-composer(wikimedia/cdb) = %{version}


%description
CDB, short for "constant database", refers to a very fast and highly reliable
database system which uses a simple file with key value pairs. This library
wraps the CDB functionality exposed in PHP via the dba_* functions. In cases
where dba_* functions are not present or are not compiled with CDB support,
a pure-PHP implementation is provided for falling back.


%prep
%setup -qc %{name}-%{version}


%build
#phpab --output src/autoload.php src


%install
mkdir -pm 0755 %{buildroot}%{_datadir}/php/Cdb
cp -rp cdb-%{version}/src/* %{buildroot}%{_datadir}/php/Cdb


%files
%license cdb-%{version}/COPYING
%doc cdb-%{version}/README.md
%{_datadir}/php/Cdb


