# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname xdebug
%define soname %{modname}.so
%define inifile A29_%{modname}.ini
#define prel alpha1
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	Provides functions for function traces and profiling for PHP5
Name:		php%{phplong}-%{modname}
Epoch:		3
Version:	3.4.2
Release:	%mkrel %{?prel:1.%prel.}2
Group:		Development/PHP
License:	BSD-like
URL:		https://www.xdebug.org/
Source0:	https://www.xdebug.org/files/%{modname}-%{version}%{?prel}.tgz
Source1:	%{modname}.ini
BuildRequires:	php-devel >= 3:%{phplong}.0
Requires:	gdb
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description
The Xdebug extension helps you debugging your script by providing a lot of
valuable debug information.  The debug information that Xdebug can provide
includes the following:

* stack and function traces in error messages with:
  o full parameter display for user defined functions
  o function name, file name and line indications
  o support for member functions
* memory allocation
* protection for infinite recursions

Xdebug also provides:

* profiling information for PHP scripts
* script execution analysis
* capabilities to debug your scripts interactively with a debug client

%prep

%setup -q -n %{modname}-%{version}%{?prel}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

%build
%serverbuild

phpize
%configure \
    --enable-%{modname}=shared,%{_prefix}

make
mv modules/*.so .

# make the debugclient
#pushd debugclient
#sh ./buildconf
#    %%configure
#	--with-libedit
#    %%make_build

#  the autostuff is borked...
#touch config.h
#gcc $CFLAGS %%{ldflags} -o debugclient main.c usefulstuff.c -lnsl

#popd

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_bindir}

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{extdir}/
#install -m0755 debugclient/debugclient %%{buildroot}%%{_bindir}/
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc CREDITS LICENSE README.rst
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
#%%attr(0755,root,root) %%{_bindir}/debugclient
%attr(0755,root,root) %{extdir}/%{soname}
