# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname yaml
%define soname %{modname}.so
%define inifile B13_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	YAML-1.1 parser and emitter
Name:		php%{phplong}-%{modname}
Version:	2.2.4
Release:	%mkrel 2
Group:		Development/PHP
License:	MIT
URL:		https://pecl.php.net/package/yaml/
Source0:	https://pecl.php.net/get/yaml-%{version}.tgz
Source1:	B13_yaml.ini
#Patch0:	pointer.patch
BuildRequires:	php-devel >= 3:%{phplong}.0
BuildRequires:	pkgconfig(yaml-0.1)
BuildRequires:	mercurial
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description
Support for YAML 1.1 (YAML Ain't Markup Language) serialization using the
LibYAML library.

%prep
%autosetup -S hg -n %{modname}-%{version}%{?prel:%prel}

[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc package*.xml tests
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
