# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname zstd
%define soname %{modname}.so
%define inifile A50_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Name:		php%{phplong}-%{modname}
Version:	0.14.0
Release:	%mkrel 2
Group:		Development/PHP
Summary:	PHP zstd extension
License:	MIT
URL:		https://github.com/kjdev/php-ext-zstd
Source0:	https://github.com/kjdev/php-ext-%{modname}/archive/%{version}.tar.gz
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	php-devel >= 3:%{phplong}.0
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description
This extension allows use of Zstandard compression.
Documentation for Zstandard can be found at https://github.com/facebook/zstd.


%prep

%setup -q -n php-ext-%{modname}-%{version}

%build
%serverbuild

export CFLAGS="$CFLAGS -DHAVE_PHP_SESSION"

phpize
%configure --with-libzstd \
	--enable-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{incdir}/ext/%{modname}

install -m755 %{soname} %{buildroot}%{extdir}/
install php_zstd.h %{buildroot}%{incdir}/ext/%{modname}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{buildroot}%{php_inidir}/%{inifile}

%files
%doc README.md LICENSE
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
%{incdir}/ext/%{modname}/php_zstd.h
