%define _disable_ld_no_undefined 1
%define php_common_major 8
%define php_common_sub 4

#do not build php-latest or php-ini needed for multi version build
%define skip_latest 0
# backport: enable skip latest for the older package, if present.
#copy the package as %{phpname}, rename the packge and spec file to %{phpname}
#sync ini's, php-fpm.conf.in, www.conf.in

%define build_test 0
%{?_with_test: %{expand: %%global build_test 1}}
%{?_without_test: %{expand: %%global build_test 0}}

%define build_libmagic 0
%{?_with_libmagic: %{expand: %%global build_libmagic 1}}
%{?_without_libmagic: %{expand: %%global build_libmagic 0}}

%global __requires_exclude BEGIN|mkinstalldirs|pear\\(|/usr/bin/tclsh

%define libname %mklibname php %{php_common_major}
%define vers %{php_common_major}.%{php_common_sub}
%define phpshort %{php_common_major}%{php_common_sub}
%define extensionsname %{vers}/extensions
%define inidir %{vers}/ini
%define mod_name mod_php%{vers}
%define phpname php%{vers}

# enforce versioned postgresql dependencies because of multiple version
# availability in the distribution
%define postgresql_version %(pg_config &>/dev/null && pg_config 2>/dev/null | awk '/^VERSION/ { print $4 }' | sed -re 's/rc[0-9]+$//'|| echo 0)

%define sapi fpm cgi cli apxs

# comment out if not pre-release
#define _RC RC2
# release to bump
%define rel 8

Summary:	The PHP scripting language
Name:		%{phpname}
Epoch:		3
Version:	%{vers}.6
Release:	%mkrel %{?_RC:0.%_RC.}%{rel}
Source0:	https://github.com/php/php-src/archive/refs/tags/php-%{version}%{?_RC:%_RC}.tar.gz
Group:		Development/PHP
License:	PHP License
URL:		https://www.php.net
Source1:	php-test-ini
Source2:	maxlifetime
Source3:	php.crond
Source4:	php-fpm.service
Source5:	php-fpm.sysconf
Source6:	php-fpm.logrotate
# S7 comes from ext/fileinfo/create_data_file.php but could be removed someday
Source7:	create_data_file.php
# ini based on production version
Source8:	php-ini
Source9:	php-fpm-tmpfiles.conf
Source10:	10_php-fpm.conf
Source11:	php.ini-production-orig
Source13:	70_mod_php.conf
Source14:	php-ini-dummy
# nginx files
Source20:	nginx-fpm.conf
Source21:	nginx-php.conf

#automatic adding does not work on build server
Source101:	05_assertion.ini
Source102:	05_date.ini
Source103:	05_mail.ini
Source104:	05_pcre.ini
Source105:	10_bz2.ini
Source106:	11_calendar.ini
Source107:	12_ctype.ini
Source108:	13_curl.ini
Source109:	14_dba.ini
Source110:	01_datahandling.ini
Source111:	01_errorhandling.ini
Source112:	01_fileuploads.ini
Source113:	01_fopen.ini
Source114:	01_language.ini
Source115:	01_misc.ini
Source116:	01_phpini.ini
Source117:	01_ressourcelimits.ini
Source118:	01_paths.ini
Source119:	05_browscap.ini
Source120:	05_cliserver.ini
Source1010:	18_dom.ini
Source1011:	19_exif.ini
Source1012:	21_openssl.ini
Source1013:	21_zlib.ini
Source1014:	22_ftp.ini
Source1015:	23_gd.ini
Source1016:	24_gettext.ini
Source1017:	25_gmp.ini
Source1018:	26_iconv.ini
Source1020:	27_intl.ini
Source1021:	28_ldap.ini
Source1022:	29_mbstring.ini
Source1023:	32_fileinfo.ini
Source1024:	33_mysqlnd.ini
Source1025:	37_mysqli.ini
Source1026:	38_enchant.ini
Source1027:	39_odbc.ini
Source1028:	40_pcntl.ini
Source1030:	42_pgsql.ini
Source1031:	43_posix.ini
Source1032:	45_readline.ini
Source1034:	47_session.ini
Source1035:	48_shmop.ini
Source1036:	50_snmp.ini
Source1037:	51_soap.ini
Source1038:	52_sockets.ini
Source1040:	56_sysvmsg.ini
Source1041:	57_sysvsem.ini
Source1042:	58_sysvshm.ini
Source1043:	59_tidy.ini
Source1044:	60_tokenizer.ini
Source1048:	63_xmlreader.ini
Source1049:	63_xsl.ini
Source1050:	64_xmlwriter.ini
Source1051:	66_bcmath.ini
Source1052:	70_pdo.ini
Source1053:	71_pdo_dblib.ini
Source1054:	73_pdo_mysql.ini
Source1055:	75_pdo_odbc.ini
Source1056:	76_pdo_pgsql.ini
Source1057:	77_pdo_sqlite.ini
Source1058:	78_pdo_firebird.ini
Source1059:	78_sqlite3.ini
Source1060:	81_filter.ini
Source1062:	83_zip.ini
Source1063:	84_phar.ini
Source1064:	99_opcache.ini
Source1065:	85_sodium.ini
Source1066:	98_ffi.ini
#Patch1:		php-shared.diff
Patch2:		php-7.1-mga_php.ini.diff
Patch5:		php-phpbuilddir.diff
Patch11:	php-7.0.2RC1-libdb.diff
#####################################################################
# Stolen from PLD
Patch22:	php-dba-link.patch
Patch23:	php-zlib-for-getimagesize.patch
#(spuhler) taken from Mandriva
#Patch29:	php-7.0.0RC5-fpm-0.6.5-shared.diff
Patch30:	php-7.0.0RC5-fpm-0.6.5-mdv_conf.diff
#####################################################################
# stolen from debian
Patch50:	php-session.save_path.diff
#####################################################################
# Stolen from fedora
# Functional changes
#why do we want to have them public?
Patch229:	php-7.0.2RC1-session.use_strict_mode.diff
#Patch999:	backport.patch

BuildRequires:	apache-devel >= 2.2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	byacc
BuildRequires:	bzip2-devel
BuildRequires:	c-client-devel >= 2007
BuildRequires:	db-devel
BuildRequires:	elfutils-devel
BuildRequires:	file
BuildRequires:	flex
BuildRequires:	freetds-devel >= 0.63
BuildRequires:	freetype2-devel
BuildRequires:	gdbm-devel
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel
BuildRequires:	gpm-devel
BuildRequires:	icu-devel >= 49.0
BuildRequires:	lemon
BuildRequires:	libldap-devel
BuildRequires:	libtool
BuildRequires:	libtool-devel
BuildRequires:	mbfl-devel >= 1.2.0-2
BuildRequires:	mercurial
BuildRequires:	mhash-devel
BuildRequires:	mysql-devel
BuildRequires:	net-snmp-devel
BuildRequires:	net-snmp-mibs
BuildRequires:	openssl
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(fbclient)
BuildRequires:	pkgconfig(gdlib) >= 2.1
BuildRequires:	pkgconfig(libcurl) >= 7.9.8
BuildRequires:	pkgconfig(libedit)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpcre2-posix) >= 10.30
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	pkgconfig(libsodium)
BuildRequires:	pkgconfig(libwebp) >= 0.4
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6
BuildRequires:	pkgconfig(libxslt) >= 1.1.0
BuildRequires:	pkgconfig(libzip) >= 0.10.1
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(oniguruma) >= 5.9.2
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	postgresql-devel
BuildRequires:	re2c >= 0.13.4
BuildRequires:	readline-devel
BuildRequires:	tidy-devel
BuildRequires:	unixODBC-devel >= 2.2.1
%if %{build_libmagic}
BuildRequires:	file-devel >= 5.14
%endif

%description
PHP is an HTML-embeddable scripting language. PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple. The
most common use of PHP coding is probably as a replacement for CGI scripts.

%package	-n php-ini
Summary:	INI files for PHP
Group:		Development/PHP
Provides:	php-ini = %{epoch}:%{vers}
Obsoletes:	php-ini < %{epoch}:%{vers}

%description	-n php-ini
The php-ini package contains the ini file required for PHP.

%package common
Summary:	The latest version (%{vers}) of the php package
Group:		System/Servers
BuildArch:	noarch
Provides:	php-common = %{epoch}:%{vers}
Provides:	php-common = %{epoch}:%{version}
#builtins
Provides:	php-hash = %{epoch}:%{version}
Provides:	php-json = %{epoch}:%{version}
Provides:	php-pcre = %{epoch}:%{version}
Provides:	php-simplexml = %{epoch}:%{version}
Provides:	php-xml = %{epoch}:%{version}
#TODO are theses really required ?
# no, but removing them gives a bugstorm, so please don't.
Requires:	php = %{epoch}:%{version}
Requires:	php-ini >= %{epoch}:%{vers}
Requires:	php-openssl = %{epoch}:%{version}
Requires:	php-sysvsem = %{epoch}:%{version}
Requires:	php-sysvshm = %{epoch}:%{version}
Requires:	php-zlib = %{epoch}:%{version}
Suggests:	php-filter = %{epoch}:%{version}
Suggests:	php-gettext = %{epoch}:%{version}
Suggests:	php-posix = %{epoch}:%{version}
Suggests:	php-xmlreader = %{epoch}:%{version}
Suggests:	php-xmlwriter = %{epoch}:%{version}

Obsoletes:	%{libname} < %{epoch}:8.0.1
Obsoletes:	php-amf < 0.9.3
Obsoletes:	php-apacheaccessor < 1.0.2
Obsoletes:	php-apm < 2.1.3
Obsoletes:	php-auth_nds < 2.2.6
Obsoletes:	php-awl < 0.54
Obsoletes:	php-bbcode < 1.0.4
Obsoletes:	php-bloomy < 0.1.1
Obsoletes:	php-braille < 0.1.2
Obsoletes:	php-cairo < 0.3.3
Obsoletes:	php-cairo_wrapper < 0.2.5
Obsoletes:	php-cyrus < 1.1
Obsoletes:	php-dav < 1.3
Obsoletes:	php-dbx < 1.1.3
Obsoletes:	php-docblock < %{epoch}:%{version}
Obsoletes:	php-doublemetaphone < 1.0.2
Obsoletes:	php-ecasound < %{epoch}:%{version}
Obsoletes:	php-esmtp < %{epoch}:%{version}
Obsoletes:	php-fam < 5.0.2
Obsoletes:	php-gearman < 1.1.3
Obsoletes:	php-geoip < 1.1.2
Obsoletes:	php-gnutls < 0.4
Obsoletes:	php-hash < %{epoch}:%{version}
Obsoletes:	php-haru < 1.0.5
Obsoletes:	php-hidef < 0.1.14
Obsoletes:	php-htscanner < 1.0.2
Obsoletes:	php-http < 3.2.4
Obsoletes:	php-id3 < 0.3
Obsoletes:	php-inclued < 0.1.4
Obsoletes:	php-interbase < %{epoch}:%{version}
Obsoletes:	php-json < %{epoch}:8.0.0
Obsoletes:	php-layersmenu < 3.3.0
Obsoletes:	php-libevent < 0.1.1
Obsoletes:	php-magickwand < 1.0.9.3
Obsoletes:	php-mailparse < 3.0.2
Obsoletes:	php-mcal < 0.6-51
Obsoletes:	php-mdbtools < %{epoch}:%{version}
Obsoletes:	php-ming < %{epoch}:%{version}
Obsoletes:	php-mongo < 1.6.14
Obsoletes:	php-mssql < %{epoch}:%{version}
Obsoletes:	php-netools < %{epoch}:%{version}
Obsoletes:	php-newt < 1.3.0
Obsoletes:	php-oggvorbis < 0.3
Obsoletes:	php-optimizer < %{epoch}:%{version}
Obsoletes:	php-pam < %{epoch}:%{version}
Obsoletes:	php-pear-Date_Holidays < 0.22
Obsoletes:	php-pear-Horde < %{epoch}:%{version}
Obsoletes:	php-pear-PHP_Parser < %{epoch}:%{version}
Obsoletes:	php-pear-PHP_Parser_DocblockParser < %{epoch}:%{version}
Obsoletes:	php-pinba < %{epoch}:%{version}
Obsoletes:	php-pluf < %{epoch}:%{version}
Obsoletes:	php-proctitle < 0.1.2
Obsoletes:	php-propro < 2.1.1
Obsoletes:	php-rar < 4.0.0
Obsoletes:	php-recode < %{epoch}:%{version}
Obsoletes:	php-redland <= 1.0.17
Obsoletes:	php-sasl < %{epoch}:%{version}
Obsoletes:	php-suhosin < %{epoch}:7.0.0
Obsoletes:	php-swish < %{epoch}:%{version}
Obsoletes:	php-sybase_ct < %{epoch}:%{version}
Obsoletes:	php-symfony-YAML < %{epoch}:%{version}
Obsoletes:	php-syslog-ng < %{epoch}:%{version}
Obsoletes:	php-tclink < %{epoch}:7.0.0
Obsoletes:	php-timezonedb < %{epoch}:7.0.0
Obsoletes:	php-trace < 1.0.2
Obsoletes:	php-trader < 0.4.2
Obsoletes:	php-txforward < %{epoch}:%{version}
Obsoletes:	php-uploadprogress < %{epoch}:%{version}
Obsoletes:	php-vld < 0.17.1
Obsoletes:	php-wbxml < %{epoch}:%{version}
Obsoletes:	php-wddx < %{epoch}:%{version}
Obsoletes:	php-xdiff <= 2.0.1
Obsoletes:	php-xml < %{epoch}:7.0.0
Obsoletes:	php-xmlrpc < %{epoch}:8.0.1
Obsoletes:	php-yaz < 1.2.4
Obsoletes:	php-yrmcds < %{epoch}:7.0.0
Obsoletes:	php-ZendFramework < 2.0.0
Obsoletes:	php-mcrypt < 4:1.0.8

%description common
This is a meta package for php dependancies.

%package -n php-latest
Summary:	The latest version (%{vers}) of the php package
Group:		System/Servers
BuildArch:	noarch
Requires:	php-common = %{epoch}:%{version}

%description -n php-latest
This is a meta package which provides the latest version of php.

%package -n	apache-mod_%{phpname}
Summary:	The PHP HTML-embedded scripting language for use with Apache
Group:		System/Servers
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
Requires:	apache >= 2.2
#add all common requirements to the lib as a central
Requires:	php-common = %{epoch}:%{vers}
Requires:	php-session = %{epoch}:%{version}
Provides:	php-webinterface = %{epoch}:%{version}-%{release}
Provides:	apache-mod_php = %{epoch}:%{vers}
Conflicts:	php-fpm-apache = %{epoch}:%{vers}
Obsoletes:	apache-mod_php <= %{epoch}:%{version}
Epoch:		%{epoch}

%description -n apache-mod_%{phpname}
PHP is an HTML-embeddable scripting language. PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple. The
most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the PHP Apache module.

%package	cli
Summary:	PHP CLI interface
Group:		Development/PHP
URL:		https://www.php.net/cli
#add all common requirements to the lib as a central
Requires:	php-common = %{epoch}:%{vers}
Obsoletes:	php-cli <= %{epoch}:%{version}
Provides:	php = %{epoch}:%{version}
Provides:	php-cli = %{epoch}:%{version}
Provides:	/usr/bin/php

%description	cli
PHP is an HTML-embeddable scripting language. PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple. The
most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains a command-line (CLI) version of php. If you need Apache
 module support, you also need to install the apache-mod_php package.

%package	cgi
Summary:	PHP CGI interface
Group:		Development/PHP
#add all common requirements to the lib as a central
Requires:	php-common = %{epoch}:%{vers}
Requires:	webserver
Requires:	php-session = %{epoch}:%{version}
Provides:	php = %{epoch}:%{version}
Provides:	php-cgi = %{epoch}:%{vers}
Provides:	php-cgi = %{epoch}:%{version}-%{release}
Provides:	php-fcgi = %{epoch}:%{version}-%{release}
Provides:	php-webinterface = %{epoch}:%{version}-%{release}
Obsoletes:	php-cgi <= %{epoch}:%{version}
# because of a added compat softlink
Obsoletes:	php-fcgi < %{epoch}:%{version}-%{release}
Obsoletes:	php-fcgi <= %{epoch}:%{version}

%description	cgi
PHP is an HTML-embeddable scripting language. PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple. The
most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains a standalone (CGI) version of php with FastCGI support.
If you need Apache module support, you also need to install the apache-mod_php
package.

%package	devel
Summary:	Development package for PHP
Group:		Development/C
Requires:	php-common = %{epoch}:%{vers}
Requires:	autoconf
Requires:	automake
Requires:	bison
Requires:	byacc
Requires:	chrpath
Requires:	dos2unix
Requires:	flex
Requires:	libtool
Requires:	libxml2-devel >= 2.6
Requires:	libxslt-devel >= 1.1.0
Requires:	openssl >= 0.9.8
Requires:	openssl-devel >= 0.9.8
Requires:	pam-devel
Requires:	pkgconfig(libpcre2-posix)
Requires:	re2c >= 0.9.11
Requires:	tcl
Obsoletes:	php-devel <= %{epoch}:%{version}
Provides:	php-devel = %{epoch}:%{version}

%description	devel
The php-devel package lets you compile dynamic extensions to PHP. Included
here is the source for the php extensions. Instead of recompiling the whole php
binary to add support for, say, oracle, install this package and use the new
self-contained extensions support.

%package	openssl
Summary:	OpenSSL extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/openssl
Obsoletes:	php-openssl <= %{epoch}:%{version}
Provides:	php-openssl = %{epoch}:%{version}
Provides:	php-openssl = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	openssl
This is a dynamic shared object (DSO) for PHP that will add OpenSSL support.

%package	zlib
Summary:	Zlib extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/zlib
Obsoletes:	php-zlib <= %{epoch}:%{version}
Provides:	php-zlib = %{epoch}:%{version}
Provides:	php-zlib = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	zlib
This is a dynamic shared object (DSO) for PHP that will add zlib compression
support to PHP.

%package	doc
Summary:	Documentation for PHP
Group:		Development/PHP
BuildArch:	noarch
Obsoletes:	php-doc <= %{epoch}:%{version}
Provides:	php-doc = %{epoch}:%{version}

%description	doc
Documentation for php.

%package	bcmath
Summary:	The bcmath module for PHP
Group:		Development/PHP
URL:		https://www.php.net/bcmath
Obsoletes:	php-bcmath <= %{epoch}:%{version}
Provides:	php-bcmath = %{epoch}:%{version}
Provides:	php-bcmath = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	bcmath
This is a dynamic shared object (DSO) for PHP that will add bc style precision
math functions support.

For arbitrary precision mathematics PHP offers the Binary Calculator which
supports numbers of any size and precision, represented as strings.

%package	bz2
Summary:	Bzip2 extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/bzip2
Obsoletes:	php-bz2 <= %{epoch}:%{version}
Provides:	php-bz2 = %{epoch}:%{version}
Provides:	php-bz2 = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	bz2
This is a dynamic shared object (DSO) for PHP that will add bzip2 compression
support to PHP.

The bzip2 functions are used to transparently read and write bzip2 (.bz2)
compressed files.

%package	calendar
Summary:	Calendar extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/calendar
Obsoletes:	php-calendar <= %{epoch}:%{version}
Provides:	php-calendar = %{epoch}:%{version}
Provides:	php-calendar = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	calendar
This is a dynamic shared object (DSO) for PHP that will add calendar support.

The calendar extension presents a series of functions to simplify converting
between different calendar formats. The intermediary or standard it is based on
is the Julian Day Count. The Julian Day Count is a count of days starting from
January 1st, 4713 B.C. To convert between calendar systems, you must first
convert to Julian Day Count, then to the calendar system of your choice. Julian
Day Count is very different from the Julian Calendar! For more information on
Julian Day Count, visit https://www.hermetic.ch/cal_stud/jdn.htm. For more
information on calendar systems visit
http://www.boogle.com/info/cal-overview.html. Excerpts from this page are
included in these instructions, and are in quotes.

%package	ctype
Summary:	Ctype extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/ctype
Obsoletes:	php-ctype <= %{epoch}:%{version}
Provides:	php-ctype = %{epoch}:%{version}
Provides:	php-ctype = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	ctype
This is a dynamic shared object (DSO) for PHP that will add ctype support.

The functions provided by this extension check whether a character or string
falls into a certain character class according to the current locale (see also
setlocale()).

%package	curl
Summary:	Curl extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/curl
Obsoletes:	php-curl <= %{epoch}:%{version}
Provides:	php-curl = %{epoch}:%{version}
Provides:	php-curl = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	curl
This is a dynamic shared object (DSO) for PHP that will add curl support.

PHP supports libcurl, a library created by Daniel Stenberg, that allows you to
connect and communicate to many different types of servers with many different
types of protocols. libcurl currently supports the http, https, ftp, gopher,
telnet, dict, file, and ldap protocols. libcurl also supports HTTPS
certificates, HTTP POST, HTTP PUT, FTP uploading (this can also be done with
PHP's ftp extension), HTTP form based upload, proxies, cookies, and
user+password authentication.

%package	dba
Summary:	DBA extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/dba
Obsoletes:	php-dba <= %{epoch}:%{version}
Provides:	php-dba = %{epoch}:%{version}
Provides:	php-dba = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	dba
This is a dynamic shared object (DSO) for PHP that will add flat-file databases
(DBA) support.

These functions build the foundation for accessing Berkeley DB style databases.

This is a general abstraction layer for several file-based databases. As such,
functionality is limited to a common subset of features supported by modern
databases such as Sleepycat Software's DB2. (This is not to be confused with
IBM's DB2 software, which is supported through the ODBC functions.)

%package	dom
Summary:	Dom extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/dom
Obsoletes:	php-dom <= %{epoch}:%{version}
Provides:	php-dom = %{epoch}:%{version}
Provides:	php-dom = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	dom
This is a dynamic shared object (DSO) for PHP that will add dom support.

The DOM extension is the replacement for the DOM XML extension from PHP 4. The
extension still contains many old functions, but they should no longer be used.
In particular, functions that are not object-oriented should be avoided.

The extension allows you to operate on an XML document with the DOM API.

%package	enchant
Summary:	Libenchant binder, support near all spelling tools
Group:		Development/PHP
URL:		https://www.php.net/
Obsoletes:	php-enchant <= %{epoch}:%{version}
Provides:	php-enchant = %{epoch}:%{version}
Provides:	php-enchant = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	enchant
Enchant is a binder for libenchant. Libenchant provides a common API for many
spell libraries:

 - aspell/pspell (intended to replace ispell)
 - hspell (Hebrew)
 - ispell
 - hunspell (OpenOffice project, mozilla)
 - uspell (primarily Yiddish, Hebrew, and Eastern European languages)
   A plugin system allows to add custom spell support.
   see www.abisource.com/enchant/

%package	exif
Summary:	EXIF extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/exif
Obsoletes:	php-exif <= %{epoch}:%{version}
Provides:	php-exif = %{epoch}:%{version}
Provides:	php-exif = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}
Requires:	php-mbstring = %{epoch}:%{vers}

%description	exif
This is a dynamic shared object (DSO) for PHP that will add EXIF tags support
in image files.

With the exif extension you are able to work with image meta data. For example,
you may use exif functions to read meta data of pictures taken from digital
cameras by working with information stored in the headers of the JPEG and TIFF
images.

%package	fileinfo
Summary:	Fileinfo extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/fileinfo
Obsoletes:	php-fileinfo <= %{epoch}:%{version}
Provides:	php-fileinfo = %{epoch}:%{version}
Provides:	php-fileinfo = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	fileinfo
This extension allows retrieval of information regarding vast majority of file.
This information may include dimensions, quality, length etc...

Additionally it can also be used to retrieve the mime type for a particular
file and for text files proper language encoding.

%package	filter
Summary:	Extension for safely dealing with input parameters
Group:		Development/PHP
URL:		https://www.php.net/filter
Obsoletes:	php-filter <= %{epoch}:%{version}
Provides:	php-filter = %{epoch}:%{version}
Provides:	php-filter = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	filter
The Input Filter extension is meant to address this issue by implementing a set
of filters and mechanisms that users can use to safely access their input data.

%package	ftp
Summary:	FTP extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/ftp
Obsoletes:	php-ftp <= %{epoch}:%{version}
Provides:	php-ftp = %{epoch}:%{version}
Provides:	php-ftp = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	ftp
This is a dynamic shared object (DSO) for PHP that will add FTP support.

The functions in this extension implement client access to file servers
speaking the File Transfer Protocol (FTP) as defined in
https://www.rfc-editor.org/rfc/rfc959.html. This extension is meant for
detailed access to an FTP server providing a wide range of control to the
executing script. If you only wish to read from or write to a file on an FTP
server, consider using the ftp:// wrapper with the filesystem functions which
provide a simpler and more intuitive interface.

%package	gd
Summary:	GD extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/gd
Obsoletes:	php-gd <= %{epoch}:%{version}
Provides:	php-gd-bundled = %{epoch}:%{version}
Provides:	php-gd = %{epoch}:%{version}
Provides:	php-gd = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	gd
This is a dynamic shared object (DSO) for PHP that will add GD support,
allowing you to create and manipulate images with PHP using the gd library.

PHP is not limited to creating just HTML output. It can also be used to create
and manipulate image files in a variety of different image formats, including
gif, png, jpg, wbmp, and xpm. Even more convenient, PHP can output image
streams directly to a browser. You will need to compile PHP with the GD library
of image functions for this to work. GD and PHP may also require other
libraries, depending on which image formats you want to work with.

You can use the image functions in PHP to get the size of JPEG, GIF, PNG, SWF,
TIFF and JPEG2000 images.

%package	gettext
Summary:	Gettext extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/gettext
Obsoletes:	php-gettext <= %{epoch}:%{version}
Provides:	php-gettext = %{epoch}:%{version}
Provides:	php-gettext = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	gettext
This is a dynamic shared object (DSO) for PHP that will add gettext support.

The gettext functions implement an NLS (Native Language Support) API which can
be used to internationalize your PHP applications. Please see the gettext
documentation for your system for a thorough explanation of these functions or
view the docs at https://www.gnu.org/software/gettext/manual/gettext.html.

%package	gmp
Summary:	Gmp extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/gmp
Obsoletes:	php-gmp <= %{epoch}:%{version}
Provides:	php-gmp = %{epoch}:%{version}
Provides:	php-gmp = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	gmp
This is a dynamic shared object (DSO) for PHP that will add arbitrary length
number support using the GNU MP library.

%package	iconv
Summary:	Iconv extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/iconv
Obsoletes:	php-iconv <= %{epoch}:%{version}
Provides:	php-iconv = %{epoch}:%{version}
Provides:	php-iconv = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	iconv
This is a dynamic shared object (DSO) for PHP that will add iconv support.

This module contains an interface to iconv character set conversion facility.
With this module, you can turn a string represented by a local character set
into the one represented by another character set, which may be the Unicode
character set. Supported character sets depend on the iconv implementation of
your system. Note that the iconv function on some systems may not work as you
expect. In such case, it'd be a good idea to install the GNU libiconv library.
It will most likely end up with more consistent results.

%package	intl
Summary:	Internationalization extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/intl
Obsoletes:	php-intl <= %{epoch}:%{version}
Provides:	php-intl = %{epoch}:%{version}
Provides:	php-intl = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	intl
This is a dynamic shared object (DSO) for PHP that will add
Internationalization support.

Internationalization extension implements ICU library functionality in PHP.

%package	ldap
Summary:	LDAP extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/ldap
Obsoletes:	php-ldap <= %{epoch}:%{version}
Provides:	php-ldap = %{epoch}:%{version}
Provides:	php-ldap = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}


%description	ldap
This is a dynamic shared object (DSO) for PHP that will add LDAP support.

LDAP is the Lightweight Directory Access Protocol, and is a protocol used to
access "Directory Servers". The Directory is a special kind of database that
holds information in a tree structure.

The concept is similar to your hard disk directory structure, except that in
this context, the root directory is "The world" and the first level
subdirectories are "countries". Lower levels of the directory structure contain
entries for companies, organisations or places, while yet lower still we find
directory entries for people, and perhaps equipment or documents.

%package	mbstring
Summary:	MBstring extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/mbstring
Obsoletes:	php-mbstring <= %{epoch}:%{version}
Provides:	php-mbstring = %{epoch}:%{version}
Provides:	php-mbstring = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}


%description	mbstring
This is a dynamic shared object (DSO) for PHP that will add multibyte string
support.

mbstring provides multibyte specific string functions that help you deal with
multibyte encodings in PHP. In addition to that, mbstring handles character
encoding conversion between the possible encoding pairs. mbstring is designed
to handle Unicode-based encodings such as UTF-8 and UCS-2 and many single-byte
encodings for convenience.

%package	mysqli
Summary:	MySQL database module for PHP
Group:		Development/PHP
URL:		https://www.php.net/mysqli
Obsoletes:	php-mysqli <= %{epoch}:%{version}
Provides:	php-mysqli = %{epoch}:%{version}
Provides:	php-mysqli = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}
Requires:	php-mysqlnd = %{epoch}:%{version}

%description	mysqli
This is a dynamic shared object (DSO) for PHP that will add MySQL database
support.

The mysqli extension allows you to access the functionality provided by MySQL
4.1 and above. It is an improved version of the older PHP MySQL driver,
offering various benefits. The developers of the PHP programming language
recommend using MySQLi when dealing with MySQL server versions 4.1.3 and newer
(takes advantage of new functionality)

More information about the MySQL Database server can be found at
https://www.mysql.com/

Documentation for MySQL can be found at https://dev.mysql.com/doc/.

Documentation for MySQLi can be found at https://www.php.net/manual/en/mysqli.overview.php.

%package	mysqlnd
Summary:	MySQL native database module for PHP
Group:		Development/PHP
URL:		https://www.php.net/mysqlnd
Obsoletes:	php-mysqlnd <= %{epoch}:%{version}
Provides:	php-mysql = %{epoch}:%{version}-%{release}
Provides:	php-mysqlnd = %{epoch}:%{version}
Provides:	php-mysqlnd = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	mysqlnd
This is a dynamic shared object (DSO) for PHP that will add MySQL native
database support.

These functions allow you to access MySQL database servers. More information
about MySQL can be found at https://www.mysql.com/.

Documentation for MySQL can be found at https://dev.mysql.com/doc/.

%package	odbc
Summary:	ODBC extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/odbc
Obsoletes:	php-odbc <= %{epoch}:%{version}
Provides:	php-odbc = %{epoch}:%{version}
Provides:	php-obdc = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	odbc
This is a dynamic shared object (DSO) for PHP that will add ODBC support.

In addition to normal ODBC support, the Unified ODBC functions in PHP allow you
to access several databases that have borrowed the semantics of the ODBC API to
implement their own API. Instead of maintaining multiple database drivers that
were all nearly identical, these drivers have been unified into a single set of
ODBC functions.

%package	opcache
Summary:	Zend OPcache for PHP
Group:		Development/PHP
URL:		https://www.php.net/opcache
Obsoletes:	php-opcache <= %{epoch}:%{version}
Obsoletes:	php-xcache < 3.2.1
Obsoletes:	php-xcache-admin < 3.2.1
Provides:	php-opcache = %{epoch}:%{version}
Provides:	php-opcache = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	opcache
This is a dynamic shared object (DSO) for PHP that will add OPcache support.

The Zend OPcache provides faster PHP execution through opcode caching and
optimization. It improves PHP performance by storing precompiled script
bytecode in the shared memory. This eliminates the stages of reading code from
the disk and compiling it on future access. In addition, it applies a few
bytecode optimization patterns that make code execution faster.

%package	pcntl
Summary:	Process Control extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/pcntl
Obsoletes:	php-pcntl <= %{epoch}:%{version}
Provides:	php-pcntl = %{epoch}:%{version}
Provides:	php-pcntl = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	pcntl
This is a dynamic shared object (DSO) for PHP that will add process spawning
and control support. It supports functions like fork(), waitpid(), signal()
etc.

Process Control support in PHP implements the Unix style of process creation,
program execution, signal handling and process termination. Process Control
should not be enabled within a webserver environment and unexpected results may
happen if any Process Control functions are used within a webserver
environment.

%package	pdo
Summary:	PHP Data Objects Interface
Group:		Development/PHP
URL:		https://www.php.net/pdo
Obsoletes:	php-pdo <= %{epoch}:%{version}
Provides:	php-pdo = %{epoch}:%{version}
Provides:	php-pdo = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	pdo
PDO provides a uniform data access interface, sporting advanced features such
as prepared statements and bound parameters. PDO drivers are dynamically
loadable and may be developed independently from the core, but still accessed
using the same API.

Read the documentation at https://www.php.net/pdo for more information.

%package	pdo_dblib
Summary:	Sybase Interface driver for PDO
Group:		Development/PHP
URL:		https://www.php.net/pdo_dblib
Obsoletes:	php-pdo_dblib <= %{epoch}:%{version}
Provides:	php-pdo_dblib = %{epoch}:%{version}
Provides:	php-pdo_dblib = %{epoch}:%{vers}
Requires:	freetds >= 0.63
Requires:	php-pdo = %{epoch}:%{version}
Requires:	php-common = %{epoch}:%{vers}

%description	pdo_dblib
PDO_DBLIB is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to Microsoft SQL Server and Sybase databases through the
FreeTDS library.

%package	pdo_firebird
Summary:	Firebird/InterBase driver for PDO
Group:		Development/PHP
URL:		https://www.php.net/pdo_firebird
Obsoletes:	php-pdo_firebird <= %{epoch}:%{version}
Provides:	php-pdo_firebird = %{epoch}:%{version}
Provides:	php-pdo_firebird = %{epoch}:%{vers}
Requires:	php-pdo = %{epoch}:%{version}
Requires:	php-common = %{epoch}:%{vers}

%description	pdo_firebird
PDO_Firebird is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to Firebird databases.

%package	pdo_mysql
Summary:	MySQL Interface driver for PDO
Group:		Development/PHP
URL:		https://www.php.net/pdo_mysql
Obsoletes:	php-pdo_mysql <= %{epoch}:%{version}
Provides:	php-pdo_mysql = %{epoch}:%{version}
Provides:	php-pdo_mysql = %{epoch}:%{vers}
Requires:	php-pdo = %{epoch}:%{version}
Requires:	php-common = %{epoch}:%{vers}
Requires:	php-mysqlnd = %{epoch}:%{version}

%description	pdo_mysql
PDO_MYSQL is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to MySQL 3.x, 4.x and 5.x databases.

PDO_MYSQL will take advantage of native prepared statement support present in
MySQL 4.1 and higher. If you're using an older version of the mysql client
libraries, PDO will emulate them for you.

Please note that this build does NOT support compression protocol because it
is built with MySQL Native Driver (mysqlnd).

%package	pdo_odbc
Summary:	ODBC v3 Interface driver for PDO
Group:		Development/PHP
URL:		https://www.php.net/pdo_odbc
Obsoletes:	php-pdo_odbc <= %{epoch}:%{version}
Provides:	php-pdo_odbc = %{epoch}:%{version}
Provides:	php-pdo_odbc = %{epoch}:%{vers}
Requires:	php-pdo = %{epoch}:%{version}
Requires:	php-common = %{epoch}:%{vers}

%description	pdo_odbc
PDO_ODBC is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to databases through ODBC drivers or through the IBM DB2
Call Level Interface (DB2 CLI) library. PDO_ODBC currently supports three
different "flavours" of database drivers:

- ibm-db2  - Supports access to IBM DB2 Universal Database, Cloudscape, and
	Apache Derby servers through the free DB2 client. ibm-db2 is not
	supported in Mageia.

- unixODBC - Supports access to database servers through the unixODBC driver
	manager and the database's own ODBC drivers.

- generic  - Offers a compile option for ODBC driver managers that are not
	explicitly supported by PDO_ODBC.

%package	pdo_pgsql
Summary:	PostgreSQL interface driver for PDO
Group:		Development/PHP
URL:		https://www.php.net/pdo_pgsql
Obsoletes:	php-pdo_pgsql <= %{epoch}:%{version}
Provides:	php-pdo_pgsql = %{epoch}:%{version}
Provides:	php-pdo_pgsql = %{epoch}:%{vers}
Requires:	php-pdo = %{epoch}:%{version}
Requires:	php-common = %{epoch}:%{vers}
Requires:	postgresql-libs >= %{postgresql_version}

%description	pdo_pgsql
PDO_PGSQL is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to PostgreSQL databases.

%package	pdo_sqlite
Summary:	SQLite v3 Interface driver for PDO
Group:		Development/PHP
URL:		https://www.php.net/pdo_sqlite
Obsoletes:	php-pdo_sqlite <= %{epoch}:%{version}
Provides:	php-pdo_sqlite = %{epoch}:%{version}
Provides:	php-pdo_sqlite = %{epoch}:%{vers}
Requires:	php-pdo = %{epoch}:%{version}
Requires:	php-common = %{epoch}:%{vers}

%description	pdo_sqlite
PDO_SQLITE is a driver that implements the PHP Data Objects (PDO) interface to
enable access to SQLite 3 databases.

This extension provides an SQLite v3 driver for PDO. SQLite V3 is NOT
compatible with the bundled SQLite 2 in PHP 5, but is a significant step
forwards, featuring complete utf-8 support, native support for blobs, native
support for prepared statements with bound parameters and improved concurrency.

%package	pgsql
Summary:	PostgreSQL database module for PHP
Group:		Development/PHP
URL:		https://www.php.net/pgsql
Obsoletes:	php-pgsql <= %{epoch}:%{version}
Provides:	php-pgsql = %{epoch}:%{version}
Provides:	php-pgsql = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}
Requires:	postgresql-libs >= %{postgresql_version}

%description	pgsql
This is a dynamic shared object (DSO) for PHP that will add PostgreSQL database
support.

PostgreSQL database is Open Source product and available without cost.
Postgres, developed originally in the UC Berkeley Computer Science Department,
pioneered many of the object-relational concepts now becoming available in some
commercial databases. It provides SQL92/SQL99 language support, transactions,
referential integrity, stored procedures and type extensibility. PostgreSQL is
an open source descendant of this original Berkeley code.

%package	phar
Summary:	Allows running of complete applications out of .phar files
Group:		Development/PHP
URL:		https://www.php.net/phar
Obsoletes:	php-phar <= %{epoch}:%{version}
Provides:	php-phar = %{epoch}:%{version}
Provides:	php-phar = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}
Requires:	php-bz2

%description	phar
This is the extension version of PEAR's PHP_Archive package. Support for
zlib, bz2 and crc32 is achieved without any dependency other than the external
zlib or bz2 extension.

.phar files can be read using the phar stream, or with the Phar class. If the
SPL extension is available, a Phar object can be used as an array to iterate
over a phar's contents or to read files directly from the phar.

Phar archives can be created using the streams API or with the Phar class, if
the phar.readonly ini variable is set to false.

Full support for MD5 and SHA1 signatures is possible. Signatures can be
required if the ini variable phar.require_hash is set to true. When PECL
extension hash is available then SHA-256 and SHA-512 signatures are supported as
well.

%package	posix
Summary:	POSIX extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/posix
Obsoletes:	php-posix <= %{epoch}:%{version}
Provides:	php-posix = %{epoch}:%{version}
Provides:	php-posix = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	posix
This is a dynamic shared object (DSO) for PHP that will add POSIX functions
support to PHP.

This module contains an interface to those functions defined in the IEEE 1003.1
(POSIX.1) standards document which are not accessible through other means.
POSIX.1 for example defined the open(), read(), write() and close() functions,
too, which traditionally have been part of PHP 3 for a long time. Some more
system specific functions have not been available before, though, and this
module tries to remedy this by providing easy access to these functions.

%package	readline
Summary:	Readline extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/readline
Obsoletes:	php-readline <= %{epoch}:%{version}
Provides:	php-readline = %{epoch}:%{version}
Provides:	php-readline = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	readline
This PHP module adds support for readline functions (only for cli and cgi
SAPIs).

The readline() functions implement an interface to the GNU Readline library.
These are functions that provide editable command lines. An example being the
way Bash allows you to use the arrow keys to insert characters or scroll
through command history. Because of the interactive nature of this library, it
will be of little use for writing Web applications, but may be useful when
writing scripts used from a command line.

%package	session
Summary:	Session extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/session
Obsoletes:	php-session <= %{epoch}:%{version}
Provides:	php-session = %{epoch}:%{version}
Provides:	php-session = %{epoch}:%{vers}
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
Requires:	php-common = %{epoch}:%{vers}
Requires:	webserver

%description	session
This is a dynamic shared object (DSO) for PHP that will add session support.

Session support in PHP consists of a way to preserve certain data across
subsequent accesses. This enables you to build more customized applications and
increase the appeal of your web site.

A visitor accessing your web site is assigned a unique id, the so-called
session id. This is either stored in a cookie on the user side or is propagated
in the URL.

%package	shmop
Summary:	Shared Memory Operations extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/shmop
Obsoletes:	php-shmop <= %{epoch}:%{version}
Provides:	php-shmop = %{epoch}:%{version}
Provides:	php-shmop = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	shmop
This is a dynamic shared object (DSO) for PHP that will add Shared Memory
Operations support.

Shmop is an easy to use set of functions that allows PHP to read, write, create
and delete Unix shared memory segments.

%package	snmp
Summary:	NET-SNMP extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/snmp
Obsoletes:	php-snmp <= %{epoch}:%{version}
Provides:	php-snmp = %{epoch}:%{version}
Provides:	php-snmp = %{epoch}:%{vers}
Requires:	net-snmp-mibs
Requires:	php-common = %{epoch}:%{vers}

%description	snmp
This is a dynamic shared object (DSO) for PHP that will add SNMP support using
the NET-SNMP libraries.

In order to use the SNMP functions you need to install the NET-SNMP package.

%package	soap
Summary:	Soap extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/soap
Obsoletes:	php-soap <= %{epoch}:%{version}
Provides:	php-soap = %{epoch}:%{version}
Provides:	php-soap = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	soap
This is a dynamic shared object (DSO) for PHP that will add soap support.

The SOAP extension can be used to write SOAP Servers and Clients. It supports
subsets of SOAP 1.1, SOAP 1.2 and WSDL 1.1 specifications.

%package	sockets
Summary:	Sockets extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/sockets
Obsoletes:	php-sockets <= %{epoch}:%{version}
Provides:	php-sockets = %{epoch}:%{version}
Provides:	php-sockets = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	sockets
This is a dynamic shared object (DSO) for PHP that will add sockets support.

The socket extension implements a low-level interface to the socket
communication functions based on the popular BSD sockets, providing the
possibility to act as a socket server as well as a client.

%package	sodium
Summary:	Wrapper for the Sodium cryptographic library
Group:		Development/PHP
URL:		https://php.net/manual/en/book.sodium.php
Obsoletes:	php-sodium <= %{epoch}:%{version}
Provides:	php-sodium = %{epoch}:%{version}
Provides:	php-sodium = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	sodium
This is a dynamic shared object (DSO) for PHP that will add libsodium support.

%package	sqlite3
Summary:	SQLite database bindings for PHP
Group:		Development/PHP
URL:		https://www.php.net/sqlite3
Obsoletes:	php-sqlite3 <= %{epoch}:%{version}
Obsoletes:	php-sqlite < 4:1.0.4
Provides:	php-sqlite3 = %{epoch}:%{version}
Provides:	php-sqlite3 = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}
Requires:	php-pdo = %{epoch}:%{version}

%description	sqlite3
This is an extension for the SQLite Embeddable SQL Database Engine. SQLite is a
C library that implements an embeddable SQL database engine. Programs that link
with the SQLite library can have SQL database access without running a separate
RDBMS process.

SQLite is not a client library used to connect to a big database server. SQLite
is the server. The SQLite library reads and writes directly to and from the
database files on disk.

%package	sysvmsg
Summary:	SysV msg extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/sem
Obsoletes:	php-sysvmsg <= %{epoch}:%{version}
Provides:	php-sysvmsg = %{epoch}:%{version}
Provides:	php-sysvmsg = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	sysvmsg
This is a dynamic shared object (DSO) for PHP that will add SysV message queues
support.

%package	sysvsem
Summary:	SysV sem extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/sem
Obsoletes:	php-sysvsem <= %{epoch}:%{version}
Provides:	php-sysvsem = %{epoch}:%{version}
Provides:	php-sysvsem = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	sysvsem
This is a dynamic shared object (DSO) for PHP that will add SysV semaphores
support.

%package	sysvshm
Summary:	SysV shm extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/sem
Obsoletes:	php-sysvshm <= %{epoch}:%{version}
Provides:	php-sysvshm = %{epoch}:%{version}
Provides:	php-sysvshm = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	sysvshm
This is a dynamic shared object (DSO) for PHP that will add SysV Shared Memory
support.

%package	tidy
Summary:	Tidy HTML Repairing and Parsing for PHP
Group:		Development/PHP
URL:		https://www.php.net/tidy
Obsoletes:	php-tidy <= %{epoch}:%{version}
Provides:	php-tidy = %{epoch}:%{version}
Provides:	php-tidy = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	tidy
Tidy is a binding for the Tidy HTML clean and repair utility which allows you
to not only clean and otherwise manipulate HTML documents, but also traverse
the document tree using the Zend Engine 2 OO semantics.

%package	tokenizer
Summary:	Tokenizer extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/tokenizer
Obsoletes:	php-tokenizer <= %{epoch}:%{version}
Provides:	php-tokenizer = %{epoch}:%{version}
Provides:	php-tokenizer = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	tokenizer
This is a dynamic shared object (DSO) for PHP that will add Tokenizer support.

The tokenizer functions provide an interface to the PHP tokenizer embedded in
the Zend Engine. Using these functions you may write your own PHP source
analyzing or modification tools without having to deal with the language
specification at the lexical level.

%package	xmlreader
Summary:	Xmlreader extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/xmlreader
Obsoletes:	php-xmlreader <= %{epoch}:%{version}
Provides:	php-xmlreader = %{epoch}:%{version}
Provides:	php-xmlreader = %{epoch}:%{vers}
Requires:	php-dom = %{epoch}:%{version}
Requires:	php-common = %{epoch}:%{vers}

%description	xmlreader
XMLReader represents a reader that provides non-cached, forward-only access to
XML data. It is based upon the xmlTextReader api from libxml

%package	xmlwriter
Summary:	Provides fast, non-cached, forward-only means to write XML data
Group:		Development/PHP
URL:		https://www.php.net/xmlwriter
Obsoletes:	php-xmlwriter <= %{epoch}:%{version}
Provides:	php-xmlwriter = %{epoch}:%{version}
Provides:	php-xmlwriter = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	xmlwriter
This extension wraps the libxml xmlWriter API. Represents a writer that
provides a non-cached, forward-only means of generating streams or files
containing XML data.

%package	xsl
Summary:	Xsl extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/xsl
Obsoletes:	php-xsl <= %{epoch}:%{version}
Provides:	php-xsl = %{epoch}:%{version}
Provides:	php-xsl = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	xsl
This is a dynamic shared object (DSO) for PHP that will add xsl support.

The XSL extension implements the XSL standard, performing XSLT transformations
using the libxslt library

%package	zip
Summary:	A zip management extension for PHP
Group:		Development/PHP
URL:		https://www.php.net/zip
Obsoletes:	php-zip <= %{epoch}:%{version}
Provides:	php-zip = %{epoch}:%{version}
Provides:	php-zip = %{epoch}:%{vers}
Requires:	php-common = %{epoch}:%{vers}

%description	zip
This is a dynamic shared object (DSO) for PHP that will add zip support to
create and read zip files using the libzip library.

%package	fpm
Summary:	PHP FastCGI Process Manager
Group:		Development/PHP
Obsoletes:	php-fpm <= %{epoch}:%{version}
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
Requires:	php-common = %{epoch}:%{vers}
Requires:	php-session = %{epoch}:%{version}
Requires:	webserver
Provides:	php = %{epoch}:%{version}
Provides:	php-fpm = %{epoch}:%{version}
Provides:	php-fpm = %{epoch}:%{vers}
Suggests:	php-webinterface = %{epoch}:%{version}-%{release}

%description	fpm
PHP is an HTML-embeddable scripting language. PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple. The
most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the FastCGI Process Manager.

%package	fpm-apache
Summary:	PHP FastCGI Process Manager config for apache
Group:		Development/PHP
Obsoletes:	php-fpm-apache <= %{epoch}:%{version}
Provides:	php-fpm-apache = %{epoch}:%{version}
Requires:	php-fpm
Requires:	apache >= 2.2
Requires:	apache-mod_proxy
Conflicts:	apache-mod_php
Provides:	php-webinterface = %{epoch}:%{version}-%{release}

%description	fpm-apache
This provides the configuration files to use php-fpm with Apache.

%package	fpm-nginx
Summary:	PHP FastCGI Process Manager config for nginx
Group:		Development/PHP
Obsoletes:	php-fpm-nginx <= %{epoch}:%{version}
Provides:	php-fpm-nginx = %{epoch}:%{version}
Requires:	php-fpm
Requires:	nginx
Provides:	php-webinterface = %{epoch}:%{version}-%{release}

%description	fpm-nginx
This provides the configuration files to use php-fpm with Apache.

%package -n phpdbg%{vers}
Summary:	The interactive PHP debugger
Group:		Development/PHP
Requires:	php-common = %{epoch}:%{vers}
Requires:	php = %{epoch}:%{version}
Obsoletes:	phpdbg <= %{epoch}:%{version}
Provides:	phpdbg = %{epoch}:%{version}
Provides:	phpdbg = %{epoch}:%{vers}

%description -n phpdbg%{vers}
PHP is an HTML-embeddable scripting language. PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple. The
most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the The interactive PHP debugger.

Implemented as a SAPI module, phpdbg can exert complete control over the
environment without impacting the functionality or performance of your code.

phpdbg aims to be a lightweight, powerful, easy to use debugging platform.

%prep

%autosetup -S hg -n php-src-php-%{version}%{?_RC:%_RC}

cp %{SOURCE1} php-test.ini
cp %{SOURCE4} php-fpm.service
cp %{SOURCE5} php-fpm.sysconf
cp %{SOURCE6} php-fpm.logrotate
cp %{SOURCE7} create_data_file.php

# Change perms otherwise rpm would get fooled while finding requires
find -name "*.inc" -type f -not -path "./.hg/*" -print0| xargs -0 chmod 644
find -name "*.php*" -type f -not -path "./.hg/*" -print0| xargs -0 chmod 644
find -name "*README*" -type f -not -path "./.hg/*" -print0| xargs -0 chmod 644

mkdir -p php-devel/extensions
mkdir -p php-devel/sapi

# Install test files in php-devel
#no one really needs those tests, except on build, skipped for now
#cp -a tests php-devel


# fix paths
perl -pi -e "s|/php/build|/php/%{vers}/build|" \
	scripts/Makefile.frag \
	scripts/phpize.in
perl -pi -e "s|include/php|include/php%{vers}|" \
	ext/pdo/Makefile.frag \
	build/Makefile.global \
	build/php.m4
perl -pi -e "s|\(includedir\)/php|\(includedir\)/php%{vers}|" \
	scripts/Makefile.frag \
	Makefile.fragments
perl -pi -e "s|@includedir@/php|@includedir@/php%{vers}|" \
	scripts/php-config.in
perl -pi -e "s|\@includedir\@\`/php|\@includedir\@\`/php%{vers}|" \
	scripts/phpize.in

cp -dpR ext/* php-devel/extensions/
rm -f php-devel/extensions/informix/stub.c
rm -f php-devel/extensions/standard/.deps
rm -f php-devel/extensions/skeleton/EXPERIMENTAL

# SAPI
cp -dpR sapi/* php-devel/sapi/
rm -f php-devel/sapi/thttpd/stub.c
rm -f php-devel/sapi/cgi/php.sym
rm -f php-devel/sapi/fastcgi/php.sym
rm -f php-devel/sapi/pi3web/php.sym

# cleanup
find php-devel -name "*.droplet" | xargs rm -f

# don't ship MS Windows source
rm -rf php-devel/extensions/com_dotnet

# likewise with these:
find php-devel -name "*.dsp" | xargs rm -f
find php-devel -name "*.mak" | xargs rm -f
find php-devel -name "*.w32" | xargs rm

# remove all testcases; we don't need them in devel
find php-devel -name tests -type d -print0| xargs -0 rm -rf

# make sure using system libs
rm -rf ext/pcre/pcrelib
rm -rf ext/pdo_sqlite/sqlite

%build
# Fix build on i686
%ifarch i686
%global optflags %(echo %optflags | sed -e 's/-mstackrealign//')
%endif
%serverbuild

export CFLAGS="${CFLAGS} -O3 -fno-strict-aliasing -fvisibility=default -Wno-error=deprecated-declarations -Wno-deprecated-declarations"
export LDFLAGS="%{ldflags} -O3 -lz"
export CXXFLAGS="${CXXFLAGS} -O3 -fvisibility=default -fvisibility-inlines-hidden -Wno-error=deprecated-declarations -Wno-deprecated-declarations"

cat > php-devel/buildext <<EOF
#!/bin/bash
gcc -Wall -fPIC -shared $CFLAGS \\
    -I. \`%{_bindir}/php-config --includes\` \\
    -I%{_includedir}/libxml2 \\
    -I%{_includedir}/freetype \\
    -I%{_includedir}/openssl \\
    -I%{_usrsrc}/php-devel/%{vers}/ext \\
    -I%{_includedir}/\$1 \\
    \$4 \$2 -o \$1.so \$3 -lc
EOF

chmod 755 php-devel/buildext

#export PHP_AUTOCONF=autoconf-2.13
rm -f configure
rm -rf autom4te.cache
./buildconf --force

# Do this patch with a perl hack...
perl -pi -e "s|'\\\$install_libdir'|'%{_libdir}'|" ltmain.sh

export oldstyleextdir=yes
export EXTENSION_DIR="%{_libdir}/php/%{extensionsname}"
export PROG_SENDMAIL="%{_sbindir}/sendmail"
export GD_SHARED_LIBADD="$GD_SHARED_LIBADD -lm"
export ENCHANT_CFLAGS=`pkgconf --cflags enchant-2`
export ENCHANT_LIBS=`pkgconf --libs enchant-2`

# never use "--disable-rpath", it does the opposite

# Configure php
./configure \
	--with-config-file-path=%{_libdir}/php/%{inidir} \
	--program-suffix=%{vers} \
    --enable-fpm --with-fpm-user=apache --with-fpm-group=apache --with-fpm-systemd \
    --enable-cli \
    --with-apxs2=%{_httpd_apxs} --enable-zts \
    --with-pic \
    --build=%{_build} \
    --prefix=%{_prefix} \
    --exec-prefix=%{_prefix} \
    --datadir=%{_datadir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --mandir=%{_mandir} \
    --sysconfdir=%{_sysconfdir} \
    --localstatedir=%{_sharedstatedir} \
    --enable-shared=yes \
    --enable-static=no \
    --disable-debug  \
    --enable-bcmath=shared \
    --enable-calendar=shared \
    --enable-ctype=shared \
    --enable-dba=shared \
    --enable-dom=shared,%{_prefix} \
    --enable-exif=shared \
    --enable-fileinfo=shared \
    --enable-filter=shared \
    --enable-ftp=shared \
    --enable-gd=shared \
    --enable-intl=shared \
    --enable-mbregex \
    --enable-mbstring=shared,%{_prefix} \
    --enable-mysqlnd=shared,%{_bindir}/mysql_config \
    --enable-opcache=shared \
    --enable-pcntl=shared \
    --enable-pdo=shared,%{_prefix} \
    --enable-phar=shared \
    --enable-phpdbg \
    --enable-posix=shared \
    --enable-session=shared,%{_prefix} \
    --enable-shmop=shared,%{_prefix} \
    --enable-simplexml \
    --enable-soap=shared,%{_prefix} \
    --enable-sockets=shared,%{_prefix} \
    --enable-sysvmsg=shared,%{_prefix} \
    --enable-sysvsem=shared,%{_prefix} \
    --enable-sysvshm=shared,%{_prefix} \
    --enable-tokenizer=shared,%{_prefix} \
    --enable-xmlreader=shared,%{_prefix} \
    --enable-xmlwriter=shared,%{_prefix} \
    --with-zip=shared \
    --with-bz2=shared,%{_prefix} \
    --with-cdb \
    --with-config-file-scan-dir=%{_libdir}/php/%{inidir} \
    --with-curl=shared,%{_prefix} \
    --with-db4 \
    --with-enchant=shared,%{_prefix} \
    --with-freetype=%{_prefix} \
    --with-gdbm \
    --with-external-gd=shared,%{_prefix} \
    --with-gettext=shared,%{_prefix} \
    --with-gmp=shared,%{_prefix} \
    --with-iconv=shared \
    --with-jpeg=%{_prefix} \
    --with-ldap-sasl \
    --with-ldap=shared,%{_prefix} \
    --with-libdir=%{_lib} \
    --with-mhash=shared,%{_prefix} \
    --with-mysqli=shared,mysqlnd \
    --with-mysql-sock=/var/lib/mysql/mysql.sock \
    --with-openssl-dir=%{_prefix} \
    --with-openssl=shared,%{_prefix} \
    --without-pear \
    --with-external-pcre=%{_prefix} \
    --with-pcre-jit \
    --with-pdo-dblib=shared,%{_prefix} \
    --with-pdo-firebird=shared,%{_libdir}/firebird \
    --with-pdo-mysql=shared,mysqlnd \
    --with-pdo-odbc=shared,unixODBC,%{_prefix} \
    --with-pdo-pgsql=shared,%{_prefix} \
    --with-pdo-sqlite=shared,%{_prefix} \
    --with-pgsql=shared,%{_prefix} \
    --with-readline=shared,%{_prefix} \
    --with-snmp=shared,%{_prefix} \
    --with-sodium=shared,%{_prefix} \
    --with-sqlite3=shared,%{_prefix} \
    --with-system-ciphers \
    --with-tidy=shared,%{_prefix} \
    --with-unixODBC=shared,%{_prefix} \
    --with-webp=%{_prefix} \
    --with-xpm=%{_prefix}/X11R6 \
    --with-xsl=shared,%{_prefix} \
    --with-zlib=shared,%{_prefix} \
    --with-zlib-dir=%{_prefix}

%make_build

%if %{build_libmagic}
# keep in sync with latest system magic, the next best thing when system libmagic can't be used...
sapi/cli/php create_data_file.php %{_datadir}/misc/magic.mgc > ext/fileinfo/data_file.c
rm -rf ext/fileinfo/.libs ext/fileinfo/*.lo ext/fileinfo/*.la modules/fileinfo.so modules/fileinfo.la
cp -p ext/fileinfo/data_file.c php-devel/extensions/fileinfo/data_file.c
%make_build
%endif

%install

install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/%{extensionsname}
install -d %{buildroot}%{_libdir}/php/%{inidir}
install -d %{buildroot}%{_usrsrc}/php-devel/%{vers}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_sysconfdir}/cron.d
install -d %{buildroot}/var/lib/php
install -d %{buildroot}%{_datadir}/php

make install \
	INSTALL_ROOT=%{buildroot} \
	INSTALL_IT="\$(LIBTOOL) --mode=install install libphp.la %{buildroot}%{_libdir}/"

#clean
rm -f %{buildroot}%{_sysconfdir}/php-fpm.conf.default \
   %{buildroot}%{_sysconfdir}/php-fpm.d/www.conf.default \
  %{buildroot}%{_datadir}/fpm/status.html


# borked autopoo
rm -f %{buildroot}%{_bindir}/php %{buildroot}%{_bindir}/php-cgi %{buildroot}%{_bindir}/phpdbg
./libtool --silent --mode=install install sapi/cli/php %{buildroot}%{_bindir}/php%{vers}
./libtool --silent --mode=install install sapi/cgi/php-cgi %{buildroot}%{_bindir}/php-cgi%{vers}
./libtool --silent --mode=install install sapi/phpdbg/phpdbg %{buildroot}%{_bindir}/phpdbg%{vers}

# compat php-fcgi symlink
ln -s php-cgi%{vers} %{buildroot}%{_bindir}/php-fcgi%{vers}

cp -dpR php-devel/* %{buildroot}%{_usrsrc}/php-devel/%{vers}/
install -m0644 run-tests*.php %{buildroot}%{_usrsrc}/php-devel/%{vers}/
install -m0644 main/internal_functions.c %{buildroot}%{_usrsrc}/php-devel/%{vers}/

install -m0444 sapi/cli/php.1 %{buildroot}%{_mandir}/man1/php%{vers}.1
install -m0444 scripts/man1/phpize.1 %{buildroot}%{_mandir}/man1/phpize%{vers}.1
install -m0444 scripts/man1/php-config.1 %{buildroot}%{_mandir}/man1/php-config%{vers}.1

# fpm
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/php-fpm.d
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}/var/lib/php-fpm
install -d %{buildroot}/var/log/php-fpm
install -D -p -m 0644 %{SOURCE9} %{buildroot}%{_tmpfilesdir}/php-fpm.conf
# a small bug here...
echo "; place your config here" > %{buildroot}%{_sysconfdir}/php-fpm.d/default.conf
install -m0644 sapi/fpm/www.conf %{buildroot}%{_sysconfdir}/php-fpm.d/

./libtool --silent --mode=install install sapi/fpm/php-fpm %{buildroot}%{_sbindir}/php-fpm%{vers}
install -m0444 sapi/fpm/php-fpm.8 %{buildroot}%{_mandir}/man8/php-fpm%{vers}.8
install -m0644 sapi/fpm/php-fpm.conf %{buildroot}%{_sysconfdir}/
install -m0644 php-fpm.service %{buildroot}%{_unitdir}/php-fpm.service
install -m0644 php-fpm.sysconf %{buildroot}%{_sysconfdir}/sysconfig/php-fpm
install -m0644 php-fpm.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/php-fpm
install -d %{buildroot}%{_httpd_moddir}
install -d %{buildroot}%{_httpd_modconfdir}
install -m0644 %{SOURCE10} %{buildroot}%{_httpd_modconfdir}/
install -m0644 %{SOURCE13} %{buildroot}%{_httpd_modconfdir}/

# Nginx configuration

install -D -m 644 %{SOURCE20} $RPM_BUILD_ROOT%{_sysconfdir}/nginx/conf.d/php-fpm.conf
install -D -m 644 %{SOURCE21} $RPM_BUILD_ROOT%{_sysconfdir}/nginx/default.d/php.conf

# adjust a bit
perl -pi -e "s|^pid.*|pid = /run/php-fpm/php-fpm.pid|g" %{buildroot}%{_sysconfdir}/php-fpm.conf

ln -snf extensions %{buildroot}%{_usrsrc}/php-devel/%{vers}/ext
mv %{buildroot}%{_libdir}/libphp.so %{buildroot}%{_httpd_moddir}/%{mod_name}.so

# extensions
install -m0644 %{_sourcedir}/*.ini %{buildroot}%{_sysconfdir}/php.d/
install -m0755 %{SOURCE2} %{buildroot}%{_libdir}/php/maxlifetime
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/cron.d/php
install -m0644 %{SOURCE14} %{buildroot}%{_sysconfdir}/php.ini
install -m0644 %{SOURCE8} %{buildroot}%{_libdir}/php/%{inidir}/php.ini


#create symlinks for multiversions
for i in `ls %{buildroot}%{_sysconfdir}/php.d/` ; do
	ln -s -t %{buildroot}%{_libdir}/php/%{inidir} %{_sysconfdir}/php.d/$i
done

# lib64 hack
perl -pi -e "s|/usr/lib/|%{_libdir}/|" \
	%{buildroot}%{_sysconfdir}/cron.d/php \
	%{buildroot}%{_libdir}/php/%{inidir}/php.ini \
	php.ini-production

# make extensions version dependant
perl -pi -e "s|php/extensions|php/%{extensionsname}|" \
	%{buildroot}%{_sysconfdir}/cron.d/php \
	%{buildroot}%{_libdir}/php/%{inidir}/php.ini \
	php.ini-production


# install doc manually in _docdir/php, rather than _docdir/php-doc
install -d -m 755 %{buildroot}%{_docdir}/%{phpname}

install -m 444 \
	CODING_STANDARDS.md EXTENSIONS LICENSE NEWS \
	php.ini-production \
	README.md README.REDIST.BINS UPGRADING UPGRADING.INTERNALS \
	%{buildroot}%{_docdir}/%{phpname}

# fix docs
cp Zend/LICENSE Zend/ZEND_LICENSE
cp ext/openssl/CREDITS CREDITS.openssl
cp ext/spl/CREDITS CREDITS.spl
cp ext/libxml/CREDITS CREDITS.libxml
cp ext/zlib/CREDITS CREDITS.zlib

# cgi docs
cp sapi/cgi/CREDITS CREDITS.cgi
# cli docs
cp sapi/cli/CREDITS CREDITS.cli

# phar fixes
if [ -L %{buildroot}%{_bindir}/phar%{vers} ]; then
	rm -f %{buildroot}%{_bindir}/phar%{vers}
	mv %{buildroot}%{_bindir}/phar%{vers}.phar %{buildroot}%{_bindir}/phar%{vers}
fi

# house cleaning
rm -f %{buildroot}%{_bindir}/pear
rm -f %{buildroot}%{_libdir}/*.*a

# php-devel.i586: E: zero-length /usr/src/php-devel/extensions/pdo_firebird/EXPERIMENTAL
find %{buildroot}%{_usrsrc}/php-devel/%{vers} -type f -size 0 -exec rm -f {} \;

%multiarch_includes %{buildroot}%{_includedir}/php%{vers}/main/build-defs.h

%multiarch_includes %{buildroot}%{_includedir}/php%{vers}/main/php_config.h

#remove ini files if multiversion build
%if %{skip_latest}
rm -f %{buildroot}%{_sysconfdir}/php.ini
rm -f %{buildroot}%{_libdir}/php/%{inidir}/php.ini

for i in %(basename %{SOURCE102}) %(basename %{SOURCE103}) %(basename %{SOURCE104}) %(basename %{SOURCE101}) %(basename %{SOURCE110}) %(basename %{SOURCE111}) %(basename %{SOURCE112}) %(basename %{SOURCE113}) %(basename %{SOURCE114}) %(basename %{SOURCE115}) %(basename %{SOURCE116}) %(basename %{SOURCE117}) %(basename %{SOURCE118}) %(basename %{SOURCE119}) %(basename %{SOURCE120}) %(basename %{SOURCE1066}); do
	rm -f %{buildroot}%{_sysconfdir}/php.d/$i
	rm -f %{buildroot}%{_libdir}/php/%{inidir}/$i
done
%endif

%check
%if %{build_test}
# do a make test
export PHPRC="."
export REPORT_EXIT_STATUS=2
#export TEST_PHP_DETAILED=0
export TEST_PHP_ERROR_STYLE=EMACS
#export TEST_PHP_LOG_FORMAT=LESODC
export PHP_INI_SCAN_DIR=/dev/null

# FAILING TESTS:
# unknown errors with ext/date/tests/oo_002.phpt probably because of php-5.2.5-systzdata.patch
# https://bugs.php.net/bug.php?id=22414 (claimed to be fixed in 2003, but seems not)
# unknown errors with ext/standard/tests/general_functions/phpinfo.phpt
# unknown errors with ext/standard/tests/strings/setlocale_*
# many errors result on expected failed api version, skip these
# also skip tests which fork, run fpm, make http-requests, ...
disable_tests=" \
ext/date/tests/oo_002.phpt \
ext/standard/tests/file/bug22414.phpt \
ext/standard/tests/filters/bug81294.phpt \
ext/standard/tests/general_functions/phpinfo.phpt \
ext/standard/tests/image/getimagesize_swc.phpt \
ext/standard/tests/image/getimagesize_variation_005.phpt \
ext/standard/tests/image/getimagesize_variation4.phpt \
ext/standard/tests/image/image_type_to_mime_type_variation4.phpt \
ext/standard/tests/streams/bug64433.phpt \
ext/standard/tests/streams/bug75776.phpt \
ext/standard/tests/streams/bug77080.phpt \
ext/standard/tests/streams/bug81346.phpt \
ext/standard/tests/strings/htmlentities05.phpt \
ext/standard/tests/strings/htmlentities06.phpt \
ext/standard/tests/strings/htmlentities07.phpt \
ext/standard/tests/strings/htmlentities08.phpt \
ext/standard/tests/strings/htmlentities09.phpt \
ext/standard/tests/strings/htmlentities16.phpt \
ext/standard/tests/strings/htmlentities25.phpt \
ext/standard/tests/strings/setlocale_basic1.phpt \
ext/standard/tests/strings/setlocale_basic2.phpt \
ext/standard/tests/strings/setlocale_basic3.phpt \
ext/standard/tests/strings/setlocale_variation1.phpt \
ext/standard/tests/strings/setlocale_variation3.phpt \
ext/standard/tests/strings/setlocale_variation4.phpt \
ext/standard/tests/strings/setlocale_variation5.phpt \
ext/standard/tests/url/get_headers_error_003.phpt \
sapi/cgi/tests/bug69487.phpt \
sapi/cli/tests/bug43177.phpt \
sapi/cli/tests/bug61679.phpt \
sapi/cli/tests/bug61977.phpt \
sapi/cli/tests/bug64878.phpt \
sapi/cli/tests/bug65066_100.phpt \
sapi/cli/tests/bug65066_422.phpt \
sapi/cli/tests/bug65066_511.phpt \
sapi/cli/tests/bug65633.phpt \
sapi/cli/tests/bug66606_1.phpt \
sapi/cli/tests/bug66606_2.phpt \
sapi/cli/tests/bug66830.phpt \
sapi/cli/tests/bug67429_1.phpt \
sapi/cli/tests/bug67429_2.phpt \
sapi/cli/tests/bug68291.phpt \
sapi/cli/tests/bug68745.phpt \
sapi/cli/tests/bug69655.phpt \
sapi/cli/tests/bug69953.phpt \
sapi/cli/tests/bug70264.phpt \
sapi/cli/tests/bug70470.phpt \
sapi/cli/tests/bug71005.phpt \
sapi/cli/tests/bug73630a.phpt \
sapi/cli/tests/bug73630.phpt \
sapi/cli/tests/bug81305.phpt \
sapi/cli/tests/upload_2G.phpt \
Zend/tests/concat_003.phpt \
sapi/fpm/tests/bug76601-reload-child-signals.phpt \
sapi/fpm/tests/bug74083-concurrent-reload.phpt \
sapi/cli/tests/cli_server_persistent_string001.phpt \
sapi/cli/tests/cli_server_persistent_string002.phpt \
sapi/cli/tests/emptyheader.phpt \
sapi/cli/tests/php_cli_server_001.phpt \
sapi/cli/tests/php_cli_server_002.phpt \
sapi/cli/tests/php_cli_server_003.phpt \
sapi/cli/tests/php_cli_server_004.phpt \
sapi/cli/tests/php_cli_server_005.phpt \
sapi/cli/tests/php_cli_server_006.phpt \
sapi/cli/tests/php_cli_server_007.phpt \
sapi/cli/tests/php_cli_server_008.phpt \
sapi/cli/tests/php_cli_server_009.phpt \
sapi/cli/tests/php_cli_server_010.phpt \
sapi/cli/tests/php_cli_server_012.phpt \
sapi/cli/tests/php_cli_server_013.phpt \
sapi/cli/tests/php_cli_server_014.phpt \
sapi/cli/tests/php_cli_server_015.phpt \
sapi/cli/tests/php_cli_server_016.phpt \
sapi/cli/tests/php_cli_server_017.phpt \
sapi/cli/tests/php_cli_server_018.phpt \
sapi/cli/tests/php_cli_server_019.phpt \
sapi/cli/tests/php_cli_server_020.phpt \
sapi/cli/tests/php_cli_server_021.phpt \
sapi/cli/tests/php_cli_server_022.phpt \
sapi/cli/tests/std_streams.phpt \
sapi/fpm/tests/bug75212-php-value-in-user-ini.phpt \
sapi/fpm/tests/log-bwd-multiple-msgs-stdout-stderr.phpt \
tests/basic/bug67198.phpt \
tests/output/stream_isatty_err.phpt \
tests/output/stream_isatty_in-err.phpt \
tests/output/stream_isatty_in-out.phpt \
tests/output/stream_isatty_out-err.phpt \
tests/output/stream_isatty_out.phpt \
"

[[ -n "$disable_tests" ]] && \
for f in $disable_tests; do
	[[ -f "$f" ]] && mv $f $f.disabled
done

TEST_PHP_EXECUTABLE=sapi/cli/php sapi/cli/php -c ./php-test.ini run-tests.php %{?_smp_build_ncpus:-j%{_smp_build_ncpus}} --offline -q
%endif


%files doc
%doc LICENSE NEWS Zend/ZEND_LICENSE
%doc php.ini-production
%doc CREDITS.libxml CREDITS.zlib

%if !%{skip_latest}

%files -n php-latest

%files -n php-ini
%dir %{_libdir}/php/%{inidir}
%dir %{_sysconfdir}/php.d
%dir %{_libdir}/php
%dir %{_datadir}/php
%dir %{_libdir}/php/%{extensionsname}
%config(noreplace) %{_sysconfdir}/php.ini
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE102})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE103})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE104})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE101})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE110})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE111})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE112})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE113})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE114})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE115})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE116})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE117})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE118})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE119})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE120})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1066})
%config(noreplace) %{_libdir}/php/%{inidir}/php.ini
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE102})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE103})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE104})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE101})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE110})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE111})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE112})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE113})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE114})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE115})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE116})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE117})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE118})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE119})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE120})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1066})

%endif

%files common
%{_docdir}/%{phpname}

%files -n apache-mod_%{phpname}
%config(noreplace) %{_httpd_modconfdir}/%(basename %{SOURCE13})
%{_httpd_moddir}/%{mod_name}.so
%post -n apache-mod_%{phpname}
alternatives --install %{_httpd_moddir}/mod_php.so apache-mod_php %{_httpd_moddir}/%{mod_name}.so %{phpshort}
%posttrans -n apache-mod_%{phpname}
alternatives --install %{_httpd_moddir}/mod_php.so apache-mod_php %{_httpd_moddir}/%{mod_name}.so %{phpshort}
%postun -n apache-mod_%{phpname}
alternatives --remove apache-mod_php %{_httpd_moddir}/%{mod_name}.so

%files cli
%doc CREDITS.cli
%{_bindir}/php%{vers}
%{_mandir}/man1/php%{vers}.1*
%post cli
alternatives --install %{_bindir}/php php %{_bindir}/php%{vers} %{phpshort} \
	--slave %{_mandir}/man1/php.1.xz manphp %{_mandir}/man1/php%{vers}.1.xz
%posttrans cli
alternatives --install %{_bindir}/php php %{_bindir}/php%{vers} %{phpshort} \
	--slave %{_mandir}/man1/php.1.xz manphp %{_mandir}/man1/php%{vers}.1.xz
%postun cli
alternatives --remove php %{_bindir}/php%{vers}

%files cgi
%doc CREDITS.cgi
%{_bindir}/php-cgi%{vers}
%{_bindir}/php-fcgi%{vers}
%{_mandir}/man1/php-cgi%{vers}.1*
%post cgi
alternatives --install %{_bindir}/php-cgi php-cgi %{_bindir}/php-cgi%{vers} %{phpshort} \
	--slave %{_bindir}/php-fcgi php-fcgi %{_bindir}/php-cgi%{vers}\
	--slave %{_mandir}/man1/php-cgi.1.xz manphp-cgi %{_mandir}/man1/php-cgi%{vers}.1.xz
%posttrans cgi
alternatives --install %{_bindir}/php-cgi php-cgi %{_bindir}/php-cgi%{vers} %{phpshort} \
	--slave %{_bindir}/php-fcgi php-fcgi %{_bindir}/php-cgi%{vers}\
	--slave %{_mandir}/man1/php-cgi.1.xz manphp-cgi %{_mandir}/man1/php-cgi%{vers}.1.xz
%postun cgi
alternatives --remove php-cgi %{_bindir}/php-cgi%{vers}

%files devel
%doc CODING_STANDARDS.md EXTENSIONS
%doc Zend/ZEND_*
%{_bindir}/php-config%{vers}
%{_bindir}/phpize%{vers}
%{_libdir}/php/%{vers}/build
%{_usrsrc}/php-devel/%{vers}
%{multiarch_includedir}/php%{vers}/main/build-defs.h
%{multiarch_includedir}/php%{vers}/main/php_config.h
%{_includedir}/php%{vers}
%{_mandir}/man1/php-config%{vers}.1*
%{_mandir}/man1/phpize%{vers}.1*
%post devel
alternatives --install %{_bindir}/php-config php-config %{_bindir}/php-config%{vers} %{phpshort} \
	--slave %{_bindir}/phpize phpize %{_bindir}/phpize%{vers} \
	--slave %{_mandir}/man1/php-config.1.xz manphp-config %{_mandir}/man1/php-config%{vers}.1.xz \
	--slave %{_mandir}/man1/phpize.1 manphpize %{_mandir}/man1/phpize%{vers}.1.xz
%postun devel
alternatives --remove php-config %{_bindir}/php-config%{vers}

%files openssl
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1012})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1012})
%{_libdir}/php/%{extensionsname}/openssl.so

%files zlib
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1013})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1013})
%{_libdir}/php/%{extensionsname}/zlib.so

%files bcmath
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1051})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1051})
%{_libdir}/php/%{extensionsname}/bcmath.so

%files bz2
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE105})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE105})
%{_libdir}/php/%{extensionsname}/bz2.so

%files calendar
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE106})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE106})
%{_libdir}/php/%{extensionsname}/calendar.so

%files ctype
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE107})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE107})
%{_libdir}/php/%{extensionsname}/ctype.so

%files curl
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE108})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE108})
%{_libdir}/php/%{extensionsname}/curl.so

%files dba
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE109})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE109})
%{_libdir}/php/%{extensionsname}/dba.so

%files dom
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1010})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1010})
%{_libdir}/php/%{extensionsname}/dom.so

%files enchant
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1026})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1026})
%{_libdir}/php/%{extensionsname}/enchant.so

%files exif
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1011})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1011})
%{_libdir}/php/%{extensionsname}/exif.so

%files fileinfo
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1023})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1023})
%{_libdir}/php/%{extensionsname}/fileinfo.so

%files filter
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1060})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1060})
%{_libdir}/php/%{extensionsname}/filter.so

%files ftp
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1014})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1014})
%{_libdir}/php/%{extensionsname}/ftp.so

%files gd
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1015})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1015})
%{_libdir}/php/%{extensionsname}/gd.so

%files gettext
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1016})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1016})
%{_libdir}/php/%{extensionsname}/gettext.so

%files gmp
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1017})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1017})
%{_libdir}/php/%{extensionsname}/gmp.so

%files iconv
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1018})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1018})
%{_libdir}/php/%{extensionsname}/iconv.so

%files intl
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1020})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1020})
%{_libdir}/php/%{extensionsname}/intl.so

%files ldap
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1021})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1021})
%{_libdir}/php/%{extensionsname}/ldap.so

%files mbstring
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1022})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1022})
%{_libdir}/php/%{extensionsname}/mbstring.so

%files mysqli
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1025})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1025})
%{_libdir}/php/%{extensionsname}/mysqli.so

%files mysqlnd
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1024})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1024})
%{_libdir}/php/%{extensionsname}/mysqlnd.so

%files odbc
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1027})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1027})
%{_libdir}/php/%{extensionsname}/odbc.so

%files opcache
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1064})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1064})
%{_libdir}/php/%{extensionsname}/opcache.so

%files pcntl
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1028})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1028})
%{_libdir}/php/%{extensionsname}/pcntl.so

%files pdo
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1052})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1052})
%{_libdir}/php/%{extensionsname}/pdo.so

%files pdo_dblib
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1053})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1053})
%{_libdir}/php/%{extensionsname}/pdo_dblib.so

%files pdo_firebird
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1058})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1058})
%{_libdir}/php/%{extensionsname}/pdo_firebird.so

%files pdo_mysql
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1054})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1054})
%{_libdir}/php/%{extensionsname}/pdo_mysql.so

%files pdo_odbc
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1055})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1055})
%{_libdir}/php/%{extensionsname}/pdo_odbc.so

%files pdo_pgsql
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1056})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1056})
%{_libdir}/php/%{extensionsname}/pdo_pgsql.so

%files pdo_sqlite
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1057})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1057})
%{_libdir}/php/%{extensionsname}/pdo_sqlite.so

%files pgsql
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1030})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1030})
%{_libdir}/php/%{extensionsname}/pgsql.so

%files phar
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1063})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1063})
%{_libdir}/php/%{extensionsname}/phar.so
%{_bindir}/phar%{vers}
%{_mandir}/man1/phar%{vers}.1*
%{_mandir}/man1/phar%{vers}.phar.1*
%post phar
alternatives --install %{_bindir}/phar phar %{_bindir}/phar%{vers} %{phpshort} \
	--slave %{_mandir}/man1/phar.1.xz manphar %{_mandir}/man1/phar%{vers}.1.xz \
	--slave %{_mandir}/man1/phar.phar.1.xz manphar.phar %{_mandir}/man1/phar%{vers}.phar.1.xz
%posttrans phar
alternatives --install %{_bindir}/phar phar %{_bindir}/phar%{vers} %{phpshort} \
	--slave %{_mandir}/man1/phar.1.xz manphar %{_mandir}/man1/phar%{vers}.1.xz \
	--slave %{_mandir}/man1/phar.phar.1.xz manphar.phar %{_mandir}/man1/phar%{vers}.phar.1.xz
%postun phar
alternatives --remove phar %{_bindir}/phar%{vers}

%files posix
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1031})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1031})
%{_libdir}/php/%{extensionsname}/posix.so

%files readline
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1032})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1032})
%{_libdir}/php/%{extensionsname}/readline.so

%files session
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1034})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1034})
%config(noreplace) %{_sysconfdir}/cron.d/php
%{_libdir}/php/%{extensionsname}/session.so
%{_libdir}/php/maxlifetime
%attr(01733,apache,apache) %dir /var/lib/php

%files shmop
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1035})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1035})
%{_libdir}/php/%{extensionsname}/shmop.so

%files snmp
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1036})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1036})
%{_libdir}/php/%{extensionsname}/snmp.so

%files soap
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1037})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1037})
%{_libdir}/php/%{extensionsname}/soap.so

%files sockets
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1038})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1038})
%{_libdir}/php/%{extensionsname}/sockets.so

%files sodium
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1065})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1065})
%{_libdir}/php/%{extensionsname}/sodium.so

%files sqlite3
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1059})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1059})
%{_libdir}/php/%{extensionsname}/sqlite3.so

%files sysvmsg
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1040})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1040})
%{_libdir}/php/%{extensionsname}/sysvmsg.so

%files sysvsem
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1041})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1041})
%{_libdir}/php/%{extensionsname}/sysvsem.so

%files sysvshm
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1042})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1042})
%{_libdir}/php/%{extensionsname}/sysvshm.so

%files tidy
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1043})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1043})
%{_libdir}/php/%{extensionsname}/tidy.so

%files tokenizer
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1044})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1044})
%{_libdir}/php/%{extensionsname}/tokenizer.so

%files xmlreader
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1048})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1048})
%{_libdir}/php/%{extensionsname}/xmlreader.so

%files xmlwriter
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1050})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1050})
%{_libdir}/php/%{extensionsname}/xmlwriter.so

%files xsl
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1049})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1049})
%{_libdir}/php/%{extensionsname}/xsl.so

%files zip
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1062})
%config(noreplace) %{_libdir}/php/%{inidir}/%(basename %{SOURCE1062})
%{_libdir}/php/%{extensionsname}/zip.so

%files fpm
%doc sapi/fpm/CREDITS sapi/fpm/LICENSE sapi/fpm/status.html
%{_unitdir}/php-fpm.service
%config(noreplace) %{_sysconfdir}/php-fpm.conf
%config(noreplace) %{_sysconfdir}/sysconfig/php-fpm
%config(noreplace) %{_sysconfdir}/logrotate.d/php-fpm
%dir %{_sysconfdir}/php-fpm.d
%config(noreplace) %{_sysconfdir}/php-fpm.d/default.conf
%config(noreplace) %{_sysconfdir}/php-fpm.d/www.conf
%{_sbindir}/php-fpm%{vers}
%{_mandir}/man8/php-fpm%{vers}.8*
%attr(0711,apache,apache) %dir /var/lib/php-fpm
%attr(0711,apache,apache) %dir /var/log/php-fpm
%{_tmpfilesdir}/php-fpm.conf

%post fpm
alternatives --install %{_sbindir}/php-fpm php-fpm %{_sbindir}/php-fpm%{vers} %{phpshort} \
	--slave %{_mandir}/man8/php-fpm.8.xz manphp-fpm %{_mandir}/man8/php-fpm%{vers}.8.xz
%_tmpfilescreate php-fpm
%_post_service php-fpm
%posttrans fpm
alternatives --install %{_sbindir}/php-fpm php-fpm %{_sbindir}/php-fpm%{vers} %{phpshort} \
	--slave %{_mandir}/man8/php-fpm.8.xz manphp-fpm %{_mandir}/man8/php-fpm%{vers}.8.xz
%preun fpm
%_preun_service php-fpm

%postun fpm
alternatives --remove php-fpm %{_sbindir}/php-fpm%{vers}

# rpm filetrigger to reload httpd when installing/removing php extensions
%transfiletriggerin -n apache-mod_%{phpname} -- %{_libdir}/php/%{extensionsname}/
systemctl reload-or-try-restart httpd.service || :

%transfiletriggerin fpm -- %{_libdir}/php/%{extensionsname}/
systemctl reload-or-try-restart php-fpm.service || :

%files fpm-apache
%config(noreplace) %{_httpd_modconfdir}/%(basename %{SOURCE10})

%files fpm-nginx
%config(noreplace) %{_sysconfdir}/nginx/conf.d/php-fpm.conf
%config(noreplace) %{_sysconfdir}/nginx/default.d/php.conf

%files -n phpdbg%{php_common_major}.%{php_common_sub}
%doc sapi/phpdbg/CREDITS
%doc sapi/phpdbg/*.php
%{_bindir}/phpdbg%{vers}
%{_mandir}/man1/phpdbg%{vers}.1*
%post -n phpdbg%{php_common_major}.%{php_common_sub}
alternatives --install %{_bindir}/phpdbg phpdbg %{_bindir}/phpdbg%{vers} %{phpshort} \
	--slave %{_mandir}/man1/phpdbg.1.xz manphpdbg %{_mandir}/man1/phpdbg%{vers}.1.xz
%postun -n phpdbg%{php_common_major}.%{php_common_sub}
alternatives --remove phpdbg %{_bindir}/phpdbg%{vers}

