%define major     1
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           physfs
Version:        3.2.0
Release:        %mkrel 1
Summary:        PhysicsFS, a library to provide abstract access to various archives
Group:          System/Libraries
License:        zlib
URL:            https://www.icculus.org/physfs
Source0:        https://github.com/icculus/physfs/archive/release-%{version}/%{name}-release-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(zlib)


%description
A library to provide abstract access to various archives.
It is intended for use in video games.
The programmer defines a "write directory" on the physical filesystem.
No file writing done through the PhysicsFS API can leave that write directory.

%package -n %{libname}
Summary:        Main library for physfs
Group:          System/Libraries
# mga5 package used wrong major
Obsoletes:      %{_lib}physfs2 < 2.0.3-6
Provides:       %{_lib}physfs2 = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with physfs.

%package -n %{develname}
Summary:        Headers for developing programs that will use physfs
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use physfs.

%prep
%autosetup -p1 -n physfs-release-%{version}

%build
%cmake -DPHYSFS_BUILD_STATIC=OFF
%cmake_build

%install
%cmake_install

%check
make -C build test_physfs

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{develname}
%doc README.txt docs/CREDITS.txt
%license LICENSE.txt
%{_bindir}/test_%{name}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/PhysFS/
%{_libdir}/pkgconfig/%{name}.pc
