%define rel	2
#define pre	rc1
%define ver	%{version}
%define release %{?pre:%mkrel -c %{pre} %rel}%{?!pre:%mkrel %rel}
%define srcname %{?pre:%{name}-%{ver}%{pre}}%{?!pre:%{name}-%{ver}}

Summary:	The official MusicBrainz tagger
Name:		picard
Version:	2.13.3
Release:	%{release}
License:	GPLv2+
Group:		Sound/Utilities
Url:		https://musicbrainz.org/doc/MusicBrainz_Picard
Source0:	https://ftp.musicbrainz.org/pub/musicbrainz/picard/%{srcname}.tar.gz
Patch0:		picard-relax-dependencies.patch

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3-qt5-devel

Requires:	python3-qt5-core
Requires:	python3-qt5-dbus
Requires:	python3-qt5-gui
Requires:	python3-qt5-multimedia
Requires:	python3-qt5-network
Requires:	python3-qt5-widgets
Requires:	qtmultimedia5
#gw for fpcalc (AcoustID calculation)
Requires:	chromaprint
#gw for metaflac:
Recommends:	flac
#gw for wvgain:
Recommends:	wavpack
Recommends:	mp3gain

%description
MusicBrainz Picard is the official MusicBrainz tagger, written in Python 3.

Picard supports the majority of audio file formats, is capable of using audio
fingerprints (PUIDs), performing CD lookups and disc ID submissions, and it has
excellent Unicode support. Additionally, there are several plugins available
that extend Picard's features.

When tagging files, Picard uses an album-oriented approach. This approach
allows it to utilize the MusicBrainz data as effectively as possible and
correctly tag your music. For more information, see the illustrated quick start
guide to tagging.

Picard is named after Captain Jean-Luc Picard from the TV series Star Trek: The
Next Generation.

%prep
%autosetup -p1 -n %{name}-%{ver}%{?pre:%{pre}}

%generate_buildrequires
%pyproject_buildrequires

%build
%{python3} setup.py config
%pyproject_wheel

%install
%pyproject_install

%find_lang %{name}
%find_lang %{name}-attributes
%find_lang %{name}-countries
%find_lang %{name}-constants
cat %{name}-*.lang >> %name.lang

%files -f %{name}.lang
%doc AUTHORS.txt NEWS.md
%license COPYING.txt
%{_bindir}/%{name}
%{python3_sitearch}/*
%{_datadir}/applications/org.musicbrainz.Picard.desktop
%{_metainfodir}/org.musicbrainz.Picard.appdata.xml
%{_iconsdir}/hicolor/*/apps/*
