#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           picmi
Version: 25.04.0
Release:        %mkrel %{rel}
License:        GPLv2
Summary:        A nonogram logic game for KDE
Group:          Games/Arcade
Url:            https://apps.kde.org/picmi/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Recommends:     picmi-handbook


%description
Picmi is a number logic game in which cells in a grid have to be colored or
left blank according to numbers given at the side of the grid to reveal a
hidden picture.

%files -f %name.lang
%_kf6_categoriesdir/picmi.*categories
%_kf6_bindir/picmi
%_kf6_datadir/picmi/
%_kf6_iconsdir/*/*/*/*
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/*.xml

#------------------------------------------------------------------------------

%package -n picmi-handbook
Summary:        Picmi handbook
Group:          Documentation
BuildArch:      noarch
Requires:       picmi >= %{version}-%{release}

%description -n picmi-handbook
This package provides the picmi handbook.

%files -n picmi-handbook
%_kf6_docdir/HTML/*/picmi

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
