%define rel     6

Name:           picom-conf
Version:        0.17.0
Release:        %mkrel %{rel}
Summary:        Configuration tool for X composite manager Picom
Group:          Graphical desktop/Other
License:        LGPLv2+
URL:            https://github.com/qtilities/picom-conf
Source:         https://github.com/qtilities/picom-conf/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  cmake(qtilitools)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  pkgconfig(libconfig)

Requires:       picom
Obsoletes:      compton-conf < 0.16.0-4
Provides:       compton-conf = %{version}-%{release}


%description
X composite manager configuration for picom.

%prep
%autosetup -p1

%build
%cmake -DPICOM_ENABLE_AUTOSTART:BOOL=ON \
       -DPROJECT_QT_VERSION=6
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_sysconfdir}/xdg/autostart/picom.desktop
%{_datadir}/applications/picom_conf.desktop
%{_datadir}/%{name}/
%{_metainfodir}/picom_conf.appdata.xml
