### Note: compton fork renamed to 'picom' since version 7.5

# comment out if not pre-release
#define prel    beta2

%define rel     1

Name:           picom
Version:        12.5
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        A lightweight compositor for X11 (previously a compton fork)
Group:          Graphical desktop/Other
License:        MIT
#https://github.com/chjj/compton
URL:            https://github.com/yshui/picom
Source:         https://github.com/yshui/picom/archive/v%{version}%{?prel:_%prel}/%{name}-%{version}%{?prel:_%prel}.tar.gz
Patch0:         picom-12-default-vsync-to-false.patch
# Mageia specific: revert upstream commit https://github.com/yshui/picom/commit/5d6326a
Patch1:         picom-12-mga-do-not-autostart-picom.patch

BuildRequires:  asciidoc
BuildRequires:  git
BuildRequires:  meson
BuildRequires:  ruby-asciidoctor
BuildRequires:  uthash-devel
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-renderutil)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libev)
BuildRequires:  pkgconfig(libxdg-basedir)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gl)

Requires:       python3

%description
Picom is a lightweight compositor for X11 (previously a compton fork).

Note:

This is forked from the original Compton because that seems to have become
unmaintained.

The current battle plan of this fork is to refactor it to make the code
possible to maintain, so potential contributors won't be scared away when they
take a look at the code.

We also try to fix bugs.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:_%prel}

%build
%meson -Dwith_docs=true
%meson_build

%install
%meson_install

# The config that comes with picom
mkdir -p %{buildroot}%{_sysconfdir}/xdg
install -m 0644 picom.sample.conf %{buildroot}%{_sysconfdir}/xdg/%{name}.conf

%check
%meson_test

%files
%doc CONTRIBUTORS README.md picom.sample.conf
%license COPYING
%{_sysconfdir}/xdg/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-inspect
%{_bindir}/%{name}-trans
%{_bindir}/compton
%{_bindir}/compton-trans
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/compton.desktop
%{_iconsdir}/hicolor/*/apps/compton.png
%{_iconsdir}/hicolor/scalable/apps/compton.svg
%{_libdir}/pkgconfig/picom-api.pc
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-inspect.1.*
%{_mandir}/man1/%{name}-trans.1.*
