Name:		pidgin-libnotify
Version:	0.14
Release:	%mkrel 23
Summary:	Popup for Pidgin via libnotify and the notification-daemon
License:	GPLv3
Group:		Networking/Instant messaging
URL:		https://gaim-libnotify.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/gaim-libnotify/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
# Fedora patches:
Patch1:		pidgin-libnotify-0.14-libnotify-0.7.patch
Patch2:		pidgin-libnotify-fix-show-button.patch
# Mageia patches
Patch50:	pidgin-libnotify-0.14-automake_1.13.patch

BuildRequires:	pkgconfig(pidgin)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	intltool
Requires:	pidgin

%description
This plugin adds a libnotify interface to pidgin, enabling popups much like 
guifications. It has some configuration options, to show popups when a 
buddy signs on, on new messages and on new conversations only.

libnotify and notify-daemon aren't stable yet, so it's all very experimental.

N.B. Don't forget to enable the plugin in Tools->Plugins.

%prep
%autosetup -p1

# explicitly set debug.h from libpurple to fix build with gcc 14
sed -i 's|#include <debug.h>|#include <libpurple/debug.h>|' src/pidgin-libnotify.c

%build
autoreconf -fi
%configure --disable-deprecated
%make_build

%install
%make_install

%find_lang %name

# remove files not bundled
rm -f %{buildroot}%{_libdir}/purple-2/*.{la,a}

%files -f %{name}.lang
%doc AUTHORS ChangeLog INSTALL README
%{_libdir}/purple-2/*.so
