Name:           pidgin-otr
Version:        4.0.2
Release:        %mkrel 5
Summary:        Pidgin plugin that implements Off-the-Record Messaging
License:        GPLv2
Group:          Networking/Instant messaging
URL:            https://www.cypherpunks.ca/otr/
Source0:        https://www.cypherpunks.ca/otr/%{name}-%{version}.tar.gz
Source1:        https://www.cypherpunks.ca/otr/%{name}-%{version}.tar.gz.asc
BuildRequires:  pkgconfig(pidgin)
BuildRequires:  pkgconfig(libotr) >= 3.2.0
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.4
BuildRequires:  libgcrypt-devel >= 1.2.0
BuildRequires:  perl(XML::Parser)
BuildRequires:  intltool
Requires:       pidgin

%description
This is a plugin for pidgin which implements Off-the-Record
Messaging over any IM network pidgin supports.

OTR allows you to have private conversations over IM by providing:
 - Encryption
   - No one else can read your instant messages.
 - Authentication
   - You are assured the correspondent is who you think it is.
 - Deniability
   - The messages you send do _not_ have digital signatures that are
     checkable by a third party.  Anyone can forge messages after a
     conversation to make them look like they came from you.  However,
     _during_ a conversation, your correspondent is assured the messages
     he sees are authentic and unmodified.
 - Perfect forward secrecy
   - If you lose control of your private keys, no previous conversation
     is compromised.

%prep
%setup -q

# explicitly set debug.h from libpurple to fix build with gcc 14
sed -i 's|#include "debug.h"|#include <libpurple/debug.h>|' otr-plugin.c

%build
%configure
%make_build

%install
rm -rf %{buildroot} %name.lang
%make_install

# remove unneeded file
rm -f %{buildroot}%{_libdir}/pidgin/*.la

%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/pidgin/*.so


