%define oname 	purple-plugin-pack

%define _disable_ld_no_undefined 1

Summary:	Plugin Pack for libpurple and derived IM clients
Name:		pidgin-plugin-pack
Version:	2.8.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		https://keep.imfreedom.org/pidgin/purple-plugin-pack/
Source0:	https://downloads.sourceforge.net/pidgin/purple%20plugin%20pack/%{version}/%{oname}-%{version}.tar.xz
Patch0:		purple-plugin-pack-gcc14.patch
BuildRequires:	meson
BuildRequires:	intltool
BuildRequires:	python3
BuildRequires:	pkgconfig(pidgin)
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(gnt)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtkspell-2.0)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(zlib)
Requires:	pidgin

%description
Additional plugins for Pidgin.

%prep
%autosetup -p1 -n purple-plugin-pack-%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang plugin_pack

%files -f plugin_pack.lang
%doc AUTHORS ChangeLog
%license COPYING
%{_datadir}/pixmaps/pidgin/protocols/*/okcupid.png
%_libdir/pidgin/album.so
%_libdir/pidgin/blistops.so
%_libdir/pidgin/convbadger.so
%_libdir/pidgin/difftopic.so
%_libdir/pidgin/enhancedhist.so
%_libdir/pidgin/gRIM.so
%_libdir/pidgin/icon-override.so
%_libdir/pidgin/irssi.so
%_libdir/pidgin/lastseen.so
%_libdir/pidgin/listlog.so
%_libdir/pidgin/mystatusbox.so
%_libdir/pidgin/nicksaid.so
%_libdir/pidgin/plonkers.so
%_libdir/pidgin/schedule.so
%_libdir/pidgin/sepandtab.so
%_libdir/pidgin/switchspell.so
%_libdir/pidgin/timelog.so
%_libdir/purple-2/autoreply.so
%_libdir/purple-2/bash.so
%_libdir/purple-2/capsnot.so
%_libdir/purple-2/colorize.so
%_libdir/purple-2/dewysiwygification.so
%_libdir/purple-2/dice.so
%_libdir/purple-2/eight_ball.so
%_libdir/purple-2/flip.so
%_libdir/purple-2/google.so
%_libdir/purple-2/groupmsg.so
%_libdir/purple-2/highlight.so
%_libdir/purple-2/ignore.so
%_libdir/purple-2/irchelper.so
%_libdir/purple-2/irc-more.so
%_libdir/purple-2/listhandler.so
%_libdir/purple-2/ning.so
%_libdir/purple-2/okcupid.so
%_libdir/purple-2/oldlogger.so
%_libdir/purple-2/omegle.so
%_libdir/purple-2/showoffline.so
%_libdir/purple-2/simfix.so
%_libdir/purple-2/slashexec.so
%_libdir/purple-2/snpp.so
%_libdir/purple-2/splitter.so
%_libdir/purple-2/sslinfo.so
%_libdir/purple-2/translate.so
%_libdir/purple-2/xmppprio.so
%{_metainfodir}/purple-plugin-pack.metainfo.xml
