%define major           0
%define libname         %mklibname purple %{major}
%define develname       %mklibname purple -d

%define console_app     finch
%define lib_console_app %mklibname %{console_app} %{major}
%define gntlib	        %mklibname gnt 0

%bcond_with evolution
%bcond_without silc
%bcond_without meanwhile
%bcond_without networkmanager
%bcond_without vv
%bcond_without libgadu
%bcond_without sasl

#gw https://developer.pidgin.im/ticket/11936#comment:1
%bcond_with mono

Summary:	A GTK+ based multiprotocol instant messaging client
Name:		pidgin
Version:	2.14.14
Release:	%mkrel 2
Group:		Networking/Instant messaging
License:	GPLv2+
URL:		https://www.pidgin.im/
Source0:	https://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.bz2
#gw from Fedora: generate one time passwords
Source2:        one_time_password.c
Patch0:		pidgin-2.7.0-smiley.patch
Patch3:		pidgin-2.4.2-set-jabber-as-module.patch
#gw fix build with mono 2.6.4 which does not have the nessessary glib dep
#in the pkgconfig file
#also add missing include
Patch6:		pidgin-2.7.0-mono-build.patch
#gw fix reading resolv.conf in NetworkManager integration
Patch111:	pidgin-2.8.0-reread-resolvconf.patch
Patch115:	pidgin-2.10.0-gg-search-by-uin.patch
Patch116:	pidgin-2.8.0-gg-disconnect.patch
Patch117:	pidgin-2.14.1-intltool.patch
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	autoconf
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(gnt)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.10
BuildRequires:	pkgconfig(gtkspell-2.0) >= 2.0.2
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(ncursesw)
#gw for finch:
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-rpm-macros
%if %{with libgadu}
BuildRequires:	pkgconfig(libgadu) >= 1.11.0
%endif
%if %{with networkmanager}
BuildRequires:	pkgconfig(libnm)
%endif
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	gstreamer1.0-devel
BuildRequires:	libgstreamer1.0-plugins-base-devel
BuildRequires:  pkgconfig(libidn)
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	doxygen
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(dbus-1) >= 0.50
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	graphviz
BuildRequires:	libxslt-proc
BuildRequires:	GConf2
%if %{with meanwhile}
BuildRequires:	pkgconfig(meanwhile) >= 1.0.0
%else
BuildConflicts:	meanwhile-devel
%endif
%if %{with evolution}
BuildRequires:	evolution-data-server-devel
%endif
%if %{with silc}
BuildRequires:	silc-toolkit-devel >= 0.9.12
%else
BuildConflicts:	silc-toolkit-devel
%endif
%if %{with mono}
BuildRequires:	mono-devel
%endif
%if %{with vv}
BuildRequires:	pkgconfig(farstream-0.2) >= 0.1.1
Recommends:	gstreamer1.0-farstream
%endif
%if %{with sasl}
BuildRequires:  pkgconfig(libsasl2)
%endif
BuildRequires: intltool
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	%{name}-plugins = %{version}-%{release}
Requires:	rootcerts
Requires:	xdg-utils
# for notifications in gnome-shell
Recommends:	purple-libnotify-plus

# Replace upstream dead empathy
Obsoletes:	empathy < 3.25.90-10

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu,
ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and
Zephyr.  These protocols are implemented using a modular, easy to
use design.  To use a protocol, just add an account using the
account editor.

Pidgin supports many common features of other clients, as well as many
unique features, such as perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.

%package plugins
Summary:	Pidgin plugins shared by the Purple and Finch
Group:		Networking/Instant messaging
Conflicts:	%{name} < 2.4.1-3mdv

%description plugins
This contains the parts of Pidgin that are shared between the Purple and
Finch Instant Messengers.

%package perl
Summary:	Purple extension, to use perl scripting
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description perl
Purple can use perl script as plugin, this plugin enable them.

%package tcl
Summary:	Purple extension, to use tcl scripting
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description tcl
Purple can use tcl script as plugin, this plugin enable them.

%if %{with evolution}
%package gevolution
Summary:	Pidgin extension, for Evolution integration
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description gevolution
This pidgin plugin allows you to have pidgin working together with evolution.
%endif

%package silc
Summary:	Purple extension, to use SILC (Secure Internet Live Conferencing)
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description silc
This purple plugin allows you to use SILC (Secure Internet Live Conferencing)
plugin for live video conference.

%package -n %{develname}
Summary:	Development files for pidgin
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{lib_console_app} = %{version}-%{release}
Requires:	pidgin-client = %version-%release
Provides:	libpidgin-devel = %{version}-%{release}
Provides:	pidgin-devel = %{version}-%{release}
Provides:	purple-devel = %{version}-%{release}

%description -n %{develname}
The pidgin-devel package contains the header files, developer
documentation, and libraries required for development of Pidgin scripts
and plugins.

%package -n %{libname}
Summary:	The libpurple library for IM clients like Pidgin and Finch
Group:		System/Libraries
# Required to connect to somme XMPP or IRC servers
Requires:	sasl-plug-plain
Requires:	sasl-plug-scram
Requires:	sasl-plug-digestmd5
Requires:	sasl-plug-crammd5

%description -n %{libname}
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

libpurple supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%package -n %{lib_console_app}
Summary:	The libgnt library for the Finch IM client
Group:		System/Libraries
Conflicts:	%mklibname gaim 0
Requires:	%{gntlib} >= 2.14.0

%description -n %{lib_console_app}
libgnt contains the core IM support for the Finch IM client.

libgnt supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%package -n %{console_app}
Summary:	A text-based user interface for Pidgin
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}
Requires:	%{lib_console_app} >= %{version}-%{release}
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	%{name}-plugins = %{version}-%{release}
Requires:	%{gntlib} >= 2.14.0

%description -n	%{console_app}
A text-based user interface for using libpurple. This can be run from a
standard text console or from a terminal within X Windows.  It
uses ncurses and our homegrown gnt library for drawing windows
and text.

%package bonjour
Summary:	Bonjour plugin for Purple
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description bonjour
Bonjour plugin for purple.

%package meanwhile
Summary:	Lotus Sametime Community Client plugin for Purple
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description meanwhile
Lotus Sametime Community Client plugin for purple.

%package client
Summary:	Plugin and sample client to control purple clients
Group:		Networking/Instant messaging
Requires:	python3-dbus
Requires:	%{name} = %{version}-%{release}

%description client
Applications and library to control purple clients remotely.

%package mono
Summary:	Purple extension, to use Mono plugins
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description mono
Purple can use plugins developed with Mono.

%package i18n
Summary:	Translation files for Pidgin/Finch
Group:		Networking/Instant messaging
BuildArch:	noarch

%description i18n
This package contains translation files for Pidgin/Finch.

%prep
%setup -q
%patch 0 -p1 -b .smiley
%patch 3 -p1
%patch 6 -p1
%patch 111 -p1 -b .reread-resolvconf
%patch 115 -p1
%patch 116 -p1
%patch 117 -p1

# Get rid of #!/usr/bin/env python
# Upstream refuses to use ./configure --python-path= in these scripts.
%py3_shebang_fix \
            finch/plugins/pietray.py libpurple/purple-remote \
            libpurple/plugins/dbus-buddyicons-example.py \
            libpurple/plugins/startup.py libpurple/purple-url-handler \
            libpurple/purple-notifications-example

# make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE\)\((\[\(.*\)\])\|(\(.*\))\|.*\),\1([\3\4 subdir-objects]),' configure.ac

%build
autoreconf -fi -Im4macros
#gw 2.7.0, the yahoo plugin does not build otherwise
%define _disable_ld_no_undefined 1
%configure \
	--enable-gnutls=yes \
%if %{with mono}
	--enable-mono \
%else
	--disable-mono \
%endif
%if %{with networkmanager}
	--enable-nm \
%else
	--disable-nm \
%endif
%if %{with evolution}
	--enable-gevolution \
%endif
%if ! %{with vv}
        --disable-vv \
%endif
%if %{with sasl}
        --enable-cyrus-sasl \
%else
        --disable-cyrus-sasl \
%endif
	--without-krb4 \
	--enable-cap \
	--with-python=%__python3 \
	--with-system-ssl-certs=%_sysconfdir/pki/tls/rootcerts/ \
	--disable-static --disable-schemas-install \
	--disable-gevolution
%make_build

# one_time_password plugin, to be merged upstream soon
cp %{SOURCE2} libpurple/plugins/
pushd libpurple/plugins/
make one_time_password.so
popd


%install
%make_install

install -m 0755 libpurple/plugins/one_time_password.so %{buildroot}%{_libdir}/purple-2/

desktop-file-install \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Network" \
  --add-category="InstantMessaging" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# remove files not bundled
rm -f %buildroot%_prefix/*/perl5/*/perllocal.pod \
      %buildroot%_libdir/*/perl/auto/*/{.packlist,*.bs}

# fix rights
chmod 755 \
	%{buildroot}%{_libdir}/pidgin/perl/auto/Pidgin/Pidgin.so \
	%{buildroot}%{_libdir}/purple-2/perl/auto/Purple/Purple.so

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas purple

%files
%doc AUTHORS COPYRIGHT ChangeLog
%doc NEWS README doc/the_penguin.txt
%{_mandir}/man1/pidgin.*
%{_sysconfdir}/gconf/schemas/purple.schemas
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/pidgin/
%{_iconsdir}/hicolor/*/apps/pidgin.{png,svg}
%{_datadir}/sounds/purple
%{_libdir}/pidgin/cap.so
%{_libdir}/pidgin/convcolors.so
%{_libdir}/pidgin/extplacement.so
%{_libdir}/pidgin/gestures.so
#{_libdir}/pidgin/gevolution.so
%{_libdir}/pidgin/gtkbuddynote.so
%{_libdir}/pidgin/history.so
%{_libdir}/pidgin/iconaway.so
%{_libdir}/pidgin/markerline.so
%{_libdir}/pidgin/musicmessaging.so
%{_libdir}/pidgin/notify.so
%{_libdir}/pidgin/pidginrc.so
%{_libdir}/pidgin/relnot.so
%{_libdir}/pidgin/sendbutton.so
%{_libdir}/pidgin/spellchk.so
%{_libdir}/pidgin/themeedit.so
%{_libdir}/pidgin/ticker.so
%{_libdir}/pidgin/timestamp.so
%{_libdir}/pidgin/timestamp_format.so
%{_libdir}/pidgin/transparency.so
%if %{with vv}
%{_libdir}/pidgin/vvconfig.so
%endif
%{_libdir}/pidgin/xmppconsole.so
%{_libdir}/pidgin/xmppdisco.so

%files -n %{develname}
%doc ChangeLog.API HACKING PLUGIN_HOWTO
%{_includedir}/*
%{_datadir}/aclocal/purple.m4
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libpurple.so
%{_libdir}/libpurple-client.so

%files -n %{libname}
%{_libdir}/libpurple.so.%{major}{,.*}

%files -n %{console_app}
%doc %{_mandir}/man1/%{console_app}.*
%{_bindir}/%{console_app}
%{_libdir}/finch/

%files -n %{lib_console_app}

%files bonjour
%{_libdir}/purple-2/libbonjour.so

%files perl
%doc doc/PERL-HOWTO.dox
%dir %_libdir/%name/perl
%_libdir/%name/perl/Pidgin.pm
%dir %_libdir/%name/perl/auto
%dir %_libdir/%name/perl/auto/Pidgin/
%_libdir/%name/perl/auto/Pidgin/Pidgin.so
%dir %{_libdir}/purple-2/perl
%{_libdir}/purple-2/perl/Purple.pm
%dir %{_libdir}/purple-2/perl/auto
%dir %{_libdir}/purple-2/perl/auto/Purple/
%{_libdir}/purple-2/perl/auto/Purple/Purple.so
%{_libdir}/purple-2/perl/auto/Purple/autosplit.ix
%{_libdir}/purple-2/perl.so
%{_mandir}/man3*/*

%files tcl
%doc doc/TCL-HOWTO.dox
%{_libdir}/purple-2/tcl.so

%if %{with silc}
%files silc
%doc libpurple/protocols/silc/README
%{_libdir}/purple-2/libsilcpurple.so
%endif

%if %{with evolution}
%files gevolution
%{_libdir}/%{name}/gevolution.so
%endif

%if %{with meanwhile}
%files meanwhile
%{_libdir}/purple-2/libsametime.so
%endif

%files client
%{_bindir}/purple-remote
%{_bindir}/purple-send
%{_bindir}/purple-send-async
%{_bindir}/purple-client-example
%{_bindir}/purple-url-handler
%{_libdir}/libpurple-client.so.0*
%{_libdir}/purple-2/dbus-example.so

%if %{with mono}
%files mono
%{_libdir}/purple-2/mono.so
%{_libdir}/purple-2/*.dll
%endif

%files i18n -f %{name}.lang

%files plugins
%dir %{_libdir}/purple-2
%{_libdir}/purple-2/autoaccept.so
%{_libdir}/purple-2/buddynote.so
%{_libdir}/purple-2/idle.so
%{_libdir}/purple-2/joinpart.so
%{_libdir}/purple-2/libgg.so
%{_libdir}/purple-2/libirc.so
%{_libdir}/purple-2/libjabber.so
%{_libdir}/purple-2/libnovell.so
%{_libdir}/purple-2/libsimple.so
%{_libdir}/purple-2/libxmpp.so
%{_libdir}/purple-2/libzephyr.so
%{_libdir}/purple-2/log_reader.so
%{_libdir}/purple-2/newline.so
%{_libdir}/purple-2/nss-prefs.so
%{_libdir}/purple-2/offlinemsg.so
%{_libdir}/purple-2/one_time_password.so
%{_libdir}/purple-2/psychic.so
%{_libdir}/purple-2/ssl-gnutls.so
%{_libdir}/purple-2/ssl-nss.so
%{_libdir}/purple-2/ssl.so
%{_libdir}/purple-2/statenotify.so
