#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           pim-data-exporter
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Application to assist you with backing up and archiving PIM data
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz
# FIXME missing 32bit support for mailcommon
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

# Find KF6 package
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6DBusAddons)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6MailCommon)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6PimCommonAkonadi)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6TextCustomEditor)

BuildRequires:  cmake(KF6UserFeedback)

Provides:       kdepim-core = %epoch:%version-%release

%description
Application to assist you with backing up and archiving PIM data, including
the necessary configuration, for archival or transfer to another computer.

%files -f %name.lang
%_kf6_categoriesdir/pimdataexporter.categories
%_kf6_categoriesdir/pimdataexporter.renamecategories
%_kf6_bindir/pimdataexporter
%_kf6_bindir/pimdataexporterconsole
%_kf6_applicationsdir/org.kde.pimdataexporter.desktop
%_kf6_metainfodir/org.kde.pimdataexporter.appdata.xml
%_kf6_datadir/config.kcfg/pimdataexporterglobalconfig.kcfg

#------------------------------------------------------------------------------

%define pimdataexporterprivate_major 6
%define libpimdataexporterprivate %mklibname pimdataexporterprivate %pimdataexporterprivate_major

%package -n %libpimdataexporterprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libpimdataexporterprivate
KDEPIM library.

%files -n %libpimdataexporterprivate
%_kf6_libdir/libpimdataexporterprivate.so.%{pimdataexporterprivate_major}{,.*}

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/pimdataexporter/
%doc %_kf6_docdir/HTML/*/pimsettingexporter/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
