#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           pim-sieve-editor
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Application to assist with editing IMAP Sieve filters
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz
# FIXME missing 32bit support for libksieve
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)

# Find KF6 package
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6KSieveUi)
BuildRequires:  cmake(KPim6IMAP)

BuildRequires:  cmake(KF6UserFeedback)
BuildRequires:  cmake(Qt6Keychain)


%description
Application to assist with editing IMAP Sieve filters.

%files -f %name.lang
%_kf6_categoriesdir/sieveeditor.categories
%_kf6_categoriesdir/sieveeditor.renamecategories
%_kf6_bindir/sieveeditor
%_kf6_applicationsdir/org.kde.sieveeditor.desktop
%_kf6_metainfodir/org.kde.sieveeditor.appdata.xml
%_kf6_datadir/config.kcfg/sieveeditorglobalconfig.kcfg
%_kf6_iconsdir/hicolor/*/apps/sieveeditor.png
%_kf6_iconsdir/hicolor/scalable/apps/sieveeditor.svg

#------------------------------------------------------------------------------


%define sieveeditor_major 6
%define libsieveeditor %mklibname sieveeditor %sieveeditor_major

%package -n %libsieveeditor
Summary:        Application to assist with editing IMAP Sieve filters
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libsieveeditor
Application to assist with editing IMAP Sieve filters

%files -n %libsieveeditor
%_kf6_libdir/libsieveeditor.so.%{sieveeditor_major}{,.*}

#------------------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/sieveeditor

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
