#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Common lib for kdepim
Name:           pimcommon
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  xsltproc

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6UiPlugin)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6TextWidgets)

BuildRequires:  cmake(PlasmaActivities)

BuildRequires:  cmake(KPim6Akonadi) >= 5.240
BuildRequires:  cmake(KPim6AkonadiContactWidgets) >= 5.240
BuildRequires:  cmake(KPim6IMAP)
BuildRequires:  cmake(KPim6LdapWidgets)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6AkonadiSearch)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KF6CalendarCore)

BuildRequires:  cmake(KF6TextAutoCorrectionWidgets)
BuildRequires:  cmake(KF6TextAddonsWidgets)
BuildRequires:  cmake(KF6TextCustomEditor)

Requires:       purpose


%description
Common lib for kdepim.

%files -f %name.lang
%_kf6_categoriesdir/pimcommon.*categories
%_qt6_plugindir/designer/pimcommon6widgets.so
%_qt6_plugindir/designer/pimcommon6akonadiwidgets.so

#--------------------------------------------------------------------

%define kpimpimcommon_major 6
%define libkpimpimcommon %mklibname kpim6pimcommon %{kpimpimcommon_major}

%package -n %libkpimpimcommon
Summary:        Common lib for kdepim
Group:          System/Libraries
Requires:       %name >= %epoch:%version

%description -n %libkpimpimcommon
Common lib for kdepim.

%files -n %libkpimpimcommon
%_kf6_libdir/libKPim6PimCommon.so.%{kpimpimcommon_major}{,.*}

#--------------------------------------------------------------------

%define kpimpimcommonakonadi_major 6
%define libkpimpimcommonakonadi %mklibname kpim6pimcommonakonadi %{kpimpimcommonakonadi_major}

%package -n %libkpimpimcommonakonadi
Summary:        Common Akonadi lib for kdepim
Group:          System/Libraries
Requires:       %name >= %epoch:%version

%description -n %libkpimpimcommonakonadi
Common Akonadi lib for kdepim.

%files -n %libkpimpimcommonakonadi
%_kf6_libdir/libKPim6PimCommonAkonadi.so.%{kpimpimcommonakonadi_major}{,.*}

#--------------------------------------------------------------------

%define kpimpimcommonactivities_major 6
%define libkpimpimcommonactivities %mklibname kpim6pimcommonactivities %{kpimpimcommonactivities_major}

%package -n %libkpimpimcommonactivities
Summary:        Common Activities lib for kdepim
Group:          System/Libraries
Requires:       %name >= %epoch:%version

%description -n %libkpimpimcommonactivities
Common Activities lib for kdepim.

%files -n %libkpimpimcommonactivities
%_kf6_libdir/libKPim6PimCommonActivities.so.%{kpimpimcommonactivities_major}{,.*}

#--------------------------------------------------------------------

%define kf6pimcommon_devel %mklibname kpim6pimcommon -d

%package -n %kf6pimcommon_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimpimcommon = %epoch:%version-%release
Requires:       %libkpimpimcommonakonadi = %epoch:%version-%release
Requires:       %libkpimpimcommonactivities = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf6pimcommon_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6pimcommon_devel
%_includedir/KPim6/PimCommon/
%_kf6_libdir/libKPim6PimCommon.so
%_kf6_libdir/cmake/KPim6PimCommon/
#
%_includedir/KPim6/PimCommonAkonadi/
%_kf6_libdir/libKPim6PimCommonAkonadi.so
%_kf6_libdir/cmake/KPim6PimCommonAkonadi/
#
%_includedir/KPim6/PimCommonActivities/
%_kf6_libdir/libKPim6PimCommonActivities.so
%_kf6_libdir/cmake/KPim6PimCommonActivities/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
