Name:		pinentry
Version:	1.3.1
Release:	%mkrel 2
Summary:	Collection of simple PIN or passphrase entry dialogs
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://www.gnupg.org/
Source0:	https://gnupg.org/ftp/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1:	https://gnupg.org/ftp/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
Source2:	pinentry-wrapper
Patch1:		pinentry-1.1.1-coverity.patch
# Qt5
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5X11Extras)
BuildRequires:	cmake(KF5Wayland)
# Qt6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(KF6GuiAddons)
BuildRequires:	cmake(KF6WindowSystem)
#
BuildRequires:	fltk-devel
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libcap)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(libassuan)
BuildRequires:	pkgconfig(gpg-error) >= 1.16
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(gcr-4)
BuildRequires:	pkgconfig(elementary)

%description
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

%files
%license COPYING
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%{_bindir}/pinentry
%{_bindir}/pinentry-curses
%{_bindir}/pinentry-tty
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_infodir}/*.info*

#-----------------------------------------------------------------------------------------

%package	gnome3
Summary:	GNOME 3 interface of pinentry
Group:		System/Kernel and hardware
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description	gnome3
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides GNOME 3 interface of the dialog.

%files		gnome3
%{_bindir}/pinentry-gnome3

#-----------------------------------------------------------------------------------------

%package	efl
Summary:	EFL interface of pinentry
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	efl
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides EFL interface of the dialog.

%files		efl
%{_bindir}/pinentry-efl

#-----------------------------------------------------------------------------------------

%package	emacs
Summary:	GTK+ interface of pinentry
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	emacs
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides Emacs interface of the dialog.

%files		emacs
%{_bindir}/pinentry-emacs

#-----------------------------------------------------------------------------------------

%package	fltk
Summary:	FLTK interface of pinentry
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	fltk
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides FLTK interface of the dialog.

%files		fltk
%{_bindir}/pinentry-fltk

#-----------------------------------------------------------------------------------------

%package	gtk2
Summary:	GTK+ interface of pinentry
Group:		System/Kernel and hardware
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description	gtk2
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides GTK+ interface of the dialog.

%files		gtk2
%{_bindir}/pinentry-gtk-2

#-----------------------------------------------------------------------------------------

%package	qt5
Summary:	Qt5 interface of pinentry
Group:		System/Kernel and hardware
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description	qt5
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides Qt5 interface of the dialog.

%files		qt5
%{_bindir}/pinentry-qt5
%{_datadir}/applications/org.gnupg.pinentry-qt5.desktop

#-----------------------------------------------------------------------------------------

%package	qt6
Summary:	Qt6 interface of pinentry
Group:		System/Kernel and hardware
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description	qt6
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides Qt6 interface of the dialog.

%files		qt6
%{_bindir}/pinentry-qt
%{_bindir}/pinentry-qt6
%{_datadir}/applications/org.gnupg.pinentry-qt.desktop

#-----------------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
# autogen.sh does not replace the bundled automake files even with --force
autoreconf -vfi

#to find moc
export PATH=$PATH:%{_qt5_bindir}

%configure \
	--enable-pinentry-qt \
	--enable-pinentry-qt5 \
	--enable-pinentry-gtk2 \
	--enable-pinentry-gnome3 \
	--enable-libsecret \
	--enable-pinentry-efl \
	--enable-pinentry-emacs \
	--enable-pinentry-fltk \
	--enable-pinentry-curses \
	--enable-fallback-curses \
        --enable-pinentry-tty \
        --disable-rpath
%make_build

%install
%make_install

install -p -m644 -D qt/icons/pinentry.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

install -p -m755 -D %{SOURCE2} %{buildroot}%{_bindir}/pinentry

ln -s pinentry-qt %{buildroot}%{_bindir}/pinentry-qt6

