Summary:	A free Lemmings clone
Name:		pingus
Version:	0.7.6
Release:	%mkrel 26
License:	GPLv2+
Group:		Games/Arcade
URL:		https://pingus.seul.org
Source0:	https://github.com/Pingus/downloads/blob/master/%{name}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		pingus-0.7.6-gcc.patch
Patch1:		pingus-0.7.6-missing-header.patch
Patch2:		pingus-0.7.6-scons3.patch
Patch3:		pingus-0.7.6-boost-169.patch
Patch4:		pingus-gcc13.patch
BuildRequires:	scons
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(physfs)
BuildRequires:	pkgconfig(cwiid)

%description
Pingus is a free Lemmings clone covered under the GPLv2. Pingus uses SDL,
which should make it portable over a lot of operating systems in the future.
At the moment the main target is Linux. It is possible to play Pingus in a
X window or in fullscreen.

%prep
%setup -q
%autopatch -p1

# fix manpage "6" path
sed -i -e 's|/man1/|/man6/|' Makefile

%build
%scons \
	CCFLAGS="%{optflags}" \
	LINKFLAGS="%{ldflags}" \
	prefix=%{_prefix} \
	execprefix=%{_gamesbindir} \
	datadir=%{_gamesdatadir}

%install
%make_install \
  DATADIR=%{_gamesdatadir}/%{name} \
  MANDIR=%{_mandir} \
  BINDIR=%{_gamesbindir}

install -m 755 -d %{buildroot}%{_datadir}/applications/

# workaround the fact this file contains bad stuff
cat > %{buildroot}%{_gamesbindir}/%{name} << EOF
#!/bin/sh
%{_gamesbindir}/%{name}.bin --datadir %{_gamesdatadir}/%{name}
EOF

cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Pingus
Comment=A free Lemmings clone
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

rm -f %{buildroot}%{_datadir}/locale/locale.alias

%files
%doc AUTHORS COPYING README* TODO
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}.bin
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/pingus.6.*
