Name:           pinot
Version:        1.22
Release:        %mkrel 2
Summary:        Personal search and metasearch for the Free Desktop
License:        GPLv2+
Group:          File tools
URL:            https://github.com/FabriceColin/pinot
Source0:        https://github.com/FabriceColin/pinot/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:         pinot-1.21-build-Xapian-bindings-without-version-info.patch

BuildRequires:  pkgconfig(giomm-2.4)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(gmime-3.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(libxml++-3.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(xapian-core)
BuildRequires:  pkgconfig(libexttextcat)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  boost-devel
BuildRequires:  chmlib-devel
BuildRequires:  desktop-file-utils
Requires:       shared-mime-info
Requires:       unzip
Requires:       antiword
Requires:       unrtf
Requires:       poppler
Requires:       libexttextcat

%description
Pinot is a D-Bus service that crawls, indexes your documents and monitors them
for changes, as well as a GTK-based user interface that enables to query
the index built by the service and your favourite Web engines, and display and
analyze the results.

%package devel
Summary:        Development files for Pinot
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
Pinot is a D-Bus service that crawls, indexes your documents and monitors them
for changes. This package package contains include files needed to develop
applications on top of Pinot.

%prep
%autosetup -p1

%build
touch ChangeLog
autoreconf -vfi

%configure \
 --disable-static \
 --with-http=curl \
 --enable-dbus \
 --enable-mempool \
 --enable-libarchive \
 --enable-chmlib
%make_build

%install
%make_install

desktop-file-install \
 --remove-category="Core" \
 --remove-category="Network" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE COPYING
%doc AUTHORS ChangeLog* NEWS README TODO FAQ
%config(noreplace) %{_sysconfdir}/pinot/
%dir %{_datadir}/pinot/
%{_datadir}/pinot/*
%dir %{_libdir}/pinot/
%dir %{_libdir}/pinot/backends/
%{_libdir}/pinot/backends/*
%dir %{_libdir}/pinot/filters/
%{_libdir}/pinot/filters/*
%{_bindir}/pinot*
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/com.github.fabricecolin.Pinot.service
%{_datadir}/gnome-shell/search-providers/com.github.fabricecolin.Pinot.search-provider.ini
%{_sysconfdir}/xdg/autostart/*.desktop
%{_iconsdir}/hicolor/*/apps/pinot.png
%{_mandir}/man1/pinot*

%files devel
%{_includedir}/pinot/
%{_libdir}/pinot/lib*
