%global debug_package %{nil}

Name:		pinta
Version:	1.7.1
Release:	%mkrel 2
Summary:	An easy to use drawing and image editing program
Group:		Graphics/Editors and Converters

# the code is licensed under the MIT license while the icons are licensed as CC-BY
License:	MIT and CC-BY-3.0
URL:		https://pinta-project.com/
Source0:	https://github.com/PintaProject/Pinta/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:		pinta-1.7-fix-translations-mga#28619.patch
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(mono-addins)
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	gtk-sharp2
BuildRequires:	gettext
BuildRequires:	glib-sharp2
BuildRequires:	intltool

Requires:	hicolor-icon-theme
Requires:	mono-addins

%description
Pinta is an image drawing/editing program.
It's goal is to provide a simplified alternative to GIMP for casual users.

%prep
%autosetup -p1

# update the project and solution files for mono4
find . -name "*.sln" -print -exec sed -i 's/Format Version 10.00/Format Version 11.00/g' {} \;
find . \( -name "*.csproj" -o -name "*.proj" \) -print -exec sed -i 's#ToolsVersion="3.5"#ToolsVersion="4.0"#g; s#<TargetFrameworkVersion>.*</TargetFrameworkVersion>##g; s#<PropertyGroup>#<PropertyGroup><TargetFrameworkVersion>v4.5</TargetFrameworkVersion>#g; s#Mono.Posix, Version.*"#Mono.Posix"#g' {} \;

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc readme.md license-mit.txt license-pdn.txt
%{_libdir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_datadir}/man/man1/%{name}*
%{_datadir}/pixmaps/%{name}*
%{_metainfodir}/%{name}.appdata.xml
