Summary:	Playable implementation of the Settlers of Catan
Name:		pioneers
Version:	15.6
Release:	%mkrel 1
Group:		Games/Boards
License:	GPLv2+
Url:		https://pio.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/pio/Source/%{name}-%{version}.tar.gz

BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnotify)

%description
Pioneers is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.

%package	server-console
Summary:	Pioneers Console Server
Group:		Games/Boards
Requires:	pioneers-server-data = %{version}-%{release}

%description	server-console
Pioneers is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.
The meta server registers available game servers and offers them to new
players. It can also create new servers on client request.

%package	server-gtk
Summary:	Pioneers GTK Server
Group:		Games/Boards
Requires:	pioneers-server-data = %{version}-%{release}
Requires:	pioneers == %{version}

%description	server-gtk
Pioneers is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.

The server has a user interface in which you can customise the game
parameters. Customisation is fairly limited at the moment, but this
should change in later versions. Once you are happy with the game
parameters, press the Start Server button, and the server will start
listening for client connections.

%package	server-data
Summary:	Pioneers Data
Group:		Games/Boards

%description	server-data
Pioneers is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.

This package contains the data files for a game server, including a
computer player that can take part in Pioneers games.

%prep
%autosetup -p1

%build
%configure --bindir=%{_gamesbindir}
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-editor
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-editor.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}-editor.png
%{_datadir}/pixmaps/%{name}/
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/themes/
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}-editor.6*
%{_iconsdir}/hicolor/scalable/actions/pioneers-*.svg
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/apps/%{name}-editor.*
%{_datadir}/help/C/%{name}

%files server-console
%doc README
%{_gamesbindir}/%{name}-server-console
%{_gamesbindir}/%{name}-metaserver
%{_mandir}/man6/%{name}-server-console.6*
%{_mandir}/man6/%{name}-metaserver.6*

%files server-gtk
%doc README
%{_gamesbindir}/%{name}-server-gtk
%{_datadir}/applications/%{name}-server-gtk.desktop
%{_datadir}/pixmaps/%{name}-server.png
%{_mandir}/man6/%{name}-server-gtk.6*
%{_iconsdir}/hicolor/*/apps/%{name}-server.*

%files server-data
%doc README
%{_gamesbindir}/pioneersai
%{_mandir}/man6/pioneersai.6*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/computer_names
%{_gamesdatadir}/%{name}/*.game
