%define game    pioneer

Name:           pioneerspacesim
Version:        20250203
Release:        %mkrel 1
Summary:        Pioneer - A game of lonely space adventure
License:        GPLv3 and CC BY-SA 3.0
Group:          Games/Strategy
URL:            https://pioneerspacesim.net
Source0:        https://github.com/pioneerspacesim/pioneer/archive/%{version}/%{game}-%{version}.tar.gz
Patch0:         use_system_fmt.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(assimp)
BuildRequires:  pkgconfig(fmt) >= 9
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(vorbisfile)
Requires:       %{name}-data >= %{version}-%{release}

%description
Pioneer is a space adventure game set in our galaxy at the turn of the
31st century.

The game is open-ended, and you are free to eke out whatever kind of
space-faring existence you can think of. Look for fame or fortune by
exploring the millions of star systems. Turn to a life of crime as a
pirate, smuggler or bounty hunter. Forge and break alliances with the
various factions fighting for power, freedom or self-determination.
The universe is whatever you make of it.

%package data
Summary:        Data files for the Pioneer game
BuildArch:      noarch

%description data
This package contains arch-independent data files for the Pioneer game.

%prep
%autosetup -p1 -n %{game}-%{version}

%build
%cmake \
    %ifarch aarch64 %{arm}
    -DUSE_SSE42=OFF \
    %endif
    -DBUILD_SHARED_LIBS=OFF \
    -DPIONEER_INSTALL_BINDIR=%{_gamesbindir} \
    -DPIONEER_INSTALL_DATADIR=%{_gamesdatadir}/%{name} \
    -DUSE_PIONEER_THIRDPARTY=OFF \
    -DUSE_SYSTEM_LIBGLEW=ON \
    -DUSE_SYSTEM_LIBLUA=OFF
# Can't use system lua anymore, they mandate version 5.2.
%cmake_build -- all build-data

%install
%cmake_install

%files
%doc AUTHORS.txt Changelog.txt README.md
%{_metainfodir}/net.pioneerspacesim.Pioneer.metainfo.xml
%{_datadir}/applications/net.pioneerspacesim.Pioneer.desktop
%{_gamesbindir}/%{game}
%{_gamesbindir}/editor
%{_gamesbindir}/modelcompiler
%{_gamesbindir}/savegamedump
%{_iconsdir}/hicolor/*/apps/net.pioneerspacesim.Pioneer.png

%files data
%{_gamesdatadir}/%{name}/
