%global sum     A pipe connecting game

Name: pipepanic
Version: 0.1.3
Release: %mkrel 12
Summary: %{sum}
Group: Games/Arcade
License: GPLv2+
URL: http://www.users.waitrose.com/~thunor/pipepanic/
Source0: http://www.users.waitrose.com/~thunor/pipepanic/dload/%{name}-%{version}-source.tar.gz
Patch0: pipepanic-0.1.3-fedora-Makefile.patch
# Hans de Goede
Patch1: pipepanic-0.1.3-fedora-window-title.patch

BuildRequires: pkgconfig(sdl)
BuildRequires: imagemagick

%description
Pipepanic is a pipe connecting game using libSDL. Connect as many
different shaped pipes together as possible within the time given.


%prep
%setup -q -n %{name}-%{version}-source
%patch -P 0 -p0
%patch -P 1 -p1

# Fix file encoding
iconv --from=ISO-8859-1 --to=UTF-8 COPYING-ARTWORK > COPYING-ARTWORK.conv
mv COPYING-ARTWORK.conv COPYING-ARTWORK

# Fix DATADIR
sed -i 's:/opt/QtPalmtop/share/pipepanic/:%{_gamesdatadir}/%{name}/:' main.h


%build
%set_build_flags
%make_build

%install
# Install binary
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 pipepanic %{buildroot}%{_gamesbindir}

# Install data files
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
install -m 644 *.bmp %{buildroot}%{_gamesdatadir}/%{name}/

# Install window icon (needed by patch1)
convert PipepanicIcon32.png bmp3:- | \
  convert - -fill '#FF00FF' -opaque black -colors 256 \
    -compress none bmp3:icon.bmp
install -m 644 icon.bmp %{buildroot}%{_gamesdatadir}/%{name}/

# Install icons
install -D -m644 PipepanicIcon16.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 PipepanicIcon32.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 PipepanicIcon64.png %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Pipepanic
Comment=%{sum}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;LogicGame;
EOF


%files
%doc AUTHORS ChangeLog COPYING COPYING-ARTWORK README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


