Name:           piper
Version:        0.8
Release:        %mkrel 2
Summary:        GTK application to configure gaming devices
Group:          System/Configuration
License:        GPLv2+
BuildArch:      noarch

URL:            https://github.com/libratbag/piper
Source0:        https://github.com/libratbag/piper/archive/v%{version}/%{name}-%{version}.tar.gz

Requires:       ratbagd >= 0.18
Requires:       python3-evdev
Requires:       python3-lxml
Requires:       python3-cairo
Requires:       python3-gobject3


BuildRequires:  meson
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-evdev
BuildRequires:  gettext
BuildRequires:  python3-lxml
BuildRequires:  ratbagd
BuildRequires:  python3-cairo
BuildRequires:  python3-flake8
BuildRequires:  gtk-update-icon-cache
BuildRequires:  appstream

%description

Piper is a GTK+ application to configure gaming mice. It is a graphical
front-end to the ratbagd DBus daemon.

Ratbagd currently supports devices from:
  - Logitech,
  - Etekcity,
  - GSkill,
  - Roccat,
  - Steelseries.

See the device files or the wiki page for a complete list of supported devices:
https://github.com/libratbag/libratbag/wiki/Devices

%files -f %{name}.lang
%{_datadir}/applications/org.freedesktop.Piper.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/scalable/apps/org.freedesktop.Piper.svg
%{_iconsdir}/hicolor/symbolic/apps/org.freedesktop.Piper-symbolic.svg
%{_datadir}/metainfo/org.freedesktop.Piper.appdata.xml
%python3_sitelib/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/*

%prep
%setup -q

%build

%meson
%meson_build

%install
%meson_install

%find_lang %{name}
