%define peas_api	1.0

Summary:	Pitivi non linear video editor under Linux
Name:		pitivi
Version: 	2023.03
Release: 	%mkrel 6
License:	LGPLv2+
Group:		Video/Editors and Converters
URL:		https://www.pitivi.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		0001-Fix-plugins-dir-location.patch
Patch2:		0001-Require-Peas-1.0.patch
BuildRequires:	appstream-util
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	locales
BuildRequires:	meson
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(py3cairo)
BuildRequires:	pkgconfig(python3-embed)
BuildRequires:	gstreamer1.0-validate
Requires:	gnome-video-effects
Requires:	gstreamer1.0-nle
Requires:	gstreamer1.0-python
Requires:	gstreamer1.0-transcoder
Requires:	librsvg2
Requires:	python3-dbus
Requires:	python3-gobject3
Requires:	python3-numpy
Requires:	python3-matplotlib-gtk3
Requires:	xdg-utils
Recommends:	gstreamer1.0-libav
Recommends:	gstreamer1.0-plugins-good
Recommends:	gstreamer1.0-plugins-bad
Recommends:	gstreamer1.0-plugins-ugly
Recommends:	frei0r

%description
Non Linear Video Editor using the popular GStreamer media framework.

%prep
%setup -q
%autopatch -p1

# install python files to %%python_sitelib/pitivi
sed -i -e 's|/pitivi/python/|/python%{python3_version}/site-packages/|g' meson.build

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS MAINTAINERS README*
%{python3_sitearch}/%{name}/
%{_datadir}/pitivi/
%{_metainfodir}/org.pitivi.Pitivi.appdata.xml
%{_bindir}/pitivi
%{_datadir}/applications/org.pitivi.Pitivi.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime/packages/org.pitivi.Pitivi-mime.xml
