%define major		0
%define apiver		1
%define libname		%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname %{name} -d

Summary:	A pixel manipulation library
Name:		pixman
Version:	0.44.2
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		https://pixman.org/
Source:		https://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	libgomp-devel

%description
Pixel manipulation Library.

%package -n	%{libname}
Summary:	Pixel manipulation library
Group:		System/Libraries

%description -n	%{libname}
A library for manipulating pixel regions -- a set of Y-X banded
rectangles, image compositing using the Porter/Duff model
and implicit mask generation for geometric primitives including
trapezoids, triangles, and rectangles.

%package -n	%{develname}
Summary:	Libraries and include files for developing with libpixman
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{apiver}-devel = %{version}-%{release}

%description -n	%{develname}
This package provides the necessary development libraries and include
files to allow you to develop with pixman.

%prep
%autosetup -p1

%build
%meson \
  --auto-features=auto \
   -Da64-neon=disabled \
  %nil

%meson_build

%install
%meson_install

%check
%meson_test || :

%files -n %{libname}
%{_libdir}/*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%doc README
%{_libdir}/*.so
%dir %{_includedir}/pixman-1
%{_includedir}/pixman-1/*.h
%{_libdir}/pkgconfig/*.pc
