%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		pkcs11-helper
Version:	1.30.0
Release:	%mkrel 1
Summary:	A library that simplifies the interaction with PKCS#11
License:	GPLv2
Group:		System/Libraries
URL:		https://github.com/OpenSC/pkcs11-helper
Source:		https://github.com/OpenSC/pkcs11-helper/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(openssl)

%description
pkcs11-helper is a library that simplifies the interaction with PKCS#11
providers for end-user applications.

#-------------------------------------------------------------

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.

%files -n %{libname}
%doc %{_docdir}/%{name}
%{_libdir}/*.so.%{major}{,.*}

#-------------------------------------------------------------

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man8/*
%{_datadir}/aclocal/*

#-------------------------------------------------------------

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
    --disable-debug \
    --disable-static

%make_build

%install
%make_install

# we don't want these
rm -rf %{buildroot}%{_libdir}/*.la

