%define api	1
%define major	1

%define build_gda 1

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Project management application for GNOME
Name:		planner
Version:	0.14.92
Release:	%mkrel 3
License:	GPLv2+
Group:		Office/Organizer
Url:		https://wiki.gnome.org/Apps/Planner
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Mga patches
Patch102:	planner-0.14.6-fix-unitialised-vars.patch
Patch103:	0001-Port-to-libgda-6.0.patch
BuildRequires:	intltool
BuildRequires:	gnome-common
BuildRequires:	meson
BuildRequires:	pkgconfig(gail-3.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.56
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.27
BuildRequires:	pkgconfig(libxslt) >= 1.1.23
BuildRequires:	pkgconfig(libexslt)

%if %{build_gda}
BuildRequires:	pkgconfig(libgda-6.0)
%endif

Obsoletes:	%{_lib}planner1_0 < 0.14.6-11
Obsoletes:	%{_lib}planner-devel < 0.14.6-11

%description
Planner is a project management application for GNOME.

It was formerly known as MrProject.

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description doc
This package contains documentation for %{name}.

%prep
%autosetup -p1

%build
%define _disable_ld_no_undefined 1
%meson \
%if %{build_gda}
	-D database-gda=enabled \
%endif
	-D gtk_doc=true
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

rm -rf %{buildroot}%{_libdir}/%{name}/lib%{name}-%{api}.so

%files -f %{name}.lang
%doc NEWS README
%doc examples/sample-1.planner
%doc examples/kitchen.planner
%doc docs/sql/README.sql
%license COPYING
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/lib%{name}-%{api}.so.%{major}{,.*}
%{_libdir}/%{name}/file-modules/
%{_libdir}/%{name}/plugins/libhtml-plugin.so
%{_libdir}/%{name}/plugins/libmsp-plugin.so
%{_libdir}/%{name}/plugins/libsql-plugin.so
%{_libdir}/%{name}/storage-modules/
%{_datadir}/%{name}/
%{_datadir}/applications/app.drey.Planner.desktop
%{_datadir}/mime/packages/app.drey.Planner.xml
%{_datadir}/GConf/gsettings/planner.convert
%{_datadir}/glib-2.0/schemas/app.drey.Planner.gschema.xml
%{_datadir}/glib-2.0/schemas/app.drey.planner.plugins.sql.gschema.xml
%{_iconsdir}/hicolor/*/mimetypes/gnome-mime-application-x-planner.png
%{_iconsdir}/hicolor/*/apps/gnome-planner.*
%{_mandir}/man1/%{name}.*

%files doc
%doc %{_datadir}/gtk-doc/html/lib%{name}
