#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Library for accessing the usage data collected by the activities system
Name:           plasma-activities-stats
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(PlasmaActivities) >= %version

BuildRequires:  boost-devel

# Renamed from kactivities-stats
Obsoletes:      kactivities-stats < 5.112.0
#Provides:       kactivities-stats = %%{version}-%%{release}

%description
Library for accessing the usage data collected
by the activities system.

%files
%_kf6_categoriesdir/plasma-activities-stats.*categories

#--------------------------------------------------------------------

%define kactivitiesstats_major 1
%define libkactivitiesstats    %mklibname plasmaactivitiesstats %{kactivitiesstats_major}

%package -n %libkactivitiesstats
Summary:        Library for accessing the usage data collected by the activities system
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkactivitiesstats
Library for accessing the usage data collected
by the activities system.

%files -n %libkactivitiesstats
%_kf6_libdir/libPlasmaActivitiesStats.so.%{kactivitiesstats_major}
%_kf6_libdir/libPlasmaActivitiesStats.so.%{version}

#--------------------------------------------------------------------

%define kactivitiesstats_devel %mklibname plasmaactivitiesstats -d

%package -n %kactivitiesstats_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkactivitiesstats = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kactivitiesstats_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kactivitiesstats_devel
%_includedir/PlasmaActivitiesStats/
%_kf6_libdir/cmake/PlasmaActivitiesStats/
%_kf6_libdir/libPlasmaActivitiesStats.so
%_kf6_libdir/pkgconfig/PlasmaActivitiesStats.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
