#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Core components for the KDE's Activities System
Name:           plasma-activities
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config) >= 5.240.0
BuildRequires:  cmake(KF6CoreAddons) >= 5.240.0
BuildRequires:  cmake(KF6WindowSystem) >= 5.240.0

BuildRequires:  boost-devel

Requires:       qt6-database-plugin-sqlite

# Renamed from kactivities
Obsoletes:      kactivities < 2:5.112.0
#Provides:       kactivities = 2:%%{version}-%%{release}

%description
Core components for the KDE's Activities System.

%files
%_kf6_categoriesdir/plasma-activities.*categories
%_kf6_bindir/plasma-activities-cli6
%_kf6_qmldir/org/kde/activities/

#--------------------------------------------------------------------

%define kactivities_major 6
%define libkactivities %mklibname plasmaactivities %{kactivities_major}

%package -n %libkactivities
Summary:        Runtime and library to organize the user work in separate activity
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkactivities
A library for using and interacting with Activities as a
consumer, application adding information to them or as an activity manager.

%files -n %libkactivities
%_kf6_libdir/libPlasmaActivities.so.%{kactivities_major}
%_kf6_libdir/libPlasmaActivities.so.%{version}

#--------------------------------------------------------------------

%define kactivities_devel %mklibname plasmaactivities -d

%package -n %kactivities_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkactivities = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kactivities_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kactivities_devel
%_includedir/PlasmaActivities/
%_kf6_libdir/cmake/PlasmaActivities/
%_kf6_libdir/libPlasmaActivities.so
%_kf6_libdir/pkgconfig/PlasmaActivities.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
