%global _vpath_srcdir src

Name:		plasma-applets-system-panel
Version:	2.0.0
Release:	%mkrel 2
Summary:	Plasma applet that displays a panel with a set of system actions
License:	GPLv3+
Group:		Graphical desktop/KDE
Url:		https://github.com/Musikolo/plasma-applets-system-panel
Source0:	https://github.com/Musikolo/plasma-applets-system-panel/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	kf6-rpm-macros

BuildRequires:	pkgconfig(Qt6Core)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6Quick)

BuildRequires:	cmake(Plasma)

Requires:	plasma-workspace

Provides:	plasma-applet-eyasdp = %{version}-%{release}
Obsoletes:	plasma-applet-eyasdp < 1.2.0-5
Provides:	plasma5-applets-system-panel = %{version}-%{release}
Obsoletes:	plasma5-applets-system-panel < 1.6.0-5

%description
Plasma applet that displays a panel with a set of system actions.

[*] Supported actions:
 - Standby (turn off monitor to save energy)
 - Lock screen
 - Leave (log out, restart or shut down the computer)
 - Switch user (switch user o create new session)
 - Sleep (suspend to RAM)
 - Hibernate (suspend to disk)

[*] Other features:
 - Supports different layouts
 - Ability to rearrange icons
 - Fully customizable icons

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang plasma_applet_org.kde.plasma.systempanel

%files -f plasma_applet_org.kde.plasma.systempanel.lang
%doc AUTHORS ChangeLog README.md
%license LICENSE
%{_kf6_qmldir}/org/kde/private/systempanel/
%{_kf6_metainfodir}/org.kde.plasma.systempanel.appdata.xml
%{_kf6_datadir}/plasma/plasmoids/org.kde.plasma.systempanel
%{_kf6_iconsdir}/breeze/actions/*/system-standby.svg
%{_kf6_iconsdir}/breeze-dark/actions/*/system-standby.svg
