#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           plasma-bigscreen
Version: 6.1.90
Release:        %mkrel %rel
Summary:        A big launcher giving you easy access to any installed apps and skills
License:        Multiples
Group:          Graphical desktop/KDE
URL:            https://plasma-bigscreen.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5ActivitiesStats)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5PlasmaQuick)
BuildRequires:  cmake(LibKWorkspace)
BuildRequires:  cmake(KF5Auth)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Package)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Solid)

BuildRequires:  cmake(Qt5Multimedia)

# runtime dependencies
BuildRequires:  plasma-framework
Requires:       plasma-framework

%description
A big launcher giving you easy access to any installed apps and skills.
Controllable via voice or TV remote.
This project is using various open-source components like Plasma Bigscreen, 
Mycroft AI and libcec.

%files -f %{name}.lang
%{_kf5_bindir}/mycroft-skill-launcher.py
%{_kf5_bindir}/plasma-bigscreen-wayland
%{_kf5_bindir}/plasma-bigscreen-x11
%{_qt5_plugindir}/kcms/kcm_mediacenter_audiodevice.so
%{_qt5_plugindir}/kcms/kcm_mediacenter_bigscreen_settings.so
%{_qt5_plugindir}/kcms/kcm_mediacenter_kdeconnect.so
%{_qt5_plugindir}/kcms/kcm_mediacenter_wifi.so
%{_qt5_plugindir}/plasma/applets/plasma_containment_biglauncherhomescreen.so
%{_kf5_qmldir}/org/kde/mycroft/bigscreen/
%{_kf5_datadir}/kpackage/genericqml/org.kde.plasma.settings/contents/ui/+mediacenter/*.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_audiodevice/
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_bigscreen_settings/
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_kdeconnect/
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_wifi/
%{_kf5_services}/plasma-applet-org.kde.mycroft.bigscreen.homescreen.desktop
%{_kf5_services}/plasma-applet-org.kde.plasma.mycroft.bigscreen.desktop
%{_kf5_services}/plasma-lookandfeel-org.kde.plasma.mycroft.bigscreen.desktop
%{_kf5_metainfodir}/org.kde.mycroft.bigscreen.homescreen.appdata.xml
%{_kf5_metainfodir}/org.kde.plasma.mycroft.bigscreen.appdata.xml
%{_kf5_metainfodir}/org.kde.plasma.mycroft.bigscreen.metainfo.xml
%{_kf5_datadir}/plasma/look-and-feel/org.kde.plasma.mycroft.bigscreen/
%{_kf5_datadir}/plasma/plasmoids/org.kde.mycroft.bigscreen.homescreen/
%{_kf5_datadir}/plasma/shells/org.kde.plasma.mycroft.bigscreen/
%{_kf5_datadir}/sounds/plasma-bigscreen/
%{_kf5_datadir}/wayland-sessions/plasma-bigscreen-wayland.desktop
%{_kf5_datadir}/xsessions/plasma-bigscreen-x11.desktop

#--------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
