#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           plasma-browser-integration
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        Components necessary to integrate browsers into the Plasma Desktop
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://cgit.kde.org/%{name}.git
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## downstream patches

## upstream patches

## upstreamable patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Runner)
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KF6FileMetaData)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6StatusNotifierItem)

BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(LibTaskManager)

%description
plasma-browser-integration coupled with a browser plugin provides
integration of the browser in the desktop.

%files -f %{name}.lang
%license COPYING-GPL3
%config %{_kf6_sysconfdir}/chromium/native-messaging-hosts/*.json
%config %{_kf6_sysconfdir}/opt/chrome/native-messaging-hosts/*.json
%config %{_kf6_sysconfdir}/opt/edge/native-messaging-hosts/*.json
%_kf6_applicationsdir/org.kde.plasma.browser_integration.host.desktop
%{_kf6_bindir}/plasma-browser-integration-host
%{_kf6_libdir}/mozilla/native-messaging-hosts/*.json
%{_kf6_plugindir}/kded/browserintegrationreminder.so
%{_kf6_plugindir}/kded/browserintegrationflatpakintegrator.so
%{_kf6_datadir}/krunner/dbusplugins/plasma-runner-browserhistory.desktop
%{_kf6_datadir}/krunner/dbusplugins/plasma-runner-browsertabs.desktop 

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 \
        -DMOZILLA_DIR:PATH=%{_libdir}/mozilla

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name
