#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# set to '_without' to do a bootstrap build
%bcond_with bootstrap

%define module plasma-desktop

%define rel 1

Summary:        Plasma for the Desktop
Name:           plasma-desktop
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://kde.org/plasma-desktop/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{module}-%{version}.tar.xz

# Mageia patches
Patch1:         0001-Change-default-icon.patch
Patch2:         0002-Change-default-desktop-layout.patch
Patch3:         0003-Change-default-mageia-theme-org.mageia.breeze.patch

## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6WaylandClient)

BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Attica)
BuildRequires:  cmake(KF6Runner)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Svg)

BuildRequires:  cmake(Plasma5Support)
BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(PlasmaQuick)
BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(PlasmaActivitiesStats)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6QQC2DesktopStyle)

BuildRequires:  cmake(AccountsQt6)
%if ! %{with bootstrap}
BuildRequires:  cmake(KAccounts6)
%endif
BuildRequires:  cmake(LibKWorkspace)
BuildRequires:  cmake(KWinDBusInterface)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KSysGuard)
BuildRequires:  cmake(KF6KDED)
BuildRequires:  cmake(KF6Baloo)
BuildRequires:  cmake(packagekitqt6)

BuildRequires:  intltool
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(scim)

BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libwacom)
BuildRequires:  pkgconfig(signon-oauth2plugin)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  boost-devel

BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-record)
BuildRequires:  pkgconfig(xorg-libinput)
BuildRequires:  pkgconfig(xorg-server)
BuildRequires:  pkgconfig(xorg-synaptics)
BuildRequires:  pkgconfig(xorg-evdev)
BuildRequires:  pkgconfig(xkeyboard-config)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  xdg-user-dirs

# for kcm_keyboard
BuildRequires:  pkgconfig(libudev)
Requires:       iso-codes

# kcm_users
Requires:       accountsservice

Requires:       krunner
Requires:       kwallet
Requires:       baloo
Requires:       milou
%if ! %{with bootstrap}
Requires:       kio-extras >= 24.01
Requires:       kamera >= 24.01
%endif
Requires:       kglobalaccel
Requires:       plasma-activities
Requires:       polkit-kde-agent-1
Requires:       kscreen
Requires:       kdesu
Requires:       kwalletmanager
Requires:       kde-gtk-config
Requires:       kio
Requires:       kservice
Requires:       kde-cli-tools
Requires:       kconfig
Requires:       powerdevil
Requires:       mageia-plasma-config
Requires:       plasma-pa
Requires:       solid
Requires:       kmenuedit
Requires:       kdeplasma-addons
Requires:       kactivitymanagerd
Requires:       kparts
Requires:       sonnet
Requires:       bluedevil
Requires:       kpackage
Requires:       kimageformats
Requires:       kirigami
Requires:       qqc2-desktop-style
Requires:       systemsettings
Requires:       ibus-dicts-emoji
Requires:       signon-plugin-oauth2
# Disable on mageia 9.
# It requires pipewire by default and in mageia 9 we still use PA.
# Requires:       kpipewire
# see mga#27148
Recommends:     plasma-browser-integration

Recommends:     font(notocoloremoji)

Provides:       user-manager = %{version}-%{release}

# ease upgrade mga9 -> mga10
Conflicts:      plasma-workspace < 6.0.90-1


%description
Plasma for the Desktop.

%files -f %name.lang
%_kf6_sysconfdir/xdg/autostart/kaccess.desktop
%_kf6_categoriesdir/kcmkeys.categories
%_kf6_categoriesdir/kcm_gamecontroller.categories
%_kf6_categoriesdir/kcm_kded.categories
%_kf6_categoriesdir/kcm_keyboard.categories
%_kf6_categoriesdir/kcm_mouse.categories
%_kf6_categoriesdir/kcm_tablet.categories
%_kf6_categoriesdir/kcm_touchscreen.categories
%_kf6_bindir/kaccess
%_kf6_bindir/kapplymousetheme
%_kf6_bindir/knetattach
%_kf6_bindir/plasma-emojier
%_kf6_bindir/solid-action-desktop-gen
%_kf6_bindir/kcm-touchpad-list-devices
%_kf6_bindir/tastenbrett
%_kf6_bindir/krunner-plugininstaller
%_kf6_plugindir/krunner/krunner_kwin.so
%_kf6_plugindir/krunner/krunner_plasma-desktop.so
%_qt6_plugindir/*.so
%_qt6_plugindir/plasma/kcminit/*.so
%_qt6_plugindir/plasma/kcms/systemsettings/*.so
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/
%_qt6_plugindir/plasma/kcms/desktop/kcm_krunnersettings.so
%_kf6_datadir/polkit-1/actions/org.kde.kcontrol.kcmclock.policy
%_kf6_qmldir/org/kde/plasma/private/kcm_keyboard/
%_kf6_qmldir/org/kde/plasma/private/pager/
%_kf6_qmldir/org/kde/plasma/private/showdesktop/
%_kf6_qmldir/org/kde/plasma/private/taskmanager/
%_kf6_qmldir/org/kde/plasma/private/trash/
%_kf6_qmldir/org/kde/plasma/activityswitcher/
%_kf6_qmldir/org/kde/plasma/emoji/
%_kf6_qmldir/org/kde/private/desktopcontainment
%_kf6_qmldir/org/kde/plasma/private/kimpanel
%_kf6_metainfodir/org.kde.plasmashell.metainfo.xml
%_libexecdir/*
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/accounts/providers/kde/opendesktop.provider
%_kf6_datadir/accounts/services/kde/opendesktop-rating.service
%_kf6_datadir/knsrcfiles/*.knsrc
%_kf6_datadir/dbus-1/system.d/org.kde.kcontrol.kcmclock.conf
%_kf6_datadir/dbus-1/system-services/*.service
%_kf6_datadir/dbus-1/interfaces/org.kde.touchpad.xml
%_kf6_iconsdir/*/*/*/*
%_kf6_datadir/kcmkeys/
%_kf6_datadir/kcmmouse/
%_kf6_knotificationsdir/*.notifyrc
%_kf6_datadir/kcmsolidactions/solid-action-template.desktop
%_kf6_datadir/kglobalaccel/org.kde.plasma.emojier.desktop
%_kf6_datadir/solid/devices/*.desktop
%_kf6_datadir/plasma/emoji/
%_kf6_datadir/plasma/packages/org.kde.paneltoolbox/
%_kf6_datadir/plasma/plasmoids/org.kde.desktopcontainment/
%_kf6_datadir/plasma/plasmoids/org.kde.panel/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.folder/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.icontasks/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.keyboardlayout/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.kicker/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.kickoff/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.kimpanel/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.marginsseparator/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.minimizeall/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.pager/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.showActivityManager/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.showdesktop/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.taskmanager/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.trash/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.windowlist/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.activitypager/
%_kf6_datadir/plasma/shells/org.kde.plasma.desktop/
%_kf6_datadir/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/
%_kf6_datadir/plasma/layout-templates/org.kde.plasma.desktop.emptyPanel/
%_kf6_datadir/plasma/layout-templates/org.kde.plasma.desktop.appmenubar/
%_kf6_datadir/config.kcfg/*.kcfg
%_kf6_plugindir/kded/device_automounter.so
%_kf6_plugindir/kded/keyboard.so
%_kf6_plugindir/kded/kded_touchpad.so
%_kf6_metainfodir/org.kde*.appdata.xml
%_kf6_datadir/kcm_recentFiles/workspace/settings/qml/recentFiles/
%_kf6_datadir/sddm/themes/breeze/
%{_userunitdir}/plasma-kaccess.service

#--------------------------------------------------------------------

%package handbook
Summary:        %module Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %module Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/kcontrol/clock
%doc %_kf6_docdir/HTML/*/kcontrol/joystick
%doc %_kf6_docdir/HTML/*/kcontrol/kcm_recentFiles
%doc %_kf6_docdir/HTML/*/kcontrol/kcmaccess
%doc %_kf6_docdir/HTML/*/kcontrol/solid-actions
%doc %_kf6_docdir/HTML/*/kcontrol/splashscreen
%doc %_kf6_docdir/HTML/*/kfontview
%doc %_kf6_docdir/HTML/*/knetattach
%doc %_kf6_docdir/HTML/*/plasma-desktop
%doc %_kf6_docdir/HTML/*/kcontrol/baloo
%doc %_kf6_docdir/HTML/*/kcontrol/componentchooser
%doc %_kf6_docdir/HTML/*/kcontrol/kcmsmserver
%doc %_kf6_docdir/HTML/*/kcontrol/kded
%doc %_kf6_docdir/HTML/*/kcontrol/keyboard
%doc %_kf6_docdir/HTML/*/kcontrol/keys
%doc %_kf6_docdir/HTML/*/kcontrol/mouse
%doc %_kf6_docdir/HTML/*/kcontrol/paths
%doc %_kf6_docdir/HTML/*/kcontrol/solid-device-automounter
%doc %_kf6_docdir/HTML/*/kcontrol/spellchecking
%doc %_kf6_docdir/HTML/*/kcontrol/kcmlaunchfeedback/
%doc %_kf6_docdir/HTML/*/kcontrol/kcmactivities/
%doc %_kf6_docdir/HTML/*/kcontrol/workspaceoptions/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %module-%version

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --all-name

# let's use our custom kde-mimeapps from shared-mime-info pkg
rm -rfv %{buildroot}%_kf6_applicationsdir/kde-mimeapps.list

# odd locale stuff?
rm -rfv %{buildroot}%{_datadir}/locale/*/LC_SCRIPTS/kfontinst/
