#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Monitors S.M.A.R.T. capable devices for imminent failure
Name:           plasma-disks
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+ and LGPLv3+ and BSD and CC0
Group:          System/Base
URL:            https://www.kde.org/workspaces/plasmadesktop/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

# Upstream patches (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)

# KDE Frameworks
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6KCMUtils)

BuildRequires:  smartmontools
Requires:       smartmontools

%description
Plasma Disks monitors S.M.A.R.T. data of disks and alerts the user when
signs of imminent failure appear.

%files -f %name.lang
%_kf6_libexecdir/kauth/kded-smart-helper
%_kf6_datadir/dbus-1/system-services/org.kde.kded.smart.service
%_kf6_datadir/dbus-1/system.d/org.kde.kded.smart.conf
%_kf6_knotificationsdir/org.kde.kded.smart.notifyrc
%_kf6_applicationsdir/kcm_disks.desktop
%_kf6_metainfodir/org.kde.plasma.disks.metainfo.xml
%_kf6_datadir/polkit-1/actions/org.kde.kded.smart.policy
%_kf6_plugindir/kded/smart.so
%_qt6_plugindir/plasma/kcms/kinfocenter/kcm_disks.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

