#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define kf6_version_min 5.240.0

%define rel 1

# ufw not available on Mageia
%bcond_with ufw

Name:           plasma-firewall
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        Control Panel for your system firewall
Group:          Graphical desktop/KDE
License:        BSD
URL:            https://invent.kde.org/plasma/plasma-firewall
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Config) >= %{kf6_version_min}
BuildRequires:  cmake(KF6CoreAddons) >= %{kf6_version_min}
BuildRequires:  cmake(KF6KCMUtils) >= %{kf6_version_min}
BuildRequires:  cmake(KF6I18n) >= %{kf6_version_min}
BuildRequires:  cmake(KF6Auth) >= %{kf6_version_min}

# Owns KCM directories
Requires:       kcmutils >= %{kf6_version_min}

Requires:       %{name}-backend = %{version}-%{release}

%description
Control Panel for your system firewall.

%files -f %{name}.lang
%license LICENSES/*.txt
%{_kf6_libdir}/libkcm_firewall_core.so
%{_kf6_metainfodir}/org.kde.plasma.firewall.metainfo.xml
%{_qt6_plugindir}/plasma/kcms/systemsettings/kcm_firewall.so
%{_kf6_applicationsdir}/kcm_firewall.desktop

#--------------------------------------------------------------------

%package firewalld
Summary:        FirewallD backend for Plasma Firewall
Group:          Graphical desktop/KDE
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-backend = %{version}-%{release}
Requires:       firewalld

%description firewalld
This package provides the backend code for Plasma Firewall
to interface with FirewallD.

%files firewalld
%{_kf6_plugindir}/plasma_firewall/firewalldbackend.so

#--------------------------------------------------------------------

%if %{with ufw}
%package ufw
Summary:        UFW backend for Plasma Firewall
Group:          Graphical desktop/KDE
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-backend = %{version}-%{release}
Requires:       ufw
# For dbus directories
Requires:       dbus
# For polkit directories
Requires:       polkit

%description ufw
This package provides the backend code for Plasma Firewall
to interface with the Uncomplicated Firewall (UFW).

%files ufw
%{_kf6_plugindir}/plasma_firewall/ufwbackend.so
%{_libexecdir}/kde_ufw_plugin_helper.py
%{_libexecdir}/kauth/kde_ufw_plugin_helper
%{_kf6_datadir}/dbus-1/system-services/org.kde.ufw.service
%{_kf6_datadir}/dbus-1/system.d/org.kde.ufw.conf
%dir %{_kf6_datadir}/kcm_ufw
%{_kf6_datadir}/kcm_ufw/defaults
%{_kf6_datadir}/polkit-1/actions/org.kde.ufw.policy
%endif

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-html

%if ! %{with ufw}
# Delete ufw stuff when we don't need it
rm -rfv %{buildroot}%{_kf6_plugindir}/plasma_firewall/ufwbackend.so
rm -rfv %{buildroot}%{_libexecdir}/kde_ufw_plugin_helper.py
rm -rfv %{buildroot}%{_kf6_libexecdir}/kauth/kde_ufw_plugin_helper
rm -rfv %{buildroot}%{_kf6_datadir}/dbus-1/system-services/org.kde.ufw.service
rm -rfv %{buildroot}%{_kf6_datadir}/dbus-1/system.d/org.kde.ufw.conf
rm -rfv %{buildroot}%{_kf6_datadir}/kcm_ufw/defaults
rm -rfv %{buildroot}%{_kf6_datadir}/polkit-1/actions/org.kde.ufw.policy
%endif
