#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          plasma-integration
Version: 6.3.4
Release:       %mkrel %{rel}
Summary:       Qt Platform Theme integration plugins for the Plasma workspaces
Group:         Graphical desktop/KDE
License:       LGPLv2+
URL:           https://invent.kde.org/plasma/plasma-integration/
Source0:       https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
## upstream patches


BuildRequires: kf6-rpm-macros

BuildRequires: pkgconfig(xcursor)

BuildRequires: cmake(Qt6Concurrent)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6QuickControls2)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6WaylandClient)

BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6ConfigWidgets)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6IconThemes)
BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KF6Notifications)
BuildRequires: cmake(KF6WindowSystem)
BuildRequires: cmake(KF6GuiAddons)
BuildRequires: cmake(KF6XmlGui)
BuildRequires: cmake(KF6StatusNotifierItem)
BuildRequires: cmake(KF6ColorScheme)

BuildRequires: cmake(PlasmaWaylandProtocols)

BuildRequires: font(hack)
BuildRequires: font(notosans)

Requires:      breeze
Requires:      font(hack)
Requires:      font(notosans)
# KDEBUG#466148
Requires:      xdg-desktop-portal-kde
# The default QtQuick style
Requires:      qqc2-breeze-style

%description
Qt Platform Theme integration plugins for the Plasma workspaces.

%files -f %name.lang
%_qt6_plugindir/platformthemes/KDEPlasmaPlatformTheme6.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_QT5:BOOL=OFF
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
