# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 11

Summary:        A mediacenter user interface written with the Plasma framework
Name:           plasma-mediacenter
Version: 5.7.5
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Patch0:         plasma-mediacenter-5.7.5-kf-5.72-findtaglib.patch

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kactivities-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  ki18n-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kservice-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kio-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  kfilemetadata-devel
BuildRequires:  cmake(KF5Baloo)

BuildRequires:  pkgconfig(taglib)

%description
A mediacenter user interface written with the Plasma framework.

%files -f %{name}.lang
%_kf5_qmldir/org/kde/plasma/mediacenter
%_qt5_plugindir/plasma/mediacenter
%_kf5_datadir/xsessions/plasma-mediacenter.desktop
%_kf5_datadir/plasma/shells/org.kde.plasma.mediacenter
%_kf5_datadir/applications/plasma-mediacenter.desktop
%_kf5_iconsdir/hicolor/64x64/actions/pmc-back.png
%_kf5_services/plasma-shell-org.kde.plasma.mediacenter.desktop
%_kf5_servicetypes/pmc_browsingbackend.desktop
%_kf5_servicetypes/pmc_datasource.desktop
%_kf5_metainfodir/org.kde.plasma.mediacenter.appdata.xml

#--------------------------------------------------------------------

%define plasmamediacenter_major 5
%define libplasmamediacenter %mklibname plasmamediacenter %{plasmamediacenter_major}

%package -n %libplasmamediacenter
Summary:      A mediacenter user interface written with the Plasma framework
Group:        System/Libraries

%description -n %libplasmamediacenter
A mediacenter user interface written with the Plasma framework.

%files -n %libplasmamediacenter
%_kf5_libdir/libplasmamediacenter.so.%{plasmamediacenter_major}{,.*}

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

