#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Modules providing phone functionality for Plasma
Name:           plasma-mobile
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+ LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://plasma-mobile.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Sensors)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WaylandClient)

# KDE Frameworks
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6ModemManagerQt)
BuildRequires:  cmake(KF6NetworkManagerQt)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6JobWidgets)

BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(PlasmaQuick)
BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(KF6Screen)
BuildRequires:  cmake(KWayland)
BuildRequires:  cmake(QCoro6)
BuildRequires:  cmake(KF6KirigamiAddons)

BuildRequires:  cmake(KWin)
BuildRequires:  cmake(LayerShellQt)
BuildRequires:  cmake(LibKWorkspace)
BuildRequires:  cmake(KWinDBusInterface)

BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(xcb)

# runtime dependencies
BuildRequires:  kirigami
Requires:       kirigami
BuildRequires:  kpipewire
Requires:       kpipewire

Recommends:     kirigami-addons

Obsoletes:      plasma-phone-components < 5.24.4
Provides:       plasma-phone-components = %version-%release	

%description
UI components for Plasma Phone.

%files -f plasma_applet_org.kde.phone.homescreen.lang
%doc README.md
%_kf6_bindir/startplasmamobile
%_kf6_bindir/plasma-mobile-envmanager
%_kf6_bindir/plasma-mobile-initial-start
%_kf6_qmldir/org/kde/plasma/mobileinitialstart/
%_kf6_qmldir/org/kde/plasma/quicksetting
%_kf6_qmldir/org/kde/private/mobile/
%_kf6_qmldir/org/kde/plasma/private/mobileshell/
%_kf6_qmldir/org/kde/plasma/mm/
%_kf6_plugindir/kded/kded_plasma_mobile_autodetect_apn.so
%_kf6_plugindir/kded/kded_plasma_mobile_start.so
%_qt6_plugindir/plasma/applets/*.so
%_qt6_plugindir/plasma/kcms/systemsettings/*.so
%_kf6_applicationsdir/kcm_mobileshell.desktop
%_kf6_applicationsdir/kcm_cellular_network.desktop
%_kf6_applicationsdir/kcm_mobile_hotspot.desktop
%_kf6_applicationsdir/kcm_mobile_info.desktop
%_kf6_applicationsdir/kcm_mobile_onscreenkeyboard.desktop
%_kf6_applicationsdir/kcm_mobile_power.desktop
%_kf6_applicationsdir/kcm_mobile_time.desktop
%_kf6_applicationsdir/kcm_mobile_wifi.desktop
%_kf6_metainfodir/*.appdata.xml
%_kf6_datadir/kwin/effects/mobiletaskswitcher/
%_kf6_datadir/kwin/scripts/convergentwindows/
%_kf6_datadir/plasma/look-and-feel/org.kde.breeze.mobile/
%_kf6_datadir/plasma/mobileinitialstart/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.mobile.homescreen.folio/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.mobile.homescreen.halcyon/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.mobile.panel/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.mobile.taskpanel/
%_kf6_datadir/wayland-sessions/plasma-mobile.desktop
%_kf6_knotificationsdir/plasma_mobile_quicksetting*.notifyrc
%dir %_kf6_datadir/plasma/quicksettings
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.hotspot/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksettings.docked/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.airplanemode/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.audio/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.battery/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.bluetooth/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.caffeine/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.donotdisturb/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.flashlight/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.keyboardtoggle/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.mobiledata/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.nightcolor/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.powermenu/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.record/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.screenrotation/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.screenshot/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.settingsapp/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.wifi/
%_kf6_datadir/plasma/layout-templates/org.kde.plasma.mobile.defaultNavigationPanel/
%_kf6_datadir/plasma/layout-templates/org.kde.plasma.mobile.defaultStatusBar/
%_kf6_datadir/plasma/shells/org.kde.plasma.mobileshell/
%_kf6_datadir/dbus-1/interfaces/org.kde.plasmashell.Mobile.xml
%_kf6_datadir/plasma-mobile-apn-info/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang plasma_applet_org.kde.phone.homescreen --all-name
