#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define nm_version 1.0.4
%define pptp 1
%define openswan 0
%define openvn 1
%define vpnc 1
%define l2tp 1
%define strongswan 1

%ifarch aarch64 x86_64
%define openconnect 1
%else
%define openconnect 0
%endif

%define rel 1

Name:           plasma-nm
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        Plasma applet written in QML for managing network connections
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2+
URL:            https://www.kde.org/workspaces/plasmadesktop/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

# Upstream patches (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6UiTools)

BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6NetworkManagerQt)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Svg)
BuildRequires:  cmake(KF6ModemManagerQt)

BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(KF6Kirigami2)
BuildRequires:  cmake(KF6Prison)
BuildRequires:  cmake(QCoro6)


BuildRequires:  pkgconfig(libnm) >= %nm_version
BuildRequires:  pkgconfig(ModemManager)
BuildRequires:  pkgconfig(mobile-broadband-provider-info)
BuildRequires:  pkgconfig(qca2-qt6)

%if %openconnect
BuildRequires:  pkgconfig(openconnect) >= 3.99
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif

Requires:       kirigami
Requires:       prison

%rename plasma5-nm

%description
Plasma applet written in QML for managing network connections.

#--------------------------------------------------------------------

%package -n plasma-applet-nm
Summary:        NetworkManager Plasma applet
Group:          Graphical desktop/KDE
Requires:       networkmanager >= %nm_version
Requires:       qca-qt6

%rename plasma5-applet-nm

%description -n plasma-applet-nm
Network Management Plasma applet for controlling network
connections on systems that use the NetworkManager service.


%files -n plasma-applet-nm -f %name.lang
%_kf6_libdir/libplasmanm_editor.so
%_kf6_libdir/libplasmanm_internal.so
%_kf6_qmldir/org/kde/plasma/networkmanagement
%_kf6_plugindir/kded/networkmanagement.so
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/kcm_networkmanagement.so
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.networkmanagement
%_kf6_datadir/kcm_networkmanagement/
%_kf6_knotificationsdir/networkmanagement.notifyrc
%_kf6_applicationdir/kcm_networkmanagement.desktop
%_kf6_applicationdir/org.kde.vpnimport.desktop
%_kf6_metainfodir/org.kde.plasma.networkmanagement.appdata.xml
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_iodineui.so
%_kf6_categoriesdir/plasma-nm.categories

#--------------------------------------------------------------------

%if %{openvn}
%package  -n plasma-applet-nm-openvpn
Summary:        OpenVPN plugin for Plasma NetworkManager
Group:          Graphical desktop/KDE
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-openvpn

%rename plasma5-applet-nm-openvpn

%description -n plasma-applet-nm-openvpn
OpenVPN plugin for Plasma NetworkManager.

%files -n plasma-applet-nm-openvpn -f plasmanetworkmanagement_openvpnui.lang
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_openvpnui.so
%endif

#--------------------------------------------------------------------

%if %{l2tp}

%package -n plasma-applet-nm-l2tp
Summary:        L2tp plugin for Plasma NetworkManager
Group:          Graphical desktop/KDE
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-l2tp

%rename plasma5-applet-nm-l2tp

%description -n plasma-applet-nm-l2tp
L2tp plugin for Plasma NetworkManager.

%files -n plasma-applet-nm-l2tp  -f plasmanetworkmanagement_l2tpui.lang
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_l2tpui.so
%endif

#--------------------------------------------------------------------

%if %{pptp}

%package -n plasma-applet-nm-pptp
Summary:        Pptp plugin for Plasma NetworkManager
Group:          Graphical desktop/KDE
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-pptp

%rename plasma5-applet-nm-pptp

%description -n plasma-applet-nm-pptp
Pptp plugin for Plasma NetworkManager.

%files -n plasma-applet-nm-pptp -f plasmanetworkmanagement_pptpui.lang
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_pptpui.so
%endif

#--------------------------------------------------------------------

%if %{openswan}

%package -n plasma-applet-nm-openswan
Summary:        OpenSwan plugin for Plasma NetworkManager
Group:          Graphical desktop/KDE
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-openswan

%rename plasma5-applet-nm-openswan

%description -n plasma-applet-nm-openswan
OpenSwan plugin for Plasma NetworkManager.

%files -n plasma-applet-nm-openswan
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_openswanui.so
%endif

%package -n plasma-applet-nm-libreswan
Summary:        LibreSwan plugin for Plasma NetworkManager
Group:          Graphical desktop/KDE
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-openswan

%description -n plasma-applet-nm-libreswan
LibreSwan plugin for Plasma NetworkManager.

%files -n plasma-applet-nm-libreswan -f plasmanetworkmanagement_libreswanui.lang
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_libreswanui.so

#--------------------------------------------------------------------

%if %{strongswan}

%package -n plasma-applet-nm-strongswan
Summary:        Strongswanui plugin for Plasma NetworkManager
Group:          Graphical desktop/KDE
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-strongswan

%rename plasma5-applet-nm-strongswan

%description -n plasma-applet-nm-strongswan
Strongswanui plugin for Plasma NetworkManager.

%files -n plasma-applet-nm-strongswan -f plasmanetworkmanagement_strongswanui.lang
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_strongswanui.so
%endif

#--------------------------------------------------------------------

%if %{vpnc}

%package -n plasma-applet-nm-vpnc
Summary:        Vpnc plugin for Plasma NetworkManager
Group:          Graphical desktop/KDE
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-vpnc

%rename plasma5-applet-nm-vpnc

%description -n plasma-applet-nm-vpnc
Vpnc plugin for Plasma NetworkManager.

%files -n plasma-applet-nm-vpnc -f plasmanetworkmanagement_vpncui.lang
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_vpncui.so
%endif

#-------------------------------------------------------------------

%if %{openconnect}
%package -n plasma-applet-nm-openconnect
Summary:        Openconnect plugin for Plasma NetworkManager
Group:          Graphical desktop/KDE
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-openconnect

%rename plasma5-applet-nm-openconnect

%description -n plasma-applet-nm-openconnect
Openconnect plugin for Plasma NetworkManager.

%files -n plasma-applet-nm-openconnect -f plasmanetworkmanagement_openconnectui.lang
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_openconnect_anyconnect.so
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_openconnect_globalprotectui.so
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_openconnect_juniperui.so
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_openconnect_pulseui.so
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_openconnect_arrayui.so
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_openconnect_f5ui.so
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_openconnect_fortinetui.so
%endif

#-------------------------------------------------------------------

%package -n plasma-applet-nm-ssh
Summary:        SSH plugin for Plasma NetworkManager
Group:          Graphical desktop/KDE
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-ssh

%rename plasma5-applet-nm-ssh

%description -n plasma-applet-nm-ssh
SSH plugin for Plasma NetworkManager.

%files -n plasma-applet-nm-ssh -f plasma-applet-nm-ssh.lang
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_sstpui.so
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_sshui.so

#--------------------------------------------------------------------

%package -n plasma-applet-nm-fortisslvpnui
Summary:        Fortigate SSL VPN plugin for Plasma NetworkManager
Group:          Graphical desktop/KDE
Requires:       plasma-applet-nm = %{version}-%{release}
Requires:       networkmanager-fortisslvpn

%description -n plasma-applet-nm-fortisslvpnui
Fortigate SSL VPN plugin for Plasma NetworkManager.

%files -n plasma-applet-nm-fortisslvpnui -f plasmanetworkmanagement_fortisslvpnui.lang
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_fortisslvpnui.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%if ! %{l2tp}
%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_l2tpui.so
%endif

%if ! %{openswan}
#_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_openswanui.so
%endif

%if ! %{strongswan}
rm %{buildroot}%_qt6_plugindir/plasma/network/vpn/plasmanetworkmanagement_strongswanui.so
%endif

rm -f %{name}.lang
touch %{name}.lang
for n in \
    plasma_applet_org.kde.plasma.networkmanagement \
    plasmanetworkmanagement-kded \
    plasmanetworkmanagement-libs \
    plasmanetworkmanagement-kcm \
    plasmanetworkmanagement_iodineui
do
  %find_lang $n
  cat ${n}.lang >>%{name}.lang
  rm -f ${n}.lang
done
%find_lang plasmanetworkmanagement_l2tpui
%find_lang plasmanetworkmanagement_openconnectui
%find_lang plasmanetworkmanagement_vpncui
%if %{strongswan}
%find_lang plasmanetworkmanagement_strongswanui
%endif
%find_lang plasmanetworkmanagement_pptpui
%find_lang plasmanetworkmanagement_openvpnui
%if %{openswan}
%find_lang plasmanetworkmanagement_openswanui
%endif
rm -f plasma-applet-nm-ssh.lang
touch plasma-applet-nm-ssh.lang
for n in \
    plasmanetworkmanagement_sshui \
    plasmanetworkmanagement_sstpui
do
  %find_lang  $n
  cat ${n}.lang >>plasma-applet-nm-ssh.lang
  rm -f ${n}.lang
done

%find_lang plasmanetworkmanagement_fortisslvpnui
%find_lang plasmanetworkmanagement_libreswanui

%if ! %openconnect
find %{buildroot} -name 'plasmanetworkmanagement_openconnectui.mo' -delete
%endif
