#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		plasma-pa
Version: 6.3.4
Release:	%mkrel %rel
Summary:	Plasma applet for audio volume management using PulseAudio
License:	LGPLv2+ and GPLv2+
Group:		Graphical desktop/KDE
URL:		https://invent.kde.org/plasma/plasma-pa
Source0:	https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Test)

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Declarative)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6GlobalAccel)
BuildRequires:	cmake(KF6StatusNotifierItem)
BuildRequires:	cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:	cmake(KF6Svg)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6PulseAudioQt)

BuildRequires:	cmake(Plasma)
BuildRequires:	cmake(KF6Kirigami)
BuildRequires:	kirigami-addons
BuildRequires:	kitemmodels

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	sound-theme-freedesktop

Requires:	sound-theme-freedesktop
Requires:	kirigami
Requires:	kirigami-addons
Requires:	kitemmodels

# Virtual Provides to support swapping between PipeWire-PA and PA
Requires:	pulseaudio-daemon

Recommends:	pulseaudio-module-gsettings

%description
Plasma applet for audio volume management using PulseAudio.

%files -f kcm_pulseaudio.lang -f plasma_applet_org.kde.plasma.volume.lang
%_kf6_categoriesdir/plasmapa.*categories
%{_kf6_datadir}/plasma/plasmoids/org.kde.plasma.volume
%{_kf6_qmldir}/org/kde/plasma/private/volume
%_kf6_plugindir/kded/audioshortcutsservice.so
%{_kf6_metainfodir}/org.kde.plasma.volume.appdata.xml
%{_qt6_plugindir}/plasma/kcms/systemsettings/kcm_pulseaudio.so
%{_kf6_applicationdir}/kcm_pulseaudio.desktop

#--------------------------------------------------------------------

%define plasmavolume_major 6
%define libplasmavolume    %mklibname plasma-volume %{plasmavolume_major}

%package -n %{libplasmavolume }
Summary:        Shared library for %{name}
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %{libplasmavolume }
Shared library for %{name}.

%files -n %{libplasmavolume }
%_kf6_libdir/libplasma-volume.so.%{plasmavolume_major}
%_kf6_libdir/libplasma-volume.so.%{version}

#--------------------------------------------------------------------

%package handbook
Summary:	Plasma-pa handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Obsoletes:	plasma-pa-doc < 5.15.0-2

%description handbook
This package provides plasma-pa handbook.

%files handbook
%doc %{_kf6_docdir}/HTML/*/kcontrol/plasma-pa

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_kf6_libdir}/libplasma-volume.so

%find_lang kcm_pulseaudio
%find_lang plasma_applet_org.kde.plasma.volume
