#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 2

Name:           plasma-pass
Version: 1.2.2
Release:        %mkrel %{rel}
Summary:        Plasma applet for the Pass password manager
License:        CC0-1.0 AND LGPL-2.1-or-later
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma-pass/%{name}-%{version}.tar.xz
# Upstream patches
Patch1:         0001-port-to-plasma-6.patch

BuildRequires:  kf6-rpm-macros

# Qt
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)

# KDE Frameworks
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(Plasma5Support)

BuildRequires:  cmake(QGpgmeQt6)
BuildRequires:  pkgconfig(liboath)


%description
Plasma Pass is a Plasma applet to access password from pass, the standard
UNIX password manager.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%_kf6_categoriesdir/%{name}.categories
%_qt6_qmldir/org/kde/plasma/private/plasmapass/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.pass/
%_kf6_metainfodir/org.kde.plasma.pass.appdata.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
