#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Development tools for Plasma 5
Name:           plasma-sdk
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6TextEditor)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Svg)

BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(PlasmaQuick)
BuildRequires:  cmake(Plasma5Support)
BuildRequires:  cmake(KF6Kirigami2)

BuildRequires:  git-core

Requires:       kirigami
Requires:       git-core

%description
Plasma SDK contains the following tools for Plasma-related development:
    - CuttleFish - icon theme browser
    - EngineExplorer - tool to browse and interact with data engines
    - PlasmoidViewer - an isolated Plasma environment for testing applets
    - ThemeExplorer - shows all components of a widget theme

%files -f %{name}.lang
%_kf6_bindir/*
%_kf6_datadir/applications/*.desktop
%_kf6_datadir/kpackage/genericqml/org.kde.plasma.themeexplorer
%_kf6_datadir/plasma/shells/org.kde.plasma.plasmoidviewershell
%_kf6_datadir/zsh/site-functions/_plasmoidviewer
%_kf6_metainfodir/org.kde.plasma.themeexplorer.appdata.xml
%_kf6_iconsdir/hicolor/scalable/apps/org.kde.iconexplorer.svg

%_kf6_metainfodir/org.kde.plasma.lookandfeelexplorer.appdata.xml
%_kf6_metainfodir/org.kde.plasma.plasmoidviewershell.appdata.xml
%_kf6_metainfodir/org.kde.plasmaengineexplorer.appdata.xml
%_kf6_metainfodir/org.kde.plasmoidviewer.appdata.xml
%_kf6_metainfodir/org.kde.plasma.iconexplorer.appdata.xml

%_qt6_plugindir/ktexteditor/iconexplorerplugin.so

%_kf6_datadir/zsh/site-functions/_kqml
%_kf6_datadir/kpackage/genericqml/org.kde.plasma.lookandfeelexplorer

%_kf6_mandir/man1/plasmaengineexplorer.1.*
%_kf6_mandir/man1/plasmoidviewer.1.*
%_kf6_mandir/man1/kqml.1.*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name --with-man

