#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define kf6_version_min 5.240

%define rel 1

Name:           plasma-systemmonitor
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        An application for monitoring system resources
Group:          Graphical desktop/KDE
License:        GPLv2+ and LGPLv2+
URL:            https://invent.kde.org/plasma/plasma-systemmonitor
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## upstream patches (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6I18n) >= %{kf6_version_min}
BuildRequires:  cmake(KF6Config) >= %{kf6_version_min}
BuildRequires:  cmake(KF6Service) >= %{kf6_version_min}
BuildRequires:  cmake(KF6GlobalAccel) >= %{kf6_version_min}
BuildRequires:  cmake(KF6KIO) >= %{kf6_version_min}
BuildRequires:  cmake(KF6DBusAddons) >= %{kf6_version_min}
BuildRequires:  cmake(KF6NewStuff) >= %{kf6_version_min}
BuildRequires:  cmake(KF6ItemModels) >= %{kf6_version_min}
BuildRequires:  cmake(KF6WindowSystem) >= %{kf6_version_min}
BuildRequires:  cmake(KF6Package) >= %{kf6_version_min}
BuildRequires:  cmake(KSysGuard)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  kirigami-addons
BuildRequires:  ksystemstats

Requires:       qt6-qtdeclarative
Requires:       kirigami
Requires:       kirigami-addons
Requires:       ksystemstats

%description
An interface for monitoring system sensors, process information and
other system resources.

%files -f %{name}.lang
%license LICENSES/*.txt
%_kf6_bindir/plasma-systemmonitor
%_kf6_applicationsdir/org.kde.plasma-systemmonitor.desktop
%_kf6_datadir/config.kcfg/systemmonitor.kcfg
%_kf6_datadir/kglobalaccel/org.kde.plasma-systemmonitor.desktop
%_kf6_datadir/knsrcfiles/plasma-systemmonitor.knsrc
%_kf6_datadir/ksysguard/sensorfaces/*
%_kf6_datadir/plasma/kinfocenter/externalmodules/
%_kf6_datadir/plasma-systemmonitor/
%_kf6_qmldir/org/kde/ksysguard/page/
%_kf6_qmldir/org/kde/ksysguard/table/
%_kf6_metainfodir/org.kde.plasma-systemmonitor.metainfo.xml
%_kf6_libdir/libPlasmaSystemMonitorPage.so
%_kf6_libdir/libPlasmaSystemMonitorTable.so
%_kf6_datadir/kconf_update/plasma-systemmonitor*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-html
