#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Plasma applet and services for creating encrypted vaults
Name:           plasma-vault
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

# Upstream patches (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Widgets)

# KDE Frameworks
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6WidgetsAddons)

BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(KF6NetworkManagerQt)
BuildRequires:  cmake(KSysGuard)

# (mga#23692)
Recommends:     cryfs >= 0.9.6
# (mga#23685)
Recommends:     encfs >= 1.9.1

%description
Plasma applet and services for creating encrypted vaults.

%files -f %name.lang
%_qt6_plugindir/plasma/applets/org.kde.plasma.vault.so
%_kf6_plugindir/kfileitemaction/plasmavaultfileitemaction.so
%_kf6_plugindir/kded/plasmavault.so
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.vault
%_kf6_metainfodir/org.kde.plasma.vault.appdata.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

