#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

# set to "1" to do a bootstrap build
%define bootstrap 1

%define min_version %(echo %{version}|cut -d. -f1,2)

Summary:        Plasma applications and applets workspace components
Name:           plasma-workspace
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Source1:        kde.pam
Source11:       startkderc
# To Rediff
#Patch0:         plasma-workspace-5.24.4-konsole-in-contextmenu.patch
## Mageia patches
Patch10:        0001-Use-grep-E-instead-of-deprecated-egrep.patch
# mga#31816
Patch11:        plasma-workspace-lookandfeelsettings-default-to-org.mageia.breeze.patch
Patch12:        plasma-workspace-wallpaper-default-to-Mageia.patch
## Downstream patches
# add dependency on ssh-agent.service
Patch102:       plasma-workspace-6.2.0-ssh-agent.patch
# default to enable open terminal action
Patch106:       plasma-workspace-6.0.0-enable-open-terminal-action.patch
# default to enable the lock/logout actions
Patch107:       plasma-workspace-6.0.0-enable-lock-logout-action.patch

## Upstream branch patches P200 -> P299

## Upstream master patches P300 -> P399

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Positioning)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6ShaderTools)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6QuickTest)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Declarative)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6IdleTime)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KDED)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Prison)
BuildRequires:  cmake(KF6Runner)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6Svg)
BuildRequires:  cmake(KF6TextEditor)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6UnitConversion)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(Plasma5Support)
BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(PlasmaQuick)
BuildRequires:  cmake(KWayland)
BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(PlasmaActivitiesStats)
BuildRequires:  cmake(KSysGuard)
BuildRequires:  cmake(KF6Screen)
BuildRequires:  cmake(KScreenLocker)
BuildRequires:  cmake(LayerShellQt)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6NetworkManagerQt)
BuildRequires:  cmake(KF6QuickCharts)
BuildRequires:  cmake(KF6UserFeedback)
BuildRequires:  cmake(KF6Baloo)
BuildRequires:  cmake(KWinDBusInterface)
BuildRequires:  cmake(ScreenSaverDBusInterface)
BuildRequires:  cmake(KF6Holidays)
BuildRequires:  cmake(Phonon4Qt6)
BuildRequires:  cmake(Breeze)
BuildRequires:  cmake(AppStreamQt) >= 1.0
BuildRequires:  cmake(KExiv2Qt6)
BuildRequires:  cmake(PolkitQt6-1)
BuildRequires:  cmake(QCoro6)

BuildRequires:  cmake(packagekitqt6)
BuildRequires:  cmake(PlasmaWaylandProtocols)

BuildRequires:  qalculate-devel
BuildRequires:  iso-codes
BuildRequires:  pam-devel
BuildRequires:  libnm-devel
BuildRequires:  kio-extras >= 24.01
BuildRequires:  kio-fuse >= 5.1
BuildRequires:  kirigami-addons

BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xtst)

%if ! %{bootstrap}
BuildRequires:  cmake(LibKWorkspace)
%endif
Requires:       kdeclarative
Requires:       qt6-qtdeclarative
Requires:       qt6-qt5compat
Requires:       oxygen
Requires:       xmessage
Requires:       kded
Requires:       kio
Requires:       kio-fuse >= 5.1
Requires:       kio-extras >= 24.01
Requires:       kirigami-addons
%if ! %{bootstrap}
Requires:       plasma-desktop
%endif
Requires:       plasma6-framework
Requires:       plasma-milou
Requires:       solid
Requires:       breeze
Requires:       breeze-icons
Requires:       breeze-gtk
Requires:       kde-gtk-config
Requires:       kwin
Requires:       libkscreen
Requires:       qttools6-qtdbus
Requires:       kservice
Requires:       frameworkintegration
Requires:       oxygen-icons
Requires:       font(notosans)
Requires:       udisks2
Requires:       desktop-common-data >= 3.9-3
Requires:       kwindowsystem
Requires:       bluez-qt
Requires:       konsole >= 24.01
Requires:       kscreenlocker
Requires:       plasma-integration
Requires:       mageia-plasma-config
Requires:       kinfocenter
Requires:       iso-codes
Requires:       kirigami
Requires:       kquickcharts
Requires:       kuserfeedback
Requires:       ocean-sound-theme

Requires:       systemd

Recommends:     task-codec-audio
Recommends:     task-codec-video

# https://pagure.io/fedora-kde/SIG/issue/303
Recommends:     kde-inotify-survey
# https://pagure.io/fedora-kde/SIG/issue/354
Recommends:     audiocd-kio

# ease upgrade mga9 -> mga10
Obsoletes:      plasma-applet-redshift-control < 1.0.18-7
Provides:       plasma-applet-redshift-control = %{version}-%{release}
Conflicts:      xdg-desktop-portal-kde < 6.1.4-2


%description
Plasma libraries and runtime components.

%triggerpostun -- kdebase4-workspace < 2:4.11.23
if [ -e %{_datadir}/xsessions/01KDE4.desktop ]; then
        rm -rf %{_datadir}/xsessions/01KDE4.desktop
fi

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/02Plasma.desktop ]; then
	rm -rf %{_datadir}/xsessions/02Plasma.desktop
fi

%files -f %name.lang
%_kf6_categoriesdir/*.categories
%_kf6_sysconfdir/xdg/QtProject/qtlogging.ini
%_kf6_datadir/xsessions/plasmax11.desktop
%_kf6_datadir/xdg-desktop-portal/kde-portals.conf
%_kf6_sysconfdir/xdg/startkderc
%_kf6_sysconfdir/xdg/autostart/org.kde.plasma-fallback-session-restore.desktop
%_kf6_sysconfdir/xdg/autostart/org.kde.plasmashell.desktop
%_kf6_sysconfdir/xdg/autostart/xembedsniproxy.desktop
%_kf6_sysconfdir/xdg/taskmanagerrulesrc
%_kf6_sysconfdir/xdg/autostart/gmenudbusmenuproxy.desktop
%_kf6_sysconfdir/xdg/plasmanotifyrc
%_kf6_sysconfdir/pam.d/kde
%_kf6_bindir/gmenudbusmenuproxy
%_kf6_bindir/kcminit
%_kf6_bindir/kcminit_startup
%_kf6_bindir/kcolorschemeeditor
%_kf6_bindir/kde-systemd-start-condition
%_kf6_bindir/kfontinst
%_kf6_bindir/kfontview
%_kf6_bindir/krunner
%_kf6_bindir/ksmserver
%_kf6_bindir/ksplashqml
%_kf6_bindir/lookandfeeltool
%_kf6_bindir/plasmashell
%_kf6_bindir/plasma-interactiveconsole
%_kf6_bindir/plasma-shutdown
%_kf6_bindir/plasma_session
%_kf6_bindir/plasma_waitforname
%_kf6_bindir/startkde
%_kf6_bindir/startplasma-x11
%_kf6_bindir/plasmawindowed
%_kf6_bindir/xembedsniproxy
%_kf6_bindir/plasma-apply-colorscheme
%_kf6_bindir/plasma-apply-cursortheme
%_kf6_bindir/plasma-apply-desktoptheme
%_kf6_bindir/plasma-apply-lookandfeel
%_kf6_bindir/plasma-apply-wallpaperimage
%_kf6_bindir/plasma-localegen-helper
%_kf6_libdir/kconf_update_bin/plasmashell*
%_kf6_libdir/kconf_update_bin/plasma6.0-remove-dpi-settings
%_kf6_libdir/kconf_update_bin/plasma6.0-remove-old-shortcuts
%_kf6_libdir/kconf_update_bin/plasma6.3-update-clipboard-database-2-to-3
%_kf6_libexecdir/kauth/fontinst*
%_libexecdir/baloorunner
%_libexecdir/kfontprint
%_libexecdir/ksmserver-logout-greeter
%_libexecdir/plasma-fallback-session-restore
%_libexecdir/plasma-fallback-session-save
%_libexecdir/plasma-sourceenv.sh
%_libexecdir/plasma-changeicons
%_libexecdir/plasma-dbus-run-session-if-needed
%_kf6_datadir/knsrcfiles/colorschemes.knsrc
%_kf6_datadir/knsrcfiles/gtk_themes.knsrc
%_kf6_datadir/knsrcfiles/icons.knsrc
%_kf6_datadir/knsrcfiles/kfontinst.knsrc
%_kf6_datadir/knsrcfiles/lookandfeel.knsrc
%_kf6_datadir/knsrcfiles/plasma-themes.knsrc
%_kf6_datadir/knsrcfiles/plasmoids.knsrc
%_kf6_datadir/knsrcfiles/wallpaper.knsrc
%_kf6_datadir/knsrcfiles/wallpaperplugin.knsrc
%_kf6_datadir/knsrcfiles/xcursor.knsrc
%_kf6_datadir/solid/actions/openWithFileManager.desktop
%_kf6_datadir/plasma/wallpapers/org.kde.image
%_kf6_datadir/plasma/wallpapers/org.kde.slideshow
%_kf6_datadir/plasma/wallpapers/org.kde.color
%_kf6_datadir/plasma5support/services/
%_kf6_datadir/kio_desktop
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/desktop-directories/*
%_kf6_qmldir/org/kde/breeze/
%_kf6_qmldir/org/kde/colorcorrect
%_kf6_qmldir/org/kde/plasma/private/battery/
%_kf6_qmldir/org/kde/plasma/private/clipboard/
%_kf6_qmldir/org/kde/plasma/private/devicenotifier/
%_kf6_qmldir/org/kde/plasma/private/digitalclock/
%_kf6_qmldir/org/kde/plasma/private/holidayevents/
%_kf6_qmldir/org/kde/plasma/private//keyboardindicator/
%_kf6_qmldir/org/kde/plasma/private/mpris/
%_kf6_qmldir/org/kde/plasma/private/shell/
%_kf6_qmldir/org/kde/plasma/wallpapers/
%_kf6_qmldir/org/kde/plasma/workspace/
%_kf6_qmldir/org/kde/plasma/private/sessions/
%_kf6_qmldir/org/kde/plasma/private/systemtray/
%_kf6_qmldir/org/kde/taskmanager/
%_kf6_qmldir/org/kde/plasma/private/appmenu/
%_kf6_qmldir/org/kde/plasma/private/containmentlayoutmanager/
%_kf6_qmldir/org/kde/plasma/private/kicker/
%_kf6_qmldir/org/kde/plasma/private/mediacontroller/
%_kf6_qmldir/org/kde/notificationmanager/
%_kf6_qmldir/org/kde/plasma/lookandfeel/
%_qt6_plugindir/plasma5support/
%_qt6_plugindir/plasma/kcminit/
%_qt6_plugindir/plasma/kcms/systemsettings/
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/
%_kf6_plugindir/kio/*.so
%_kf6_plugindir/kded/*.so
%_kf6_plugindir/kfileitemaction/
%_kf6_plugindir/krunner/
%_kf6_plugindir/packagestructure/
%_kf6_plugindir/parts/kfontviewpart.so
%_kf6_plugindir/thumbcreator/fontthumbnail.so
%_kf6_datadir/plasma/look-and-feel/org.kde.breeze.desktop/
%_kf6_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/
%_kf6_datadir/plasma/look-and-feel/org.kde.breezetwilight.desktop/
%_kf6_datadir/plasma/look-and-feel/org.kde.breezedark.desktop/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.systemtray
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.manage-inputmethod
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.cameraindicator/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.appmenu
%_kf6_datadir/dbus-1/interfaces/*.xml
%_kf6_datadir/dbus-1/services/*.service
%_kf6_datadir/dbus-1/system-services/*.service
%_kf6_datadir/dbus-1/system.d/*.conf
%_kf6_datadir/polkit-1/actions/org.kde.fontinst.policy
%_kf6_datadir/polkit-1/actions/org.kde.localegenhelper.policy
%_qt6_plugindir/phonon_platform
%_qt6_plugindir/plasma/applets/org.kde.plasma.panelspacer.so
%_qt6_plugindir/plasma/applets/org.kde.plasma.private.systemtray.so
%_qt6_plugindir/plasma/applets/org.kde.plasma.systemtray.so
%_qt6_plugindir/plasma/applets/org.kde.plasma.appmenu.so
%_qt6_plugindir/plasma/applets/org.kde.plasma.calendar.so
%_qt6_plugindir/plasma/applets/org.kde.plasma.icon.so
%_qt6_plugindir/plasma/applets/org.kde.plasma.notifications.so
%_qt6_plugindir/plasma/applets/org.kde.plasma.systemmonitor.so
%_qt6_plugindir/plasma/containmentactions/
%_qt6_plugindir/plasmacalendarplugins/
%_kf6_datadir/config.kcfg/colorssettings.kcfg
%_kf6_datadir/config.kcfg/cursorthemesettings.kcfg
%_kf6_datadir/config.kcfg/feedbacksettings.kcfg
%_kf6_datadir/config.kcfg/fontssettings.kcfg
%_kf6_datadir/config.kcfg/freespacenotifier.kcfg
%_kf6_datadir/config.kcfg/iconssettingsbase.kcfg
%_kf6_datadir/config.kcfg/launchfeedbacksettings.kcfg
%_kf6_datadir/config.kcfg/lookandfeelsettings.kcfg
%_kf6_datadir/config.kcfg/stylesettings.kcfg
%_kf6_knotificationsdir/*.notifyrc
%_kf6_datadir/kstyle/themes/*.themerc
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.activitybar
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.analogclock
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.calendar
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.devicenotifier
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.digitalclock
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.icon
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.lock_logout
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.mediacontroller
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.notifications
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.panelspacer
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.clipboard
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.cpu
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.cpucore
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.diskactivity
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.diskusage
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.memory
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.net
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.private.systemtray
%_kf6_metainfodir/org.kde.plasma*.appdata.xml
%_kf6_metainfodir/org.kde.breeze.desktop.appdata.xml
%_kf6_metainfodir/org.kde.color.appdata.xml
%_kf6_metainfodir/org.kde.image.appdata.xml
%_kf6_metainfodir/org.kde.slideshow.appdata.xml
%_kf6_metainfodir/org.kde.breezedark.desktop.appdata.xml
%_kf6_metainfodir/org.kde.breezetwilight.desktop.appdata.xml
%_kf6_datadir/kconf_update/migrate-calendar-to-plugin-id.upd
%_kf6_datadir/kconf_update/migrate-calendar-to-plugin-id.py
%_kf6_datadir/kconf_update/plasmashell*.upd
%_kf6_datadir/kconf_update/plasma6.0-remove-dpi-settings.upd
%_kf6_datadir/kconf_update/plasma6.0-remove-old-shortcuts.upd
%_kf6_datadir/kconf_update/plasma6.3-update-clipboard-database-2-to-3.upd
%_kf6_datadir/kglobalaccel/org.kde.krunner.desktop
%_kf6_datadir/knsrcfiles/wallpaper-mobile.knsrc
%_kf6_datadir/kfontinst/icons/hicolor/*/actions/*font*.png
%_kf6_datadir/konqsidebartng/virtual_folders/services/fonts.desktop
%_kf6_datadir/krunner/dbusplugins/plasma-runner-baloosearch.desktop
%_kf6_iconsdir/hicolor/*/apps/kfontview.png
%_kf6_iconsdir/hicolor/*/mimetypes/fonts-package.png
%_kf6_iconsdir/hicolor/scalable/apps/preferences-desktop-font-installer.svgz
%_userunitdir/plasma-baloorunner.service
%_userunitdir/plasma-core.target
%_userunitdir/plasma-gmenudbusmenuproxy.service
%_userunitdir/plasma-kcminit-phase1.service
%_userunitdir/plasma-kcminit.service
%_userunitdir/plasma-krunner.service
%_userunitdir/plasma-ksmserver.service
%_userunitdir/plasma-ksplash-ready.service
%_userunitdir/plasma-plasmashell.service
%_userunitdir/plasma-restoresession.service
%_userunitdir/plasma-workspace.target
%_userunitdir/plasma-xembedsniproxy.service
%_userunitdir/plasma-ksplash.service
%_userunitdir/plasma-workspace-wayland.target
%_userunitdir/plasma-workspace-x11.target
%_kf6_datadir/kxmlgui5/kfontview/
%_kf6_datadir/plasma/avatars/
%_kf6_datadir/plasma/weather/
%_kf6_datadir/kio/servicemenus/installfont.desktop
%_kf6_datadir/zsh/site-functions/_plasmashell
%_kf6_datadir/zsh/site-functions/_krunner
# Need to be libified ?
%_kf6_libdir/libkrdb.so

#--------------------------------------------------------------------

%package wayland
Summary:        Wayland support for Plasma
Requires:       %{name} = %{version}-%{release}
Requires:       kwin-wayland >= %{min_version}
#Requires:       kwayland-integration
Requires:       qt6-qtwayland
Requires:       x11-server-xwayland

# startplasma-wayland deps
Requires:       qttools6-qtdbus

%description wayland
Wayland support for Plasma.

%files wayland
%_kf6_bindir/startplasma-wayland
%_kf6_datadir/wayland-sessions/plasma.desktop

#--------------------------------------------------------------------

%define weather_ion_major 7
%define libweather_ion %mklibname weather_ion %{weather_ion_major}

%package -n %libweather_ion
Summary:        Plasma application workspace components
Group:          System/Libraries

%description -n %libweather_ion
Plasma application workspace components.

%files -n %libweather_ion
%_kf6_libdir/libweather_ion.so.%{weather_ion_major}{,.*}

#--------------------------------------------------------------------

%define taskmanager_major 6
%define libtaskmanager %mklibname taskmanager %{taskmanager_major}

%package -n %libtaskmanager
Summary:        Plasma application workspace components
Group:          System/Libraries

%description -n %libtaskmanager
Plasma application workspace components.

%files -n %libtaskmanager
%_kf6_libdir/libtaskmanager.so.%{taskmanager_major}{,.*}

#--------------------------------------------------------------------

%define kworkspace_major 6
%define libkworkspace %mklibname kworkspace %{kworkspace_major}

%package -n %libkworkspace
Summary:        Plasma application workspace components
Group:          System/Libraries

%description -n %libkworkspace
Plasma application workspace components.

%files -n %libkworkspace
%_kf6_libdir/libkworkspace6.so.%{kworkspace_major}{,.*}

#--------------------------------------------------------------------

%define batterycontrol_major 6
%define libbatterycontrol %mklibname batterycontrol %{batterycontrol_major}

%package -n %libbatterycontrol
Summary:        Plasma application workspace components
Group:          System/Libraries

%description -n %libbatterycontrol
Plasma application workspace components.

%files -n %libbatterycontrol
%_kf6_libdir/libbatterycontrol.so.%{batterycontrol_major}{,.*}

#--------------------------------------------------------------------

%define colorcorrect_major 6
%define libcolorcorrect %mklibname colorcorrect %{colorcorrect_major}

%package -n %libcolorcorrect
Summary:        Plasma application workspace components
Group:          System/Libraries

%description -n %libcolorcorrect
Plasma application workspace components.

%files -n %libcolorcorrect
%_kf6_libdir/libcolorcorrect.so.%{colorcorrect_major}{,.*}

#--------------------------------------------------------------------

%define kfontinst_major 6
%define libkfontinst %mklibname kfontinst %{kfontinst_major}

%package -n %libkfontinst
Summary:        Plasma application workspace components
Group:          System/Libraries

%description -n %libkfontinst
Plasma application workspace components.

%files -n %libkfontinst
%_kf6_libdir/libkfontinst.so.%{kfontinst_major}{,.*}

#--------------------------------------------------------------------

%define kfontinstui_major 6
%define libkfontinstui %mklibname kfontinstui %{kfontinstui_major}

%package -n %libkfontinstui
Summary:        Plasma application workspace components
Group:          System/Libraries

%description -n %libkfontinstui
Plasma application workspace components.

%files -n %libkfontinstui
%_kf6_libdir/libkfontinstui.so.%{kfontinstui_major}{,.*}

#--------------------------------------------------------------------

%define kmpris_major 6
%define libkmpris %mklibname kmpris %{kmpris_major}

%package -n %libkmpris
Summary:        Plasma application workspace components
Group:          System/Libraries

%description -n %libkmpris
Plasma application workspace components.

%files -n %libkmpris
%_kf6_libdir/libkmpris.so.%{kmpris_major}
%_kf6_libdir/libkmpris.so.%{version}

#--------------------------------------------------------------------

%define klipper_major 6
%define libklipper %mklibname klipper %{klipper_major}

%package -n %libklipper
Summary:        Plasma application workspace components
Group:          System/Libraries

%description -n %libklipper
Plasma application workspace components.

%files -n %libklipper
%_kf6_libdir/libklipper.so.%{klipper_major}
%_kf6_libdir/libklipper.so.%{version}

#--------------------------------------------------------------------

%define notificationmanager_major 1
%define libnotificationmanager %mklibname notificationmanager %{notificationmanager_major}

%package -n %libnotificationmanager
Summary:        Plasma application workspace components
Group:          System/Libraries

%description -n %libnotificationmanager
Plasma application workspace components.

%files -n %libnotificationmanager
%_kf6_libdir/libnotificationmanager.so.%{notificationmanager_major}
%_kf6_libdir/libnotificationmanager.so.%{min_version}{,.*}

#--------------------------------------------------------------------

%define plasma_workspace_devel %mklibname plasma-workspace -d

%package -n %plasma_workspace_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libweather_ion = %version-%release
Requires:       %libtaskmanager = %version-%release
Requires:       %libkworkspace = %version-%release
Requires:       %libbatterycontrol = %version-%release
Requires:       %libcolorcorrect = %version-%release
Requires:       %libkfontinst = %version-%release
Requires:       %libkfontinstui = %version-%release
Requires:       %libkmpris = %version-%release
Requires:       %libklipper = %version-%release
Requires:       %libnotificationmanager = %version-%release
%if ! %{bootstrap}
Requires:       plasma-workspace = %version-%release
%endif
Provides:       %name-devel = %{version}-%{release}

%description -n %plasma_workspace_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %plasma_workspace_devel
%_includedir/colorcorrect/
%_includedir/krdb/
%_includedir/kworkspace6/
%_includedir/notificationmanager/
%_includedir/plasma5support/
%_includedir/taskmanager/
%_kf6_libdir/cmake/KRunnerAppDBusInterface/
%_kf6_libdir/cmake/KSMServerDBusInterface/
%_kf6_libdir/cmake/LibColorCorrect/
%_kf6_libdir/cmake/LibKWorkspace/
%_kf6_libdir/cmake/LibNotificationManager/
%_kf6_libdir/cmake/LibTaskManager/
%_kf6_libdir/libbatterycontrol.so
%_kf6_libdir/libcolorcorrect.so
%_kf6_libdir/libkfontinst.so
%_kf6_libdir/libkfontinstui.so
#_kf6_libdir/libkmpris.so
%_kf6_libdir/libklipper.so
%_kf6_libdir/libkworkspace6.so
%_kf6_libdir/libtaskmanager.so
%_kf6_libdir/libweather_ion.so
%_kf6_libdir/libnotificationmanager.so

#--------------------------------------------------------------------

%package handbook
Summary:        %name Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %name Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/klipper
%doc %_kf6_docdir/HTML/*/kcontrol/autostart/
%doc %_kf6_docdir/HTML/*/kcontrol/colors/
%doc %_kf6_docdir/HTML/*/kcontrol/cursortheme/
%doc %_kf6_docdir/HTML/*/kcontrol/desktopthemedetails/
%doc %_kf6_docdir/HTML/*/kcontrol/fontinst/
%doc %_kf6_docdir/HTML/*/kcontrol/fonts/
%doc %_kf6_docdir/HTML/*/kcontrol/formats/
%doc %_kf6_docdir/HTML/*/kcontrol/icons/
%doc %_kf6_docdir/HTML/*/kcontrol/kcmstyle/
%doc %_kf6_docdir/HTML/*/kcontrol/lookandfeel/
%doc %_kf6_docdir/HTML/*/kcontrol/notifications/
%doc %_kf6_docdir/HTML/*/kcontrol/screenlocker/
%doc %_kf6_docdir/HTML/en/PolicyKit-kde
%doc %_kf6_docdir/HTML/*/kcontrol/region_language/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

# compat symlink
ln -s startplasma-x11 %{buildroot}%{_kf6_bindir}/startkde

mkdir -p %buildroot%_kf6_sysconfdir/pam.d/
cp %{SOURCE1} %buildroot%_kf6_sysconfdir/pam.d/kde

#mv %%buildroot%%_kf6_datadir/xsessions/plasmax11.desktop %%buildroot%%_kf6_datadir/xsessions/01plasmax11.desktop


pushd %buildroot%_kf6_datadir/plasma/look-and-feel
	cp -fr org.kde.breeze.desktop org.mageia.breeze.desktop
popd

mkdir -p %{buildroot}%_kf6_sysconfdir/xdg/QtProject/
cat > %{buildroot}%_kf6_sysconfdir/xdg/QtProject/qtlogging.ini << EOF
[Rules]
qt.qpa.xcb.warning=false
qt.qml.connections.warning=false
EOF

rm -frv %buildroot%_sysconfdir/xdg/menus/plasma-applications.menu

# This is in mageia-plasma5-config
rm -frv %buildroot%_kf6_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents/splash
rm -frv %buildroot%_kf6_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents/previews/splash.png
rm -frv %buildroot%_kf6_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/metadata.desktop
rm -frv %buildroot%_kf6_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/metadata.json

# Change to use Mageia wallpapers
sed -i -e 's|^Image=.*$|Image=Mageia|g' %{buildroot}%{_kf6_datadir}/plasma/look-and-feel/org.mageia.breeze.desktop/contents/defaults

# Make kdestart use systemd
install -m644 -p -D %{SOURCE11} %{buildroot}%{_sysconfdir}/xdg/startkderc

%find_lang %name --all-name
