#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           plasma5support
Version: 6.3.4
Release:        %mkrel %rel
Summary:        Support components for porting from KF5/Qt5 to KF6/Qt6
License:        CC0-1.0 LGPL-2.0+ LGPL-2.1 LGPL-3.0
Group:          System/Libraries
URL:            https://invent.kde.org/plasma/plasma5support
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  doxygen

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickTest)
BuildRequires:  cmake(Qt6ToolsTools)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6IdleTime)
BuildRequires:  cmake(KF6KIO)

BuildRequires:  cmake(KSysGuard)
BuildRequires:  cmake(KF6NetworkManagerQt)
BuildRequires:  cmake(PlasmaActivities)

BuildRequires:  pkgconfig(libgps)

#kded5[1875]: org.kde.plasma.dataengine.geolocation: gpsd not found
Requires:       gpsd

# ease upgrade
Conflicts:      plasma-workspace < 6.2.90


%description
Migration aids for KF5 -> KF6 migration.

%files -f %{name}.lang
%_kf6_categoriesdir/plasma5support.*
%_kf6_datadir/plasma5support/
%_kf6_qmldir/org/kde/plasma/plasma5support/
%_qt6_plugindir/plasma5support/

#--------------------------------------------------------------------

%define plasmageolocation_major 6
%define libplasmageolocation    %mklibname plasma-geolocation-interface %{plasmageolocation_major}

%package -n %{libplasmageolocation}
Summary:        Plasma Geolocation Interface components library
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %{libplasmageolocation}
Plasma Geolocation Interface components library.

%files -n %{libplasmageolocation}
%_kf6_libdir/libplasma-geolocation-interface.so.%{plasmageolocation_major}
%_kf6_libdir/libplasma-geolocation-interface.so.%{version}

#--------------------------------------------------------------------

%define plasma5support_major 6
%define libplasma5support    %mklibname plasma5support %{plasma5support_major}

%package -n %{libplasma5support}
Summary:        Support components for porting from KF5/Qt5 to KF6/Qt6
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %{libplasma5support}
Migration aids for KF5 -> KF6 migration.

%files -n %{libplasma5support}
%_kf6_libdir/libPlasma5Support.so.%{plasma5support_major}
%_kf6_libdir/libPlasma5Support.so.%{version}

#--------------------------------------------------------------------

%define plasma5support_devel %mklibname plasma5support -d

%package -n %{plasma5support_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %{libplasmageolocation} = %{version}-%{release}
Requires:       %{libplasma5support} = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %{plasma5support_devel}
This package contains header files needed if you wish to build applications
based on %name.

%files -n %{plasma5support_devel}
%_includedir/Plasma5Support/
%dir %_includedir/plasma
%_includedir/plasma/geolocation/
%_kf6_libdir/cmake/Plasma5Support/
%_kf6_libdir/libPlasma5Support.so
%_kf6_libdir/libplasma-geolocation-interface.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-qt --with-html
