#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           plasmatube
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        YouTube client
License:        GPLv3+ and CC0 and CC-BY-SA
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/plasmatube/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WindowSystem)

BuildRequires:  cmake(MpvQt)
BuildRequires:  cmake(Qt6Keychain)
BuildRequires:  purpose

Requires:       kirigami
Requires:       kirigami-addons
Requires:       purpose
Requires:       yt-dlp


%description
PlasmaTube allows you to watch YouTube videos on your
phone or desktop using a elegant user interface integrated
with the rest of Plasma.

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_categoriesdir}/plasmatube.categories
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_iconsdir}/hicolor/*/apps/org.kde.%{name}.*
%{_kf6_iconsdir}/hicolor/scalable/actions/plasmatube*.svg
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
