%define oname	PlayOnLinux

Summary:	Play your Windows games on Linux
Name:		playonlinux
Version:	4.4
Release:	%mkrel 6
License:	GPLv3 and GPLv2+ and MIT
Group:		Games/Other
Url:		https://www.playonlinux.com
Source0:	https://github.com/PlayOnLinux/POL-POM-4/archive/%{version}/POL-POM-4-%{version}.tar.gz
# Upstream changes since last release
Patch0:		https://github.com/PlayOnLinux/POL-POM-4/compare/4.4...76a6580.patch#/playonlinux-4.4-git76a6580.patch
Patch1:		playonlinux-4.2.8-deb-set-debian-env.patch
Patch2:		playonlinux-4.3.3-hicolor.patch

ExcludeArch:	%arm

BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-natsort
BuildRequires:	python3-wxpython4

Requires:	cabextract
Requires:	curl
Requires:	gettext
Requires:	glxinfo
Requires:	icoutils
Requires:	imagemagick
Requires:	jq
Requires:	netcat
Requires:	p7zip
Requires:	python3
Requires:	python3-pydbus
Requires:	python3-natsort
Requires:	python3-wxpython4
Requires:	tar
Requires:	unzip
Requires:	wget
Requires:	xterm
Requires:	xz
%ifarch x86_64 aarch64
Requires:	wine64
%else
Requires:	wine-full
%endif
# for ar
Requires:	binutils
Requires:	gnupg2

%description
PlayOnLinux is a piece of software which allows you to install
and use easily numerous games and software designed to run
with Microsoft(R)'s Windows(R). Indeed, currently, still few
games are compatible with GNU/Linux, and it could be a factor
preventing from migrating to this system. PlayOnLinux brings an
accessible and efficient solution to this problem, cost-free
and respectful of the free software.

%prep
%autosetup -p1 -n POL-POM-4-%{version}

%build
%set_build_flags
%make_build \
  CFLAGS="%{optflags} %{ldflags}" \
  PYTHON="%{python3} -m py_compile"

%install
%make_install

# Remove shebang from Python library
sed '1{/^#!\//d}' -i %{buildroot}%{_datadir}/%{name}/python/setupwindow/gui_server.py

# Remove misplaced files and directories
rm -rf %{buildroot}%{_datadir}/%{name}/{bin,tests,CHANGELOG.md,LICENCE,README.md,TRANSLATORS}
rm -f %{buildroot}%{_datadir}/%{name}/etc/PlayOnLinux.{appdata.xml,desktop}

# Byte compile importable Python modules outside of standard paths
%py_byte_compile %{python3} %{buildroot}%{_datadir}/%{name}/python/

%find_lang pol

%files -f pol.lang
%doc CHANGELOG.md README.md TRANSLATORS
%license doc/copyright LICENCE
%{_bindir}/%{name}
%{_bindir}/%{name}-pkg
%{_datadir}/%{name}/
%{_datadir}/appdata/%{oname}.appdata.xml
%{_datadir}/applications/%{oname}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libexecdir}/%{name}-check_dd
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-pkg.1*
