%define         oname plexus-io
Name:           %{oname}1
Version:        1.0.1
Release:        %mkrel 2
Summary:        Plexus IO Components

Group:          Development/Java
License:        ASL 2.0
URL:            http://plexus.codehaus.org/plexus-components/plexus-io
#svn export http://svn.codehaus.org/plexus/plexus-components/tags/plexus-io-1.0.1/
#tar caf plexus-io-1.0.1.tar.xz plexus-io-1.0.1/      
Source0:        %{oname}-%{version}.tar.xz
Patch0:         plexus-io-1.0.1-fix-pom.patch

BuildArch:      noarch

BuildRequires: java-devel >= 0:1.6.0 
BuildRequires:  jpackage-utils

BuildRequires: plexus-utils
BuildRequires: plexus-container-default
BuildRequires: maven
BuildRequires: maven-resources-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-doxia-sitetools
BuildRequires: plexus-maven-plugin
Requires:      jpackage-utils
Requires:      plexus-utils
Requires:      plexus-container-default

Requires(post): jpackage-utils
Requires(postun): jpackage-utils

%description
Plexus IO is a set of plexus components, which are designed for use
in I/O operations. 

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc NOTICE.txt
%{_javadir}/plexus/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

#--------------------------------------------------------------------

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-%version
%patch -P 0 -p0


%build
mvn-rpmbuild install javadoc:javadoc -Dmaven.test.skip=true

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}/plexus
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/plexus/io1.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP.%{name}.pom

%add_maven_depmap JPP.%{name}.pom plexus/io1.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

