%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           plib
Version:        1.8.5
Release:        %mkrel 16
Summary:        Set of portable game libraries
License:        LGPLv2+
Group:          System/Libraries
URL:            https://plib.sourceforge.net/
Source0:        https://plib.sourceforge.net/dist/%{name}-%{version}.tar.gz
Patch0:         plib-1.8.5-CVE-2011-4620.diff
Patch1:         plib-1.8.5-CVE-2012-4552.diff
Patch2:         plib-1.8.5-deb-build-shared-libs.patch
Patch3:         plib-1.8.5-deb-remove-pthread-link.patch
Patch4:         plib-1.8.5-dont_break_joystick_system_calibration.patch
Patch5:         plib-1.8.5-spelling_errors.patch
Patch6:         08_CVE-2021-38714.patch

BuildRequires:  libtool
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xmu)

%description
Provides a Joystick interface, a simple GUI built on top of OpenGL,
some standard geometry functions, a sound library and a simple scene
graph API built on top of OpenGL.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Steve's Portable Game Library
Group:          System/Libraries

%description -n %{libname}
Provides a Joystick interface, a simple GUI built on top of OpenGL,
some standard geometry functions, a sound library and a simple scene
graph API built on top of OpenGL.

%files -n       %{libname}
%{_libdir}/lib%{name}*.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C++
Requires:       %{libname} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      plib-devel < 1.8.5-10

%description -n %{devname}
This package contains the development files for the %{name} library.

%files -n       %{devname}
%doc README ChangeLog AUTHORS KNOWN_BUGS
%{_includedir}/%{name}/
%{_libdir}/lib%{name}*.so

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install
