Name:           plog
Version:        1.1.10
Release:        %mkrel 1
Summary:        Portable, simple and extensible C++ logging library
Group:          Development/C++
License:        MIT
URL:            https://github.com/SergiusTheBest/plog
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# This is a header only library
BuildArch:      noarch

BuildRequires:  cmake

%description
Plog is a C++ logging library that is designed to be as simple,
small and flexible as possible. It is created as an alternative
to existing large libraries and provides some unique features
as CSV log format and wide string support.

%package        devel
Summary:        Development files for %{name}
Group:          Development/C++
Provides:       %{name}-static = %{version}-%{release}

%description    devel
Plog is a C++ logging library that is designed to be as simple,
small and flexible as possible. It is created as an alternative
to existing large libraries and provides some unique features
as CSV log format and wide string support.

The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup

%build
%cmake -DPLOG_BUILD_TESTS=ON \
       -DCMAKE_INSTALL_LIBDIR=%{_datadir}
%cmake_build

%install
%cmake_install

# Delete wrongly installed doc content, we'll docify later
rm -rv %{buildroot}%{_datadir}/doc/%{name}

%check
%ctest

%files devel
%license LICENSE
%doc README.md doc
%{_includedir}/%{name}/
%{_datadir}/cmake/%{name}/
