# Plopp Redistribution License Agreement (copyright_redistribution) was received from
# plopp's author Michael Rueger <mike.rueger@gmail.com> to plopp's maintainer
# Alexey Loginov <alexl@mageia.org> by email, the 1st of July, 2014

%define debug_package %{nil}

Summary:       A creative 3D Painting tool
Name:          plopp
Version:       1.2.3
Release:       %mkrel 6
License:       Freeware
Group:         Graphics/3D
URL:           http://www.planet-plopp.com
Source0:       http://www.planet-plopp.com/downloads/en/%{name}_%{version}-2.tar.gz
Source1:       launch_%{name}
Source2:       UserDataOther.tar.gz
Source3:       %{name}.desktop
Source4:       %{name}.png
Source5:       copyright_redistribution
Patch0:        %{name}-%{version}-mga-fix-url-tutorial.patch
Patch1:        %{name}-%{version}-mga-readme.patch
Requires:      ossp
Requires:      libnotify
Requires:      geeqie
Requires:      xdg-utils
Requires:      libudev1
ExclusiveArch: %{ix86}

%description
Plopp is a creative painting tool for cartoon-like 3D scenes without
the effort that comes with professional 3D modelling programs.
You can create screenshots, print, send by email your works.

%prep
%setup -q -n %{name}
%patch -P 0 -p1
%patch -P 1 -p1
cp -f %{SOURCE5} ./
# fix permissions
chmod -x readme.txt copyright
chmod -x Contents/Resources/UserData.zip
# fix wrong-script-end-of-line-encoding
sed -i 's/\r//' readme.txt copyright
# use xdg-open for opening url
echo "#!/bin/bash" > ./Contents/Linux386/openbrowser.sh
echo 'xdg-open $1' >> ./Contents/Linux386/openbrowser.sh
# disable placing image on the Desktop, because it's very specific for all DE
echo "#!/bin/bash" > ./Contents/Linux386/setdesktop.sh
echo "notify-send --expire-time=4000 --app-name=%{name} --icon=%{name} 'Warning!' 'Possibility to place the image on the Desktop was disabled by maintainer.'" >> ./Contents/Linux386/setdesktop.sh
# printing image with help geeqie only
echo "#!/bin/bash" > ./Contents/Linux386/print.sh
echo 'geeqie $1' >> ./Contents/Linux386/print.sh
# delete purchase-plopp.html with deprecated resources
rm -f ./Contents/Resources/Sites/purchase-plopp.html
rm -f ./Contents/Resources/Sites/stuff/logo_plopp_titelzeile.png
rm -f ./Contents/Resources/Sites/stuff/plopp_werbeflash_Szene*
rm -f ./Contents/Resources/Sites/stuff/purchase.css
rm -f ./Contents/Resources/Sites/stuff/kreuz.png
rm -f ./Contents/Resources/Sites/stuff/strich.png
rm -f ./Contents/Resources/Sites/stuff/impara.png
rm -f ./Contents/Resources/Sites/stuff/logo.png
rm -f ./Contents/Resources/Sites/stuff/verlauf.png
# add additional resources
cd ./Contents/Resources/
tar -xf %{SOURCE2}

%build
# nothing

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -af ./Contents %{buildroot}/%{_datadir}/%{name}/
cp -f ./Plopp.sh %{buildroot}/%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 644 %{SOURCE4} %{buildroot}/%{_datadir}/pixmaps/
mkdir -p %{buildroot}/%{_datadir}/applications
install -m 644 %{SOURCE3} %{buildroot}/%{_datadir}/applications/

%files
%doc copyright copyright_redistribution readme.txt
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
