%define	major	2
%define	 xmi_major 0
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	GNU Plotting Utilities
Name:		plotutils
Version:	2.6
Release:	%mkrel 22
License:	GPLv2
Group:		Graphics/Editors and Converters
Source:		https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0:		plotutils-2.5.1-fix-str-fmt.patch
Patch1:		plotutils-2.6-libpng-1.5.patch
URL:		https://www.gnu.org/software/%{name}/plotutils.html
Requires:	ghostscript-fonts texinfo urw-fonts
BuildRequires:	flex
BuildRequires:	pkgconfig(xaw3d)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	bison
BuildRequires:	pkgconfig(xaw7)

%description 
The GNU plotting utilities, sometimes called 'plotutils', include: 
(1) GNU libplot, a shared library for exporting 2-D vector graphics files
and for performing vector graphics animation under the X Window System.
Its output file formats include the new WebCGM format, pseudo-GIF, PNM,
Adobe Illustrator, Postscript (editable with the free 'idraw' drawing
editor), Fig (editable with the free 'xfig' drawing editor), PCL 5, HP-GL
and HP-GL/2, Tektronix, and GNU metafile format. Many Postscript, PCL, and
Hershey fonts are supported. A separate class library, 'libplotter',
provides a C++ binding to libplot's functionality. (2) Sample command-line
applications 'graph', 'plot', 'tek2plot', 'pic2plot', and 'plotfont', which
are built on top of GNU libplot. 'graph' is a powerful utility for XY
plotting, 'plot' translates GNU metafiles to other formats, 'tek2plot'
translates legacy Tektronix data, 'pic2plot' translates box-and-arrow
diagrams in the pic language, and 'plotfont' plots character maps.
(3) Command-line applications 'spline', 'double', and 'ode', which are useful
in scientific plotting. 'spline' does spline interpolation of input data
of arbitrary dimensionality. It uses cubic splines, splines under tension,
or cubic Bessel interpolation. 'ode' is an interactive program that can
integrate a user-specified system of ordinary differential equations.


%package -n %{libname}
Summary: Main library for %{name}
Group: Graphics/Editors and Converters
Provides: lib%{name} = %{version}-%{release}
Obsoletes: %{mklibname xmi 0}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.


%package -n %{develname}
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}
Obsoletes: %{libname}-devel
Obsoletes: %{mklibname xmi 0 -d}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q
%autopatch -p0

%build
%configure --enable-libplotter --enable-libxmi 
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/fonts/misc
cp -p fonts/pcf/*.pcf %{buildroot}%{_datadir}/fonts/misc

# We don't want .la files
find %{buildroot} -name *.la -delete

%files
%doc AUTHORS INSTALL.fonts KNOWN_BUGS NEWS ONEWS PROBLEMS README THANKS
%{_bindir}/*
%{_datadir}/fonts/misc/*
%{_mandir}/man1/*
%{_infodir}/*
%dir %{_datadir}/ode
%{_datadir}/ode/*
%dir %{_datadir}/tek2plot
%{_datadir}/tek2plot/*
%dir %{_datadir}/pic2plot
%{_datadir}/pic2plot/*

%files -n %{libname}
%{_libdir}/libplot.so.%{major}{,.*}
%{_libdir}/libplotter.so.%{major}{,.*}
%{_libdir}/libxmi.so.%{xmi_major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%dir %{_datadir}/libplot
%{_datadir}/libplot/*
%doc README
