%define major_version 0.6

Summary:	A project manager and rich text editor for writers
Name:		plume-creator
Version:	0.66.1
Release:	%mkrel 13
License:	GPLv3+
Group:		Publishing
URL:		https://www.plume-creator.eu/
Source0:	https://sourceforge.net/projects/plume-creator/files/%{major_version}/%{name}-%{version}-src.tar.gz
Patch0:		%{name}-icon.patch
Patch1:		plume-creator-0.66.1-fix-build-against-qt5-5.11.0.patch
Patch2:		plume-creator-0.66.1-unbundled.patch

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(libzip)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	cmake(QuaZip-Qt5)

%description
With %{name}, organize your writing projects. Scenes, notes, characters,...
Rich Text editing, full screen editing and multiple projects supported.

%prep
%setup -cqn %{name}-%{version}
%autopatch -p1

%build
%qmake_qt5 \
	PREFIX=%{_prefix} \
	USE_SYSTEM_HUNSPELL=1 \
	USE_SYSTEM_ZLIB=1 \
	USE_SYSTEM_QUAZIP=1 \
	USE_SYSTEM_QTSINGLEAPPLICATION=1 \
	%{name}.pro
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/scalable/*/*.svg
