#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# filter plugin provides
%global __provides_exclude_from ^(%{_qt5_plugindir}/.*\\.so)$

%define rel 1

Name:           plymouth-kcm
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        Plymouth configuration module for systemsettings
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://invent.kde.org/plasma/plymouth-kcm
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

Patch1:         0001-fedora.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  pkgconfig(ply-boot-client)

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6NewStuffCore)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6KCMUtils)

Requires:       plymouth

%description
This is a System Settings configuration module for configuring the
plymouth splash screen.

%files -f kcm_plymouth.lang
%{_kf6_bindir}/kplymouththemeinstaller
%{_kf6_libexecdir}/kauth/plymouthhelper
%{_qt6_plugindir}/plasma/kcms/systemsettings/kcm_plymouth.so
%{_kf6_datadir}/knsrcfiles/plymouth.knsrc
%{_kf6_datadir}/dbus-1/system.d/org.kde.kcontrol.kcmplymouth.conf
%{_kf6_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmplymouth.service
%{_kf6_datadir}/polkit-1/actions/org.kde.kcontrol.kcmplymouth.policy
%{_kf6_applicationdir}/kcm_plymouth.desktop

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang kcm_plymouth
