%define plymouthdaemon_execdir /sbin
%define plymouthclient_execdir /bin
%define plymouth_libdir /%{_lib}

%define _libexecdir %{_prefix}/libexec

%define lib_major 5
%define lib_name %mklibname %{name} %{lib_major}
%define lib_name_devel %mklibname %{name} -d

Summary:	Graphical Boot Animation and Logger
Name:		plymouth
Version:	0.9.5
Release:	%mkrel 6
License:	GPLv2+
Group:		System/Boot and Init
URL:		https://freedesktop.org/software/plymouth/releases
Source0:	https://freedesktop.org/software/plymouth/releases/%{name}-%{version}.tar.xz
Source1:	boot-duration
Source2:	charge.plymouth

# Upstream patches since release
# To get these patches, do the following:
# cd SOURCES
# git clone git://git.freedesktop.org/git/plymouth
# cd plymouth
# git format-patch ca06f77036ec6c37f65446046f0dfb3693803338 -o ../
# This will fetch the patches since release 0.9.3. Change the git commit string accordingly

# https://gitlab.freedesktop.org/plymouth/plymouth/-/commit/b406b0895a95949db2adfedaeda451f36f2b51c3
Patch001:	plymouth-systemd-switch-to-killmode-mixed.patch

# PATCH-OPENSUSE -- Restore suspend / resume state (needed for suspend package)
Patch500:	plymouth-restore-suspend.patch
# Fix complaints about ply_logger_is_tracing_enabled being undefined
Patch501:	 plymouth-0.8.9-export-ply_logger_is_tracing_enabled.patch
# PATCH-OPENSUSE -- Handle correctly multiple displays with different sizes
Patch502:	 plymouth-fix-window-size.patch

# Local patches
Patch1000:	1001-device_manager-ignore-drm-devices-when-kernel-modese.patch
Patch1001:	1002-main-allow-the-device-timeout-to-be-overridden-on-th.patch

Requires(pre):	 filesystem >= 2.1.9-18
BuildRequires:	 docbook-style-xsl
BuildRequires:	 docbook-dtd45-xml
BuildRequires:	 gtk3-devel
BuildRequires:	 pkgconfig(libdrm)
BuildRequires:	 pkgconfig(pango)
BuildRequires:	 pkgconfig(libpng)
BuildRequires:	 pkgconfig(libsystemd)
BuildRequires:	 pkgconfig(udev)
BuildRequires:	 xsltproc
BuildRequires:   git-core
Obsoletes:	 plymouth-utils < 0.8.6.1-14
Conflicts:	 mageia-theme-Default < 1.5.0.52

%description
Plymouth provides an attractive graphical boot animation in
place of the text messages that normally get shown.  Text
messages are instead redirected to a log file for viewing
after boot.

%package	x11
Summary:	X11 development library
Group:		System/Libraries
Requires:	plymouth(system-theme)
Requires:	plymouth = %{version}-%{release}
Conflicts:	plymouth < 0.9.3-4

%description	x11
Plymouth provides an attractive graphical boot animation in
place of the text messages that normally get shown.  Text
messages are instead redirected to a log file for viewing
after boot.

This package provides the X11 renderer which allows to test plymouth
behavior on environments with a valid X DISPLAY.

%package	system-theme
Group:		System/Boot and Init
Summary:	Plymouth default theme
Requires:	plymouth(system-theme)
Requires:	plymouth = %{version}-%{release}

%description	system-theme
This metapackage tracks the current distribution default theme.

%package -n	%{lib_name}
Summary: 	Plymouth libraries
Group:		System/Libraries

%description -n	%{lib_name}
This package contains the libply and libplybootsplash libraries
used by Plymouth.

%package -n	%{lib_name_devel}
Summary: 	Libraries and headers for writing Plymouth splash plugins
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description -n	%{lib_name_devel}
This package contains the libply and libplybootsplash libraries
and headers needed to develop 3rd party splash plugins for Plymouth.

%package	scripts
Group:		System/Boot and Init
Summary:	Plymouth related scripts
Requires:	mkinitrd >= 6.0.92-6mdv
Requires:	plymouth = %{version}-%{release}

%description	scripts
This package contains scripts that help integrate Plymouth with
the system.

%package	plugin-label
Group:		System/Boot and Init
Summary:	Plymouth label plugin
Requires:	%{lib_name} = %{version}-%{release}

%description	plugin-label
This package contains the label control plugin for
Plymouth. It provides the ability to render text on
graphical boot splashes using pango and cairo.

%package	plugin-fade-throbber
Group:		System/Boot and Init
Summary:	Plymouth "Fade-Throbber" plugin
Requires:	%{lib_name} = %{version}-%{release}

%description	plugin-fade-throbber
This package contains the "Fade-In" boot splash plugin for
Plymouth. It features a centered image that fades in and out
while other images pulsate around during system boot up.

%package	plugin-script
Group:		System/Boot and Init
Summary:	Plymouth "Script" plugin
Requires:	%{lib_name} = %{version}-%{release}
Requires:	plymouth-plugin-label = %{version}-%{release}

%description	plugin-script
This package contains the "Script" plugin for Plymouth.

%package	theme-script
Group:		System/Boot and Init
Summary:	Plymouth "Script" theme
Requires:	%{name}-plugin-script = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-script
This package contains the "Script" boot splash theme for
Plymouth.

%package	theme-fade-in
Group:		System/Boot and Init
Summary:	Plymouth "Fade-In" theme
Requires:	%{name}-plugin-fade-throbber = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-fade-in
This package contains the "Fade-In" boot splash theme for
Plymouth. It features a centered logo that fades in and out
while stars twinkle around the logo during system boot up.

%package	theme-spinfinity
Group:		System/Boot and Init
Summary:	Plymouth "Spinfinity" theme
Requires:	%{name}-plugin-two-step = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-spinfinity
This package contains the "Spinfinity" boot splash theme for
Plymouth. It features a centered logo and animated spinner that
spins in the shape of an infinity sign.

%package	theme-spinner
Group:		System/Boot and Init
Summary:	Plymouth "Spinner" theme
Requires:	%{name}-plugin-two-step = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}
# Spinifinity like themes should now use two-step instead of throbgress
# No provides, the throbgress plugin has been removed upstream
Obsoletes:	%{name}-plugin-throbgress < %{version}-%{release}

%description	theme-spinner
This package contains the "Spinner" boot splash theme for
Plymouth.

%package	plugin-space-flares
Group:		System/Boot and Init
Summary:	Plymouth "space-flares" plugin
Requires:	%{lib_name} = %{version}-%{release}
Requires:	plymouth-plugin-label = %{version}-%{release}

%description	plugin-space-flares
This package contains the "space-flares" boot splash plugin for
Plymouth. It features a corner image with animated flares.

%package	theme-solar
Group:		System/Boot and Init
Summary:	Plymouth "Solar" theme
Requires:	%{name}-plugin-space-flares = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-solar
This package contains the "Solar" boot splash theme for
Plymouth. It features a blue flamed sun with animated solar flares.

%package	theme-bgrt
Group:		System/Boot and Init
Summary:	Plymouth "bgrt" theme
Requires:	%{name}-plugin-two-step = %{version}-%{release}
Requires:	%{name}-theme-spinner = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-bgrt
This package contains the "bgrt" boot splash theme for Plymouth.
It features a spinner theme using the ACPI BGRT graphics as background.

%package	plugin-two-step
Group:		System/Boot and Init
Summary:	Plymouth "two-step" plugin
Requires:	%{lib_name} = %{version}-%{release}
Requires:	plymouth-plugin-label = %{version}-%{release}

%description	plugin-two-step
This package contains the "two-step" boot splash plugin for
Plymouth. It features a two phased boot process that starts with
a progressing animation synced to boot time and finishes with a
short, fast one-shot animation.

%package	theme-charge
Group:		System/Boot and Init
Summary:	Plymouth "Charge" plugin
Requires:	%{name}-plugin-two-step = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-charge
This package contains the "charge" boot splash theme for
Plymouth. It features the shadowy hull of a logo charge up and
and finally burst into full form.

%package	theme-glow
Group:		System/Boot and Init
Summary:	Plymouth "Glow" plugin
Requires(post):	plymouth-scripts  = %{version}-%{release}
Requires:	plymouth-plugin-two-step = %{version}-%{release}

%description	theme-glow
This package contains the "Glow" boot splash theme for Plymouth.

%package	plugin-tribar
Group:		System/Kernel and hardware
Summary:	Plymouth "tribar" plugin
Requires:	plymouth-plugin-label = %{version}-%{release}

%description	plugin-tribar
This package contains the "tribar" boot splash plugin for
Plymouth.

%package	theme-tribar
Group:		System/Kernel and hardware
Summary:	Plymouth "Tribar" plugin
Requires(post):	plymouth-scripts  = %{version}-%{release}
Requires:	plymouth-plugin-tribar = %{version}-%{release}

%description	theme-tribar
This package contains the "Tribar" boot splash theme for Plymouth.

%prep
%autosetup -S git

%build
autoreconf -fi
export CONFIGURE_TOP=`pwd`

mkdir -p system
cd system
%configure \
	--enable-tracing \
	--with-logo=%{_datadir}/icons/large/%{_real_vendor}.png \
	--with-background-start-color-stop=0x0073B3 \
	--with-background-end-color-stop=0x00457E \
	--with-background-color=0x3391CD \
	--disable-gdm-transition \
	--enable-systemd-integration \
	--without-rhgb-compat-link \
	--with-system-root-install \
	--with-release-file=/etc/mageia-release \
	--enable-pango \
	--enable-gtk=yes

%make_build
cd ..

%install
mkdir -p %{buildroot}/usr/lib/systemd/system/{sysinit,poweroff,halt,kexec,reboot,multi-user}.target.wants
ln -s ../plymouth-start.service %{buildroot}/usr/lib/systemd/system/sysinit.target.wants/
ln -s ../plymouth-read-write.service %{buildroot}/usr/lib/systemd/system/sysinit.target.wants/
ln -s ../plymouth-poweroff.service %{buildroot}/usr/lib/systemd/system/poweroff.target.wants/
ln -s ../plymouth-halt.service %{buildroot}/usr/lib/systemd/system/halt.target.wants/
ln -s ../plymouth-kexec.service %{buildroot}/usr/lib/systemd/system/kexec.target.wants/
ln -s ../plymouth-reboot.service %{buildroot}/usr/lib/systemd/system/reboot.target.wants/
ln -s ../plymouth-quit.service %{buildroot}/usr/lib/systemd/system/multi-user.target.wants/
ln -s ../plymouth-quit-wait.service %{buildroot}/usr/lib/systemd/system/multi-user.target.wants/

%make_install -C system

find %{buildroot} -name \*.a -delete -o -name \*.la -delete

mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}/sbin/plymouthd %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}/bin/plymouth %{buildroot}%{_bindir}
touch %{buildroot}%{_datadir}/plymouth/themes/default.plymouth

mkdir -p %{buildroot}/%{_datadir}/%{name}/themes/Mageia-Default/
ln -sf %{_datadir}/mga/backgrounds/default.png %{buildroot}/%{_datadir}/%{name}/themes/Mageia-Default/background.png

mkdir -p %{buildroot}%{_localstatedir}/lib/plymouth
cp %{SOURCE1} %{buildroot}%{_datadir}/plymouth/default-boot-duration
touch %{buildroot}%{_localstatedir}/lib/plymouth/{boot,shutdown}-duration

# Add charge
mkdir -p %{buildroot}%{_datadir}/plymouth/themes/charge
cp %{SOURCE2} %{buildroot}%{_datadir}/plymouth/themes/charge
cp %{buildroot}%{_datadir}/plymouth/themes/glow/{box,bullet,entry,lock}.png %{buildroot}%{_datadir}/plymouth/themes/charge

%find_lang %{name}

%postun
if [ $1 -eq 0 ]; then
    rm -f %{_libdir}/plymouth/default.so
fi

%define theme_scripts() \
%post -n %{name}-theme-%{1} \
if [ -x %{_sbindir}/plymouth-set-default-theme ]; then \
  export LIB=%{_lib} \
  if [ $1 -eq 1 ]; then \
      %{_sbindir}/plymouth-set-default-theme --rebuild-initrd %{1} \
  else \
      THEME=$(%{_sbindir}/plymouth-set-default-theme) \
      if [ "$THEME" == "text" -o "$THEME" == "%{1}" ]; then \
          %{_sbindir}/plymouth-set-default-theme --rebuild-initrd %{1} \
      fi \
  fi \
fi \
\
%postun -n %{name}-theme-%{1} \
export LIB=%{_lib} \
if [ $1 -eq 0 -a -x %{_sbindir}/plymouth-set-default-theme ]; then \
    if [ "$(%{_sbindir}/plymouth-set-default-theme)" == "%{1}" ]; then \
        %{_sbindir}/plymouth-set-default-theme --reset --rebuild-initrd \
    fi \
fi \


%theme_scripts spinfinity
%theme_scripts fade-in
%theme_scripts solar
%theme_scripts charge
%theme_scripts glow
%theme_scripts script


%files -f %{name}.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/plymouth
%dir %{_datadir}/plymouth
%dir %{_datadir}/plymouth/themes
%{_datadir}/plymouth/default-boot-duration
%dir %{_localstatedir}/lib/plymouth
%{_sbindir}/plymouthd
%{_bindir}/plymouth
%{_unitdir}/plymouth-*.service
%{_unitdir}/systemd-ask-password-plymouth.path
%{_unitdir}/systemd-ask-password-plymouth.service
%{_unitdir}/*.wants/plymouth-*.service
%{_libdir}/plymouth/details.so
%{_libdir}/plymouth/text.so
%{_mandir}/man1/plymouth.1*
%dir %{_libdir}/plymouth/renderers
%{_libdir}/plymouth/renderers/drm*
%{_libdir}/plymouth/renderers/frame-buffer*
%ghost %{_datadir}/plymouth/themes/default.plymouth
%{_datadir}/plymouth/plymouthd.defaults
%{_datadir}/plymouth/themes/details
%{_datadir}/plymouth/themes/text
%{_localstatedir}/spool/plymouth
%ghost %{_localstatedir}/lib/plymouth/shutdown-duration
%ghost %{_localstatedir}/lib/plymouth/boot-duration
%{_mandir}/man8/*
%{_datadir}/%{name}/themes/Mageia-Default/background.png
%config(noreplace) %{_sysconfdir}/logrotate.d/bootlog

%files x11
%{_libdir}/plymouth/renderers/x11.so

%files -n %{lib_name_devel}
%{plymouth_libdir}/libply.so
%{_libdir}/libply-boot-client.so
%{_libdir}/libply-splash-graphics.so
/%{_lib}/libply-splash-core.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/plymouth-1

%files -n %{lib_name}
%{plymouth_libdir}/libply.so.%{lib_major}*
%{_libdir}/libply-boot-client.so.%{lib_major}{,.*}
%{_libdir}/libply-splash-graphics.so.%{lib_major}{,.*}
/%{_lib}/libply-splash-core.so.%{lib_major}*
%dir %{_libdir}/plymouth

%files scripts
%{_sbindir}/plymouth-set-default-theme
%{_libexecdir}/plymouth
%{_mandir}/man1/plymouth-set-default-theme.1*

%files plugin-label
%{_libdir}/plymouth/label.so

%files plugin-fade-throbber
%{_libdir}/plymouth/fade-throbber.so

%files theme-fade-in
%{_datadir}/plymouth/themes/fade-in

%files plugin-script
%{_libdir}/plymouth/script.so

%files theme-script
%{_datadir}/plymouth/themes/script

%files theme-spinfinity
%{_datadir}/plymouth/themes/spinfinity

%files theme-spinner
%{_datadir}/plymouth/themes/spinner

%files plugin-space-flares
%{_libdir}/plymouth/space-flares.so

%files theme-solar
%{_datadir}/plymouth/themes/solar

%files theme-bgrt
/usr/share/plymouth/themes/bgrt

%files plugin-two-step
%{_libdir}/plymouth/two-step.so

%files plugin-tribar
%{_libdir}/plymouth/tribar.so

%files theme-tribar
%{_datadir}/plymouth/themes/tribar

%files theme-charge
%{_datadir}/plymouth/themes/charge

%files theme-glow
%{_datadir}/plymouth/themes/glow

%files system-theme
