Name:           pmars
Version:        0.9.2
Release:        %mkrel 14
License:        GPLv2
Group:          Games/Strategy
URL:            https://www.corewars.org/
Source0:        https://download.sourceforge.net/corewar/pMARS/%{version}/%{name}-%{version}.tar.gz
Source1:        https://vyznev.net/corewar/guide.html
Patch0:         pmars-0.9.2-mga-nostrip.patch
Patch1:         pmars-0.9.2-fix-building-with-gcc14.patch
Summary:        The reference implementation of Corewar
BuildRequires:  pkgconfig(x11)

%description
Corewar is a game played vicariously through the action of assembly language
programs written in a language called Redcode.


%prep
%autosetup -p1
cp -a %{SOURCE1} doc

%build
%make_build -C src

%install
install -D -m 0755 src/%{name} %{buildroot}%{_gamesbindir}/%{name}
install -D -m 0644 doc/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6
mkdir -p %{buildroot}%{_datadir}/games/%{name}
cp -rp config %{buildroot}%{_gamesdatadir}/%{name}/config
cp -rp warriors %{buildroot}%{_gamesdatadir}/%{name}/warriors

chmod 0755 %{buildroot}%{_gamesdatadir}/%{name}/{warriors,config}

%files
%doc AUTHORS CONTRIB COPYING ChangeLog README
%doc doc/corewar-faq.html doc/primer.* doc/redcode.ref doc/whatsnew.080 doc/guide.html
%{_mandir}/man6/*
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/warriors/*
%{_gamesdatadir}/%{name}/config/*
