%define upstream_name    pmtools
%define upstream_version 2.2.0

Name:       %{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    suite of small programs to help manage perl modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     https://rt.cpan.org/Ticket/Attachment/1734724/932791/t_pfcat_5.26.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl-doc
BuildArch:  noarch

%description
The Devel::Loaded module installs an at-exit handler to generate a dump of
all the module files used by a Perl program. If used in conjunction with a
_perl -c_, you find those files loaded in at compile time with 'use'. If
you are willing to wait until after the program runs, you can get them all.

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# this test is failing on dumb/no terminals (such as what iurt provides)
rm -f t/pmcat.t
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README TODO
%license LICENSE 
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
