Name:           pngquant
Version:        2.18.0
Release:        %mkrel 1
Summary:        PNG quantization tool for reducing image file size
Group:		Graphics/Utilities
License:        GPLv3+

URL:            https://pngquant.org
Source0:        https://github.com/pornel/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  lcms2-devel
BuildRequires:  imagequant-devel >= %{version}


%description
pngquant converts 24/32-bit RGBA PNG images to 8-bit palette with alpha channel
preserved.  Such images are compatible with all modern web browsers and a
compatibility setting is available to help transparency degrade well in
Internet Explorer 6.  Quantized files are often 40-70 percent smaller than
their 24/32-bit version. pngquant uses the median cut algorithm.

%prep
%autosetup -p 1

%build
# add some speed-relevant compiler-flags
export CFLAGS="%{optflags} -fno-math-errno -funroll-loops -fomit-frame-pointer -fPIC"
%configure --with-libimagequant
%make_build

%install
%make_install

%check
%make_build test

%files
%doc README.md CHANGELOG
%license COPYRIGHT
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
