%define date 20230507
%define git  177e87f

Name:		pngtools
Version:	0.4
Release:	%mkrel 11%{?git:.git%{date}}
Summary:	Suite of utilities to work with PNG images
# GitHub source is https://github.com/mikalstill/pngtools
#Source0:	https://www.madebymikal.com/pngtools/source/pngtools_0_4.tgz
Source0:    https://api.github.com/repos/mikalstill/pngtools/tarball/%{git}#/%{name}-%{version}-git%{git}.tar.gz
License:	GPLv2
Group:		Graphics/Utilities
URL:		https://www.madebymikal.com/category/pngtools/
BuildRequires:	pkgconfig(libpng16)

%description
Provides a series of handy PNG tools:
- pngchunkdesc: decodes the "hidden" information in a PNG chunk name
- pngchunks: decodes the constituent parts of a PNG file
- pngcp: copies a PNG image while changing the bit depth or samples per pixel
- pnginfo: displays interesting information about a PNG file

%prep
%autosetup -n mikalstill-%{name}-%{?git:%git}%{?!git:%{version}} -p1

%build
autoreconf -sif
%configure
%make_build

%install
%makeinstall

%files
%doc AUTHORS README
%license COPYING
%{_bindir}/pngchunkdesc
%{_bindir}/pngchunks
%{_bindir}/pngcp
%{_bindir}/pnginfo
%{_mandir}/man1/pngchunkdesc.1*
%{_mandir}/man1/pngchunks.1*
%{_mandir}/man1/pngcp.1*
%{_mandir}/man1/pnginfo.1*
