#define prel	rc2
%define rel	4

Name:		pnmixer
Version:	0.7.2
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Lightweight mixer applet
Group:		Sound/Utilities
License:	GPLv3
URL:		https://github.com/nicklan/pnmixer/wiki
Source0:	https://github.com/nicklan/pnmixer/archive/v%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.gz
Patch0:		0001-Try-to-use-pavucontrol-also-as-a-mixer-app-if-Volume.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(alsa)
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	git-core
BuildRequires:	gtk3-devel
BuildRequires:	pkgconfig(libnotify)
Recommends:	pavucontrol

%description
PNMixer is system tray sound mixer. Currently it supports ALSA and PulseAudio.
It is written in C, depends only on GTK+, and does not require Gnome.

PNMixer is a fork of OBMixer with a number of additions. These include:
* Volume adjustment with the scroll wheel
* Textual display of volume level in popup window
* Continuous volume adjustment when dragging the slider (not just when you let
  go)
* Use system icon theme for icons and use mute/low/medium/high volume icons
* Configurable middle click action (default is mute/unmute)
* Preferences for:
  * volume text display
  * volume text position
  * icon theme
  * amount to adjust per scroll
  * middle click action

%prep
%autosetup -n %{name}-%{version}%{?prel:-%prel} -p1 -S git_am

%build
%cmake
%cmake_build

%install
%cmake_install

# minor fixes for the desktop file
desktop-file-install \
    --dir=%{buildroot}%{_sysconfdir}/xdg/autostart \
    --add-category="Audio" \
    --add-category="TrayIcon" \
    --add-only-show-in="XFCE" \
    --add-only-show-in="LXDE" \
    --add-only-show-in="MATE" \
    	build/data/desktop/pnmixer.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README.md
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
