Name:           po-debconf
Version:        1.0.21
Release:        %mkrel 4
Summary:        Tool for managing templates file translations with gettext

Group:          System/Packaging
License:        GPLv2+
URL:            https://packages.debian.org/sid/po-debconf
Source0:        https://ftp.debian.org/debian/pool/main/p/%{name}/%{name}_%{version}.tar.xz
Patch1:         po-debconf-1.0.16-no-utf8-to-pod2man.patch

BuildArch:      noarch

BuildRequires:  po4a
BuildRequires:  dpkg-dev
BuildRequires:  perl(Dpkg)
Requires:       perl
Requires:       intltool
Requires:       gettext
Requires:       html2text

%description
This package is an alternative to debconf-utils, and provides
tools for managing translated debconf templates files with
common gettext utilities.

%prep
%setup -q
%autopatch -p1

%build
%__make

%install
mkdir -p \
        %{buildroot}/%{_bindir} \
        %{buildroot}/%{_datadir}/%{name}/

for prog in debconf-gettextize debconf-updatepo po2debconf podebconf-display-po podebconf-report-po; do
    install -m 755 $prog %{buildroot}/%{_bindir}
done

# I don't know what to do with these
rm -rf doc/vi

for lang_man in `find doc/ -name "*.1" -exec dirname {} \; | sort -u`; do
    mkdir -p %{buildroot}/%{_mandir}/man1/
    mkdir -p %{buildroot}/%{_mandir}/$(basename $lang_man | sed -e 's/en//g')/man1
    install -m 644 $lang_man/*.1 %{buildroot}/%{_mandir}/$(basename $lang_man | sed -e 's/en//g')/man1
done

install -m 644 encodings %{buildroot}/%{_datadir}/%{name}
install -m 755 pot-header %{buildroot}/%{_datadir}/%{name}/
cp -a podebconf-report-po_templates/ %{buildroot}/%{_datadir}/%{name}/templates

%files
%doc COPYING README README-trans
%{_mandir}/man1/*.1.*
%lang(de) %{_mandir}/de/man1/*.1.*
%lang(es) %{_mandir}/es/man1/*.1.*
%lang(fr) %{_mandir}/fr/man1/*.1.*
%lang(pt) %{_mandir}/pt/man1/*.1.*
%lang(ru) %{_mandir}/ru/man1/*.1.*
%{_bindir}/debconf-gettextize
%{_bindir}/debconf-updatepo
%{_bindir}/po2debconf
%{_bindir}/podebconf-display-po
%{_bindir}/podebconf-report-po
%{_datadir}/%{name}
