# comment out if not prerel
#global prel	5prealpha

# rel to bump
%define rel	2

%define major	5
%define devname	%mklibname %{name} -d
%define libname	%mklibname %{name} %{major}
%define gstname	gstreamer1.0-%{name}

Name:			pocketsphinx
Version:		5.0.3
Release:		%mkrel %{?prel:0.%prel.}%{rel}
Summary:		Real-time speech recognition
Group:			Sound/Utilities
License:		BSD and LGPLv2+
URL:			https://cmusphinx.github.io/
Source0:		https://github.com/cmusphinx/pocketsphinx/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(libpulse-simple)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-cython
BuildRequires:  python3-setuptools
BuildRequires:  python3-scikit-build

%description
PocketSphinx is a version of the open-source Sphinx-II speech recognition
system which is able to recognize speech in real-time.  While it may be
somewhat less accurate than the offline speech recognizers, it is lightweight
enough to run on hand-held and embedded devices.

%package -n %{devname}
Summary:		Header files for developing with %{name}
Group:			Development/C
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for developing with %{name}.

%package -n %{libname}
Summary:		Shared libraries for %{name} executables
Group:			System/Libraries

%description -n %{libname}
Shared libraries for %{name} executables.

%package -n python3-%{name}
Summary:		Python 3 interface to %{name}
Group:			Development/Python
Requires:		%{name} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Python 3 interface to %{name}.

%package -n %{gstname}
Summary:		Gstreamer plugin for %{name}
Group:			Sound/Utilities
Requires:		%{name} = %{version}-%{release}

%description -n %{gstname}
Gstreamer plugin for %{name}.

%prep
%autosetup -p1 -n %{name}-%{?prel}%{?!prel:%version}

%build
# Build twice for Python and C (also below in install section).
# See https://github.com/cmusphinx/pocketsphinx/issues/342

# CMAKE_MODULE_PATH is to find FindPythonExtensions.cmake from python3-scikit-build.
%define _vpath_builddir build-python
%cmake \
	-DCMAKE_MODULE_PATH="%{python3_sitelib}/skbuild/resources/cmake" \
	-DSKBUILD:BOOL=ON
%cmake_build

%define _vpath_builddir build-c
%cmake \
	-DBUILD_GSTREAMER:BOOL=ON
%cmake_build

%install
# Install twice for Python and C.
# See https://github.com/cmusphinx/pocketsphinx/issues/342

%define _vpath_builddir build-c
%cmake_install

%define _vpath_builddir build-python
%cmake_install

# See https://github.com/cmusphinx/pocketsphinx/issues/341
mkdir -p %{buildroot}%{python3_sitearch}
mv %{buildroot}%{_prefix}/%{name}/* %{buildroot}%{python3_sitearch}

%check
%ctest

%files
%doc AUTHORS NEWS README.md
%license LICENSE
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*

%files -n %{devname}
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n python3-%{name}
%{python3_sitearch}/*

%files -n %{gstname}
%{_libdir}/gstreamer-1.0/libgst%{name}.so
