%define upstream_name    podlinkcheck
%define upstream_version 15

%{?perl_default_filter}

Name:       %{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Check Perl pod L<> link references 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Iterator)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(List::Util)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(Pod::Find)
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Search::Dict)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant::defer)
BuildArch:  noarch

%description
podlinkcheck parses POD in a Perl script, module or documentation and
checks that L<> link targets exist, including a section there. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml SIGNATURE
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
