%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           podofo
Version:        0.10.4
Release:        %mkrel 3
Summary:        Tools and libraries to work with the PDF file format
Group:          Publishing
License:        GPLv2+ and LGPLv2+
URL:            https://github.com/podofo/podofo/
Source0:        https://github.com/podofo/podofo/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         podofo-tools_man.patch
Patch1:         podofo-cmake-config-destination.patch

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  lua-devel
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(zlib)

%description
PoDoFo is a library to work with the PDF file format. The name comes from
the first letter of PDF (Portable Document Format). A few tools to work
with PDF files are already included in the PoDoFo package.

The PoDoFo library is a free, portable C++ library which includes classes
to parse PDF files and modify their contents into memory. The changes can be
written back to disk easily. The parser can also be used to extract
information from a PDF file (for example the parser could be used in a PDF
viewer). Besides parsing PoDoFo includes also very simple classes to create
your own PDF files. All classes are documented so it is easy to start writing
your own application using PoDoFo.


%package -n %{libname}
Summary:    Runtime library for %{name}
Group:      System/Libraries
License:    LGPLv2+
Obsoletes:  %{_lib}podofo0.10.1 < 0.10.1-2

%description -n %{libname}
Runtime library for %{name}.


%package -n %{devname}
Summary:    Development files for %{name} library
Group:      Development/C
License:    LGPLv2+
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files and documentation for the %{name} library.


%prep
%autosetup -p1

# fix pkgconfig file version
sed -i 's|@PODOFO_VERSION@|@PODOFO_SOVERSION@|' src/podofo/libpodofo.pc.in

%build
mkdir -p "test/TokenizerTest/objects"

%cmake -DPODOFO_BUILD_STATIC=OFF -DPODOFO_BUILD_TOOLS=ON
%cmake_build

doxygen

%install
%cmake_install

%files
%doc AUTHORS.md CHANGELOG.md tools/podofoimpose/*html
%license COPYING
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*.1*

%files -n %{libname}
%doc AUTHORS.md CHANGELOG.md TODO.md
%license COPYING
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{devname}
%doc doc/html
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/podofo/
%{_libdir}/pkgconfig/lib%{name}.pc
