Name:		poedit
Version:	3.6.1
Release:	%mkrel 1
Summary:	Gettext translation file editor
License:	MIT
Group:		Editors
URL:		https://www.poedit.net
Source0:	https://github.com/vslavik/poedit/releases/download/v%{version}-oss/%{name}-%{version}.tar.gz
Patch0:		poedit-3.1.1-dont-generate-icon-cache.patch

BuildRequires:	po4a
BuildRequires:	zip
BuildRequires:	wxgtk-devel
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(cpprest)
BuildRequires:	pkgconfig(gtkspell3-3.0)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(liblucene++)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(nlohmann_json)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(pugixml)

Requires:	gettext

%description
Poedit is cross-platform gettext catalogs (.po files) editor. It is built with
wxWindows toolkit and can run on Unix or Windows. It aims to provide convenient
way of editing gettext catalogs. It features UTF-8 support, fuzzy and
untranslated records highlighting, whitespaces highlighting, references
browser, headers editing and can be used to create new catalogs or update
existing catalogs from source code by single click.

%prep
%autosetup -p1

# Remove bundled sources
rm -rf deps/

%build
%configure --without-cld2 --enable-debug

%make_build

%install
%make_install

# remove files not bundled
rm -f %{buildroot}%{_iconsdir}/poedit.xpm

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README.md AUTHORS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_metainfodir}/net.%{name}.Poedit.appdata.xml
%{_datadir}/applications/*%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/*%{name}*.png
%{_iconsdir}/hicolor/*/apps/*%{name}*.svg
%{_mandir}/man1/%{name}.1.*
