%define date	20250403

Name:		pokerth
Summary:	Play Texas Holdem Poker alone or online
Version:	1.1.2
Release:	%mkrel 33.git%{date}.2
License:	AGPLv3+ and GPLv2+
Group:		Games/Cards
URL:		https://www.pokerth.net/
Source0:	https://downloads.sourceforge.net/pokerth/%{name}-%{version}+git%{date}.tar.xz
# git archive --format=tar.xz --prefix=pokerth-1.1.2 HEAD > pokerth-1.1.2+git20250403.tar.xz
Patch0:		pokerth-1.1.1-link.patch
Patch1:		pokerth-1.1.2-use-system-qtsingleapplication.patch
Patch3:		pokerth-1.1.2-enable-compile-of-server-part.patch
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libgsasl)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	boost-devel
BuildRequires:	libircclient-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	qtsingleapplication-qt6-devel
BuildRequires:	qt6-qttools

%description
PokerTH is a multi-platform poker game.
It allows you to play the popular "Texas Hold'em" poker variant against up to
six computer-opponents or play network games with people all over the world.

%package server
Summary:	PokerTH server
Group:		Games/Cards

%description server
PokerTH server.

%prep
%autosetup -p1 -n %{name}-%{version}

# remove bundled qtsingleapplication
rm -r src/third_party/qtsingleapplication

%build
%qmake_qt6 %{name}.pro \
           DEFINES+="BOOST_BIND_GLOBAL_PLACEHOLDERS" \
           QMAKE_CFLAGS_ISYSTEM="" CONFIG+=client
%make_build

%install
# data
%make_install INSTALL_ROOT=%{buildroot}
# man page
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 docs/%{name}.1 %{buildroot}%{_mandir}/man1/
# icon
install -d -m 755 %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 644 %{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files
%doc ChangeLog docs/gui_styling_howto.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*

%files server
%doc ChangeLog docs/server_setup_howto.txt
%license COPYING
%{_bindir}/%{name}_server
