%bcond_without qt5
%bcond_without qt6

Name:           polkit-qt-1
Version:        0.200.0
Release:        %mkrel 1
Summary:        Qt bindings for PolicyKit
Group:          System/Libraries
License:        LGPLv2+
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/polkit-qt-1/%{name}-%{version}.tar.xz
Source1:        Doxyfile

BuildRequires:  doxygen
BuildRequires:  cmake
BuildRequires:  pkgconfig(polkit-agent-1)
### Qt5 build dependencies
%if %{with qt5}
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
%endif
### Qt6 build dependencies
%if %{with qt6}
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
%endif

%description
Polkit-qt-1 is a library that lets developers use the PolicyKit API
through a nice Qt-styled API.

#--------------------------------------------------------------------
### Qt5 ###

%if %{with qt5}

%define polkit_qt5_agent_major 1
%define libpolkit_qt5_agent %mklibname polkit-qt5-agent-1_ %{polkit_qt5_agent_major}

%package -n %libpolkit_qt5_agent
Summary:        Qt 5 bindings for PolicyKit
Group:          System/Libraries

%description -n %libpolkit_qt5_agent
Qt 5 bindings for PolicyKit.

%files -n %libpolkit_qt5_agent
%{_libdir}/libpolkit-qt5-agent-1.so.%{polkit_qt5_agent_major}{,.*}

#--------------------------------------------------------------------

%define polkit_qt5_core_major 1
%define libpolkit_qt5_core %mklibname polkit-qt5-core-1_ %{polkit_qt5_core_major}

%package -n %libpolkit_qt5_core
Summary:        Qt 5 bindings for PolicyKit
Group:          System/Libraries

%description -n %libpolkit_qt5_core
Qt 5 bindings for PolicyKit.

%files -n %libpolkit_qt5_core
%{_libdir}/libpolkit-qt5-core-1.so.%{polkit_qt5_core_major}{,.*}

#--------------------------------------------------------------------

%define polkit_qt5_gui_major 1
%define libpolkit_qt5_gui %mklibname polkit-qt5-gui-1_ %{polkit_qt5_gui_major}

%package -n %libpolkit_qt5_gui
Summary:        Qt 5 bindings for PolicyKit
Group:          System/Libraries

%description -n %libpolkit_qt5_gui
Qt 5 bindings for PolicyKit.

%files -n %libpolkit_qt5_gui
%{_libdir}/libpolkit-qt5-gui-1.so.%{polkit_qt5_gui_major}{,.*}

#--------------------------------------------------------------------

%define polkitqt5_devel %mklibname polkit-qt5-1 -d

%package -n %polkitqt5_devel
Summary:        Development files for PolicyKit Qt 5 bindings
Group:          Development/KDE and Qt
Requires:       %libpolkit_qt5_agent = %{version}-%{release}
Requires:       %libpolkit_qt5_core = %{version}-%{release}
Requires:       %libpolkit_qt5_gui = %{version}-%{release}
Provides:       polkitqt5-devel  = %{version}-%{release}
Provides:       polkit-qt5-1-devel  = %{version}-%{release}

%description -n %polkitqt5_devel
Development files for PolicyKit Qt 5 bindings.

%files -n %polkitqt5_devel
%doc AUTHORS README
%license LICENSES/*
%{_includedir}/polkit-qt5-1/
%{_libdir}/libpolkit-qt5-core-1.so
%{_libdir}/libpolkit-qt5-gui-1.so
%{_libdir}/libpolkit-qt5-agent-1.so
%{_libdir}/pkgconfig/polkit-qt5-1.pc
%{_libdir}/pkgconfig/polkit-qt5-core-1.pc
%{_libdir}/pkgconfig/polkit-qt5-gui-1.pc
%{_libdir}/pkgconfig/polkit-qt5-agent-1.pc
%{_libdir}/cmake/PolkitQt5-1/
%endif

### End Qt5 ###

#--------------------------------------------------------------------
### Qt6 ###

%if %{with qt6}

%define polkit_qt6_agent_major 1
%define libpolkit_qt6_agent %mklibname polkit-qt6-agent-1_ %{polkit_qt6_agent_major}

%package -n %libpolkit_qt6_agent
Summary:        Qt 6 bindings for PolicyKit
Group:          System/Libraries

%description -n %libpolkit_qt6_agent
Qt 6 bindings for PolicyKit.

%files -n %libpolkit_qt6_agent
%{_libdir}/libpolkit-qt6-agent-1.so.%{polkit_qt6_agent_major}{,.*}

#--------------------------------------------------------------------

%define polkit_qt6_core_major 1
%define libpolkit_qt6_core %mklibname polkit-qt6-core-1_ %{polkit_qt6_core_major}

%package -n %libpolkit_qt6_core
Summary:        Qt 6 bindings for PolicyKit
Group:          System/Libraries

%description -n %libpolkit_qt6_core
Qt 6 bindings for PolicyKit.

%files -n %libpolkit_qt6_core
%{_libdir}/libpolkit-qt6-core-1.so.%{polkit_qt6_core_major}{,.*}

#--------------------------------------------------------------------

%define polkit_qt6_gui_major 1
%define libpolkit_qt6_gui %mklibname polkit-qt6-gui-1_ %{polkit_qt6_gui_major}

%package -n %libpolkit_qt6_gui
Summary:        Qt 6 bindings for PolicyKit
Group:          System/Libraries

%description -n %libpolkit_qt6_gui
Qt 6 bindings for PolicyKit.

%files -n %libpolkit_qt6_gui
%{_libdir}/libpolkit-qt6-gui-1.so.%{polkit_qt6_gui_major}{,.*}

#--------------------------------------------------------------------

%define polkitqt6_devel %mklibname polkit-qt6-1 -d

%package -n %polkitqt6_devel
Summary:        Development files for PolicyKit Qt 6 bindings
Group:          Development/KDE and Qt
Requires:       %libpolkit_qt6_agent = %{version}-%{release}
Requires:       %libpolkit_qt6_core = %{version}-%{release}
Requires:       %libpolkit_qt6_gui = %{version}-%{release}
Provides:       polkitqt6-devel  = %{version}-%{release}
Provides:       polkit-qt6-1-devel  = %{version}-%{release}

%description -n %polkitqt6_devel
Development files for PolicyKit Qt 6 bindings.

%files -n %polkitqt6_devel
%doc AUTHORS README
%license LICENSES/*
%{_includedir}/polkit-qt6-1/
%{_libdir}/libpolkit-qt6-core-1.so
%{_libdir}/libpolkit-qt6-gui-1.so
%{_libdir}/libpolkit-qt6-agent-1.so
%{_libdir}/pkgconfig/polkit-qt6-1.pc
%{_libdir}/pkgconfig/polkit-qt6-core-1.pc
%{_libdir}/pkgconfig/polkit-qt6-gui-1.pc
%{_libdir}/pkgconfig/polkit-qt6-agent-1.pc
%{_libdir}/cmake/PolkitQt6-1/
%endif

### End Qt6 ###

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
### Build Qt5 ###
%if %{with qt5}
%define _vpath_builddir %{_target_platform}-qt5
%cmake -DBUILD_EXAMPLES:BOOL=OFF -DQT_MAJOR_VERSION=5
%cmake_build
%endif

### Build Qt6 ###
%if %{with qt6}
%define _vpath_builddir %{_target_platform}-qt6
%cmake -DBUILD_EXAMPLES:BOOL=OFF -DQT_MAJOR_VERSION=6
%cmake_build
%endif

### Build doc ###
doxygen %{SOURCE1}

# Remove installdox file - it is not necessary here
rm -fv html/installdox

%install
%if %{with qt5}
%define _vpath_builddir %{_target_platform}-qt5
%cmake_install
%endif

%if %{with qt6}
%define _vpath_builddir %{_target_platform}-qt6
%cmake_install
%endif
