Name:           polkit-qt
Version:        0.112.0
Summary:        Library that allows developer to access PolicyKit-1 API
Release:        %mkrel 11
License:        LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/apps/KDE4.x/admin/polkit-qt-1-%{version}.tar.bz2
# patches from upstream master
Patch1:         0001-do-not-use-global-static-systembus-instance.patch
Patch2:         0002-fix-build-with-Qt4-which-doesn-t-have-QStringLiteral.patch

BuildRequires:  polkit-1-devel >= 0.98.1
BuildRequires:  qt4-devel
BuildRequires:  cmake
BuildRequires:  automoc4

%description
Polkit-qt is a library that allows developer to access PolicyKit-1
API with a nice Qt-style API.

#-----------------------------------------------------------------------------

%define libpolkit_qt_core_1_major 1
%define libpolkit_qt_core_1 %mklibname polkit-qt-core-1_ %{libpolkit_qt_core_1_major}

%package -n %libpolkit_qt_core_1
Summary:        Polkit-Qt core library
Group:          System/Libraries
Obsoletes:      %{_lib}polkit-qt-core-10 < %{version}-%{release}

%description -n %libpolkit_qt_core_1
Polkit-Qt core library.

%files -n %libpolkit_qt_core_1
%_libdir/libpolkit-qt-core-1.so.%{libpolkit_qt_core_1_major}{,.*}

#-----------------------------------------------------------------------------

%define libpolkit_qt_gui_1_major 1
%define libpolkit_qt_gui_1 %mklibname polkit-qt-gui-1_ %{libpolkit_qt_gui_1_major}

%package -n %libpolkit_qt_gui_1
Summary:        Polkit-Qt core library
Group:          System/Libraries
Obsoletes:      %{_lib}polkit-qt-gui-10 < %{version}-%{release}

%description -n %libpolkit_qt_gui_1
Polkit-Qt core library.

%files -n %libpolkit_qt_gui_1
%_libdir/libpolkit-qt-gui-1.so.%{libpolkit_qt_gui_1_major}{,.*}

#-----------------------------------------------------------------------------

%define libpolkit_qt_agent_1_major 1
%define libpolkit_qt_agent_1 %mklibname polkit-qt-agent-1_ %{libpolkit_qt_agent_1_major}

%package -n %libpolkit_qt_agent_1
Summary:        Polkit-Qt core library
Group:          System/Libraries
Obsoletes:      %{_lib}polkit-qt-agent-10 < %{version}-%{release}

%description -n %libpolkit_qt_agent_1
Polkit-Qt core library.

%files -n %libpolkit_qt_agent_1
%_libdir/libpolkit-qt-agent-1.so.%{libpolkit_qt_agent_1_major}{,.*}

#-----------------------------------------------------------------------------

%package -n polkit-qt-1-devel
Summary:        Devel stuff for polkit-Qt
Group:          Development/KDE and Qt
Requires:       %libpolkit_qt_core_1 = %version-%release
Requires:       %libpolkit_qt_gui_1 = %version-%release
Requires:       %libpolkit_qt_agent_1 = %version-%release

%description -n polkit-qt-1-devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n polkit-qt-1-devel
%{_includedir}/polkit-qt-1/
%{_libdir}/libpolkit-qt-agent-1.so
%{_libdir}/libpolkit-qt-core-1.so
%{_libdir}/libpolkit-qt-gui-1.so
%{_libdir}/pkgconfig/polkit-qt-1.pc
%{_libdir}/pkgconfig/polkit-qt-agent-1.pc
%{_libdir}/pkgconfig/polkit-qt-core-1.pc
%{_libdir}/pkgconfig/polkit-qt-gui-1.pc
%{_libdir}/cmake/PolkitQt-1/

#-----------------------------------------------------------------------------

%prep
%setup -q -n polkit-qt-1-%{version}
%autopatch -p1

%build
%cmake_qt4 -DUSE_QT4:bool=ON
%cmake_build

%install
%cmake_install
