%define api        1
%define major      0
%define gi_version 1.0
%define libname    %mklibname %{name} %{api} %{major}
%define giname     %mklibname %{name}-gir %{gi_version}
%define develname  %mklibname %{name} %{api} -d

Summary:	PolicyKit Authorization Framework
Name:		polkit
Version:	126
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://github.com/polkit-org/polkit
Source0:	https://github.com/polkit-org/polkit/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-meson-Pass-polkitd_uid-to-meson_post_install.py.patch
BuildRequires:	meson
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(duktape)
# for tests
BuildRequires:	python3dist(python-dbusmock)

Requires(pre):   rpm-helper >= 0.24.8-1
Requires(post):  systemd

%description
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

%package -n %{libname}
Group:		System/Libraries
Summary:	PolicyKit Authorization Framework
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

This package contains the shared libraries of %{name}.

%package -n %{giname}
Group:		System/Libraries
Summary:	GObject Introspection interface library for %{name}
Requires:	%{libname} = %{version}-%{release}

%description -n %{giname}
GObject Introspection interface library for %{name}.

%package -n %{develname}
Summary:	Development files for PolicyKit
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{giname} = %{version}-%{release}
Provides:	%{name}-%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for PolicyKit.

%prep
%autosetup -p1

%build
%meson \
  -Dsession_tracking=logind \
  -Dpolkitd_uid=102 \
  -Dpolkitd_user=polkitd \
  -Dos_type=redhat \
  -Dexamples=true \
  -Dtests=true \
  -Dintrospection=true \
  -Dgtk_doc=true \
  -Dman=true
%meson_build

%install
%meson_install

%find_lang %{name}-%{api}

# (cg) Make the rules dir (this is where other packages should ship their rules)
mkdir -p %{buildroot}%{_datadir}/polkit-1/rules.d

%check
#meson_test

%pre
%_pre_useradd polkitd %{_prefix}/lib/polkit-1 /sbin/nologin

%post
systemctl -q --system daemon-reload ||:
systemctl -q try-restart polkit.service ||:

%files -n %{libname}
%{_libdir}/lib*-%{api}.so.%{major}{,.*}

%files -n %{giname}
%{_libdir}/girepository-1.0/*-%{gi_version}.typelib

%files -f polkit-1.lang
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/dbus-1/system-services/*
%dir %{_datadir}/polkit-1
%{_datadir}/polkit-1/policyconfig-1.dtd
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.policy
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.examples.pkexec.policy
%dir %{_datadir}/polkit-1/rules.d
%{_datadir}/polkit-1/rules.d/50-default.rules
%{_datadir}/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
%{_prefix}/lib/pam.d/polkit-1
%dir %{_sysconfdir}/polkit-1/
%attr(750,root,polkitd) %dir %{_sysconfdir}/polkit-1/rules.d
%{_bindir}/pkaction
%{_bindir}/pkcheck
%attr(4755,root,root) %{_bindir}/pkexec
%{_bindir}/pkttyagent
%{_bindir}/pk-example-frobnicate
%dir %{_prefix}/lib/polkit-1
%{_prefix}/lib/polkit-1/polkitd
%{_prefix}/lib/sysusers.d/polkit.conf
%attr(4755,root,root) %{_prefix}/lib/polkit-1/polkit-agent-helper-1
%{_unitdir}/polkit.service
%{_datadir}/gettext/its/polkit.*
%{_tmpfilesdir}/polkit-tmpfiles.conf

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/polkit-1/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*-%{gi_version}.gir
%{_includedir}/*
