%define date    20220520

%define major   1
%define minor   0
%define soname  %{major}.%{minor}
%define libname %mklibname %{name} %{soname}
%define devname %mklibname %{name} -d

Name:           poly2tri
Version:        1.0
Release:        %mkrel -c %{date} 1
Summary:        A 2D constrained Delaunay triangulation library
License:        BSD
Group:          Development/Other
URL:            https://github.com/jhasse/poly2tri
Source0:        %{name}-%{date}.tar.xz
Patch0:		poly2tri-build-fix.patch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	boost-devel
BuildRequires:  GL-devel
BuildRequires:	glfw-devel

%description
Library based on the paper "Sweep-line algorithm for constrained Delaunay
triangulation" by V. Domiter and and B. Zalik.

%package -n     %{libname}
Summary:        A 2D constrained Delaunay triangulation library
Group:          System/Libraries
Obsoletes:      %{name} < 0.0-0.20130501hg26242d0aa7b8.2
Obsoletes:      %{name}-%{libname} < 0.0-0.20130501hg26242d0aa7b8.3

%description -n %{libname}
Library based on the paper "Sweep-line algorithm for constrained Delaunay
triangulation" by V. Domiter and and B. Zalik.

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.0-0.20130501hg26242d0aa7b8.2
Obsoletes:      %{name}-%{devname} < 0.0-0.20130501hg26242d0aa7b8.3

%description -n %{devname}
Development files for %{name}.

%package examples
Summary:	Example files for %{name}

%description examples
This package contains testbed and example files for %{name}.

%prep
%setup -q -n %{name}-%{date}
%autopatch -p1

iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && \
touch -r AUTHORS AUTHORS.conv && \
mv AUTHORS.conv AUTHORS

# update paths for examples
sed -i \
  -e 's,build/testbed/p2t,%{_bindir}/p2t,g' \
  -e 's,testbed/data/,%{_datadir}/doc/%{name}/examples/,g' \
  README.md

%build
%cmake -GNinja \
  -DP2T_BUILD_TESTS=ON \
  -DP2T_BUILD_TESTBED=ON \
  -DCMAKE_SKIP_INSTALL_RPATH=ON
%cmake_build

%install
%cmake_install

# examples
mkdir -p %{buildroot}%{_datadir}/doc/%{name}/examples
install -Dpm644 testbed/data/*.dat %{buildroot}%{_datadir}/doc/%{name}/examples/
install -Dpm644 README.md %{buildroot}%{_datadir}/doc/%{name}/

# Add a pkgconfig entry
cat > %{name}.pc << EOF
prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: %{name}
Description: A 2D constrained Delaunay triangulation library
Version: 1.0-%{date}

Requires:
Libs: -L\${libdir} -l%{name}
Cflags: -I\${includedir}/%{name}
EOF
install -D -m644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%check
%ctest

%files -n %{libname}
%license LICENSE
%doc AUTHORS README.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files examples
%docdir %{_datadir}/doc/%{name}/
%doc %{_datadir}/doc/%{name}/*
%{_bindir}/p2t
