%define ver 1.19
#%%define snap rc1
%define srcver %{ver}%{?snap:-%{snap}}

%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}
%define devel_name %mklibname %{name} -d

Summary:	C library for parsing command line parameters
Name:		popt
Version:	%{ver}%{?snap:~%{snap}}
Release:	%mkrel 2
Epoch:		1
License:	MIT
Group:		System/Libraries
URL:		https://github.com/rpm-software-management/popt/
Source:		http://ftp.rpm.org/popt/releases/popt-1.x/%{name}-%{srcver}.tar.gz

%description
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but
it improves on them by allowing more powerful argument expansion.
Popt can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%package -n	%{lib_name}
Summary:	Main %{name} library
Group:		System/Libraries
Requires:	%{name}-data = %{epoch}:%{version}
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{name} library.


%package static
Summary:	Static library for parsing command line parameters
Group:		Development/C
Requires:	%{devel_name} = %{epoch}:%{version}-%{release}

%description static
The popt-static package includes static libraries of the popt library.
Install it if you need to link statically with libpopt.


%package -n	%{devel_name}
Summary:	Development headers and libraries for %{name}
Group:		Development/C
Requires:	%{lib_name} = %{epoch}:%{version}
Requires:	%{lib_name} >= 1:1.15-8
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libpopt-devel = %{epoch}:%{version}-%{release}

%description -n	%{devel_name} 
This package contains the header files and libraries needed for
developing programs using the %{name} library.

%package -n	%{name}-data
Summary:	Data files for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description -n	popt-data
This package contains popt data files like locales.

%prep
%autosetup -n %{name}-%{srcver} -p1

%build
autoreconf -fi
%configure	--disable-rpath
%make_build

%install
%make_install
%find_lang %{name}
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{lib_name}
%doc README
%{_libdir}/lib%{name}.so.%{lib_major}{,.*}


%files static
%{_libdir}/libpopt.a

%files -n %{devel_name}
%{_includedir}/%{name}.h
%{_libdir}/pkgconfig/popt.pc
%{_libdir}/lib%{name}.so
%{_mandir}/man3/popt.*

%files -n %{name}-data -f %{name}.lang
