Name:          portals-pluto
Version:       1.0.1
Release:       %mkrel 2
Summary:       A JSR-168 Compliant Portlet Engine
Group:         Development/Java
License:       ASL
Url:           https://portals.apache.org/pluto/
# svn export http://svn.apache.org/repos/asf/portals/pluto/tags/release-1.0.1 pluto-1.0.1
# tar czf pluto1.0.1-src-svn.tar.gz pluto-1.0.1
Source0:       pluto-1.0.1-src-svn.tar.gz
Patch0:        pluto-1.0.1-project-one-convert.patch

BuildRequires: ant
BuildRequires: apache-commons-fileupload
BuildRequires: apache-commons-logging
BuildRequires: castor0
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: regexp
BuildRequires: servletapi4
BuildRequires: xalan-j2
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis

Requires:      castor0
Requires:      apache-commons-fileupload
Requires:      jpackage-utils
Requires:      servletapi4
Requires:      xerces-j2
Requires:      xml-commons-apis
BuildArch:     noarch

%description
Pluto is the Reference Implementation of the Java Portlet Specification.
Portlets are designed to run in the context of a portal. They are written to
the Portlet API which are similar to the Servlet API. A portlet container
provides a runtime environment for portlets implemented according to the
Portlet API. In this environment portlets can be instantiated, used and
finally destroyed. The portlet container is not a stand-alone container like
the servlet container; instead it is implemented as a thin layer on top of
the servlet container and reuses the functionality provided by the servlet
container.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils

%description javadoc
Pluto - A JSR-168 Compliant Portlet Engine.

This package contains javadoc for %{name}.

%prep
%setup -q -n pluto-%{version}
# todo
%patch -P 0 -p1

find . -name '*.jar' -exec rm -f '{}' \;
find . -name '*.class' -exec rm -f '{}' \;

%build
# portlet-1.0-api
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath regexp servletapi4 ant)
CLASSPATH=$CLASSPATH:$(build-classpath castor0 xalan-j2 xalan-j2-serializer)
CLASSPATH=$CLASSPATH:$(build-classpath xerces-j2 xml-commons-apis junit)
CLASSPATH=$CLASSPATH:$PWD/api/target/portlet-api-1.0.jar
CLASSPATH=$CLASSPATH:$PWD/container/target/pluto-1.0.jar
CLASSPATH=$CLASSPATH:$PWD/descriptors/target/pluto-descriptors-1.0.jar
CLASSPATH=$CLASSPATH:$(build-classpath commons-fileupload commons-logging)
for m in api container descriptors portal ; do
   pushd $m
      ant -Dnoget=true jar javadoc
   popd
done

%install

mkdir -p %{buildroot}%{_javadir}/portals-pluto

install -m 644 api/target/portlet-api-*.jar \
   %{buildroot}%{_javadir}/portals-pluto/portlet-api.jar
install -m 644 container/target/pluto-*.jar \
   %{buildroot}%{_javadir}/portals-pluto/pluto.jar
install -m 644 descriptors/target/pluto-descriptors-*.jar \
   %{buildroot}%{_javadir}/portals-pluto/pluto-descriptors.jar
install -m 644 portal/target/pluto-portal-*.jar \
   %{buildroot}%{_javadir}/portals-pluto/pluto-portal.jar

mkdir -p %{buildroot}%{_javadocdir}/portals-pluto
for m in api container descriptors portal ; do
   mkdir -p %{buildroot}%{_javadocdir}/portals-pluto/$m
   cp -pr $m/dist/docs/api/* %{buildroot}%{_javadocdir}/portals-pluto/$m
done

%files
%{_javadir}/portals-pluto/pluto.jar
%{_javadir}/portals-pluto/pluto-descriptors.jar
%{_javadir}/portals-pluto/pluto-portal.jar
%{_javadir}/portals-pluto/portlet-api.jar
%doc GETTING-STARTED.html LICENSE.TXT README

%files javadoc
%{_javadocdir}/portals-pluto
%doc LICENSE.TXT
