#define _smp_ncpus_max 4

%define	major		2
%define libname		%mklibname portaudio %{major}
%define develname	%mklibname portaudio -d

%define cppmajor	0
%define libcpp		%mklibname %{name}cpp %{cppmajor}

%define date		20210406
%define sver		%(echo %{version} | tr '.' '0')

%define rel		2

Summary:	Cross platform audio I/O library
Name:		portaudio
Version:	19.7.0
Release:	%mkrel %{rel}
Group:		System/Libraries
License:	BSD
URL:		https://www.portaudio.com/
Source0:	https://files.portaudio.com/archives/pa_stable_v%{sver}_%{date}.tgz
Patch0:		portaudio-parallel-build.patch
Patch1:		portaudio-doxynodate.patch
Patch2:		portaudio-pkgconfig-alsa.patch
# Add some extra API needed by audacity
Patch3:		debian-20161225-audacity-portmixer.patch
Patch4:		portaudio-autoconf.patch
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(celt)

%description
PortAudio is a free, cross platform, open-source, audio I/O
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support.

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc.

%package -n	%{libname}
Summary:	Cross platform audio I/O library
Group:		System/Libraries

%description -n	%{libname}
PortAudio is a free, cross platform, open-source, audio I/O
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support.

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc.

%package -n	%{libcpp}
Summary:	Cross platform audio I/O library
Group:		System/Libraries

%description -n	%{libcpp}
PortAudio is a free, cross platform, open-source, audio I/O
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support.

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc

%package -n	%{develname}
Summary:	Static library and header files for the PortAudio library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}cpp-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libcpp} = %{version}-%{release}
Obsoletes:	%{_lib}portaudio0-devel < 19

%description -n	%{develname}
PortAudio is a free, cross platform, open-source, audio I/O
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support.

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc.

This package contains the static PortAudio library and its header
files.

%prep
%setup -q -n %{name}
%autopatch -p1

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644
chmod 755 configure bindings/cpp/configure

# strip away annoying ^M
find . -type f | xargs perl -p -i -e 's/\r//'

%build
# Needed for patch3
autoreconf -vfi

# fix cxx lib overlinking issue
pushd bindings/cpp
	autoreconf -vfi
popd

%configure \
	--disable-static \
	--enable-cxx \
	--with-alsa \
	--with-jack
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc LICENSE.txt README.md
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libcpp}
%{_libdir}/lib%{name}cpp.so.%{cppmajor}
%{_libdir}/lib%{name}cpp.so.%{cppmajor}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}cpp.so
%{_libdir}/pkgconfig/portaudio-*.pc
%{_libdir}/pkgconfig/portaudiocpp.pc
