%define	major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Real-time MIDI input/output, audio I/O library
Name:		portmidi
Epoch:		2
Version:	2.0.4
Release:	%mkrel 1
License:	GPLv2
Group:		System/Libraries
URL:		https://portmedia.sourceforge.net/
Source0:	https://github.com/PortMidi/portmidi/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		portmidi-2.0.4-porttime_cmake.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(alsa)

%description
PortMidi -- real-time MIDI input/output.

This package provides test applications that utilizes the shared portmidi and
porttime libraries.

 * portmidi-fast
 * portmidi-fastrcv
 * portmidi-latency
 * portmidi-midiclock
 * portmidi-midithread
 * portmidi-midithru
 * portmidi-mm
 * portmidi-multivirtual
 * portmidi-pmlist
 * portmidi-qtest
 * portmidi-recvvirtual
 * portmidi-sendvirtual
 * portmidi-sysex
 * portmidi-testio
 * portmidi-virttest

%package -n	%{libname}
Summary:	Real-time MIDI input/output, audio I/O library
Group:		System/Libraries

%description -n	%{libname}
PortMidi -- real-time MIDI input/output.

This package provides the shared libraries for portmidi and porttime.

%package -n	%{develname}
Summary:	Development files for PortMidi
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	porttime-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
PortMidi -- real-time MIDI input/output.

This package provides the development libraries and headers for portmidi and
porttime.

%prep
%autosetup -p1

sed -i 's|2.0.3|%{version}|' CMakeLists.txt

%build
%cmake \
       -DBUILD_JAVA_NATIVE_INTERFACE=OFF \
       -DBUILD_PORTMIDI_TESTS:BOOL=ON \
       -DCMAKE_SKIP_BUILD_RPATH=ON
%cmake_build

%install
%cmake_install

pushd build
for binary in $(find pm_test/ -maxdepth 1 -type f -executable) ; do
  bin="$(basename ${binary})"
  install -D -m 0755 "${binary}" %{buildroot}%{_bindir}/portmidi-${bin}
done
popd

%files
%doc CHANGELOG.txt README.md
%{_bindir}/portmidi-fast
%{_bindir}/portmidi-fastrcv
%{_bindir}/portmidi-latency
%{_bindir}/portmidi-midiclock
%{_bindir}/portmidi-midithread
%{_bindir}/portmidi-midithru
%{_bindir}/portmidi-mm
%{_bindir}/portmidi-multivirtual
%{_bindir}/portmidi-pmlist
%{_bindir}/portmidi-qtest
%{_bindir}/portmidi-recvvirtual
%{_bindir}/portmidi-sendvirtual
%{_bindir}/portmidi-sysex
%{_bindir}/portmidi-testio
%{_bindir}/portmidi-virttest

%files -n %{libname}
%doc CHANGELOG.txt README.md portmusic_logo.png pm_linux/README_LINUX.txt
%license license.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/libporttime.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGELOG.txt README.md
%{_includedir}/pmutil.h
%{_includedir}/%{name}.h
%{_includedir}/porttime.h
%{_libdir}/lib%{name}.so
%{_libdir}/libporttime.so
%{_libdir}/cmake/PortMidi/
%{_libdir}/pkgconfig/portmidi.pc
