Summary:	TCP port reservation utility
Name:		portreserve
Version:	0.0.5
Release:	%mkrel 16
License:	GPLv2
Group:		System/Base
URL:		http://cyberelk.net/tim/portreserve/
Source0:	http://cyberelk.net/tim/data/portreserve/stable/%{name}-%{version}.tar.bz2
Source1:	portreserve.service
Patch1:		portreserve-pid-file.patch
BuildRequires:	xmlto
BuildRequires:	docbook-style-xsl

%description
The portreserve program aims to help services with well-known ports that lie in
the portmap range.  It prevents portmap from a real service's port by occupying
it itself, until the real service tells it to release the port (generally in
the init script).

%prep
%setup -q
%autopatch -p1

%build
%configure \
    --sbindir=/sbin
# Man pages get generated twice and sometimes fail so disable parallel build
%define _smp_ncpus_max 1
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_localstatedir}/run/portreserve
mkdir -p %{buildroot}%{_unitdir}
install -m644 %{SOURCE1} %{buildroot}%{_unitdir}/portreserve.service
mkdir -p %{buildroot}%{_sysconfdir}/portreserve
mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/portreserve.conf
d %{_rundir}/portreserve 0755 root root 10d
EOF

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %ghost %{_localstatedir}/run/%{name}
%dir %{_sysconfdir}/%{name}
%config %{_tmpfilesdir}/portreserve.conf
%{_unitdir}/%{name}.service
/sbin/*
%{_mandir}/man1/*
