Name:           postgis
Version:        3.5.2
Release:        %mkrel 2
Summary:        Geographic objects to the PostgreSQL object-relational database
License:        GPLv2+
Group:          Sciences/Geosciences
Url:            https://www.postgis.net
Source0:        https://download.osgeo.org/postgis/source/%{name}-%{version}.tar.gz

BuildRequires:  bison
BuildRequires:  byacc
BuildRequires:  clang
BuildRequires:  llvm
BuildRequires:  flex
BuildRequires:  poxml
BuildRequires:  docbook5-style-xsl
BuildRequires:  imagemagick
BuildRequires:  libxslt-proc
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(cunit)
BuildRequires:  postgresql-devel >= 12.0
BuildRequires:  proj
BuildRequires:  pkgconfig(proj)
BuildRequires:  pkgconfig(geos)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gdal)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libprotobuf-c)
BuildRequires:  pkgconfig(gtk+-2.0)

Requires:       postgresql-plpgsql >= 12.0
Requires:       postgresql-libs >= 12.0

%description
PostGIS is a spatial database extender for PostgreSQL
object-relational database. It adds support for geographic objects
allowing location queries to be run in SQL.

%package gui
Summary:	GUI for Shapefile to PostGIS import tool
Group:		Sciences/Geosciences

%description gui
GUI for Shapefile to PostGIS import tool which you can import
shapefiles into PostGIS databases.

%prep
%autosetup -p1

%build
export LDFLAGS="-lm"
./autogen.sh
%configure \
         --with-gui \
         --disable-static \
         --disable-rpath
%make_build

%install
%make_install

cp utils/postgis*.pl %{buildroot}%{_bindir}
%__chmod 755 %{buildroot}%{_bindir}/postgis*.pl
%__mkdir %{buildroot}%{_docdir}/postgis
mv %{buildroot}%{_docdir}/postgresql %{buildroot}%{_docdir}/postgis/

%files
%doc README.postgis
%license COPYING
%{_bindir}/postgis*
%{_bindir}/pgsql2shp
%{_bindir}/raster2pgsql
%{_bindir}/shp2pgsql
%{_bindir}/pgtopo_export
%{_bindir}/pgtopo_import
%{_libdir}/postgresql/postgis_topology-3.so
%{_libdir}/postgresql/postgis-3.so
%{_libdir}/postgresql/address_standardizer-3.so
%{_libdir}/postgresql/postgis_raster-3.so
%{_libdir}/postgresql/bitcode/
%{_datadir}/postgresql/contrib
%{_datadir}/postgresql/extension
%{_docdir}/postgis/postgresql/extension
%{_mandir}/man1/pgsql2shp.1.*
%{_mandir}/man1/pgtopo_export.1.*
%{_mandir}/man1/pgtopo_import.1.*
%{_mandir}/man1/postgis.1.*
%{_mandir}/man1/postgis_restore.1.*
%{_mandir}/man1/shp2pgsql.1.*

%files gui
%license COPYING
%{_bindir}/shp2pgsql-gui
%{_datadir}/applications/shp2pgsql-gui.desktop
%{_iconsdir}/hicolor/*/*/shp2pgsql-gui.png
