#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define min_version %(echo %{version}|cut -d. -f1,2)

%define rel 1

Summary:        Manages the power consumption settings of a Plasma Shell
Name:           powerdevil
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz


BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6WaylandClient)

BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IdleTime)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Kirigami2)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Runner)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(KF6Screen)
BuildRequires:  cmake(LibKWorkspace)
BuildRequires:  cmake(QCoro6)
BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  pkgconfig(wayland-client)

BuildRequires:  cmake(LayerShellQt)

BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xrandr)

BuildConflicts: kdebase4-workspace-devel

Requires:       upower
# power profiles support
Recommends:     power-profiles-daemon
# for the Energy Information KCM
Recommends:     kinfocenter
# wireless power saving actions
Recommends:     networkmanager-qt
# wireless power saving actions
Recommends:     bluez-qt

Provides:       plasma-krunner-powerdevil = %version-%release

%description
Powerdevil is an utility for power management. It consists
of a daemon (a KDED module) and a KCModule for its configuration.

%files -f %{name}.lang
%_kf6_categoriesdir/powerdevil.categories
%_kf6_categoriesdir/batterymonitor.categories
%_kf6_categoriesdir/brightness.categories
%_kf6_sysconfdir/xdg/autostart/powerdevil.desktop
%_qt6_plugindir/plasma/kcms/systemsettings/kcm_powerdevilprofilesconfig.so
%dir %_qt6_plugindir/powerdevil
%dir %_qt6_plugindir/powerdevil/action
%_qt6_plugindir/powerdevil/action/*.so
%_kf6_plugindir/krunner/krunner_powerdevil.so
%_kf6_qmldir/org/kde/plasma/private/batterymonitor/
%_kf6_qmldir/org/kde/plasma/private/brightnesscontrolplugin/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.battery/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.brightness/
%_kf6_libexecdir/kauth/backlighthelper
%_kf6_libexecdir/kauth/chargethresholdhelper
%_kf6_libexecdir/kauth/discretegpuhelper
%caps(cap_wake_alarm+ep) %_libexecdir/org_kde_powerdevil
%_kf6_datadir/dbus-1/system.d/org.kde.powerdevil.backlighthelper.conf
%_kf6_datadir/dbus-1/system.d/org.kde.powerdevil.chargethresholdhelper.conf
%_kf6_datadir/dbus-1/system.d/org.kde.powerdevil.discretegpuhelper.conf
%_kf6_datadir/dbus-1/system-services/org.kde.powerdevil.backlighthelper.service
%_kf6_datadir/dbus-1/system-services/org.kde.powerdevil.chargethresholdhelper.service
%_kf6_datadir/dbus-1/system-services/org.kde.powerdevil.discretegpuhelper.service
%_kf6_knotificationsdir/powerdevil.notifyrc
%_kf6_datadir/polkit-1/actions/org.kde.powerdevil.backlighthelper.policy
%_kf6_datadir/polkit-1/actions/org.kde.powerdevil.chargethresholdhelper.policy
%_kf6_datadir/polkit-1/actions/org.kde.powerdevil.discretegpuhelper.policy
%_userunitdir/plasma-powerdevil.service
%_kf6_metainfodir/org.kde.plasma.battery.appdata.xml
%_kf6_metainfodir/org.kde.plasma.brightness.appdata.xml

%_kf6_applicationdir/*.desktop

#--------------------------------------------------------------------

%define powerdevilcore_major 2
%define libpowerdevilcore %mklibname powerdevilcore %{powerdevilcore_major}

%package -n %libpowerdevilcore
Summary:        PowerDevil Core library
Group:          System/Libraries

%description -n %libpowerdevilcore
Powerdevil is an utility for power management. It consists
of a daemon (a KDED module) and a KCModule for its configuration.

%files -n %libpowerdevilcore
%_kf6_libdir/libpowerdevilcore.so.%{powerdevilcore_major}{,.*}
%_kf6_libdir/libpowerdevilcore.so.%{min_version}{,.*}

#--------------------------------------------------------------------

%package handbook
Summary:        %name Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %name Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/kcontrol/powerdevil

#--------------------------------------------------------------------

%define powerdevil_devel %mklibname %name -d

%package -n %powerdevil_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libpowerdevilcore = %version-%release
Provides:       %name-devel = %{version}-%{release}

# duplicated files with KDE 4
Conflicts:      kdebase4-workspace-devel

%description -n %powerdevil_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %powerdevil_devel
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

