%define	major		0
%define libname		%mklibname powerman  %{major}
%define develname	%mklibname powerman -d

Summary:	Power to the Cluster
Name:		powerman
Version:	2.3.27
Release:	%mkrel 1
Group:		System/Servers
License:	GPLv2+
URL:		https://github.com/chaos/powerman
Source0:	https://github.com/chaos/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:		powerman-2.3.26-var_run-to-run.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	genders-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	net-snmp-devel
BuildRequires:	readline-devel
BuildRequires:	tcp_wrappers-devel

Requires(post):	systemd >= %{systemd_required_version}
Requires(post):	rpm-helper
Requires(pre):	rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper

%description
PowerMan is a tool for manipulating remote power control (RPC) devices from a
central location. Several RPC varieties are supported natively by PowerMan and
Expect-like configurability simplifies the addition of new devices.

%package -n	%{libname}
Summary:	PowerMan library
Group:          System/Libraries

%description -n	%{libname}
PowerMan is a tool for manipulating remote power control (RPC) devices from a
central location. Several RPC varieties are supported natively by PowerMan and
Expect-like configurability simplifies the addition of new devices.

%package -n	%{develname}
Summary:	Static library and header files for the PowerMan library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
PowerMan is a tool for manipulating remote power control (RPC) devices from a
central location. Several RPC varieties are supported natively by PowerMan and
Expect-like configurability simplifies the addition of new devices.

This package contains the static genders library and its header files.

%prep
%autosetup -p1

%build
%configure \
    --disable-static \
    --with-snmppower \
    --with-httppower \
    --with-genders \
    --with-ncurses \
    --with-user=powerman \
    --with-systemdsystemunitdir=%{_unitdir}

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

# get rid of execute bit on powerman script files to fix rpmlint errror
chmod -x %{buildroot}%{_sysconfdir}/%{name}/*

# don't package this for now
rm -rf %{buildroot}%{_libdir}/stonith

%pre
%_pre_useradd powerman /var/empty /bin/sh

%postun
%_postun_userdel powerman

%post
%_tmpfilescreate %{name}
%_post_service powerman

%preun
%_preun_service powerman

%files
%doc DISCLAIMER COPYING NEWS
%{_unitdir}/%{name}.service
%dir %ghost %attr(0755, powerman, powerman) %{_rundir}/powerman
%ghost %attr(0660, -, -) %{_rundir}/%{name}/powermand.pid
%{_bindir}/powerman
%{_bindir}/pm
%{_sbindir}/plmpower
%{_sbindir}/powermand
%{_sbindir}/httppower
%{_sbindir}/snmppower
%{_sbindir}/vpcd
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_tmpfilesdir}/%{name}.conf
%{_mandir}/man*/*

%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
