Summary: 	Shoot 'em up game with 3D graphics
Name:		powermanga
Version:	0.93.1
Release:	%mkrel 4
License:	GPLv3+
Group:		Games/Shooter
URL:		https://linux.tlk.fr/games/Powermanga/
Source0:	https://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tgz
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png

BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpng)
Requires(post):		rpm-helper

%description
In this "shoot 'em up" with 3d graphics, you'll have to face and destroy
more than 60 different types of opponents. Nice musics, many weapons, and
a ton of surprises.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

install -d install %{buildroot}%{_gamesdatadir}/%{name}/texts
install -m 644 texts/*.txt texts/*.ini %{buildroot}%{_gamesdatadir}/%{name}/texts

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=PowerManga
GenericName=Shoot 'em up
Comment=Shoot 'em up game with 3D graphics
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%post
#hi scores are now in a proper dir we recover previous one if they exist
for i in hi hi-easy hi-hard ; do
  if [ -f %{_localstatedir}/lib/games/%{name}.$i ] ; then
    mv %{_localstatedir}/lib/games/%{name}.$i %{_localstatedir}/games/%{name}/%{name}.$i
  fi
done

%files
%doc README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}.6*
%{_mandir}/fr/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%attr(755, root, games) %dir %{_localstatedir}/games/%{name}
%attr(664, root, games) %config(noreplace) %{_localstatedir}/games/%{name}/%{name}.hi
%attr(664, root, games) %config(noreplace) %{_localstatedir}/games/%{name}/%{name}.hi-easy
%attr(664, root, games) %config(noreplace) %{_localstatedir}/games/%{name}/%{name}.hi-hard
