Summary:	Power saving diagnostic tool
Name:		powertop
Version:	2.15
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://01.org/powertop
Source0:	https://github.com/fenrus75/%{name}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	powertop.service
Source2:	powertop2.sh
Source3:	powertop.sysconfig
# From FC
Patch0:		powertop-2.7-always-create-params.patch
BuildRequires:	autoconf
BuildRequires:	autoconf-archive
BuildRequires:	automake
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(zlib)

Requires(post):	rpm-helper >= %{rpmhelper_required_version}
Requires(preun):rpm-helper >= %{rpmhelper_required_version}

%description
PowerTOP tool is a program that collects the various pieces of
information from a system and presents an overview of how well a
laptop is doing in terms of power savings. In addition, PowerTOP will
provide an indication of which tunables and software components are
the biggest offenders in slurping up battery time. PowerTOP will
update it's display frequently so that the impact of any changes can
be seen directly.

%prep
%autosetup -p1 

%build
# workaround for rhbz#1826935
autoreconf -fi || autoreconf -fi
%configure
%make_build

%install
%make_install
# Hack for powertop not to show warnings on first start
install -Dd %{buildroot}%{_localstatedir}/cache/powertop
touch %{buildroot}%{_localstatedir}/cache/powertop/{saved_parameters.powertop,saved_results.powertop}

# Systemd
install -Dpm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/powertop
install -Dpm 755 %{SOURCE2} %{buildroot}%{_sbindir}/powertop.sh
install -Dpm 644 %{SOURCE1} %{buildroot}%{_unitdir}/powertop.service

%find_lang %{name}

# Service that autotunes system settings for powersave
%post
%_post_service %{name}
# Hack for powertop not to show warnings on first start
touch %{_localstatedir}/cache/powertop/{saved_parameters.powertop,saved_results.powertop} &> /dev/null || :

%preun
%_preun_service %{name}


%files -f %{name}.lang
%doc README.md TODO CONTRIBUTE.md
%license COPYING
%dir %{_localstatedir}/cache/powertop
%ghost %{_localstatedir}/cache/%{name}/saved_parameters.powertop
%ghost %{_localstatedir}/cache/%{name}/saved_results.powertop
%{_sbindir}/%{name}
%{_sbindir}/%{name}.sh
%{_mandir}/man8/%{name}.*
%{_unitdir}/powertop.service
%config(noreplace) %{_sysconfdir}/sysconfig/powertop
%{_datadir}/bash-completion/completions/powertop
