%define _disable_ld_no_undefined 1

# Avoid auto dependencies adding expect for secure-card example script
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}/.*$

Summary:	The PPP daemon and documentation for Linux 1.3.xx and greater
Name:		ppp
Version:	2.5.2
Release:	%mkrel 3
License:	BSD-like
Url:		https://ppp.samba.org/
Group:		System/Servers
Source0:	https://download.samba.org/pub/ppp/%{name}-%{version}.tar.gz
Source1:	ppp-2.4.3-pam.conf
Source3:	README.pppoatm
Source4:	ppp.logrotate
Source10:	ppp-tmpfiles.conf
Source20:	ip-down
Source21:	ip-down.ipv6to4
Source22:	ip-up
Source23:	ip-up.ipv6to4
Source24:	ipv6-down
Source25:	ipv6-up
Source26:	ifup-ppp
Source27:	ifdown-ppp
Source28:	ppp-watch.tar.xz
Patch1:		ppp-2.3.6-sample.patch
Patch4:		ppp-options.patch
Patch6:		ppp-2.4.9-noexttraffic.patch
Patch9: 	ppp-2.4.9-multipledefrt.patch
Patch10:	ppp-2.4.4-dontwriteetc.patch
Patch21:	ppp-2.4.9-CVE-2015-3310.patch
BuildRequires:	libatm-devel
BuildRequires:	libpcap-devel
BuildRequires:	pam-devel
BuildRequires:	libtool
BuildRequires:	glibc-static-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(openssl)
Requires(post):	systemd >= %{systemd_required_version}
Conflicts:	initscripts < 9.55
Obsoletes: 	ppp-dhcp < 2.5.2

%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon and
documentation for PPP support. The PPP protocol provides a method for
transmitting datagrams over serial point-to-point links.

The ppp package should be installed if your machine need to support
the PPP protocol.

%package	devel
Summary:	PPP devel files
Group:		Development/C
Requires:	%{name} = %{version}

%description	devel
Development files for PPP.

%package	pppoatm
Summary:	PPP over ATM plugin for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}

%description	pppoatm
PPP over ATM plugin for %{name}.

%package	pppoe
Summary:	PPP over Ethernet plugin for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}
Provides:	rp-pppoe-plugin

%description	pppoe
PPP over Ethernet plugin for %{name}.

%package	radius
Summary:	Radius plugin for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}
Requires:	radiusclient-utils

%description	radius
Radius plugin for %{name}.

%prep
%autosetup -p1 -a28

install -p -m644 %{SOURCE3} .

# Build ppp-watch
sed -i -e 's/^SUBDIRS\s\+=.*/\0 ppp-watch/' Makefile.am

%build
autoreconf -fi
export CPPFLAGS="-DNOEXT_TRAFFIC"
%configure --enable-systemd --enable-cbcp --with-pam --disable-openssl-engine \
  --with-atm=%{_includedir} \
  --with-runtime-dir=%{_rundir}/pppd \
  --with-logfile-dir=%{_logdir}/ppp
%make_build

%install
mkdir -p %{buildroot}{%{_sbindir},%{_bindir},%{_logdir}/ppp,%{_mandir}/man8,%{_sysconfdir}/{ppp,pam.d}}

%make_install ROOT=%{buildroot}

# (gg) Allow stripping
chmod u+w %{buildroot}%{_sbindir}/*

chmod go+r scripts/*
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/ppp

# (stew) fix permissions
find %{buildroot} -name "*\.so" -exec chmod 0755 {} \;

# Provide pointers for people who expect stuff in old places
touch %{buildroot}%{_logdir}/ppp/connect-errors
ln -s ../..%{_logdir}/ppp/connect-errors %{buildroot}/etc/ppp/connect-errors
ln -s ../..%{_rundir}/pppd/resolv.conf %{buildroot}/etc/ppp/resolv.conf

# tmpfiles
install -D -p -m 0644 %{SOURCE10} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# Logrotate script
install -D -p -m 644 %{SOURCE4} %{buildroot}/etc/logrotate.d/ppp

# install scripts (previously owned by initscripts package)
install -d %{buildroot}%{_sysconfdir}/ppp
install -p %{SOURCE20} %{buildroot}%{_sysconfdir}/ppp/ip-down
install -p %{SOURCE21} %{buildroot}%{_sysconfdir}/ppp/ip-down.ipv6to4
install -p %{SOURCE22} %{buildroot}%{_sysconfdir}/ppp/ip-up
install -p %{SOURCE23} %{buildroot}%{_sysconfdir}/ppp/ip-up.ipv6to4
install -p %{SOURCE24} %{buildroot}%{_sysconfdir}/ppp/ipv6-down
install -p %{SOURCE25} %{buildroot}%{_sysconfdir}/ppp/ipv6-up

install -d %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/
install -p %{SOURCE26} %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifup-ppp
install -p %{SOURCE27} %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifdown-ppp

# remove unused
rm -rf %{buildroot}%{_sysconfdir}/ppp/openssl.cnf.example

# remove .example extension
for f in %{buildroot}%{_sysconfdir}/ppp/*.example; do
  mv $f ${f%%.example}
done

%post
%_tmpfilescreate %{name}

%files
%doc FAQ PLUGINS README* scripts sample
%{_sbindir}/chat
%{_sbindir}/ppp-watch
%attr(5755,root,root) %{_sbindir}/pppd
%{_sbindir}/pppdump
%attr(0755,root,daemon) %{_sbindir}/pppstats
%{_mandir}/man8/chat.8*
%{_mandir}/man8/ppp-watch.8*
%{_mandir}/man8/pppd.8*
%{_mandir}/man8/pppdump.8*
%{_mandir}/man8/pppstats.8*
%dir %{_libdir}/pppd/
%dir %{_libdir}/pppd/%{version}/
%{_libdir}/pppd/%{version}/minconn.so
%{_libdir}/pppd/%{version}/openl2tp.so
%{_libdir}/pppd/%{version}/passwordfd.so
%{_libdir}/pppd/%{version}/pppol2tp.so
%{_libdir}/pppd/%{version}/winbind.so
%{_tmpfilesdir}/%{name}.conf
%attr(700, root, root) %dir %{_logdir}/ppp
%{_logdir}/ppp/*
%dir %{_sysconfdir}/ppp
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/chap-secrets
%attr(0600,root,daemon) %config(noreplace) %{_sysconfdir}/ppp/eaptls-{client,server}
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/options
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/pap-secrets
%{_sysconfdir}/ppp/connect-errors
%{_sysconfdir}/ppp/resolv.conf
%{_sysconfdir}/ppp/ip-up
%{_sysconfdir}/ppp/ip-down
%{_sysconfdir}/ppp/ip-up.ipv6to4
%{_sysconfdir}/ppp/ip-down.ipv6to4
%{_sysconfdir}/ppp/ipv6-up
%{_sysconfdir}/ppp/ipv6-down
%{_sysconfdir}/sysconfig/network-scripts/ifup-ppp
%{_sysconfdir}/sysconfig/network-scripts/ifdown-ppp
%{_sysconfdir}/pam.d/ppp
%{_sysconfdir}/logrotate.d/ppp

%files devel
%doc README*
%{_includedir}/pppd/
%{_libdir}/pkgconfig/pppd.pc

%files pppoatm
%doc README
%{_libdir}/pppd/%{version}/pppoatm.so

%files pppoe
%doc README
%{_libdir}/pppd/%{version}/{rp-,}pppoe.so
%attr(755,root,root) %{_sbindir}/pppoe-discovery
%{_mandir}/man8/pppoe-discovery.8*

%files radius
%doc README
%{_libdir}/pppd/%{version}/radattr.so
%{_libdir}/pppd/%{version}/radius.so
%{_libdir}/pppd/%{version}/radrealms.so
%{_mandir}/man8/pppd-radattr.8*
%{_mandir}/man8/pppd-radius.8*
