Summary:	PPTP-linux VPN client
Name:		pptp-linux
Version:	1.10.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Other
URL:		https://pptpclient.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/pptpclient/pptp-%{version}.tar.gz
Source1: 	pptp-command
Source2: 	options.pptp
Source3: 	pptp_fe.pl
Source4: 	xpptp_fe.pl
Source6:	pptp-tmpfs.conf

Requires:	ppp >= 2.4.3
Provides:	pptp-client

%description
PPTP-linux allows you to connect to a PPTP server from a Linux or other
Unix box (ports of pptp-linuxto other Unix variants should be trivial,
but have not yet been performed). See the IPfwd page
(http://www.pdos.lcs.mit.edu/~cananian/Projects/IPfwd) for information
on tunnelling PPTP through Linux firewalls.

%prep
%autosetup -p1 -n pptp-%{version}

# Pacify rpmlint
perl -pi -e 's/install -o root -m 555 pptp/install -m 755 pptp/;' Makefile
# use our CFLAGS and LDFLAGS
sed -i -e "/CFLAGS  =/ c\CFLAGS = %{optflags}" Makefile
sed -i -e "/LDFLAGS =/ c\LDFLAGS = %{ldflags}" Makefile

%build
%make_build DEBUG="" IP=/sbin/ip

%install
%make_install

install -d -m 750 %{buildroot}%{_rundir}/pptp
install -m755 %{SOURCE1} -D %{buildroot}%{_sbindir}/pptp-command
install -d %{buildroot}%{_sysconfdir}/pptp.d
install -m644 %{SOURCE2} -D %{buildroot}%{_sysconfdir}/ppp/options.pptp
install -d -m 755 %{buildroot}%{_tmpfilesdir}
install -p -m 644 %{SOURCE6} %{buildroot}%{_tmpfilesdir}/pptp.conf

%files
%doc AUTHORS NEWS README TODO USING Documentation/[D,P]*
%{_sbindir}/*
%{_mandir}/man8/pptp*.8*
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/ppp/options.pptp
%attr(0755,root,root) %dir %{_sysconfdir}/pptp.d
%{_tmpfilesdir}/pptp.conf
%dir %ghost %attr(0750, root, root) %{_rundir}/pptp
