%global __requires_exclude ^libdeviceclient\\.so.*
%global __provides_exclude_from %{_libdir}/pragha/plugins/.*\\.so

Summary:	Lightweight GTK+ music manager
Name:		pragha
Version:	1.3.99.1
Release:	%mkrel 2
Group:		Sound/Utilities
License:	GPLv3+
URL:		https://pragha-music-player.github.io/
Source0:	https://github.com/pragha-music-player/pragha/releases/download/v%{version}/pragha-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(grilo-0.3)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(keybinder-3.0)
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libcdio_paranoia)
# We don't have these yet
#BuildRequires:	pkgconfig(libclastfm)
#BuildRequires:	pkgconfig(libglyr)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libxfce4ui-2)
# Pragha doesn't support rygel-server-2.8 yet
#BuildRequires:	pkgconfig(rygel-server-2.8)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(taglib_c)
BuildRequires:	pkgconfig(totem-plparser)

Requires:	gstreamer1.0-plugins-base

%description
Pragha is a Lightweight Music Player based on Gtk, sqlite, and completely
written in C, constructed to be fast, light, and simultaneously tries to
be complete without obstructing the daily work.

%prep
%setup -q

%build
%xdt_autogen
%configure \
	--disable-rygel-server-2.6
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

# no need devel files
rm -rf %{buildroot}%{_includedir}/libpragha
rm -rf %{buildroot}%{_libdir}/pkgconfig/libpragha.pc

%files -f %{name}.lang
%doc ChangeLog FAQ NEWS README
%{_bindir}/pragha
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/io.github.pragha_music_player.metainfo.xml
%{_iconsdir}/hicolor/*/apps/%{name}*.png
%{_iconsdir}/hicolor/symbolic/apps/pragha-panel-symbolic.svg
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}/
%{_mandir}/man1/pragha.1.*

%dir %{_libdir}/pragha/
%dir %{_libdir}/pragha/plugins/

%{_libdir}/%{name}/libpragha.so

%dir %{_libdir}/pragha/plugins/acoustid/
%{_libdir}/pragha/plugins/acoustid/acoustid.plugin
%{_libdir}/pragha/plugins/acoustid/libacoustid.so

%dir %{_libdir}/pragha/plugins/ampache/
%{_libdir}/pragha/plugins/ampache/ampache.plugin
%{_libdir}/pragha/plugins/ampache/libpampache.so

%dir %{_libdir}/pragha/plugins/cdrom/
%{_libdir}/pragha/plugins/cdrom/cdrom.plugin
%{_libdir}/pragha/plugins/cdrom/libcdrom.so

%dir %{_libdir}/pragha/plugins/dlna-renderer/
%{_libdir}/pragha/plugins/dlna-renderer/dlna-renderer.plugin
%{_libdir}/pragha/plugins/dlna-renderer/libpdlnarenderer.so

%dir %{_libdir}/pragha/plugins/gnome-media-keys/
%{_libdir}/pragha/plugins/gnome-media-keys/gnome-media-keys.plugin
%{_libdir}/pragha/plugins/gnome-media-keys/libgnome-media-keys.so

%dir %{_libdir}/pragha/plugins/keybinder/
%{_libdir}/pragha/plugins/keybinder/keybinder.plugin
%{_libdir}/pragha/plugins/keybinder/libkeybinder.so

%dir %{_libdir}/pragha/plugins/koel
%{_libdir}/pragha/plugins/koel/koel.plugin
%{_libdir}/pragha/plugins/koel/libpkoel.so

%dir %{_libdir}/pragha/plugins/mpris2/
%{_libdir}/pragha/plugins/mpris2/libmpris2.so
%{_libdir}/pragha/plugins/mpris2/mpris2.plugin

%dir %{_libdir}/pragha/plugins/mtp/
%{_libdir}/pragha/plugins/mtp/libpmtp.so
%{_libdir}/pragha/plugins/mtp/mtp.plugin

%dir %{_libdir}/pragha/plugins/notify/
%{_libdir}/pragha/plugins/notify/libnotify.so
%{_libdir}/pragha/plugins/notify/notify.plugin

%dir %{_libdir}/pragha/plugins/removable/
%{_libdir}/pragha/plugins/removable/libremovable.so
%{_libdir}/pragha/plugins/removable/removable.plugin

%dir %{_libdir}/pragha/plugins/tunein/
%{_libdir}/pragha/plugins/tunein/libtunein.so
%{_libdir}/pragha/plugins/tunein/tunein.plugin

%dir %{_libdir}/pragha/plugins/visualizer
%{_libdir}/pragha/plugins/visualizer/libvisualizer.so
%{_libdir}/pragha/plugins/visualizer/visualizer.plugin
