%define waddir  %{_gamesdatadir}/doom

Summary:	Free DOOM engine - DOOM is a classic 3D shoot-em-up game
Name:		prboom
Version:	2.5.0
Release:	%mkrel 27
Group:		Games/Shooter
License:	GPLv2
URL:		https://prboom.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/prboom/%{name}-%{version}.tar.bz2
Source1:	%{name}-game-server.sysconfig
Source2:	%{name}-game-server.init
Source3:	%{name}-64.png
Patch0:		prboom-2.5.0-libpng-1.4.patch
Patch1:		prboom-fix-doom-wad-lookup-paths.patch
Patch2:		prboom-pointer-types.patch

BuildRequires:	pkgconfig(sdl)
BuildRequires:	smpeg-devel
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	sed
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libpng)

Requires:	TiMidity++
Recommends:	doom-iwad
Provides:	doom-engine

%description
PrBoom is a game engine: it provides a program to play DOOM levels, but
it does not include any levels itself. More importantly, you need all the
sounds, sprites, and other graphics that make up the DOOM environment.
So to play PrBoom, you need one of the main DOOM date files from id
Software: either doom.wad, doom2.wad, tnt.wad or plutonia.wad from one
of the commercial DOOM games, or install FreeDOOM.

%package gl
Summary:	OpenGL version
Group:		Games/Shooter
Requires:	%{name} = %{version}

%description gl
This package contains the PrBooM binary that runs accelerated through
OpenGL.

%package server
Summary:	PrBooM game server
Group:		Games/Shooter
Requires:	%{name} = %{version}

%description server
This package contains the PrBooM server binary, that is the program
that passes data between the different players in the game.

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

export CPPFLAGS="$CPPFLAGS -fcommon"
%define common_conf_flags --disable-cpu-opt --with-waddir=%{waddir} --disable-i386-asm
%configure %{common_conf_flags} --enable-gl
%make_build
cp src/prboom prboom-gl

make clean

%configure %{common_conf_flags}
%make_build

%install
%make_install

install -m755 prboom-gl %{buildroot}%{_gamesbindir}
rm -fr %{buildroot}%_datadir/doc/

mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
install -m644 %{SOURCE3} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %buildroot%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM
Comment=Free DOOM engine
Icon=%{name}
Exec=%{name}
EOF

cat << EOF > %buildroot%{_datadir}/applications/%{name}-multiplayer.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM Multiplayer
Comment=Free DOOM engine
Icon=%{name}
Exec=sh -c "%{name} -net localhost"
EOF

cat << EOF > %buildroot%{_datadir}/applications/%{name}-gl.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM-GL
Comment=Free DOOM engine
Icon=%{name}
Exec=%{name}-gl
EOF

cat << EOF > %buildroot%{_datadir}/applications/%{name}-gl-multiplayer.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM-GL Multiplayer
Comment=Free DOOM engine
Icon=%{name}
Exec=sh -c "%{name}-gl -net localhost"
EOF

%files
%doc AUTHORS NEWS README TODO
%doc doc/*.txt doc/README.*
%license COPYING
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/doom
%{_gamesdatadir}/doom/%{name}.wad
%{_mandir}/man5/*
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-multiplayer.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files gl
%license COPYING
%{_gamesbindir}/%{name}-gl
%{_datadir}/applications/%{name}-gl.desktop
%{_datadir}/applications/%{name}-gl-multiplayer.desktop

%files server
%license COPYING
%{_gamesbindir}/%{name}-game-server
%{_mandir}/man6/%{name}-game-server*
