%define pre_rel beta5

%define rel	9

Name:           premake
Version:        4.4
Release:        %mkrel -c %{pre_rel} %{rel}
Summary:        Cross-platform build configuration tool
Group:          Development/Tools
License:        BSD
URL:            https://industriousone.com/premake
Source0:        https://downloads.sourceforge.net/%{name}/premake-%{version}-%{pre_rel}-src.zip
# This patch removes the bundeled Lua sources from the makefile to use the system Lua
Patch0:         premake-4.4-mga-fdr-system-lua.patch
# Add the missing manpage
Patch1:         premake-4.3-fdr-manpage.patch
Patch2:         premake-4.4-mga-parallel-build.patch

BuildRequires:  doxygen
BuildRequires:  lua5.1-devel
BuildRequires:  readline-devel

%description
Premake is a build configuration tool that can generate project files for:
 - GNU make
 - Code::Blocks
 - CodeLite
 - MonoDevelop
 - SharpDevelop
 - Apple XCode
 - Microsoft Visual Studio

%prep
%setup -q -n %{name}-%{version}-%{pre_rel}
%autopatch -p1

# do not stripping the executable
sed -i -e "s|\$(LDFLAGS) -L. -s|\$(LDFLAGS) -L.|" build/gmake.unix/Premake4.make

%build
pushd build/gmake.unix/
%set_build_flags
%make_build
popd

# Generate doc
doxygen

%install
install -m 755 -Dp ./bin/release/premake4 %{buildroot}/%{_bindir}/premake4
install -m 644 -Dp ./premake4.1 %{buildroot}/%{_mandir}/man1/premake4.1

%files
%doc doc/html/* LICENSE.txt README.txt CHANGES.txt
%{_bindir}/premake4
%{_mandir}/man1/premake4.1*
