%define major                  12

%define libname                %mklibname %{name} %{major}
%define develname              %mklibname %{name} -d
%define libname_primesievexx   %mklibname %{name}xx %{major_xx}
%define develname_primesievexx %mklibname %{name}xx -d
%define	develname_mp           %mklibname %{name}mp -d

Summary:	A fast C/C++ prime number generator
Name:		primesieve
Version:	12.7
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		https://github.com/kimwalisch/primesieve
Source0:	https://github.com/kimwalisch/primesieve/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake

%description
primesieve is a free software program and C/C++ library that generates primes
using a highly optimized sieve of Eratosthenes implementation. It counts the
primes below 10^10 in just 0.45 seconds on an Intel Core i7-6700 CPU (4 x
3.4GHz). primesieve can generate primes and prime k-tuplets up to 2^64.

%package -n	%{libname}
Summary:	A GNU arbitrary precision library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
primesieve is a free software program and C/C++ library that generates primes
using a highly optimized sieve of Eratosthenes implementation. It counts the
primes below 10^10 in just 0.45 seconds on an Intel Core i7-6700 CPU (4 x
3.4GHz). primesieve can generate primes and prime k-tuplets up to 2^64.

%package -n	%{develname}
Summary:	Development tools for primesieve
Group:		Development/C
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
The static libraries, header files and documentation for using primesieve.

%prep
%autosetup

%build
export LC_ALL=C
%cmake -DBUILD_TESTS=1
%cmake_build

%check
# All tests must pass
pushd build
make test
popd

%install
%cmake_install

#multiarch
%multiarch_includes %{buildroot}%{_includedir}/primesieve.h

%files -n %{name}
%doc ChangeLog COPYING README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files -n %{libname}
%{_libdir}/libprimesieve.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libprimesieve.so
%{_includedir}/primesieve.h
%{_includedir}/primesieve.hpp
%dir %{_includedir}/primesieve
%{_includedir}/primesieve/*.h
%{_includedir}/primesieve/*.hpp
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%multiarch %{multiarch_includedir}/primesieve.h
