#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           print-manager
Summary:        Printing management for KDE
Epoch:          1
Version: 6.3.4
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GPLD
URL:            https://www.kde.org/applications/utilities/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## upstream patches

# Patches from branch 101->200:

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)

BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(packagekitqt6)

BuildRequires:  cups-devel

# currently requires local cups for majority of proper function
Requires:       cups

# required for the com.redhat.NewPrinterNotification D-Bus service
Requires:       system-config-printer-libs

# /usr/bin/smbspool
Recommends:     samba-client

%description
Printer Applet is a system tray utility that shows current print jobs,
shows printer warnings and errors and shows when printers that have
been plugged in for the first time are being auto-configured by
hal-cups-utils.

%files -f %name.lang
%_kf6_categoriesdir/pmlogs.categories
%_kf6_bindir/configure-printer
%_kf6_bindir/kde-add-printer
%_kf6_bindir/kde-print-queue
%_kf6_libdir/libkcupslib.so.%{version}
%_kf6_qmldir/org/kde/plasma/printmanager
%_qt6_plugindir/plasma/kcms/systemsettings/kcm_printer_manager.so
%_kf6_plugindir/kded/printmanager.so
%_kf6_knotificationsdir/printmanager.notifyrc
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.printmanager
%_kf6_metainfodir/org.kde.plasma.printmanager.appdata.xml
%_kf6_metainfodir/org.kde.print-manager.metainfo.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
