Summary:	Filter-style and IJS printer drivers, printer maintenance utilities
Name:		printer-filters-utils
Version:	2008
Release:	%mkrel 17
License:	GPL
Group:		Publishing
URL:		https://openprinting.org/
BuildArch:	noarch

##### PACKAGE DESCRIPTIONS

##### PRINTER FILTERS

%package -n printer-filters
Summary: Filters to support additional printers
Group: 		Publishing
Requires(post):	ghostscript
Requires(post):	rpm-helper
Requires(preun):rpm-helper
# psutils, unzip, and mscompress needed by the foo2zjs driver
Requires:	psutils, unzip
Requires:	mscompress
# "convert" needed by "pegg"
Requires:	imagemagick
Conflicts:	foomatic-db <= 3.0.1 cups-drivers < 2006

# <mrl> Requires for the packages that are obsoleting this one.
Requires:	c2050
Requires:	c2070
Requires:	cjet
Requires:	cups-drivers-capt
Requires:	cups-drivers-foo2kyo
Requires:	cups-drivers-foo2zjs
# Not available on arm and aarch64
Recommends:	cups-drivers-lbp660
Requires:	cups-drivers-lz11
Requires:	cups-drivers-m2300w
Requires:	cups-drivers-pegg
Requires:	cups-drivers-ptouch
Requires:	drv_z42
Requires:	epsoneplijs
#Requires:	foomatic-db-foo2zjs
#Requires:	foomatic-db-m2300w
Requires:	lexmark2070
Requires:	lexmark7000linux
Requires:	lm1100
Requires:	min12xxw
# Not available on arm and aarch64
Recommends:	ml85p
Requires:	oki4linux
Requires:	pbm2l2030
Requires:	pbm2lwxl
Requires:	pbmtozjs
Requires:	pentaxpj
Requires:	pnm2ppa
Requires:	ppmtocpva
Requires:	ppmtomd
Requires:	printer-filters
Requires:	stylewriter
Requires:	x125

%package -n printer-filters-doc
Summary: Documentation for printer filters (to support additional printers)
Group: 		Publishing

##### PRINTER UTILS

%package -n printer-utils
Summary: Additional tools for configuring and maintaining printers
Group: 		Publishing
Obsoletes:	ghostscript-utils Lexmark-printer-maintenance
Provides:	ghostscript-utils Lexmark-printer-maintenance
Requires(post):	rpm-helper
Requires(preun):rpm-helper
Requires:	motif
Conflicts:	ghostscript < 8.15

# <mrl> Requires for the packages that are obsoleting this one.
Requires:	lm1100
Requires:	lxcontrol
Requires:	mtink
Requires:	poster
Requires:	printer-utils
Requires:	z42tool

%package -n cups-drivers
Summary:	Special CUPS printer drivers
Requires: 	cups >= 1.1, ghostscript >= 7.05
# "convert" needed by "pegg"
Requires:	imagemagick
Group: 		Publishing

# <mrl> Requires for the packages that are obsoleting this one.
Requires:	cups-drivers-lxx74
Requires:	cups-drivers-magicolor2430dl
Requires:	cups-drivers-magicolor5430dl
Requires:	cups-drivers-magicolor5440dl
Requires:	cups-drivers-pegg
Requires:	cups-drivers-splix
Requires:	mtink

##### DESCRIPTION TEXTS

%description
This source RPM builds the printer-filters and printer-utils
packages. These two packages are built by one source RPM, as many
upstream source packages contain both a filter and a utility.

%description -n printer-filters
This package contains filters which transfer the raw bitmap of
GhostScript into the protocol of some additional printer models. There
are standalone filter executables which get GhostScripts bitmap output
as standard input via a pipe or IJS plug-ins for GhostScript.

Note: HPIJS and Gimp-Print are in separate packages.

%description -n printer-filters-doc
This package contains documentation about printer filters.

These filters transfer the raw bitmap of GhostScript into the protocol
of some additional printer models. There are standalone filter
executables which get GhostScripts bitmap output as standard input via
a pipe or IJS plug-ins for GhostScript.

%description -n printer-utils
Tools for printer maintenance: Setting default options for most laser
printers (PJL-capable printers), cartridge changing, head aligning,
ink level checking for inkjet printers. Printing big posters on many
sheets of standard sized paper (A4, A3, Letter, ...) to be assambled
together (also used by KDE Print to print posters).

%description -n cups-drivers
This package contains special printer drivers to be used with CUPS and
their appropriate PPD files.


%prep

%build

%install

##### FILES

%files -n printer-filters

%files -n printer-filters-doc

%files -n printer-utils

%files -n cups-drivers

