##### RPM PROBLEM WORKAROUNDS

# Suppress automatically generated Requires for Perl libraries.
#global __requires_exclude perl\\\(.*\\\)

#define _unpackaged_files_terminate_build       0
#define _missing_doc_files_terminate_build      0


Summary:	Test pages to check the output quality of printers
Name:		printer-testpages
Version:	2024
Release:	%mkrel 1
License:	GPLv2
Group:		Publishing
URL:		https://www.mageia.org/
BuildArch:	noarch

##### PRINTER TESTPAGES BUILDREQUIRES

BuildRequires:	transfig

##### PRINTER TESTPAGES SOURCES

# Mageiaized printer test pages (originals from CUPS and Red Hat)
Source300:	mga-testpages.tar.bz2
# Photo test page from Gimp-Print and ESP GhostScript
Source302:	cups-profile.jpg.bz2

##### BUILD ROOT


##### PACKAGE DESCRIPTION

%description -n printer-testpages
These are sample files to check the output quality of printers. There
is the CUPS test page with colour gradients, the Red Hat test page
with image position checks, a photo test page and a text test page.



%prep
# remove old directory
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
mkdir $RPM_BUILD_DIR/%{name}-%{version}

# Red Hat test pages
%setup -q -T -D -a 300 -n %{name}-%{version}

# Photo test page
bzcat %{SOURCE302} > $RPM_BUILD_DIR/%{name}-%{version}/photo-testpage.jpg



%build

cd $RPM_BUILD_DIR/%{name}-%{version}

# Mageiaized CUPS test page
cat testprint.prolog.ps.in MGALINUX-ps1.eps testprint.epilog.ps.in > testprint.ps

# Red Hat test pages: Generate PS files of the XFig drawings
fig2dev -Lps -zLetter testpage.fig testpage.ps
fig2dev -Lps -zA4 testpage-a4.fig testpage-a4.ps



%install

# Make directory
mkdir -p %{buildroot}%{_datadir}/%{name}

cd $RPM_BUILD_DIR/%{name}-%{version}

cp *.ps *.jpg *.asc %{buildroot}%{_datadir}/printer-testpages



##### FILES

%files
%{_datadir}/printer-testpages/

