#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           prison
Version: 6.13.0
Release:        %mkrel %{rel}
Summary:        KDE Frameworks 6 Tier 1 barcode abstraction library
Group:          System/Libraries
License:        MIT
URL:            https://projects.kde.org/projects/kdesupport/prison
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  cmake(ZXing)

BuildRequires:  pkgconfig(libdmtx)
BuildRequires:  pkgconfig(libqrencode)

%description
Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files
%_kf6_categoriesdir/prison.*categories
%_kf6_qmldir/org/kde/prison/
%_kf6_qmldir/org/kde/prison/scanner/

#--------------------------------------------------------------------

%define prison_major 6
%define libkf6prison %mklibname kf6prison %{prison_major}

%package -n %{libkf6prison}
Summary:        KDE Frameworks 6 Tier 1 barcode abstraction Prison library
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %{libkf6prison}
Library file for %{name}.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libkf6prison}
%{_kf6_libdir}/libKF6Prison.so.%{prison_major}{,.*}
%{_kf6_libdir}/libKF6Prison.so.%{version}

#--------------------------------------------------------------------

%define prisonscanner_major 6
%define libkf6prisonscanner %mklibname kf6prisonscanner %{prisonscanner_major}

%package -n %{libkf6prisonscanner}
Summary:        KDE Frameworks 6 Tier 1 barcode abstraction Prison Scanner library
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %{libkf6prisonscanner}
Library file for %{name} scanner.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libkf6prisonscanner}
%{_kf6_libdir}/libKF6PrisonScanner.so.%{prisonscanner_major}{,.*}
%{_kf6_libdir}/libKF6PrisonScanner.so.%{version}

#--------------------------------------------------------------------

%define libnamedev %mklibname kf6prison -d

%package -n %{libnamedev}
Summary:        Prison development files
Group:          Development/KDE and Qt
Requires:       %{libkf6prison} >= %{version}-%{release}
Requires:       %{libkf6prisonscanner} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for applications that use %{name}.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libnamedev}
%doc README.md
%{_kf6_includedir}/Prison/
%{_kf6_libdir}/libKF6Prison.so
%{_kf6_includedir}/PrisonScanner/
%{_kf6_libdir}/libKF6PrisonScanner.so
%{_kf6_libdir}/cmake/KF6Prison/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
