%define privoxyconf %{_sysconfdir}/%{name}

%define reltype stable

Summary:	Privacy enhancing HTTP proxy
Name:		privoxy
Version:	3.0.34
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/Other
URL:		https://www.privoxy.org/
Source0:	https://sourceforge.net/projects/ijbswa/files/Sources/%{version}%20%28stable%29/%{name}-%{version}-%{reltype}-src.tar.gz
Source1:	https://sourceforge.net/projects/ijbswa/files/Sources/%{version}%20%28stable%29/%{name}-%{version}-%{reltype}-src.tar.gz.asc
Source2:	privoxy.logrotate
Source4:	%{name}.service
Patch0:		privoxy-3.0.21-mga-mdv-missing-user.filter.patch
# (cjw) add a "address-family-preference" option that allows disabling IPv6 DNS lookups,
#       forcing outgoing HTTP requests to be IPv4
Patch1:		privoxy-3.0.29-mga-address-family-preference.patch
# (cjw) from debian: don't translate documentation to locale-dependent 8-bit ascii
Patch2:		privoxy-3.0.21-mga-deb-8bit_manual.patch
# (cjw) documentation and default configuration changes and cleanups for mageia
Patch3:		privoxy-3.0.21-mga-mageia-specific-config.patch
# from debian:
Patch10:	privoxy-pcre2-support.patch
Patch11:	privoxy-pcre2-patternfix.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
Provides:	junkbuster = %{version}-%{release}
Provides:	webproxy
BuildRequires:	man
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(zlib)
# for manual
BuildRequires:	openjade
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-dsssl
BuildRequires:	w3m

%description
Privoxy is a web proxy with advanced filtering capabilities for protecting
privacy, filtering web page content, managing cookies, controlling access, and
removing ads, banners, pop-ups and other obnoxious Internet Junk. Privoxy has a
very flexible configuration and can be customized to suit individual needs and
tastes. Privoxy has application for both stand-alone systems and multi-user
networks.

Privoxy was previously called Internet Junkbuster.

To configure privoxy, go to http://config.privoxy.org/

Privoxy proxy is running on port 8118

%prep

%setup -n %{name}-%{version}-%{reltype} -q

%autopatch -p1

%build
#needed for build
autoreconf -fi

%serverbuild
%configure --with-user=daemon --with-group=daemon
%make_build
make dok
make config-file

#remove backup files
rm -f doc/webserver/user-manual/*.bak

%install
mkdir -p %{buildroot}%{_sbindir} \
         %{buildroot}%{_mandir}/man8 \
         %{buildroot}/var/log/privoxy \
         %{buildroot}%{privoxyconf}/templates \
         %{buildroot}%{_sysconfdir}/logrotate.d

install -m 755 privoxy %{buildroot}%{_sbindir}/privoxy
install -m 644 privoxy.8 %{buildroot}%{_mandir}/man8/privoxy.8

# Install various config files
for i in *.action default.filter trust; do
	install -m 644 $i %{buildroot}%{privoxyconf}/
done
for i in templates/*; do
	install -m 644 $i %{buildroot}%{privoxyconf}/templates/
done
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE4} %{buildroot}%{_unitdir}/%{name}.service

# verify all file locations, etc. in the config file
# don't start with ^ or commented lines are not replaced
sed -e 's!^confdir.*!confdir /etc/privoxy!g' \
    -e 's!^logdir.*!logdir /var/log/privoxy!g' \
    < config  > %{buildroot}%{privoxyconf}/config

# create compatibility symlink
ln -s match-all.action %{buildroot}/%{privoxyconf}/standard.action

%triggerin -- msec < 0.17
for i in 0 1 2 3 4 5; do
  permfile="%{_sysconfdir}/security/msec/perm.$i"
  if grep -q '^/var/log/privoxy' $permfile; then
    perl -pi -e 's|^/var/log/privoxy\s.*|/var/log/prixovy\t\t\t\tdaemon.daemon\t700|' $permfile
  else
    echo -e "/var/log/prixovy\t\t\t\tdaemon.daemon\t700" >> $permfile
  fi
done


%post
%_post_service privoxy

%preun
%_preun_service privoxy

%files
%doc AUTHORS ChangeLog README  
%doc doc/webserver
%attr (0700,daemon,daemon) /var/log/privoxy
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_sbindir}/*
%{_mandir}/man8/*

%defattr(664,daemon,daemon,755)
%dir %{privoxyconf}
%config(noreplace) %{privoxyconf}/config
%config            %{privoxyconf}/default.action
%config(noreplace) %{privoxyconf}/default.filter
%config(noreplace) %{privoxyconf}/templates
%config(noreplace) %{privoxyconf}/match-all.action
%config(noreplace) %{privoxyconf}/trust
%config(noreplace) %{privoxyconf}/user.action
%config(noreplace) %{privoxyconf}/regression-tests.action
%{privoxyconf}/standard.action
%{_unitdir}/%{name}.service
