# Copyright (c) 2012, 2014  Dave Love
# Copyright (c) 2015 James Hunt
# MIT licence, per Fedora policy

Name:           procenv
Version:        0.60
Release:        %mkrel 2
Summary:        Utility to show process environment
Group:          Monitoring
License:        GPLv3+
URL:            https://github.com/jamesodhunt/procenv
Source0:        https://github.com/jamesodhunt/procenv/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  expat, libcap-devel, libselinux-devel, check-devel, gcc, make
BuildRequires:  groff-for-man
BuildRequires:  perl(JSON::PP)
%ifnarch %{arm}
BuildRequires:  numactl-devel
%endif

%description
This package contains a command-line tool that displays as much
detail about itself and its environment as possible. It can be
used as a test tool, to understand the type of environment a
process runs in, and for comparing system environments.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%check
make check

%files
%{_bindir}/procenv
%{_mandir}/man1/procenv.1*
# ChangeLog is empty
%doc README.md NEWS AUTHORS TODO
%license COPYING

