Summary:	The procmail mail processing program
Name:		procmail
Version:	3.24
Release:	%mkrel 2
License:	GPL/Artistic
Group:		System/Servers
URL:		https://github.com/BuGlessRB/procmail
Source0:	https://github.com/BuGlessRB/procmail/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		procmail-3.22-lockf.patch
Patch3:		procmail-3.22-benchmark.patch
# Fix #27484: explictly define sendmail's location as it's not
# installed when we build procmail so it can't detect it - AdamW
# 2008/03 (thanks Snowbat)
Patch4:		procmail-3.22-defsendmail.patch
# https://github.com/BuGlessRB/procmail/pull/7
Patch5:		procmail-3.24-gcc-14-fix.patch
Provides:	MailTransportAgent

%description
The procmail program is used by %{_vendor} for all local mail
delivery. In addition to just delivering mail, procmail can be used
for automatic filtering, presorting and other mail handling jobs.
Procmail is also the basis for the SmartList mailing list processor.

%prep
%autosetup -p1

%build
echo -n -e "\n"|  %make_build CFLAGS0="%{optflags}" LDFLAGS0="%{ldflags}"

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/{man1,man5}

make \
    BASENAME=%{buildroot}%{_prefix} \
    MANDIR=%{buildroot}%{_mandir} \
    install.bin install.man

## duplicate in /usr/bin
rm -f examples/mailstat

%files
%doc FAQ HISTORY README KNOWN_BUGS FEATURES examples
%attr(6755,root,mail) %{_bindir}/procmail
%attr(2755,root,mail) %{_bindir}/lockfile
%{_bindir}/formail
%{_bindir}/mailstat
%{_mandir}/man1/*1*
%{_mandir}/man5/*5*
