%define major		1
%define libname		%mklibname proc2_ %{major}
%define develname	%mklibname proc2 -d

Name:		procps-ng
Version:	4.0.5
Release:	%mkrel 1
Summary:	System and process monitoring utilities
License:	GPLv2+ and LGPLv2+
Group:		Monitoring
Url:		https://sourceforge.net/projects/procps-ng/
Source0:	https://sourceforge.net/projects/procps-ng/files/Production/%{name}-%{version}.tar.xz
BuildRequires:	libtool
BuildRequires:	po4a
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libselinux)

Provides:	procps = %{version}-%{release}
Provides:	proc2 = %{version}-%{release}

Conflicts:	sysvinit-legacy-tools < 2.87-25

%description
procps-ng is a fork of the procps project.
The procps-ng package contains a set of system utilities which provide system
information.

Procps-ng includes ps, free, skill, snice, pidof, pgrep, pmap, pwdx, slabtop,
sysctl, tload, top, uptime, vmstat, w, watch, pwdx and pidwait.

  * The ps command displays a snapshot of running processes.
  * The top command provides a repetitive update of the statuses of running
    processes.
  * The free command displays the amounts of free and used memory on your
    system.
  * The skill command sends a terminate command (or another specified signal)
    to a specified set of processes.
  * The snice command is used to change the scheduling priority of specified
    processes.
  * The tload command prints a graph of the current system load average to a
    specified tty.
  * The uptime command displays the current time, how long the system has been
    running, how many users are logged on and system load averages for the past
    one, five and fifteen minutes.
  * The w command displays a list of the users who are currently logged on and
    what they're running.
  * The watch program watches a running program.
  * The vmstat command displays virtual memory statistics about processes,
    memory, paging, block I/O, traps and CPU activity.
  * The pidwait command waits for processes of specified names.


%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
License:	LGPLv2+

%description -n	%{libname}
Main library for %{name}.


%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
License:	GPLv2+ and LGPLv2+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	proc2-devel = %{version}-%{release}
Provides:	procps-devel = %{version}-%{release}

%description -n	%{develname}
Development headers and library for the %{name} library.

%prep
%autosetup -p1

# don't install kill man pages
find . -name "kill.1" -print -delete

%build
autoreconf -fi
%configure \
		--disable-static \
		--disable-kill \
		--enable-watch8bit \
		--enable-colorwatch \
		--enable-w-from \
		--enable-skill \
		--enable-sigwinch \
		--enable-libselinux \
		--with-systemd \
		--disable-modern-top
%make_build

%install
%make_install

# these are created by make, yet empty. This causes rpmbuild errors.
rm -rf %{buildroot}%{_mandir}/{fr,pl,pt_BR,sv,zh_CN}/man5
rm -rf %{buildroot}%{_mandir}/{fr,de,pl,pt_BR,sv,zh_CN}/man3

%find_lang %{name} --all-name --with-man

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS NEWS doc/{FAQ,bugs.md,libproc.supp}
%license COPYING COPYING.LIB
%{_sbindir}/sysctl
%{_bindir}/ps
%{_bindir}/free
%{_bindir}/hugetop
%{_bindir}/pgrep
%{_bindir}/pidof
%{_bindir}/pidwait
%{_bindir}/pmap
%{_bindir}/pwdx
%{_bindir}/pkill
%{_bindir}/skill
%{_bindir}/slabtop
%{_bindir}/snice
%{_bindir}/tload
%{_bindir}/top
%{_bindir}/uptime
%{_bindir}/vmstat
%{_bindir}/w
%{_bindir}/watch

%{_mandir}/man1/ps.1*
%{_mandir}/man1/free.1*
%{_mandir}/man1/hugetop.1*
%{_mandir}/man1/pgrep.1*
%{_mandir}/man1/pidof.1*
%{_mandir}/man1/pidwait.1*
%{_mandir}/man1/pkill.1*
%{_mandir}/man1/skill.1*
%{_mandir}/man1/snice.1*
%{_mandir}/man1/pmap.1*
%{_mandir}/man1/pwdx.1*
%{_mandir}/man1/slabtop.1*
%{_mandir}/man1/tload.1*
%{_mandir}/man1/top.1*
%{_mandir}/man1/uptime.1*
%{_mandir}/man1/w.1*
%{_mandir}/man1/watch.1*
%{_mandir}/man3/procps*.3*
%{_mandir}/man5/sysctl.conf.5*
%{_mandir}/man8/sysctl.8*
%{_mandir}/man8/vmstat.8*

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/libproc2.so.%{major}{,.*}

%files -n %{develname}
%license COPYING COPYING.LIB
%{_includedir}/libproc2/
%{_libdir}/libproc2.so
%{_libdir}/pkgconfig/libproc2.pc
