Name:           proguard
Version:        6.2.2
Release:        %mkrel 2
Group:          Development/Java
Summary:        Java class file shrinker, optimizer, obfuscator and preverifier

License:        GPLv2+
URL:            https://www.guardsquare.com/en/proguard
Source0:        http://downloads.sourceforge.net/%{name}/%{name}%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        README.dist
Source3:        %{name}.png

BuildRequires:  java-devel >= 1:1.8.0
BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.gson:gson)
BuildRequires:  mvn(org.apache.ant:ant)
Requires:       javapackages-tools
Requires:       jpackage-utils
Requires:       java >= 1:1.6.0
Obsoletes:      %{name}-manual < 5.3.4

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

%description
ProGuard is a free Java class file shrinker, optimizer, obfuscator and
preverifier. It detects and removes unused classes, fields, methods, and
attributes. It optimizes bytecode and removes unused instructions. It
renames the remaining classes, fields, and methods using short meaningless
names. Finally, it preverifies the processed code for Java 6 or for Java
Micro Edition.

%package gui
Summary:        GUI for %{name}
# we convert the favicon.ico to png files of different sizes, so we require
# ImageMagick
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
Requires:       javapackages-tools
Requires:       %{name} = %{version}-%{release}

%description gui
A GUI for %{name}.

%package -n ant-%{name}
Summary:        Ant task for %{name}
Group:          Development/Java

%description -n ant-%{name}
Ant task for %{name}.


%prep
%setup -q -n %{name}%{version}

# remove all jar and class files, the snippet from Packaging:Java does 
# not work
find -name '*.jar' -print -delete
find -name '*.class' -print -delete

%pom_disable_module ../gradle buildscripts
%pom_xpath_remove -r pom:addClasspath buildscripts
%pom_remove_plugin -r :maven-source-plugin buildscripts
%pom_remove_plugin -r :maven-javadoc-plugin buildscripts

%mvn_package :*anttask anttask
%mvn_package :*gui gui
%mvn_file :%{name}-base %{name}/%{name}-base %{name}/%{name}

# add README.dist
cp -p %{SOURCE2} .

%build
%mvn_build -f -j -- -f buildscripts/pom.xml -Dsource=8

%install
%mvn_install

mkdir -p %{buildroot}%{_bindir}
%jpackage_script proguard.ProGuard "" "" %{name} %{name} true
%jpackage_script proguard.gui.ProGuardGUI "" "" %{name} %{name}-gui true
%jpackage_script proguard.retrace.ReTrace "" "" %{name} %{name}-retrace true

mkdir -p %{buildroot}%{_sysconfdir}/ant.d
echo "proguard" > %{buildroot}%{_sysconfdir}/ant.d/%{name}

#install the desktop file for proguard-gui
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

#copy icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
install -m 0644 %{S:3} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files -f .mfiles
%{_bindir}/%{name}
%{_bindir}/%{name}-retrace
%doc README.md
%license LICENSE.md LICENSE_exception.md

%files -n ant-%{name} -f .mfiles-anttask
%config(noreplace) %{_sysconfdir}/ant.d/%{name}

%files gui -f .mfiles-gui
%{_bindir}/%{name}-gui
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png


