#
# Don't forget to update libname.patch in gdal pkg when libproj major changes
#
%define  major      25
%define  libname    %mklibname %{name} %{major}
%define  develname  %mklibname %name -d
%define  sdevelname %mklibname %name -d -s

Name:           proj
Version:        9.5.1
Release:        %mkrel 1
Summary:        A Cartographic projection software
Group:          Sciences/Geosciences
License:        MIT
URL:            https://github.com/OSGeo/proj.4.git
Source0:        https://github.com/OSGeo/PROJ/releases/download/%{version}/%{name}-%{version}.tar.gz
Source3:        https://download.osgeo.org/proj/proj-data-1.20.tar.gz

BuildRequires: cmake
BuildRequires:  sqlite3-tools
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libcurl)
Provides:       proj4 = %{version}-%{release}


%description
PROJ is a generic coordinate transformation software that transforms
geospatial coordinates from one coordinate reference system (CRS) to
another. This includes cartographic projections as well as geodetic
transformations. PROJ includes command line applications for easy
conversion of coordinates from text files or directly from user
input. In addition to the command line utilities PROJ also exposes an
application programming interface, or API in short. The API lets
developers use the functionality of PROJ in their own software without
having to implement similar functionality themselves.
PROJ started purely as a cartography application letting users convert
geodetic coordinates into projected coordinates using a number of
different cartographic projections. Over the years, as the need has
become apparent, support for datum shifts has slowly worked its way
into PROJ as well. Today PROJ supports more than a hundred different
map projections and can transform coordinates between datums using all
but the most obscure geodetic techniques.



%package -n     %{libname}
Summary:        Cartographic projection libraries
Group:          System/Libraries
License:        MIT

%description -n %{libname}
Cartographic projection libraries.


%package -n     %{develname}
Summary:        Development files for Proj
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Provides:       proj4-devel = %{version}-%{release}
Provides:       libproj4-devel = %{version}-%{release}
Obsoletes:      %{sdevelname} < 9.0.0
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Development files for Proj.


%prep
%setup -q
pushd data
tar -zxvf %{SOURCE3}
popd
%autopatch -p1

%build
%cmake
%cmake_build


%install
%cmake_install

find %{buildroot}%{_libdir} -name *.la -delete


%files
%doc AUTHORS.md NEWS.md COPYING ChangeLog README.md
%{_bindir}/*
%{_mandir}/man1/*
#{_mandir}/man3/*
%{_datadir}/proj


%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}


%files -n %{develname}
%{_includedir}/*.h
%dir %{_includedir}/proj
%{_includedir}/proj/*.hpp
%{_libdir}/*.so
%{_libdir}/pkgconfig/proj.pc
%{_libdir}/cmake/proj/
%{_libdir}/cmake/proj4/

