%define major           1
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname %{name} -d

Name:           protobuf-c
Version:        1.5.1
Release:        %mkrel 1
Summary:        C bindings for Google's Protocol Buffers

Group:          Development/Other
License:        BSD
URL:            https://github.com/protobuf-c/protobuf-c
Source0:        https://github.com/protobuf-c/protobuf-c/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:         https://github.com/protobuf-c/protobuf-c/compare/master...edmonds/google-protobuf-30-fixes.diff

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig(protobuf)

%description
Protocol Buffers are a way of encoding structured data in an efficient yet
extensible format. This package provides a code generator and run-time
libraries to use Protocol Buffers from pure C (not C++).

It uses a modified version of protoc called protoc-c.

%package -n     %{libname}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libname}
This package contains the shared %{name} library.

%package -n     %{develname}
Summary:        Protocol Buffers C headers and libraries
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains protobuf-c headers and libraries.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%check
make check

%files
%doc TODO README.md
%license LICENSE
%{_bindir}/protoc-c
%{_bindir}/protoc-gen-c

%files -n %{libname}
%license LICENSE
%{_libdir}/libprotobuf-c.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/google
%{_includedir}/protobuf-c/
%{_includedir}/google/protobuf-c/
%{_libdir}/libprotobuf-c.so
%{_libdir}/pkgconfig/libprotobuf-c.pc
