%undefine _hardened_build

Summary:	A multithreaded download accelerator
Name:		prozilla
Version:	2.0.4
Release:	%mkrel 21
License: 	GPLv2+
URL:		https://prozilla.genesys.ro/
Group:		Networking/File transfer
Source:		https://prozilla.genesys.ro/downloads/prozilla/tarballs/%{name}-%{version}.tar.bz2
Patch0:		prozilla_download_win.h.patch
Patch1:		prozilla-2.0.4-automake-1.13.patch
Patch2:		prozilla-2.0.4-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(ncurses)

%description
ProZilla is a multithreaded download accelerator for Linux which supports
both HTTP and FTP protocols. It makes multiple connections to the server
and downloads the file in portions, thus giving a much better speed rate
than the conventional download programs which use a single connection.
Resuming connections is fully supported and customisable.

%package devel
Summary:	Header files and development files for %{name}
Group:		Networking/File transfer
Requires:	%{name}

%description devel
Header files and development files for %{name}.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 2 -p1

# fix for make_install macro
sed -i -e \
     s'|gnulocaledir = $(prefix)/share/locale|gnulocaledir = %{buildroot}$(prefix)/share/locale|' \
     po/Makefile.in.in

sed -i -e \
     s'|gnulocaledir = $(prefix)/share/locale|gnulocaledir = %{buildroot}$(prefix)/share/locale|' \
     libprozilla/po/Makefile.in.in

# fix build on aarch64
for d in . libprozilla; do
  cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} $d
done

%build
%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# (mpol) remove unwanted locale files
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/.mo
[ -f %{buildroot}%{_datadir}/locale/locale.alias ] && rm -f %{buildroot}%{_datadir}/locale/locale.alias

%find_lang proz

%files -f proz.lang
%doc AUTHORS ChangeLog CREDITS COPYING NEWS README TODO
%_bindir/*
%_mandir/man1/*

%files devel
%{_includedir}/*
%{_libdir}/*.a
