%define debug_package	%{nil}

Name:		ps3mediaserver
Version:	1.90.1
Release:	%mkrel 6
Summary:	DLNA compliant Upnp Media Server for the PS3
Group:		Video/Utilities
License:	Proprietary
URL:		https://code.google.com/p/ps3mediaserver/
Source0:	https://sourceforge.net/projects/%{name}/files/pms-%{version}-generic-linux-unix.tar.gz
Source1:	%{name}.png
BuildRequires:	imagemagick

Requires:	java
Requires:	mencoder
Requires:	ffmpeg
Requires:	mplayer
Requires:	mediainfo

%description
PS3 Media Server is a DLNA compliant UPnP Media Server for the PS3,
written in Java, with the purpose of streaming or transcoding any kind
of media files, with minimum configuration. It's backed up with the
powerful Mplayer/FFmpeg packages.

%prep
%setup -q -n pms-%{version}

%build
echo "Hi, i'm a fake build"

%install
# data
%__install -dm 0755 %{buildroot}%{_datadir}/%{name}
cp -af * %{buildroot}%{_datadir}/%{name}

# binary
%__mkdir -p %{buildroot}%{_bindir}
%__cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}
exec ./PMS.sh
EOF
%__chmod +x %{buildroot}%{_bindir}/%{name}

# icons
%__mkdir_p %{buildroot}{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
%__install -m 0644 %{SOURCE1} %{buildroot}%{_liconsdir}/%{name}.png
%__install -m 0644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
%__install -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
convert %{buildroot}%{_miconsdir}/%{name}.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert %{buildroot}%{_iconsdir}/%{name}.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png

# menu-entry
%__mkdir_p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=PS3 Media Server
Comment=Media Server for the PS3
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Video;Player;
EOF

%files
%doc CHANGELOG.txt LICENSE.txt README.md
%doc documentation
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
# remove this files as they are duplicate with doc
%exclude %{_datadir}/%{name}/documentation
%exclude %{_datadir}/%{name}/*.txt
%exclude %{_datadir}/%{name}/*.md
