Name:    psfex
Version: 3.24.2
Release: %mkrel 1
Summary: Model the Point Spread Function from FITS images

Group:   Sciences/Astronomy
License: GPLv3
URL:     https://www.astromatic.net/software/%{name}
Source0: https://github.com/astromatic/psfex/releases/tag/%{name}-%{version}.tar.gz

BuildRequires: fftw-devel
BuildRequires: libatlas-devel
BuildRequires: lapack-devel
BuildRequires: pkgconfig(plplot) >= 5.10.0
ExcludeArch: %{ix86} armv7hl

%description
PSFEx (“PSF Extractor”) extracts models of the Point Spread Function (PSF)
from FITS images processed with SExtractor and measures the quality of images.
The generated PSF models can be used for model-fitting photometry or
morphological analyses.

%prep
%autosetup -p1


touch plplot_config.h

# New atlas libs
#sed -i -e '/LIBS*=.*atlas/s,=.*,="-L%{_libdir}/atlas -lsatlas",' configure.ac


%build
#autoreconf -vfi
./autogen.sh
CFLAGS="%{optflags} -fcommon"
%configure  --with-atlas-libdir=%{_libdir}/atlas
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/manx/%{name}.x*
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/default.conv
%{_datadir}/%{name}/default.psfex
%{_datadir}/%{name}/prepsfex.param
%{_datadir}/%{name}/prepsfex.sex
%{_datadir}/%{name}/psfex.xsl

