%define	version			1.8.1

%{?perl_default_filter:%perl_default_filter}

Name:       psh
Version:    %perl_convert_version %{version}
Release:    %mkrel 16
Summary:    Developing for Perl Shell
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{name}-%{version}.tar.gz
Patch0:	    psh-perl5.22-fix.diff

BuildRequires: perl(Cwd)
BuildRequires: perl(File::Spec)
BuildArch:  noarch

%description
*psh* is a Perl program which executes a read-eval loop with enough options
so that general behavior reasonably similar to more traditional shells like
'*sh*' or '*bash*' can be achieved, while still allowing arbitrary perl
expressions to be evaluated.

By default within *psh*, the Perl *-w* flag and ''use strict'' are not
employed so that the user is not bound by their stipulations. They can both
be turned on via a command-line flag; or setting '$^W = 1' will turn on
warnings, and calling ''use strict'' will (almost) do the usual thing if
called by the user (see LIMITATIONS, below).

Each line of input is read. *psh* knows a number of possible strategies for
evaluating the line, such as "send it to 'system()' if it starts with the
name of an executable visible in '$ENV{PATH}'". (See below for a complete
list.) Each strategy in turn (from a user-definable list) examines the
command line to see if it can apply, and the first matching strategy
evaluates the line. There is a *psh* configuration variable (see below)
which controls whether the perl value of the evaluation is saved and
printed after each command.

%prep
%setup -q
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc COPYRIGHT HACKING INSTALL META.yml README RELEASE TODO examples
%{_bindir}/psh
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
