# Set to 1 to enable webkit support
%define build_webkit 0

%define rel 6

Summary:        Jabber client using Qt5
Name:           psi
Version:        1.5
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          Networking/Instant messaging
URL:            https://psi-im.org/
Source0:        https://prdownloads.sourceforge.net/psi/%{name}-%{version}.tar.xz
Source1:        https://github.com/psi-im/plugins/archive/%{version}/plugins-%{version}.tar.gz
Source2:        https://github.com/psi-im/psi-l10n/archive/%{version}/psi-l10n-%{version}.tar.gz
Source3:        %{name}-icons.tar.bz2
Source4:        %{name}-smileysets.tar.bz2
Source5:        %{name}-iconsets.tar.bz2
Patch0:         psi-1.3-icons-hicolor-install.patch
Patch1:         psi-1.3-hunspell-1.7.patch
Patch2:         psi-1.5-fix-build-with-qt-5.15.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
%if %{build_webkit}
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
%endif
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(libotr)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(qca2-qt5)
BuildRequires:  pkgconfig(tidy)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(zlib)

Requires:       %{name}-lang-pack = %{version}-%{release}
Requires:       %{name}-plugins = %{version}-%{release}
Requires:       qca-qt5
Recommends:     sasl-plug-scram

%define langlist be cs de eo es fr it ja mk pl pt_BR ru sl sv uk ur_PK vi zh_CN zh_TW
%{expand:%(for lang in %{langlist}; do echo "%%{expand:%%define build_$lang 1}"; done)}

%description
Psi is the premiere Instant Messaging application designed for Microsoft
Windows, Apple Mac OS X and GNU/Linux. Built upon an open protocol named
Jabber, Psi is a fast and lightweight messaging client that utilises the best
in open source technologies.
The goal of the Psi project is to create a powerful, yet easy-to-use
Jabber/XMPP client that tries to strictly adhere to the XMPP drafts.and Jabber
JEPs. This means that in most cases, Psi will not implement a feature unless
there is an accepted standard for it in the Jabber community. Doing so ensures
that Psi will be compatible, stable, and predictable, both from an end-user and
developer standpoint.

%files
%doc README COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/sound
%dir %{_datadir}/%{name}/certs
%dir %{_datadir}/%{name}/iconsets
%dir %{_datadir}/%{name}/iconsets/activities
%dir %{_datadir}/%{name}/iconsets/affiliations
%dir %{_datadir}/%{name}/iconsets/clients
%dir %{_datadir}/%{name}/iconsets/emoticons
%dir %{_datadir}/%{name}/iconsets/moods
%dir %{_datadir}/%{name}/iconsets/roster
%dir %{_datadir}/%{name}/iconsets/system
%{_datadir}/%{name}/client_icons.txt
%{_datadir}/%{name}/certs/README
%{_datadir}/%{name}/certs/startcom_ca.crt
%{_datadir}/%{name}/certs/startcom_ca_new.crt
%{_datadir}/%{name}/iconsets/activities/default/
%{_datadir}/%{name}/iconsets/affiliations/default/
%{_datadir}/%{name}/iconsets/clients/default/
%{_datadir}/%{name}/iconsets/emoticons/default/
%{_datadir}/%{name}/iconsets/moods/default/
%{_datadir}/%{name}/iconsets/roster/README
%{_datadir}/%{name}/iconsets/roster/*.jisp
%{_datadir}/%{name}/iconsets/roster/default/
%{_datadir}/%{name}/iconsets/system/README
%{_datadir}/%{name}/iconsets/system/default/
%{_datadir}/%{name}/sound/*.wav
%if %{build_webkit}
%dir %{_datadir}/%{name}/themes
%{_datadir}/%{name}/themes/chatview/
%endif

#--------------------------------------------------------------------

%package -n     %{name}-iconsets
Summary:        Package with iconsets
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}

%description -n %{name}-iconsets
This package contain a various iconsets for psi.

%files -n %{name}-iconsets
%{_datadir}/%{name}/iconsets/system/amibulb.jisp
%{_datadir}/%{name}/iconsets/system/amiglobe.jisp
%{_datadir}/%{name}/iconsets/system/berlin-icq.jisp
%{_datadir}/%{name}/iconsets/system/berlin.jisp
%{_datadir}/%{name}/iconsets/system/chrome.jisp
%{_datadir}/%{name}/iconsets/system/dudes.jisp
%{_datadir}/%{name}/iconsets/system/dudes2.jisp
%{_datadir}/%{name}/iconsets/system/email.jisp
%{_datadir}/%{name}/iconsets/system/gothRoster.jisp
%{_datadir}/%{name}/iconsets/system/individual.jisp
%{_datadir}/%{name}/iconsets/system/kitty.jisp
%{_datadir}/%{name}/iconsets/system/lightbulb.jisp
%{_datadir}/%{name}/iconsets/system/msn6.jisp
%{_datadir}/%{name}/iconsets/system/neos.jisp
%{_datadir}/%{name}/iconsets/system/speechbubbles.jisp
%{_datadir}/%{name}/iconsets/system/stellar.jisp

#--------------------------------------------------------------------

%package -n     %{name}-smileysets
Summary:        Package with smileysets
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}

%description -n %{name}-smileysets
This package contain a various smileysets for psi.

%files -n %{name}-smileysets
%{_datadir}/%{name}/iconsets/emoticons/AIM.jisp
%{_datadir}/%{name}/iconsets/emoticons/Chibi.jisp
%{_datadir}/%{name}/iconsets/emoticons/JIM.jisp
%{_datadir}/%{name}/iconsets/emoticons/KMess-Cartoon-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/Ninja.jisp
%{_datadir}/%{name}/iconsets/emoticons/Taryn.jisp
%{_datadir}/%{name}/iconsets/emoticons/apple_ichat-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/critters-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/gadu-gadu.jisp
%{_datadir}/%{name}/iconsets/emoticons/icq-2002a.jisp
%{_datadir}/%{name}/iconsets/emoticons/ikonboard-3.1.jisp
%{_datadir}/%{name}/iconsets/emoticons/invision_board-1.0.1.jisp
%{_datadir}/%{name}/iconsets/emoticons/kreativ_squareheads.jisp
%{_datadir}/%{name}/iconsets/emoticons/megapack-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/msn.jisp
%{_datadir}/%{name}/iconsets/emoticons/patricks_faces-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/shinyicons.jisp
%{_datadir}/%{name}/iconsets/emoticons/tlen.pl-3.73.jisp
%{_datadir}/%{name}/iconsets/emoticons/trill-basic-smileys.jisp
%{_datadir}/%{name}/iconsets/emoticons/webmessenger.jisp
%{_datadir}/%{name}/iconsets/emoticons/wpkontakt-2.4.1.jisp
%{_datadir}/%{name}/iconsets/emoticons/yahoo_messenger.jisp

#--------------------------------------------------------------------

%package        plugins
Summary:        Plugins for Psi Jabber client
Group:          Networking/Instant messaging
Requires:       %{name} = %{version}

%description    plugins
This package contain a various plugins for psi.
In this package are available:

  * Attention (send and receive special messages such as Attentions).
  * Autoreply (auto-answering machine).
  * Birthday Reminder (show reminders of upcoming birthdays).
  * Chess (play chess with your friends).
  * Cleaner (clear the avatar cache, saved local copies and history
    logs).
  * Client Switcher (spoof version of the Jabber client and the OS).
  * Conference Logger (save conference logs).
  * Content Downloader (download and install roster iconsets and
    emoticons).
  * Extended Menu (adds submenu 'Extended Actions' to contact's context
    menu).
  * Extended Options (easy configuration of some advanced options).
  * GnuPG (a front-end for gnupg).
  * Gomoku game.
  * History Keeper (remove the history of selected contacts when closing
    psi).
  * Http Upload.
  * ICQ Must Die (transfer as many contacts as possible from ICQ to
    Jabber).
  * Image (send images to roster contacts).
  * Image Preview.
  * Jabber Disk.
  * Juick (work with the Juick microblogging service).
  * Message filter.
  * Off-the-Record Messaging: a cryptographic protocol that provides
    strong encryption for instant messaging conversations.
  * PEP Change Notify (display popup notifications on change of moods,
    activities and tunes at the contacts).
  * Qip X-statuses (display X-statuses of contacts using the QIP Infium
    jabber client).
  * Screenshot (make a snapshot of the screen).
  * Skins Plugin (create, store and apply skins).
  * Stop Spam (block spam messages and unwanted information).
  * Storage Notes (Private XML Storage, compatible with Miranda IM).
  * Translate (convert selected text into another language).
  * Video Status Changer (set the custom status when you see the video
    in selected video player).
  * Watcher.

%files plugins
%doc COPYING
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/*.so

#--------------------------------------------------------------------

%package -n     %{name}-lang-pack-en
Summary:        English language pack for psi
Group:          System/Internationalization
Requires:       locales-en
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-en
This package adds support for English to psi.

%files -n %{name}-lang-pack-en

#--------------------------------------------------------------------

%if %{build_be}
%package -n     %{name}-lang-pack-be
Summary:        Belarusian language pack for psi
Group:          System/Internationalization
Requires:       locales-be
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-be
This package adds support for Belarusian to psi.

%files -n %{name}-lang-pack-be
%{_datadir}/%{name}/%{name}_be.qm
%endif

#--------------------------------------------------------------------

%if %{build_cs}
%package -n     %{name}-lang-pack-cs
Summary:        Czech language pack for psi
Group:          System/Internationalization
Requires:       locales-cs
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-cs
This package adds support for Czech to psi.

%files -n %{name}-lang-pack-cs
%{_datadir}/%{name}/%{name}_cs.qm
%endif

#--------------------------------------------------------------------

%if %{build_de}
%package -n     %{name}-lang-pack-de
Summary:        Deutsch language pack for psi
Group:          System/Internationalization
Requires:       locales-de
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-de
This package adds support for Deutsch to psi.

%files -n %{name}-lang-pack-de
%{_datadir}/%{name}/%{name}_de.qm
%endif

#--------------------------------------------------------------------

%if %{build_eo}
%package -n     %{name}-lang-pack-eo
Summary:        Esperanto language pack for psi
Group:          System/Internationalization
Requires:       locales-eo
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-eo
This package adds support for Esperanto to psi.

%files -n %{name}-lang-pack-eo
%{_datadir}/%{name}/%{name}_eo.qm
%endif

#--------------------------------------------------------------------

%if %{build_es}
%package -n     %{name}-lang-pack-es
Summary:        Spanish language pack for psi
Group:          System/Internationalization
Requires:       locales-es
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-es
This package adds support for Spanish to psi.

%files -n %{name}-lang-pack-es
%{_datadir}/%{name}/%{name}_es.qm
%endif
#--------------------------------------------------------------------

%if %{build_fr}

%package -n     %{name}-lang-pack-fr
Summary:        French language pack for psi
Group:          System/Internationalization
Requires:       locales-fr
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-fr
This package adds support for French to psi.

%files -n %{name}-lang-pack-fr
%{_datadir}/%{name}/%{name}_fr.qm
%endif

#--------------------------------------------------------------------

%if %{build_it}

%package -n     %{name}-lang-pack-it
Summary:        Italian language pack for psi
Group:          System/Internationalization
Requires:       locales-it
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-it
This package adds support for Italian to psi.

%files -n %{name}-lang-pack-it
%{_datadir}/%{name}/%{name}_it.qm
%endif

#--------------------------------------------------------------------

%if %{build_ja}
%package -n     %{name}-lang-pack-ja
Summary:        Japanese language pack for psi
Group:          System/Internationalization
Requires:       locales-ja
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-ja
This package adds support for Japanese to psi.

%files -n %{name}-lang-pack-ja
%{_datadir}/%{name}/%{name}_ja.qm
%endif

#--------------------------------------------------------------------

%if %{build_mk}

%package -n     %{name}-lang-pack-mk
Summary:        Macedonia language pack for psi
Group:          System/Internationalization
Requires:       locales-mk
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-mk
This package adds support for Macedonian to psi.

%files -n %{name}-lang-pack-mk
%{_datadir}/%{name}/%{name}_mk.qm
%endif

#--------------------------------------------------------------------

%if %{build_pl}
%package -n     %{name}-lang-pack-pl
Summary:        Polish language pack for psi
Group:          System/Internationalization
Requires:       locales-pl
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-pl
This package adds support for Polish to psi.

%files -n %{name}-lang-pack-pl
%{_datadir}/%{name}/%{name}_pl.qm
%endif

#--------------------------------------------------------------------

%if %{build_pt_BR}
%package -n     %{name}-lang-pack-pt_br
Summary:        Brazilian Portuguese language pack for psi
Group:          System/Internationalization
Requires:       locales-pt
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-pt_br
This package adds support for Brazilian Portuguese to psi.

%files -n %{name}-lang-pack-pt_br
%{_datadir}/%{name}/%{name}_pt_BR.qm
%endif

#--------------------------------------------------------------------

%if %{build_ru}
%package -n     %{name}-lang-pack-ru
Summary:        Russian language pack for psi
Group:          System/Internationalization
Requires:       locales-ru
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-ru
This package adds support for Russian to psi.

%files -n %{name}-lang-pack-ru
%{_datadir}/%{name}/%{name}_ru.qm
%endif

#--------------------------------------------------------------------

%if %{build_sl}
%package -n     %{name}-lang-pack-sl
Summary:        Slovenian language pack for psi
Group:          System/Internationalization
Requires:       locales-sl
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-sl
This package adds support for Slovenian to psi.

%files -n %{name}-lang-pack-sl
%{_datadir}/%{name}/%{name}_sl.qm
%endif

#--------------------------------------------------------------------

%if %{build_sv}
%package -n     %{name}-lang-pack-sv
Summary:        Swedish language pack for psi
Group:          System/Internationalization
Requires:       locales-sv
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-sv
This package adds support for Swedish to psi.

%files -n %{name}-lang-pack-sv
%{_datadir}/%{name}/%{name}_sv.qm
%endif

#--------------------------------------------------------------------

%if %{build_uk}
%package -n     %{name}-lang-pack-uk
Summary:        Ukrainian language pack for psi
Group:          System/Internationalization
Requires:       locales-uk
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-uk
This package adds support for Ukrainian to psi.

%files -n %{name}-lang-pack-uk
%{_datadir}/%{name}/%{name}_uk.qm
%endif

#--------------------------------------------------------------------

%if %{build_ur_PK}
%package -n     %{name}-lang-pack-ur_PK
Summary:        Urdu language pack for psi
Group:          System/Internationalization
Requires:       locales-ur
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-ur_PK
This package adds support for Urdu to psi.

%files -n %{name}-lang-pack-ur_PK
%{_datadir}/%{name}/%{name}_ur_PK.qm
%endif

#--------------------------------------------------------------------

%if %{build_vi}
%package -n     %{name}-lang-pack-vi
Summary:        Vietnamese language pack for psi
Group:          System/Internationalization
Requires:       locales-vi
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-vi
This package adds support for Vietnamese to psi.

%files -n %{name}-lang-pack-vi
%{_datadir}/%{name}/%{name}_vi.qm
%endif

#--------------------------------------------------------------------

%if %{build_zh_TW}
%package -n     %{name}-lang-pack-zh
Summary:        Chinese language pack for psi
Group:          System/Internationalization
Requires:       locales-zh
Provides:       %{name}-lang-pack = %{version}-%{release}

%description -n %{name}-lang-pack-zh
This package adds support for Chinese to psi.

%files -n %{name}-lang-pack-zh
%{_datadir}/%{name}/%{name}_zh_TW.qm
%{_datadir}/%{name}/%{name}_zh_CN.qm
%endif

#--------------------------------------------------------------------

%prep
%setup -q
%setup -q -T -D -a1 -a2 -a3 -a4 -a5 -n %{name}-%{version}
%autopatch -p1

# Copy plugins sources to psi source dir
cp -r plugins-%{version}/{dev,generic,unix} src/plugins
rm -rf plugins-%{version}

%build
%{_qt5_bindir}/lrelease psi-l10n-%{version}/translations/*.ts

%cmake_qt5 \
        %if %{build_webkit} == 0
        -DENABLE_WEBKIT=OFF \
        %endif
        -DENABLE_PLUGINS=ON \
        -DPLUGINS_PATH="%{_lib}/%{name}/plugins"

%cmake_build

%install
%cmake_install

# if some set is added/removed don't remember update files section too
# Install smileysets
cp %{name}-smileysets/* %{buildroot}%{_datadir}/%{name}/iconsets/emoticons
# Install iconsets
cp %{name}-iconsets/* %{buildroot}%{_datadir}/%{name}/iconsets/system

# Install translation files (see update_translations.sh in Source2)
for lang in %langlist; do
  cp psi-l10n-%{version}/translations/%{name}_$lang.qm %{buildroot}%{_datadir}/%{name}/
done

mkdir -p %{buildroot}%{_datadir}/metainfo
install -pm 0644 %{name}.appdata.xml %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml
