%define major 6
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: PSION 5(MX) file format data conversion utilities
Name: psiconv
Version: 0.9.9
Release: %mkrel 5
Source0: https://www.frodo.looijaard.name/system/files/software/psiconv/%{name}-%{version}.tar.gz
License: GPL
Group: File tools
Url: https://software.frodo.looijaard.name/psiconv/
BuildRequires: imagemagick-devel
BuildRequires: bc
Patch0: psiconv-0.9.8-gcc10.patch

%description
The Psion 5 has several built-in applications. They use their own file
formats to save data files. Psion has written file conversion
utilities for Windows 95, in the form of their PsiWin program. But
there are no conversion utilities for other operating systems. Also,
Psion is not able to or does not want to release enough data for
others to write their own conversion programs. At least, that is what
I have gathered through the newsgroups and from other sources.

%package -n %libname
Group: System/Libraries
Summary: PSION 5(MX) file format data conversion library

%description -n %libname
The Psion 5 has several built-in applications. They use their own file
formats to save data files. Psion has written file conversion
utilities for Windows 95, in the form of their PsiWin program. But
there are no conversion utilities for other operating systems. Also,
Psion is not able to or does not want to release enough data for
others to write their own conversion programs. At least, that is what
I have gathered through the newsgroups and from other sources.

This contains a shared library that can be used by programs to convert
PSION files.

%package -n %develname
Group: Development/C
Summary: PSION 5(MX) file format data conversion library
Requires: %libname = %version
Provides: libpsiconv-devel = %version-%release
Obsoletes: %{_lib}psiconv6-devel < 0.9.8-17

%description -n %develname
The Psion 5 has several built-in applications. They use their own file
formats to save data files. Psion has written file conversion
utilities for Windows 95, in the form of their PsiWin program. But
there are no conversion utilities for other operating systems. Also,
Psion is not able to or does not want to release enough data for
others to write their own conversion programs. At least, that is what
I have gathered through the newsgroups and from other sources.

Install this if you want to compile an application that uses psiconv
to convert PSION files.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install
%multiarch_binaries %buildroot%_bindir/psiconv-config
rm -rf %buildroot%_datadir/psiconv/xhtml %buildroot%{_libdir}/*.la

%files
%doc TODO README NEWS AUTHORS ChangeLog
%dir %_sysconfdir/psiconv/
%config(noreplace) %_sysconfdir/psiconv/*
%_bindir/%name
%_mandir/man1/%name.1*
%_datadir/%name

%files -n %libname
%_libdir/libpsiconv.so.%{major}
%_libdir/libpsiconv.so.%{major}.*

%files -n %develname
%_libdir/libpsiconv.so
%_includedir/%name
%_bindir/psiconv-config
%multiarch_bindir/psiconv-config
%_mandir/man1/psiconv-config.1*
%_mandir/man5/psiconv.conf.5*
