%define         major       0
%define         libname     %mklibname pslib %{major}
%define         develname   %mklibname pslib -d

%define         docfiles    AUTHORS COPYING ChangeLog README

Name:           pslib
Summary:        A C-library for generating multi-pages PostScript documents
Version:        0.4.8
Release:        %mkrel 1
License:        GPLv2
Group:          System/Libraries

URL:            https://pslib.sourceforge.net/
Source0:        https://prdownloads.sourceforge.net/pslib/pslib-%{version}.tar.gz
Patch1:		pslib-0.4.5-linking.patch
BuildRequires:  glibc-devel
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  libungif-devel
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  perl(XML::Parser)
BuildRequires:  docbook-to-man
BuildRequires:  docbook-utils

%description
%{summary}.

%package data
Summary:	Data files for %{name}
Group:		System/Libraries
BuildArch:	noarch
Conflicts:	%{_lib}pslib0 < 0.4.5-11

%description data
Data and internalization files for %{name}.

%package -n     %{libname}
Summary:	A C-library for generating multi-pages PostScript documents
Group:		System/Libraries
Requires:	%{name}-data >= %{version}-%{release}

%description -n %{libname}
Pslib is a C-library for generating multi page PostScript documents. There are
functions for drawing lines, arcs, rectangles, curves, etc. Pslib also provides
very sophisticated functions for text output including hyphenation and kerning.

%package -n     %{develname}
Summary:        Static library and header files for the PSlib library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}pslib0 < 0.4.5-11

%description -n %{develname}
%{summary}.

%prep
%setup -q
%autopatch -p1

chmod 644 %docfiles

%build
#fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -n %{libname}
%doc %docfiles
%{_libdir}/*.so.%{major}{,.*}

%files data -f %{name}.lang
%{_datadir}/%{name}/

%files -n %{develname}
%{_includedir}/libps/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*
