Summary:        Utilities for managing processes on your system
Name:           psmisc
Version:        23.7
Release:        %mkrel 1
License:        GPLv2+
Group:          Monitoring
URL:            https://psmisc.sourceforge.net/
Source0:        https://downloads.sourceforge.net/psmisc/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(ncurses)

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE"
%configure \
        --disable-rpath
%make_build

%install
%make_install

# (cg) This was traditionally shipped in /sbin, but it should just live in
# /usr. Add a symlink for any scripts that hard code paths (maybe one day we
# will merge bin and sbin?
mkdir -p %{buildroot}%{_sbindir}
ln -s ../bin/fuser %{buildroot}%{_sbindir}

%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/fuser
%{_sbindir}/fuser
%{_bindir}/killall
%{_bindir}/peekfd
%{_bindir}/prtstat
%{_bindir}/pslog
%{_bindir}/pstree*
%{_mandir}/man1/fuser.1*
%{_mandir}/man1/killall.1*
%{_mandir}/man1/peekfd.1*
%{_mandir}/man1/prtstat.1*
%{_mandir}/man1/pstree.1*
%{_mandir}/man1/pslog.1*
