Summary:	Parallel SSH tools
Name:		pssh
Version:	2.3.5
Release:	%mkrel 2
Group:		Networking/Remote access
License:	BSD
Url:		https://github.com/lilydjwg/pssh
Source:		https://github.com/lilydjwg/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:	pkgconfig(python3)

Requires:	openssh
Requires:	python3-psshlib = %{version}-%{release}

%description
This package provides various parallel tools based on ssh and scp.
Parallel versions includes:
 o ssh : pssh
 o scp : pscp
 o nuke : pnuke
 o rsync : prsync
 o slurp : pslurp

%package -n python3-psshlib
Summary:	Parallel SSH library for Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-psshlib}

%description -n python3-psshlib
The psshlib library enables custom applications to use PSSH.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files psshlib

# move usr/bin/pssh-askpass to usr/libexec/pssh/pssh-askpass (see in INSTALL)
mkdir -p %{buildroot}%{_libexecdir}/%{name}
mv %{buildroot}%{_bindir}/pssh-askpass %{buildroot}%{_libexecdir}/%{name}/pssh-askpass

install -d %{buildroot}%{_mandir}/man1
install -p -m 0644 man/man1/*.1  %{buildroot}%{_mandir}/man1
mv %{buildroot}%{_mandir}/man1/pscp.1 %{buildroot}%{_mandir}/man1/pscp.pssh.1

%files
%doc ChangeLog AUTHORS COPYING
%{_bindir}/p*
%{_libexecdir}/%{name}/
%{_mandir}/man1/p*.1*

%files -n python3-psshlib -f %{pyproject_files}
