%define major		0
%define libname		%mklibname pstoedit %{major}
%define develname	%mklibname pstoedit -d

Summary:	Translates PostScript/PDF graphics into other vector formats
Name:		pstoedit
Version:	4.02
Release:	%mkrel 1
License:	GPLv2
Group:		Graphics/Editors and Converters
URL:		http://www.pstoedit.net/
Source0: 	https://prdownloads.sourceforge.net/pstoedit/%{name}-%{version}.tar.gz
# Fix cflags of the pkg-config file
Patch0:         pstoedit-pkglibdir.patch
BuildRequires:	bison
BuildRequires:	ghostscript
BuildRequires:	imagemagick-devel
BuildRequires:	plotutils-devel
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(libzip)

# not compatible
BuildConflicts:	ming-devel

%description
pstoedit translates PostScript and PDF graphics into other vector formats.
Currently pstoedit can generate the following formats:

	- Tgif .obj format (for tgif version >= 3)
	- fig format for xfig
	- pdf Adobe Portable Document Format
	- gnuplot format
	- Flattened PostScript (with or without Bezier curves)
	- DXF - CAD exchange format
	- LWO - LightWave 3D
	- RIB - RenderMan
	- RPL - Real3D
	- Idraw format (a special format of EPS that Idraw can read)
	- Tcl/Tk
	- HPGL
	- AI - Adobe Illustrator Format (based on ps2ai.ps, not a real pstoedit)
	- WMF - Windows Meta Files
	- PIC format for troff/groff
	- MetaPost format per usage with TeX/LaTeX
	- LaTeX2e picture
	- Kontour
	- GNU Metafile (plotutils/libplot)
	- Sketch (https://sketch.sourceforge.net)
	- Mathematica
	- through ImageMagick to any format supported by ImageMagick

%package -n %{libname}
Summary:	Pstoedit libraries
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with pstoedit libraries.

%package -n %{develname}
Summary:	Static libraries and header files for pstoedit development
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{develname}
If you want to create applications that will use pstoedit code or
APIs, you'll need to install these packages as well as pstoedit. This
additional package isn't necessary if you simply want to use pstoedit.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static --with-libplot --with-magick
%make_build

%install
%make_install

%files
%doc doc/changelog.htm doc/readme.txt doc/pstoedit.htm doc/pstoedit.pdf
%doc examples
%license copying
%{_bindir}/pstoedit
%{_datadir}/pstoedit
%{_mandir}/man1/*.1*

%files -n %{libname}
%license copying
%{_libdir}/*.so.%{major}{,.*}
%{_libdir}/pstoedit/

%files -n %{develname}
%doc doc/changelog.htm
%{_includedir}/pstoedit/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
