# Unbundle gnulib
%bcond_with psutils_enables_unbundling_gnulib

Name:       psutils
Version:    2.10
Release:    %mkrel 1
Summary:    PostScript utilities
# COPYING:          GPLv3 text
# epsffit.1:        GPLv3+
# epsffit.in.in:    GPLv3+
# extractres.in.in: psutils
# includeres.in.in: psutils
# psbook.1:         GPLv3+
# psbook.in.in:     GPLv3+
# psjoin.1:         GPLv3+
# psjoin.in.in:     GPLv3+
# psnup.in.in:      GPLv3+
# psresize.1:       GPLv3+
# psresize.in.in:   GPLv3+
# psselect.1:       GPLv3+
# psselect.in.in:   GPLv3+
# pstops.1:         GPLv3+
# pstops.in.in:     GPLv3+
# PSUtils.pm:       GPLv3+
# README:           GPLv3+
## Not in any binary package
# aclocal.m4:       FSFULLR
# build-aux/compile:        GPLv2+ with Autoconf exception
# build-aux/config.guess:   GPLv3+ with Autoconf exception
# build-aux/config.sub:     GPLv3+ with Autoconf exception
# build-aux/depcomp:        GPLv2+ with Autoconf exception
# build-aux/install-sh:     MIT
# build-aux/missing:        GPLv2+ with Autoconf exception
# build-aux/mdate-sh:       GPLv2+ with Autoconf exception
# build-aux/test-driver:    GPLv2+ with Autoconf exception
# build-aux/texinfo.tex:    GPLv3+ with TeX exception
# configure:                FSFULLR
# INSTALL:                  FSFAP
# m4/00gnulib.m4:           FSFULLR
# m4/ax_check_gnu_make.m4:  FSFAP
# m4/gnulib-common.m4:      FSFULLR
# m4/gnulib-comp.m4:        GPLv3+ with Autoconf exception
# m4/relocatable-lib.m4:    FSFULLR
# Makefile.in:              FSFULLR
# old-scripts/fixwfwps:     See LICENSE
# pre-inst-env:             GPLv2+
# pre-inst-env.in:          GPLv2+
License:    GPLv3+ and psutils
Group:	    Publishing
URL:        https://github.com/rrthomas/psutils
Source:     https://github.com/rrthomas/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  autoconf
BuildRequires:  automake >= 1.11
BuildRequires:  bash
# coreutils for chmod in Makefile.am
BuildRequires:  coreutils
# gcc is a default autoconf dependency and populates EXEEXT variable used in
# Makefile.am.
BuildRequires:  gcc
%if %{with psutils_enables_unbundling_gnulib}
BuildRequires:  gnulib-devel
%endif
BuildRequires:  grep
BuildRequires:  make
BuildRequires:  sed
# Run-time:
BuildRequires:  paper
BuildRequires:  perl(base)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  diffutils
# Only for building
Provides:       bundled(gnulib)%(perl -ne 'if($. == 1 and /\A(\d+)-(\d+)-(\d+)/) {print qq{ = $1$2$3}}' %{_defaultdocdir}/gnulib/ChangeLog 2>/dev/null)
Requires:       paper

# Filter private modules
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(PSUtils\\)
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}^perl\\(PSUtils\\)

%description
Utilities for manipulating PostScript documents.
Page selection and rearrangement are supported, including arrangement into
signatures for booklet printing, and page merging for n-up printing.

%prep
%setup -q
%if %{with psutils_enables_unbundling_gnulib}
gnulib-tool --import --no-changelog relocatable-perl
%endif

%build
%configure --disable-relocatable
%make_build

%install
%make_install

%check
unset PSUTILS_UNINSTALLED
make check ||:

%files
%license COPYING
# ChangeLog is not helpful
# old-scripts excluded intentionally
%doc README
%{_bindir}/epsffit
%{_bindir}/extractres
%{_bindir}/includeres
%{_bindir}/psbook
%{_bindir}/psjoin
%{_bindir}/psnup
%{_bindir}/psresize
%{_bindir}/psselect
%{_bindir}/pstops
%{_datadir}/%{name}
%{_mandir}/man1/epsffit.1*
%{_mandir}/man1/extractres.1*
%{_mandir}/man1/includeres.1*
%{_mandir}/man1/psbook.1*
%{_mandir}/man1/psjoin.1*
%{_mandir}/man1/psnup.1*
%{_mandir}/man1/psresize.1*
%{_mandir}/man1/psselect.1*
%{_mandir}/man1/pstops.1*
%{_mandir}/man1/psutils.1*
