%define real_name PingTunnel

Summary: Reliably tunnel TCP connections over ICMP packets
Name: ptunnel
Version: 0.72
Release: %mkrel 10
License: BSD
Group: Networking/Other
URL: https://www.cs.uit.no/~daniels/PingTunnel/index.html
Source: https://www.cs.uit.no/~daniels/PingTunnel/PingTunnel-%{version}.tar.gz
BuildRequires: pcap-devel

%description
Ping Tunnel is a tool for reliably tunneling TCP connections over ICMP echo
request and reply packets (commonly known as ping requests and replies). It
is useful for evading firewalls that, for whatever reason, prevent outgoing
TCP connections, but allow in- and outgoing ICMP packets. The tunnel works
by having a proxy run on a machine ping-able from the inside of the
firewall, with the client running on the local machine from which TCP access
is required.

%prep
%setup -q -n %{real_name}
find -type f -exec chmod 0644 {} \;

%build
%make_build

%install
%makeinstall mandir="%{buildroot}%{_mandir}/man8"

%files
%doc CHANGELOG LICENSE README web/
%doc %{_mandir}/man8/ptunnel.8*
%{_bindir}/ptunnel

