#define         gitver %%nil

Name:           puddletag
Version:        2.4.0
Release:        %mkrel 2
Summary:        An audio tag editor
# investigate license with upstream, web site says GPLv3 whereas the files in
# the tarball say GPLv2. Icons from the Oxygen Project are GPLv3.
License:        GPLv2+ and GPLv3
Group:          Sound/Utilities
Url:            https://docs.puddletag.net/
Source0:        https://github.com/puddletag/puddletag/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         puddletag-2.4.0-relax-requirements.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  imagemagick

Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-svg
Requires:       python3-qt5-widgets

%description
puddletag is an audio tag editor for GNU/Linux similar to Windows program
Mp3tag (https://www.mp3tag.de/). Unlike most taggers for GNU/Linux, it uses a
spreadsheet-like layout so that all the tags you want to edit by hand are
visible and easily editable.

The usual tag editor features are supported like extracting tag information
from filenames, renaming files based on their tags by using patterns (that you
define, not crappy, uneditable ones).

Then there're functions, which can do things like replace text, trim, change
the case of tags, etc. Actions can automate repetitive tasks. You can import
your QuodLibet library, lookup tags using MusicBrainz, FreeDB or Amazon
(though it's only good for cover art) and more, but I've reached my comma
quota.

Supported formats: ID3v1, ID3v2 (mp3), MP4 (mp4, m4a, etc.), VorbisComments
(ogg, flac), Musepack (mpc), Monkey's Audio (.ape) and WavPack (wv).

%prep
%autosetup -p1 -n %{name}-%{version}

# remove shebang
sed -i 's,#!*/usr/bin/env python,,' puddlestuff/{puddleobjects.py,puddlesettings.py,puddletag.py}

rm -f README

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files puddlestuff

# install icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,64x64,96x96,128x128,256x256}/apps

install -m 0644 %{name}.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/

for i in 16x16 32x32 64x64 96x96 128x128; do
  convert -resize "$i" %{name}.png %{buildroot}%{_iconsdir}/hicolor/"$i"/apps/%{name}.png
done

%files -f %{pyproject_files}
%doc changelog copyright NEWS THANKS TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.*
%{_mandir}/man?/%{name}.*
