%define		major		1
%define		libname		%mklibname pugixml %{major}
%define		develname	%mklibname pugixml -d

Name:		pugixml
Version:	1.15
Release:	%mkrel 1
Summary:	A light-weight C++ XML processing library
Group:		System/Libraries
License:	MIT
URL:		https://pugixml.org
Source0:	https://github.com/zeux/pugixml/releases/download/v%{version}/%{name}-%{version}.tar.gz
# enable long long support needed for filezilla
Patch0:		pugixml-1.15-enable-long_long-support.patch
BuildRequires:	cmake

%description
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions

%package -n %{libname}
Summary:	A light-weight C++ XML processing library
Group:		System/Libraries

%description -n %{libname}
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions

%package -n %{develname}
Summary:	Development files for %{name} library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for package %{name} library.

%prep
%autosetup -p1

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_lib}
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc readme.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc docs/*
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/pugixml.pc
%{_includedir}/*.hpp
