#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel	1

Name:		pulseaudio-qt
Version:	1.7.0
Release:	%mkrel %{rel}
Summary:	Qt bindings for PulseAudio
License:	LGPLv2+
Group:		Development/KDE and Qt
Url:		https://community.kde.org/Frameworks
Source0:	https://download.kde.org/stable/pulseaudio-qt/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6ToolsTools)

BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	appstream
BuildRequires:	doxygen
BuildRequires:	qttools6-assistant

%description
PulseAudio-qt is a Qt framework C++ bindings library for the PulseAudio
sound system.

#--------------------------------------------------------------------

%define pulseaudioqt_major 5
%define libpulseaudioqt    %mklibname kf6pulseaudioqt_ %{pulseaudioqt_major}

%package -n	%{libpulseaudioqt}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libpulseaudioqt}
Runtime library for %{name}.

PulseAudio-qt is a Qt framework C++ bindings library for the PulseAudio
sound system.

%files -n %{libpulseaudioqt}
%doc README.md
%{_kf6_libdir}/libKF6PulseAudioQt.so.%{pulseaudioqt_major}
%{_kf6_libdir}/libKF6PulseAudioQt.so.%{version}

#--------------------------------------------------------------------

%define libpulseaudioqt_dev %mklibname kf6pulseaudioqt -d

%package -n	%{libpulseaudioqt_dev}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libpulseaudioqt} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libpulseaudioqt_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libpulseaudioqt_dev}
%{_kf6_includedir}/KF6PulseAudioQt/
%{_kf6_includedir}/pulseaudioqt_version.h
%{_kf6_libdir}/libKF6PulseAudioQt.so
%{_kf6_libdir}/cmake/KF6PulseAudioQt/
%{_kf6_libdir}/pkgconfig/KF6PulseAudioQt.pc
%{_qt6_docdir}/KF6PulseAudioQt.qch
%{_qt6_docdir}/KF6PulseAudioQt.tags

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6 -DBUILD_QCH=ON \
           -DQT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install
