Name:           pulseeffects
Version:        4.8.7
Release:        %mkrel 9
Summary:        Audio equalizer, filters and effects for PulseAudio applications
License:        GPLv3
Group:          Sound/Mixers
Url:            https://github.com/wwmm/easyeffects
Source0:        https://github.com/wwmm/easyeffects/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:         pulseeffects-boost1.85.patch
BuildRequires:  appstream-util
BuildRequires:  boost-devel
BuildRequires:  desktop-file-utils
BuildRequires:  itstool
BuildRequires:  libxml2-utils
BuildRequires:  meson
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.56
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.12
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0) >= 1.12
BuildRequires:  pkgconfig(libbs2b)
BuildRequires:  pkgconfig(libebur128)
BuildRequires:  pkgconfig(libpulse) >= 11.0
BuildRequires:  pkgconfig(lilv-0)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(rnnoise)
BuildRequires:  zita-convolver-devel >= 3.1.0

Requires:       gstreamer1.0-ladspa >= 1.12
Requires:       gstreamer1.0-plugins-good >= 1.12
Requires:       ladspa-plugins-swh >= 0.4
Requires:       lv2-calf-plugins >= 0.90.0

Recommends:     mda-lv2
Recommends:     ladspa-zam-plugins
Recommends:     lv2-zam-plugins
Recommends:     rubberband
Recommends:     zam-plugins
Recommends:     lsp-plugins >= 1.2

%description
Limiters, compressor, reverberation, high-pass filter, low pass filter,
equalizer many more effects for PulseAudio applications.

%prep
%autosetup -p1 -n easyeffects-%{version}

%build
%meson
%meson_build

%install
%meson_install

desktop-file-install %{buildroot}%{_datadir}/applications/com.github.wwmm.%{name}.desktop \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README.md
%license LICENSE.md
%{_bindir}/pulseeffects
%{_datadir}/applications/com.github.wwmm.pulseeffects.desktop
%{_datadir}/glib-2.0/schemas/com.github.wwmm.pulseeffects.*.xml
%{_iconsdir}/hicolor/*/apps/pulseeffects.*
%{_metainfodir}/com.github.wwmm.pulseeffects.appdata.xml
%{_datadir}/dbus-1/services/com.github.wwmm.pulseeffects.service
%{_libdir}/gstreamer-1.0/libgst*.so
