Summary:	Lightweight, fast and secure FTP server
Name:		pure-ftpd
Version:	1.0.51
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		https://www.pureftpd.org/
Source0:	https://download.pureftpd.org/pub/pure-ftpd/releases/%{name}-%{version}.tar.bz2
Source1:	pure-ftpd.service
Source2:	pure-ftpd.logrotate
Source3:	pure-ftpd-xinetd
Source4:	pure-ftpd-avahi.service
Source5:	pure-ftpd.pam-0.77
Source6:        pure-ftpd.pam
Source7:	pure-ftpd-1.0.47-tmpfiles.conf
Patch0:		pure-ftpd.mgaconf.patch
Patch1:		pure-ftpd-1.0.47-fedora-both-options-on-command.patch
Patch2:		pure-ftpd-1.0.47-mga-minuid-1000.patch
Patch3:		pure-ftpd-1.0.47-set-pidfile-path.patch
Provides:	ftp-server ftpserver
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Conflicts:	wu-ftpd, ncftpd, proftpd, anonftp, vsftpd
BuildRequires:	pam-devel
BuildRequires:	openldap-devel
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRequires:	pkgconfig(openssl)

%description
Pure-FTPd is a fast, production-quality, standards-conformant FTP server,
based upon Troll-FTPd. Unlike other popular FTP servers, it has no known
security flaw, it is really trivial to set up and it is especially designed
for modern Linux and FreeBSD kernels (setfsuid, sendfile, capabilities) .
Features include PAM support, IPv6, chroot()ed home directories, virtual
domains, built-in LS, anti-warez system, bandwidth throttling, FXP, bounded
ports for passive downloads, UL/DL ratios, native LDAP and SQL support,
Apache log files and more.

%package 	anonymous
Summary:	Anonymous support for pure-ftpd
Group:		System/Servers
Requires:	pure-ftpd

%description 	anonymous
This package provides anonymous support for pure-ftpd.

%package 	anon-upload
Summary:	Anonymous upload support for pure-ftpd
Group:		System/Servers
Requires:	pure-ftpd

%description 	anon-upload
This package provides anonymous upload support for pure-ftpd.

%prep

%autosetup -p1

# nuke mac files
find -name "\._*" | xargs rm -f

# make README.RPM:

COMPILER="Compiler:               $(gcc -v 2>& 1|tail -1)"
HARDWARE="Hardware platform:      $(uname -m)"
LIBRARY="Library:                $(rpm -q glibc)"
OSVERSION="Linux Kernel:           $(uname -sr)"
PACKAGER="Packager:               %{packager}"
MGARELEASE="Mageia release: $(cat /etc/release)"
RPMVERSION="RPM Version:            $(rpm -q rpm)"

cat <<EOF >>$RPM_BUILD_DIR/%{name}-%{version}/README.RPM
The pure-ftpd rpm packages were created in the following build environment:

$MDKRELEASE
$HARDWARE
$OSVERSION
$LIBRARY
$COMPILER
$RPMVERSION
$PACKAGER

EOF

cp %{SOURCE3} pure-ftpd-xinetd
cp %{SOURCE4} pure-ftpd-avahi.service
cp %{SOURCE6} pure-ftpd.pam

%build
%configure \
    --sysconfdir=%{_sysconfdir}/%{name} \
    --with-paranoidmsg \
    --without-capabilities \
    --with-pam \
    --with-ldap \
    --with-mysql \
    --with-pgsql \
    --with-puredb \
    --without-sendfile \
    --with-altlog \
    --with-cookie \
    --with-diraliases \
    --with-throttling \
    --with-ratios \
    --with-quotas \
    --with-ftpwho \
    --with-welcomemsg \
    --with-uploadscript \
    --with-peruserlimits \
    --with-virtualhosts \
    --with-virtualchroot \
    --with-extauth \
    --with-rfc2640 \
    --with-standalone \
    --with-tls

%make_build

%install
%make_install

install -d -m 755 %{buildroot}%{_mandir}/man8/
install -d -m 755 %{buildroot}%{_sbindir}
install -d -m 755 %{buildroot}%{_unitdir}
install -d -m 755 %{buildroot}%{_rundir}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -D -p -m 644 %{SOURCE7} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# Conf
install -m 644 pure-ftpd.conf %{buildroot}%{_sysconfdir}/%{name}
install -m 644 pureftpd-ldap.conf %{buildroot}%{_sysconfdir}/%{name}
install -m 644 pureftpd-mysql.conf %{buildroot}%{_sysconfdir}/%{name}
install -m 644 pureftpd-pgsql.conf %{buildroot}%{_sysconfdir}/%{name}

# Man
install -m 644 man/pure-ftpd.8 %{buildroot}%{_mandir}/man8/
install -m 644 man/pure-ftpwho.8 %{buildroot}%{_mandir}/man8/
install -m 644 man/pure-mrtginfo.8 %{buildroot}%{_mandir}/man8/
install -m 644 man/pure-uploadscript.8 %{buildroot}%{_mandir}/man8/
install -m 644 man/pure-pw.8 %{buildroot}%{_mandir}/man8/
install -m 644 man/pure-pwconvert.8 %{buildroot}%{_mandir}/man8/
install -m 644 man/pure-statsdecode.8 %{buildroot}%{_mandir}/man8/
install -m 644 man/pure-quotacheck.8 %{buildroot}%{_mandir}/man8/
install -m 644 man/pure-authd.8 %{buildroot}%{_mandir}/man8/

install -m 755 %{SOURCE1} %{buildroot}%{_unitdir}/pure-ftpd.service

# Pam
install -d -m 755 %{buildroot}%{_sysconfdir}/pam.d/
install -m 0644 pure-ftpd.pam %{buildroot}%{_sysconfdir}/pam.d/%{name}

# Logrotate
install -d %{buildroot}%{_sysconfdir}/logrotate.d/
install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

#anonymous ftp
mkdir -p %{buildroot}/var/ftp/pub/
mkdir -p %{buildroot}/var/ftp/incoming/

# xinetd support (tv)
mkdir -p %{buildroot}%{_sysconfdir}/xinetd.d
install -m0644 pure-ftpd-xinetd %{buildroot}%{_sysconfdir}/xinetd.d/pure-ftpd-xinetd

# avahi support (misc)
mkdir -p %{buildroot}%{_sysconfdir}/avahi/services/
install -m0644 pure-ftpd-avahi.service %{buildroot}%{_sysconfdir}/avahi/services/%{name}.service

# Remove unnecessary docs
rm %{buildroot}%{_docdir}/%{name}/README.MacOS-X

%post
%_tmpfilescreate %{name}

# ftpusers creation
if [ ! -f %{_sysconfdir}/ftpusers ]; then
	touch %{_sysconfdir}/ftpusers
fi

USERS="root bin daemon adm lp sync shutdown halt mail news uucp operator games nobody"
for i in $USERS ;do
    cat %{_sysconfdir}/ftpusers | grep -q "^$i$" || echo $i >> %{_sysconfdir}/ftpusers
done

%_post_service pure-ftpd

%pre
%_pre_useradd ftp /var/ftp /bin/false

%postun
%_postun_userdel ftp

%preun
%_preun_service pure-ftpd

%files
%doc FAQ THANKS README.Authentication-Modules README.Virtual-Users
%doc README README.Configuration-File AUTHORS HISTORY NEWS README.LDAP
%doc README.PGSQL README.TLS README.MySQL pure-ftpd.png
%doc pureftpd.schema README.RPM
%doc %{_docdir}/%{name}/*.conf
%{_unitdir}/pure-ftpd.service
%{_tmpfilesdir}/%{name}.conf
%dir %ghost %attr(0644, root, root) %{_rundir}/pure-ftpd
%ghost %attr(0660, -, -) %{_rundir}/pure-ftpd/pure-ftpd.pid

%config(noreplace) %{_sysconfdir}/%{name}/pure-ftpd.conf
%config(noreplace) %{_sysconfdir}/%{name}/pureftpd-ldap.conf
%config(noreplace) %{_sysconfdir}/%{name}/pureftpd-mysql.conf
%config(noreplace) %{_sysconfdir}/%{name}/pureftpd-pgsql.conf
%config(noreplace) %{_sysconfdir}/pam.d/pure-ftpd
%config(noreplace) %{_sysconfdir}/logrotate.d/pure-ftpd
%config(noreplace) %{_sysconfdir}/xinetd.d/pure-ftpd-xinetd
%config(noreplace) %{_sysconfdir}/avahi/services/%{name}.service

%{_bindir}/pure-pw
%{_bindir}/pure-pwconvert
%{_bindir}/pure-statsdecode
%{_sbindir}/pure-ftpd
%{_sbindir}/pure-ftpwho
%{_sbindir}/pure-uploadscript
%{_sbindir}/pure-mrtginfo
%{_sbindir}/pure-quotacheck
%{_sbindir}/pure-authd
%{_sbindir}/pure-certd

%attr(644,root,root)%{_mandir}/man8/*

%files anonymous
%dir /var/ftp/pub/

%files anon-upload
%defattr(777, root, root)
%dir /var/ftp/incoming/

