%global plugin_name discord

%global commit0 4a091883e646f2c103ae68c41d04b1b880e8d0bf
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date 20230215

%define rel 1

Name:		purple-%{plugin_name}
Version:	0
Release:	%mkrel %{rel}.%{date}git%{shortcommit0}
Summary:	Discord plugin for libpurple
License:	GPLv3+
Group:		Networking/Instant messaging
URL:		https://github.com/EionRobb/purple-discord
Source0:	%{url}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
Patch0:		purple-discord-linking.patch

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(zlib)

BuildRequires:	imagemagick
BuildRequires:	gcc
BuildRequires:	gettext-devel

%description
Adds support for Discord to Pidgin, Adium, Finch and other libpurple
based messengers.

%package -n pidgin-%{plugin_name}
Summary:	Adds pixmaps, icons and smileys for Discord protocol
Group:		Networking/Instant messaging
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	pidgin

%description -n pidgin-%{plugin_name}
Adds pixmaps, icons and smileys for Discord protocol implemented by
purple-discord.

%prep
%autosetup -n %{name}-%{commit0} -p1

# fix W: wrong-file-end-of-line-encoding
sed -i -e "s,\r,," README.md

%build
%set_build_flags
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_libdir}/purple-2/lib%{plugin_name}.so

%files -n pidgin-%{plugin_name}
%license LICENSE
%doc README.md
%{_datadir}/pixmaps/pidgin/protocols/*/%{plugin_name}.png
