%define plugin_name lurch

Name:           purple-%{plugin_name}
Version:        0.7.0
Release:        %mkrel 1
Summary:        OMEMO Encryption plugin for libpurple
License:        GPL-3.0-or-later
Group:          Networking/Instant messaging
URL:            https://github.com/gkdr/lurch
Source0:        %{url}/archive/v%{version}/%{plugin_name}-%{version}.tar.gz
# https://github.com/gkdr/lurch/pull/177
Patch100:       %{name}-cmake-build.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(cmocka)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(purple)
BuildRequires:  pkgconfig(libomemo)
BuildRequires:  pkgconfig(libaxc)
BuildRequires:  pkgconfig(libsignal-protocol-c)
BuildRequires:  pkgconfig(libxml-2.0)

%description
This plugin brings Axolotl, by now renamed to double ratchet,
to libpurple applications such as Pidgin by implementing
the XEP-0384: OMEMO Encryption.

%prep
%autosetup -n %{plugin_name}-%{version} -p1

%build
%cmake \
    -DCMAKE_POSITION_INDEPENDENT_CODE:BOOL=ON \
    -DLURCH_INSTALL:BOOL=ON \
    -DLURCH_WITH_SYSTEM_AXC:BOOL=ON \
    -DLURCH_WITH_SYSTEM_OMEMO:BOOL=ON \
    -DLURCH_WITH_TESTS:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_libdir}/purple-2/%{plugin_name}.so
