#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)

%define rel 1

Name:           purpose
Version: 6.13.0
Release:        %mkrel %{rel}
Summary:        Provides abstractions to get the developer's purposes fulfilled
License:        LGPLv2+
Group:          System/Base
Url:            https://kde.org
Source:         https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
## Upstream patches

BuildRequires:  kf6-rpm-macros

# Qt6 BuildRequires
BuildRequires:  cmake(Qt6Concurrent) >= 6.6
BuildRequires:  cmake(Qt6Core) >= 6.6
BuildRequires:  cmake(Qt6Qml) >= 6.6
BuildRequires:  cmake(Qt6Gui) >= 6.6
BuildRequires:  cmake(Qt6DBus) >= 6.6
BuildRequires:  cmake(Qt6Widgets) >= 6.6
BuildRequires:  cmake(Qt6Network) >= 6.6
BuildRequires:  cmake(Qt6Test) >= 6.6

# KDE Framework BuildRequires
BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6KIO) >= %version
BuildRequires:  cmake(KF6Notifications) >= %version
BuildRequires:  cmake(KF6Kirigami2) >= %version
BuildRequires:  cmake(KF6Prison)

BuildRequires:  cmake(KAccounts6)

BuildRequires:  intltool
# runtime dep?
#BuildRequires:  kdeconnect-kde
BuildRequires:  kdeclarative
BuildRequires:  accounts-qml-module

Requires:       accounts-qml-module
Requires:       kdeclarative
Requires:       kirigami
Requires:       prison

%description
Framework for providing abstractions to get the developer's purposes fulfilled.

%files -f %{name}.lang
%doc README.md
%{_kf6_categoriesdir}/purpose.*categories
%{_kf6_libexecdir}/purposeprocess
%{_kf6_plugindir}/%{name}/
%{_kf6_datadir}/kf6/%{name}/
%{_kf6_plugindir}/kfileitemaction/sharefileitemaction.so
%{_kf6_qmldir}/org/kde/%{name}/
%{_kf6_iconsdir}/*/*/*/*
%_kf6_datadir/accounts/services/kde/google-youtube.service
%_kf6_datadir/accounts/services/kde/nextcloud-upload.service

#--------------------------------------------------------------------

%define purpose_major 6
%define libpurpose %mklibname kf6purpose %{purpose_major}

%package -n %libpurpose
Summary:        Provides abstractions to get the developer's purposes fulfilled
Group:          System/Libraries

%description -n %libpurpose
Provides abstractions to get the developer's purposes fulfilled.

%files -n %libpurpose
%{_kf6_libdir}/libKF6Purpose.so.%{purpose_major}
%{_kf6_libdir}/libKF6Purpose.so.%{version}

#--------------------------------------------------------------------

%define purposewidgets_major 6
%define libpurposewidgets %mklibname kf6purposewidgets %{purposewidgets_major}

%package -n %libpurposewidgets
Summary:        Provides abstractions to get the developer's purposes fulfilled
Group:          System/Libraries

%description -n %libpurposewidgets
Provides abstractions to get the developer's purposes fulfilled.

%files -n %libpurposewidgets
%{_kf6_libdir}/libKF6PurposeWidgets.so.%{purposewidgets_major}
%{_kf6_libdir}/libKF6PurposeWidgets.so.%{version}

#--------------------------------------------------------------------

%define develname %mklibname kf6purpose -d

%package -n %develname
Summary:        Provides abstractions to get the developer's purposes fulfilled: Build Environment
Group:          Development/KDE and Qt
Requires:       %{libpurpose} = %{version}
Requires:       %{libpurposewidgets} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kf6%{name}-devel = %{version}-%{release}

%description -n %develname
Framework for providing abstractions to get the developer's purposes fulfilled.
Development files.

%files -n %develname
%{_kf6_libdir}/libKF6Purpose.so
%{_kf6_libdir}/libKF6PurposeWidgets.so
%{_kf6_libdir}/cmake/KF6Purpose/
%{_kf6_includedir}/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
