Name:		putty
Version:	0.83
Release:	%mkrel 1
Summary:	SSH, Telnet and Rlogin client
License:	MIT
Group:		Networking/Remote access
URL:		https://www.chiark.greenend.org.uk/~sgtatham/putty/
Source0:	https://the.earth.li/~sgtatham/putty/latest/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRequires:	cmake
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	halibut >= 1.1
BuildRequires:	desktop-file-utils

%description
This is the Unix port of the popular Windows ssh client, PuTTY. It
supports flexible terminal setup, mid-session reconfiguration using
Ctrl-rightclick, multiple X11 authentication protocols, and various
other interesting things not provided by ssh in an xterm.

%prep
%autosetup

%build
# create svg desktop icon
make -C icons svgs

%cmake
%cmake_build

make -C %{_vpath_builddir}/doc

%install
%cmake_install

install -d html
install -pm 0644 doc/html/*.html html

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

install -D -m 0644 icons/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files
%doc README CHECKLST.txt html/
%license LICENCE
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/*.1*
