Name:           puzzlemoppet
Version:        20150420
Release:        %mkrel 8
Summary:        Challenging 3D puzzle game
Group:          Games/Arcade
License:        WTFPL and CC-BY-SA 3.0 and GPLv3+
URL:            https://bitbucket.org/Knitter/puzzlemoppet
Source0:        %{name}-%{version}.tar.xz
Patch0:         puzzlemoppet-20141011-mga-install-paths.patch

BuildRequires:  cmake
BuildRequires:  irrlicht-devel
BuildRequires:  pkgconfig(ode)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(xrandr)

%description
A challenging 3D puzzle game where you must guide the Moppet through the vast
and eternal void of space by solving the various and beautiful puzzles thrown
at you.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DBUILD_FOR_INSTALL=ON
%cmake_build

%install
%cmake_install

install -D -m644 icons/main.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Puzzle Moppet
GenericName=3D puzzle game
Comment=Challenging 3D puzzle game
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;LogicGame;
Terminal=false
EOF

%files
%doc README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
