%bcond_without	tests

Name:		pv
Version:	1.9.25
Release:	%mkrel 1
Summary:	Monitor the progress of data through a pipe
Group:		Development/Other
License:	Artistic 2.0
URL:		https://www.ivarch.com/programs/pv.shtml
Source0:	https://www.ivarch.com/programs/sources/%{name}-%{version}.tar.gz
BuildRequires:	gettext-devel
%{?with_tests:
BuildRequires:	valgrind
BuildRequires:	tmux }

%description
PV ("Pipe Viewer") is a tool for monitoring the progress of data through a
pipeline. It can be inserted into any normal pipeline between two processes to
give a visual indication of how quickly data is passing through, how long it
has taken, how near to completion it is, and an estimate of how long it will be
until completion.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%check
# Memory safety tests may fail on various arches
%{?with_tests:
make test || : }

%files -f %{name}.lang
%license docs/COPYING
%doc README.md docs/*
%exclude %{_docdir}/%{name}/COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
