%define	major 0
%define libname	%mklibname pwdb %{major}
%define develname %mklibname -d pwdb

Summary:	The password database library
Name:		pwdb
Version:	0.62
Release:	%mkrel 24
License:	GPL
Group:		Security
Source:		%{name}-%{version}.tar.bz2
Patch0:		pwdb-0.62-includes.patch
Patch1:		pwdb-0.62-build-fix.patch
Patch2:		fix-build.patch
BuildRequires:	pkgconfig(libnsl)
BuildRequires:  pkgconfig(libtirpc)
BuildRequires:  pkgconfig(libxcrypt)

%description
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.

%package	conf
Summary:	The password database library config
Group:		Security

%description	conf
Configuration package for the libpwdb, the password database library.

%package -n	%{libname}
Summary:	The password database library
Group:		System/Libraries
Requires:	%{name}-conf = %{version}
Provides:	pwdb = %{version}-%{release}
Obsoletes:	pwdb

%description -n	%{libname}
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.

%package -n	%{develname}
Summary:	The pwdb include files and link library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	pwdb-devel = %{version}-%{release}
Obsoletes:	%{_lib}pwdb0-devel < %{version}-%{release}

%description -n	%{develname}
The development header / link library for pwdb.

%prep
%setup -q
%autopatch -p1

rm default.defs
ln -s defs/redhat.defs default.defs
# checking out of the CVS sometimes preserves the setgid bit on
# directories...
chmod -R g-s .

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}{%{_libdir},%{_sysconfdir},%{_includedir}/pwdb}

%make_install INCLUDED=%{buildroot}%{_includedir}/pwdb \
	LIBDIR=%{buildroot}%{_libdir}

install conf/pwdb.conf %{buildroot}%{_sysconfdir}/pwdb.conf

%files conf
%doc Copyright doc/pwdb.txt doc/html
%config(noreplace) %{_sysconfdir}/pwdb.conf

%files -n %{libname}
%{_libdir}/libpwdb.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libpwdb.so
%{_includedir}/pwdb/
