%define major     0
%define libname   %mklibname px %major
%define develname %mklibname px -d

Summary:        A library to read Paradox DB files
Name:           pxlib
Version:        0.6.8
Release:        %mkrel 5
License:        GPLv2
Group:          System/Libraries
Url:            https://pxlib.sourceforge.net/
Source:         https://prdownloads.sourceforge.net/pxlib/%{name}-%{version}.tar.gz
Patch0:         pxlib-0.6.8-fix-building-with-gcc14.patch
BuildRequires:  intltool
BuildRequires:  docbook-to-man
BuildRequires:  docbook-utils
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libgsf-1)

%description
pxlib is a simply and still small C library to read Paradox DB files. It
supports all versions starting from 3.0. It currently has a very limited set of
functions like to open a DB file, read its header and read every single record.

%package -n     %libname
Group:          System/Libraries
Summary:        A library to read Paradox DB files
Requires:       %name >= %version

%description -n %libname
pxlib is a simply and still small C library to read Paradox DB files. It
supports all versions starting from 3.0. It currently has a very limited set of
functions like to open a DB file, read its header and read every single record.

%package -n     %develname
Summary:        A library to read Paradox DB files (Development)
Group:          Development/C
Requires:       %libname = %{version}
Provides:       libpx-devel = %{version}-%release

%description -n %develname
pxlib is a simply and still small C library to read Paradox DB files. It
supports all versions starting from 3.0. It currently has a very limited set of
functions like to open a DB file, read its header and read every single record.

%prep
%autosetup -p1

%build
export CPPFLAGS="%optflags `pkg-config --cflags glib-2.0`"
%configure --with-gsf --disable-static
%make_build LIBS=-lm

%install
%make_install

%find_lang %name

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -f %name.lang
%doc README AUTHORS ChangeLog

%files -n %libname
%_libdir/libpx.so.%{major}{,.*}

%files -n %develname
%_libdir/lib*.so
%_libdir/pkgconfig/*
%_includedir/*
%_mandir/man3/*
