Name:           py3c
Version:        1.4
Release:        %mkrel 2
Summary:        Python compatibility headers
Group:          Development/Python
License:        MIT and CC-BY-SA-3.0
URL:            https://py3c.readthedocs.io/
Source0:        https://github.com/encukou/py3c/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3dist(sphinx)

%description
py3c helps you port C extensions to Python 3. It provides a detailed guide, and
a set of macros to make porting easy and reduce boilerplate.

%prep
%autosetup -p1

%build
# build docs
make doc
# build leftovers
rm -rf doc/build/html/.buildinfo

%install
%__make install prefix=%{buildroot}%{_prefix}

# remove buildroot definition
sed -i -e 's,%{buildroot},,g' %{buildroot}%{_datadir}/pkgconfig/py3c.pc

%files
%license LICENSE.MIT
%license doc/LICENSE.CC-BY-SA-3.0
%doc README.rst
%doc doc/build/html
%{_datadir}/pkgconfig/py3c.pc
%{_includedir}/py3c.h
%{_includedir}/py3c/
