%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%global __requires_exclude python-gi

Name:           pyatspi
Version:        2.46.1
Release:        %mkrel 2
Summary:        Python bindings for at-spi
Group:          Development/Python
License:        LGPLv2 and GPLv2
URL:            https://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:  pkgconfig(pygobject-3.0) >= 2.90.1
Requires:	python-dbus
Requires:	python-gi

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a python client library for at-spi.

%package -n python3-%{name}
Summary:	Python 3 bindings for at-spi
Group:		Development/Python
Requires:	python3-dbus
Requires:	python3-gobject3

%description -n python3-%{name}
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a python 3 client library for at-spi.

%prep
%setup -q

%build
mkdir python3
pushd python3
export PYTHON=%{__python3}
CONFIGURE_TOP=.. %configure --build=%{_build}
%make_build
popd

%install
%make_install -C python3

%files -n python3-%{name}
%doc AUTHORS README.md
%license COPYING COPYING.GPL
%{python3_sitelib}/pyatspi
