# filter out bogus auto-require
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(WebKit

Name:           pychess
Version:        1.0.5
Release:        %mkrel 2
Summary:        A free and advanced GTK+ chess client
Group:          Games/Boards
License:        GPLv3
URL:            https://pychess.github.io/
Source0:        https://github.com/pychess/pychess/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-cairo
BuildRequires:  python3-gobject
BuildRequires:  python3-pexpect
BuildRequires:  python3-psutil
BuildRequires:  python3-sqlalchemy
BuildRequires:  python3-websockets
BuildRequires:  typelib(Rsvg)

Requires:       adwaita-icon-theme
Requires:       gtksourceview3
Requires:       python3-cairo
Requires:       python3-gobject
Requires:       python3-pexpect
Requires:       python3-psutil
Requires:       python3-sqlalchemy
Requires:       python3-websockets

%description
PyChess is a GTK+ chess game for Linux. It is designed to at the same time
be easy to use, beautiful to look at, and provide advanced functions for
advanced players.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%find_lang %{name}

%files -f %{name}.lang -f %{pyproject_files}
%doc README.md ARTISTS AUTHORS DOCUMENTERS TRANSLATORS
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_metainfodir}/%{name}.metainfo.xml
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gtksourceview-3.0/language-specs/pgn.lang
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*
