Name:    pyhoca-cli
Version: 0.6.1.2
Release: %mkrel 5
Summary: Command line X2Go client written in Python
Group:   Networking/Remote access
License: AGPLv3+
URL:     https://www.x2go.org/
Source0: https://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3dist(setuptools)
Requires:      python3dist(setproctitle)
Requires:      python3dist(x2go)

%description
X2Go is a server based computing environment with:
   - session resuming
   - low bandwidth support
   - LDAP support
   - client side mass storage mounting support
   - client side printing support
   - audio support
   - authentication by smartcard and USB stick

PyHoca-CLI provides a simple and flexible command line client
written in Python that allows you to control X2Go client sessions
on desktops and thin clients.

%prep
%setup -q

# drop bundled egg-info
rm -rf PyHoca_CLI.egg-info/

%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_bindir}/
cp -p %{name} %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_mandir}/
cp -rp man/* %{buildroot}%{_mandir}/

%files
%doc README TODO
%{_bindir}/%{name}
%{python3_sitelib}/*
%{_mandir}/man1/%{name}.1*
