Name:           pyhoca-gui
Version:        0.6.1.1
Release:        %mkrel 7
Summary:        A graphical client for X2Go using the Python X2Go API
License:        GPLv3
Group:          Networking/Remote access
Url:            https://www.x2go.org/
Source0:        https://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
Patch0:         pyhoca-gui-remove-desktops-not-on-mga.patch
BuildArch:      noarch
BuildRequires:  intltool
BuildRequires:  python3dist(greenlet)
BuildRequires:  python3dist(pycups)
BuildRequires:  python3dist(python-distutils-extra)
BuildRequires:  python3dist(python-xlib)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wxpython)
BuildRequires:  python3dist(x2go)
Requires:       python3dist(setproctitle)
Requires:       python3dist(x2go) >= 0.5.0.0
Requires:       python3dist(wxpython)
Requires:       python3dist(pycups)
Requires:       nxproxy
Requires:       libnotify
Requires:       python3dist(pygobject)
Requires:	python3dist(python-xlib)

%description
The name PyHoca is a word play combining two powerful entities: Python and
Phoca (mascot of X2go, Latin species name for seals).
PyHoca-GUI is a client implementation for X2Go using the project's Python X2Go
client API (a Python module). PyHoca-GUI uses wxPython for rendering graphical
desktop elements (menus, dialog boxes etc.).

%prep
%setup -q
%autopatch -p1

%build
%py3_build

%install
%py3_install

# install missing files
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/icons/PyHoca
mkdir -p %{buildroot}%{_datadir}/pyhoca/img
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications

install -m0755 pyhoca-gui %{buildroot}%{_bindir}
install -m0644 man/man1/pyhoca-gui.1 %{buildroot}%{_mandir}/man1
install -m0644 img/PyHoca-* %{buildroot}%{_datadir}/pyhoca/img
install -m0644 pixmaps/pyhoca* %{buildroot}%{_datadir}/pixmaps
install -m0644 desktop/pyhoca-gui.desktop %{buildroot}%{_datadir}/applications
cp -a icons/PyHoca/* %{buildroot}%{_datadir}/icons/PyHoca
touch %{buildroot}%{python3_sitelib}/pyhoca/__init__.py

# fix the desktop file
desktop-file-edit --remove-key=Categories %{buildroot}%{_datadir}/applications/pyhoca-gui.desktop
desktop-file-edit --add-category=Network %{buildroot}%{_datadir}/applications/pyhoca-gui.desktop
desktop-file-edit --remove-key=Encoding %{buildroot}%{_datadir}/applications/pyhoca-gui.desktop

# not needed
rm -rf %{buildroot}%{python3_sitelib}/*.pth

%find_lang PyHoca-GUI

%files -f PyHoca-GUI.lang
%{python3_sitelib}/pyhoca
%{python3_sitelib}/PyHoca_GUI-%{version}-py%{python3_version}.egg-info/
%{_bindir}/pyhoca-gui
%{_datadir}/applications/pyhoca-gui.desktop
%{_iconsdir}/PyHoca/*/*
%{_datadir}/pixmaps/*
%{_datadir}/pyhoca
%{_mandir}/man1/*
