Name:           pylint
Summary:        Extensible Python source code checker
Version:        3.3.5
Release:        %mkrel 1
License:        GPLv2+
Group:          Development/Python
Url:            https://www.pylint.org/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
PyLint is an extensible tool for checking whether Python code satisfies a
specified coding standard. It is similar to PyChecker insofar that it can
perform nearly all tests supported by PyChecker. Pylint, however, can check
many other things such as line-code length, variable name adherence to a coding
standard, whether interfaces defined in the code are actually implemented, and
much more. One can easily extend PyLint with plugins.

%package -n python3-%{name}
Summary:        Extensible Python 3 source code checker
Group:          Development/Python
%{?python_provide:%python_provide python3-%{name}}
Provides:       pylint = %{version}-%{release}

%description -n python3-%{name}
PyLint is an extensible tool for checking whether Python code satisfies a
specified coding standard. It is similar to PyChecker insofar that it can
perform nearly all tests supported by PyChecker. Pylint, however, can check
many other things such as line-code length, variable name adherence to a coding
standard, whether interfaces defined in the code are actually implemented, and
much more. One can easily extend PyLint with plugins.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

# compatibility symlink
ln -s pylint %{buildroot}%{_bindir}/pylint-3

%files -n python3-%{name} -f %{pyproject_files}
%license LICENSE
%doc CONTRIBUTORS.txt
%{_bindir}/pylint{,-3}
%{_bindir}/pyreverse
%{_bindir}/pylint-config
%{_bindir}/symilar
