Name:    pyotherside
Version: 1.6.2
Release: %mkrel 2
Summary: Asynchronous Python 3 Bindings for Qt 5
Group:   Development/KDE and Qt
License: ISC
URL:     https://github.com/thp/pyotherside/
Source0: https://github.com/thp/pyotherside/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(python3)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5QuickTest)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5OpenGL)
BuildRequires: python3dist(sphinx)
BuildRequires: x11-server-xvfb

%description
A Qt 5 QML Plugin that provides access to a Python 3 interpreter from QML.

%prep
%autosetup -p1

%build
%qmake_qt5
%make_build
%make_build -C docs SPHINXBUILD=sphinx-build-3 html

%check
# Tests require an X server, although it doesn't seem to be used for much
xvfb-run tests/tests

%install
%make_install INSTALL_ROOT=%{buildroot}

rm -rf %{buildroot}%{_qt5_testsdir}

%files
%doc docs/_build/html
%license LICENSE
%dir %{_qt5_qml}/io
%dir %{_qt5_qml}/io/thp
%{_qt5_qml}/io/thp/pyotherside
