%define pypi_name accept-types

Name:           python-%{pypi_name}
Version:        0.4.1
Release:        %mkrel 8
Summary:        Determine the best content to send in an HTTP response
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/accept-types/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
accept-types helps your application respond to a HTTP request in a way that a
client prefers. The Accept header of an HTTP request informs the server which
MIME types the client is expecting back from this request, with weighting to
indicate the most preferred. If your server can respond in multiple formats
(e.g.: JSON, XML, HTML), the client can easily tell your server which is the
preferred format without resorting to hacks like ‘&amp;format=json’ on the end
of query strings.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
accept-types helps your application respond to a HTTP request in a way that a
client prefers. The Accept header of an HTTP request informs the server which
MIME types the client is expecting back from this request, with weighting to
indicate the most preferred. If your server can respond in multiple formats
(e.g.: JSON, XML, HTML), the client can easily tell your server which is the
preferred format without resorting to hacks like ‘&amp;format=json’ on the end
of query strings.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/accept_types
%{python3_sitelib}/accept_types-%{version}-*.egg-info
