# Created by pyp2rpm-3.3.3
%global pypi_name afdko

# comment out if not pre release
#global prel	a0

#rel for bumping
%define rel	3

%global antlrver 4.13.2
%global antlrzip %{builddir}/antlr4-%{antlrver}.zip

Name:           python-%{pypi_name}
Version:        4.0.2
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Adobe Font Development Kit for OpenType
Group:          Development/Python
License:        ASL2.0
URL:            https://github.com/adobe-type-tools/afdko
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}%{?prel}.tar.gz
Source1:	https://www.antlr.org/download/antlr4-cpp-runtime-%{antlrver}-source.zip
# Upstream patches
Patch1:         0001-Try-to-work-around-pthread-related-static-linking-pr.patch
# Others
Patch100:       0001-Relax-reqs.patch
BuildRequires:  cmake
BuildRequires:  git-core
BuildRequires:  libxml2-devel
BuildRequires:  libuuid-devel
BuildRequires:  ninja
BuildRequires:  utf8cpp-devel
BuildRequires:  unzip zip
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(scikit-build)

%description
The AFDKO is a set of tools for building OpenType font files from PostScript and TrueType
font data.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	bundled(antlr4-cpp-runtime) = %{antlrver}

%description -n python3-%{pypi_name}
The AFDKO is a set of tools for building OpenType font files from PostScript and TrueType
font data.

%prep
%autosetup -n %{pypi_name}-%{version}%{?prel} -Sgit_am

# fix bundled antlr
unzip -q %{SOURCE1} -d %{builddir}/antlr4-%{antlrver}
pushd %{builddir}/antlr4-%{antlrver}
sed -i -e '/ANTLR_BUILD_CPP_TESTS/s/ON/OFF/' runtime/CMakeLists.txt
zip -q -ur %{antlrzip} .
popd

# use bundled antlr
sed -i -e 's!^#\s\+\(set(ANTLR4_ZIP_REPOSITORY\s\+"\).*\(")\)!\1%{antlrzip}\2!g' CMakeLists.txt

# fix bundled antlr build
sed -i -e '/ANTLR4_OUTPUT_DIR/s#runtime/Cpp/dist#runtime/Cpp/runtime#g' cmake/ExternalAntlr4Cpp.cmake

# more verbose build
sed -i -e '/CMAKE_VERBOSE_MAKEFILE/s/^#\s\+//' CMakeLists.txt

%generate_buildrequires
%pyproject_buildrequires

%build
export FORCE_SYSTEM_LIBXML2=1
%set_build_flags
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

# conflict with transifex-client
mv %{buildroot}%{_bindir}/tx %{buildroot}%{_bindir}/afdko-tx

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md
%{_bindir}/buildcff2vf
%{_bindir}/buildmasterotfs
%{_bindir}/charplot
%{_bindir}/checkoutlinesufo
%{_bindir}/comparefamily
%{_bindir}/detype1
%{_bindir}/digiplot
%{_bindir}/fontplot
%{_bindir}/fontplot2
%{_bindir}/fontsetplot
%{_bindir}/hintplot
%{_bindir}/makeinstancesufo
%{_bindir}/makeotf
%{_bindir}/makeotfexe
%{_bindir}/mergefonts
%{_bindir}/otc2otf
%{_bindir}/otf2otc
%{_bindir}/otf2ttf
%{_bindir}/otfautohint
%{_bindir}/otfstemhist
%{_bindir}/rotatefont
%{_bindir}/sfntdiff
%{_bindir}/sfntedit
%{_bindir}/spot
%{_bindir}/ttxn
%{_bindir}/afdko-tx
%{_bindir}/type1
%{_bindir}/ttfcomponentizer
%{_bindir}/ttfdecomponentizer
%{_bindir}/waterfallplot
