%global pypi_name aiohttp

Name:           python-%{pypi_name}
Version:        3.11.16
Release:        %mkrel 1
Summary:        Python HTTP client/server for asyncio
Group:          Development/Python

License:        ASL 2.0
URL:            https://pypi.org/project/aiohttp/
Source0:        %{pypi_source}
# Unbundle http-parser
Patch0:         0001-aiohttp-3.11.9-Unbundle-llhttp.patch
BuildRequires:  gcc
BuildRequires:  llhttp-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-cython

%description
Python HTTP client/server for asyncio which supports both the client and the
server side of the HTTP protocol, client and server websocket, and webservers
with middlewares and pluggable routing.

%package -n python3-%{pypi_name}
Summary:        Python 3 HTTP client/server for asyncio
Recommends:     python%{python3_version}dist(aiodns)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python HTTP client/server for asyncio which supports both the client and the
server side of the HTTP protocol, client and server websocket, and webservers
with middlewares and pluggable routing.

%pyproject_extras_subpkg -n python3-%{pypi_name} speedups

%prep
%autosetup -p 1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES.rst CONTRIBUTORS.txt README.rst
%doc LICENSE.txt
