%define pypi_name amqp

Name:           python-%{pypi_name}
Version:        5.3.1
Release:        %mkrel 3
Summary:        Low-level AMQP client for Python (fork of amqplib)

Group:          Development/Python
License:        LGPLv2+
URL:            https://pypi.org/project/amqp
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Low-level AMQP client for Python.

This is a fork of amqplib, maintained by the Celery project.

This library should be API compatible with librabbitmq.

%package -n python3-%{pypi_name}
Summary:        Client library for AMQP
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Low-level AMQP client for Python 3.

This is a fork of amqplib, maintained by the Celery project.

This library should be API compatible with librabbitmq.

%package doc
Summary:        Documentation for python-amqp
Group:          Documentation
License:        LGPLv2+

%description doc
Documentation for python-amqp.

%prep
%setup -q -n %{pypi_name}-%{version}

sed -i 's|vine>=5.0.0,<6.0.0|vine>=5.0.0|' requirements/default.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc Changelog LICENSE README.rst

%files doc
%doc LICENSE docs/
