%global         pypi_name      anesthetic

Name:           python-anesthetic
Version:        2.9.1
Release:        %mkrel 2
Summary:        A toolbox for processing nested sampling chains
License:        MIT
Group:          Development/Python
URL:            https://pypi.python.org/pypi/anesthetic
Source0:        %{pypi_source}

BuildArch:      noarch

%description
Anesthetic is a python package for processing nested and Monte-Carlo Markov
chains. It allows for computation of Bayesian evidences,
Kullback-Liebler divergences and Bayesian model dimensionalities. It also outputs
marginalised 1D and 2D plots.

%package -n python3-anesthetic
Summary:        Python3 implementation of Anesthetic
Group:          Development/Python
%{?python_provide:%python_provide python3-anesthetic}
BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pandas)
BuildRequires:  python3dist(scipy)
Requires:       python3-numpy
Requires:       python3-scipy
Requires:       python3-pandas
Provides:       anesthetic = %{version}-%{release}

%description -n python3-anesthetic
Anesthetic is a python package for processing nested and Monte-Carlo Markov
chains. It allows for computation of Bayesian evidences,
Kullback-Liebler divergences and Bayesian model dimensionalities. It also outputs
marginalised 1D and 2D plots.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files anesthetic

%files -n python3-anesthetic -f %{pyproject_files}
%{_bindir}/anesthetic
%doc README.rst

