%global pypi_name ansible-compat
%global pkgname python-ansible-compat

Name:           %{pkgname}
Version:        4.1.11
Release:        %mkrel 4
Summary:        Ansible python helper functions
Group:          Development/Python

URL:            https://pypi.org/project/ansible-compat/
Source0:        %{pypi_source}
License:        MIT
BuildArch:      noarch
BuildRequires:  python3-devel

# This patch skips the tests requiring a connection to
# ansible galaxy
Patch0: ansible-compat-4.1.11-skip_tests_requiring_network_connectivity.patch


%description
A python package containing functions that help interacting with
various versions of Ansible

%package -n python-%{pypi_name}-doc
Summary: %summary

%description -n python-%{pypi_name}-doc
Documentation for python-ansible-compat


%package -n python3-%{pypi_name}
Summary: %summary

%{?python_disable_dependency_generator}
%py_provides python3-%{pypi_name}

%description -n python3-%{pypi_name}
A python package containing functions that help interacting with
various versions of Ansible


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r 


%build
%pyproject_wheel

%if %{with doc}
PYTHONPATH=src sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files ansible_compat

%check
# Disable tests as pip-tools, pytest-markdown 
# and pytest-plus not in Fedora yet
# export PYTHONPATH=src
# tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%if %{with doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc *.rst
%doc html/
%endif
