# Created by pyp2rpm-3.3.5
%global pypi_name ansible-core
%global srcname ansible_core

%global tarball_version %%(echo %{version} | tr -d '~')

Name:           python-%{pypi_name}
Version:        2.18.4
Release:        %mkrel 2
Summary:        Radically simple IT automation
Group:          Development/Python
License:        GPLv3+
URL:            https://ansible.com/
Source0:        %{pypi_source %{srcname} %{tarball_version}}
Patch1:         ansible-core-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Ansible is a radically simple IT automation system. It handles configuration
management, application deployment, cloud provisioning, ad-hoc task execution,
network automation, and multi-node orchestration. Ansible makes complex changes
like zero-downtime rolling updates with load balancers easy.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-ansible-base}
%{?py_provides:%py_provides python3-ansible-base}
Provides:	ansible-core = %{version}-%{release}
Provides:	ansible-base = %{version}-%{release}
Obsoletes:	python3-%{srcname} < 2.16.8-3
Conflicts:	ansible < 7.0.1

%description -n python3-%{pypi_name}
Ansible is a radically simple IT automation system. It handles configuration
management, application deployment, cloud provisioning, ad-hoc task execution,
network automation, and multi-node orchestration. Ansible makes complex changes
like zero-downtime rolling updates with load balancers easy.

%prep
%autosetup -n %{srcname}-%{tarball_version} -p1

%py3_shebang_fix test/lib/ansible_test/_util/target/cli/ansible_test_cli_stub.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ansible ansible_test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license licenses/*{L,l}icense.txt
%doc README.md
%{_bindir}/ansible
%{_bindir}/ansible-config
%{_bindir}/ansible-console
%{_bindir}/ansible-doc
%{_bindir}/ansible-galaxy
%{_bindir}/ansible-inventory
%{_bindir}/ansible-playbook
%{_bindir}/ansible-pull
%{_bindir}/ansible-test
%{_bindir}/ansible-vault
