%global pypi_name anyascii

Name:           python-%{pypi_name}
Version:        0.3.2
Release:        %mkrel 3
Summary:        Unicode to ASCII transliteration
Group:          Development/Python
License:        None
URL:            https://github.com/anyascii/anyascii
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
Converts Unicode characters to their best ASCII representation

AnyAscii provides ASCII-only replacement strings for practically all Unicode
characters. Text is converted character-by-character without considering the
context. The mappings for each script are based on popular existing
romanization systems. Symbolic characters are converted based on their meaning
or appearance. All ASCII characters in the input are left unchanged, every
other character is replaced with printable ASCII characters. Unknown characters
and some known characters are replaced with an empty string and removed.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Converts Unicode characters to their best ASCII representation

AnyAscii provides ASCII-only replacement strings for practically all Unicode
characters. Text is converted character-by-character without considering the
context. The mappings for each script are based on popular existing
romanization systems. Symbolic characters are converted based on their meaning
or appearance. All ASCII characters in the input are left unchanged, every
other character is replaced with printable ASCII characters. Unknown characters
and some known characters are replaced with an empty string and removed.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
%check
%pyproject_check_import
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
