%define pypi_name	appdirs

%bcond_with check

Name:		python-%{pypi_name}
Version:	1.4.4
Release:	%mkrel 10
Summary:	Python module for determining platform-specific directories
License:	MIT
Group:		Development/Python
URL:		https://github.com/ActiveState/appdirs
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
%if %{with check}
BuildRequires:	python3dist(pytest)
%endif

%description
A small Python module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".

#------------------------------------------------

%package -n	python3-%{pypi_name}
Summary:	Python 3 module for determining platform-specific directories
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
A small Python 3 module for determining appropriate " + " platform-specific
directories, e.g. a "user data dir".

#------------------------------------------------
%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/%{pypi_name}.py

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst CHANGES.rst
