%define pypi_name APScheduler
%define pkg_name apscheduler

Name:           python-%{pkg_name}
Version:        3.10.4
Release:        %mkrel 3
Summary:        In-process task scheduler with Cron-like capabilities
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/apscheduler/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Advanced Python Scheduler (APScheduler) is a Python library that lets you
schedule your Python code to be executed later, either just once or
periodically. You can add new jobs or remove old ones on the fly as you please.
If you store your jobs in a database, they will also survive scheduler restarts
and maintain their state. When the scheduler is restarted, it will then run all
the jobs it should have run while it was offline [1].

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pkg_name}
Advanced Python Scheduler (APScheduler) is a Python library that lets you
schedule your Python code to be executed later, either just once or
periodically. You can add new jobs or remove old ones on the fly as you please.
If you store your jobs in a database, they will also survive scheduler restarts
and maintain their state. When the scheduler is restarted, it will then run all
the jobs it should have run while it was offline [1].

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files apscheduler

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README.rst
