%define sqlite_version 3.49.1
%define uprel 0
%define pkg_version %{sqlite_version}.%{uprel}
%define module apsw

Name:           python-apsw
Version:        %{sqlite_version}.%{uprel}
Release:        %mkrel 1
Summary:        Another Python SQLite Wrapper
Group:          Development/Python
License:        zlib
URL:            https://rogerbinns.github.io/apsw/
Source0:        https://github.com/rogerbinns/apsw/releases/download/%{version}/%{module}-%{version}.tar.gz
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(sqlite3) >= %{sqlite_version}

%description
APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%package -n python3-%{module}
Summary:        Another Python3 SQLite Wrapper
Group:          Development/Python
License:        zlib
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
APSW is a Python3 wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%package doc
Summary:        Another Python SQLite Wrapper - Documentation
Group:          Development/Python
License:        zlib
BuildArch:      noarch

%description doc
APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files apsw

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE

%files doc
%doc doc/*
%{_bindir}/apsw
