%global pypi_name argcomplete

# Currently it's broken: https://github.com/kislyuk/argcomplete/issues/174
%bcond_with check

Name:           python-%{pypi_name}
Summary:        Bash tab completion for argparse
Version:        3.5.3
Release:        %mkrel 1
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/kislyuk/argcomplete
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Argcomplete provides easy, extensible command line tab completion of arguments
for your Python script.

It makes two assumptions:
 * You are using bash as your shell
 * You are using argparse to manage your command line arguments/options

Argcomplete is particularly useful if your program has lots of options or
subparsers, and if your program can dynamically suggest completions for your
argument/option values (for example, if the user is browsing resources over the
network).

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Argcomplete provides easy, extensible command line tab completion of arguments
for your Python script.

It makes two assumptions:
 * You are using bash as your shell
 * You are using argparse to manage your command line arguments/options

Argcomplete is particularly useful if your program has lots of options or
subparsers, and if your program can dynamically suggest completions for your
argument/option values (for example, if the user is browsing resources over the
network).

%prep
%autosetup -n %{pypi_name}-%{version}

# fix shebangs
# https://github.com/kislyuk/argcomplete/issues/255
# https://github.com/kislyuk/argcomplete/issues/256
sed -i -e "1s|#!.*python.*|#!%{__python3}|" test/prog argcomplete/scripts/*
sed -i -e "s|python |python3 |" test/test.py

# Remove shebang from installed scripts
sed -i '/^#!/d' argcomplete/scripts/*.py

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
install -p -m0644 %{buildroot}%{python3_sitelib}/%{pypi_name}/bash_completion.d/_python-argcomplete %{buildroot}%{_sysconfdir}/bash_completion.d/

%if %{with check}
%check
export LC_ALL=C.UTF-8
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.rst
%doc README.rst
%{_bindir}/activate-global-python-argcomplete
%{_bindir}/python-argcomplete-check-easy-install-script
%{_bindir}/register-python-argcomplete
%{_sysconfdir}/bash_completion.d/_python-argcomplete
