%define pypi_name arrow

Name:               python-%{pypi_name}
Version:            1.3.0
Release:            %mkrel 2
Summary:            Better dates and times for Python
Group:              Development/Python
License:            ASL 2.0
URL:                https://pypi.org/project/arrow/
Source0:            %{pypi_source}
BuildArch:          noarch
BuildRequires:      pyproject-rpm-macros
BuildRequires:      pkgconfig(python3)

%description
Arrow is a Python library that offers a sensible, human-friendly approach to
creating, manipulating, formatting and converting dates, times, and timestamps.
It implements and updates the datetime type, plugging gaps in functionality,
and provides an intelligent module API that supports many common creation
scenarios.

Simply put, it helps you work with dates and times with fewer imports and a lot
less code.

%package -n         python3-%{pypi_name}
Summary:            Better dates and times for Python 3
Group:              Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-arrow
Arrow is a Python library that offers a sensible, human-friendly approach to
creating, manipulating, formatting and converting dates, times, and timestamps.
It implements and updates the datetime type, plugging gaps in functionality,
and provides an intelligent module API that supports many common creation
scenarios.

Simply put, it helps you work with dates and times with fewer imports and a lot
less code.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README* CHANGELOG*
