#Based on fedora's spec

%global pypi_name arsenic

Name:           python-%{pypi_name}
Version:        21.8
Release:        %mkrel 1
Summary:        Asynchronous webdriver client built on asyncio
Group:          Development/Python
License:        Apache
URL:            https://github.com/HENNGE/arsenic
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz?/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Asynchronous webdriver client built on asyncio

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(structlog)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
aiosqlite AsyncIO bridge to the standard SQLite3 module for Python 3.5+.

%prep
%autosetup -n %{pypi_name}-%{version}
sed -e 's|\^20.1.0|\>=20.1.0|' -i pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/%{pypi_name}*
