%global pypi_name asciidata

Name:           python-asciidata
Version:        1.1.1
Release:        %mkrel 21
Group:          Sciences/Astronomy
Summary:        AstroAsciiData is a Python module to handle ASCII tables
Url:            https://www.stecf.org/software/PYTHONtools/astroasciidata
License:        GPLv2
Source0:        https://www.stecf.org/software/PYTHONtools/astroasciidata/source/asciidata-%{version}.tar.gz
Patch0:         python-asciidata-1.1.1-py3support.patch
BuildArch:      noarch


%description
AstroAsciiData is a Python module to handle ASCII tables. The idea to
develop this Python module emerged from the fact that ASCII tables
continue to be one of the most popular and widely used data exchange
formats in astronomy and probably science in general. The development
of the AstroAsciiData module is taking place as part of the AstroLib
project, an open source effort to develop general astronomical
utilities. The prime focus of the module is not computational speed,
since the ASCII tables used in astronomy are rather small (<10MB) and
thus very easy to handle for modern day computers. The main effort was
clearly to maximize the convenience for the user to keep the threshold
for installing and using the AstroAsciiData module as low as possible.


%package -n python3-asciidata
Summary:        Python3 implementation of AstroAsciiData
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-asciidata
%{summary}.


%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files asciidata

%files -n python3-asciidata -f %{pyproject_files}
