# Created by pyp2rpm-3.3.10
%global pypi_name astropy-healpix
%global srcname astropy_healpix

%bcond_with docs

Name:           python-%{pypi_name}
Version:        1.0.3
Release:        %mkrel 3
Summary:        HEALPix for Astropy
Group:          Development/Python
License:        BSD 3-Clause
URL:            https://github.com/astropy/astropy-healpix
Source0:        %{pypi_source}
Patch1:         astropy_healpix-linking.patch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel

#(eatdirt)  manual dep to circumvent unsatisfiable versionning
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(extension-helpers)
#BuildRequires:  python3dist(tox)
#BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(numpy)

%description
astropy-healpix is a new implementation that is separate from the original
HEALPix library and associated healpy Python wrapper.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
astropy-healpix is a new implementation that is separate from the original
HEALPix library and associated healpy Python wrapper.

%prep
%autosetup -p1 -n astropy_healpix-%{version}

%generate_buildrequires
#(eatdirt) temporarily disabled
#pyproject_buildrequires %{?with_docs:-x docs} -t -x test

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files astropy_healpix

%check
#yea, their stable release fails their own tests...
#tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.rst
%if %{with docs}
%doc html
%endif
