%global srcname astropy-helpers
%global sum Utilities for building and installing Astropy and Astropy affiliated packages

# Description for all subpackages
%global common_description                                                   \
This project provides a Python package, astropy_helpers, which includes many \
build, installation, and documentation-related tools used by the Astropy     \
project, but packaged separately for use by other projects that wish to      \
leverage this work. The motivation behind this package and details of its    \
implementation are in the accepted Astropy Proposal for Enhancement (APE) 4.

Name:           python-%{srcname}
Version:        4.0.1
Release:        %mkrel 8
Summary:        %{sum}
Group:          Sciences/Astronomy

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz
# https://github.com/bsipocz/astropy-helpers/commit/9431edf2a6e4692bfbd9e6326f01288d61d414e9
# imp --> importlib fixes keeping only the patch to the file astropy_helpers/utils.py
Patch0:         9431edf2a6e4692bfbd9e6326f01288d61d414e9.patch

BuildArch:      noarch
BuildRequires:  gcc gcc-c++
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-sphinx

%description
%{common_description}

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{common_description}


%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files astropy_helpers

%check
# Tests disabled for Python3 as they are not yet ported completely
# (they require the compiler module removed in Python 3)
#%%pytest


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.rst
%doc CHANGES.rst README.rst
