# Created by pyp2rpm-3.3.4
%global pypi_name asttokens

Name:           python-%{pypi_name}
Version:        2.4.1
Release:        %mkrel 2
Summary:        Annotate AST trees with source code positions
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/gristlabs/asttokens
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(astroid)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)

%description
The asttokens module annotates Python abstract syntax trees (ASTs) with the
positions of tokens and text in the source code that generated them.

It makes it possible for tools that work with logical AST nodes to find the
particular text that resulted in those nodes, for example for automated
refactoring or highlighting.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-%{pypi_name}-doc < 2.2.1

%description -n python3-%{pypi_name}
The asttokens module annotates Python abstract syntax trees (ASTs) with the
positions of tokens and text in the source code that generated them.

It makes it possible for tools that work with logical AST nodes to find the
particular text that resulted in those nodes, for example for automated
refactoring or highlighting.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc tests/testdata/README.md README.rst
%doc html
