%global srcname async-timeout

Name:           python-%{srcname}
Version:        5.0.1
Release:        %mkrel 3
Summary:        An asyncio-compatible timeout context manager
Group:          Development/Python

License:        ASL 2.0
URL:            https://github.com/aio-libs/async-timeout
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
asyncio-compatible timeout context manager
The context manager is useful in cases when you want to apply timeout
logic around block of code or in cases when asyncio.wait_for() is not
suitable. Also it's much faster than asyncio.wait_for() because timeout
doesn't create a new task.

# This module is Python 3 only
%package -n python3-%{srcname}
Summary:        An asyncio-compatible timeout context manager
Group:          Development/Python

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest-runner

%bcond_with tests
%if %{with tests}
BuildRequires:  python3-pytest-aiohttp
%endif

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
asyncio-compatible timeout context manager
The context manager is useful in cases when you want to apply timeout
logic around block of code or in cases when asyncio.wait_for() is not
suitable. Also it's much faster than asyncio.wait_for() because timeout
doesn't create a new task.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files async_timeout

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGES.rst
