# Created by pyp2rpm-3.3.2
%global pypi_name atomicwrites

%bcond_with docs

Name:           python-%{pypi_name}
Version:        1.4.1
Release:        %mkrel 4
Summary:        Atomic file writes
Group:          Development/Python
License:        MIT
URL:            https://github.com/untitaker/python-atomicwrites
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)

%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif

%description
Powerful Python library for atomic file writes.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Powerful Python 3 library for atomic file writes.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
