%define pypi_name attrs
%define module_name attr

Name:           python-%{pypi_name}
Version:        25.1.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        Classes Without Boilerplate
License:        MIT
URL:            https://pypi.org/project/attrs
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
attrs is an MIT-licensed Python package with class decorators that ease the
chores of implementing the most common attribute-related object protocols.

%package -n     python3-%{pypi_name}
Summary:        Attributes without boilerplate
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
attrs is an MIT-licensed Python package with class decorators that ease the
chores of implementing the most common attribute-related object protocols.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove undesired/optional test dependency on pympler
sed -i '/"pympler",/d' pyproject.toml

# Remove tests-mypy extra from tests-no-zope extra
sed -i "/attrs\[tests-mypy\]/d" pyproject.toml

# Compatibility with older hatchling < 1.26
sed -i "s/license-files/license-files.paths/" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module_name} %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
