%define srcname python-augeas
%define modname augeas

# Noarch python module but with archful dependency
%define debug_package %nil

Name:		python-%{modname}
Version:	1.1.0
Release:	%mkrel 5
Summary:	Python bindings for augeas
Group:		Development/Python
License:	LGPLv2+
Url:		https://augeas.net/
Source0:	%{pypi_source}
BuildRequires:	pkgconfig(augeas)

%description
python-augeas is a set of Python bindings around augeas.

%package -n     python3-%{modname}
Summary:	Python bindings to augeas for Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:	python3dist(setuptools)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(cffi)

Requires:	%{_lib}augeas0

%description -n python3-%{modname}
python3-augeas is a set of Python 3 bindings around augeas.

%prep
%autosetup -p1

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

# not needed?
rm -rf %{buildroot}%{python3_sitelib}/test/

%files -n python3-%{modname}
%license COPYING
%doc AUTHORS README.txt
%{python3_sitelib}/augeas.py
%{python3_sitelib}/augeas/
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/__pycache__/*
