%global pypi_name automat
%global srcname Automat

Name:		python-%{pypi_name}
Version:	24.8.1
Release:	%mkrel 1
Summary:	Python library for finite-state machines
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/Automat/
Source0:	%{pypi_source %{pypi_name}}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(setuptools-scm)

%description
Python library for finite-state machines.

%package -n	python3-%{pypi_name}
Summary:	Python 3 library for finite-state machines
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
Python3 library for finite-state machines.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md docs/*
%license LICENSE
%{_bindir}/automat-visualize
