# Created by pyp2rpm-3.3.6
%global pypi_name awscrt

%define 	bootstrap 1

Name:           python-%{pypi_name}
Version:        0.22.4
Release:        %mkrel 2
Summary:        A common runtime for AWS Python projects
Group:          Development/Python
License:        Apache-2.0 AND MIT AND BSD-3-Clause
URL:            https://github.com/awslabs/aws-crt-python
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# one test requires internet connection, skip it
Patch0:         skip-test-requiring-network.patch
Patch1:         awscrt-linking.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(libunwind-generic)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(openssl)
%if !%bootstrap
BuildRequires:  python3dist(boto3)
%endif
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(websockets)
BuildRequires:  pyproject-rpm-macros

%description
AWS CRT Python 3 bindings for the AWS Common Runtime.API

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
AWS CRT Python 3 bindings for the AWS Common Runtime.API

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

# Don't fail on warings
sed -i -e 's/-Werror/-Wno-error/g' setup.py $(find . -name "CMakeLists.txt")

%build
%ifarch %{ix86}
# disable SSE2 instructions to prevent a crash in aws-c-common thread handling
# probably caused by a compiler bug
export CFLAGS="%{optflags} -mno-sse2"
%endif
export AWS_CRT_BUILD_USE_SYSTEM_LIBCRYPTO=1

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files _awscrt awscrt

%check
PYTHONPATH="%{buildroot}%{python3_sitearch}:%{buildroot}%{python3_sitelib}" %{python3} -m unittest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
