%define pypi_name babel

Name:		python-babel
Version:	2.17.0
Release:	%mkrel 2
Summary:	Library for internationalizing Python applications
Group:		Development/Python
License:	BSD
URL:		https://babel.pocoo.org/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	python3-devel

%description
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%package -n python3-babel
Summary:        Library for internationalizing Python applications
Group:          Development/Python
%{?python_provide:%python_provide python3-babel}
Provides:       pybabel = %{version}-%{release}

%description -n python3-babel
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# drop shebang
sed -i -e '/^#!/,1d' babel/messages/frontend.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files babel

%files -n python3-babel -f %{pyproject_files}
%doc AUTHORS
%license LICENSE
%{_bindir}/pybabel
