%define srcname backoff

Name:           python-%{srcname}
Version:        2.2.1
Release:        %mkrel 3
Group:          Development/Python
License:        MIT
Summary:        Function decoration for backoff and retry
URL:            https://github.com/litl/backoff
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
This module provides function decorators which can be used to wrap a function
such that it will be retried until some condition is met. It is meant to be of
use when accessing unreliable resources with the potential for intermittent
failures i.e. network resources and external APIs. Somewhat more generally, it
may also be of use for dynamically polling resources for externally generated
content.

%package -n python3-%{srcname}
Summary:        Function decoration for backoff and retry
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This module provides function decorators which can be used to wrap a function
such that it will be retried until some condition is met. It is meant to be of
use when accessing unreliable resources with the potential for intermittent
failures i.e. network resources and external APIs. Somewhat more generally, it
may also be of use for dynamically polling resources for externally generated
content.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.rst
