# Created by pyp2rpm-3.3.2
%global pypi_name bashate

%bcond_with docs

Name:           python-%{pypi_name}
Version:        2.1.1
Release:        %mkrel 2
Summary:        A pep8 equivalent for bash scripts
Group:          Development/Python
License:        ASL 2.0
URL:            https://docs.openstack.org/developer/bashate/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(sphinx)
%endif
BuildRequires:  python3dist(testrepository)
BuildRequires:  python3dist(testscenarios)
BuildRequires:  python3dist(testtools)
BuildRequires:  python3dist(stestr)

%description
A pep8 equivalent for bash scripts. This program attempts to be an automated
style checker for bash scripts to fill the same part of code review that pep8
does in most OpenStack projects. It started from humble beginnings in the
DevStack project, and will continue to evolve over time.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A pep8 equivalent for bash scripts. This program attempts to be an automated
style checker for bash scripts to fill the same part of code review that pep8
does in most OpenStack projects. It started from humble beginnings in the
DevStack project, and will continue to evolve over time.

%prep
%autosetup -n %{pypi_name}-%{version}


# Loosen reqs
perl -pi -e 's/^(.*)!=.*,/$1/g' requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files bashate

%check
stestr --test-path ./bashate/tests run

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc doc/source/readme.rst README.rst
%{_bindir}/bashate
%if %{with docs}
%doc html
%endif
