Name:           python-berkeleydb
Version:        18.1.8
Release:        %mkrel 2
Summary:        Python bindings for BerkeleyDB
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/berkeleydb/
Source0:        https://pypi.python.org/packages/source/b/berkeleydb/berkeleydb-%{version}.tar.gz
BuildRequires:  db-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  pyproject-rpm-macros

%description
This package contains Python wrappers for Berkeley DB, the Open Source embedded
database system. The Python wrappers allow you to store Python string objects of
any length.

%package -n python3-berkeleydb
Summary:        Python 3 bindings for BerkeleyDB
%{?python_provide:%python_provide python3-berkeleydb}

%description -n python3-berkeleydb
This package contains Python wrappers for Berkeley DB, the Open Source embedded
database system. The Python wrappers allow you to store Python string objects of
any length.

%prep
%autosetup -p1 -n berkeleydb-%{version}

# drop unneeded RPATH
sed -i -e '/runtime_library_dirs/d' setup3.py

# fix shebangs
%py3_shebang_fix src/berkeleydb/


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files berkeleydb

# Get rid of unneeded header
rm -f %{buildroot}%{_includedir}/python*/berkeleydb/berkeleydb.h

# Make all scripts executable
chmod 0755 %{buildroot}%{python3_sitearch}/berkeleydb/dbshelve.py

%files -n python3-berkeleydb -f %{pyproject_files}
%doc ChangeLog PKG-INFO README.txt LICENSE.txt
