%global modname binaryornot

Name:               python-binaryornot
Version:            0.4.4
Release:            %mkrel 10
Summary:            A pure Python package to check if a file is binary or text
Group:              Development/Python
License:            BSD
URL:                https://pypi.org/project/BinaryOrNot
Source0:            https://pypi.python.org/packages/source/b/binaryornot/binaryornot-%{version}.tar.gz
Patch1:             binaryornot-0.4.4-fix-test.patch
BuildArch:          noarch

BuildRequires:      python3-devel
BuildRequires:      python3-sphinx

%description
Ultra-lightweight pure Python package to guess whether a file is binary or
text, using a heuristic similar to Perl's pp_fttext and its analysis by
@eliben.

Has tests for these file types:
* Text: .txt, .css, .json, .svg, .js, .lua, .pl, .rst * Binary: .png, .gif,
.jpg, .tiff, .bmp, .DS_Store, .eot, .otf, .ttf, .woff, .rgb

Has tests for numerous encodings.

%package -n         python3-%{modname}
Summary:            A pure Python 3 package to check if a file is binary or text
Group:              Development/Python
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
Ultra-lightweight pure Python package to guess whether a file is binary or
text, using a heuristic similar to Perl's pp_fttext and its analysis by
@eliben.

Has tests for these file types:
* Text: .txt, .css, .json, .svg, .js, .lua, .pl, .rst * Binary: .png, .gif,
.jpg, .tiff, .bmp, .DS_Store, .eot, .otf, .ttf, .woff, .rgb

Has tests for numerous encodings.

%package -n         python-%{modname}-docs
Summary:            Documentation for python-binaryornot
Group:              Documentation

%description -n python-%{modname}-docs
Documentation for python-binaryornot.

%prep
%autosetup -n %{modname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

make -C docs html PYTHONPATH=$(pwd)
rm -rf docs/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files %{modname}


%files -n python3-%{modname} -f %{pyproject_files}
%doc README.rst
%license LICENSE

%files -n python-%{modname}-docs
%doc docs/_build/html
