%define oname	biopython
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

Summary:	The Biopython Project
Name:		python-biopython
Epoch:		1
Version:	1.84
Release:	%mkrel 2
License:	BSD
Group:		Sciences/Biology
Url:		https://biopython.org/
Source0:	https://biopython.org/DIST/%{oname}-%{version}.tar.gz
Patch1:		biopython-1.84-linking.patch
Patch2:		python-biopython-1.84-replace_deprecated_function.patch
BuildRequires:	flex
BuildRequires:	gcc

%description
The Biopython Project is an international association of developers of
freely available Python tools for computational molecular biology.

http://biopython.org provides an online resource for modules,
scripts, and web links for developers of Python-based software for
life science research.

This package provides various Python modules from the Biopython Project
used to process biological data.

%package	-n python3-biopython
Summary:	The Biopython Project for Python3
Group:		Sciences/Biology
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-reportlab
BuildRequires:	python3-numpy
BuildRequires:	python3-numpy-devel
Requires:	python3-numpy
Requires:	python3-reportlab
Recommends:	ncbi-blast
# don't explicitly require clustalw because it is non-free
Recommends:	clustalw
%{?python_provide:%python_provide python3-biopython}

Obsoletes:	wise2 < 2.4.1-11

%description -n python3-biopython
The Biopython Project is an international association of developers of
freely available Python tools for computational molecular biology.

http://biopython.org provides an online resource for modules,
scripts, and web links for developers of Python-based software for
life science research.

This package provides various Python 3 modules from the Biopython Project
used to process biological data.

%package	-n python3-biopython-sql
Summary:	Code for using Biopython with BioSQL databases
Group:		Development/Python
Requires:	python3-biopython = %{epoch}:%{version}-%{release}
Requires:	python3-psycopg2

%description -n python3-biopython-sql
BioSQL is meant to be a common data storage layer supported by all the
different Bio* projects, Bioperl, Biojava, Biopython, and Bioruby.
Entries stored through an application written in, say, Bioperl could
be retrieved by another written in Biojava.

%package	doc
Summary:	The Biopython Project documentation
Group:		Development/Python
Provides:	biopython-doc

%description doc
This package provides the documentation for the various components of the
Biopython Project.

%prep
%autosetup -p1 -n %{oname}-%{version}

# remove all execute bits from documentation and fix line endings
find Scripts -type f -exec chmod -x {} 2>/dev/null ';'
find Doc -type f -exec chmod -x {} 2>/dev/null ';'
find Doc -type f -exec sed -i 's/\r//' {} 2>/dev/null ';'

# remove execute bits from Python modules
find Bio -type f -exec chmod -x {} 2>/dev/null ';'
# remove she-bang lines in .py files to keep rpmlint happy
find Bio -type f -name "*.py" -exec sed -i '/^#![ ]*\/usr\/bin\/.*$/ d' {} 2>/dev/null ';'

%generate_buildrequires
%pyproject_buildrequires -x tests

%build
%pyproject_wheel

%install
%pyproject_install

%files doc
%doc Doc/*.pdf Doc/examples/

%files -n python3-biopython
%{python3_sitearch}/Bio
%{python3_sitearch}/*.dist-info
%doc Scripts
%doc CONTRIB.rst DEPRECATED.rst NEWS.rst README.rst
%license LICENSE.rst

%files -n python3-biopython-sql
%{python3_sitearch}/BioSQL
%license LICENSE.rst
