# Created by pyp2rpm-3.3.4
%global pypi_name black-hole-solver
%global srcname black_hole_solver

Name:           python-%{pypi_name}
Version:        0.2.3
Release:        %mkrel 8
Summary:        Python Wrappers for the C libblack-hole-solver
Group:          Development/Python
License:        BSD
URL:            https://github.com/shlomif/black-hole-solitaire
Source0:        %{pypi_source}
# fix for doc build with sphinx 8.1
Patch0:         black-hole-solver-docs.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(libblack-hole-solver)
BuildRequires:  python3dist(sphinx)

%description
The black_hole_solver PyPI distribution provides Python bindings for the
Black Hole Solitaire Solver C API. It can be used by PySol FC to provide
faster bindings for solving Golf solitaire and other variants.

%package -n     python3-%{pypi_name}
Summary:        Python Wrappers for the C libblack-hole-solver
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python-%{srcname}-doc < 0.2.3-6
Obsoletes:      python3-%{srcname} < 0.2.3-6

%description -n python3-%{pypi_name}
The black_hole_solver PyPI distribution provides Python bindings for the
Black Hole Solitaire Solver C API. It can be used by PySol FC to provide
faster bindings for solving Golf solitaire and other variants.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires requirements.txt

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE docs/LICENSE.rst
%doc docs/README.rst
%doc html
