# comment out when not a beta release
#define prerel    b1

%define pypi_name black

%global tarball_version %%(echo %{version} | tr -d '~')

Name:           python-%{pypi_name}
Version:        24.10.0
Release:        %mkrel 2
Summary:        The uncompromising code formatter
Group:          Development/Python
License:        MIT
URL:            https://github.com/psf/black
Source0:        %{pypi_source %{pypi_name} %{tarball_version}}
Source1:        black.1
Source2:        blackd.1
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# test requirements (upstream mixed with coverage, we hand-pick what we need only):
BuildRequires:  python3-pytest

# the black[jupyter] extra is allowed by default
# disable to avoid the ipython-black bootstrap loop
# note that tests/test_no_ipynb.py only runs without jupyter
# extra paranoid packagers can build this both with and without to run all tests
%bcond_without jupyter

%description
Black is the uncompromising Python code formatter. By using it, you agree to
cease control over minutiae of hand-formatting. In return, Black gives you
speed, determinism, and freedom from pycodestyle nagging about formatting.
You will save time and mental energy for more important matters.

%package -n     %{pypi_name}
Summary:        The uncompromising code formatter
Group:          Development/Python
# extras_require "d"
Recommends:     python3-aiohttp >= 3.3.2
Recommends:     python3-aiohttp-cors

%description -n %{pypi_name}
Black is the uncompromising Python code formatter. By using it, you agree to
cease control over minutiae of hand-formatting. In return, Black gives you
speed, determinism, and freedom from pycodestyle nagging about formatting.
You will save time and mental energy for more important matters.

%prep
%autosetup -n %{pypi_name}-%{tarball_version} -p1

%generate_buildrequires
# d is a name of extras_require
%pyproject_buildrequires -r -x d

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files 'black*' '_black*' blib2to3

for exe in black blackd; do
  ln -sr %{buildroot}%{_bindir}/${exe}{,-%{python3_version}}
done

install -D -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/black.1
install -D -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man1/blackd.1

%check
export PIP_INDEX_URL=http://host.invalid./
export PIP_NO_DEPS=yes
%pytest -Wdefault -rs --run-optional %{!?with_jupyter:no_}jupyter

%files -n %{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/black
%{_bindir}/black-%{python3_version}
%{_mandir}/man1/black.1*
%{_bindir}/blackd
%{_bindir}/blackd-%{python3_version}
%{_mandir}/man1/blackd.1*
