%global pypi_name bleach

Name:           python-%{pypi_name}
Version:        6.2.0
Release:        %mkrel 2
Summary:        An easy whitelist-based HTML-sanitizing tool
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/jsocol/bleach
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Bleach is an HTML sanitizing library that escapes or strips markup and
attributes based on a white list.

Know that bleach is deprecated and its usage for new project should be avoided.
https://github.com/mozilla/bleach/issues/698

%package -n python3-%{pypi_name}
Summary:        An easy whitelist-based HTML-sanitizing tool
%{?python_provide:%python_provide python3-%{pypi_name}}
# Add this requires to replace the one unbundled
Requires:       python3dist(html5lib)

%description -n python3-%{pypi_name}
Bleach is an HTML sanitizing library that escapes or strips markup and
attributes based on a white list.

Know that bleach is deprecated and its usage for new project should be avoided.
https://github.com/mozilla/bleach/issues/698

%prep
%autosetup -n %{pypi_name}-%{version} -p1

sed -i -E -e 's/(^\s+version=).*/\1"%{version}",/' setup.py

# Remove vendored libraries which were added for https://github.com/mozilla/bleach/issues/386
rm -r bleach/_vendor/
# Bleach has a shim layer that references the vendored html5lib and urllib.parse we just deleted.
# Let's patch up the imports to use the real html5lib and urllib.parse.
sed -i "s/bleach._vendor.html5lib/html5lib/g" bleach/html5lib_shim.py tests/test_clean.py
sed -i "s/bleach._vendor.parse/urllib.parse/g" bleach/parse_shim.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
