# Created by pyp2rpm-3.3.3
%global pypi_name bleson

# tests needs cap_net_raw and cap_net_admin+eip
# capabilities in python3 binary
%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.1.8
Release:        %mkrel 7
Summary:        Bluetooth LE Library
Group:          Development/Python
License:        MIT
URL:            https://github.com/TheCellule/python-bleson
Source0:        https://github.com/TheCellule/python-bleson/archive/RELEASE_%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Bleson is a cross platform Python 3 module for accessing Bluetooth LE API's.

The (planned) supported Bluetooth LE roles are: Observer, Advertiser (inc.
Beacon), Peripheral and Central.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Bleson is a cross platform Python 3 module for accessing Bluetooth LE API's.

The (planned) supported Bluetooth LE roles are: Observer, Advertiser (inc.
Beacon), Peripheral and Central.

%prep
%autosetup -n %{name}-RELEASE_%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# doc build
sphinx-build docs html
# doc build leftovers
rm -rf html/.{buildinfo,doctrees}

%install
%pyproject_install
%pyproject_save_files bleson

# drop tests
rm -rf %{buildroot}%{python3_sitelib}/tests/

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%doc html
