# Used by tito and python-curtsies
%global pypi_name blessed

Name:           python-%{pypi_name}
Version:        1.20.0
Release:        %mkrel 3
Summary:        Easy, practical library for making terminal apps, by providing an elegant, well- documented interface to Colors, Keyboard input, and screen Positioning capabilities
Group:          Development/Python
License:        MIT
URL:            https://github.com/jquast/blessed
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)

BuildRequires:  python3dist(six)
BuildRequires:  python3dist(wcwidth)

%description
Blessed is an easy, practical library for making terminal apps, by providing an 
elegant, well-documented interface to Colors, Keyboard input, and screen 
position and Location capabilities.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Blessed is an easy, practical library for making terminal apps, by providing an 
elegant, well-documented interface to Colors, Keyboard input, and screen 
position and Location capabilities.

%package -n python-%{pypi_name}-doc
Summary:        blessed documentation

%description -n python-%{pypi_name}-doc
Documentation for blessed

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

