Name:           python-blosc2
Version:        3.2.0
Release:        %mkrel 1
Summary:        Python wrapper for the Blosc2 compression library
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://blosc.org/python-blosc2/python-blosc2.html
Source:         https://github.com/Blosc/python-blosc2/archive/v%{version}/python-blosc2-%{version}.tar.gz
Patch0:         python-blosc2-linking.patch

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(scikit-build)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(blosc2) >= 2.17.0

%description
C-Blosc2 is the new major version of C-Blosc, and is backward compatible with
both the C-Blosc1 API and its in-memory format. Python-Blosc2 is a Python
package that wraps C-Blosc2, the newest version of the Blosc compressor.

In addition, Python-Blosc2 aims to leverage the new C-Blosc2 API so as to
support super-chunks, multi-dimensional arrays (NDArray), serialization and
other bells and whistles introduced in C-Blosc2. Although this is always and
endless process, it has already caught up with most of the C-Blosc2 API
capabilities.

%package -n python3-blosc2
Summary:        Python3 wrapper for the Blosc2 compression library
Group:          Development/Python

%description -n python3-blosc2
C-Blosc2 is the new major version of C-Blosc, and is backward compatible with
both the C-Blosc1 API and its in-memory format. Python-Blosc2 is a Python
package that wraps C-Blosc2, the newest version of the Blosc compressor.

In addition, Python-Blosc2 aims to leverage the new C-Blosc2 API so as to
support super-chunks, multi-dimensional arrays (NDArray), serialization and
other bells and whistles introduced in C-Blosc2. Although this is always and
endless process, it has already caught up with most of the C-Blosc2 API
capabilities.

%prep
%autosetup -p1

sed -i 's|"torch;|#"torch;|' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
export USE_SYSTEM_BLOSC2=ON
export SKBUILD_CMAKE_BUILD_TYPE=RelWithDebInfo 
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files blosc2

%check
OPTIONS=(
)
%ifnarch %{ix86} %{arm}
%pytest tests/ "${OPTIONS[@]}" -v \
%endif

%files -n python3-blosc2 -f %{pyproject_files}
%doc README.rst RELEASE_NOTES.md
