%global         pypi_name      py_bobyqa
%define         egg_name       py_bobyqa

Name:           python-bobyqa
Version:        1.5.0
Release:        %mkrel 2
Summary:        A flexible package for solving bound-constrained minimization
License:        GPLv3
Group:          Development/Python
URL:            https://pypi.org/project/Py-BOBYQA/
Source0:        %{pypi_source}

BuildArch:      noarch

%description
Py-BOBYQA is a flexible package for solving bound-constrained general
objective minimization, without requiring derivatives of the
objective. At its core, it is a Python implementation of the BOBYQA
algorithm by Powell, but Py-BOBYQA has extra features improving its
performance on some problems and it is particularly useful when
evaluations of the objective function are expensive and noisy.

%package -n python3-bobyqa
Summary:        Python3 implementation of the BOBYQA algorithm
Group:          Development/Python
%{?python_provide:%python_provide python3-bobyqa}
BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(pandas)
Requires:       python3dist(numpy)
Requires:       python3dist(scipy)

Provides:       bobyqa = %{version}-%{release}

%description -n python3-bobyqa
Py-BOBYQA is a flexible package for solving bound-constrained general
objective minimization, without requiring derivatives of the
objective. At its core, it is a Python implementation of the BOBYQA
algorithm by Powell, but Py-BOBYQA has extra features improving its
performance on some problems and it is particularly useful when
evaluations of the objective function are expensive and noisy.


%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pybobyqa

%files -n python3-bobyqa -f %{pyproject_files}
%doc README.rst
