%global pypi_name boto3

Name:           python-%{pypi_name}
Version:        1.37.24
Release:        %mkrel 1
Summary:        The AWS SDK for Python
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/boto3/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Boto3 is the Amazon Web Services (AWS) Software Development
Kit (SDK) for Python, which allows Python developers to
write software that makes use of services like Amazon S3
and Amazon EC2.

%package -n     python3-%{pypi_name}
Summary:        The AWS SDK for Python 3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-xdist)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Boto3 is the Amazon Web Services (AWS) Software Development
Kit (SDK) for Python3, which allows Python developers to
write software that makes use of services like Amazon S3
and Amazon EC2.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


# Remove online tests
rm -rf tests/integration

# Loosen reqs
perl -pi -e "s/(botocore|jmespath|s3transfer)>=(.*),(<.*)(',?)/\$1>=\$2\$4/" setup.*

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files boto3

%check
# Integration tests require network access and real AWS resources.
#pytest --ignore=tests/integration -v -n auto

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE

