%global owner michaeljones
%global srcname breathe

%bcond_with doc

Name:           python-%{srcname}
Version:        4.35.0
Release:        %mkrel 4
Summary:        Adds support for Doxygen xml output to reStructuredText and Sphinx
Group:          Development/Python
License:        BSD
URL:            https://github.com/michaeljones/breathe
Source0:        %{URL}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Patch0:         0001-rewrite-requirement-sphinx.patch

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  doxygen >= 1.8.4
BuildRequires:  python3-devel
# NOTE: git is only needed because part of the build process checks if it's in
# a git repo
BuildRequires:  git

# Set the name of the documentation directory
%global _docdir_fmt %{name}

%description
Breathe is an extension to reStructuredText and Sphinx to be able to read and
render the Doxygen xml output.

%package -n     python3-%{srcname}
Summary:        Adds support for Doxygen xml output to reStructuredText and Sphinx
Group:          Development/Python
Requires:       python3-six
Requires:       doxygen >= 1.8.4
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Breathe is an extension to reStructuredText and Sphinx to be able to read and
render the Doxygen xml output.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
# Build the documentation
PYTHONPATH=$(pwd) make %{?_smp_mflags} DOXYGEN=$(which doxygen) html
# Remove temporary build files
rm documentation/build/html/.buildinfo
%endif

%install
%pyproject_install
%pyproject_save_files breathe

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%{_bindir}/breathe-apidoc
%license LICENSE
%if %{with doc}
%doc documentation/build/html
%endif
