 %define module	brotlipy

Name:		python-%{module}
Version:	0.7.0
Release:	%mkrel 11
Summary:	Python binding to the Brotli library
Group:		Development/Python
License:	MIT
URL:		https://github.com/python-hyper/brotlipy/
Source0:	https://pypi.io/packages/source/b/brotlipy/%{module}-%{version}.tar.gz

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(cffi)

BuildRequires:	pkgconfig(libffi)

%description
This library contains Python bindings for the reference Brotli
encoder/decoder. This allows Python software to use the Brotli
compression algorithm directly from Python code.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 binding to the Brotli library
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
This library contains Python 3 bindings for the reference Brotli
encoder/decoder. This allows Python software to use the Brotli
compression algorithm directly from Python 3 code.

#------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

# fix linking issue
sed -i "s|'libbrotli'|'libbrotli', 'm'|" src/brotli/build.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc HISTORY.rst LICENSE README.rst
%{python3_sitearch}/brotli/
%{python3_sitearch}/%{module}-%{version}-py%{python3_version}.egg-info/
