%define pypi_name bsddb3

Name:           python-%{pypi_name}
Version:        6.2.9
Release:        %mkrel 7
Summary:        Python bindings for BerkeleyDB
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/bsddb3/
Source0:        %{pypi_source}
# This change satisfies the rpath check during the build
Patch0:         dont-include-standard-paths-in-runtime-libdir.patch
Patch1:         TextTestResult.patch
Patch2:         threads.patch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  db-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
This package contains Python wrappers for Berkeley DB, the Open Source embedded
database system. The Python wrappers allow you to store Python string objects of
any length.

%package -n python3-%{pypi_name}
Summary:        Python3 bindings for BerkeleyDB
Group:          Development/Python
%{?python_provide:%python_provide python3-bsddb3}

%description -n python3-%{pypi_name}
This package contains Python wrappers for Berkeley DB, the Open Source embedded
database system. The Python wrappers allow you to store Python string objects of
any length.

%prep
%autosetup -p1 -n bsddb3-%{version}

# fix shebangs
%py3_shebang_fix Lib*/

# drop unneeded RPATH
sed -i -e '/runtime_library_dirs/d' setup3.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bsddb3

# Get rid of unneeded header
rm -f %{buildroot}%{_includedir}/python*/bsddb3/bsddb.h

# Make all scripts executable
chmod 0755 %{buildroot}%{python3_sitearch}/bsddb3/{dbshelve.py,tests/test_dbtables.py}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc ChangeLog PKG-INFO README.txt
%license LICENSE.txt
