%define pypi_name python_bugzilla
%define pkgname  bugzilla

Name:           python-%{pkgname}
Version:        3.3.0
Release:        %mkrel 2
Summary:        A python library and tool for interacting with Bugzilla
Group:          Development/Python
License:        GPLv2+
URL:            https://pypi.org/project/python-bugzilla/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)

%description
python-bugzilla is a python 2/3 library for interacting with bugzilla instances
over XML-RPC. This package also includes the 'bugzilla' command-line tool
for interacting with bugzilla from shell scripts.

%package -n python3-%{pkgname}
Summary:  A python 3 library for interacting with Bugzilla
Group:    Development/Python
%{?python_provide:%python_provide python3-bugzilla}

%description -n python3-%{pkgname}
python3-bugzilla is a python 3 library for interacting with bugzilla instances
over XML-RPC.

%package cli
Summary:  A python CLI tool for interacting with Bugzilla
Group:    Development/Tools
Requires: python3-%{pkgname}

%description cli
This package includes the 'bugzilla' command-line tool
for interacting with bugzilla from shell scripts.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bugzilla

%check
%tox

%files -n python3-%{pkgname} -f %{pyproject_files}
%license COPYING
%doc README.md

%files cli
%license COPYING
%doc README.md
%{_bindir}/bugzilla
%{_mandir}/man1/bugzilla.1*
