Summary:	A python wrapper for the Cairo libraries
Name:		python-cairo
Version:	1.27.0
Release:	%mkrel 1
License:	MPLv1+ or LGPLv2
Group:		Development/Python
URL:		https://pycairo.readthedocs.io/
Source0:	https://github.com/pygobject/pycairo/releases/download/v%{version}/pycairo-%{version}.tar.gz
Patch1:		python-linking.patch
BuildRequires:	meson
BuildRequires:  python3-devel
BuildRequires:	pkgconfig(cairo) >= 1.13.1
BuildRequires:  python3dist(pytest)

%description
A set of Python bindings for the cairo graphics library.

%package -n python3-cairo
Summary:	A python3 wrapper for the Cairo libraries
Group:		Development/Python
Provides:	py3cairo = %{version}-%{release}
Provides:	pycairo = %{version}-%{release}

%description -n python3-cairo
A set of Python3 bindings for the cairo graphics library.

%package -n python3-cairo-devel
Summary:	Development files for %{name}
Group:		Development/Python
Requires:	python3-cairo = %{version}-%{release}
Provides:	py3cairo-devel = %{version}-%{release}
Provides:	pycairo-devel = %{version}-%{release}

%description -n python3-cairo-devel
Development files for python3-cairo.

%prep
%autosetup -p1 -n pycairo-%{version}

%build
%meson \
  -Dtests=true \
  -Dwheel=false
%meson_build

%install
%meson_install

%check
%meson_test

%files -n python3-cairo
%{python3_sitearch}/cairo/
%{python3_sitearch}/pycairo-%{version}.dist-info/

%files -n python3-cairo-devel
%dir %{_includedir}/pycairo/
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc
