%global pypi_name cairocffi

Name:           python-%{pypi_name}
Version:        1.7.1
Release:        %mkrel 1
Group:          Development/Python
Summary:        cffi-based cairo bindings for Python
License:        MIT
URL:            https://pypi.org/project/cairocffi
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of
Python bindings and object-oriented API for cairo.  Cairo is a 2D
vector graphics library with support for multiple backends including
image buffers, PNG, PostScript, PDF, and SVG file output.

%package -n python3-%{pypi_name}
Summary:        cffi-based cairo bindings for Python 3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of
Python bindings and object-oriented API for cairo.  Cairo is a 2D
vector graphics library with support for multiple backends including
image buffers, PNG, PostScript, PDF, and SVG file output.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cairocffi

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
