%define url_ver %(echo %{version}|cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/caja/extensions-2.0/.*\\.so

Name:           python-caja
Version:	1.28.0
Release:	%mkrel 2
Summary:        Python bindings for Caja
License:        GPLv2+ and LGPLv2+
Group:          Development/Python
URL:            https://github.com/mate-desktop/python-caja
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  mate-common >= %{url_ver}
BuildRequires:  libtool
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(libcaja-extension) >= %{url_ver}

%description
This package contains bindings to write Caja extensions with Python.
It allows writing menu, property pages and column providers extensions,
so that Caja' s functionality can be easily extended.

%package -n python3-caja
Summary:        Python bindings for Caja
Group:          Development/Python
%{?python_provide:%python_provide python3-caja}
Provides:       caja-python = %{version}-%{release}

%description -n python3-caja
This package contains bindings to write Caja extensions with Python.
It allows writing menu, property pages and column providers extensions,
so that Caja' s functionality can be easily extended.

%prep
%autosetup -p1

# build with python3
sed -i -e '/AM_PATH_PYTHON/s/[0-9]\.[0-9]/%{python3_version}/' configure.ac
sed -i -e '1s@#!/usr/bin.*python[2,3]\?@#!%{__python3}@' $(grep -r -l '#!/usr/bin.*python')

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

# New dir where python extensions get installed. It's not created by make
# install (bgo#638890).
mkdir -p %{buildroot}%{_datadir}/caja-python/extensions

# handle docs in files section
rm -f %{buildroot}%{_docdir}/python-caja/README

%find_lang %{name}

%files -n python3-caja -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%doc %{_docdir}/python-caja/examples/*.py
%{_libdir}/caja/extensions-2.0/libcaja-python.so
%dir %{_datadir}/caja-python/
%dir %{_datadir}/caja-python/extensions/
%{_datadir}/caja/extensions/libcaja-python.caja-extension
%{_libdir}/pkgconfig/caja-python.pc
