%define _disable_ld_no_undefined 1

%global module_name cangjie

Name:             python-%{module_name}
Summary:          Python bindings to libcangjie
Version:          1.5.0
Release:          %mkrel 2
Group:            Development/Python
License:          LGPL-3.0-only
URL:              https://gitlab.freedesktop.org/cangjie/pycangjie
Source0:          https://gitlab.freedesktop.org/cangjie/pycangjie/releases/download/v%{version}/pycangjie-%{version}.tar.xz
BuildRequires:    meson

%description
Python bindings to libcangjie, the library implementing Cangjie and Quick
input methods.

%package -n python3-%{module_name}
Summary:          Python bindings to libcangjie
Group:            Development/Python
%{?python_provide:%python_provide python3-%{module_name}}
BuildRequires:    python3-cython
BuildRequires:    python3-devel
BuildRequires:    pkgconfig(cangjie) >= 1.4

%description -n python3-%{module_name}
Python bindings to libcangjie, the library implementing Cangjie and Quick
input methods.

%prep
%autosetup -p1 -n pycangjie-%{version}

%build
%meson
%meson_build

%install
%meson_install

%check
export CANGJIE_DB=/usr/share/libcangjie/cangjie.db
%meson_test

%files -n python3-%{module_name}
%license COPYING*
%doc README.md docs/*.md
%{python3_sitearch}/%{module_name}/

