%define         pypiname          Cartopy
%define         srcname           cartopy

Name:           python-cartopy
Version:        0.24.1
Release:        %mkrel 3

Summary:        A Python package designed to draw maps
License:        LGPLv3
Group:          Development/Python

Url:            https://pypi.python.org/pypi/Cartopy
Source0:        %{pypi_source}

BuildRequires:  pkgconfig(proj)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-numpy-devel
BuildRequires:  geos-devel
BuildRequires:  chrpath

%description
Cartopy is a Python package designed to make drawing maps for data
analysis and visualisation easy. Some of the key features of cartopy are:
* object oriented projection definitions
* point, line, vector, polygon and image transformations between projections
* integration to expose advanced mapping in matplotlib with a simple
  and intuitive interface
* powerful vector data handling by integrating shapefile reading with
  Shapely capabilities.

%package -n python3-cartopy
Summary:        Python3 implementation of Cartopy
Group:          Development/Python
%{?python_provide:%python_provide python3-cartopy}

%description -n python3-cartopy
Cartopy is a Python 3 package designed to make drawing maps for data
analysis and visualisation easy. Some of the key features of cartopy are:
* object oriented projection definitions
* point, line, vector, polygon and image transformations between projections
* integration to expose advanced mapping in matplotlib with a simple
  and intuitive interface
* powerful vector data handling by integrating shapefile reading with
  Shapely capabilities.


%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cartopy

pushd %{buildroot}/%{python3_sitearch}/cartopy
for mod in $(find . -type f -name \*.so ); do
    chrpath --delete $mod
done
popd

%files -n python3-cartopy -f %{pyproject_files}
%doc README.md
%{_bindir}/cartopy_feature_download
