%{?!python_module:%define python_module() python3-%{**}}
%bcond_without  test
Name:           python-cassowary
Version:        0.5.2
Release:        %mkrel 5
Summary:        A pure Python implementation of the Cassowary constraint solving algorithm
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/brodderickrodriguez/cassowary
Source:         https://files.pythonhosted.org/packages/source/c/cassowary/cassowary-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildArch:      noarch


%global _description\
A pure Python implementation of the Cassowary constraint-solving algorithm.\
Cassowary is the algorithm that forms the core of the OS X and iOS visual\
layout mechanism.

%description %_description

%package -n python3-cassowary
Summary: A pure Python implementation of the Cassowary constraint solving algorithm
%description -n python3-cassowary %_description

%prep
%setup -q -n cassowary-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cassowary

%if %{with test}
%check
%pytest
%endif

%files -n python3-cassowary -f %{pyproject_files}
%license LICENSE
%doc AUTHORS README.rst
%{python_sitelib}/*
