# Created by pyp2rpm-3.3.3
%global pypi_name cattrs

%bcond_with docs

Name:           python-%{pypi_name}
Version:        24.1.2
Release:        %mkrel 1
Summary:        Composable complex class support for attrs
Group:          Development/Python
License:        MIT license
URL:            https://github.com/Tinche/cattrs
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif

%description
cattrs is an open source Python library for structuring and unstructuring data.
cattrs works best with attrs classes and the usual Python collections, but
other kinds of classes are supported by manually registering converters.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
cattrs is an open source Python library for structuring and unstructuring data.
cattrs works best with attrs classes and the usual Python collections, but
other kinds of classes are supported by manually registering converters.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD}/src sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files cattrs cattr

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%if %{with docs}
%doc html
%endif
