%define pypi_name cbor2

Name:           python-%{pypi_name}
Version:        5.6.5
Release:        %mkrel 2
Summary:        Python CBOR (de)serializer with extensive tag support
Group:          Development/Python
License:        MIT
URL:            https://github.com/agronholm/cbor2
Source0:        %{pypi_source}
BuildRequires:  python3-devel
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(hypothesis)
# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(sphinx-autodoc-typehints)

%description
This library provides encoding and decoding for the Concise Binary Object
Representation (CBOR) (RFC 7049) serialization format.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-%{pypi_name}-doc < 5.4.6

%description -n python3-%{pypi_name}
This library provides encoding and decoding for the Concise Binary Object
Representation (CBOR) (RFC 7049) serialization format.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name} _%{pypi_name}

PYTHONPATH=${PWD} sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}

%check
%ifarch %ix86
%pytest -v tests -k 'not test_huge_truncated'
%else
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%doc html
%{_bindir}/cbor2
