%define pypi_name celery

# missing python-sphinx_celery (for the moment)
%bcond_with docs

# comment out if not pre release
#global prel rc3

Name:           python-celery
Version:        5.3.6
Release:        %mkrel 2
BuildArch:      noarch
Group:          Development/Python
License:        BSD
URL:            https://celeryproject.org/
Source0:        %{pypi_source}
Patch0:         0001-fix-reqs.patch
#
# Security patches
# P100 -> ...
#
Summary:        Distributed Task Queue
BuildRequires:  git-core

%description
An open source asynchronous task queue/job queue based on
distributed message passing. It is focused on real-time
operation, but supports scheduling as well.

The execution units, called tasks, are executed concurrently
on one or more worker nodes using multiprocessing, Eventlet
or gevent. Tasks can execute asynchronously (in the background)
or synchronously (wait until ready).

Celery is used in production systems to process millions of
tasks a day.

Celery is written in Python, but the protocol can be implemented
in any language. It can also operate with other languages using
web hooks.

The recommended message broker is RabbitMQ, but limited support
for Redis, Beanstalk, MongoDB, CouchDB and databases
(using SQLAlchemy or the Django ORM) is also available.

%if %{with docs}
%package doc
Summary: Documentation for python-celery
Group:   Development/Python
BuildRequires: texlive
BuildRequires: texlive-dist
BuildRequires:  python3-devel

%description doc
Documentation for python-celery.
%endif

%package -n python3-celery
Summary:        Distributed Task Queue
Group:          Development/Python
%{?python_provide:%python_provide python3-celery}
BuildRequires:  python3-devel
BuildRequires:  python3-rpm-macros
BuildRequires:  python3-setuptools


%description -n python3-celery
An open source asynchronous task queue/job queue based on
distributed message passing. It is focused on real-time
operation, but supports scheduling as well.

The execution units, called tasks, are executed concurrently
on one or more worker nodes using multiprocessing, Eventlet
or gevent. Tasks can execute asynchronously (in the background)
or synchronously (wait until ready).

Celery is used in production systems to process millions of
tasks a day.

Celery is written in Python, but the protocol can be implemented
in any language. It can also operate with other languages using
web hooks.

The recommended message broker is RabbitMQ, but limited support
for Redis, Beanstalk, MongoDB, CouchDB and databases
(using SQLAlchemy or the Django ORM) is also available.


%prep
%autosetup -n celery-%{version}%{?prel} -p1 -S git


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
pushd docs
%make_build html
popd
%endif

%install
%pyproject_install
%pyproject_save_files celery

pushd %{buildroot}%{_bindir}
ln -s celery celery-3
ln -s celery-3 celery-%{python3_version}
popd

%if %{with docs}
%files doc
%license LICENSE
%doc docs/.build/html/*
%endif

%files -n python3-celery -f %{pyproject_files} -f %{pyproject_files}
%license LICENSE
%doc README.rst TODO CONTRIBUTORS.txt examples
%{_bindir}/celery
%{_bindir}/celery-3*
