%define pypi_name cert-manager
%define srcname cert_manager

%bcond_with tests

Name:           python-%{pypi_name}
Version:        2.4.0
Release:        %mkrel 2
Summary:        Python interface to the Sectigo Certificate Manager REST API
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/cert-manager
Source0:        %{pypi_source}
Patch0:         cert-manager-fix-build.patch
BuildArch:      noarch

%description
This library provides a Python interface to the Sectigo Certificate Manager
REST API. python-cert_manager is open sourced under the BSD 3-Clause license.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(responses)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(testtools)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)

%description -n python3-%{pypi_name}
This library provides a Python interface to the Sectigo Certificate Manager
REST API. python-cert_manager is open sourced under the BSD 3-Clause license.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE.txt
%{python3_sitelib}/cert_manager/
%{python3_sitelib}/cert_manager-%{version}.dist-info/
