# Created by pyp2rpm-1.0.1
%global pypi_name certifi

Name:           python-%{pypi_name}
Version:        2025.1.31
Release:        %mkrel 1
Group:          Development/Python
Summary:        Python package for providing Mozilla's CA Bundle
License:        ISC
URL:            https://pypi.org/project/certifi
Source0:        %{pypi_source}
Patch1:         certifi-2024.12.14-use-system-cert.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Certifi is a carefully curated collection of Root Certificates for validating
the trustworthiness of SSL certificates while verifying the identity of TLS
hosts. It has been extracted from the Requests project.

%package -n     python3-%{pypi_name}
Summary:        Python 3 package for providing Mozilla's CA Bundle
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       rootcerts

%description -n python3-%{pypi_name}
Certifi is a carefully curated collection of Root Certificates for validating
the trustworthiness of SSL certificates while verifying the identity of TLS
hosts. It has been extracted from the Requests project.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled Root Certificates collection
rm -rf certifi/*.pem

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
