%define pypi_name cffi

%bcond_without doc

Name:           python-%{pypi_name}
Version:        1.17.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        Foreign Function Interface for Python calling C code

License:        MIT
URL:            https://pypi.org/project/cffi
Source0:        %{pypi_source}
Patch:          0001-cffi-1.16-linking.patch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  pkgconfig(libffi)
%if %{with doc}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
%endif

%description
Foreign Function Interface for Python calling C code. The aim of this project
is to provide a convenient and reliable way of calling C code from Python. The
interface is based on LuaJIT’s FFI.

%package -n     python3-%{pypi_name}
Summary:        Foreign Function Interface for Python 3 calling C code
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:	python-%{pypi_name}-doc < 1.16.0

%description -n python3-%{pypi_name}
Foreign Function Interface for Python 3 calling C code. The aim of this project
is to provide a convenient and reliable way of calling C code from Python 3.
The interface is based on LuaJIT’s FFI.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
make -C doc html
rm doc/build/html/.buildinfo
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{python3_sitearch}/*.so

%if %{with doc}
%doc doc/build/html
%endif
