%define srcname characteristic

Name:           python-%{srcname}
Version:        14.3.0
Release:        %mkrel 12
Summary:        Python library that eases the chores of implementing attributes
Group:          Development/Python
License:        MIT
URL:            https://github.com/hynek/characteristic/
Source0:        https://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel


%description
Say 'yes' to types but 'no' to typing!

characteristic is a Python package with class decorators that ease the chores
of implementing the most common attribute-related object protocols.

You just specify the attributes to work with and ``characteristic`` gives you:

- a nice human-readable ``__repr__``,
- a complete set of comparison methods,
- and a kwargs-based initializer (that cooperates with your existing one)

*without* writing dull boilerplate code again and again.

So put down that type-less data structures and welcome some class into your
life!


%package -n python3-%{srcname}
Summary:        Python library that eases the chores of implementing attributes
Group:          Development/Python

%description -n python3-%{srcname}
Say 'yes' to types but 'no' to typing!

characteristic is a Python package with class decorators that ease the chores
of implementing the most common attribute-related object protocols.

You just specify the attributes to work with and ``characteristic`` gives you:

- a nice human-readable ``__repr__``,
- a complete set of comparison methods,
- and a kwargs-based initializer (that cooperates with your existing one)

*without* writing dull boilerplate code again and again.

So put down that type-less data structures and welcome some class into your
life!

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files characteristic test_characteristic

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%license LICENSE

