%global pypi_name charset_normalizer
%global short_name charset-normalizer

%bcond_with test

Name:           python-%{short_name}
Version:        3.4.1
Release:        %mkrel 2
Summary:        The Real First Universal Charset Detector
Group:		Development/Python
License:        MIT
URL:            https://github.com/ousret/charset_normalizer
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
%if %{with test}
BuildRequires:  python3dist(pytest)
%endif

%description
A library that helps you read text from an unknown charset encoding.
Motivated by chardet, trying to resolve the issue by taking
a new approach. All IANA character set names for which the Python core
library provides codecs are supported.

%package -n     python3-%{short_name}
Summary:        %{summary}
Group:		Development/Python

%description -n python3-%{short_name}
A library that helps you read text from an unknown charset encoding.
Motivated by chardet, trying to resolve the issue by taking
a new approach. All IANA character set names for which the Python core
library provides codecs are supported.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove pytest-cov settings from setup.cfg
sed -i "/addopts = --cov/d" setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files charset_normalizer

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{short_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/normalizer
