Name:           python-cheetah
Version:        3.4.0
Release:        %mkrel 1
Summary:        Template engine and code generator

Group:          Development/Python
License:        MIT
URL:            https://cheetahtemplate.org/
Source:         https://github.com/CheetahTemplate3/cheetah3/archive/%{version}/cheetah3-%{version}.tar.gz

BuildRequires:  python3-devel

%description
Cheetah is an open source template engine and code generation tool,
written in Python. It can be used standalone or combined with other
tools and frameworks. Web development is its principal use, but
Cheetah is very flexible and is also being used to generate C++ code,
Java, SQL, form emails and even Python code.

%package -n python3-cheetah
Summary:        Template engine and code generator
Group:          Development/Python
%{?python_provide:%python_provide python3-cheetah}

%description -n python3-cheetah
Cheetah is an open source template engine and code generation tool,
written in Python. It can be used standalone or combined with other
tools and frameworks. Web development is its principal use, but
Cheetah is very flexible and is also being used to generate C++ code,
Java, SQL, form emails and even Python code.

%prep
%autosetup -p1 -n cheetah3-%{version}

# remove unnecessary shebang lines to silence rpmlint
find Cheetah -type f -name '*.py' -print0 | xargs -0 sed -i -e '1 {/^#!/d}'

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files Cheetah

%check
# changing this in %%prep would cause an rpmlint error (rpm-buildroot-usage),
# so do it here instead
sed -e 's|{envsitepackagesdir}|%{buildroot}%{python3_sitearch}|' -i tox.ini
%tox

%files -n python3-cheetah -f %{pyproject_files}
%license LICENSE
%doc ANNOUNCE.rst README.rst LATEST-CHANGES.rst BUGS
%{_bindir}/cheetah*
