%global pypi_name cheroot

%bcond_with docs

Name:           python-%{pypi_name}
Version:        10.0.1
Release:        %mkrel 2
Summary:        Highly-optimized, pure-python HTTP server
License:        BSD
Group:          Development/Python
URL:            https://pypi.org/project/cheroot/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Cheroot is the high-performance, pure-Python HTTP server used by CherryPy.

%package -n     python3-%{pypi_name}
Summary:        Highly-optimized, pure-python HTTP server
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Cheroot is the high-performance, pure-Python HTTP server used by CherryPy.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# remove backports.functools_lru_cache from setup.cfg. it's a py2 dep
sed -i '/backports.functools_lru_cache/d' setup.cfg

# testmon is not needed to tests to run successfully
# the f31 version of testmon requires pytest < 4
# which is not in f31
sed -i 's/ --testmon//' pytest.ini
sed -i 's/ -n auto//' pytest.ini
sed -i '/pytest-testmon/d' setup.cfg

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs}

%build
%pyproject_wheel

%if %{with docs}
# Build documentation
PYTHONPATH=${PWD} sphinx-build -vvv docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE.md
%doc README.rst
%{_bindir}/cheroot
%if %{with docs}
%doc html
%endif
