%define pypi_name cherrypy
#define srcname   CherryPy

Name:           python-cherrypy
Version:        18.10.0
Release:        %mkrel 2
Summary:        A Python-based framework for web application development
License:        BSD
Group:          Development/Python
URL:            https://pypi.org/project/CherryPy/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)

%description
A Python-based framework for web application development.

CherryPy allows you to write and easily deploy web applications, thanks
to a bundled webserver. It features a automated way to map an url to a
mathod, allowing you to describe your site as a python class.

%package -n python3-cherrypy
Summary:	A Python3-based framework for web application development
Group:		Development/Python
%{?python_provide:%python_provide python3-cherrypy}

%description -n python3-cherrypy
A Python3-based framework for web application development.

CherryPy allows you to write and easily deploy web applications, thanks
to a bundled webserver. It features a automated way to map an url to a
mathod, allowing you to describe your site as a python class.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch

%description docs
This package provides the documentation for %{name}.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cherrypy

%files docs
%doc cherrypy/tutorial

%files -n python3-cherrypy -f %{pyproject_files}
%doc README.rst
%doc LICENSE.md
%{_bindir}/cherryd

%exclude %{python3_sitelib}/cherrypy/cherryd
%exclude %{python3_sitelib}/cherrypy/test
%exclude %{python3_sitelib}/cherrypy/tutorial
