# Created by pyp2rpm-1.1.2
%global pypi_name click

%bcond_without check

Name:           python-click
Version:        8.1.8
Release:        %mkrel 1
Group:          Development/Python
Summary:        A simple wrapper around optparse for powerful command line utilities
License:        BSD
URL:            https://pypi.org/project/click/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Click is a Python package for creating beautiful command line interfaces in a
composable way with as little code as necessary.  It's the "Command Line
Interface Creation Kit".  It's highly configurable but comes with sensible
defaults out of the box.

It aims to make the process of writing command line tools quick and fun while
also preventing any frustration caused by the inability to implement an
intended CLI API.

%package -n     python3-%{pypi_name}
Summary:        A simple wrapper around optparse for powerful command line utilities
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Click is a Python package for creating beautiful command line interfaces in a
composable way with as little code as necessary. It's the "Command Line
Interface Creation Kit".  It's highly configurable but comes with sensible
defaults out of the box.

It aims to make the process of writing command line tools quick and fun while
also preventing any frustration caused by the inability to implement an
intended CLI API.

%prep
%autosetup -p1 -n click-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version} -v tests
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.*
%doc CHANGES.* README.*
