%define         pypiname          CreateCloudMap
%define         srcname           cloudmap

Name:           python-cloudmap
Version:        0.99.0
Release:        %mkrel 3

Summary:        A Python script to create a real-time cloud map for Xplanet
License:        GPLv3
Group:          Development/Python

Url:            https://pypi.org/project/CreateCloudMap
Source0:        https://pypi.io/packages/source/C/%{pypiname}/%{pypiname}-%{version}.tar.gz

BuildArch:      noarch


%description
CreateCloudMap is a Python script to generate a cloud map for xplanet
using data provided by https://clouds.matteason.co.uk/. The script
automatically checks, if a new image is available. The default
behavior is to only download the image, if it is new. Xplanet can use
such a cloud map to make the Earth looking like what you would see
from space.


%package -n python3-cloudmap
Summary:        A Python3 script to create a real-time cloud map for Xplanet
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(tomli)
BuildRequires:  python3dist(versioneer)
BuildRequires:  python3dist(versioneer[toml])
BuildRequires:  python3dist(python-dateutil)
Recommends:     xplanet

%description -n python3-cloudmap
%{summary}.


%prep
%autosetup -p1 -n %{pypiname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cloudmap

%files -n python3-cloudmap -f %{pyproject_files}
%doc cfg
%{_bindir}/create_map
