%define pypi_name cloudpickle

%bcond_with check

Name:           python-%{pypi_name}
Version:        3.1.0
Release:        %mkrel 2
Summary:        Extended pickling support for Python objects
Group:          Development/Python
License:        BSD
URL:            https://github.com/cloudpipe/cloudpickle
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
cloudpickle makes it possible to serialize Python constructs not supported by
the default pickle module from the Python standard library.

%package -n     python3-%{pypi_name}
Summary:        Extended pickling support for Python3 objects
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
cloudpickle makes it possible to serialize Python constructs not supported by
the default pickle module from the Python standard library.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:dev-requirements.txt}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
