%define srcname cluster

Name:           python-%{srcname}
Version:        1.4.1.post3
Release:        %mkrel 4
Summary:        Create several groups (clusters) of objects from a list
Group:          Development/Python
License:        LGPLv2
URL:            https://pypi.python.org/pypi/cluster
Source0:        https://github.com/exhuma/%{name}/archive/refs/tags/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
python-cluster is a "simple" package that allows to create several groups
(clusters) of objects from a list. It's meant to be flexible and able to
cluster any object. To ensure this kind of flexibility, you need not only to
supply the list of objects, but also a function that calculates the similarity
between two of those objects. For simple datatypes, like integers, this can be
as simple as a subtraction, but more complex calculations are possible. Right
now, it is possible to generate the clusters using a hierarchical clustering
and the popular K-Means algorithm. For the hierarchical algorithm there are
different "linkage" (single, complete, average and uclus) methods available.

#------------------------------------------------

%package -n     python3-%{srcname}
Summary:        Create several groups (clusters) of objects from a list
Group:          Development/Python
BuildArch:	noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
python3-cluster is a "simple" package that allows to create several groups
(clusters) of objects from a list. It's meant to be flexible and able to
cluster any object. To ensure this kind of flexibility, you need not only to
supply the list of objects, but also a function that calculates the similarity
between two of those objects. For simple datatypes, like integers, this can be
as simple as a subtraction, but more complex calculations are possible. Right
now, it is possible to generate the clusters using a hierarchical clustering
and the popular K-Means algorithm. For the hierarchical algorithm there are
different "linkage" (single, complete, average and uclus) methods available.

#------------------------------------------------

%prep
%setup -q -n %{name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cluster

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG README*

