%global pypi_name cmd2

Name:           python-%{pypi_name}
Version:        2.5.8
Release:        %mkrel 1
Group:          Development/Python
Summary:        Extra features for standard library's cmd module
License:        MIT
URL:            https://pypi.org/project/cmd2/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Extra features for standard library's cmd module.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
# for tests
BuildRequires:  python3dist(codecov)
BuildRequires:  python3dist(colorama)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(pyperclip)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(wcwidth)

%description -n python3-%{pypi_name}
Extra features for standard library's cmd module.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cmd2

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
