# Created by pyp2rpm-1.0.1
# https://github.com/bjones1/CodeChat
# commit b590b4a4a9f84f1bccf3323df33ba54c7458b208

%global pypi_name CodeChat

Name:           python-codechat
Version:        1.9.4
Release:        %mkrel 2
Group:          Development/Python
Summary:        The CodeChat system for software documentation
License:        GPLv3+
URL:            https://github.com/bjones1/CodeChat
Source0:        https://pypi.io/packages/source/C/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
CodeChat transforms source code into a web page,
allowing developers to view their program as a beautiful
and descriptive document by adding headings, formatting,
hyperlinks, diagrams, images, and other forms of rich content
to capture the ideas and insights that naturally flow
from the process of writing a program.
It also provides a blank slate in which to plan ahead,
by sketching out an algorithm before committing it to code
or laying out a design document which can evolve as the code does.
This literate programming paradigm changes the way developers
think by intermingling ideas with their implementation as code,
dramatically improving a programmer’s abilities.

%package -n python3-codechat
Group:          Development/Python
Summary:        the modular source code checker: pep8, pyflakes and co
BuildRequires:  pkgconfig(python3)

%description -n python3-codechat
CodeChat transforms source code into a web page,
allowing developers to view their program as a beautiful
and descriptive document by adding headings, formatting,
hyperlinks, diagrams, images, and other forms of rich content
to capture the ideas and insights that naturally flow
from the process of writing a program.
It also provides a blank slate in which to plan ahead,
by sketching out an algorithm before committing it to code
or laying out a design document which can evolve as the code does.
This literate programming paradigm changes the way developers
think by intermingling ideas with their implementation as code,
dramatically improving a programmer’s abilities.

%prep
%setup -q -n %{pypi_name}-%{version}
# remove bundled egg-info
rm -rf CodeChat.egg-info
sed -i '/'pygments.*'/d' setup.py
sed -i '/'docutils.*'/d' setup.py
sed -i '/'ez_setup.*'/d' setup.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-codechat -f %{pyproject_files}
%{_bindir}/mdbook-CodeChat
