%global realname pycollada
%global pypi_name %{realname}

Name:           python-collada
Version:        0.8
Release:        %mkrel 2
Summary:        A python module for creating, editing and loading COLLADA
Group:          Development/Python

License:        BSD
URL:            https://github.com/pycollada/pycollada/
# Sources from pypi doesn't contain data files for tests
Source0:        https://github.com/pycollada/pycollada/archive/v%{version}/%{realname}-%{version}.tar.gz
# Disable pypi downloads in setup.py to guarantee use of only system libs
# Patch0:         python-collada-0.4-disable_unittest_downloads.patch
BuildArch:      noarch

%description
pycollada is a python module for creating, editing and loading COLLADA, which
is a COLLAborative Design Activity for establishing an interchange file format
for interactive 3D applications.

The library allows you to load a COLLADA file and interact with it as a python
object. In addition, it supports creating a collada python object from scratch,
as well as in-place editing.


%package -n     python3-collada
Summary:        A python 3 module for creating, editing and loading COLLADA
Group:          Development/Python
BuildRequires:  python3-devel

%description -n python3-collada
pycollada is a python 3 module for creating, editing and loading COLLADA, which
is a COLLAborative Design Activity for establishing an interchange file format
for interactive 3D applications.

The library allows you to load a COLLADA file and interact with it as a python
object. In addition, it supports creating a collada python object from scratch,
as well as in-place editing.


%prep
%setup -q -n %{realname}-%{version}
%autopatch -p1

sed -i "s|tostring|tobytes|g" collada/material.py

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files collada

%check
export PYTHONTRACEMALLOC=1
%tox

%files -n python3-collada -f %{pyproject_files}
