# Created by pyp2rpm-3.3.5
%global pypi_name colorspacious

Name:           python-%{pypi_name}
Version:        1.1.2
Release:        %mkrel 3
Summary:        A powerful, accurate, and easy-to-use Python library for doing colorspace conversions
Group:          Development/Python
License:        MIT
URL:            https://github.com/njsmith/colorspacious
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(ipython)

%description
Colorspacious is a powerful, accurate, and easy-to-use library for performing 
colorspace conversions.

In addition to the most common standard colorspaces (sRGB, XYZ, xyY, CIELab, 
CIELCh), we also include: color vision deficiency (“color blindness”) simulations
using the approach of Machado et al (2009); a complete implementation of
CIECAM02; and the perceptually uniform CAM02-UCS / CAM02-LCD / CAM02-SCD spaces 
proposed by Luo et al (2006).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(numpy)
%description -n python3-%{pypi_name}
Colorspacious is a powerful, accurate, and easy-to-use library for performing 
colorspace conversions.

In addition to the most common standard colorspaces (sRGB, XYZ, xyY, CIELab, 
CIELCh), we also include: color vision deficiency (“color blindness”) simulations
using the approach of Machado et al (2009); a complete implementation of
CIECAM02; and the perceptually uniform CAM02-UCS / CAM02-LCD / CAM02-SCD spaces 
proposed by Luo et al (2006).


%package -n python-%{pypi_name}-doc
Summary:        colorspacious documentation
%description -n python-%{pypi_name}-doc
Documentation for colorspacious

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst

