%global pypi_name commonmark

Name:           python-commonmark
Version:        0.9.1
Release:        %mkrel 8
Summary:        Python parser for the CommonMark Markdown spec
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/commonmark
Source0:        %{pypi_source}
BuildArch:      noarch
Patch0:         0001-Rename-cmark-entrypoint.patch

%description
Pure Python port of jgm’s stmd.js, a Markdown parser and renderer for the
CommonMark specification, using only native modules.

%package -n     python3-commonmark
Summary:        Python parser for the CommonMark Markdown spec
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-future
BuildRequires:  python3-hypothesis
BuildRequires:  python3-setuptools
Requires:       python3-future
Obsoletes:      python3-%{pypi_name} < 0.9.0-2
Obsoletes:      python-CommonMark-doc < 0.9.0-2
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-commonmark}
Provides:	python3-CommonMark = %{version}-%{release}

%description -n python3-commonmark
Pure Python port of jgm’s stmd.js, a Markdown parser and renderer for the
CommonMark specification, using only native modules.

%prep
%autosetup -p1 -n commonmark-%{version}

# Fix non executable scripts
sed -i '1{\@^#!/usr/bin/env python@d}' commonmark/tests/run_spec_tests.py
sed -i '1{\@^#!/usr/bin/env python@d}' commonmark/cmark.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files commonmark

%check
export PYTHONIOENCODING=UTF-8
PYTHONPATH=$(pwd) %{python3} setup.py test

%files -n python3-commonmark -f %{pyproject_files}
%license LICENSE
%doc README.rst spec.txt
%{_bindir}/commonmark
