Name:           python-conda-index
Version:        0.4.0
Release:        %mkrel 3
Summary:        Create repodata.json for collections of conda packages
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/conda/conda-index
Source0:        https://github.com/conda/conda-index/archive/%{version}/conda-index-%{version}.tar.gz

BuildArch:      noarch

%global _description %{expand:
Create repodata.json for collections of conda packages.}

%description %_description


%package -n python3-conda-index
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(myst-parser)
BuildRequires:  python3dist(sphinx-click)

%description -n python3-conda-index %_description

%prep
%autosetup -p1 -n conda-index-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel
make man


%install
%pyproject_install
%pyproject_save_files conda_index
mkdir -p %{buildroot}%{_mandir}/man1
install -m644 build/man/conda-index.1 %{buildroot}%{_mandir}/man1/


%files -n python3-conda-index -f %pyproject_files
%license LICENSE
%doc CHANGELOG.md README.md
%{_mandir}/man1/conda-index.1*
