%define srcname	ConfigArgParse
%define module	configargparse

Name:		python-%{module}
Version:	1.7
Release:	%mkrel 3
Summary:	A Python module with support for argparse, config files, and env variables
Group:		Development/Python
License:	MIT
URL:		https://github.com/bw2/ConfigArgParse
Source0:	%{pypi_source}
BuildArch:	noarch

BuildRequires:	pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Applications with more than a handful of user-settable options are best
configured through a combination of command line args, config files, hard
coded defaults, and in some cases, environment variables.

Python’s command line parsing modules such as argparse have very limited
support for config files and environment variables, so this module extends
argparse to add these features.

%package -n	python3-%{module}
Summary:	A Python 3 module with support for argparse, config files, and env variables
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Applications with more than a handful of user-settable options are best
configured through a combination of command line args, config files, hard
coded defaults, and in some cases, environment variables.

Python’s command line parsing modules such as argparse have very limited
support for config files and environment variables, so this module extends
argparse to add these features.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst
%license LICENSE
