# Created by pyp2rpm-3.3.2
%global pypi_name confusable-homoglyphs

Name:           python-%{pypi_name}
Version:        3.2.0
Release:        %mkrel 9
Summary:        Detect confusable usage of unicode homoglyphs, prevent homograph attacks
Group:          Development/Python
License:        MIT
URL:            https://github.com/vhf/confusable_homoglyphs
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/confusable_homoglyphs-%{version}.tar.gz
# For python 3.12
Patch0:         fc6257e8c8a7d32850da72a1a6847a481bd86e8b.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(click)

%description
Detect confusable usage of unicode homoglyphs, prevent homograph attacks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(click)

%description -n python3-%{pypi_name}
Detect confusable usage of unicode homoglyphs, prevent homograph attacks.

%prep
%autosetup -n confusable_homoglyphs-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files confusable_homoglyphs

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst docs/readme.rst
%doc html
%{_bindir}/confusable_homoglyphs
