%bcond_without bootstrap
%define debug_package %{nil}

%global srcname contourpy

Name:           python-%{srcname}
Version:        1.3.1
Release:        %mkrel 2
Summary:        Python library for calculating contours in 2D quadrilateral grids
Group:          Development/Python

License:        BSD-3-Clause
URL:            https://contourpy.readthedocs.io/
Source0:        %pypi_source %{srcname}

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  cmake(pybind11)
BuildRequires:  pybind11-devel
BuildRequires:  python3-pybind11
BuildRequires:  cmake
BuildRequires:  python3-devel
BuildRequires:  patchelf

%global _description %{expand:
ContourPy is a Python library for calculating contours of 2D quadrilateral
grids. It is written in C++11 and wrapped using pybind11.

It contains the 2005 and 2014 algorithms used in Matplotlib as well as a newer
algorithm that includes more features and is available in both serial and
multithreaded versions. It provides an easy way for Python libraries to use
contouring algorithms without having to include Matplotlib as a dependency.
}

%description %{_description}

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
# (tv) fix linking:
export LDFLAGS="${LDFLAGS} -lpython%{python_version}"
%pyproject_buildrequires -w -x test%{?with_bootstrap:-no-images}

%build
export LDFLAGS="${LDFLAGS} -lpython%{python_version}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest %{?with_bootstrap:-k 'not image'}

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md
