%global pkgname cookiecutter

Name:           python-cookiecutter
Version:        2.6.0
Release:        %mkrel 4
Summary:        CLI utility to create projects from templates
Group:          Development/Python
License:        BSD
URL:            https://github.com/cookiecutter/cookiecutter
Source0:        https://github.com/cookiecutter/%{pkgname}/archive/%{version}.tar.gz
Patch0:         0001-fix-requirements-for-urpmi.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-freezegun
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-pytest-mock

%description
A command-line utility that creates projects from cookiecutters (project
templates), e.g. creating a Python package project from a Python package
project template.

%package     -n python-%{pkgname}-doc
Summary: Documentation for %{pkgname}

%description -n python-%{pkgname}-doc
Documentation for %{pkgname}

%package     -n python3-%{pkgname}
Summary: %{summary}
Recommends: python-%{pkgname}-doc
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
A command-line utility that creates projects from cookiecutters (project
templates), e.g. creating a Python package project from a Python package
project template.

%prep
%autosetup -n %{pkgname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cookiecutter

%check
# %%pytest
%{python3} -m pytest tests -k "not clone"

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%{_bindir}/%{pkgname}

%files -n python-%{pkgname}-doc
%license LICENSE
