%global pypi_name copr

Name:       python-copr
Version:    2.0
Release:    %mkrel 2
Summary:    Python interface for Copr
Group:      Development/Python
License:    GPLv2+
URL:        https://pypi.org/project/copr/
Source0:    %{pypi_source}
BuildArch:  noarch
BuildRequires: python3-devel
# tests
BuildRequires: python3dist(requests-gssapi)

%description
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.

This package contains python interface to access Copr service. Mostly useful
for developers only.

%package -n python3-copr
Summary:        Python interface for Copr
Group:          Development/Python
%{?python_provide:%python_provide python3-copr}
Obsoletes:      python-copr-doc < 1.130

%description -n python3-copr
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.

This package contains python interface to access Copr service. Mostly useful
for developers only.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires requirements.txt

%build
%pyproject_wheel

# build documentation
%make_build -C docs html
rm -rf docs/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%{__python3} -m pytest copr/test -k 'not test_wait_timeout and not test_wait'

%files -n python3-copr -f %{pyproject_files}
%license LICENSE
%doc docs/_build/html/
