%define pypi_name coverage

Name:           python-%{pypi_name}
Version:        7.8.0
Release:        %mkrel 1
Summary:        Code coverage measurement for Python
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/coverage/
Source0:        %{pypi_source}
BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros

%description
Coverage.py measures code coverage, typically during test execution. It uses
the code analysis tools and tracing hooks provided in the Python standard
library to determine which lines are executable, and which have been executed.

%package -n python3-%{pypi_name}
Summary:        Code coverage measurement for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Coverage.py measures code coverage, typically during test execution. It uses
the code analysis tools and tracing hooks provided in the Python 3 standard
library to determine which lines are executable, and which have been executed.

%{?pyproject_extras_subpkg:%pyproject_extras_subpkg -n python%{python3_pkgversion}-coverage toml}

%prep
%setup -q -n %{pypi_name}-%{version}

find . -type f -exec chmod 0644 \{\} \;
sed -i 's/\r//g' README.rst

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/coverage*
