%define mod_name	crcmod

Name:		python-%{mod_name}
Summary:	Python module for creating functions computing the CRC
Version:	1.7
Release:	%mkrel 18
Group:		Development/Python
License:	MIT
URL:		https://sourceforge.net/projects/crcmod
Source0:	https://downloads.sourceforge.net/project/%{mod_name}/%{mod_name}/%{mod_name}-%{version}/%{mod_name}-%{version}.tar.gz

%description
Python module for creating functions computing the Cyclic Redundancy Check
(CRC). Any generating polynomial producing 8, 16, 24, 32, or 64 bit CRCs is
allowed.
Generated functions can be used in Python or C/C++ source code can be
generated.

%package -n python3-%{mod_name}
Summary:	Python 3 module for creating functions computing the CRC
Group:		Development/Python
%{?python_provide:%python_provide python3-%{mod_name}}
BuildRequires:  python3-devel

%description -n python3-%{mod_name}
Python 3 module for creating functions computing the Cyclic Redundancy Check
(CRC). Any generating polynomial producing 8, 16, 24, 32, or 64 bit CRCs is
allowed.
Generated functions can be used in Python or C/C++ source code can be
generated.

%prep
%setup -q -n %{mod_name}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files crcmod

%files -n python3-%{mod_name} -f %{pyproject_files}
%doc README
