%global pypi_name cson
%global srcname %{pypi_name}

Name:           python-%{srcname}
Version:        0.8
Release:        %mkrel 4
Summary:        A Coffescript Object Notation (CSON) parser for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/avakar/pycson
Source0:        https://github.com/avakar/pycson/archive/%{version}/pycson-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A python parser for the Coffeescript Object Notation (CSON).

%package -n     python3-%{srcname}
Summary:        %{summary}
Requires:	python3-speg
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A python parser for the Coffeescript Object Notation (CSON).

%prep
%autosetup -n pycson-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

