# Created by pyp2rpm-3.3.2
%global pypi_name cssselect2

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        %mkrel 3
Summary:        CSS selectors for Python ElementTree
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/cssselect2/
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tinycss2)
BuildRequires:  python3dist(flit-core)

%description
cssselect2 is a straightforward implementation of CSS3 Selectors for markup
documents (HTML, XML, etc.) that can be read by ElementTree-like parsers
(including cElementTree, lxml, html5lib, etc.)

Unlike cssselect, it does not translate selectors to XPath and therefore
does not have all the correctness corner cases that are hard or impossible
to fix in cssselect.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
cssselect2 is a straightforward implementation of CSS3 Selectors for markup
documents (HTML, XML, etc.) that can be read by ElementTree-like parsers
(including cElementTree, lxml, html5lib, etc.)

Unlike cssselect, it does not translate selectors to XPath and therefore
does not have all the correctness corner cases that are hard or impossible
to fix in cssselect.

%package -n python-%{pypi_name}-doc
Summary:        cssselect2 documentation
BuildRequires:  python3dist(sphinx)

%description -n python-%{pypi_name}-doc
Documentation for cssselect2.

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cssselect2

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

