%define pypi_name	cssutils

%bcond_without tests

Name:		python-%{pypi_name}
Version:	2.11.1
Release:	%mkrel 2
Summary:	Python module for parsing and building CSS
Group:		Development/Python
License:	LGPLv3+
URL:		https://pypi.org/project/cssutils/
Source0:	%{pypi_source}
# no network access in the buildsystem, so disable tests that try and use net
Patch0:		0001-cssutils-2.11.1-disable-external-tests.patch
BuildArch:	noarch

%description
cssutils is a Python module for building and parsing CSS (Cascading
Style Sheets).

%package -n python3-%{pypi_name}
Summary:	%{summary}
Group:		Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires: 	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)
BuildRequires:	python3dist(toml)
BuildRequires:  python3dist(jaraco.test)
BuildRequires:  python3-jaraco
# For tests
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(lxml)
BuildRequires:  python3dist(cssselect)

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
cssutils is a Python 3 module for building and parsing CSS (Cascading
Style Sheets).

%prep
%autosetup -p1 -n cssutils-%{version}

# fix test cssutils/tests/test_errorhandler.py
sed -ie "s/38/0/" cssutils/tests/test_errorhandler.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cssutils encutils

# Don't ship tests. TODO: run tests in check section.
rm -rf %{buildroot}%{python3_sitelib}/tests

%if %{with tests}
%check
%pytest -vv -k "not test_literalname and not test_specificity and not website.logging and not encutils"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/csscapture
%{_bindir}/csscombine
%{_bindir}/cssparse
