# Created by pyp2rpm-3.3.1
%global pypi_name cu2qu

Name:           python-%{pypi_name}
Version:        1.6.7.post2
Release:        %mkrel 4
Summary:        Cubic-to-quadratic bezier curve conversion
Group:          Development/Python
License:        ASL2.0
URL:            https://pypi.org/project/cu2qu/
Source0:        %{pypi_source %{pypi_name} %{version} zip}
Patch0:         cu2qu-1.6.5-linking.patch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-cython
BuildRequires:  python3dist(defcon) >= 0.6.0
BuildRequires:  python3dist(fonttools) >= 3.32.0
BuildRequires:  python3dist(fs)
BuildRequires:  python3dist(pytest) >= 2.8
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
This library provides functions which take in UFO objects (Defcon Fonts or
Robofab RFonts) and converts any cubic curves to quadratic.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       cu2qu = %{version}-%{release}

%description -n python3-%{pypi_name}
This library provides functions which take in UFO objects (Defcon Fonts or
Robofab RFonts) and converts any cubic curves to quadratic.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove generated source file
rm -rf Lib/cu2qu/cu2qu.c

%generate_buildrequires
%pyproject_buildrequires

%build
export CU2QU_WITH_CYTHON=1
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest || true

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/cu2qu
