%define module cups

Summary:       Python bindings for the CUPS API
Name:          python-%{module}
Version:       2.0.4
Release:       %mkrel 2
License:       BSD
Group:         Development/Python
Url:           https://github.com/OpenPrinting/pycups/
Source0:       https://github.com/OpenPrinting/pycups/releases/download/v%{version}/pycups-%{version}.tar.gz
BuildRequires: pyproject-rpm-macros
BuildRequires: pkgconfig(python3)
BuildRequires: pkgconfig(cups)

%description
Python bindings for the CUPS API.

%package -n python3-%{module}
Group:         Development/Python
Summary:       Python 3 bindings for the CUPS API
%{?python_provide:%python_provide python3-%{module}}
Obsoletes:     python-cups-doc < 2.0.1-6

%description -n python3-%{module}
Python 3 bindings for the CUPS API.

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n pycups-%version

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
make install-rpmhook DESTDIR="%{buildroot}"

%pyproject_install
%pyproject_save_files cups

export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{python3} -m pydoc -w cups
mkdir -p html
mv cups.html html

%files -n python3-%{module} -f %{pyproject_files}
%license COPYING
%doc README NEWS TODO
%doc examples html
%{_rpmconfigdir}/fileattrs/psdriver.attr
%{_rpmconfigdir}/postscriptdriver.prov
