%define pypi_name pycurl

# we don't want to provide private python extension libs
%global __provides_exclude_from ^(%{python3_sitearch}/.*\\.so)$

Summary:       A Python interface to libcurl
Name:          python-curl
Version:       7.45.2
Release:       %mkrel 3
Group:         Development/Python
License:       LGPLv2+
URL:           https://pycurl.sourceforge.net/
Source0:       %{pypi_source}
Patch0:        pycurl-7.44.1-link.patch
# drop link-time vs. run-time TLS backend check (#1446850)
Patch1:         0001-python-pycurl-7.45.1-tls-backend.patch
# disable test_http_version_3 since curl in Fedora does not support it (#2175216)
Patch2:         0002-python-pycurl-7.45.2-disable-test_http_version_3.patch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  python3dist(setuptools)

%description
PycURL is a Python interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.

%package -n python3-curl
Summary:       A Python 3 interface to libcurl
Group:         Development/Python
Provides:      python3-pycurl = %{version}-%{release}

%description -n python3-curl
PycURL is a Python3 interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%py3_shebang_fix setup.py

%build
%{__python3} setup.py docstrings
%py3_build -- --with-openssl

%check
export PYTHONPATH=$RPM_BUILD_ROOT%{python3_sitearch}
%{__python3} -c 'import %{pypi_name}; print(%{pypi_name}.version)'

%install
export PYCURL_SSL_LIBRARY=openssl
%py3_install

rm -rf %{buildroot}%{_datadir}/doc/pycurl

%files -n python3-curl
%license COPYING-LGPL COPYING-MIT
%doc ChangeLog README.rst examples doc
%{python3_sitearch}/curl/
%{python3_sitearch}/pycurl-%{version}*.egg-info/
%{python3_sitearch}/pycurl.cpython-*.so
