%global         pypi_name      curses-menu
%global         srcname       curses_menu

Name:           python-cursesmenu
Version:        0.9.0
Release:        %mkrel 2
Summary:        A simple Python menu-based GUI system using curses
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/curses-menu
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros

%description
A simple Python menu-based GUI system on the terminal using curses. Perfect for
those times when you need a GUI, but don't want the overhead or learning curve
of a full-fledged GUI framework. However, it's also flexible enough to do cool
stuff like on-the-fly changing of menus and is extensible to a large variety of
uses.

%package -n python3-cursesmenu
Summary:        Python3 implementation of curses-menu
%{?python_provide:%python_provide python3-curses-menu}
Obsoletes:      python3-curses-menu <= 0.6.0
Provides:	python3-curses-menu = %{version}-%{release}

%description -n python3-cursesmenu
A simple Python menu-based GUI system on the terminal using curses. Perfect for
those times when you need a GUI, but don't want the overhead or learning curve
of a full-fledged GUI framework. However, it's also flexible enough to do cool
stuff like on-the-fly changing of menus and is extensible to a large variety of
uses.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cursesmenu

%files -n python3-cursesmenu -f %{pyproject_files}
%doc README.rst LICENSE.md CHANGELOG.rst
