%global modname pycxx

Name:           python-cxx
Version:        7.1.8
Release:        %mkrel 2
Summary:        Write Python extensions in C++
Group:          Development/Python
License:        BSD
URL:            https://cxx.sourceforge.net/
BuildArch:      noarch

Source0:        https://downloads.sourceforge.net/cxx/%{modname}-%{version}.tar.gz
# Patch0:  remove unnecessary 'Src/' directory from include path in sources
Patch0:         python-pycxx-7.1.3-change-include-paths.patch

BuildRequires:  pkgconfig(python3)


%description
PyCXX is a set of classes to help create extensions of Python in the
C++ language. The first part encapsulates the Python C API taking care
of exceptions and ref counting. The second part supports the building
of Python extension modules in C++.

%package -n python3-cxx-devel
Summary:        PyCXX header and source files
Group:          Development/Python
Requires:       python3
Conflicts:      python-cxx-devel < 6.2.6-10
Conflicts:      python3-cxx-devel < 6.2.6-10
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-cxx-devel
PyCXX is a set of classes to help create extensions of Python in the
C++ language. The first part encapsulates the Python C API taking care
of exceptions and ref counting. The second part supports the building
of Python extension modules in C++.

The python3-cxx-devel package provides the header and source files
for Python 3.  There is no non-devel package needed.

%prep
%autosetup -p1 -n %{modname}-%{version}

%build
%py3_build

%install
%global py_install_args --prefix=%{_prefix} --install-headers=%{_includedir}/CXX --install-data=%{_usrsrc}

%py3_install -- %{py_install_args}

# Write pkg-config PyCXX.pc file
%__mkdir_p %{buildroot}%{_datadir}/pkgconfig
cat > %{buildroot}%{_datadir}/pkgconfig/PyCXX.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
includedir=%{_includedir}
srcdir=%{_usrsrc}/CXX

Name: PyCXX
Description: Write Python extensions in C++
Version: %{version}
Cflags: -I\${includedir}
EOF

%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion PyCXX)" = "%{version}"

%files -n python3-cxx-devel
%doc README.html COPYRIGHT Doc/Python3/
%dir %{_includedir}/CXX
%{_includedir}/CXX/*.hxx
%{_includedir}/CXX/*.h
%{_includedir}/CXX/Python3
%{python3_sitelib}/CXX*
%dir %{_usrsrc}/CXX
%{_usrsrc}/CXX/*.cxx
%{_usrsrc}/CXX/*.c
%{_usrsrc}/CXX/Python3
%{_datadir}/pkgconfig/PyCXX.pc
