%define pypi_name cython

Summary:	Language for writing C extensions to Python
Name:		python-%{pypi_name}
Version:	3.0.12
Release:	%mkrel 2
License:	Apache License
Group:		Development/Python
Url:		http://www.cython.org
Source0:	%{pypi_source}
BuildRequires:	python3-devel
BuildRequires:	dos2unix
BuildRequires:	emacs

%description
Cython is a language that facilitates the writing of C extensions for
the Python language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.

%package -n	python3-%{pypi_name}
Summary:	Language for writing Python 3 extension modules
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	python3-Cython = %{version}-%{release}
Provides:	cython = %{version}-%{release}

%description -n	python3-%{pypi_name}
Cython is a language that facilitates the writing of C extensions for
the Python 3 language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# leftovers
find . -name .*DS_Store* -delete

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files Cython cython pyximport

rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests

# symlinks
ln -s cython %{buildroot}%{_bindir}/cython-3
ln -s cythonize %{buildroot}%{_bindir}/cythonize-3
ln -s cygdb %{buildroot}%{_bindir}/cygdb-3

pushd Tools
install -m 755 -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
popd

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc Demos docs Tools
%{_bindir}/cython{,-3}
%{_bindir}/cythonize{,-3}
%{_bindir}/cygdb{,-3}
