%define pypi_name cython
%define	srcname	Cython

Summary:	Language for writing C extensions to Python
Name:		python-%{pypi_name}0
Version:	0.29.36
Release:	%mkrel 3
License:	Apache License
Group:		Development/Python
Url:		http://www.cython.org
Source0:	%{pypi_source}

# Partially work around issues with class and static methods
# See https://bugzilla.redhat.com/show_bug.cgi?id=1788506
# Mostly backported from upstream: https://github.com/cython/cython/pull/3106
# This also:
# - Removes staticmethod optimizations for normal functions
# - Removes failing test for staticmethod fused functions, which still fail
#   See also: https://github.com/cython/cython/issues/3614
Patch3106:	class-static-method-workaround.patch
# backported https://github.com/cython/cython/pull/5767 Adapt
# to C-API changes in CPython 3.13
Patch5767:	py313.patch

BuildRequires:	dos2unix
BuildRequires:	emacs

%description
Cython is a language that facilitates the writing of C extensions for
the Python language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.

%package -n	python3-%{pypi_name}0
Summary:	Language for writing Python 3 extension modules
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	python3-Cython = %{version}-%{release}
Provides:	cython = %{version}-%{release}
Conflicts:	python3-cython >= 3.0.0

%description -n	python3-%{pypi_name}0
Cython is a language that facilitates the writing of C extensions for
the Python 3 language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.

%prep
%autosetup -p1 -n %{srcname}-%{version}

# leftovers
find . -name .*DS_Store* -delete

%build
%pyproject_wheel

%install
%pyproject_install

rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests

# symlinks
ln -s cython %{buildroot}%{_bindir}/cython-3
ln -s cythonize %{buildroot}%{_bindir}/cythonize-3
ln -s cygdb %{buildroot}%{_bindir}/cygdb-3

pushd Tools
dos2unix cython-mode.el
emacs -batch -f batch-byte-compile cython-mode.el
mkdir -p %{buildroot}%{_sysconfdir}/emacs/site-start.d
install -m 644 *.el* %{buildroot}%{_sysconfdir}/emacs/site-start.d
popd

%files -n python3-%{pypi_name}0
%license LICENSE.txt
%doc Demos docs Tools
%{_bindir}/cython{,-3}
%{_bindir}/cythonize{,-3}
%{_bindir}/cygdb{,-3}
%{_sysconfdir}/emacs/site-start.d/*.el*
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/Cython/
%{python3_sitearch}/cython-%{version}.dist-info
%{python3_sitearch}/cython.py
%{python3_sitearch}/pyximport/
