%define pypi_name python_daemon

Name:           python-daemon
Version:        3.1.2
Release:        %mkrel 2
Summary:        Library to implement a well-behaved Unix daemon process
Group:          Development/Python
License:        Apache Software License and GPLv3+
URL:            https://pypi.python.org/pypi/python-daemon
Source0:        https://pypi.io/packages/source/p/%{name}/%{pypi_name}-%{version}.tar.gz
Patch1:         pyproject-avoid-changelog-chug.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This library implements the well-behaved daemon specification of
PEP 3143, "Standard daemon process library".

%package -n     python3-daemon
Summary:        Library to implement a well-behaved Unix daemon process
%{?python_provide:%python_provide python3-daemon}

%description -n python3-daemon
This library implements the well-behaved daemon specification of
PEP 3143, "Standard daemon process library".

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# See the patch removing dependencies above
# - insert the actual version
sed -i "s/VERSION_PLACEHOLDER/%{version}/" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files daemon

%files -n python3-daemon -f %{pyproject_files}
%license LICENSE*
%doc README ChangeLog
