%define module	dateutil

%bcond_with tests

Name:		python-%{module}
Summary:	Provides powerful extensions to the standard datetime module
Version:	2.9.0.post0
Release:	%mkrel 2
License:	Python
Group:		Development/Python
URL:		https://pypi.python.org/pypi/python-dateutil/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	locales

%description
The dateutil module provides powerful extensions to the standard
datetime module available in Python. Features include:

* Computing of relative deltas (next month, next year, next Monday,
  last week of month, etc);
* Computing of relative deltas between two given date and/or datetime
  objects;
* Computing of dates based on very flexible recurrence rules, using a
  superset of the iCalendar specification. Parsing of RFC strings is
  supported as well;
* Generic parsing of dates in almost any string format;
* Timezone (tzinfo) implementations for tzfile(5) format files
  (/etc/localtime, /usr/share/zoneinfo, etc), TZ environment string
  (in all known formats), iCalendar format files, given ranges (with
  help from relative deltas), local machine timezone, fixed offset
  timezone, UTC timezone, and Windows registry-based time zones;
* Internal up-to-date world timezone information based on Olson's
  database;
* Computing of Easter Sunday dates for any given year, using Western,
  Orthodox or Julian algorithms;
* More than 400 test cases.

%package -n python3-%{module}
Group:		Development/Python
Summary:	Provides powerful extensions to the standard datetime module
BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
%if %{with tests}
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(six)
%endif
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
The dateutil module provides powerful extensions to the standard
datetime module available in Python3.

%prep
%autosetup -p1 -n python-dateutil-%{version}
sed -i "/<8.0/d" pyproject.toml

iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%if %{with tests}
%check
export LC_ALL=C.UTF-8
%{__python3} -m pytest -W ignore::pytest.PytestUnknownMarkWarning
%endif

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.rst NEWS
