%define module	dbusmock

Name:		python-%{module}
Version:	0.34.3
Release:	%mkrel 1
Summary:	Mock D-Bus objects
Group:		Development/Python
License:	LGPLv3+
URL:		https://pypi.org/project/python-dbusmock
# https://pypi.io/packages/source/p/%%{name}/%%{name}-%%{version}.tar.gz
Source0:	https://pypi.io/packages/source/p/%{name}/python_%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	dbus-x11
BuildRequires:	upower

BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(dbus-python)
BuildRequires:	python3dist(pygobject)
BuildRequires:	python3dist(pytest)

%description
With this program/Python library you can easily create mock objects on
D-Bus. This is useful for writing tests for software which talks to
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or
others, and it is hard (or impossible without root privileges) to set
the state of the real services to what you expect in your tests.

%package -n	python3-%{module}
Summary:	Mock D-Bus objects (in Python3)
Group:		Development/Python
Requires:	dbus-x11
Requires:	python3dist(dbus-python)
Requires:	python3dist(pygobject)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
With this program/Python3 library you can easily create mock objects on
D-Bus. This is useful for writing tests for software which talks to
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or
others, and it is hard (or impossible without root privileges) to set
the state of the real services to what you expect in your tests.

%prep
%autosetup -p1 -n python_%{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dbusmock

%check
%pytest

%files -n python3-%{module} -f %{pyproject_files}
%doc COPYING
