%global pypi_name ddt

%bcond_without check

Name:           python-%{pypi_name}
Version:        1.7.2
Release:        %mkrel 1
Summary:        Python library to multiply test cases
Group:          Development/Python
License:        MIT
URL:            https://github.com/datadriventests/ddt
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
# Tests
#BuildRequires:  python3-pytest
#BuildRequires:  python3dist(pyyaml)

%description
DDT (Data-Driven Tests) allows you to multiply one test case by running it with
different test data, and make it appear as multiple test cases. It is used in
combination with other testing frameworks like unittest and nose.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python3-%{pypi_name}
DDT (Data-Driven Tests) allows you to multiply one test case by running it with
different test data, and make it appear as multiple test cases. It is used in
combination with other testing frameworks like unittest and nose.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ddt

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md
