%define pypi_name	decorator

%bcond_without test

Summary:	Python decorator utilities
Name:		python-%{pypi_name}
Version:	5.2.1
Release:	%mkrel 1
License:	BSD
Group:		Development/Python
Url:		https://pypi.python.org/pypi/decorator/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:  python3-devel

%description
The aim of the decorator module it to simplify the usage of decorators for the
average programmer, and to popularize decorators by showing various non-trivial
examples. Of course, as all techniques, decorators can be abused and you should
not try to solve every problem with a decorator, just because you can.

%package -n python3-%{pypi_name}
Summary:	Module to simplify usage of decorators in python3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The aim of the decorator module is to simplify the usage of decorators for the
average programmer, and to popularize decorators usage giving examples of
useful decorators, such as memoize, tracing, redirecting_stdout, locked, etc.
The core of this module is a decorator factory called decorator.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%if %{with test}
%{py3_test_envvars} %{python3} -m unittest tests/test.py
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*
