%global pypi_name defusedxml

%global over	0.8.0
%global prel	rc2

%bcond_without check

Name:           python-%{pypi_name}
Version:        %{over}%{?prel:~%prel}
Release:        %mkrel 4
Summary:        XML bomb protection for Python stdlib modules
Group:          Development/Python
License:        Python
URL:            https://pypi.org/project/defusedxml/
Source0:        %{pypi_source %{pypi_name} %{over}%{?prel}}
Source1:        https://raw.githubusercontent.com/tiran/defusedxml/v%{over}%{?prel}/xmltestdata/schema-include.xsd

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(lxml)
%endif

%description
The defusedxml package contains several Python-only workarounds and fixes for
denial of service and other vulnerabilities in Python's XML libraries. In order
to benefit from the protection you just have to import and use the listed
functions / classes from the right defusedxml module instead of the original
module.

%package -n python3-%{pypi_name}
Summary:        XML bomb protection for Python stdlib modules
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The defusedxml package contains several Python-only workarounds and fixes for
denial of service and other vulnerabilities in Python's XML libraries. In order
to benefit from the protection you just have to import and use the listed
functions / classes from the right defusedxml module instead of the original
module. This is the python3 build.

%prep
%autosetup -p1 -n %{pypi_name}-%{over}%{?prel}

if [ ! -f xmltestdata/schema-include.xsd ]; then
 cp -a %{SOURCE1} xmltestdata/
fi

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%python3 tests.py
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.txt CHANGES.txt
%license LICENSE
