%define module  demjson

Name:           python-%{module}
Version:        3.0.6
Release:        %mkrel 2
Summary:        Python JSON module and lint checker
Group:          Development/Python
License:        LGPLv3+
URL:            https://pypi.org/project/demjson3/
Source0:        %{pypi_source demjson3}
BuildArch:      noarch

%description
This module provides classes and functions for encoding or decoding
data represented in the language-neutral JSON format (which is often
used as a simpler substitute for XML in Ajax web applications).  This
implementation tries to be as compliant to the JSON specification (RFC
4627) as possible, while still providing many optional extensions to
allow less restrictive JavaScript syntax.  It includes complete
Unicode support, including UTF-32, BOM, and surrogate pair processing.
It can also support JavaScript's NaN and Infinity numeric types as
well as it's 'undefined' type.

It also includes a lint-like JSON syntax validator which tests JSON
text for strict compliance to the standard.

#------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Python 3 JSON module and lint checker
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

Provides:       jsonlint
Provides:       python3-jsonlint
Provides:       python3dist(jsonlint)

%description -n python3-%{module}
This module provides classes and functions for encoding or decoding
data represented in the language-neutral JSON format (which is often
used as a simpler substitute for XML in Ajax web applications).  This
implementation tries to be as compliant to the JSON specification (RFC
4627) as possible, while still providing many optional extensions to
allow less restrictive JavaScript syntax.  It includes complete
Unicode support, including UTF-32, BOM, and surrogate pair processing.
It can also support JavaScript's NaN and Infinity numeric types as
well as it's 'undefined' type.

It also includes a lint-like JSON syntax validator which tests JSON
text for strict compliance to the standard.
This release is Python3 only.

#------------------------------------------------------------------
%prep
%setup -q -n %{module}3-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files demjson3 jsonlint
# fix shebang lines
find %{buildroot}%{python3_sitelib} -name '*.py' -exec \
     sed -i "1{/^#!/d}" {} \;

%check
%define enable_tests_python3 1
%if %{enable_tests_python3}
cd test
PYTHONPATH=%{buildroot}%{python3_sitelib} \
%{__python3} test_demjson3.py
%endif

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md LICENSE.txt
%doc docs
%{_bindir}/jsonlint
