%define module diff-match-patch
%define pypi_name diff_match_patch

Name:           python-%{module}
Version:        20241021
Release:        %mkrel 2
Summary:        Algorithms for synchronizing plain text
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/diff-match-patch/
Source0:        https://pypi.python.org/packages/source/d/%{module}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(flit-core)

%description
The Diff Match and Patch libraries offer robust algorithms to perform the
operations required for synchronizing plain text.

%package -n python3-%{module}
Summary:        Algorithms for synchronizing plain text
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
The Diff Match and Patch libraries offer robust algorithms to perform the
operations required for synchronizing plain text.


%prep
%setup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files diff_match_patch

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-3 -v

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
