Summary:        Python binding of Libdiscid
Name:           python-discid
Version:        1.2.0
Release:        %mkrel 6
License:        LGPLv3+
Group:          Development/Python
Url:            https://python-discid.readthedocs.org/
Source0:        https://github.com/JonnyJD/python-discid/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(libdiscid)
BuildRequires:  pkgconfig(python3)

%description
Python-discid implements Python bindings for MusicBrainz Libdiscid.

Libdiscid's main purpose is the calculation of an identifier of audio
discs (disc ID) to use for the `MusicBrainz database.

That identifier is calculated from the TOC of the disc, similar to the
freeDB CDDB identifier. Libdiscid can calculate MusicBrainz disc IDs and
freeDB disc IDs.
Additionally the MCN of the disc and ISRCs from the tracks can be extracted.

This module is a close binding that offloads all relevant data
storage and calculation to Libdiscid. On the other hand it gives a
pythonic API and uses objects and exceptions.

%package -n python3-discid
Summary:        Python 3 binding of Libdiscid
Group:          Development/Python
BuildArch:      noarch
Requires:       libdiscid
%{?python_provide:%python_provide python3-discid}

%description -n python3-discid
Python2-discid implements Python 3 bindings for MusicBrainz Libdiscid.

Libdiscid's main purpose is the calculation of an identifier of audio
discs (disc ID) to use for the `MusicBrainz database.

That identifier is calculated from the TOC of the disc, similar to the
freeDB CDDB identifier. Libdiscid can calculate MusicBrainz disc IDs and
freeDB disc IDs.
Additionally the MCN of the disc and ISRCs from the tracks can be extracted.

This module is a close binding that offloads all relevant data
storage and calculation to Libdiscid. On the other hand it gives a
pythonic API and uses objects and exceptions.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files discid

%files -n python3-discid -f %{pyproject_files}
%doc CHANGES.rst README.rst
