%global pypi_name distlib
%bcond_without check

Name:       python-distlib
Version:    0.3.9
Release:    %mkrel 2
Summary:    Low-level components of distutils2/packaging, augmented with higher-level APIs
Group:      Development/Python
License:    Python
URL:        https://pypi.org/project/distlib/
Source0:    %{pypi_source}
BuildArch:  noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3-testsuite
BuildRequires:  python3dist(pytest)
%endif

%description
Distlib contains the implementations of the packaging PEPs and other low-level
features which relate to packaging, distribution and deployment of Python
software. If Distlib can be made genuinely useful, then it is possible for
third-party packaging tools to transition to using it. Their developers and
users then benefit from standardised implementation of low-level functions,
time saved by not having to reinvent wheels, and improved interoperability
between tools.

%package -n python3-%{pypi_name}
Summary:    Low-level components of distutils2/packaging, augmented with higher-level APIs

%description -n python3-%{pypi_name}
Distlib contains the implementations of the packaging PEPs and other low-level
features which relate to packaging, distribution and deployment of Python
software. If Distlib can be made genuinely useful, then it is possible for
third-party packaging tools to transition to using it. Their developers and
users then benefit from standardised implementation of low-level functions,
time saved by not having to reinvent wheels, and improved interoperability
between tools.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

rm distlib/*.exe
rm -rf distlib/_backport

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
export PYTHONHASHSEED=0
# Some tests require network access
export SKIP_ONLINE=1
# test_sequencer_basic test fails due to relying
# on the ordering of the input, hence disabling it.
# https://github.com/pypa/distlib/issues/161
%pytest -k "not test_sequencer_basic"
%endif # with_tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt
