%global pypi_name distro

Name:           python-%{pypi_name}
Version:        1.9.0
Release:        %mkrel 2
Summary:        Linux Distribution - a Linux OS platform information API
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/python-distro/distro
Source0:        %{pypi_source}
BuildArch:      noarch

%global _description \
The distro (for: Linux Distribution) package provides information about the\
Linux distribution it runs on, such as a reliable machine-readable ID, or\
version information.\
\
It is a renewed alternative implementation for Python's original\
platform.linux_distribution function, but it also provides much more\
functionality. An alternative implementation became necessary because\
Python 3.5 deprecated this function, and Python 3.7 is expected to remove it\
altogether. Its predecessor function platform.dist was already deprecated since\
Python 2.6 and is also expected to be removed in Python 3.7. Still, there are\
many cases in which access to that information is needed. See Python issue 1322\
for more information.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}
Recommends:     lsb-release

%description -n python3-%{pypi_name} %{_description}

%package        cli
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description cli %{_description}

This package provides the %{_bindir}/distro CLI utility.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files distro

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc *.md
%license LICENSE

%files cli
%{_bindir}/distro
