%define pypi_name django-appconf

Name:           python-%{pypi_name}
Version:        1.0.6
Release:        %mkrel 3
Summary:        A helper class for handling configuration defaults of packaged apps gracefully
Group:          Development/Python

License:        BSD
URL:            https://pypi.python.org/pypi/django-appconf
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

# for docs
BuildRequires:	python3-sphinx
BuildRequires:	python3-django

%description
A helper class for handling configuration defaults of packaged Django apps
gracefully.

%package -n python3-%{pypi_name}
Summary:        A helper class for handling configuration defaults of packaged apps gracefully
Group:          Development/Python
Requires:       python3-django

%description -n python3-%{pypi_name}
A helper class for handling configuration defaults of packaged Django apps
gracefully.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files appconf

# checks fail in mock
%check
export PYTHONPATH=.:$PYTHONPATH
export DJANGO_SETTINGS_MODULE=tests.test_settings
%pytest -v tests/*

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html README.rst
%license LICENSE
