%define module	django-auth-ldap

Name: 		python-%{module}
Version: 	4.6.0
Release: 	%mkrel 2
Summary: 	Django LDAP authentication backend
License:	BSD
Group: 		Development/Python
URL: 		https://github.com/django-auth-ldap/django-auth-ldap
Source0: 	https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
This is a Django authentication backend that authenticates against an LDAP
service. Configuration can be as simple as a single distinguished name
template, but there are many rich configuration options for working with users,
groups, and permissions.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Django LDAP authentication backend
Group:		Development/Python
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3-setuptools-scm+toml
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This is a Django authentication backend that authenticates against an LDAP
service. Configuration can be as simple as a single distinguished name
template, but there are many rich configuration options for working with users,
groups, and permissions.

#---------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{module}-%{version}

find . -name '.buildinfo' -delete
find . -name '.spell*' -delete

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files django_auth_ldap

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%doc html

