%global pypi_name django-authority

Name:           python-%{pypi_name}
Version:        0.14
Release:        %mkrel 4
Summary:        A Django app for generic per-object permissions and custom permission checks
Group:          Development/Python
License:        BSD
URL:            https://github.com/jazzband/django-authority/
Source:         https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This is a Django app for generic per-object permissions, custom permission
checks and permission requests. It also includes view decorators and template
tags for ease of use.

%package -n python3-%{pypi_name}
Summary:        A Django app for generic per-object permissions and custom permission checks
Group:          Development/Python
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(sphinx)

%description -n python3-%{pypi_name}
This is a Django app for generic per-object permissions, custom permission
checks and permission requests. It also includes view decorators and template
tags for ease of use.

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf django_authority.egg-info/

find . -name "*._*" -delete
find . -name "*.buildinfo" -delete

%build
%py3_build

# for docs
%py3_build_egg

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc AUTHORS CONTRIBUTING.md README.rst
%doc html
%{python3_sitelib}/*


