# Created by pyp2rpm-3.3.2
%global pypi_name django-contrib-comments

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        %mkrel 5
Summary:        The code formerly known as django.contrib.comments
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/django-contrib-comments/
Source0:        %{pypi_source}
# fix tests
Patch:          https://github.com/django/django-contrib-comments/commit/36bd49060c58eb96e12e42eb098eb63ccaae848e.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)

%description
Django used to include a comments framework; since Django 1.6 it's been
separated to a separate project. This is that project.

This framework can be used to attach comments to any model, so you can
use it for comments on blog entries, photos, book chapters, or anything
else.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
Django used to include a comments framework; since Django 1.6 it's been
separated to a separate project. This is that project.

This framework can be used to attach comments to any model, so you can
use it for comments on blog entries, photos, book chapters, or anything
else.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files django_comments

%check
PYTHONWARNINGS=default %{__python3} tests/runtests.py

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%doc html
