
Name:           python-django-evolution
Version:        2.4.1
Release:        %mkrel 2
Summary:        Schema evolution for Django

Group:          Development/Python
License:        BSD
URL:            https://github.com/beanbaginc/django-evolution
Source0:        https://github.com/beanbaginc/django-evolution/archive/refs/tags/release-%{version}.tar.gz
# Patches from Fedora
# Patch0001:      FED01-Disable-ez_setup-when-installing-by-RPM.patch

BuildArch:      noarch
BuildRequires:  pkgconfig(python)

%description
When you run ./manage.py syncdb, Django will look for any new models that
have been defined, and add a database table to represent those new models.
However, if you make a change to an existing model, ./manage.py syncdb will
not make any changes to the database.

This is where Django Evolution fits in. Django Evolution is an extension to
Django that allows you to track changes in your models over time, and to
update the database to reflect those changes.

%prep
%setup -q -n django-evolution-release-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files django_evolution
# Delete tests. They aren't useful in an installed system
rm -rf $RPM_BUILD_ROOT/%{python3_sitelib}/tests


%files -f %{pyproject_files}
%doc AUTHORS LICENSE NEWS docs/


