%define realname django-filter

Name:           python-%{realname}
Version:        23.5
Release:        %mkrel 2
Summary:        A Django application for allowing users to filter queryset dynamically
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/django-filter
Source:         https://pypi.python.org/packages/source/d/%{realname}/%{realname}-%{version}.tar.gz

#
# Security patches
# P100 -> ...
#

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(django)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(furo)

%description
Django-filter provides a simple way to filter down a queryset based on
parameters a user provides.

%package -n python3-django-filter
Summary:        A Django application for allowing users to filter queryset dynamically
Group:          Development/Python
Requires:       python3-django

%description -n python3-django-filter
Django-filter provides a simple way to filter down a queryset based on
parameters a user provides.

%prep
%autosetup -p1 -n %{realname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files django_filters

%check
%if 0
# this test fail on BS, have to investigate
rm tests/test_filters.py
%{__python3} runtests.py
%endif

%files -n python3-django-filter -f %{pyproject_files}
%doc CHANGES.rst README.rst html
%license LICENSE
