%define module	django-guardian

Name:		python-%{module}
Version:	2.4.0
Release:	%mkrel 4
Summary:	Implementation of per object permissions for Django
License:	BSD
Group:		Development/Python
URL:		https://github.com/lukaszb/django-guardian/
Source0:	https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
django-guardian is implementation of per object permissions as authorization
backend.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Implementation of per object permissions for Django
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)
BuildRequires:	python3dist(pyflakes)
BuildRequires:	python3dist(pytest-runner)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
django-guardian is implementation of per object permissions as authorization
backend.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

# drop translation catalogs
find %{buildroot} -name "*.po" -delete

%files -n python3-%{module}
%doc CHANGES README.rst docs/ benchmarks/ example_project/
# list some files explicitly to avoid listing locale files twice
%{python3_sitelib}/guardian/*py*
%{python3_sitelib}/guardian/conf/
%{python3_sitelib}/guardian/management/
%{python3_sitelib}/guardian/migrations/
%{python3_sitelib}/guardian/models/
%{python3_sitelib}/guardian/static/
%{python3_sitelib}/guardian/templates/
%{python3_sitelib}/guardian/templatetags/
%{python3_sitelib}/guardian/testapp/
%{python3_sitelib}/django_guardian-%{version}.dist-info
# locale files
%lang(es) %{python3_sitelib}/guardian/locale/es/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/guardian/locale/fr/LC_MESSAGES/django.?o
%lang(nl) %{python3_sitelib}/guardian/locale/nl/LC_MESSAGES/django.?o
%lang(pl) %{python3_sitelib}/guardian/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/guardian/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/guardian/locale/ru/LC_MESSAGES/django.?o
%lang(zh_Hans) %{python3_sitelib}/guardian/locale/zh_Hans/LC_MESSAGES/django.?o
