%define module	django-haystack

Name:		python-%{module}
Version:	3.3.0
Release:	%mkrel 2
Summary:	Django module for modular search
Group:		Development/Python
License:	BSD
URL:		https://haystacksearch.org/
Source:		https://pypi.io/packages/source/d/%{module}/django_haystack-%{version}.tar.gz
BuildArch:	noarch

%description
Search doesn't have to be hard. Haystack lets you write your search code once
and choose the search engine you want it to run on. With a familiar API that
should make any Djangonaut feel right at home and an architecture that allows
you to swap things in and out as you need to, it's how search ought to be.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Django module for modular search
Group:		Development/Python
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)

%description -n python3-%{module}
Search doesn't have to be hard. Haystack lets you write your search code once
and choose the search engine you want it to run on. With a familiar API that
should make any Djangonaut feel right at home and an architecture that allows
you to swap things in and out as you need to, it's how search ought to be.

#---------------------------------------------------------------------------

%prep
%setup -q -n django_haystack-%{version}

find . -name '.gitignore' -delete

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files haystack

%files -n python3-%{module} -f %{pyproject_files}
%doc AUTHORS README.rst docs
