%define module  django-keyedcache3

Name:           python-%{module}
Version:        1.5.3
Release:        %mkrel 8
Summary:        Utilities for simplified development of cache aware objects
Group:          Development/Python
License:        BSD
URL:            https://github.com/kunaldeo/django-keyedcache3
Source0:        https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3dist(setuptools)

%description
Django Keyedcache provides utilities and class mixins for simplified
development of cache-aware objects.

%package -n python3-%{module}
Summary:        Utilities for simplified development of cache aware objects
Group:          Development/Python
Provides:       python3-django-keyedcache = %{version}-%{release}

%description -n python3-%{module}
Django Keyedcache provides utilities and class mixins for simplified
development of cache-aware objects.

%prep
%setup -q -n %{module}-%{version}

# drop bundled egg-info
rm -rf django_keyedcache3.egg-info/

%build
%py3_build

%install
%py3_install

# Language files; not under /usr/share, need to be handled manually
(cd %{buildroot} && find . -name 'django.?o') | sed -e 's|^.||' | sed -e \
  's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

%files -n python3-%{module} -f %{name}.lang
%dir %{python3_sitelib}/keyedcache/
%{python3_sitelib}/keyedcache/__pycache__/
%{python3_sitelib}/keyedcache/templates/
%{python3_sitelib}/keyedcache/*.py
%{python3_sitelib}/django_keyedcache3-%{version}-py%{python3_version}.egg-info
