%define pkgname django-registration

Name:           python-%{pkgname}
Version:        3.3
Release:        %mkrel 3
Summary:        A user-registration application for Django

Group:          Development/Python
License:        BSD
URL:            https://github.com/ubernostrum/django-registration/
Source0:        https://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
#
# Security Patches
# P100 -> ...

BuildArch:      noarch

%description
This is a fairly simple user-registration application for Django_, designed to
make allowing user signups as painless as possible.

%package -n     python3-%{pkgname}
Summary:        A user-registration application for Django
Group:          Development/Python
BuildRequires:  python3-devel
Requires:       python3dist(django)

%description -n python3-%{pkgname}
This is a fairly simple user-registration application for Django_, designed to
make allowing user signups as painless as possible.

%prep
%setup -q -n %{pkgname}-%{version}
%autopatch -p1

rm -rf docs/_build/html/.buildinfo


# relax reqs
perl -pi -e 's/confusable_homoglyphs~=/confusable_homoglyphs>=/' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files django_registration

#Language files; not under /usr/share, need to be handled manually
(cd %{buildroot} && find . -name 'django*.[mp]o') |
    %{__sed} -e 's|^.||' | %{__sed} -e \
    's:\(.*/locale/\)\([^/_]\+\)\(.*\.[mp]o$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

%files -n python3-%{pkgname} -f %{name}.lang -f %{pyproject_files}
%license LICENSE
%doc AUTHORS README.rst docs/*
%dir %{python3_sitelib}/django_registration
