%define module	django-simple-captcha

Name:		python-%{module}
Version:	0.6.0
Release:	%mkrel 2
Summary:	Django application to add captcha images to any Django form
License:	MIT
Group:		Development/Python
URL:		https://github.com/mbi/django-simple-captcha/
Source:		https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
Django Simple Captcha is an extremely simple, yet highly customizable
Django application to add captcha images to any Django form.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Django application to add captcha images to any Django form
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description -n python3-%{module}
Django Simple Captcha is an extremely simple, yet highly customizable
Django application to add captcha images to any Django form.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

# drop translation catalogs
find %{buildroot} -name "*.po" -delete


%files -n python3-%{module}
%license LICENSE
%doc CHANGES README.rst
# list some files explicitly to avoid listing locale files twice
%{python3_sitelib}/captcha/*py*
%{python3_sitelib}/captcha/conf/
%{python3_sitelib}/captcha/fonts/
%{python3_sitelib}/captcha/jinja2/
%{python3_sitelib}/captcha/management/
%{python3_sitelib}/captcha/migrations/
%{python3_sitelib}/captcha/tests/
%{python3_sitelib}/captcha/templates/
%{python3_sitelib}/django_simple_captcha-%{version}.dist-info
# locale files
%lang(bg) %{python3_sitelib}/captcha/locale/bg/LC_MESSAGES/django.?o
%lang(cs) %{python3_sitelib}/captcha/locale/cs/LC_MESSAGES/django.?o
%lang(de) %{python3_sitelib}/captcha/locale/de/LC_MESSAGES/django.?o
%lang(en) %{python3_sitelib}/captcha/locale/en/LC_MESSAGES/django.?o
%lang(es) %{python3_sitelib}/captcha/locale/es/LC_MESSAGES/django.?o
%lang(fa) %{python3_sitelib}/captcha/locale/fa/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/captcha/locale/fr/LC_MESSAGES/django.?o
%lang(it) %{python3_sitelib}/captcha/locale/it/LC_MESSAGES/django.?o
%lang(ja) %{python3_sitelib}/captcha/locale/ja/LC_MESSAGES/django.?o
%lang(nl) %{python3_sitelib}/captcha/locale/nl/LC_MESSAGES/django.?o
%lang(pl) %{python3_sitelib}/captcha/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/captcha/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/captcha/locale/ru/LC_MESSAGES/django.?o
%lang(sk) %{python3_sitelib}/captcha/locale/sk/LC_MESSAGES/django.?o
%lang(sv) %{python3_sitelib}/captcha/locale/sv/LC_MESSAGES/django.?o
%lang(tr) %{python3_sitelib}/captcha/locale/tr/LC_MESSAGES/django.?o
%lang(uk) %{python3_sitelib}/captcha/locale/uk/LC_MESSAGES/django.?o
%lang(zh_CN) %{python3_sitelib}/captcha/locale/zh_CN/LC_MESSAGES/django.?o
%lang(zh_Hans) %{python3_sitelib}/captcha/locale/zh_Hans/LC_MESSAGES/django.?o
