# Created by pyp2rpm-3.3.2
%global pypi_name django-staticinline

Name:           python-%{pypi_name}
Version:        1.4
Release:        %mkrel 2
Summary:        Django template tag to load static files inline with your template
Group:          Development/Python
License:        MIT
URL:            https://github.com/bartTC/django-staticinline
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(django) >= 1.8
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-django)
BuildRequires:  python3dist(setuptools)

%description
Works similar to Django's static templatetag, but this one includes the file
directly in the template, rather than a link to it.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Works similar to Django's static templatetag, but this one includes the file
directly in the template, rather than a link to it.

%prep
%autosetup -n %{pypi_name}-%{version}

# drop precompiled pycache
rm -rf $(find . -name "__pycache__" -type d -print)

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files staticinline

%check
DJANGO_SETTINGS_MODULE=staticinline.tests.testapp.settings \
PYTHONPATH=$(pwd) \
%{_bindir}/pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
