%define realname django-tagging

Name:           python-django-tagging
Version:        0.5.0
Release:        %mkrel 4
Summary:        A generic tagging application for Django projects

Group:          Development/Python
License:        MIT
URL:            https://github.com/Fantomas42/django-tagging
Source0:        https://pypi.io/packages/source/d/%{realname}/%{realname}-%{version}.tar.gz
Patch0:         django-tagging-utf8-v0.4.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
A generic tagging application for Django projects, which allows association
of a number of tags with any Model instance and makes retrieval of tags
simple.

%package -n python3-django-tagging
Summary:        A generic tagging application for Django projects
Group:          Development/Python
Requires:       python3dist(django)

%description -n python3-django-tagging
A generic tagging application for Django projects, which allows association
of a number of tags with any Model instance and makes retrieval of tags
simple.

%prep
%setup -q -n %{realname}-%{version}
%autopatch -p0

# drop bundled egg-info
rm -rf django_tagging.egg-info/

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-django-tagging
%doc CHANGELOG.txt README.rst
%doc html
%license LICENSE.txt
%{python3_sitelib}/tagging
%{python3_sitelib}/django_tagging-%{version}-py%{python3_version}.egg-info
