%define with_tests 0
%define debug_package %{nil}

Name:           python-dmidecode
Summary:        Python module to access DMI data
Version:        3.12.3
Release:        %mkrel 3
License:        GPLv2
Group:          Development/Python
URL:            https://github.com/nima/python-dmidecode
Source0:        https://github.com/nima/python-dmidecode/archive/refs/tags/v%{version}.tar.gz
Patch1:         dmidecode-3.12.2-path.patch

BuildRequires:  pkgconfig(libxml-2.0)

BuildRequires:  python3-devel
BuildRequires:  libxml2-python3


%description
python-dmidecode is a python extension module that uses the
code-base of the 'dmidecode' utility, and presents the data
as python data structures or as XML data using libxml2.


%package -n python3-dmidecode
Summary:        Python 3 module to access DMI data
Group:          Development/Python
Requires:       libxml2-python3
%{?python_provide:%python_provide python3-dmidecode}

%description -n python3-dmidecode
python3-dmidecode is a Python 3 extension module that uses the
code-base of the 'dmidecode' utility, and presents the data
as Python 3 data structures or as XML data using libxml2.


%prep
%setup -q
%autopatch -p2
# mv %{name}-%{version} python3

# pushd python3
sed -i 's/python2/python3/g' Makefile unit-tests/Makefile
# popd


%build
# Not to get undefined symbol: dmixml_GetContent
export CFLAGS="${CFLAGS-} -std=gnu89"


# for PY in python3; do
#   pushd $PY
  make build
#   popd
# done


%install
# pushd python3
%{__python3} src/setup.py install --root %{buildroot} --prefix=%{_prefix}
# popd

%if %{with_tests}
%check
# for PY in python3; do
  pushd unit-tests
  make
  popd
# done
%endif


%files -n python3-dmidecode
%license doc/LICENSE doc/AUTHORS doc/AUTHORS.upstream
%doc README doc/README.upstream
%{python3_sitearch}/dmidecodemod.cpython-%{python3_version_nodots}-*.so
%{python3_sitearch}/__pycache__/dmidecode.cpython-%{python3_version_nodots}*.py[co]
%{python3_sitearch}/dmidecode.py
%{python3_sitearch}/*.egg-info
%{_datadir}/python-dmidecode/
