# Created by pyp2rpm-3.3.2
%global pypi_name doc8

%bcond_without docs
%bcond_without check

Name:           python-%{pypi_name}
Version:        1.1.1
Release:        %mkrel 2
Summary:        Style checker for Sphinx (or other) RST documentation
Group:          Development/Python
License:        ASL 2.0
URL:            https://launchpad.net/doc8
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Doc8 is an opinionated style checker for rst (with basic support for plain
text) styles of documentation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-doc8-doc < 1.1.1

%description -n python3-%{pypi_name}
Doc8 is an opinionated style checker for rst (with basic support for plain
text) styles of documentation.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:doc/requirements.txt} %{?with_check:test-requirements.txt}

%build
%pyproject_wheel

%if %{with_docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with_check}
%check
%pytest
%endif


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
%{_bindir}/doc8
