%global pypi_name docker

Name:           python-%{pypi_name}
Version:        7.1.0
Release:        %mkrel 2
Summary:        A Python library for the Docker Engine API
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/docker
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A Python library for the Docker Engine API.

%package -n python3-%{pypi_name}
Summary:        A Python3 library for the Docker Engine API
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pip)

Provides:       python3dist(docker[ssh]) = %{version}-%{release}
Provides:       python%{pyver}dist(docker[ssh]) = %{version}-%{release}
Obsoletes:      python3-docker-py < 3.6.0-3
Provides:       python3-docker-py = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python 3 library for the Docker Engine API.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

# Remove reundant script header to avoid rpmlint warnings
find -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
