%global pypi_name dogpile.cache
%global pkgname dogpile-cache

Name:           python-%{pkgname}
Version:        1.3.1
Release:        %mkrel 2
Summary:        A caching front-end based on the Dogpile lock
Group:          Development/Python
License:        BSD
URL:            https://pypi.io/project/dogpile.cache
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
# for tests
BuildRequires:  python3-mako
BuildRequires:  python3-mock
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-stevedore

%description
Dogpile consists of two subsystems, one building on top of the other.

dogpile provides the concept of a "dogpile lock", a control structure
which allows a single thread of execution to be selected as the
"creator" of some resource, while allowing other threads of execution to
refer to the previous version of this resource as the creation proceeds;
if there is no previous version, then those threads block until the
object is available.

dogpile.cache is a caching API which provides a generic interface to
caching backends of any variety, and additionally provides API hooks
which integrate these cache backends with the locking mechanism of
dogpile.

Overall, dogpile.cache is intended as a replacement to the Beaker
caching system, the internals of which are written by the same author.
All the ideas of Beaker which "work" are re- implemented in
dogpile.cache in a more efficient and succinct manner, and all the cruft
(Beaker's internals were first written in 2005) relegated to the trash
heap.

%package -n python3-%{pkgname}
Summary:        A caching front-end based on the Dogpile lock
Group:          Development/Python
Requires:       python3-mako
%{?python_provide:%python_provide python3-%{pkgname}}
%{?python_provide:%python_provide python3-%{pypi_name}}

Provides:       python3-dogpile-core = %{version}-%{release}
Obsoletes:      python3-dogpile-core < 0.4.1-10

%description -n python3-%{pkgname}
Dogpile consists of two subsystems, one building on top of the other.

dogpile provides the concept of a "dogpile lock", a control structure
which allows a single thread of execution to be selected as the
"creator" of some resource, while allowing other threads of execution to
refer to the previous version of this resource as the creation proceeds;
if there is no previous version, then those threads block until the
object is available.

dogpile.cache is a caching API which provides a generic interface to
caching backends of any variety, and additionally provides API hooks
which integrate these cache backends with the locking mechanism of
dogpile.

Overall, dogpile.cache is intended as a replacement to the Beaker
caching system, the internals of which are written by the same author.
All the ideas of Beaker which "work" are re- implemented in
dogpile.cache in a more efficient and succinct manner, and all the cruft
(Beaker's internals were first written in 2005) relegated to the trash
heap.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dogpile

%check
%pytest

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%doc README.rst
