Name:           python-donfig
Version:        0.8.1^post0
Release:        %mkrel 3
Summary:        Python package for configuring a python package
Group:          Development/Python

License:        MIT
URL:            https://github.com/pytroll/donfig
Source:         %{pypi_source donfig 0.8.1.post0}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Donfig is a python library meant to make configuration easier for other python
packages. Donfig can be configured programmatically, by environment variables,
or from YAML files in standard locations.}

%description %_description

%package -n     python3-donfig
Summary:        %{summary}

%description -n python3-donfig %_description

%pyproject_extras_subpkg -n python3-donfig docs


%prep
%autosetup -p1 -n donfig-0.8.1.post0
# relax requirement on versioneer
sed -i "s/==0.28//" pyproject.toml
# we don't want doc
rm -Rf doc


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x docs,test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files donfig


%check
%pyproject_check_import


%files -n python3-donfig -f %{pyproject_files}

