%bcond_with check

Name:           python-dotenv
Version:        1.0.1
Release:        %mkrel 2
Summary:        Add .env support to your Django/Flask apps in development and deployments
License:        BSD
URL:            https://github.com/theskumar/python-dotenv
Source0:        %{pypi_source}
BuildArch:      noarch
Group:          Development/Python
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Reads the key/value pair from .env file and adds them to environment variable.

%package -n     python3-dotenv
Summary:        %{summary}
%{?python_provide:%python_provide python3-dotenv}

%description -n python3-dotenv
Reads the key/value pair from .env file and adds them to environment variable.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires %{?with_check:requirements.txt}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dotenv

%if %{with check}
%check
%pytest
%endif

%files -n python3-dotenv
%license LICENSE
%doc README.md
%{_bindir}/dotenv
%{python3_sitelib}/dotenv/
%{python3_sitelib}/python_dotenv-%{version}.dist-info/
