%define pypi_name dropbox

Name:           python-%{pypi_name}
Version:        12.0.2
Release:        %mkrel 2
Summary:        Official Dropbox REST API Client
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/dropbox
Source0:        %{pypi_source}
Patch0:         0001-12.0.2-dont-install-tests.patch

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest-runner

%description
A Python library for Dropbox's HTTP-based Core and Datastore APIs.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Official Dropbox REST API Client
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-requests
Requires:       python3-six
Requires:       python3-urllib3

%description -n python3-%{pypi_name}
A Python 3 library for Dropbox's HTTP-based Core and Datastore APIs.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

find . -name '*.py' | xargs sed -i '1s|^#!/usr/bin/env python|#!%{__python3}|'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dropbox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE
