%define module dtopt

Name:           python-%{module}
Version:        0.1
Release:        %mkrel 21
Summary:        Add options to doctest examples while they are running
Group:          Development/Python
License:        MIT License
URL:            https://pypi.org/project/dtopt
Source0:        https://pypi.io/packages/source/d/dtopt/%{module}-%{version}.tar.gz
Patch0:         python-dtopt-0.1-mga-fix-python3-compatibility.patch
BuildArch:      noarch

%description
When using the doctest module it is often convenient to use the ELLIPSIS option,
which allows you to use ... as a wildcard. But you either have to setup the test
runner to use this option, or you must put #doctest: +ELLIPSIS on every example
that uses this feature.

#--------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Add options to doctest examples while they are running
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
When using the doctest module it is often convenient to use the ELLIPSIS option,
which allows you to use ... as a wildcard. But you either have to setup the test
runner to use this option, or you must put #doctest: +ELLIPSIS on every example
that uses this feature.

This is the Python 3 version of the package.

%files -n python3-%{module} -f %{pyproject_files}
%doc docs/

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dtopt
