%define pypi_name	dulwich

%bcond_with doc

Name:		python-%{pypi_name}
Version:	0.22.7
Release:	%mkrel 3
Summary:	Python implementation of the Git file formats and protocols
License:	GPLv2
Group:		Development/Python
Url:		https://pypi.org/project/dulwich
Source0:	%{pypi_source}
BuildRequires:	git-core
BuildRequires:	pkgconfig(python3)
BuildRequires:	rust-packaging >= 24

# docs
%if %{with doc}
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3dist(sphinx-epytext)
BuildRequires:	python3dist(paramiko)
BuildRequires:	python3dist(gevent)
BuildRequires:	python3dist(fastimport)
BuildRequires:	python3dist(geventhttpclient)
%endif

# for tests
BuildRequires:	gnupg2

%description
Dulwich is a pure-Python implementation of the Git file formats and protocols.

%package -n	python3-%{pypi_name}
Summary:	Python 3 implementation of the Git file formats and protocols
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
Dulwich is a pure-Python implementation of the Git file formats and protocols.

%pyproject_extras_subpkg -n python3-%{pypi_name} fastimport https pgp paramiko

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
%cargo_prep

%generate_buildrequires
%pyproject_buildrequires -t
%cargo_generate_buildrequires

%build
%pyproject_wheel

# docs
%if %{with doc}
%make_build html -C docs
# doc build leftovers
rm -rf docs/build/html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files dulwich

%check
#tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING
%doc NEWS README.rst
%if %{with doc}
%doc docs/build/html
%endif
%{_bindir}/dul-receive-pack
%{_bindir}/dul-upload-pack
%{_bindir}/dulwich
%exclude %{python3_sitearch}/%{pypi_name}/tests*
