%define pypi_name ecdsa

Name:           python-ecdsa
Version:        0.19.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        ECDSA cryptographic signature library (pure python)
License:        MIT
URL:            https://github.com/warner/python-ecdsa
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python.

With this library, you can quickly create keypairs (signing key and verifying
key), sign messages, and verify the signatures.

The keys and signatures are very short, making them easy to handle and
incorporate into other protocols.

%package -n     python3-%{pypi_name}
Summary:        ECDSA cryptographic signature library (pure python)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python.

With this library, you can quickly create keypairs (signing key and verifying
key), sign messages, and verify the signatures.

The keys and signatures are very short, making them easy to handle and
incorporate into other protocols.

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ecdsa

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE

