# Created by pyp2rpm-3.3.2
%global pypi_name editdistance

Name:           python-%{pypi_name}
Version:        0.8.1
Release:        %mkrel 3
Summary:        Fast implementation of the edit distance (Levenshtein distance)
Group:          Development/Python
License:        None
URL:            https://www.github.com/aflc/editdistance
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(pytest)

%description
Fast implementation of the edit distance (Levenshtein distance).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Fast implementation of the edit distance (Levenshtein distance).

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files editdistance

# 0.8.1: pep517 based build packages some files which should not be packaged
# and compile time warnings
# https://github.com/roy-ht/editdistance/issues/112
# “I couldn’t find any documentation on how to control this with the PDM build
# backend, so I worked around it downstream rather than offering a PR to fix it
# properly.”
find %{buildroot}%{python3_sitearch} -type f \( \
    -name '.git*' -o -name '*.cpp' -o -name '*.h' \
    \) -print -delete
sed -r -i '/\.(cpp|h)/d' %{pyproject_files}

%check
#%%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE
