%define         module  efl

Summary:	Python bindings for the EFL
Name:		python-%{module}
Version:	1.26.1
Release:	%mkrel 2
License:	LGPLv3+
Group:		Development/Python
Url:		https://download.enlightenment.org/rel/bindings/python
Source0:	https://download.enlightenment.org/rel/bindings/python/python-%{module}-%{version}.tar.xz
Patch1:		python-efl-linking.patch
Patch2:		cython3.patch
BuildRequires:	pkgconfig(ecore)
BuildRequires:	pkgconfig(elementary)
BuildRequires:	pkgconfig(dbus-python)

%description
Python bindings for the EFL library.

%package -n python3-%{module}
Summary:	Python3 bindings for the EFL library
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(cython)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Python3 bindings for the EFL library.

%prep
%autosetup -p1

# Force cythonize
rm -rf efl/eo/efl.eo.c

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files efl

%files -n python3-%{module} -f %{pyproject_files}
