%global pypi_name elementpath

Name:           python-%{pypi_name}
Version:        4.5.0
Release:        %mkrel 2
Summary:        XPath 1.0/2.0/3.0 parsers and selectors for ElementTree and lxml
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/elementpath
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
The proposal of this package is to provide XPath 1.0, 2.0 and 3.0 selectors for
ElementTree XML data structures, both for the standard ElementTree library and
for the lxml.etree library.

For lxml.etree this package can be useful for providing XPath 2.0/3.0
selectors, because lxml.etree already has it’s own implementation of XPath 1.0.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The proposal of this package is to provide XPath 1.0, 2.0 and 3.0 selectors for
ElementTree XML data structures, both for the standard ElementTree library and
for the lxml.etree library.

For lxml.etree this package can be useful for providing XPath 2.0/3.0
selectors, because lxml.etree already has it’s own implementation of XPath 1.0.

%package -n python-%{pypi_name}-doc
Summary:        elementpath documentation
BuildRequires:  python3dist(sphinx)

%description -n python-%{pypi_name}-doc
Documentation for elementpath

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
