%global         pypi_name       emcee

Name:           python-emcee
Version:        3.1.6
Release:        %mkrel 2
Group:          Sciences/Mathematics
Summary:        A Python ensemble sampling toolkit for affine-invariant MCMC
Url:            https://dan.iel.fm/emcee/current/
License:        MIT
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Emcee is a stable, well tested Python implementation of the
affine-invariant ensemble sampler for Markov chain Monte Carlo (MCMC)
proposed by Goodman & Weare (2010). The code is open source and has
already been used in several published projects in the Astrophysics
literature.

%package -n python3-emcee
Summary:        Python3 implementation of Emcee
Group:          Sciences/Mathematics
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(numpy)
Requires:       python3dist(numpy)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-emcee
Emcee is a stable, well tested Python implementation of the
affine-invariant ensemble sampler for Markov chain Monte Carlo (MCMC)
proposed by Goodman & Weare (2010). The code is open source and has
already been used in several published projects in the Astrophysics
literature.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files emcee

%files -n python3-emcee -f %{pyproject_files}
%doc README.rst LICENSE

