%define pypi_name pyenchant
%define pkg_name  enchant

Name:           python-%{pkg_name}
Version:        3.2.2
Release:        %mkrel 4
Summary:        Python bindings for Enchant spellchecking library
Group:          Development/Python
License:        LGPLv2+
URL:            https://pypi.org/project/pyenchant
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(enchant-2)
BuildRequires:  hunspell-en

%description
A spellchecking library for Python, based on the Enchant library.

%package -n python3-%{pkg_name}
Summary:        Python3 bindings for Enchant spellchecking library
Group:          Development/Python
Requires:       enchant2
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pkg_name}
A spellchecking library for Python3, based on the Enchant library.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files enchant

# Directories used in windows build
rm -rf %{buildroot}%{python3_sitelib}/enchant/lib
rm -rf %{buildroot}%{python3_sitelib}/enchant/share

%check
%py3_check_import %{pkg_name} %{pkg_name}.checker %{pkg_name}.tokenize

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt
