%define pypi_name	ephem

Summary:	Scientific-grade astronomical computations for python
Name:		python-ephem
Version:	4.1.6
Release:	%mkrel 2
License:	LGPLv3
Group:		Development/Python
URL:		https://rhodesmill.org/pyephem/
Source:		%{pypi_source}
Patch0:		ephem-3.7.7.1-fix-linking.patch

%description
PyEphem provides scientific-grade astronomical computations for the
Python programming language. Given a date and location on the Earth’s
surface, it can compute the positions of the Sun and Moon, of the
planets and their moons, and of any asteroids, comets, or earth
satellites whose orbital elements the user can provide. Additional
functions are provided to compute the angular separation between two
objects in the sky, to determine the constellation in which an object
lies, and to find the times at which an object rises, transits, and
sets on a particular day. The numerical routines that lie behind
PyEphem are those from the wonderful XEphem astronomy application,
whose author, Elwood Downey, generously gave permission for us to use
them as the basis for PyEphem.



%package -n python3-ephem
Summary:        Python3 implementation of Ephem
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
Provides:       ephem = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-ephem
PyEphem provides scientific-grade astronomical computations for the
Python programming language. Given a date and location on the Earth’s
surface, it can compute the positions of the Sun and Moon, of the
planets and their moons, and of any asteroids, comets, or earth
satellites whose orbital elements the user can provide. Additional
functions are provided to compute the angular separation between two
objects in the sky, to determine the constellation in which an object
lies, and to find the times at which an object rises, transits, and
sets on a particular day. The numerical routines that lie behind
PyEphem are those from the wonderful XEphem astronomy application,
whose author, Elwood Downey, generously gave permission for us to use
them as the basis for PyEphem.


%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ephem

%files -n python3-ephem -f %{pyproject_files}
