# The tests fail in mock
%bcond_with tests

# Created by pyp2rpm-3.2.2
%global pypi_name ethtool

Name:           python-%{pypi_name}
Version:        0.15
Release:        %mkrel 5
Summary:        Python module to interface with %{pypi_name}
Group:          Development/Python
License:        GPLv2
URL:            https://github.com/fedora-python/%{name}
Source0:        %{pypi_source}

# See https://fedoraproject.org/wiki/Changes/Remove_GCC_from_BuildRoot
BuildRequires:  python3-devel

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildRequires:  libnl3-devel
BuildRequires:  asciidoc

%description
Python bindings for the ethtool kernel interface, that allows querying and
changing of Ethernet card settings, such as speed, port, auto-negotiation, and
PCI locations.

%package -n     python3-%{pypi_name}
Summary:        Python 3 module to interface with %{pypi_name}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python 3 bindings for the ethtool kernel interface, that allows querying and
changing of Ethernet card settings, such as speed, port, auto-negotiation, and
PCI locations.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

a2x -d manpage -f manpage man/pethtool.8.asciidoc
a2x -d manpage -f manpage man/pifconfig.8.asciidoc

%install
%pyproject_install
%pyproject_save_files ethtool
mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}{%{_bindir},%{_sbindir}}/pifconfig
mv %{buildroot}{%{_bindir},%{_sbindir}}/pethtool

mkdir -p %{buildroot}%{_mandir}/man8/
cp -p man/*.8 %{buildroot}%{_mandir}/man8/

%if %{with tests}
%check
export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{__python3} tests/parse_ifconfig.py -v
%{__python3}  -m unittest discover -v
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst CHANGES.rst
%license COPYING
%{_sbindir}/pifconfig
%{_sbindir}/pethtool
%{_mandir}/man8/*
