%define module  evdev

Name:           python-%{module}
Version:        1.9.1
Release:        %mkrel 1
Summary:        Python bindings to the Linux input handling subsystem
Group:          Development/Python
License:        BSD
URL:            https://github.com/gvalkov/python-evdev
Source0:        https://github.com/gvalkov/python-evdev/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
This package provides bindings to the generic input event interface in Linux.
The evdev interface serves the purpose of passing events generated in the
kernel directly to userspace through character devices that are typically
located in /dev/input/.

This package also comes with bindings to uinput, the userspace input
subsystem. Uinput allows userspace programs to create and handle input
devices that can inject events directly into the input subsystem.

%package -n     python3-%{module}
Summary:        Python 3 bindings to the Linux input handling subsystem
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This package provides bindings to the generic input event interface in Linux.
The evdev interface serves the purpose of passing events generated in the
kernel directly to userspace through character devices that are typically
located in /dev/input/.

This package also comes with bindings to uinput, the userspace input
subsystem. Uinput allows userspace programs to create and handle input
devices that can inject events directly into the input subsystem.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files evdev

%files -n  python3-%{module} -f %{pyproject_files}
%doc README.md
