%global  pypi_name extension_helpers

Name:           python-extension-helpers
Version:        1.2.0
Release:        %mkrel 4
Summary:        Convenience helpers to assist with building Python packages
License:        BSD
Group:          Development/Python
URL:            https://pypi.org/project/extension-helpers/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3-devel

%description
The extension-helpers package includes convenience helpers to assist with
building Python packages with compiled C/Cython extensions. It is developed by
the Astropy project but is intended to be general and usable by any Python
package.

%package -n python3-extension-helpers
Summary:        Convenience helpers to assist with building Python3 packages
%{?python_provide:%python_provide python3-extension-helpers}
Provides:       extension-helpers = %{version}-%{release}

Obsoletes:      python3-extension_helpers < 1.2.0-3

%description -n python3-extension-helpers
The extension-helpers package includes convenience helpers to assist with
building Python packages with compiled C/Cython extensions. It is developed by
the Astropy project but is intended to be general and usable by any Python
package.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-extension-helpers -f %{pyproject_files}
%doc README.rst
