%define pypi_name eyeD3
%define pkg_name  eyed3

Summary:        ID3 tag pypi_name
Name:           python-%{pkg_name}
Version:        0.9.7
Release:        %mkrel 2
License:        GPLv2+
Group:          Development/Python
Url:            https://pypi.org/project/eyeD3/
Source0:        %{pypi_source}
Patch0:         0001-fix-shebangs.patch
BuildArch:      noarch

%description
eyeD3 is a Python module and program for processing ID3
tags. Information about mp3 files (i.e bit rate, sample frequency,
play time, etc.) is also provided. The formats supported are ID3
v1.0/v1.1 and v2.3/v2.4.

%package -n     python3-%{pkg_name}
Summary:        ID3 tag Python 3 pypi_name
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(deprecation)
BuildRequires:  python3dist(filetype)
BuildRequires:  python3-poetry
BuildRequires:  python3-pytest

Requires:       python3dist(file-magic)
Requires:       python3dist(pillow)
Requires:       python3dist(requests)

%description -n python3-%{pkg_name}
eyeD3 is a Python 3 module and program for processing ID3
tags. Information about mp3 files (i.e bit rate, sample frequency,
play time, etc.) is also provided. The formats supported are ID3
v1.0/v1.1 and v2.3/v2.4.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%pytest --ignore=tests/{test_factory.py,test_classic_plugin.py,test_core.py,id3/test_frames.py,test_jsonyaml_plugin.py,id3/test_rva.py,test_issues.py}

%files -n python3-%{pkg_name}
%doc AUTHORS.rst HISTORY.rst README.rst examples/
%doc LICENSE
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pkg_name}/
%{python3_sitelib}/eyed3-%{version}-py%{python3_version}.egg-info/
