%define pypi_name f5-icontrol-rest

Name:           python-%{pypi_name}
Version:        1.3.16
Release:        %mkrel 2
Summary:        F5 BIG-IP iControl REST API client
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/F5Networks/f5-icontrol-rest-python
Source0:        https://github.com/F5Networks/f5-icontrol-rest-python/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

%description
Generic python library used by the F5 SDK and other F5 projects to communicate 
with BIG-IP® via the REST API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(mccabe)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pyflakes)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Generic python library used by the F5 SDK and other F5 projects to communicate 
with BIG-IP® via the REST API.

%prep
%setup -q -n %{pypi_name}-python-%{version}

# Remove functional tests, they need a real BIG-IP
rm -rf icontrol/test/functional

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files icontrol

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
