%define upstream_name f5-sdk

Name:           python-%{upstream_name}
Version:        3.0.21
Release:        %mkrel 9
Summary:        F5 Networks Python SDK
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/f5-sdk/
Source0:        https://files.pythonhosted.org/packages/85/1c/b6fb89a1ed640ff4d19899209eb4e8e236d170fe974a3a0f0ec8a29f2345/f5-sdk-%{version}.tar.gz
Patch0:         f5-sdk-3.0.21-iapp_parser-fix.patch
BuildArch:      noarch

%description
This project implements an object model based SDK for the F5 Networks® BIG-IP®
iControl® REST interface. Users of this library can create, edit, update, and
delete configuration objects on a BIG-IP®.

%package -n python3-%{upstream_name}
Summary:        F5 Networks Python SDK
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-eventlet >= 0.21
BuildRequires:  python3-f5-icontrol-rest
BuildRequires:  python3-jinja2
BuildRequires:  python3-mock
BuildRequires:  python3-pytest
BuildRequires:  python3-requests >= 2.5.0
#BuildRequires:  python3-requests-mock
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-urllib3
Requires:       python3-f5-icontrol-rest
Requires:       python3-six

%description -n python3-%{upstream_name}
This project implements an object model based SDK for the F5 Networks® BIG-IP®
iControl® REST interface. Users of this library can create, edit, update, and
delete configuration objects on a BIG-IP®.

%prep
%setup -q -n %{upstream_name}-%{version}
%autopatch -p1


# Remove functional tests, they need a real BIG-IP
find . -path '*/test/functional' -exec rm -rf {} \; || :

# Misclassified functionnal test ?
rm -f f5/bigip/cm/autodeploy/test/unit/test_software_image_uploads.py

# Remove dist stuff (docker, etc...)
rm -rf f5-sdk-dist

# Remove dev tools
rm -rf devtools

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files f5 f5sdk_plugins

# Remove bogus file
rm %{buildroot}/usr/setup_requirements.txt

%check
%tox

%files -n python3-%{upstream_name} -f %{pyproject_files}
%doc README.rst
