%define srcname fabulous

Name:          python-%{srcname}
Version:       0.4.0
Release:       %mkrel 4
Summary:       Makes your terminal output totally fabulous
Group:         Development/Python
License:       MIT
URL:           https://pypi.python.org/pypi/fabulous
Source0:       https://files.pythonhosted.org/packages/source/f/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:        python-fabulous-unbundle-fonts.patch
Patch1:        python-fabulous-unbundle-grapefruit.patch
BuildArch:     noarch
BuildRequires: dos2unix
BuildRequires: gcc
BuildRequires: make

%description
fabulous is a python module for producing fabulously colored terminal output.

Run the demo to see what's available::

    $ %{__python2} -m fabulous.demo

%package -n python3-%{srcname}
Summary:       Makes your terminal output totally fabulous
BuildRequires: python3-devel
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(sphinx)
%{?python_provide:%python_provide python3-%{srcname}}
Requires:      python3dist(pillow)
Requires:      fonts-ttf-liberation

%description -n python3-%{srcname}
fabulous is a python3 module for producing fabulously colored terminal output.

Run the demo to see what's available::

    $ %{__python3} -m fabulous.demo

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1
%{__rm} -f fabulous/fonts/*
%{__rm} fabulous/_xterm256.c
%{__rm} fabulous/grapefruit.py
dos2unix README.rst

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc README.rst CONTRIBUTORS AUTHORS
%license LICENSE.txt
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-*
%{_bindir}/fabulous-demo
%{_bindir}/fabulous-gotham
%{_bindir}/fabulous-image
%{_bindir}/fabulous-rotatingcube
%{_bindir}/fabulous-text
