# Created by pyp2rpm-3.3.3
%global pypi_name faker
%global pkg_name  faker

Name:           python-%{pkg_name}
Version:        33.0.0
Release:        %mkrel 2
Summary:        Python package that generates fake data for you
Group:          Development/Python
License:        MIT License
URL:            https://pypi.org/project/Faker
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(python-dateutil) >= 2.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(text-unidecode) >= 1.3
# tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(random2)
BuildRequires:  python3dist(ukpostcodeparser)
BuildRequires:  python3dist(validators)
BuildRequires:  python3dist(pillow)

%description
Faker is a Python package that generates fake data for you. Whether you need
to bootstrap your database, create good-looking XML documents, fill-in your
persistence to stress test it, or anonymize data taken from a production
service, Faker is for you. Faker is heavily inspired by PHP Faker, Perl Faker,
and by Ruby Faker.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Faker is a Python package that generates fake data for you. Whether you need
to bootstrap your database, create good-looking XML documents, fill-in your
persistence to stress test it, or anonymize data taken from a production
service, Faker is for you. Faker is heavily inspired by PHP Faker, Perl Faker,
and by Ruby Faker.

%prep
%autosetup -n faker-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files faker

%check
%pytest

%files -n python3-%{pkg_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/faker

