# Created by pyp2rpm-3.3.7
%global pypi_name fastbencode

%bcond_without check

Name:           python-%{pypi_name}
Version:        0.3.1
Release:        %mkrel 1
Summary:        Implementation of bencode with optional fast C extensions
Group:          Development/Python
License:        GPLv2+
URL:            https://github.com/breezy-team/fastbencode
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
fastbencode is an implementation of the bencode serialization format originally
used by BitTorrent.

The package includes both a pure-Python version and an optional C extension
based on Cython. Both provide the same functionality, but the C extension
provides significantly better performance.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
fastbencode is an implementation of the bencode serialization format originally
used by BitTorrent.

The package includes both a pure-Python version and an optional C extension
based on Cython. Both provide the same functionality, but the C extension
provides significantly better performance.

%pyproject_extras_subpkg -n python3-%{pypi_name} cext

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x cext

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fastbencode

%if %{with check}
%check
%{py3_test_envvars} %{python3} -m unittest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
