# Created by pyp2rpm-3.3.2
%global pypi_name fastnumbers

%bcond_with doc

Name:           python-%{pypi_name}
Version:        5.1.1
Release:        %mkrel 2
Summary:        Super-fast and clean conversions to numbers
Group:          Development/Python
License:        MIT
URL:            https://github.com/SethMMorton/fastnumbers
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(numpy)
%if %{with doc}
BuildRequires:  python3dist(sphinx)
%endif

%description
Super-fast and clean conversions to numbers.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Super-fast and clean conversions to numbers.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files fastnumbers cpp

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc dev/README.md README.rst
%if %{with doc}
%doc html
%endif
