%define pypi_name feedparser

Name:		python-feedparser
Version:	6.0.11
Release:	%mkrel 2
Summary:	Parse RSS and Atom feeds in Python
License:	BSD
Group:		Development/Python
URL:		https://pypi.python.org/pypi/feedparser
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pkgconfig(python3)

%description
Universal Feed Parser is a Python 3 module for downloading and parsing
syndicated feeds. It can handle RSS 0.90, Netscape RSS 0.91, Userland RSS 0.91,
RSS 0.92, RSS 0.93, RSS 0.94, RSS 1.0, RSS 2.0, Atom 0.3, Atom 1.0, and CDF
feeds. It also parses several popular extension modules, including Dublin Core
and Apple's iTunes extensions.

%package -n python3-%{pypi_name}
Summary:	Parse RSS and Atom feeds in Python 3
%{?python_provide:%python_provide python3-feedparser}

%description -n python3-%{pypi_name}
Universal Feed Parser is a Python 3 module for downloading and parsing
syndicated feeds. It can handle RSS 0.90, Netscape RSS 0.91, Userland RSS 0.91,
RSS 0.92, RSS 0.93, RSS 0.94, RSS 1.0, RSS 2.0, Atom 0.3, Atom 1.0, and CDF
feeds. It also parses several popular extension modules, including Dublin Core
and Apple's iTunes extensions.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

find -type f -exec sed -i 's/\r//' {} ';'
find -type f -exec chmod 0644 {} ';'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files feedparser

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} tests/runtests.py || :

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst NEWS
