%define module	fido2

Name:		python-%{module}
Version:	1.2.0
Release:	%mkrel 2
Summary:	Library for FIDO 2.0, including communication with a device over USB
Group:		Development/Python
License:	BSD-like, ASL 2.0, MPLv2.0
URL:		https://github.com/Yubico/python-fido2
Source0:	https://github.com/Yubico/python-fido2/releases/download/%{version}/fido2-%{version}.tar.gz
Patch0:  	0001-relax-req-on-cryptography.patch
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:	python3dist(setuptools)
BuildRequires:  python3dist(poetry-core)

%description
Provides library functionality for communicating with a FIDO device over USB as
well as verifying attestation and assertion signatures.

This library aims to support the FIDO U2F and FIDO 2.0 protocols for
communicating with a USB authenticator via the Client-to-Authenticator Protocol
(CTAP 1 and 2). In addition to this low-level device access, classes defined in
the `fido2.client` and `fido2.server` modules implement higher level operations
which are useful when interfacing with an Authenticator, or when implementing
WebAuthn support for a Relying Party.

%package -n python3-%{module}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Provides library functionality for communicating with a FIDO device over USB as
well as verifying attestation and assertion signatures.

This library aims to support the FIDO U2F and FIDO 2.0 protocols for
communicating with a USB authenticator via the Client-to-Authenticator Protocol
(CTAP 1 and 2). In addition to this low-level device access, classes defined in
the `fido2.client` and `fido2.server` modules implement higher level operations
which are useful when interfacing with an Authenticator, or when implementing
WebAuthn support for a Relying Party.

%prep
%autosetup -p1 -n %{module}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fido2

%files -n python3-%{module} -f %{pyproject_files}

%doc NEWS README.adoc
%license COPYING COPYING.APLv2 COPYING.MPLv2
