%global pypi_name filetype

Name:           python-%{pypi_name}
Version:        1.2.0
Release:        %mkrel 3
Summary:        Infer file type and MIME type of any file/buffer
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/filetype
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Small and dependency free Python package to infer file type and MIME type
checking the magic numbers signature of a file or buffer.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Small and dependency free Python package to infer file type and MIME type
checking the magic numbers signature of a file or buffer.

%prep
%autosetup -n %{pypi_name}-%{version}

sed -i -e '/^#!\//, 1d' examples/*.py
rm -rf examples/__init__.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files filetype

rm -rf %{buildroot}%{python3_sitelib}/examples

%check
%pytest -v tests --ignore tests/test_benchmark.py \
    -k "not test_guess_memoryview and not test_guess_extension_memoryview \
    and not test_guess_mime_memoryview and not test_guess_zstd" 

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
%doc README.rst History.md examples
%{_bindir}/filetype
