# Created by pyp2rpm-3.3.2
%global pypi_name flake8-import-order

Name:           python-%{pypi_name}
Version:        0.18.2
Release:        %mkrel 3
Summary:        Flake8 and pylama plugin that checks the ordering of import statements
Group:          Development/Python
License:        LGPLv3
URL:            https://github.com/PyCQA/flake8-import-order
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A flake8 and Pylama plugin that checks the ordering of your imports. It does
not check anything else about the imports. Merely that they are grouped and
ordered correctly.

In general stdlib comes first, then 3rd party, then local packages, and that
each group is individually alphabetized, however this depends on the style
used. Flake8-Import-Order supports a number of styles and is extensible
allowing for custom styles.

This plugin was originally developed to match the style preferences of the
cryptography project, with this style remaining the default.

%package -n     python3-%{pypi_name}
Summary:        Flake8 and pylama plugin that checks the ordering of import statements
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(tox)
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pycodestyle)
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A flake8 and Pylama plugin that checks the ordering of your imports. It does
not check anything else about the imports. Merely that they are grouped and
ordered correctly.

In general stdlib comes first, then 3rd party, then local packages, and that
each group is individually alphabetized, however this depends on the style
used. Flake8-Import-Order supports a number of styles and is extensible
allowing for custom styles.

This plugin was originally developed to match the style preferences of the
cryptography project, with this style remaining the default.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flake8_import_order

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
