%global srcname flask-cors

Name:           python-%{srcname}
Version:        5.0.0
Release:        %mkrel 3
Summary:        Cross Origin Resource Sharing (CORS) support for Flask
Group:          Development/Python
License:        MIT
URL:            https://github.com/corydolphin/%{srcname}
Source0:        https://github.com/corydolphin/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
A Flask extension for handling Cross Origin Resource Sharing (CORS),
making cross-origin AJAX possible.

%package -n python3-%{srcname}
Summary:        Cross Origin Resource Sharing (CORS) support for Flask

BuildRequires:  python3-devel
BuildRequires:  python3-flask
BuildRequires:  python3-pytest
BuildRequires:  python3-packaging
BuildRequires:  python3-setuptools
BuildRequires:  python3-six

%description -n python3-%{srcname}
A Flask extension for handling Cross Origin Resource Sharing (CORS),
making cross-origin AJAX possible.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_cors

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.rst

