%global srcname flask_oidc
%global tar_name flask-oidc
%global sum An openID Connect support for Flask

Name:           python-%{tar_name}
Version:        2.2.2
Release:        %mkrel 2
Summary:        %{sum}
Group:          Development/Python
License:        BSD
# use the fork instead of unmaintained one
URL:            https://github.com/fedora-infra/flask-oidc/
Source0:        https://pypi.io/packages/source/f/flask-oidc/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
OpenID Connect support for Flask.
This library should work with any standards compliant
OpenID Connect provider. It has been tested with:
Google+ Login, Ipsilon

%package -n         python3-%{tar_name}
Summary:            %{sum}
Group:              Development/Python
BuildRequires:      python3-devel
BuildRequires:      python3-poetry-core


%{?python_provide:%python_provide python3-%{tar_name}}

%description -n python3-%{tar_name}
Currently designed around Google’s oauth2client library and OpenID Connect
implementation. May or may not interoperate with other OpenID Connect
identity providers, for example, Microsoft’s Azure Active Directory

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_oidc

%check
# skip test which want to install a virtualenv from pypi

%files -n python3-%{tar_name} -f %{pyproject_files}
%doc README.rst

