# Created by pyp2rpm-3.3.3
%global pypi_name flask-restx
%global mod_name flask_restx

# run tests
%bcond_with tests

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        %mkrel 3
Summary:        Fully featured framework for fast, easy and documented API development with Flask
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://github.com/python-restx/flask-restx
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
%if %{with tests}
BuildRequires:  python3dist(blinker)
BuildRequires:  python3dist(faker)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest) >= 5.0.1
BuildRequires:  python3dist(pytest-benchmark)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-flask)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(pytest-profiling)
BuildRequires:  python3dist(pytest-sugar)
BuildRequires:  python3dist(tzlocal)
%endif

%description
Flask-RESTX is a community driven fork of Flask-RESTPlus.

Flask-RESTX is an extension for Flask that adds support for quickly building
REST APIs. Flask-RESTX encourages best practices with minimal setup. If you are
familiar with Flask, Flask-RESTX should be easy to pick up. It provides a
coherent collection of decorators and tools to describe your API and expose its
documentation properly using Swagger.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-flask_restx}

%description -n python3-%{pypi_name}
Flask-RESTX is a community driven fork of Flask-RESTPlus.

Flask-RESTX is an extension for Flask that adds support for quickly building
REST APIs. Flask-RESTX encourages best practices with minimal setup. If you are
familiar with Flask, Flask-RESTX should be easy to pick up. It provides a
coherent collection of decorators and tools to describe your API and expose its
documentation properly using Swagger.

%prep
%autosetup -n %{pypi_name}-%{version}


# Flask reqs
sed -i -e 's/>=0.8, !=2.0.0/>2.0.0/g' requirements/install.pip
sed -i -e 's/werkzeug!=2.0.0/werkzeug>2.0.0/g' requirements/install.pip

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_restx

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
