%global pypi_name flask

%bcond_with docs

Name:           python-flask
Version:        3.1.0
Release:        %mkrel 2
Summary:        A microframework based on Werkzeug, Jinja2 and good intentions
Group:          Development/Python
License:        BSD
URL:            https://github.com/mitsuhiko/flask/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)

%description
A microframework based on Werkzeug, Jinja2 and good intentions.

%package -n     python3-%{pypi_name}
Summary:        A microframework based on Werkzeug, Jinja2 and good intentions
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A microframework based on Werkzeug, Jinja2 and good intentions.

%prep
%autosetup -n %{pypi_name}-%{version}

rm -rf examples/flaskr/
rm -rf examples/minitwit/

# loosen reqs
sed -E -i -e 's/==/>=/g' requirements/docs.txt

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:requirements/docs.txt}

%build
%pyproject_wheel

%if %{with docs}
PYTHONPATH=$(pwd)/src sphinx-build -b html docs/ docs/_build/html/
rm -rf docs/_build/html/{.buildinfo,.doctrees}
%endif

%install
%pyproject_install
%pyproject_save_files flask

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc CHANGES.rst README.md
%{_bindir}/%{pypi_name}*
%if %{with docs}
%doc docs/_build/html examples
%endif
