%{?python_enable_dependency_generator}
%global module_name freetype
%global pypi_name freetype-py

Name:          python-%{module_name}
Version:       2.5.1
Release:       %mkrel 1
Summary:       Freetype python bindings
Group:         Development/Python
License:       BSD
URL:           https://github.com/rougier/freetype-py
Source0:       https://files.pythonhosted.org/packages/source/f/freetype-py/freetype-py-%{version}.zip

BuildArch:     noarch
BuildRequires: pkgconfig(freetype2)
BuildRequires: python3-devel
BuildRequires: python3-setuptools_scm

%description
Freetype python bindings.

%package -n python3-%{module_name}
Summary:        Freetype python 3 bindings
%{?python_provide:%python_provide python3-%{module_name}}

%description -n python3-%{module_name}
Freetype python3 bindings.

%prep
%autosetup -n freetype-py-%{version}
# fix shebang
%py3_shebang_fix freetype/*.py
%py3_shebang_fix examples/*.py

sed -i 's/"setuptools_scm\[toml\]>=3.4",//' pyproject.toml
sed -i 's/"certifi",//' pyproject.toml
# don't require cmake as python package
sed -i 's/"cmake"//' pyproject.toml

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires -t

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files freetype

%check
%tox

%files -n python3-%{module_name} -f %{pyproject_files}
%doc examples
%license LICENSE.txt
