# Created by pyp2rpm-3.3.1
%global pypi_name freezegun

Name:           python-%{pypi_name}
Version:        1.5.1
Release:        %mkrel 2
Summary:        Let your Python tests travel through time
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/freezegun/
Source0:        %{pypi_source}
BuildArch:      noarch
Patch0:         fix_test_import_localtime.patch
BuildRequires:  git-core

BuildRequires:  pkgconfig(python3)
# Check
BuildRequires:  python3dist(pytest)

%description
FreezeGun is a library that allows your python tests to travel through time by
mocking the datetime module.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
FreezeGun is a library that allows your python tests to travel through time by
mocking the datetime module.

%prep
%autosetup -n %{pypi_name}-%{version} -S git

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# Ignore two tests that are broken when run on systems in certain timezones.
# Reported upstream: https://github.com/spulec/freezegun/issues/348
%pytest --deselect tests/test_datetimes.py::TestUnitTestMethodDecorator::test_method_decorator_works_on_unittest_kwarg_frozen_time \
         --deselect tests/test_datetimes.py::TestUnitTestMethodDecorator::test_method_decorator_works_on_unittest_kwarg_hello

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
