# Created by pyp2rpm-3.3.5
%global pypi_name frozenlist

%bcond_without check

Name:           python-%{pypi_name}
Version:        1.5.0
Release:        %mkrel 2
Summary:        A list-like structure which implements collections
Group:          Development/Python
License:        Apache 2
URL:            https://github.com/aio-libs/frozenlist
Source0:        %{pypi_source}
Patch1:         0001-Downstream-only-Build-normal-wheels-in-place.patch
BuildRequires:  python3-devel
BuildRequires:  python3-cython
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
frozenlist.FrozenList is a list-like structure which implements
collections.abc.MutableSequence.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
frozenlist.FrozenList is a list-like structure which implements
collections.abc.MutableSequence.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove Cython-generated sources; we must ensure they are regenerated.
find . -type f -name '*.c' -print -delete

# Patch out coverage-related pytest options:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i 's/^([[:blank:]]*)(.*[-_]cov)/\1# \2/' pytest.ini

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files frozenlist

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
