# Created by pyp2rpm-3.3.2
%global pypi_name fs

Name:           python-%{pypi_name}
Version:        2.4.16
Release:        %mkrel 5
Summary:        Python's filesystem abstraction layer
Group:          Development/Python
License:        MIT
URL:            https://www.pyfilesystem.org/
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Replace TestCase method aliases removed in Python 3.12
# https://github.com/PyFilesystem/pyfilesystem2/pull/570
# changelog fragment removed to avoid conflict
Patch:          570.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(parameterized)
BuildRequires:  locales

%description
Work with files and directories in archives, memory, the cloud etc. as easily
as your local drive. Write code now, decide later where the data will be
stored; unit test without writing real files; upload files to the cloud
without learning a new API; sandbox your file writing code; etc.

%package -n     python3-%{pypi_name}
Summary:        Python's filesystem abstraction layer
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Work with files and directories in archives, memory, the cloud etc. as easily
as your local drive. Write code now, decide later where the data will be
stored; unit test without writing real files; upload files to the cloud
without learning a new API; sandbox your file writing code; etc.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

perl -pi -e 's/~=/>=/g' setup.py setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fs

%check
export LC_ALL=C.UTF-8
# tests/test_ftpfs.py needs pyftpdlib (not packaged yet)
# test_seek_current and test_seek_end are skipped due to regression in Python 3.12
# upstream issue: https://github.com/python/cpython/issues/102956
%{python3} -m pytest --ignore tests/test_ftpfs.py -k "not test_seek_current and not test_seek_end"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
