%global srcname fsspec

Name:           python-%{srcname}
Version:        2025.2.0
Release:        %mkrel 1
Summary:        Specification for Pythonic file system interfaces
Group:          Development/Python
License:        BSD
URL:            https://github.com/intake/filesystem_spec
Source0:        %{pypi_source}
Patch0:         fsspac-relax-dependencies.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Filesystem Spec is a project to unify various projects and classes to work with
remote filesystems and file-system-like abstractions using a standard pythonic
interface.

%package -n     python3-%{srcname}
Summary:        Specification for Pythonic file system interfaces
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Filesystem Spec is a project to unify various projects and classes to work with
remote filesystems and file-system-like abstractions using a standard pythonic
interface.

%pyproject_extras_subpkg -n python3-%{srcname} entrypoints dask git github http sftp ssh tqdm

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fsspec

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%license LICENSE
