%define module funcsigs
%define enable_tests 0

Name:           python-funcsigs
Version:        1.0.2
Release:        %mkrel 17
Summary:        Python function signatures from PEP362 for Python 2.6, 2.7 and 3.2+

Group:          Development/Python
License:        ASL
URL:            https://funcsigs.readthedocs.org/
Source0:        %{pypi_source %{module}}
Patch1:         no-unittest2.patch
BuildArch:      noarch
BuildRequires:  python3-devel
%if %enable_tests
BuildRequires:  python3dist(pytest)
%endif

%description
funcsigs is a backport of the PEP 362 function signature features from
Python 3.3’s inspect module.

%package -n python3-funcsigs
Summary:        Python function signatures from PEP362 for Python 2.6, 2.7 and 3.2+
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-funcsigs
funcsigs is a backport of the PEP 362 function signature features from
Python 3.3’s inspect module.

%prep
%autosetup -p1 -n %{module}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %enable_tests
%check
%pytest
%endif

%install
%pyproject_install
%pyproject_save_files funcsigs

%files -n python3-funcsigs -f %{pyproject_files}
%license LICENSE
%doc README.rst
