%define pypi_name gbinder

Name:          python-gbinder
Version:       1.2.1
Release:       %mkrel 2
Summary:       Cython extension module for gbinder
License:       GPLv3
Group:         Development/Python
URL:           https://github.com/Kyle6012/gbinder
Source:        https://github.com/Kyle6012/gbinder/releases/download/v%{version}/gbinder-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(libglibutil)
BuildRequires:  pkgconfig(libgbinder)
BuildRequires:  python3dist(cython)

%description
%{summary}.


%package -n python3-gbinder
Summary:        Cython extension module for gbinder
Group:          Development/Python
%{?python_provide:%python_provide python3-gbinder}
Obsoletes:      python-gbinder <= 1.0.0
Provides:       python-gbinder = %{version}-%{release}

%description -n python3-gbinder
%{summary}.

%prep
%autosetup -n gbinder-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%ifarch %{ix86} %{arm32}
%global optflags %{optflags} -Wno-incompatible-pointer-types -Wno-int-conversion
%endif
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gbinder

%files -n python3-gbinder -f %{pyproject_files}
%doc README.md
%license LICENSE
