%define srcname Genshi
%define pypi_name  genshi

%bcond_with check

Name:           python-%{pypi_name}
Version:        0.7.9
Release:        %mkrel 3
Summary:        Toolkit for stream-based generation of output for the web

Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/Genshi
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or other
textual content for output generation on the web. The major feature is
a template language, which is heavily inspired by Kid.

%package -n python3-genshi
Summary:        Toolkit for stream-based generation of output for the web
Group:          Development/Python
Requires:	python3-babel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or other
textual content for output generation on the web. The major feature is
a template language, which is heavily inspired by Kid.

%prep
%autosetup -n %{srcname}-%{version}

find examples -type f | xargs chmod a-x

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING
%doc ChangeLog doc examples README.md
