%define pypi_name GeoIP

Summary: Python bindings for the GeoIP library
Name: python-geoip
Version: 1.3.2
Release: %mkrel 13
Source0: %{pypi_source}
URL: https://www.maxmind.com/app/python
License: BSD-like
Group: Development/Python
BuildRequires:  python3-devel
BuildRequires: pkgconfig(geoip)

%description
This is the Python API to the GeoIP library that enables the user to
find the country that any IP address or hostname originates from. It
uses a file based database that is accurate as of March 2003. This
database simply contains IP blocks as keys, and countries as
values. This database should be more complete and accurate than using
reverse DNS lookups. Commercial databases and automatic update
services are available from https://www.maxmind.com/

%package -n python3-geoip
Summary: Python bindings for the GeoIP library
Group: Development/Python

%description -n python3-geoip
This is the Python API to the GeoIP library that enables the user to
find the country that any IP address or hostname originates from. It
uses a file based database that is accurate as of March 2003. This
database simply contains IP blocks as keys, and countries as
values. This database should be more complete and accurate than using
reverse DNS lookups. Commercial databases and automatic update
services are available from https://www.maxmind.com/

%prep
%setup -q -n %pypi_name-%version


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files GeoIP

%files -n python3-geoip -f %{pyproject_files}
%doc README.rst
