%global         pypi_name      getdist

Name:           python-getdist
Version:        1.5.4
Release:        %mkrel 2
Summary:        A samples analyzer for Markov Chain Monte Carlo (MCMC)
License:        MIT
Group:          Development/Python
URL:            https://pypi.python.org/pypi/GetDist
Source0:        %{pypi_source}
Patch0:         getdist-1.5.2-mplvermin.patch

BuildArch:      noarch

%description
Getdist is a python package for analyzing Monte Carlo samples,
including correlated samples from Markov Chain Monte Carlo (MCMC). It
provides a point and click GUI allowing to select chain files, view
plots, extract marginalized constraints, generate LaTeX tables and
more. GetDist is also a plotting library which can be imported in any
python code to make custom publication-ready multi-dimensional and
triangle plots. The underlying code incorporates an automated optimal
bandwidth choice to extract smooth 1D and 2D densities based on the
Botev-Sheather-Jones method. Convergence diagnostics are also reported
by computing correlation length and diagonalized Gelman-Rubin
statistics.

%package -n python3-getdist
Summary:        Python3 implementation of GetDist
Group:          Development/Python
%{?python_provide:%python_provide python3-getdist}
BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
Requires:       python3-numpy
Requires:       python3-scipy
Requires:       python3-pyside6
Requires:       python3-matplotlib-qt5
Requires:       latex
Provides:       getdist = %{version}-%{release}

%description -n python3-getdist
Getdist is a python package for analyzing Monte Carlo samples,
including correlated samples from Markov Chain Monte Carlo (MCMC). It
provides a point and click GUI allowing to select chain files, view
plots, extract marginalized constraints, generate LaTeX tables and
more. GetDist is also a plotting library which can be imported in any
python code to make custom publication-ready multi-dimensional and
triangle plots. The underlying code incorporates an automated optimal
bandwidth choice to extract smooth 1D and 2D densities based on the
Botev-Sheather-Jones method. Convergence diagnostics are also reported
by computing correlation length and diagonalized Gelman-Rubin
statistics.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files getdist

%__rm -r -f %{buildroot}%{python3_sitelib}/docs

%files -n python3-getdist -f %{pyproject_files}
%doc README.rst
%{_bindir}/getdist*
