%define module gflags

Name:           python-%{module}
Version:        3.1.2
Release:        %mkrel 11
Summary:        Commandline flags module for Python
Group:          Development/Python
License:        BSD
URL:            https://github.com/google/python-gflags
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
This project is the python equivalent of google-gflags, a Google commandline
flag implementation for C++. It is intended to be used in situations where a
project wants to mimic the command-line flag handling of a C++ app that uses
google-gflags, or for a Python app that, via swig or some other means, is
linked with a C++ app that uses google-gflags.

The gflags package contains a library that implements commandline flags
processing. As such it's a replacement for getopt(). It has increased
flexibility, including built-in support for Python types, and the ability to
define flags in the source file in which they're used. (This last is its major
difference from OptParse.)

#------------------------------------------------

%package -n     python3-%{module}
Summary:        Commandline flags module for Python 3
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This project is the python equivalent of google-gflags, a Google commandline
flag implementation for C++. It is intended to be used in situations where a
project wants to mimic the command-line flag handling of a C++ app that uses
google-gflags, or for a Python app that, via swig or some other means, is
linked with a C++ app that uses google-gflags.

The gflags package contains a library that implements commandline flags
processing. As such it's a replacement for getopt(). It has increased
flexibility, including built-in support for Python types, and the ability to
define flags in the source file in which they're used. (This last is its major
difference from OptParse.)

This is the Python 3 version of the package.

#------------------------------------------------

%prep
%setup -q

sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/env python3|' gflags2man.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gflags

%files -n python3-%{module} -f %{pyproject_files}
%doc AUTHORS ChangeLog COPYING README.md PKG-INFO
%{_bindir}/gflags2man.py
