Name:          python-gitdb
Version:       4.0.11
Release:       %mkrel 2
Summary:       A pure-Python git object database
Group:         Development/Python
License:       BSD
URL:           https://github.com/gitpython-developers/gitdb
Source:        https://github.com/gitpython-developers/gitdb/archive/%{version}/gitdb-%{version}.tar.gz
BuildArch:     noarch

%description
GitDB allows you to access bare git repositories for reading and writing. It
aims at allowing full access to loose objects as well as packs with performance
and scalability in mind. It operates exclusively on streams, allowing to
operate on large objects with a small memory footprint.

%package -n python3-gitdb
Summary:       A pure-Python 3 git object database
Group:         Development/Python
BuildArch:     noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires: pkgconfig(python3)
%{?python_provide:%python_provide python3-gitdb}

%description -n python3-gitdb
GitDB allows you to access bare git repositories for reading and writing. It
aims at allowing full access to loose objects as well as packs with performance
and scalability in mind. It operates exclusively on streams, allowing to
operate on large objects with a small memory footprint.

This is the Python 3 version of the package.

%prep
%autosetup -p1 -n gitdb-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gitdb

%files -n python3-gitdb -f %{pyproject_files}
%doc AUTHORS LICENSE
