%define upstream_name GitPython

Name:		python-gitpython
Version:	3.1.40
Release:	%mkrel 2
Summary:	Python Git library
License:	BSD
Group:		Development/Python
Url:		https://pypi.org/project/GitPython/
Source0:	https://pypi.io/packages/source/G/GitPython/GitPython-%{version}.tar.gz
Patch0: 	0001-Relax-requirements.patch
BuildArch:	noarch

%description
GitPython is a python library used to interact with Git repositories.

GitPython provides object model access to your git repository. Once you have
created a repository object, you can traverse it to find parent commit(s),
trees, blobs, etc.

GitPython is a port of the grit library in Ruby created by Tom Preston-Werner
and Chris Wanstrath

%package -n python3-gitpython
Group:		Development/Python
Summary:	Python 3 Git Library
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-gitpython}

%description -n python3-gitpython
GitPython is a python library used to interact with Git repositories.

GitPython provides object model access to your git repository. Once you have
created a repository object, you can traverse it to find parent commit(s),
trees, blobs, etc.

GitPython is a port of the grit library in Ruby created by Tom Preston-Werner
and Chris Wanstrath


%prep
%autosetup -p1 -n %{upstream_name}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files git

%files -n python3-gitpython -f %{pyproject_files}
%license LICENSE
%doc CHANGES AUTHORS
