%{?!python_module:%define python_module() python3-%{**}}
Name:           python-glfw
Version:        2.7.0
Release:        %mkrel 2
Summary:        A ctypes-based wrapper for GLFW3
License:        MIT
Group:          Development/Python
URL:            https://github.com/FlorianRhiem/pyGLFW
Source:         https://files.pythonhosted.org/packages/source/g/glfw/glfw-%{version}.tar.gz
BuildRequires:  python3-devel
BuildArch:      noarch

%global _description\
This module provides Python bindings for GLFW . It is a \
ctypes wrapper which keeps very close to the original GLFW API,\
except for:\
\
-  function names use the pythonic ``words_with_underscores`` notation\
   instead of ``camelCase``\
-  ``GLFW_`` and ``glfw`` prefixes have been removed, as their function\
   is replaced by the module namespace\
-  structs have been replaced with Python sequences\
-  functions like ``glfwGetMonitors`` return a list instead of a pointer\
   and an object count\
-  Gamma ramps use floats between 0.0 and 1.0 instead of unsigned shorts\
-  GLFW errors are reported as ``glfw.GLFWError`` exceptions if no error\
   callback is set (use ``glfw.ERROR_REPORTING=False`` to disable this)\

%description %_description

%package -n python3-glfw
Summary: A ctypes-based wrapper for GLFW3

%description -n python3-glfw %_description

%prep
%setup -q -n glfw-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files glfw

%check
# no upstream tests

%files -n python3-glfw -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/*
