%define upstream_name	gmpy2

Summary:	Python interface to GMP (v2)
Name:		python-%{upstream_name}
Version:	2.2.1
Release:	%mkrel 2
License: 	LGPLv3+ and GPLv3+
Group: 		Development/Python
Url: 		https://github.com/aleaxit/gmpy
Source0:	https://github.com/aleaxit/gmpy/archive/refs/tags/v%{version}.tar.gz

BuildRequires:	pyproject-rpm-macros
BuildRequires:	libgmp-devel >= 4.2.4
BuildRequires:	libmpc-devel
BuildRequires:	pkgconfig(mpfr)

# GMP versions before 4.2.4 have a bug that cause gmpy to segfault.
Requires:	libgmp >= 4.2.4

%description
The General Multiprecision PYthon project (GMPY) focuses on
Python-usable modules providing multiprecision arithmetic
functionality to Python programmers. The project mission includes both
C and C++ Python-modules (for speed) and pure Python modules (for
flexibility and convenience); it potentially includes integral,
rational and floating-point arithmetic in any base. Only
cross-platform functionality is of interest, at least for now.

%package -n python3-%{upstream_name}
Summary:	Python 3 interface to GMP
Group:		Development/Python
%{?python_provide:%python_provide python3-%{upstream_name}}
BuildRequires:	pkgconfig(python3)

%description -n python3-%{upstream_name}
The General Multiprecision PYthon project (GMPY) focuses on
Python 3 usable modules providing multiprecision arithmetic
functionality to Python 3 programmers. The project mission includes both
C and C++ Python-modules (for speed) and pure Python 3 modules (for
flexibility and convenience); it potentially includes integral,
rational and floating-point arithmetic in any base. Only
cross-platform functionality is of interest, at least for now.


%prep
%autosetup -p1 -n gmpy-%{version}
# fix linking error, 'log' not found
sed -i "s/gmp'/gmp','m'/" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gmpy2
chmod 755 %{buildroot}%{python3_sitearch}/gmpy2/gmpy2*.so

%check
# Make python see the library that we have just compiled
libdir=`ls build/|grep lib`
export PYTHONPATH=`pwd`/build/$libdir

cd test_cython
%{__python3} runtests.py

%files -n python3-%{upstream_name} -f %{pyproject_files}
%doc README.rst test/
%license COPYING COPYING.LESSER
