# Created by pyp2rpm-3.3.2
%global pypi_name google_auth

%bcond_with tests

Name:           python-google-auth
Version:        2.38.0
Release:        %mkrel 1
Summary:        Google Authentication Library
Group:          Development/Python
License:        ASL2.0
URL:            https://github.com/googleapis/google-auth-library-python
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(cachetools) >= 2.0.0
BuildRequires:  python3dist(pyasn1-modules) >= 0.2.1
BuildRequires:  python3dist(rsa) >= 3.1.4
%if %{with tests}
BuildRequires:  python3dist(certifi)
BuildRequires:  python3dist(flask)
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(oauth2client)
BuildRequires:  python3dist(pyopenssl)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-localserver)
BuildRequires:  python3dist(pyu2f)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(responses)
BuildRequires:  python3dist(aioresponses)
BuildRequires:  python3dist(urllib3)
%endif

%description
Google Auth Python Library simplifies using Google's various server-to-server
authentication mechanisms to access Google.

%package -n     python3-google-auth
Summary:        Google Authentication Library
%{?python_provide:%python_provide python3-%{pypi_name}}

Obsoletes:      python3-google_auth < 2.37.0-2

%description -n python3-google-auth
Google Auth Python Library simplifies using Google's various server-to-server
authentication mechanisms to access Google.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files google

%if %{with tests}
%check
%pytest
%endif

%files -n python3-google-auth -f %{pyproject_files}
%license LICENSE
%doc README.rst
