%define pypi_name gphoto2

Name:           python-%{pypi_name}
Version:        2.5.1
Release:        %mkrel 3
Summary:        Python interface to libgphoto2
Group:          Development/Python
License:        GPLv3+
URL:            https://github.com/jim-easterbrook/python-gphoto2
Source0:        %{url}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-Use-SWIG_AppendOutput-macro.patch
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libgphoto2)
BuildRequires:  swig

%description
python-gphoto2 is a comprehensive Python interface (or binding) to libgphoto2.
It is built using SWIG to automatically generate the interface code.
This gives direct access to nearly all the libgphoto2 functions, but
sometimes in a rather un-Pythonic manner.

%package -n python3-%{pypi_name}
Summary:        Python 3 interface to libgphoto2
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
python-gphoto2 is a comprehensive Python interface (or binding) to libgphoto2.
It is built using SWIG to automatically generate the interface code.
This gives direct access to nearly all the libgphoto2 functions, but
sometimes in a rather un-Pythonic manner.

%package examples
Summary:        Example files for python-gphoto2
BuildArch:      noarch
Requires:       python3-%{pypi_name}

%description examples
python-gphoto2 is a comprehensive Python interface (or binding) to libgphoto2.
It is built using SWIG to automatically generate the interface code.
This gives direct access to nearly all the libgphoto2 functions, but
sometimes in a rather un-Pythonic manner.

This package contains the example files.

%prep
%autosetup -p1

%py3_shebang_fix examples/*.py

%generate_buildrequires
%pyproject_buildrequires

%build
%{python3} developer/build_swig.py
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gphoto2

%check
%{__python3} setup.py check

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst CHANGELOG.txt

%files examples
%{_datadir}/doc/python3-gphoto2/
