%define module grapefruit

Name:          python-grapefruit
Version:       0.1a4
Release:       %mkrel 8
Summary:       Python module for easy manipulation of color information

Group:         Development/Python
License:       ASL 2.0
URL:           https://github.com/xav/grapefruit/
Source0:       https://github.com/xav/Grapefruit/releases/download/%{version}/%{module}-%{version}.tar.gz
BuildArch:     noarch

%description
GrapeFruit is a pure python module that let you easily manipulate and convert
color information. It's primary goal is to be natural and flexible.

%package -n     python3-%{module}
Summary:        Python 3 module for easy manipulation of color information
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel

%description -n python3-%{module}
GrapeFruit is a pure python 3 module that let you easily manipulate and convert
color information. It's primary goal is to be natural and flexible.

%prep
%setup -q -c %{module}-%{version}


sed -i 's/\r//' CHANGES LICENSE TODO doc/Makefile doc/index.rst doc/conf.py doc/makedoc.cmd

# Fix shebang to avoid auto-generating Python 2 dependency in python3- subpackage.
sed -i '1s=^#!/usr/bin/python=#!%{__python3}=' grapefruit.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files grapefruit
chmod a+x %{buildroot}%{python3_sitelib}/grapefruit.py

%files -n python3-%{module} -f %{pyproject_files}
%doc doc/ CHANGES COPYING README.rst TODO
%license LICENSE
