# NOTE: tests are disabled since should_be has not yet been packaged.
%global pypi_name gssapi

Name:           python-%{pypi_name}
Version:        1.9.0
Release:        %mkrel 2
Summary:        Python Bindings for GSSAPI (RFC 2743/2744 and extensions)
Group:          Development/Python

License:        ISC
URL:            https://pypi.org/project/gssapi/
Source0:        %{pypi_source}

BuildRequires:  krb5-devel >= 1.19
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

# For autosetup
BuildRequires: git-core

%description
A set of Python bindings to the GSSAPI C library providing both a high-level
pythonic interfaces and a low-level interfaces which more closely matches RFC
2743.  Includes support for RFC 2743, as well as multiple extensions.

%package -n python3-gssapi
Summary:        Python 3 Bindings for GSSAPI (RFC 2743/2744 and extensions)
Requires:       krb5-libs >= 1.19

%description -n python3-gssapi
A set of Python bindings to the GSSAPI C library providing both a high-level
pythonic interfaces and a low-level interfaces which more closely matches RFC
2743.  Includes support for RFC 2743, as well as multiple extensions.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files gssapi

%check
# Check import everything except the tests, as we don't have the tests deps
%pyproject_check_import -e 'gssapi.tests*'

%files -n python3-gssapi -f %{pyproject_files}
%doc README.txt
