%global pypi_name gunicorn

%bcond_with tests

Name:           python-%{pypi_name}
Version:        23.0.0
Release:        %mkrel 1
Summary:        Python WSGI application server
Group:          Development/Python
License:        MIT
URL:            https://gunicorn.org/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%if %{with tests}
BuildRequires:  python3dist(aiohttp)
BuildRequires:  python3dist(gevent)
BuildRequires:  python3dist(eventlet)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
%endif

%description
Gunicorn ("Green Unicorn") is a Python WSGI HTTP server for UNIX. It uses the
pre-fork worker model, ported from Ruby's Unicorn project. It supports WSGI,
Django, and Paster applications.

%package -n python3-%{pypi_name}
Summary:        Python3 WSGI application server
Group:          Development/Python

%description -n python3-%{pypi_name}
Gunicorn ("Green Unicorn") is a Python3 WSGI HTTP server for UNIX. It uses the
pre-fork worker model, ported from Ruby's Unicorn project. It supports WSGI,
Django, and Paster applications.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gunicorn

# symlink extra executable names
ln -sr %{buildroot}%{_bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-3
ln -sr %{buildroot}%{_bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-%{python3_version}

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc NOTICE README.rst THANKS
%{_bindir}/%{pypi_name}
%{_bindir}/%{pypi_name}-3*
