Name:           python-h5netcdf
Version:        1.6.1
Release:        %mkrel 1
Summary:        netCDF4 via h5py
Group:          Sciences/Physics

License:        BSD
URL:            https://pypi.org/project/h5netcdf/
Source:         %{pypi_source h5netcdf}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# For tests
BuildRequires:  python3-pytest
BuildRequires:  python3dist(netcdf4)


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
A Python interface for the netCDF4 file-format that reads and writes local
or remote HDF5 files directly via h5py or h5pyd, without relying on the Unidata
netCDF library.}


%description %_description

%package -n     python3-h5netcdf
Summary:        %{summary}

%description -n python3-h5netcdf %_description


%prep
%autosetup -p1 -n h5netcdf-%{version}


%generate_buildrequires
%pyproject_buildrequires -x tests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files h5netcdf


%check
%pyproject_check_import
%pytest


%files -n python3-h5netcdf -f %{pyproject_files} 
