# Created by pyp2rpm-1.0.0
%define pypi_name h5py

# (tv) disable rpath checks;
%global __brp_check_rpaths %nil

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-%{pypi_name}

Version:        3.11.0
Release:        %mkrel 4
Summary:        Read and write HDF5 files from Python
Group:          Development/Python
License:        BSD
URL:            https://www.h5py.org/
Source0:        https://pypi.python.org/packages/source/h/h5py/%{pypi_name}-%{version}.tar.gz
# drop the unnecessary workaround for float128 type after
# https://fedoraproject.org/wiki/Changes/PPC64LE_Float128_Transition
# in F-36
Patch0:         h5py-3.10.0-ppc-float128.patch
# Patch1:         0001-Fix-compiling-fileobj-file-driver-with-Cython-3.0.patch
Patch2:         h5py-3.10.0-python-crash-file-test2.patch

%description
The h5py package provides both a high- and low-level interface to the HDF5
library from Python. The low-level interface is intended to be a complete
wrapping of the HDF5 API, while the high-level component supports  access to
HDF5 files, datasets and groups using established Python and NumPy concepts.

%package -n     python3-%{pypi_name}
Summary:        Read and write HDF5 files from Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  hdf5-devel
BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  python3dist(pytools)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pkgconfig)

Requires:       python3-numpy

%description -n python3-%{pypi_name}
The h5py package provides both a high- and low-level interface to the HDF5
library from Python. The low-level interface is intended to be a complete
wrapping of the HDF5 API, while the high-level component supports  access to
HDF5 files, datasets and groups using established Python and NumPy concepts.
This is the Python 3 version of %{pypi_name}.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# docs
make -C docs html SPHINXOPTS=
rm -rf docs/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc licenses/*.txt README.rst
%doc docs/_build/html
