# Created by pyp2rpm-3.3.1
%global pypi_name hacking

%bcond_without docs

Name:           python-%{pypi_name}
Version:        7.0.0
Release:        %mkrel 2
Summary:        OpenStack Hacking Guideline Enforcement
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/hacking/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
hacking is a set of flake8 plugins that test and enforce the OpenStack
StyleGuide

Hacking pins its dependencies, as a new release of some dependency can break
hacking based gating jobs. This is because new versions of dependencies can
introduce new rules, or make existing rules stricter.

%package -n     python3-%{pypi_name}
Summary:        OpenStack Hacking Guideline Enforcement
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
hacking is a set of flake8 plugins that test and enforce the OpenStack
StyleGuide

Hacking pins its dependencies, as a new release of some dependency can break
hacking based gating jobs. This is because new versions of dependencies can
introduce new rules, or make existing rules stricter.

%prep
%autosetup -p1 -n %{pypi_name}-%{version} -p1

# loosen reqs
sed -i -E -e "s/(['\"]?\s*\S*\s*>=\s*[0-9]+(\.[0-9]+)*)\s*,\s*(<|!=)\s*[0-9]+(\.[0-9]+)*(\s*['\"]?)/\1\5/g" doc/requirements.txt
sed -i -E -e "s/~=/>=/g" requirements.txt

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:doc/requirements.txt}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif

