%global pypi_name hatch-jupyter-builder
%global srcname hatch_jupyter_builder

Name:           python-%{pypi_name}
Version:        0.9.1
Release:        %mkrel 2
Summary:        A hatch plugin to help build Jupyter packages
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://pypi.org/project/hatch-jupyter-builder/
Source:         %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This provides a build hook plugin for Hatch that adds a build step for use with
Jupyter packages.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
This provides a build hook plugin for Hatch that adds a build step for use with
Jupyter packages.

%prep
%autosetup -p1 -n hatch_jupyter_builder-%{version}

# No hatch available
sed -i -e 's/"hatch",//' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
# Skipped tests installs from internet
%pytest -k "not test_hatch_build"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/hatch-jupyter-builder
