%global pypi_name hatch-nodejs-version
%global srcname hatch_nodejs_version

Name:           python-%{pypi_name}
Version:        0.3.2
Release:        %mkrel 2
Summary:        Hatch plugin for versioning from a package.json file
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/hatch-nodejs-version/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
This package provides two Hatch plugins:

* version source plugin that reads/writes the package version from
  the versionfield of the Node.js package.json file.
* metadata hook plugin that reads PEP 621 metadata from the Node.js
  package.json file.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
This package provides two Hatch plugins:

* version source plugin that reads/writes the package version from
  the versionfield of the Node.js package.json file.
* metadata hook plugin that reads PEP 621 metadata from the Node.js
  package.json file.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
