%define pypi_name hatch-requirements-txt

%bcond_with tests

Name:           python-hatch-requirements-txt
Version:        0.4.1
Release:        %mkrel 1
Summary:        Hatchling plugin to read project dependencies from requirements.txt
Group:          Development/Python
License:        MIT
URL:            https://github.com/repo-helper/hatch-requirements-txt
Source:         %{pypi_source}

# Update tests for latest hatchling [i.e., 1.22.x]
# %%{forgeurl}/commit/1aa21b86db3503ed46683fa7af748d7aa1e853e1
# Cherry-picked to 0.4.1; changes to files in .github/ managed by repo_helper
# omitted.
Patch1:         0001-Update-tests-for-latest-hatchling.patch

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(coincidence)
BuildRequires:  python3dist(pkginfo)
BuildRequires:  python3dist(pytest)
%endif


%description
%{summary}.


%package -n python3-hatch-requirements-txt
Summary:        %{summary}
Group:          Development/Python

%description -n python3-hatch-requirements-txt
%{summary}.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# pytest-timeout is not needed to run tests in the RPM build environment
sed -i '/^timeout =/d' tox.ini
# Remove unnecessary shebangs
find hatch_requirements_txt/ -type f ! -executable -name '*.py' -print \
    -exec sed -i -e '1{\@^#!.*@d}' '{}' +


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hatch_requirements_txt

%check
%pyproject_check_import
%if %{with tests}
%pytest
%endif

%files -n python3-hatch-requirements-txt -f %{pyproject_files}
%license LICENSE
%doc README.rst
