# Let’s try to build this as early as we can, since it’s a dependency for
# python-userpath.
%bcond_without bootstrap

%if %{without bootstrap}
%bcond_without tests
%else
%bcond_with tests
%endif

Name:           python-hatch-vcs
Version:        0.4.0
Release:        %mkrel 2
Summary:        Hatch plugin for versioning with your preferred VCS
Group:          Development/Python
License:        MIT
URL:            https://github.com/ofek/hatch-vcs
Source0:        %{pypi_source hatch_vcs}

BuildArch:      noarch
BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  git-core
%endif

%description
This provides a plugin for Hatch that uses your preferred version control
system (like Git) to determine project versions.

%package -n python3-hatch-vcs
Summary:        %{summary}

%description -n python3-hatch-vcs
This provides a plugin for Hatch that uses your preferred version control
system (like Git) to determine project versions.

%prep
%autosetup -n hatch_vcs-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -w

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hatch_vcs


%check
%if %{with tests}
%pytest
%else
%pyproject_check_import
%endif


%files -n python3-hatch-vcs -f %{pyproject_files}
%license LICENSE.txt
%doc HISTORY.md
%doc README.md
