%global pypi_name hatchling

Name:           python-%{pypi_name}
Version:        1.27.0
Release:        %mkrel 1
Summary:        The build backend used by Hatch
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/hatchling
Source0:        %{pypi_source}
# Man page in groff_man(7) format, hand-written for Fedora based on package
# metadata and --help output
Source1:        hatchling.1
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  pyproject-rpm-macros


%global common_description %{expand:
This is the extensible, standards compliant build backend used by Hatch.}

%description %{common_description}


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %{common_description}


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

install -t '%{buildroot}/%{_mandir}/man1' -D -p -m 0644 '%{SOURCE1}'

%check
# It’s not yet clear how, or if, we can run the upstream tests.
# https://github.com/pypa/hatch/issues/120
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE.txt
%{_bindir}/hatchling
%{_mandir}/man1/hatchling.1*
