%global         pypi_name      healpy
%global __brp_check_rpaths %{nil}

Name:           python-healpy
Version:        1.18.0
Release:        %mkrel 2
Summary:        Healpix tools package for Python
License:        GPLv2
Group:          Development/Python

URL:            https://pypi.python.org/pypi/healpy
Source0:        https://pypi.python.org/packages/source/h/healpy/healpy-%{version}.tar.gz

#remove unnecessary dep to pykg-config package
Patch0:         healpy-1.18.0-removejunk.patch


BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  pkgconfig(healpix_cxx)
BuildRequires:  pkgconfig(pkg-config)

Conflicts:      python-healpix
Obsoletes:      python-healpix <= 3.11
Provides:       healpy = %{version}-%{release}

%description
Healpy provides a python package to manipulate Healpix maps. It is
based on the standard numeric and visualization tools for Python,
Numpy.


%package -n python3-healpy
Summary:        Python3 implementation of Healpy
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-astropy
BuildRequires:  python3-matplotlib
BuildRequires:  python3-pytest-runner
BuildRequires:  python3dist(cython)

%description -n python3-healpy
Healpy provides a python package to manipulate Healpix maps. It is
based on the standard numeric and visualization tools for Python,
Numpy.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files healpy


%files -n python3-healpy -f %{pyproject_files}
%{_bindir}/healpy_get_wmap_maps.sh
