%define module hpilo

Name:           python-%module
Version:        4.4.3
Release:        %mkrel 5
License:        GPLv3+
Summary:        Python tools to configure HP ProLiant servers through the iLO HP RESTful API
Group:          Development/Python
Url:            https://pypi.org/project/python-hpilo/
Source:         https://pypi.io/packages/source/p/python-%{module}/python-%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cloud-sptheme

# docs
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx-rtd-theme

%description
Python cli and API to control the configuration of HP ProLiant servers
through the HP RESTful API provide by the HP iLO.

%package -n python3-%{module}
Summary:        Python3 tools to configure HP ProLiant servers through the iLO HP RESTful API
Group:          Development/Python
Obsoletes:	python-%{module} < 4.3

%description -n python3-%{module}
Python3 cli and API to control the configuration of HP ProLiant servers
through the HP RESTful API provide by the HP iLO.

%prep
%setup -q -n python-%{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

export PYTHONPATH=$(pwd)
sphinx-build -b html docs html
sphinx-build -b man docs man

%install
%pyproject_install
%pyproject_save_files hpilo hpilo_fw

install -p -D -m 644 man/python-%{module}.1 %{buildroot}%{_mandir}/man1/python-%{module}.1

%files -n python3-%{module} -f %{pyproject_files}
%license COPYING
%doc CHANGES README.md
%doc html
%{_bindir}/%{module}*
%{_mandir}/man1/*.1.*
