%define pypi_name  html2text

Name:           python-%{pypi_name}
Version:        2024.2.26
Release:        %mkrel 3
Summary:        Converts a page of HTML into clean, easy-to-read plain ASCII text
Group:          Development/Python
License:        GPLv3
URL:            https://pypi.org/project/html2text/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
html2text is a Python script that converts a page of HTML into clean,
easy-to-read plain ASCII text. Better yet, that ASCII also happens to
be valid Markdown (a text-to-HTML format).

Also known as: THE ASCIINATOR, html to text, htm to txt, htm2txt, ...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
html2text is a Python script that converts a page of HTML into clean,
easy-to-read plain ASCII text. Better yet, that ASCII also happens to
be valid Markdown (a text-to-HTML format).

Also known as: THE ASCIINATOR, html to text, htm to txt, htm2txt, ...

This package contains python3 version of the package.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files html2text

# fix file conflitct with html2text:
mv %{buildroot}%{_bindir}/html2text %{buildroot}%{_bindir}/python3-%{pypi_name}
ln -s %{_bindir}/python3-%{pypi_name} %{buildroot}%{_bindir}/python-html2text

%check
%pytest || /bin/true

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/python{,3}-%{pypi_name}
