%define modulename html5-parser

Name:		python-%{modulename}
Summary:	Fast C based HTML 5 parsing for python
Version:	0.4.12
Release:	%mkrel 3
Group:		Development/Python
License:	Apache 2.0
URL:		https://pypi.python.org/project/html5-parser
Source0:	https://files.pythonhosted.org/packages/source/h/%{modulename}/%{modulename}-%{version}.tar.gz

BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)


%description
A fast, standards compliant, C based, HTML 5 parser for python. Over thirty
times as fast as pure python based parsers, such as html5lib.

%package -n python3-%{modulename}
Summary:	A Python 3 based HTML parser/tokenizer
Group:		Development/Python
%{?python_provide:%python_provide python3-%{modulename}}

%description -n python3-%{modulename}
A fast, standards compliant, C based, HTML 5 parser for python. Over thirty
times as fast as pure python based parsers, such as html5lib.

%prep
%setup -q -n %{modulename}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files html5_parser

%check
nosetests || true
nosetests-%{python3_version} || true

%files -n python3-%{modulename} -f %{pyproject_files}
%doc LICENSE README.rst

