%define module	html5lib

Name:		python-%{module}
Summary:	A python based HTML parser/tokenizer
Version:	1.1
Release:	%mkrel 6
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/html5lib
Source0:	%{pypi_source %{module}}
# Fix compatibility with pytest 6
Patch1:		%{url}/pull/506.patch
# Fix compatibility with pytest 7.4.0
Patch2:		%{url}/pull/573.patch

BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

# Test deps
# Upstream uses requirements-test.txt but it has tox, coverage, mock, flake8 in it
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(pytest-expect)

%description
A python based HTML parser/tokenizer based on the WHATWG HTML5
specification for maximum compatibility with major desktop web browsers.

%package -n python3-%{module}
Summary:	A python 3 based HTML parser/tokenizer
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
A python 3 based HTML parser/tokenizer based on the WHATWG HTML5
specification for maximum compatibility with major desktop web browsers.

%prep
%autosetup -p1 -n %{module}-%{version}

# Use standard library unittest.mock instead of 3rd party mock
# From https://github.com/html5lib/html5lib-python/pull/536
sed -i 's/from mock import/from unittest.mock import/' html5lib/tests/test_meta.py

%generate_buildrequires
%pyproject_buildrequires -x all

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files html5lib

%check
%pytest

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGES.rst README.rst
%license LICENSE
