# Created by pyp2rpm-3.3.2
%global pypi_name httpretty

Name:           python-%{pypi_name}
Version:        1.1.4
Release:        %mkrel 6
Summary:        HTTP client mock for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/gabrielfalcao/HTTPretty
Source0:        %{pypi_source}
Patch0:         httpretty-test-timeouts.patch
# https://github.com/gabrielfalcao/HTTPretty/issues/457
Patch4:         test_handle_slashes.patch
BuildArch:      noarch
BuildRequires:  python3dist(setuptools)

# for docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinxcontrib-asciinema)

%description
HTTP Client mocking tool for Python. Provides a full fake TCP socket module.
Inspired by FakeWeb.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)

%description -n python3-%{pypi_name}
HTTP Client mocking tool for Python. Provides a full fake TCP socket module.
Inspired by FakeWeb.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=$(pwd) sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html README.rst
