%global upname husl

Name: python-%{upname}
Version: 4.0.3
Release: %mkrel 6
Summary: A Python implementation of HUSL
License: MIT
Group: Development/Python

URL: https://github.com/boronine/pyhusl
Source0: https://pypi.python.org/packages/source/h/husl/husl-%{version}.tar.gz
# By mistake the license is not packaged (fixed in devel version upstream)
Source1: https://raw.githubusercontent.com/husl-colors/husl-python/master/LICENSE.txt
BuildArch: noarch
BuildRequires:  python3-devel

%global _description\
HUSL is a human-friendly alternative to HSL (Hue, Saturation and Lightness)\
color space. This package provides Python2 support

%description %_description

%package -n python3-%{upname}
Summary: A Python implementation of HUSL
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description -n python3-%{upname}
HUSL is a human-friendly alternative to HSL (Hue, Saturation and Lightness)
color space. This package provides Python3 support


%prep
%setup -q -n %{upname}-%{version}

find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%generate_buildrequires
%pyproject_buildrequires

%build
cp -p %{SOURCE1} .
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files husl

%files -n python3-%{upname} -f %{pyproject_files}
%doc README.md
%license LICENSE.txt
