%define pypi_name hypothesis

Name:           python-%{pypi_name}
Version:        6.127.2
Release:        %mkrel 1
Summary:        A library for property based testing
Group:          Development/Python
License:        MPLv2.0
URL:            https://pypi.org/project/hypothesis/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Hypothesis is a library for testing your Python code against a much larger
range of examples than you would ever want to write by hand. It’s based on the
Haskell library, Quickcheck, and is designed to integrate seamlessly into your
existing Python unit testing work flow.

%package     -n python3-%{pypi_name}
Group:          Development/Python
Summary:        A library for property based testing
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Hypothesis is a library for testing your Python code against a much larger
range of examples than you would ever want to write by hand. It’s based on the
Haskell library, Quickcheck, and is designed to integrate seamlessly into your
existing Python unit testing work flow.

%pyproject_extras_subpkg -n python3-%{pypi_name} cli ghostwriter pytz dateutil numpy pandas pytest redis django

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hypothesis _hypothesis_ftz_detector _hypothesis_globals _hypothesis_pytestplugin

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/hypothesis
