%define module  icalendar

Name:           python-%{module}
Version:        6.1.3
Release:        %mkrel 1
Summary:        Parser/generator of iCalendar files following the RFC 2445
Group:          Development/Python
License:        BSD
URL:            https://github.com/collective/icalendar
Source0:        https://pypi.io/packages/source/i/icalendar/%{module}-%{version}.tar.gz
Patch0:         hatch.patch
Patch1:         tzdata.patch
BuildArch:      noarch

%description
iCalendar specification (RFC 2445) defines calendaring format used
by many applications (Zimbra, Thunderbird and others). This
module is a parser/generator of iCalendar files for use with
Python. It follows the RFC 2445 (iCalendar) specification.
The aim is to make a package that is fully compliant with RFC 2445,
well designed, simple to use and well documented.

#------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Parser/generator of iCalendar files following the RFC 2445 for Python 3
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{module}
iCalendar specification (RFC 2445) defines calendaring format used
by many applications (Zimbra, Thunderbird and others). This
module is a parser/generator of iCalendar files for use with
Python 3. It follows the RFC 2445 (iCalendar) specification.
The aim is to make a package that is fully compliant with RFC 2445,
well designed, simple to use and well documented.

#------------------------------------------------------------------
%prep
%autosetup -p0 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files icalendar

%check
#%%{python3} -m pytest src/icalendar/tests


%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst docs
%license LICENSE.rst
%{_bindir}/icalendar
