%define pypi_name icnsutil

%bcond_with  tests

Name:           python-icnsutil
Version:        1.1.0
Release:        %mkrel 2
Summary:        Convert, extract, and compose .icns icon files
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/icnsutil
Source:         https://github.com/relikd/icnsutil/releases/download/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wheel)
%{?with_tests:
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-shutil) }

%description
A fully-featured python library to handle reading and writing .icns files.

%package -n python3-icnsutil
Summary:        Convert, extract, and compose .icns icon files files
Group:          Development/Python

%description -n python3-icnsutil
A fully-featured python3 library to handle reading and writing .icns files.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

# Add html icon viewer and inspector.
install -d %{buildroot}%{_datadir}/python3-%{pypi_name}
cp -rf ./html %{buildroot}%{_datadir}/python3-%{pypi_name}/html

# Adding scripts using xdg-open makes sense here?
for tool in inspector viewer; do
cat << EOF > ./icnsutil-"${tool}".py
#!/bin/sh
xdg-open  %{_datadir}/python3-%{pypi_name}/html/"${tool}".html
EOF
install -D -m755 ./icnsutil-"${tool}".py %{buildroot}%{_bindir}/icnsutil-"${tool}".py
done

# Avoid conflicting files with libicns:
pushd %{buildroot}%{_bindir}
mv icnsutil icnsutil.py
mv icnsutil-autosize icnsutil-autosize.py
popd

%check
%pyproject_check_import
%{?with_tests: %pytest tests || : }

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/icnsutil.py
%{_bindir}/icnsutil-autosize.py
%{_bindir}/icnsutil-inspector.py
%{_bindir}/icnsutil-viewer.py
%dir %{_datadir}/python3-%{pypi_name}
%{_datadir}/python3-%{pypi_name}/html
