%define		pypi_name PyICU
%define		module icu

Name:		python-%{module}
Version:	2.14
Release:	%mkrel 3
Summary:	Python extension wrapping the ICU C++ libraries
Group:		Development/Python
License:	MIT
URL:		https://pypi.org/project/PyICU/
Source0:	%{pypi_source}
Patch:      0001-icu-build-with-debug-symbols.patch
BuildRequires:	libicu-devel
BuildRequires:  python3-devel

#for tests
BuildRequires:  python3dist(funcsigs)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pluggy)
BuildRequires:  python3dist(attrs)
BuildRequires:  python3dist(py)
BuildRequires:  python3dist(six)

%description
PyICU is a python extension implemented in C++ that wraps the C/C++ ICU
library.

%package -n python3-%{module}
Summary:	Python 3 extension wrapping the ICU C++ libraries
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}
%{?python_provide:%python_provide python3-pyicu}

%description -n python3-%{module}
PyICU is a python extension implemented in C++ that wraps the C/C++ ICU
library.

%prep
%autosetup -p1 -n pyicu-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%check
%pytest

%install
%pyproject_install

# Remove tests
rm -rf %{buildroot}%{python3_sitearch}/tests

%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.md CHANGES CREDITS
