%global pypi_name imageio

Name:           python-%{pypi_name}
Version:        2.37.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        Python library for reading and writing image data
License:        BSD
URL:            https://imageio.github.io/
Source0:        https://pypi.io/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         prohibit_binaries_download.patch
BuildArch:      noarch

%description
Imageio is a Python library that provides an easy interface to read
and write a wide range of image data, including animated images,
volumetric data, and scientific formats.

%package -n python3-%{pypi_name}
Summary:        Python 3 library for reading and writing image data
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Imageio is a Python 3 library that provides an easy interface to read
and write a wide range of image data, including animated images,
volumetric data, and scientific formats.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md docs
%license LICENSE
