# Created by pyp2rpm-3.3.2
%global pypi_name importlib-metadata
%global srcname   importlib_metadata

%bcond_with docs
%bcond_with tests

Name:           python-%{pypi_name}
Version:        8.6.1
Release:        %mkrel 1
Summary:        Read metadata from Python packages
Group:          Development/Python
License:        ASL 2.0
URL:            https://importlib-metadata.readthedocs.io/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  python3dist(importlib-resources)
BuildRequires:  python3dist(rst.linker)
BuildRequires:  python3dist(sphinx)
%endif
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description
importlib_metadata is a library to access the metadata for a Python package.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 4.6.4

%description -n python3-%{pypi_name}
importlib_metadata is a library to access the metadata for a Python package.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build importlib_metadata/docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with tests}
%check
# Ignored file uses pytest_perf not available in Fedora / Mageia
# test_find_local tries to install setuptools from PyPI
%pytest --ignore exercises.py -k "not test_find_local"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%if %{with docs}
%doc html
%endif
