%global srcname inflection

Name:           python-%{srcname}
Version:        0.5.1
Release:        %mkrel 5
Summary:        Port of Ruby on Rails inflector to Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/jpvanhal/inflection
Source:         %{pypi_source}
BuildArch:      noarch

%description
Inflection is a string transformation library. It singularizes and pluralizes
English words, and transforms strings from CamelCase to underscored string.
Inflection is a port of Ruby on Rails’ inflector to Python.

%package     -n python3-%{srcname}
Summary:        Port of Ruby on Rails inflector to Python3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description -n python3-%{srcname}
Inflection is a string transformation library. It singularizes and pluralizes
English words, and transforms strings from CamelCase to underscored string.
Inflection is a port of Ruby on Rails’ inflector to Python3.

%prep
%autosetup -n %{srcname}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files inflection

%check
%python3 -m pytest -v

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst
