%define oname iniparse
%define with_tests 0

Name:		python-%oname
Version:	0.5
Release:	%mkrel 3
Summary:	INI parser for python
License:	MIT
Group:		Development/Python
Url:		https://github.com/candlepin/python-iniparse
Source:		https://github.com/candlepin/python-iniparse/archive/refs/tags/%{version}.tar.gz

BuildArch:	noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
%if 0%{?with_tests}
BuildRequires:	python3-test
%endif

%description
iniparse is a INI parser for Python which is:

 * Compatible with ConfigParser: Backward compatible implementations of
   ConfigParser, RawConfigParser, and SafeConfigParser are included that
   are API-compatible with the Python standard library. They pass all the
   unit tests in Python-2.4.4.
 * Preserves structure of INI files: Order of sections & options, indentation,
   comments, and blank lines are preserved as far as possible when data is
   updated.
 * More convenient: Values can be accessed using dotted notation
   (cfg.user.name), or using container syntax (cfg['user']['name']).

It is very useful for config files that are updated both by users and by
programs, since it is very disorienting for a user to have her config
file completely rearranged whenever a program changes it. iniparse also
allows making the order of entries in a config file significant, which is
desirable in applications like image galleries.

%package -n python3-iniparse
Summary:        Python 3 Module for Accessing and Modifying Configuration Data in INI files
Group:          Development/Python
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-iniparse
iniparse is an INI parser for Python 3 which is API compatible
with the standard library's configparser, preserves structure of INI
files (order of sections & options, indentation, comments, and blank
lines are preserved when data is updated), and is more convenient to
use.

%prep
%setup -q
chmod -c -x html/index.html


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files iniparse
rm -Rf %buildroot/%_prefix/share/doc/*

%if 0%{?with_tests}
%check
%{__python3} runtests.py
%endif

%files -n python3-iniparse -f %{pyproject_files}
%doc Changelog README.md html/*
%license LICENSE LICENSE-PSF


