%global pypi_name instructor

Name:           python-%{pypi_name}
Version:        0.6.1
Release:        %mkrel 3
Summary:        Structured outputs for llm
Group:          Development/Python
License:        MIT
URL:            https://github.com/jxnl/instructor
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros

%description
Instructor stands out for its simplicity, transparency, and user-centric
design. We leverage Pydantic to do the heavy lifting, and we've built a
simple, easy-to-use API on top of it by helping you manage validation
context, retries with Tenacity, and streaming Lists and Partial responses.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Instructor stands out for its simplicity, transparency, and user-centric
design. We leverage Pydantic to do the heavy lifting, and we've built a
simple, easy-to-use API on top of it by helping you manage validation
context, retries with Tenacity, and streaming Lists and Partial responses.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
 
%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/instructor
