Name:           python-interrogate
Version:        1.7.0
Release:        %mkrel 1
Summary:        Interrogate a codebase for docstring coverage
Group:          Development/Python

License:        MIT
URL:            https://interrogate.readthedocs.io
Source:         %{pypi_source interrogate}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
interrogate checks your code base for missing docstrings.
Documentation should be as important as code itself. And it should
live within code. Python standardized docstrings, allowing for
developers to navigate libraries as simply as calling help() on
objects, and with powerful tools like Sphinx, pydoc, and Docutils
to automatically generate HTML, LaTeX, PDFs, etc..}

%description %_description

%package -n     python3-interrogate
Summary:        %{summary}

%description -n python3-interrogate %_description

# Review which extras should be actually packaged
%pyproject_extras_subpkg -n python3-interrogate png


%prep
%autosetup -p1 -n interrogate-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,docs,png,tests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files interrogate


%check
%pytest


%files -n python3-interrogate -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/interrogate

