%define module intervaltree

Name:           python-%{module}
Version:        3.1.0
Release:        %mkrel 6
Summary:        A mutable, self-balancing interval tree for Python
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/intervaltree
Source0:        https://files.pythonhosted.org/packages/source/i/%{module}/%{module}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A mutable, self-balancing interval tree for Python. Queries may
be by point, by range overlap, or by range envelopment.

%package -n python3-%{module}
Summary:        A mutable, self-balancing interval tree for Python
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
A mutable, self-balancing interval tree for Python. Queries may
be by point, by range overlap, or by range envelopment.

%prep
%autosetup -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%license LICENSE.txt
%doc README.md CHANGELOG.md
%{python3_sitelib}/*
