# Created by pyp2rpm-3.3.8
%global pypi_name invoke

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        %mkrel 2
Summary:        Pythonic task execution
Group:          Development/Python
License:        BSD
URL:            https://pyinvoke.org
Source0:        https://github.com/pyinvoke/invoke/archive/%{version}/%{pypi_name}-%{version}.tar.gz
# Patch1:         0001-Fallback-to-system-lib-if-vendorized-one-does-not-ex.patch
# Patch2:         invoke-1.5.0-pytest-too-recent.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Invoke is a Python library for managing shell-oriented subprocesses and
organizing executable Python code into CLI-invokable tasks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Invoke is a Python library for managing shell-oriented subprocesses and
organizing executable Python code into CLI-invokable tasks.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled libs, import will fallback to system provided libs
rm -rvf invoke/vendor/*

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 sites/docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc html
%{_bindir}/inv
%{_bindir}/invoke
