%define pypi_name ipy
%define srcname IPy

Summary:        Python module for handling IPv4 and IPv6 Addresses and Networks
Name:           python-%{pypi_name}
Version:        1.01
Release:        %mkrel 5
License:        BSD
Group:          Development/Python
URL:            https://github.com/haypo/python-ipy/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
IPy is a Python module for handling IPv4 and IPv6 Addresses and Networks
in a fashion similar to perl's Net::IP and friends. The IP class allows
a comfortable parsing and handling for most notations in use for IPv4
and IPv6 Addresses and Networks.

%package -n python3-%{pypi_name}
Summary:        Python 3  module for handling IPv4 and IPv6 Addresses and Networks
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:	python3-IPy < 1.01

%description -n python3-%{pypi_name}
IPy is a Python 3 module for handling IPv4 and IPv6 Addresses and Networks
in a fashion similar to perl's Net::IP and friends. The IP class allows
a comfortable parsing and handling for most notations in use for IPv4
and IPv6 Addresses and Networks.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS ChangeLog README.rst
%license COPYING
