%define pypi_name ipywidgets

Name:           python-%{pypi_name}
Version:        8.1.5
Release:        %mkrel 2
Group:          Development/Python
Summary:        IPython HTML widgets for Jupyter

License:        BSD
URL:            https://ipython.org/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Interactive HTML widgets for Jupyter notebooks and the IPython kernel.

%package -n     python3-%{pypi_name}
Summary:        IPython HTML widgets for Jupyter (Python 3)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Interactive HTML widgets for Jupyter notebooks and the IPython kernel.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Jupyterlab_widgets is a new dependency in ipywidgets 7.6
# and it contains code which enables widgets in Jupyter lab
# not requiring any manual steps. But we don't have Jupyter lab
# in Fedora yet so we do not need this package at all.
sed -i "/jupyterlab_widgets/d" setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ipywidgets

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE
