%define module  irc
%define pypi_name  irc

Name:           python-%{module}
Summary:        IRC (Internet Relay Chat) protocol client library for Python
Version:        20.5.0
Release:        %mkrel 2
License:        Python
Group:          Networking/IRC
URL:            https://pypi.org/project/irc/
Source:         %{pypi_source}
BuildArch:      noarch

%description
This library is intended to encapsulate the IRC protocol at a quite low level.
It provides an event-driven IRC client framework. It has a fairly thorough
support for the basic IRC protocol, CTCP and DCC connections.

%package -n python3-%{module}
Summary:	IRC (Internet Relay Chat) protocol client library for Python 3
Group:		Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This library is intended to encapsulate the IRC protocol at a quite low level.
It provides an event-driven IRC client framework. It has a fairly thorough
support for the basic IRC protocol, CTCP and DCC connections.

%prep
%autosetup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files irc

rm -rf  %{buildroot}%{python3_sitelib}/docs/

%files -n python3-%{module} -f %{pyproject_files}
%doc NEWS.* README.*

