%global pypi_name itsdangerous

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        %mkrel 2
Summary:        Various helpers to pass trusted data to untrusted environments and back

Group:          Development/Python
License:        BSD
URL:            https://github.com/mitsuhiko/itsdangerous
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Various helpers to pass trusted data to untrusted environments and back

%package -n python3-%{pypi_name}
Summary:        Python 3 library for passing trusted data to untrusted environments
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Itsdangerous is a Python 3 library for passing data through untrusted
environments (for example, HTTP cookies) while ensuring the data is not
tampered with.

%prep
%autosetup -n %{pypi_name}-%{version}

# loosen reqs
sed -E -i -e 's/==/>=/g' requirements/tests.txt

%generate_buildrequires
%pyproject_buildrequires requirements/tests.txt

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files itsdangerous

%check
%pytest -Wdefault

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*
