%global pkg_name jaraco-classes
%global pypi_name jaraco.classes

%bcond_with doc

Name:           python-%{pkg_name}
Version:        3.4.0
Release:        %mkrel 2
Summary:        Utility functions for Python class constructs
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.classes/
Source0:        %{pypi_source %{pypi_name}}
BuildArch:      noarch
 
%description
Utility functions for Python class constructs.

%package -n python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-jaraco
Requires:       python3dist(six)

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest) >= 6
BuildRequires:  python3dist(more-itertools)
BuildRequires:  python3dist(setuptools) >= 56
BuildRequires:  python3dist(setuptools-scm[toml]) >= 3.4.1
BuildRequires:  pyproject-rpm-macros

%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Utility functions for Python class constructs.
	
%if %{with docs}
%package -n python-%{pkg_name}-doc
Summary:        jaraco-classes documentation
Group:          Development/Python
BuildRequires:  python3dist(pytest-checkdocs)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(jaraco.packaging) >= 3.2
BuildRequires:  python3dist(rst.linker) >= 1.9

%description -n python-%{pkg_name}-doc
Documentation for jaraco-classes
%endif

%prep
%autosetup -n jaraco.classes-%{version}
# Remove bundled egg-info
rm -rf %{pkg_name}.egg-info
# disable flake8 in the tests, need a newer version of pytest-flake8
# https://src.fedoraproject.org/rpms/python-pytest-flake8/pull-request/2
# AttributeError: 'Application' object has no attribute 'make_notifier'
sed -i 's/ --flake8//' pytest.ini
sed -i 's/ --black//' pytest.ini
sed -i 's/ --cov//' pytest.ini

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
%if %{with docs}
# generate html docs 
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install

%check
%pytest

%files -n python3-%{pkg_name}
%doc LICENSE
%doc README.rst
%{python3_sitelib}/jaraco/classes
%{python3_sitelib}/jaraco_classes-%{version}.dist-info

%if %{with docs}
%files -n python-%{pkg_name}-doc
%doc html
%doc LICENSE
%endif
