%global pypi_name jaraco_collections

%bcond_with docs
%bcond_with check

Name:           python-jaraco-collections
Version:        5.1.0
Release:        %mkrel 1
Summary:        Collection objects similar to those in stdlib by jaraco
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.collections
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
%{summary}.

%package -n     python3-jaraco-collections
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-jaraco

%description -n python3-jaraco-collections
%{summary}.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x testing}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%if %{with check}
%check
%pytest
%endif

%install
%pyproject_install
%pyproject_save_files jaraco

%files -n python3-jaraco-collections -f %{pyproject_files}
%doc LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
