%global pypi_name jaraco_context
%global pkg_name  jaraco-context

%bcond_with tests

Name:           python-%{pkg_name}
Version:        6.0.1
Release:        %mkrel 1
Summary:        Context managers by jaraco
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.context
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%if %{with tests}
# test requirements
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-checkdocs)
BuildRequires:  python3dist(pytest-flake8)
BuildRequires:  python3dist(pytest-black)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-mypy)
BuildRequires:  python3dist(pytest-enabler)
%endif

%description
%{summary}.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3dist(six)
Requires:       python3dist(jaraco.functools)
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
%{summary}.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with tests}
%check
%pytest
%endif

%install
%pyproject_install
%pyproject_save_files jaraco

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc LICENSE
%doc README.rst
