%global pypi_name jaraco-functools
%global srcname jaraco_functools

%bcond_with docs
%bcond_with check

Name:           python-%{pypi_name}
Version:        4.1.0
Release:        %mkrel 1
Summary:        Functools like those found in stdlib
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.functools
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Functools like those found in stdlib.

%package -n python3-%{pypi_name}
Summary:   %{summary}
Group:     Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Functools like those found in stdlib.

%if %{with docs}
%package -n python-%{pypi_name}-doc
Summary:        jaraco-functools documentation

BuildRequires:  python3dist(jaraco.packaging) >= 3.2
BuildRequires:  python3dist(rst.linker) >= 1.9
BuildRequires:  python3dist(sphinx)

%description -n python-%{pypi_name}-doc
Documentation for jaraco-functools.
%endif

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x testing}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name}
%doc LICENSE
%doc README.rst
%{python3_sitelib}/jaraco/functools*
%{python3_sitelib}/%{srcname}-%{version}.dist-info

%if %{with docs}
%files -n python-%{pypi_name}-doc
%doc html
%doc LICENSE
%endif
