%global pypi_name jaraco-packaging
%global srcname   jaraco_packaging

# This package is interdependant on rst-linker to build docs
# will build both with out docs and add docs in later
%bcond_with docs

Name:           python-%{pypi_name}
Version:        10.2.3
Release:        %mkrel 1
Summary:        Tools to supplement packaging Python releases
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/jaraco.packaging/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Tools for packaging.dependency_tree A dist-utils command for reporting the
dependency tree as resolved by setup-tools. Use after installing a package.show
A dist-utils command for reporting the attributes of a distribution, such as
the version or author name.

%package -n python3-jaraco
Summary:        A Parent package for jaraco's parent dir and init file
%{?python_provide:%python_provide python3-jaraco}

%description -n python3-jaraco
A Parent package for jaraco's parent dir and init file.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-jaraco

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Tools for packaging.dependency_tree A dist-utils command for reporting the
dependency tree as resolved by setup-tools. Use after installing a package.show
A dist-utils command for reporting the attributes of a distribution, such as
the version or author name.

%if %{with docs}
%package -n python-%{pypi_name}-doc
Summary:        jaraco.packaging documentation
Group:          Development/Python
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(rst-linker)

%description -n python-%{pypi_name}-doc
Documentation for jaraco.packaging
%endif

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
# This package requires itself to build docs :/
PYTHONPATH=./ sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install


%files -n python3-jaraco
%doc LICENSE
%doc README.rst
%{python3_sitelib}/jaraco
%exclude %{python3_sitelib}/jaraco/packaging

%files -n python3-%{pypi_name}
%doc LICENSE
%doc README.rst
%{python3_sitelib}/jaraco/packaging
%{python3_sitelib}/%{srcname}-%{version}.dist-info

%if %{with docs}
%files -n python-%{pypi_name}-doc
%doc LICENSE
%doc html
%endif
