%global pypi_name jaraco_text
%global pkg_name  jaraco-text

%bcond_with docs
%bcond_with check

Name:           python-%{pkg_name}
Version:        4.0.0
Release:        %mkrel 2
Summary:        Module for text manipulation
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.text
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This package provides handy routines for dealing with text, such as wrapping,
substitution, trimming, stripping, prefix and suffix removal, line
continuation, indentation, comment processing, identifier processing, values
parsing, case insensitive comparison, and more.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
This package provides handy routines for dealing with text, such as wrapping,
substitution, trimming, stripping, prefix and suffix removal, line
continuation, indentation, comment processing, identifier processing, values
parsing, case insensitive comparison, and more.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x testing}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%if %{with check}
%check
%pytest
%endif

%install
%pyproject_install
%pyproject_save_files jaraco

%files -n python3-%{pkg_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
