%global srcname jaraco.tidelift
%global pypi_name jaraco-tidelift

%bcond_with docs
%bcond_with check

Name:           python-%{pypi_name}
Version:        1.5.1
Release:        %mkrel 2
Summary:        Tools for Tidelift by jaraco
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.tidelift
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Tools for Tidelift by jaraco.

%package -n python3-%{pypi_name}
Summary:   %{summary}
Group:     Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Tools for Tidelift by jaraco.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x testing} %{?with_docs:-x docs}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files jaraco

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
