# Created by pyp2rpm-3.3.8
%global pypi_name jarowinkler
%global pypi_version 2.0.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 2
Summary:        library for fast approximate string matching using Jaro and Jaro-Winkler similarity
Group:          Development/Python
License:        MIT
URL:            https://github.com/maxbachmann/JaroWinkler
Source0:        %{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-hypothesis

%description
JaroWinkler is a library to calculate the Jaro and Jaro-Winkler similarity.
It is easy to use, is far more performant than all alternatives and is
designed to integrate seemingless with RapidFuzz.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
JaroWinkler is a library to calculate the Jaro and Jaro-Winkler similarity.
It is easy to use, is far more performant than all alternatives and is 
designed to integrate seemingless with RapidFuzz.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jarowinkler

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

