%define pypi_name	jedi

Name:		python-%{pypi_name}
Version:	0.19.2
Release:	%mkrel 2
Summary:	An auto completion tool for Python that can be used for text editors
Group:		Development/Python
License:	LGPLv3
URL:		https://jedi.readthedocs.org/en/latest/index.html
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
Jedi is an auto completion tool for Python. It works. With and without syntax
errors. Sometimes it sucks, but that's normal in dynamic languages. But it
sucks less than other tools. It understands almost all of the basic Python
syntax elements including many built-ins.

Jedi uses a very simple interface to connect with IDE's. As an reference, there
is a VIM implementation, which uses Jedi's auto completion. However, I
encourage you to use Jedi in your IDEs. Start writing plugins! If there are
problems with licensing, just contact me.

%package -n	python3-%{pypi_name}
Summary:	An auto completion tool for Python 3 that can be used for text editors
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
Jedi is an auto completion tool for Python 3. It works. With and without syntax
errors. Sometimes it sucks, but that's normal in dynamic languages. But it
sucks less than other tools. It understands almost all of the basic Python
syntax elements including many built-ins.

Jedi uses a very simple interface to connect with IDE's. As an reference, there
is a VIM implementation, which uses Jedi's auto completion. However, I
encourage you to use Jedi in your IDEs. Start writing plugins! If there are
problems with licensing, just contact me.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jedi

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt
