Name:           python-jenkins
Version:        1.8.2
Release:        %mkrel 3
Summary:        Python bindings for the remote Jenkins API
Group:          Development/Python
License:        BSD
URL:            https://python-jenkins.readthedocs.org/en/latest
Source0:        %{pypi_source}
BuildArch:      noarch
# for docs
BuildRequires:  python3dist(sphinx)

%description
Python Jenkins is a library for the remote API of the Jenkins continuous
integration server. It is useful for creating and managing jobs as well as
build nodes.

%package -n python3-jenkins
Summary:        %{summary}
%{?python_provide:%python_provide python3-jenkins}

%description -n python3-jenkins
Python Jenkins is a library for the remote API of the Jenkins continuous
integration server. It is useful for creating and managing jobs as well as
build nodes.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
export PBR_VERSION=%{version}
%pyproject_wheel

PYTHONPATH=$(pwd) sphinx-build -b html -d doc/build/doctrees doc/source doc/build/html
rm -f doc/build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files jenkins

%files -n python3-jenkins -f %{pyproject_files}
%doc AUTHORS ChangeLog README.rst doc/build/html
%license COPYING
