%define fname	jenkinsapi

Name:		python-jenkinsapi
Summary:	Jenkins API for Python
Version:	0.3.13
Release:	%mkrel 3
Source0:	https://pypi.io/packages/source/j/%{fname}/%{fname}-%{version}.tar.gz
# Fix console scripts in pyproject.toml 
Patch0:		https://github.com/pycontribs/jenkinsapi/commit/ec2a23ff4d2ff539de34810da0a4189c6be1eb41.patch
Patch1:		0001-fix-requirements.patch
URL:		https://pypi.python.org/pypi/jenkinsapi/
Group:		Development/Python
License:	MIT
BuildArch:	noarch

%description
Provide a Python API for Jenkins.

%package -n python3-jenkinsapi
Summary:	Jenkins API for Python 3
Group:		Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:	python3-setuptools
%{?python_provide:%python_provide python3-%{fname}}

%description -n python3-jenkinsapi
Provide a Python 3 API for Jenkins.

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
mkdir -p requirements
touch requirements/dev-requirements.txt
# pyproject_wheel macro doesn't build script in /bin
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jenkinsapi

%files -n python3-jenkinsapi -f %{pyproject_files}
%doc README.rst
%{_bindir}/jenkins_invoke
%{_bindir}/jenkinsapi_version
