%global pypi_name jinja2

%bcond_with check

# jinja requires itself ( as python-sphinx use it ) to build doc
%bcond_with docs

Name:           python-%{pypi_name}
Summary:	Python template engine
Version:	3.1.6
Release:	%mkrel 1
License:	BSD
Group:		Development/Python
Url:		http://jinja.pocoo.org/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros

%description
Jinja is a fast, expressive, extensible templating engine. Special placeholders
in the template allow writing code similar to Python syntax. Then the template
is passed data to render the final document.

%package -n python3-%{pypi_name}
Summary:	General purpose template engine
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Jinja is a fast, expressive, extensible templating engine. Special placeholders
in the template allow writing code similar to Python syntax. Then the template
is passed data to render the final document.

%pyproject_extras_subpkg -n python3-jinja2 i18n

%prep
%autosetup -n %{pypi_name}-%{version} -p1

sed -i -e 's/==/>=/g' requirements/*.txt

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t} %{?with_docs:requirements/docs.txt}

%build
%pyproject_wheel

%if %{with docs}
# doc build
make -C docs html PYTHONPATH=$(pwd)/src SPHINXBUILD=sphinx-build-3
# remove hidden file
rm -rvf docs/_build/html/.buildinfo
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*
%if %{with docs}
%doc docs/_build/html
%endif
%doc docs/examples
