%global pypi_name jiter

Name:           python-%{pypi_name}
Version:        0.8.2
Release:        %mkrel 2
Summary:        Fast iterable JSON parser
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jiter/
Source0:        %{pypi_source}
Patch1:         jiter-pyo3.patch
BuildRequires:  python3-devel
BuildRequires:	cargo-rpm-macros >= 24

%description
This is a standalone version of the JSON parser used in pydantic-core. The
recommendation is to only use this package directly if you do not use pydantic.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a standalone version of the JSON parser used in pydantic-core. The
recommendation is to only use this package directly if you do not use pydantic.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
%cargo_prep
cd crates/jiter
%cargo_prep
cd ../jiter-python
%cargo_prep

%generate_buildrequires
%pyproject_buildrequires
%cargo_generate_buildrequires
cd crates/jiter
%cargo_generate_buildrequires -t
cd ../jiter-python
%cargo_generate_buildrequires -t

%build
export RUSTFLAGS="%{build_rustflags}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jiter

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
