%global pypi_name joblib

%global common_description						\
Joblib is a set of tools to provide lightweight pipelining in Python.	\
In particular, joblib offers:						\
 * transparent disk-caching of the output values and lazy		\
   re-evaluation (memorize pattern)					\
 * easy simple parallel computing					\
 * logging and tracing of the execution

# Sources from PYPI doesn't have all needed files for doc build
%bcond_with doc

Name:          python-%{pypi_name}
Version:       1.4.2
Release:       %mkrel 2
Summary:       Lightweight pipelining: using Python functions as pipeline jobs
License:       BSD
Group:         Development/Python

URL:           https://pypi.org/project/joblib/#files
Source0:       %{pypi_source}
BuildArch:     noarch


%description
%{common_description}.


%package -n python3-%{pypi_name}
Summary:       %{summary}
BuildArch:     noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires: pkgconfig(python3)
BuildRequires:  python3-devel

# for docs
%if %{with doc}
BuildRequires: python3dist(sphinx)
BuildRequires: python3dist(sphinx-gallery)
BuildRequires: python3dist(sphinx-rtd-theme)
BuildRequires: python3dist(numpydoc)
%endif

Requires:      python3-numpy

%description -n python3-%{pypi_name}
%{common_description}.


%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
PYTHONPATH=$(pwd) sphinx-build -b html doc doc/_build/html/
rm -rf doc/_build/html/.buildinfo
%endif

%install
%pyproject_install
%pyproject_save_files joblib

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%if %{with doc}
%doc doc/_build/html/
%endif
