%global pypi_name josepy

Name:           python-%{pypi_name}
Version:        2.0.0
Release:        %mkrel 1
Summary:        JOSE protocol implementation in Python
License:        ASL 2.0
Group:          Development/Python
URL:            https://pypi.org/project/josepy
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
JOSE protocol implementation in Python using cryptography.

%package -n     python3-%{pypi_name}
Summary:        JOSE protocol implementation in Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
JOSE protocol implementation in Python using cryptography.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x docs

%build
%pyproject_wheel

# Build documentation
PYTHONPATH=$(pwd)/src make -C docs man html SPHINXBUILD=sphinx-build
rm -rf docs/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

install -pD -t %{buildroot}%{_mandir}/man1 docs/_build/man/*.1*

# handle in files section
rm -rf %{buildroot}%{python3_sitelib}/CHANGELOG.rst
rm -rf %{buildroot}%{python3_sitelib}/CONTRIBUTING.md

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc docs/_build/html/
%doc README.rst CHANGELOG.rst CONTRIBUTING.md
%{_bindir}/jws
%{_mandir}/man1/*
