%define pypi_name JPype1
%define debug_package %{nil}

Summary:	Allow python programs full access to java class libraries
Name:		python-jpype
Version:	1.5.0
Release:	%mkrel 2
License:	BSD
Group:		Development/Python
Url:		https://github.com/jpype-project/jpype
Source0:	%{pypi_source}
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)

BuildRequires:	java-devel

#docs
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3dist(mock)

%description
JPype is a Python module to provide full access to Java from within Python.
It allows Python to make use of Java only libraries, exploring and
visualization of Java structures, development and testing of Java libraries,
scientific computing, and much more. By gaining the best of both worlds using
Python for rapid prototyping and Java for strong typed production code, JPype
provides a powerful environment for engineering and code development.

%package -n python3-jpype
Summary:	Allow python programs full access to java class libraries
Group:		Development/Python
%{?python_provide:%python_provide python3-jpype}

%description -n python3-jpype
JPype is a Python module to provide full access to Java from within Python.
It allows Python to make use of Java only libraries, exploring and
visualization of Java structures, development and testing of Java libraries,
scientific computing, and much more. By gaining the best of both worlds using
Python for rapid prototyping and Java for strong typed production code, JPype
provides a powerful environment for engineering and code development.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
export JAVA_HOME=/usr/lib/jvm/java
%pyproject_wheel

# docs
#make -C doc html
#rm -rf doc/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files jpype

%files -n python3-jpype -f %{pyproject_files}
%license LICENSE
%doc *.rst
#doc doc/_build/html
%{python3_sitearch}/*.so
%{python3_sitearch}/*.jar
