%define pypi_name jsonpatch

Name:           python-jsonpatch
Version:        1.33
Release:        %mkrel 3
Group:          Development/Python
Summary:        Apply JSON-Patches (RFC 6902)

License:        Modified BSD License
URL:            https://github.com/stefankoegl/python-json-patch
Source0:        https://pypi.io/packages/source/j/jsonpatch/jsonpatch-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Library to apply JSON Patches according to RFC 6902.

%package -n     python3-%{pypi_name}
Summary:        Apply JSON-Patches (RFC 6902)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Library to apply JSON Patches according to RFC 6902.

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jsonpatch

# fix shebangs
%{py3_shebang_fix} %{buildroot}%{_bindir}/jsondiff %{buildroot}%{_bindir}/jsonpatch

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/jsondiff
%{_bindir}/jsonpatch
