%global pypi_name jsonrpclib
%global upstream jsonrpclib-pelix

Name:           python-%{pypi_name}
Version:        0.4.3.2
Release:        %mkrel 4
Group:          Development/Python
Summary:        This project is an implementation of the JSON-RPC v2.0 specification
License:        ASL2.0
URL:            https://github.com/tcalmant/jsonrpclib/
Source0:        https://pypi.python.org/packages/source/j/%{upstream}/%{upstream}-%{version}.tar.gz
BuildArch:      noarch

%description
This library is an implementation of the JSON-RPC specification. It supports
both the original 1.0 specification, as well as the new (proposed) 2.0
specification, which includes batch submission, keyword arguments, etc.

This is a patched version of the original jsonrpclib project by Josh Marshall.

%package -n python3-%{pypi_name}
Summary:        This project is an implementation of the JSON-RPC v2.0 specification
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library is an implementation of the JSON-RPC specification. It supports
both the original 1.0 specification, as well as the new (proposed) 2.0
specification, which includes batch submission, keyword arguments, etc.

This is a patched version of the original jsonrpclib project by Josh Marshall.

%prep
%setup -q -n %{upstream}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jsonrpclib

%files -n python3-%{pypi_name} -f %{pyproject_files}
