%global pypi_name jsonschema-specifications
%global srcname jsonschema_specifications

%bcond_without check

Name:           python-%{pypi_name}
Version:        2024.10.1
Release:        %mkrel 1
Summary:        The JSON Schema meta-schemas and vocabularies, exposed as a Registry
Group:          Development/Python

License:        MIT
URL:            https://github.com/python-jsonschema/jsonschema-specifications
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
JSON support files from the JSON Schema Specifications (metaschemas,
vocabularies, etc.), packaged for runtime access from Python as a referencing-
based Schema Registry.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
JSON support files from the JSON Schema Specifications (metaschemas,
vocabularies, etc.), packaged for runtime access from Python as a referencing-
based Schema Registry.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
export DONT_CLEANUP=true
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pyproject_check_import
%if %{with check}
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license COPYING
