%global pypi_name jsonschema

Name:           python-%{pypi_name}
Version:        4.23.0
Release:        %mkrel 2
Summary:        An implementation of JSON Schema validation for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/jsonschema
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
jsonschema is JSON Schema validator currently based on
http://tools.ietf.org/html/draft-zyp-json-schema-03

%package -n python3-%{pypi_name}
Summary:	An implementation of JSON Schema validation for Python 3
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
jsonschema is JSON Schema validator currently based on
http://tools.ietf.org/html/draft-zyp-json-schema-03

%pyproject_extras_subpkg -n python3-%{pypi_name} format format-nongpl

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
# don't clean %%{python3_sitelib}/jsonschema/schemas/vocabularies/*/core
export DONT_CLEANUP=1
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/jsonschema
