%global pypi_name jupyter-server
%global srcname   jupyter_server

Name:           python-%{pypi_name}
Version:        2.15.0
Release:        %mkrel 2
Summary:        The Jupyter Server
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/jupyter/jupyter_server
Source:         %{pypi_source}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
The Jupyter Server is a web application that allows you to create and
share documents that contain live code, equations, visualizations, and
explanatory text. The Notebook has support for multiple programming
languages, sharing, and interactive widgets.

%package -n python3-%{pypi_name}
Summary:        The Jupyter Server

%description -n python3-jupyter-server
The Jupyter Server is a web application that allows you to create and
share documents that contain live code, equations, visualizations, and
explanatory text. The Notebook has support for multiple programming
languages, sharing, and interactive widgets.

%prep
%autosetup -n %{srcname}-%{version} -p1
# remove garbage
rm -f %{_builddir}/jupyterlab_server-2.27.3/jupyterlab_server/test_data/schemas/@jupyterlab/shortcuts-extension/package.json.orig
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files  -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/jupyter-server
