%global pypi_name jupyterlab-server
%global srcname jupyterlab_server

Name:           python-%{pypi_name}
Version:        2.27.3
Release:        %mkrel 2
Summary:        Server components for JupyterLab and JupyterLab-like applications
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/jupyterlab/jupyterlab_server
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-setuptools

%description
This package is used to launch an application built using JupyterLab.

%package -n python3-%{pypi_name}
Summary:        Server components for JupyterLab and JupyterLab-like applications
Group:          Development/Python
%{?python_provide:%python_provide python3-jupyter_jupyterlab_server}
%{?python_provide:%python_provide python3-jupyter-jupyterlab-server}
%{?python_provide:%python_provide python3-jupyterlab-server}
%{?python_provide:%python_provide python3-jupyterlab_server}
%{?python_provide:%python_provide python3-jupyter_jupyterlab_launcher}
%{?python_provide:%python_provide python3-jupyter-jupyterlab-launcher}
Provides:       jupyter-jupyterlab-launcher = %{version}-%{release}
Provides:       jupyter-jupyterlab-server = %{version}-%{release}
Obsoletes:      jupyter-jupyterlab-server < 2.18.0

%description -n python3-%{pypi_name}
This package is used to launch an application built using JupyterLab.

%prep
%autosetup -p1 -n jupyterlab_server-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
#don't clean .orig files
export DONT_CLEANUP=1
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
