%global pypi_name jupyterlab

%bcond_with check

Name:           python-%{pypi_name}
Version:        4.3.4
Release:        %mkrel 2
Summary:        Environment for interactive and reproducible computing
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/jupyterlab/jupyterlab
Source0:        %{pypi_source}
BuildArch:	noarch
BuildRequires:  jupyter-jupyterlab-filesystem
BuildRequires:  jupyter-jupyterlab-server
BuildRequires:  jupyter-notebook-filesystem
BuildRequires:  nodejs >= 10
BuildRequires:  npm >= 10
BuildRequires:  pyproject-rpm-macros

%description
An extensible environment for interactive and reproducible computing,
based on the Jupyter Notebook and Architecture.

JupyterLab is the next-generation user interface for Project Jupyter
offering all the familiar building blocks of the classic Jupyter
Notebook (notebook, terminal, text editor, file browser, rich outputs,
etc.).

%package     -n python3-%{pypi_name}
Summary:        Environment for interactive and reproducible computing
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
An extensible environment for interactive and reproducible computing,
based on the Jupyter Notebook and Architecture.

JupyterLab is the next-generation user interface for Project Jupyter
offering all the familiar building blocks of the classic Jupyter
Notebook (notebook, terminal, text editor, file browser, rich outputs,
etc.).

%package     -n jupyter-%{pypi_name}
Summary:        Environment for interactive and reproducible computing
Requires:       python3-jupyter-core
Requires:       jupyter-jupyterlab-filesystem
Requires:       jupyter-jupyterlab-server >= 1.0.0
Requires:       nodejs >= 10
Requires:       npm >= 10
Requires:       python3-jupyterlab = %{version}
Provides:       jupyter-jupyterlab-discovery = 6
Obsoletes:      jupyter-jupyterlab-discovery < 6

%description -n jupyter-%{pypi_name}
An extensible environment for interactive and reproducible computing,
based on the Jupyter Notebook and Architecture.

JupyterLab is the next-generation user interface for Project Jupyter
offering all the familiar building blocks of the classic Jupyter
Notebook (notebook, terminal, text editor, file browser, rich outputs,
etc.).

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test}

%build
%pyproject_wheel

%install
export DONT_CLEANUP=true
%pyproject_install
%pyproject_save_files jupyterlab

%{jupyter_move_config}

chmod a+x %{buildroot}%{python3_sitelib}/jupyterlab/node-version-check.js
chmod a+x %{buildroot}%{python3_sitelib}/jupyterlab/staging/yarn.js

%if %{with check}
%check
export PYTHONDONTWRITEBYTECODE=1
# Disable build checks that pull in remote resources with npm
pytest %{buildroot}%{python3_sitelib}/jupyterlab/ -k \
    'not (test_build or test_clear or test_build_check or test_build_custom or test_uninstall_core_extension or test_install_and_uninstall_pinned or test_install_and_uninstall_pinned_folder or test_install_extension or test_load_extension)'
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%files -n jupyter-%{pypi_name}
%license LICENSE
%{_bindir}/jlpm
%{_bindir}/jupyter-lab
%{_bindir}/jupyter-labhub
%{_bindir}/jupyter-labextension
%config %{_sysconfdir}/jupyter/jupyter_notebook_config.d/jupyterlab.json
%config %{_sysconfdir}/jupyter/jupyter_server_config.d/jupyterlab.json
%{_jupyter_lab_dir}
%{_datadir}/applications/jupyterlab.desktop
%{_iconsdir}/hicolor/scalable/apps/jupyterlab.svg
