Name:           python-jwcrypto
Version:        1.5.6
Release:        %mkrel 2
Summary:        Implementation of JOSE Web standards
Group:          Development/Python

License:        LGPLv3
URL:            https://github.com/latchset/jwcrypto
Source:         %{pypi_source jwcrypto}

BuildArch:      noarch
BuildRequires:  python3-devel

%description
An implementation of the JOSE Working Group documents:

RFC 7515 - JSON Web Signature (JWS)
RFC 7516 - JSON Web Encryption (JWE)
RFC 7517 - JSON Web Key (JWK)
RFC 7518 - JSON Web Algorithms (JWA)
RFC 7519 - JSON Web Token (JWT)
RFC 7520 - Examples of Protecting Content Using JSON Object Signing and Encryption (JOSE)


%package -n     python3-jwcrypto
Summary:        %{summary}

%description -n python3-jwcrypto
An implementation of the JOSE Working Group documents:

RFC 7515 - JSON Web Signature (JWS)
RFC 7516 - JSON Web Encryption (JWE)
RFC 7517 - JSON Web Key (JWK)
RFC 7518 - JSON Web Algorithms (JWA)
RFC 7519 - JSON Web Token (JWT)
RFC 7520 - Examples of Protecting Content Using JSON Object Signing and Encryption (JOSE)

%prep
%autosetup -p1 -n jwcrypto-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jwcrypto

# handle docs in files section
rm -rf %{buildroot}%{_datadir}/doc/jwcrypto/

%check
%tox

%files -n python3-jwcrypto -f %{pyproject_files}
%license LICENSE
%doc README.md
