%global upname kapteyn

# we don't want to provide private python extension libs
%global __provides_exclude_from ^(%{python3_sitearch}/.*\\.so)$

Name:    python-kapteyn
Version: 3.4.2
Release: %mkrel 2
Summary: The Kapteyn Python Astronomy package
License: BSD
Group:   Sciences/Astronomy

URL:     https://www.astro.rug.nl/software/kapteyn/
Source0: https://gitlab.astro.rug.nl/kapware/kapteyn-package/-/archive/v%{version}/kapteyn-package-v%{version}.tar.bz2
Patch0:  0001-kapteyn-3.4.2-Unbundle-wcslib.patch
Patch1:  0001-kapteyn-3.4.2-fix-linking.patch
# Patch2:  python-kapteyn-numpy_NO_DEPRECATED_API-NPY_1_7_API_VERSION.patch

BuildRequires: pkgconfig(wcslib)

%description
The Kapteyn Package is a collection of Python modules and applications
developed by the computer group of the Kapteyn Astronomical Institute,
University of Groningen, The Netherlands. The purpose of the package is
to provide tools for the development of astronomical applications with Python.

%package -n python3-%{upname}
Summary:       Python3 implementation of the Kapteyn package
%{?python_provide:%python_provide python3-%{upname}}
BuildRequires: pkgconfig(python3)
BuildRequires: python3dist(cython)
BuildRequires: python3-numpy-devel
BuildRequires: python3-sphinx
BuildRequires: python3-matplotlib

%description -n python3-%{upname}
The Kapteyn Package is a collection of Python3 modules and
applications developed by the computer group of the Kapteyn
Astronomical Institute, University of Groningen, The Netherlands. The
purpose of the package is to provide tools for the development of
astronomical applications with Python3.

%prep
%setup -n %{upname}-package-v%{version} -q
%autopatch -p1

# Unbundle wcslib
%__rm -rf src/wcslib-4.24

%build
CFLAGS="%{optflags} -Wno-deprecated-declarations -Wno-cpp  -Wno-int-conversion" \
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files kapteyn

find %{buildroot}%{python3_sitearch}/kapteyn -name "*.so" |xargs chmod 755

%files -n python3-%{upname} -f %{pyproject_files}
%doc CHANGES.txt LICENSE.txt README.md
