%global pypi_name kerberos

Name:           python-%{pypi_name}
Version:        1.3.1
Release:        %mkrel 5
Summary:        A high-level wrapper for Kerberos (GSSAPI) operations

Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/kerberos
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  pkgconfig(krb5)

%global desc This Python package is a high-level wrapper for Kerberos (GSSAPI) operations.\
The goal is to avoid having to build a module that wraps the entire\
Kerberos framework, and instead offer a limited set of functions that do what\
is needed for client/server Kerberos authentication based on\
<https://www.ietf.org/rfc/rfc4559.txt>.

%description
%{desc}

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Obsoletes:      python3-pykerberos < 1.3.1

%description -n python3-%{pypi_name}
%{desc}

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files kerberos

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
