%define pypi_name keyring

# Disable as we have too new sphinx
%bcond_with docs

# Disable as don't have
# - pytest-black
# - pytest-ruff
%bcond_with check

Name:		python-%{pypi_name}
Summary:	Python library to access the system keyring service
Version:	25.6.0
Release:	%mkrel 2
Group:		Development/Python
License:	Python
URL:		https://pypi.org/project/keyring/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
The Python keyring lib provides a easy way to access the system keyring
service from python. It can be used in any application that needs safe
password storage.

This package only provides file-based pseudo-keyrings. To interface with
gnome-keyring or KWallet, please install one of python-keyring-gnome or
python-keyring-kwallet.

%package -n python3-%{pypi_name}
Summary:	Python 3 library to access the system keyring service
Group:		Development/Python
%{?python_provide:%python_provide python3-keyring}

%description -n python3-%{pypi_name}
The Python 3 keyring lib provides a easy way to access the system keyring
service from python 3. It can be used in any application that needs safe
password storage.

This package only provides file-based pseudo-keyrings. To interface with
gnome-keyring or KWallet, please install one of python3-keyring-gnome or
python3-keyring-kwallet.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x testing}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files keyring

# we don't ship tests they need a test environment
rm -rf %{buildroot}%{python3_sitelib}/%{pypi_name}/tests/

%if %{with check}
%check
%pytest
%endif

%files -n python3-keyring -f %{pyproject_files}
%license LICENSE
%doc README.rst NEWS.rst SECURITY.md
%{_bindir}/keyring
