%define pypi_name keyrings.alt

Name:           python-%{pypi_name}
Version:        4.0.2
Release:        %mkrel 5
Summary:        Alternate keyring implementations
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/keyrings.alt
Source0:        https://files.pythonhosted.org/packages/62/a4/cfa759dc4a5113d653a1dfdbd61011e88fe7abb7a476c8ca10f37e2a789c/keyrings.alt-%{version}.tar.gz
BuildArch:      noarch

%description
Alternate keyring backend implementations for use with the keyring package.

Keyrings in this package may have security risks or other implications. These
backends were extracted from the main keyring project to make them available
for those who wish to employ them, but are discouraged for general production
use. Include this module and use its backends at your own risk.

%package -n     python3-%{pypi_name}
Summary:        Alternate keyring implementations
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description -n python3-%{pypi_name}
Alternate keyring backend implementations for use with the keyring package.

Keyrings in this package may have security risks or other implications. These
backends were extracted from the main keyring project to make them available
for those who wish to employ them, but are discouraged for general production
use. Include this module and use its backends at your own risk.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files keyrings

%check
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
