%define module			keystoneauth1

%define enable_tests_python3	0

Name:		python-%{module}
Version:	5.8.0
Release:	%mkrel 2
Summary:	Authentication Library for OpenStack Clients
License:	ASL 2.0
Group:		Development/Python
URL:		https://pypi.org/project/%{module}
Source0:	https://pypi.io/packages/source/k/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
Keystoneauth provides a standard way to do authentication and service requests
within the OpenStack ecosystem. It is designed for use in conjunction with
the existing OpenStack clients and for simplifying the process of writing
new clients.

%package -n	python3-%{module}
Summary:	Authentication Library for OpenStack Identity
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(six)
BuildRequires:	python3dist(pbr)
%{?python_provide:%python_provide python3-%{module}}

# test requirements
%if %{enable_tests_python3}
BuildRequires:	python3dist(tox)
BuildRequires:	python3dist(testrepository)
BuildRequires:	python3dist(oslotest)
BuildRequires:	python3dist(iso8601)
BuildRequires:	python3dist(mock)
BuildRequires:	python3dist(stevedore)
BuildRequires:	python3dist(oslo.config)
%endif

%description -n	python3-%{module}
Keystoneauth provides a standard way to do authentication and service requests
within the OpenStack ecosystem. It is designed for use in conjunction with
the existing OpenStack clients and for simplifying the process of writing
new clients.

%prep
%setup -q -n %{module}-%{version}

# Let RPM handle the dependencies
rm -f test-requirements.txt requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files keystoneauth1

%check
%if %{enable_tests_python3}
# cleanup testrepository
rm -rf .testrepository
%tox
%endif


%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst
%license LICENSE
