%define srcname pykickstart

# Disable tests by default because they fail to run inside mock builds
# at the moment, but can run locally.  To build and run tests, do:
#     rpmbuild -ba --with runtests python-kickstart.spec
%bcond_with runtests

Name:		python-kickstart
Version:	3.52
Release:	%mkrel 2
License:	GPLv2 and MIT
Group:		Development/Python
Summary:	Python library and tools for manipulating kickstart files
URL:		https://fedoraproject.org/wiki/pykickstart
Source0:	https://github.com/pykickstart/pykickstart/archive/refs/tags/r%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	gettext
BuildRequires:	make
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-requests
BuildRequires:	python3-six

%if %{with runtests}
BuildRequires:	python3-coverage
BuildRequires:	python3-pytest
%endif

%description
Python library and tools for manipulating kickstart files

# Pykickstart utilities
%package utils
Summary:	Python utilities for manipulating kickstart files
Group:		Development/Python
# Fedora package name for this subpackage...
Provides:       pykickstart = %{version}-%{release}
Requires:	python3-kickstart = %{version}-%{release}

%description utils
Python utilities for manipulating kickstart files.

# Python 3 library
%package -n python3-kickstart
Summary:	Python 3 library for manipulating kickstart files
Group:		Development/Python
%{?python_provide:%python_provide python3-kickstart}
%{?python_provide:%python_provide python3-pykickstart}
Provides:       python3-pykickstart = %{version}-%{release}
Requires: 	python3-six
Requires: 	python3-requests

%description -n python3-kickstart
Python 3 library for manipulating kickstart files.
The binaries are found in the python-kickstart-utils package.

%prep
%autosetup -n %{srcname}-r%{version} -p1


%build
make PYTHON=%{__python3}


%install
%make_install PYTHON=%{__python3}

%if %{with runtests}
%check
make PYTHON=%{__python3} test
%endif

%files utils
%license COPYING
%doc README.rst
%doc data/kickstart.vim
%{_bindir}/ksvalidator
%{_bindir}/ksflatten
%{_bindir}/ksverdiff
%{_bindir}/ksshell
%{_mandir}/man1/*

%files -n python3-kickstart
%doc docs/2to3
%doc docs/programmers-guide
%doc docs/kickstart-docs.rst
%{python3_sitelib}/pykickstart/
%{python3_sitelib}/pykickstart*.egg-info
