%define with_html_doc 0

Name:           python-kitchen
Version:        1.2.6
Release:        %mkrel 7
Summary:        Small, useful pieces of code to make python coding easier

Group:          Development/Python
License:        LGPLv2+
URL:            https://pypi.python.org/pypi/kitchen/
Source0:        https://pypi.python.org/packages/source/k/kitchen/kitchen-%{version}.tar.gz
BuildArch:      noarch
%if 0%{?with_html_doc}
BuildRequires:  python3-sphinx
%endif
# At present, chardet is a soft dep
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes), and compatibility modules for writing code that uses
python-2.7 modules but needs to run on python-2.3.


%package -n python3-kitchen
Summary:    Small, useful pieces of code to make python 3 coding easier
Group:      Development/Python
Requires:   python3-chardet
%{?python_provide:%python_provide python3-kitchen}


%description -n python3-kitchen
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes).

This is the python3 version of the kitchen module.


%package -n python3-kitchen-doc
Summary:    API documentation for the Kitchen python3 module


%description -n python3-kitchen-doc
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes).

This package contains the API documentation for programming with the
python-3 version of the kitchen library.


%prep
%setup -q -n kitchen-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if 0%{?with_html_doc}
# Build docs
sphinx-build-3 kitchen3/docs/ build/sphinx/html
cp -pr build/sphinx/html .
rm -rf html/.buildinfo
%endif

%install
%pyproject_install
%pyproject_save_files kitchen


%files -n python3-kitchen -f %{pyproject_files}
%doc README.rst NEWS.rst COPYING COPYING.LESSER


%files -n python3-kitchen -f %{pyproject_files}
%doc COPYING COPYING.LESSER kitchen3/docs/*
%if 0%{?with_html_doc}
%doc html
%endif
