%global pypi_name kiwisolver

Name:             python-kiwisolver
Version:          1.4.8
Release:          %mkrel 1
Summary:          A Cassowary constraint solving algorithm
License:          BSD
Group:            Development/Python
URL:              https://pypi.org/project/kiwisolver/
Source0:          %{pypi_source}
BuildRequires:    python3-devel

%description
Kiwi is an efficient C++ implementation of the Cassowary constraint solving
algorithm. Kiwi is an implementation of the algorithm based on the seminal
Cassowary paper. It is not a refactoring of the original C++ solver. Kiwi has
been designed from the ground up to be lightweight and fast. Kiwi ranges from
10x to 500x faster than the original Cassowary solver with typical use cases
gaining a 40x improvement. Memory savings are consistently > 5x. In addition to
the C++ solver, Kiwi ships with hand-rolled Python bindings.

%package -n python3-%{pypi_name}
Summary:        Python3 implementation of Kiwi
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Kiwi is an efficient C++ implementation of the Cassowary constraint solving
algorithm. Kiwi is an implementation of the algorithm based on the seminal
Cassowary paper. It is not a refactoring of the original C++ solver. Kiwi has
been designed from the ground up to be lightweight and fast. Kiwi ranges from
10x to 500x faster than the original Cassowary solver with typical use cases
gaining a 40x improvement. Memory savings are consistently > 5x. In addition to
the C++ solver, Kiwi ships with hand-rolled Python bindings.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files kiwisolver

%files -n python3-kiwisolver -f  %{pyproject_files}
%doc README.rst
