Name:           python-kmod
Summary:        Python module to work with kernel modules
Version:        0.9.2
Release:        %mkrel 3
License:        LGPLv2+
Group:          Development/Python
URL:            https://github.com/maurizio-lombardi/python-kmod/
Source0:        https://github.com/maurizio-lombardi/python-kmod/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-cython
BuildRequires:  pkgconfig(libkmod)

%global __provides_exclude_from ^(%{python3_sitearch}.*\.so)$

%description
Python module to allow listing, loading, and unloading
Linux kernel modules, using libkmod.

%package -n python3-kmod
Summary:        Python 3 module to work with kernel modules
Group:          Development/Python
%{?python_provide:%python_provide python3-kmod}

Obsoletes:      python-kmod < 0.9-8
Provides:       python-kmod = %{version}-%{release}

%description -n python3-kmod
Python 3 module to allow listing, loading, and unloading
Linux kernel modules, using libkmod.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files kmod

%files -n python3-kmod -f %{pyproject_files}
%doc COPYING.LESSER README
