%define srcname kombu

Name:           python-%{srcname}
Version:        5.4.2
Release:        %mkrel 1
Summary:        AMQP Messaging Framework for Python

Group:          Development/Python
# utils/functional.py contains a header that says Python
License:        BSD and Python
URL:            https://pypi.python.org/pypi/kombu
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)

%description
AMQP is the Advanced Message Queuing Protocol, an open standard protocol for
message orientation, queuing, routing, reliability and security.

One of the most popular implementations of AMQP is RabbitMQ.

The aim of Kombu is to make messaging in Python as easy as possible by
providing an idiomatic high-level interface for the AMQP protocol, and also
provide proven and tested solutions to common messaging problems.

%package -n python3-%{srcname}
Summary:        AMQP Messaging Framework for Python3

%description -n python3-%{srcname}
AMQP is the Advanced Message Queuing Protocol, an open standard protocol for
message orientation, queuing, routing, reliability and security.

One of the most popular implementations of AMQP is RabbitMQ.

The aim of Kombu is to make messaging in Python as easy as possible by
providing an idiomatic high-level interface for the AMQP protocol, and also
provide proven and tested solutions to common messaging problems.

%prep
%autosetup -n %{srcname}-%{version}

sed -i 's|amqp>=5.1.1,<6.0.0|amqp>=5.1.1|' requirements/default.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
%doc LICENSE
%doc AUTHORS FAQ README.rst THANKS TODO examples/
