%global pypi_name krb5

Name:           python-%{pypi_name}
Version:        0.5.1
Release:        %mkrel 3
Summary:        Kerberos API bindings for Python
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/krb5/
Source:         %{pypi_source}

%description
This library provides Python functions that wraps the Kerberos 5 C API. Due to
the complex nature of this API it is highly recommended to use something like
python-gssapi which exposes the Kerberos authentication details through GSSAPI.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  krb5-devel >= 1.19

%description -n python3-%{pypi_name}
This library provides Python functions that wraps the Kerberos 5 C API. Due to
the complex nature of this API it is highly recommended to use something like
python-gssapi which exposes the Kerberos authentication details through GSSAPI.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires 

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files krb5

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
%doc CHANGELOG.md
