%define pypi_name lazy-object-proxy

# we don't have pytest-benchmark ATM
%bcond_with tests

Name:		python-%{pypi_name}
Summary:	A fast and thorough lazy object proxy
Version:	1.10.0
Release:	%mkrel 2
License:        BSD
Group:          Development/Python
Url:            https://pypi.python.org/pypi/lazy-object-proxy
Source0:	%{pypi_source}

%description
A fast and thorough lazy object proxy.

%package -n	python3-%{pypi_name}
Summary:	A fast and thorough lazy object proxy
BuildRequires:  pyproject-rpm-macros
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-benchmark)
%endif
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
A fast and thorough lazy object proxy.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files lazy_object_proxy

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
