%define pypi_name	ldap
%define bdir_name	python-ldap

Name:		python-ldap
Version:	3.4.4
Release:	%mkrel 2
Summary:	Python modules for implementing LDAP clients
License:	Python
Group:		Development/Python
Url:		https://pypi.org/project/python-ldap
Source0:	https://github.com/python-ldap/python-ldap/archive/refs/tags/python-ldap-%{version}.tar.gz
Patch0:		python-ldap-3.4.2-libs.patch
BuildRequires:	openldap-devel >= 2.4.11
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	pkgconfig(libsasl2)

%description
python-ldap provides an object-oriented API to access LDAP directory
servers from Python programs. Mainly it wraps the OpenLDAP 2.x libs
for that purpose.

Additionally the package contains pypi_names for other LDAP-related stuff
(e.g. processing LDIF, LDAPURLs, LDAPv3 schema, etc.).

%package -n	python3-%{pypi_name}
Summary:	Python 3 pypi_names for implementing LDAP clients
Group:		Development/Python
BuildRequires:  python3-devel
Requires:	openldap

Obsoletes:	python3-pyldap < 2.4.45-2
Provides:	python3-pyldap = %{version}-%{release}
Provides:       python%{python3_version}dist(pyldap) = %{version}-%{release}
Provides:       python3dist(pyldap) = %{version}-%{release}

%description -n	python3-%{pypi_name}
python3-ldap provides an object-oriented API to access LDAP directory
servers from Python 3 programs. Mainly it wraps the OpenLDAP 2.x libs
for that purpose.

Additionally the package contains pypi_names for other LDAP-related stuff
(e.g. processing LDIF, LDAPURLs, LDAPv3 schema, etc.).

%prep
%setup -q -n %{bdir_name}-%{bdir_name}-%{version}
%autopatch -p1

chmod a+r -R .

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ldap slapdtest _ldap ldif ldapurl

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES README TODO Demo/
