%define module	ldap3

Name:		python-%{module}
Version:	2.9.1
Release:	%mkrel 3
Summary:	Strictly RFC 4511 conforming LDAP V3 pure Python client
Group:		Development/Python
License:	LGPLv2+
URL:		https://github.com/cannatag/ldap3
Source0:	https://github.com/cannatag/ldap3/archive/v%{version}/%{module}-%{version}.tar.gz
Patch0002:	0002-unbundle-ordereddict.patch
BuildArch:	noarch

%description
python-%{module} is a strictly RFC 4511 conforming LDAP V3 pure Python client.
The same codebase works with Python, Python 3, PyPy and PyPy3.

%package -n	python3-%{module}
Summary:	Strictly RFC 4511 conforming LDAP V3 pure Python3 client
Group:		Development/Python
BuildArch:	noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
python3-%{module} is a strictly RFC 4511 conforming LDAP V3 pure Python client.
The same codebase works with Python, Python 3, PyPy and PyPy3.

%prep
%autosetup -n %{module}-%{version} -p1

# Remove bundled ordereddict
rm -vf %{module}/utils/ordDict.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ldap3

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst _version.json
%license COPYING.txt COPYING.LESSER.txt LICENSE.txt

