%define module	lesscpy

Name:		python-%{module}
Version:	0.15.1
Release:	%mkrel 4
Summary:        Lesscss compiler
Group:		Development/Python
License:	MIT
URL:		https://github.com/lesscpy/lesscpy
Source0:	https://pypi.io/packages/source/l/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
A compiler written in python 2 for the lesscss language. For those of us not
willing/able to have node.js installed in our environment. Not all features
of lesscss are supported (yet). Some features wil probably never be
supported (JavaScript evaluation).

%package -n	python3-%{module}
Summary:	Lesscss compiler
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(ply)
BuildRequires:	python3dist(coverage)
BuildRequires:	python3dist(flake8)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
A compiler written in python 3 for the lesscss language. For those of us not
willing/able to have node.js installed in our environment. Not all features
of lesscss are supported (yet). Some features wil probably never be
supported (JavaScript evaluation).

%prep
%setup -q -n %{module}-%{version}

#fix utf8 encoding issue occurring only under python3
find . -name '*.py' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%doc LICENSE README.rst
%{_bindir}/lesscpy
