%define oname levenshtein

Summary:        Levenshtein Python extension and C library
Name:           python-levenshtein
Version:        0.26.1
Release:        %mkrel 2
License:        GPLv2+
Group:          Development/Python
Url:            https://github.com/ztane/python-Levenshtein
Source0:        %{pypi_source %oname}
Patch:		levenshtein-linking.patch
Patch:          levenshtein-fix-build.patch
BuildRequires:  cmake
BuildRequires:  cmake(rapidfuzz)
BuildRequires:  ninja
BuildRequires:  python3-devel
BuildRequires:  python3-cython

%description
The Levenshtein Python C extension module contains functions for fast
computation of
- Levenshtein (edit) distance, and edit operations
- string similarity
- approximate median strings, and generally string averaging
- string sequence and set similarity
It supports both normal and Unicode strings.

%package -n python3-levenshtein
Group:          Development/Python
Summary:        Levenshtein Python 3 extension and C library
Provides:       python3-Levenshtein = %{version}-%{release}
%{?python_provide:%python_provide python3-levenshtein}

%description -n python3-levenshtein
The Levenshtein Python 3 C extension module contains functions for fast
computation of
- Levenshtein (edit) distance, and edit operations
- string similarity
- approximate median strings, and generally string averaging
- string sequence and set similarity
It supports both normal and Unicode strings.

%prep
%autosetup -n %{oname}-%{version} -p1

# Remove pregenerated Cython sources
rm $(grep -rl '/\* Generated by Cython')

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel -C"cmake.build-type=RelWithDebInfo"

%install
%pyproject_install
%pyproject_save_files Levenshtein

%files -n python3-levenshtein -f %{pyproject_files}
%doc README.md HISTORY.md
# https://github.com/ztane/python-Levenshtein/issues/21
%exclude %{python3_sitearch}/Levenshtein/StringMatcher.py
%exclude %{python3_sitearch}/Levenshtein/__pycache__/StringMatcher.*
