Name:           python-libnacl
Version:        2.1.0
Release:        %mkrel 2
Summary:        Python bindings for libsodium based on ctypes
Group:          Development/Python

License:        Apache-2.0
URL:            https://libnacl.readthedocs.org
Source:         %{pypi_source libnacl}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(libsodium)


%global _description %{expand:
This library is used to gain direct access to the functions exposed by
Daniel J. Bernstein’s nacl library via libsodium. It has been constructed to
maintain extensive documentation on how to use nacl as well as being completely
portable.
Full documentation at https://libnacl.readthedocs.org }

%description %_description

%package -n     python3-libnacl
Summary:        %{summary}

%description -n python3-libnacl %_description


%prep
%autosetup -p1 -n libnacl-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files libnacl


%check
%pyproject_check_import


%files -n python3-libnacl -f %{pyproject_files}
%doc README.rst
%license LICENSE
