# Please keep this package in sync with FC

%define rname libvirt-python

# we don't want to provide private python extension libs
%global __provides_exclude_from %{?__provides_exclude_from:__provides_exclude_from|}%{python3_sitearch}/.*\\.so

Summary:	The libvirt virtualization API python3 binding
Name:		python-libvirt
Version:	11.0.0
Release:	%mkrel 3
License:	LGPLv2+
Group:		Development/Python
URL:		https://libvirt.org/
Source0:	https://libvirt.org/sources/python/%{rname}-%{version}.tar.gz
BuildRequires:	pkgconfig(libvirt) >= %{version}
BuildRequires:	libvirt-utils >= %{version}
BuildRequires:	python3-devel

%description
The libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%package -n	python3-libvirt
Summary:	The libvirt virtualization API python3 binding
Group:		Development/Python
%{?python_provide:%python_provide python3-libvirt}

%description -n	python3-libvirt
The python3-libvirt package contains a module that permits applications
written in the Python 3.x programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%prep

%autosetup -p1 -n %{rname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-libvirt
%doc ChangeLog AUTHORS README COPYING examples/
%{python3_sitearch}/libvirt.py*
%{python3_sitearch}/libvirtaio.py*
%{python3_sitearch}/libvirt_qemu.py*
%{python3_sitearch}/libvirt_lxc.py*
%{python3_sitearch}/__pycache__/libvirt.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_qemu.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_lxc.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirtaio.cpython-*.py*
%{python3_sitearch}/libvirtmod*
%{python3_sitearch}/*egg-info
