%define module	livestreamer

Name:		python-%{module}
Version:	1.12.2
Release:	%mkrel 14
Summary:	CLI for piping video streams to video players
License:	BSD
Group:		Development/Python
URL:		https://github.com/chrippa/livestreamer
Source0:	https://github.com/chrippa/%{module}/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Livestreamer is CLI program that extracts streams from various services and
pipes them into a video player of choice.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	CLI for piping video streams to video players
Group:		Development/Python
BuildArch:	noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

Requires:	python3dist(requests)
Recommends:	python3dist(pycryptodome)
Requires:	python3-pkg-resources
Recommends:	rtmpdump

%description -n python3-%{module}
Livestreamer is CLI program that extracts streams from various services and
pipes them into a video player of choice.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

rm -r docs/_themes/.gitignore

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files livestreamer livestreamer_cli

%files -n python3-%{module} -f %{pyproject_files}
%doc *.rst LICENSE*
%doc docs
%{_bindir}/%{module}
