%define pypi_name llfuse

Name:               python-%{pypi_name}
Version:            1.5.0
Release:            %mkrel 3
Summary:            Python Bindings for the low-level FUSE API
Group:              Development/Python
License:            LGPLv2+
URL:                https://github.com/python-llfuse/python-llfuse/
Source0:            %{pypi_source}
#Patch0:             python3.8.patch
BuildRequires: pyproject-rpm-macros
BuildRequires:      pkgconfig(fuse)
BuildRequires:      python3-devel
BuildRequires:      python3dist(setuptools)
BuildRequires:      python3dist(cython)

%description
LLFUSE is a set of Python bindings for the low level FUSE API. It requires at
least FUSE 2.8.0.

LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.

%package -n python3-%{pypi_name}
Summary:            Python Bindings for the low-level FUSE API Python 3 packages
Group:              Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
LLFUSE is a set of Python 3 bindings for the low level FUSE API. It requires at
least FUSE 2.8.0.

LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1


# re-generate sources
find . -type f -name "llfuse.c" -print -delete

%build
%__python3 setup.py build_cython
%pyproject_wheel

rm doc/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files llfuse

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc Changes.rst doc/html
