%define pypi_name llvmlite

Name:           python-%{pypi_name}
Version:        0.38.0
Release:        %mkrel 3
Summary:        A lightweight LLVM python binding for writing JIT compilers
License:        BSD
Group:          Development/Python
Url:            https://pypi.org/project/llvmlite
Source:         %{pypi_source}
BuildRequires:  %{_lib}llvm11.0-devel

%description
The old llvmpy binding exposes a lot of LLVM APIs but the mapping of C++-style
memory management to Python is error prone. Numba and many JIT compilers do not
need a full LLVM API. Only the IR builder, optimizer, and JIT compiler APIs are
necessary.

llvmlite is a project originally tailored for Numba’s needs, using the
following approach:
- A small C wrapper around the parts of the LLVM C++ API we need that are not
  already exposed by the LLVM C API.
- A ctypes Python wrapper around the C API.
- A pure Python implementation of the subset of the LLVM IR builder that we
  need for Numba.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
License:        BSD
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-numpy-devel

%description -n python3-%{pypi_name}
The old llvmpy binding exposes a lot of LLVM APIs but the mapping of C++-style
memory management to Python is error prone. Numba and many JIT compilers do not
need a full LLVM API. Only the IR builder, optimizer, and JIT compiler APIs are
necessary.

llvmlite is a project originally tailored for Numba’s needs, using the
following approach:
- A small C wrapper around the parts of the LLVM C++ API we need that are not
  already exposed by the LLVM C API.
- A ctypes Python wrapper around the C API.
- A pure Python implementation of the subset of the LLVM IR builder that we
  need for Numba.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}%{?beta}

%build
# Fails building without -fPIC
export CXXFLAGS="%{optflags} -fPIC"
export LDFLAGS="%{ldflags} -fPIC"
export LLVM_CONFIG="%{_libdir}/llvm11.0/bin/llvm-config"
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc LICENSE README.rst
%{python3_sitearch}/llvmlite
%{python3_sitearch}/llvmlite*.egg-info
