%define module  lockfile

Name:           python-%{module}
Version:        0.12.2
Release:        %mkrel 13
Summary:        Platform-independent file locking module
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/lockfile
Source0:        https://pypi.python.org/packages/source/l/lockfile/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
The lockfile module exports a FileLock class which provides a simple API for
locking files. The lock mechanism relies on the atomic nature of the link
(on Unix) and mkdir (on Windows) system calls.

%package -n     python3-%{module}
Summary:        Platform-independent file locking module
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
The lockfile module exports a FileLock class which provides a simple API for
locking files. The lock mechanism relies on the atomic nature of the link
(on Unix) and mkdir (on Windows) system calls.
This is the Python 3 build of %{module}.

%files -n python3-%{module} -f %{pyproject_files}
%doc doc/* AUTHORS ChangeLog README.rst RELEASE-NOTES ACKS


#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}


find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files lockfile
