%define module  logilab-common

Name:       python-%{module}
Summary:    Python modules used by Logilab software
Version:    2.0.0
Release:    %mkrel 2
License:    GPLv2+
Group:      Development/Python
Url:        https://www.logilab.org/
Source0:    https://pypi.io/packages/source/l/%{module}/%{module}-%{version}.tar.gz
BuildArch:  noarch

%description
This package contains a number of Python modules that provide low level
functionality used by various free software projects supported by Logilab.

%package -n python3-%{module}
Summary:        Python modules used by Logilab software
Group:          Development/Python
BuildRequires:  python3-devel

%description -n python3-%{module}
This package contains a number of Python modules that provide low level
functionality used by various free software projects supported by Logilab.

%prep
%autosetup -n %{module}-%{version} -p1

sed -i "s!git+https://github.com/psycojoker/pytest-capture-deprecatedwarnings!!" tox.ini

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%check
# Disable tests for now : https://forge.extranet.logilab.fr/open-source/logilab-common/-/issues/13
# not compatible with our pytestsuite
# rm -rf logilab/common/urllib2ext.py
# rm -rf logilab/common/sphinx_ext.py
# sed -i "s|'egenix-mx-base|#'egenix-mx-base|" __pkginfo__.py
# tox

%install
%pyproject_install
%pyproject_save_files logilab

for FILE in %{buildroot}%{_bindir}/*; do
    NAME=$(basename $FILE)
    mv $FILE %{buildroot}%{_bindir}/python3-$NAME
done

rm -f %{buildroot}%{_bindir}/{logilab-pytest,python3-logilab-pytest}

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst COPYING ChangeLog
%{python3_sitelib}/logilab_common-*-nspkg.pth
