%define pypi_name	logutils

%bcond_without check

Name:		python-%{pypi_name}
Version:	0.3.5
Release:	%mkrel 11
Summary:	Logging utilities
Group:		Development/Python
License:	BSD
URL:		https://pypi.org/project/logutils
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel

%description
The logutils package provides a set of handlers for the Python standard
library's logging package.

Some of these handlers are out-of-scope for the standard library, and so
they are packaged here. Others are updated versions which have appeared in
recent Python releases, but are usable with older versions of Python and so
are packaged here.

%package -n	python3-%{pypi_name}
Summary:	Logging utilities
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
The logutils package provides a set of handlers for the Python standard
library's logging package.

Some of these handlers are out-of-scope for the standard library, and so
they are packaged here. Others are updated versions which have appeared in
recent Python releases, but are usable with older versions of Python and so
are packaged here.

%prep
%setup -q -n %{pypi_name}-%{version}

rm doc/Makefile

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files logutils

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst NEWS.txt doc/
%license LICENSE.txt
