%define pypi_name lxml

%bcond_without check

Name:           python-%{pypi_name}
Summary:        A Pythonic binding for the libxml2 and libxslt libraries
Version:        5.3.2
Release:        %mkrel 1
License:        BSD
Group:          Development/Python
URL:            https://lxml.de
Source:         %{pypi_source}
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libexslt)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
the ElementTree API as much as possible, building it on top of the native
libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

%package -n python3-%{pypi_name}
Summary:        A Pythonic binding for the libxml2 and libxslt libraries
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-%{pypi_name}-docs < 4.9.2

%description -n python3-%{pypi_name}
lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
the ElementTree API as much as possible, building it on top of the native
libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

%pyproject_extras_subpkg -n python3-%{pypi_name} html5 htmlsoup cssselect

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove pregenerated Cython C sources
find -type f -name '*.c' -print -delete

%generate_buildrequires
%pyproject_buildrequires -x source

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
# The tests assume inplace build, so we copy the built library to source-dir.
# If not done that, Python can either import the tests or the extension modules, but not both.
cp -a build/lib.%{python3_platform}-*/* src/
# The options are: verbose, unit, functional
%{python3} test.py -vuf
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CREDITS.txt CHANGES.txt
%doc doc/html/*
%license LICENSES.txt
