%global pypi_name python-ly

Name:           %{pypi_name}
Version:        0.9.9
Release:        %mkrel 1
Group:          Development/Python
Summary:        Tool and library for manipulating LilyPond files
License:        GPLv2+
URL:            https://github.com/wbsoft/python-ly
Source0:        https://pypi.io/packages/source/p/%{name}/python_ly-%{version}.tar.gz
BuildArch:      noarch

%description
This package provides a Python library ly containing various Python
modules to parse, manipulate or create documents in LilyPond format.
A command line program ly is also provided that can be used to do
various manipulations with LilyPond files.

%package -n     python3-ly
Summary:        Tool and library for manipulating LilyPond files
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-ly}

%description -n python3-ly
This package provides a Python 3 library ly containing various Python
modules to parse, manipulate or create documents in LilyPond format.
A command line program ly is also provided that can be used to do
various manipulations with LilyPond files.

%prep
%autosetup -p1 -n python_ly-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ly

%files -n python3-ly -f %{pyproject_files}
%{_bindir}/ly
%{_bindir}/ly-server
