%bcond_with tests

Summary:	Crypto and SSL toolkit for Python
Name:		python-m2crypto
Version:	0.44.0
Release:	%mkrel 3
License:	MIT
Group:		Development/Python
URL:		https://gitlab.com/m2crypto/m2crypto
Source0:	https://pypi.io/packages/source/M/M2Crypto/m2crypto-%{version}.tar.gz
Patch1:		0001-Add-D__linux__-to-swig-options.patch
Patch2:		0001-Fix-arm-build.patch
BuildRequires:	python3-devel
BuildRequires:	gcc
BuildRequires:	openssl
BuildRequires:	perl-base
BuildRequires:	pkgconfig(openssl)
BuildRequires:	swig
BuildRequires:	which
BuildRequires:	crypto-policies >= 20191128

%description
M2Crypto is a crypto and SSL toolkit for Python featuring the following:

    * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
    * SSL functionality to implement clients and servers.
    * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
    * Unforgeable HMAC'ing AuthCookies for web session management.
    * FTP/TLS client and server.
    * S/MIME.
    * ZServerSSL: A HTTPS server for Zope.
    * ZSmime: An S/MIME messenger for Zope.

%package -n	python3-m2crypto
Summary:	Crypto and SSL toolkit for Python 3
Group: 		Development/Python
%{?python_provide:%python_provide python3-m2crypto}

%description -n	python3-m2crypto
M2Crypto is a crypto and SSL toolkit for Python 3 featuring the following:

    * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
    * SSL functionality to implement clients and servers.
    * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
    * Unforgeable HMAC'ing AuthCookies for web session management.
    * FTP/TLS client and server.
    * S/MIME.
    * ZServerSSL: A HTTPS server for Zope.
    * ZSmime: An S/MIME messenger for Zope.

%prep
%autosetup -n m2crypto-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files M2Crypto

%if %{with tests}
%check
%pytest
%endif

%files -n python3-m2crypto -f %{pyproject_files}
%doc CHANGES README.rst
%license LICENCE
