%global pypi_name python-magic

Name:           %{pypi_name}
Version:        0.4.27
Release:        %mkrel 5
Summary:        File type identification using libmagic
Group:          Development/Python
License:        MIT
URL:            https://github.com/ahupp/python-magic
Source0:        https://github.com/ahupp/python-magic/archive/%{version}/%{pypi_name}-%{version}.tar.gz
# see https://github.com/ahupp/python-magic/issues/283
Patch0:         python-magic-0.4.27-fix-test-with-new-file.patch
BuildArch:      noarch

%description
This module uses ctypes to access the libmagic file type identification
library. It makes use of the local magic database and supports both textual
and MIME-type output.

# The python3-python-magic repetition is intended, as `file` also provides
# python3-file-magic which is a competing implementation. We use the egg name
# for both after the policy's `python3-` prefix.
%package -n     python3-%{pypi_name}
Summary:        File type identification using libmagic
Group:          Development/Python

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
# For tests.
BuildRequires:  locales-en
BuildRequires:  python3-pytest

# `file` creates python3-file-magic (renamed in Mageia 8 from python3-magic),
# which also provides a conflicting `magic.py` module in sitelib.
Provides:       python3-magic = %{version}-%{release}

%description -n python3-%{pypi_name}
This module uses ctypes to access the libmagic file type identification
library. It makes use of the local magic database and supports both textual
and MIME-type output.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files magic

%check
export LC_ALL=en_US.UTF-8
export PYTHONPATH=.
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE

