%define pypi_name mako

%bcond_with check

Summary:	Mako template library for Python
Name:		python-mako
Version:	1.3.9
Release:	%mkrel 1
Group:		Development/Python
License:	MIT
URL:		https://www.makotemplates.org/
Source0:	%{pypi_source}
BuildArch:	noarch

%description
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%package -n python3-mako
Group:		Development/Python
Summary:	Mako template library for Python 3
BuildRequires:	pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
%{?python_provide:%python_provide python3-mako}

%description -n python3-mako
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mako

%if %{with check}
%check
%tox
%endif

%files -n python3-mako -f %{pyproject_files}
%doc CHANGES LICENSE README.rst doc examples
%{_bindir}/mako-render
