%global module manatools

Name:           python-%{module}
Version:        0.0.4
Release:        %mkrel 6
Group:          Development/Python
Summary:        A python framework to build ManaTools application
License:        LGPLv2+
URL:            https://github.com/manatools/python-manatools
Source0:        https://github.com/manatools/python-manatools/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
Python ManaTools starts from the experience of tools and framework
written in Perl, since most systemd and dbus API are python based
instead a this way seemed to be natural.

Python ManaTools aim is to help in writing tools based on libYui
(Suse widget abstraction library), to be collected under the same
ManaTool hat and hopefully with the same look and feel.

Every output modules can of course be run using QT, Gtk or ncurses
interface.

%package -n python3-%{module}
Summary:        A python framework to build ManaTools application
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-yui
%{?python_provide:%python_provide python3-%{module}}
Requires:       python3-yui

%description -n python3-%{module}
Python ManaTools starts from the experience of tools and framework
written in Perl, since most systemd and dbus API are python based
instead a this way seemed to be natural.

Python ManaTools aim is to help in writing tools based on libYui
(Suse widget abstraction library), to be collected under the same
ManaTool hat and hopefully with the same look and feel.

Every output modules can of course be run using QT, Gtk or ncurses
interface.

%prep
%autosetup -p1

sed -i 's|0.0.1|%{version}|' manatools/version.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc README.md NEWS
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/python_manatools-%{version}-py%{python3_version}.egg-info
