%global pypi_name markdown-it-py

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 5
Summary:        Python port of markdown-it
Group:          Development/Python
License:        MIT
URL:            https://github.com/executablebooks/markdown-it-py
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Markdown parser, done right. 100% CommonMark support, extensions, syntax
plugins & high speed.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Markdown parser, done right. 100% CommonMark support, extensions, syntax
plugins & high speed.

%pyproject_extras_subpkg -n python3-%{pypi_name} linkify plugins

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove unnecessary shebang
sed -i '1{\@^#!/usr/bin/env python@d}' markdown_it/cli/parse.py
# Remove coverage (it resides in testing extra which we want to use)
# Upstream issue to move those to another extra:
# https://github.com/executablebooks/markdown-it-py/issues/195
sed -i '/"coverage",/d' pyproject.toml
sed -i '/"pytest-cov",/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x testing

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files markdown_it

%check
# Skipped test uses linkify-it-py extra which we don't have
%pytest tests/ -k "not test_linkify"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE LICENSE.markdown-it
%doc README.md
%{_bindir}/markdown-it
