%define enable_tests 0

%define pypi_name markdown

Name:       python-markdown
Version:    3.7
Release:    %mkrel 2
Summary:    Python implementation of the markdown text-to-HTML conversion tool
License:    BSD
Group:      Development/Python
Url:        https://pypi.org/project/Markdown/
Source:     %{pypi_source}
BuildRequires: pkgconfig(python3)
%if %enable_tests
BuildRequires: python3dist(tox)
BuildRequires: python3dist(tox-current-env)
BuildRequires: python3dist(discover)
BuildRequires: python3dist(coverage)
%endif
BuildRequires: python3dist(pyyaml)
BuildRequires: pyproject-rpm-macros
BuildArch: noarch

%description
This is a Python implementation of John Gruber's Markdown. It is almost
completely compliant with the reference implementation, though there
are a few known issues

Markdown  is a text-to-HTML conversion tool for web writers. Markdown
allows you to write using an easy-to-read, easy-to-write plain text format,
then convert it to structurally valid XHTML (or HTML).

%package -n python3-markdown
Summary: Python 3 implementation of the markdown text-to-HTML conversion tool
Group: Development/Python
%{?python_provide:%python_provide python3-markdown}
Obsoletes: python2-markdown < 3.1.1

%description -n python3-markdown
This is a Python 3 implementation of John Gruber's Markdown. It is almost
completely compliant with the reference implementation, though there
are a few known issues

Markdown  is a text-to-HTML conversion tool for web writers. Markdown
allows you to write using an easy-to-read, easy-to-write plain text format,
then convert it to structurally valid XHTML (or HTML).

%prep
%setup -q -n %pypi_name-%version


# remove shebangs
find markdown -type f -name '*.py' \
  -exec sed -i -e '/^#!/{1D}' {} \;

# fix line-ending
find docs -type f \
  -exec sed -i 's/\r//' {} \;


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files markdown

%if %enable_tests
%check
%tox
%endif

%files -n python3-markdown -f %{pyproject_files}
%doc docs/*

%{_bindir}/markdown_py
