%define pypi_name markupsafe

%bcond_with check

Summary:	XML/HTML/XHTML markup safe string package for Python
Name:		python-markupsafe
Version:	3.0.2
Release:	%mkrel 2
License:	BSD
Group:		Development/Python
Url:		https://pypi.python.org/pypi/MarkupSafe
Source0:	%{pypi_source}
BuildRequires:	python3-devel
BuildRequires:	pyproject-rpm-macros

%description
This package implements a XML/HTML/XHTML markup safe string for Python.

%package -n python3-markupsafe
Summary:	XML/HTML/XHTML markup safe string package for Python
Group:		Development/Python
%{?python_provide:%python_provide python3-markupsafe}

%description -n python3-markupsafe
This package implements a XML/HTML/XHTML markup safe string for Python3.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
#pyproject_save_files markupsafe

# C code errantly gets installed
rm %{buildroot}%{python3_sitearch}/markupsafe/*.c

%if %{with check}
%check
%pytest
%endif

%files -n python3-markupsafe
%license LICENSE.txt
%doc README.md
%{python3_sitearch}/*
