%bcond_without check

Name:           python-mdurl
Version:        0.1.2
Release:        %mkrel 3
Summary:        Markdown URL utilities
Group:          Development/Python
License:        MIT
URL:            https://github.com/hukkin/mdurl
Source0:        %{url}/archive/%{version}/mdurl-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
# Tests
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-randomly)
%endif

%description
URL utilities for markdown-it parser.

%package -n     python3-mdurl
Summary:        %{summary}
%{?python_provide:%python_provide python3-mdurl}

%description -n python3-mdurl
URL utilities for markdown-it parser.

%prep
%autosetup -p1 -n mdurl-%{version}

# Remove coverage from the test requirements
sed -i "s/pytest-cov//" tests/requirements.txt

%generate_buildrequires
%pyproject_buildrequires %{?with_check:tests/requirements.txt}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mdurl

%if %{with check}
%check
%pytest
%endif

%files -n python3-mdurl -f %{pyproject_files}
%doc README.md
%license LICENSE
