%global pypi_name memray

Name:		python-%{pypi_name}
Summary:	A memory profiler for Python applications
Version:	1.16.0
Release:	%mkrel 1
License:	ASL2.0
Group:		Development/Python
Url:		https://pypi.org/project/memray/
Source0:	%{pypi_source}
BuildRequires:	python3-devel
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(libunwind)
BuildRequires:	pkgconfig(libdebuginfod)

%description
Memray is a memory profiler for Python. It can track memory allocations in
Python code, in native extension modules, and in the Python interpreter itself.
It can generate several different types of reports to help you analyze the
captured memory usage data. While commonly used as a CLI tool, it can also be
used as a library to perform more fine-grained profiling tasks.

%package -n python3-%{pypi_name}
Summary:	A memory profiler for Python applications
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
Memray is a memory profiler for Python. It can track memory allocations in
Python code, in native extension modules, and in the Python interpreter itself.
It can generate several different types of reports to help you analyze the
captured memory usage data. While commonly used as a CLI tool, it can also be
used as a library to perform more fine-grained profiling tasks.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/memray
%{_bindir}/memray%{python3_version}
