# imported for conda

Name:           python-menuinst
Version:        2.0.2
Release:        %mkrel 3
Summary:        Cross platform menu item installation
Group:          Development/Python

License:        BSD-3-Clauses
URL:            https://github.com/conda/menuinst
Source:         https://github.com/conda/menuinst/archive/refs/tags/%{version}.tar.gz
Patch0:         0001-menuinst-2.0.2-fix-version.patch

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
This package provides cross platform menu item installation for conda packages.

If a conda package ships a menuinst JSON document under $PREFIX/Menu, conda will
invoke menuinst to process the JSON file and install the menu items in your
operating system. The menu items are removed when the package is uninstalled.}

%description %_description

%package -n     python3-menuinst
Summary:        %{summary}

%description -n python3-menuinst %_description


%prep
%autosetup -p1 -n menuinst-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files menuinst


%check
%tox


%files -n python3-menuinst -f %{pyproject_files}

