# Created by pyp2rpm-3.3.2
%global pypi_name misaka

Name:           python-%{pypi_name}
Version:        2.1.1
Release:        %mkrel 9
Summary:        A CFFI binding for Hoedown, a markdown parsing library
Group:          Development/Python
License:        MIT
URL:            https://github.com/FSX/misaka
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         fix-check.patch
Patch1:         0001-doc_fix-compat-with-Sphinx-6.0.patch
BuildRequires:  python3-devel
BuildRequires:  python3dist(cffi) >= 1.0.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
# for tests
BuildRequires:  tidy

%description
A CFFI binding for Hoedown (version 3), a markdown parsing library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       %{pypi_name} = %{version}-%{release}
Requires:       python3dist(cffi) >= 1.0.0

%description -n python3-%{pypi_name}
A CFFI binding for Hoedown (version 3), a markdown parsing library.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# for docs and tests
%{__python3} setup.py build_ext --inplace

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%doc html
%{_bindir}/misaka
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
