Name:           python-mitmproxy-rs
Version:        0.11.1
Release:        %mkrel 1
Summary:        An interactive, SSL/TLS-capable intercepting proxy for HTTP/1, HTTP/2, and WebSockets
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/mitmproxy-rs/
Source0:         %{pypi_source mitmproxy_rs}
Source1:        vendor-%{version}.tar.xz
BuildRequires:  python3-devel
BuildRequires:  cargo-rpm-macros
BuildRequires:  python3dist(maturin)

%description
mitmproxy is an interactive, SSL/TLS-capable intercepting proxy with a console
interface for HTTP/1, HTTP/2, and WebSockets. This package contains Rust part
of it.

%package -n     python3-mitmproxy-rs
Summary:        %{summary}

%description -n python3-mitmproxy-rs
mitmproxy is an interactive, SSL/TLS-capable intercepting proxy with a console
interface for HTTP/1, HTTP/2, and WebSockets. This package contains Rust part
of it.

%prep
%autosetup -p1 -n mitmproxy_rs-%{version} -a1
%cargo_prep -v vendor

cat >> .cargo/config.toml << EOF
[source."git+https://github.com/cloudflare/boringtun?rev=e3252d9c4f4c8fc628995330f45369effd4660a1"]
git = "https://github.com/cloudflare/boringtun"
rev = "e3252d9c4f4c8fc628995330f45369effd4660a1"
replace-with = "vendored-sources"

[source."git+https://github.com/smoltcp-rs/smoltcp?rev=ef67e7b46cabf49783053cbf68d8671ed97ff8d4"]
git = "https://github.com/smoltcp-rs/smoltcp"
rev = "ef67e7b46cabf49783053cbf68d8671ed97ff8d4"
replace-with = "vendored-sources"
EOF

%build
%pyproject_wheel
%cargo_vendor_manifest

%install
%pyproject_install
%pyproject_save_files mitmproxy_rs

%check
%pyproject_check_import

%files -n python3-mitmproxy-rs -f %{pyproject_files}
