# keeping python3 subpackage as stdlib mock lives in a different namespace
# Some people may have not fixed their imports

%define pypi_name mock

%bcond_with check

Name:           python-mock
Version:        5.2.0
Release:        %mkrel 1
Summary:        A Python Mocking and Patching Library for Testing

Group:          Development/Python
License:        BSD
URL:            https://github.com/testing-cabal/mock
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
# For tests
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Mock is a Python module that provides a core mock class. It removes the need
to create a host of stubs throughout your test suite. After performing an
action, you can make assertions about which methods / attributes were used and
arguments they were called with. You can also specify return values and set
needed attributes in the normal way.

%package -n python3-%{pypi_name}
Summary:        A Python Mocking and Patching Library for Testing
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(funcsigs)

%description -n python3-%{pypi_name}
Mock is a Python module that provides a core mock class. It removes the need
to create a host of stubs throughout your test suite. After performing an
action, you can make assertions about which methods / attributes were used and
arguments they were called with. You can also specify return values and set
needed attributes in the normal way.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with check}
%check
%pytest
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst CHANGELOG.rst
