# Created by pyp2rpm-3.3.1
%global pypi_name modint

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 6
Summary:        Python implementation of the Chinese Remainder algorithm
Group:          Development/Python
License:        MIT
URL:            https://github.com/shlomif/modint
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# fix for doc build with sphinx 8.1
Patch0:         python-modint-docs.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(click) >= 6.0
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Python implementation of the Chinese Remainder algorithm.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(click) >= 6.0
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Python implementation of the Chinese Remainder algorithm.

%package -n python-%{pypi_name}-doc
Summary:        modint documentation

%description -n python-%{pypi_name}-doc
Documentation for modint.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# fix options failing in tests
sed -i "/--cov=modint --cov-report/d" setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files modint

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
