# As all tests require Internet access this is disabled here
# Based on upstream project spec file at https://raw.githubusercontent.com/ansible-community/molecule/main/.config/molecule.spec

%global pypi_name molecule

Name:           python-%{pypi_name}
Version:        6.0.3
Release:        %mkrel 3
Summary:        Molecule testing framework for Ansible content
Group:          Development/Python
License:        MIT
URL:            https://github.com/ansible-community/molecule
Source0:        %{pypi_source}
Patch0:         0001-relax-requirements.patch
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Molecule provides support for testing with multiple instances, operating
systems and distributions, virtualization providers, test frameworks and
testing scenarios.

%package -n python3-%{pypi_name}
Summary:	Molecule testing framework for Ansible content
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	%{pypi_name} = %{version}-%{release}
Obsoletes:	molecule < 4.0.1-5

Requires:	ansible

%description -n python3-%{pypi_name}
Molecule provides support for testing with multiple instances, operating
systems and distributions, virtualization providers, test frameworks and
testing scenarios.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Break circular dependecies ansible-compat python-subprocess-tee - python molecule - python-ansible-compat to allow rebuild for python 3.12
# sed -i /^ansible-compat.*/d .config/requirements.in

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

# build fails with %%pyproject_save_files
#%%pyproject_save_files molecule

%files -n python3-%{pypi_name}
%license LICENSE
%doc docs/* README.md
%{_bindir}/molecule
%{python3_sitelib}/molecule/
%{python3_sitelib}/molecule-%{version}.dist-info/
