# Created by pyp2rpm-3.3.2
%global pypi_name more-itertools

%bcond_with docs

Name:           python-%{pypi_name}
Version:        10.6.0
Release:        %mkrel 1
Summary:        More routines for operating on iterables, beyond itertools
Group:          Development/Python
License:        MIT
URL:            https://github.com/erikrose/more-itertools
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif

%description
More Itertools Python's itertools library is a gem - you can compose elegant
solutions for a variety of problems with the functions it provides. In more-
itertools we collect additional building blocks, recipes, and routines for
working with Python iterables.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
More Itertools Python's itertools library is a gem - you can compose elegant
solutions for a variety of problems with the functions it provides. In more-
itertools we collect additional building blocks, recipes, and routines for
working with Python iterables.

%package -n python-%{pypi_name}-doc
Summary:        more-itertools documentation

%description -n python-%{pypi_name}-doc
Documentation for more-itertools

%prep
%autosetup -n %{pypi_name}-%{version}

#loosen flit_core reqs
sed -i -e '/^requires/s!\"\(flit_core\s*\).*\"!\"\1>=3.2\"!' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=$(pwd) sphinx-build docs html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files more_itertools

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license docs/license.rst LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
