%define         _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so
%define         _name mplstereonet

Name:		python-%{_name}
Version:	0.6.3
Release:	%mkrel 4
Summary:	Lower-hemisphere equal-area and equal-angle stereonets
License:	MIT
Group:		Sciences/Geosciences
URL:		https://github.com/joferkington/mplstereonet
Source0:	https://github.com/joferkington/mplstereonet/archive/v%version/%{_name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python3-devel

%description
mplstereonet provides lower-hemisphere equal-area and equal-angle
stereonets for matplotlib.

%package -n python3-%{_name}
Summary:	Lower-hemisphere equal-area and equal-angle stereonets
Group:		Sciences/Geosciences
%{?python_provide:%python_provide python3-%{_name}}

%description -n python3-%{_name}
mplstereonet provides lower-hemisphere equal-area and equal-angle
stereonets for matplotlib.

%prep
%autosetup -p1 -n %{_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mplstereonet

%check
export PYTHONPATH=$RPM_BUILD_ROOT%{python3_sitelib}
MPLSTEREONETVER=`%{__python3} -c 'import mplstereonet; print(mplstereonet.__version__)'`
if [ $MPLSTEREONETVER -ne "%{version}" ];then
	exit $?
fi

%files -n python3-%{_name} -f %{pyproject_files}
%doc README.rst
