%define pypi_name mpmath

Name: python-mpmath
Version: 1.3.0
Release: %mkrel 4
Summary: Python library for arbitrary-precision floating-point arithmetic
Group: Development/Python
License: BSD
URL: https://mpmath.org/
Source0: %{pypi_source}
BuildArch: noarch
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel

%description
A Python library for arbitrary-precision floating-point arithmetic.

%package -n python3-%{pypi_name}
Summary: Python library for arbitrary-precision floating-point arithmetic
Recommends: python3dist(matplotlib)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python library for arbitrary-precision floating-point arithmetic.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Convert line encodings
for doc in LICENSE PKG-INFO mpmath/tests/runtests.py; do
 sed "s|\r||g" $doc > $doc.new
 touch -r $doc $doc.new
 mv $doc.new $doc
done

# Get rid of unnecessary shebangs
for lib in mpmath/tests/runtests.py; do
 sed '/#!\/usr\/bin\/env/d' $lib > $lib.new && \
 touch -r $lib $lib.new && \
 mv $lib.new $lib
done

%generate_buildrequires
%pyproject_buildrequires -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mpmath

%check
export PYTHONPATH=$(pwd)/build/lib
cd build/lib/mpmath/tests/
%{__python3} runtests.py

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE
