# Created by pyp2rpm-3.3.5
%global pypi_name msal

Name:           python-%{pypi_name}
Version:        1.32.0
Release:        %mkrel 1
Summary:        The Microsoft Authentication Library (MSAL) for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/AzureAD/microsoft-authentication-library-for-python
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Patch0:         msal-1.18.0-relax-requirements.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
The Microsoft Authentication Library for Python enables applications to 
integrate with the Microsoft identity platform. It allows you to sign in users
or apps with Microsoft identities (Azure AD, Microsoft Accounts and 
Azure AD B2C accounts) and obtain tokens to call Microsoft APIs such as 
Microsoft Graph or your own APIs registered with the Microsoft identity platform.
It is built using industry standard OAuth2 and OpenID Connect protocols

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cryptography) 
Requires:       python3dist(mock)
Requires:       python3dist(pyjwt)
Requires:       python3dist(requests)
%description -n python3-%{pypi_name}
The Microsoft Authentication Library for Python enables applications to 
integrate with the Microsoft identity platform. It allows you to sign in users
or apps with Microsoft identities (Azure AD, Microsoft Accounts and 
Azure AD B2C accounts) and obtain tokens to call Microsoft APIs such as 
Microsoft Graph or your own APIs registered with the Microsoft identity platform.
It is built using industry standard OAuth2 and OpenID Connect protocols


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info

