# Backport macros for older Mageia releases
%{!?__python2: %global __python2 %{__python}}
%{!?python2_sitelib: %global python2_sitelib %{python_sitelib}}
%{!?python2_sitearch: %global python2_sitearch %{python_sitearch}}
%{!?py2_build: %global py2_build CFLAGS="%{optflags}" %{__python2} setup.py build}
%{!?py2_install: %global py2_install %{__python2} setup.py install --skip-build --root %{buildroot}}
%{!?py3_build: %global py3_build CFLAGS="%{optflags}" %{__python3} setup.py build}
%{!?py3_install: %global py3_install %{__python3} setup.py install --skip-build --root %{buildroot}}

Name:       python-multilib
Version:    1.2
Release:    %mkrel 12
Summary:    A module for determining if a package is multilib or not
Group:      Development/Python
License:    GPLv2
URL:        https://pagure.io/releng/%{name}
Source0:    https://releases.pagure.org/releng/%{name}/%{name}-%{version}.tar.bz2

BuildArch:  noarch

%global _description \
A Python module that supports several multilib "methods" useful for determining \
if a 32-bit package should be included with its 64-bit analogue in a compose.

%description %{_description}

%package -n python3-multilib
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
Requires:       %{name}-conf = %{version}-%{release}

%description -n python3-multilib %{_description}

%package conf
Summary:       Config files for %{name}
Group:         System/Packaging

%description conf
This package provides the configuration files for %{name}.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
mkdir -p %{buildroot}/%{_sysconfdir}
mv %{buildroot}%{python3_sitelib}%{_sysconfdir}/multilib.conf %{buildroot}%{_sysconfdir}/multilib.conf
%pyproject_save_files multilib

%check
# testing requires complete composes available locally, which no buildsystem
# would ever want included in a build root
#pytest

%files conf
%config(noreplace) %{_sysconfdir}/multilib.conf

%files -n python3-multilib -f %{pyproject_files}
%license LICENSE
%doc README.md

