Name:           python-multipart
Version:        1.2.1
Release:        %mkrel 1
Summary:        Parser for multipart/form-data
Group:          Development/Python

License:        MIT
URL:            https://multipart.readthedocs.io/
Source:         %{pypi_source multipart}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)


%global _description %{expand:
This module provides a fast incremental non-blocking parser for multipart/form-data
[HTML5, RFC7578], as well as blocking alternatives for easier use in WSGI or CGI 
applications:
    PushMultipartParser: Fast SansIO (incremental, non-blocking) parser suitable
    for ASGI, asyncio and other IO, time or memory constrained environments.
    MultipartParser: Streaming parser that reads from a byte stream and yields
    memory- or disk-buffered MultipartPart instances.
    WSGI Helper: High-level functions and containers for WSGI or CGI applications
    with support for both multipart and urlencoded form submissions.}

%description %_description

%package -n     python3-multipart
Summary:        %{summary}

%description -n python3-multipart %_description

# Review which extras should be actually packaged
%pyproject_extras_subpkg -n python3-multipart dev,docs


%prep
%autosetup -p1 -n multipart-%{version}


%generate_buildrequires
%pyproject_buildrequires -x dev,docs


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files multipart


%check
%pytest


%files -n python3-multipart -f %{pyproject_files}
%doc README.rst
%license LICENSE

