Name:           python-multipledispatch
Version:        1.0.0
Release:        %mkrel 3
Summary:        Multiple dispatch
Group:          Development/Python

License:        BSD
URL:            https://github.com/mrocklin/multipledispatch/
Source:         %{pypi_source multipledispatch}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
A relatively sane approach to multiple dispatch in Python.

This implementation of multiple dispatch is efficient, mostly complete, performs
static analysis to avoid conflicts, and provides optional namespace support. It
looks good too.

See the documentation at https://multiple-dispatch.readthedocs.io/ }

%description %_description

%package -n     python3-multipledispatch
Summary:        %{summary}

%description -n python3-multipledispatch %_description


%prep
%autosetup -p1 -n multipledispatch-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files multipledispatch


%check
%pyproject_check_import
%tox

%files -n python3-multipledispatch -f %{pyproject_files}
%doc README.rst
