%define pypi_name multiprocess

Name:           python-%{pypi_name}
Version:        0.70.17
Release:        %mkrel 1
Summary:        Better multiprocessing and multithreading in python
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/multiprocess/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
multiprocessing is a package for the Python language which supports the
spawning of processes using the API of the standard library’s threading module.
multiprocessing has been distributed in the standard library since python 2.6.

%package -n     python3-%{pypi_name}
Summary:        Better multiprocessing and multithreading in python
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-testsuite
BuildRequires:  python3dist(pytest)
BuildRequires:  pyproject-rpm-macros

%description -n python3-%{pypi_name}
multiprocessing is a package for the Python language which supports the
spawning of processes using the API of the standard library’s threading module.
multiprocessing has been distributed in the standard library since python 2.6.

%prep
%autosetup -n multiprocess-%{version}
rm -rf multiprocess.egg-info

# Fix wrong end of file encoding
find py%{python3_version}/doc/ -name "*" -exec sed -i 's/\r$//' '{}' \;
find py%{python3_version}/examples/ -name "*" -exec sed -i 's/\r$//' '{}' \;

# remove shebang
sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' py%{python3_version}/multiprocess/tests/__main__.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files multiprocess _multiprocess

%check
export PYTHONPATH="$RPM_BUILD_ROOT/%{python3_sitearch}/:$RPM_BUILD_ROOT/%{python3_sitelib}/:."
pushd py%{python3_version}
# https://github.com/uqfoundation/multiprocess/blob/master/.travis.yml#L67
for test in multiprocess/tests/__init__.py; do echo $test ; %{__python3} $test > /dev/null; done
# These do not run properly in the build root: it cannot find the installed version even after PYTHONPATH is set
#for test in multiprocess/tests/*.py; do if [[ $test != *"__"* && $test != *"mp_"*  ]]; then echo $test ; %%{__python3} $test > /dev/null; fi; done
popd

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md LICENSE COPYING
