%global pypi_name munch

Name:               python-%{pypi_name}
Version:            4.0.0
Release:            %mkrel 2
Summary:            A dot-accessible dictionary (a la JavaScript objects)
Group:              Development/Python
License:            MIT
URL:                https://pypi.org/project/munch/
Source0:            %{pypi_source %{pypi_name}}
BuildArch:          noarch
BuildRequires:      pyproject-rpm-macros
BuildRequires:      python3-devel

%description
munch is a fork of David Schoonover's **Bunch** package, providing similar
functionality. 99% of the work was done by him, and the fork was made mainly
for lack of responsiveness for fixes and maintenance on the original code.

Munch is a dictionary that supports attribute-style access, a la JavaScript.

%package -n python3-%{pypi_name}
Summary:            A dot-accessible dictionary (a la JavaScript objects)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
munch is a fork of David Schoonover's **Bunch** package, providing similar
functionality. 99% of the work was done by him, and the fork was made mainly
for lack of responsiveness for fixes and maintenance on the original code.

Munch is a dictionary that supports attribute-style access, a la JavaScript.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove shebang to make rpmlint happy.
sed -i '/\/usr\/bin\/python/d' munch/__init__.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE.txt
