%define module	musicbrainzngs

Name:		python-%{module}
Version:	0.7.1
Release:	%mkrel 10
Summary:	Python bindings for MusicBrainz NGS webservice
Group:		Development/Python
License:	BSD and ISC
URL:		https://python-musicbrainzngs.readthedocs.org/
Source0:	https://pypi.io/packages/source/m/%{module}/%{module}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python3-pytest
BuildRequires:	locales-en

Obsoletes:	python2-musicbrainz2 < 0.7.4-14

%description
This library implements webservice bindings for the MusicBrainz NGS site,
also known as /ws/2.

For more information on the MusicBrainz webservice see:
  https://wiki.musicbrainz.org/XML_Web_Service

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 bindings for MusicBrainz NGS webservice
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This library implements Python 3 webservice bindings for the
MusicBrainz NGS site, also known as /ws/2.

For more information on the MusicBrainz webservice see:
  https://wiki.musicbrainz.org/XML_Web_Service

#------------------------------------------------

%prep
%setup -qn %{module}-%{version}

chmod a-x examples/*.py
sed -i '1{\@^#!/usr/bin/env python@d}' examples/*.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files musicbrainzngs

%check
%define enable_tests 1
%if %{enable_tests}
rm -rf musicbrainzngs
%pytest
%endif

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst docs examples
%license COPYING
