%define		pypi_name mutagen

Summary:	Audio tag tools
Name:		python-mutagen
Version:	1.47.0
Release:	%mkrel 4
License:	GPLv2+
Group:		Sound/Utilities
URL:		https://mutagen.readthedocs.io/
Source0:	https://github.com/quodlibet/mutagen/archive/release-%{version}/%{pypi_name}-%{version}.tar.gz
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(flake8)
BuildRequires:	python3dist(hypothesis)
BuildArch:	noarch

%description
Mutagen is an audio metadata tag reader and writer implemented in pure Python 3.
It supports reading ID3v1.1, ID3v2.2, ID3v2.3, ID3v2.4, APEv2, and FLAC, and
writing ID3v1.1, ID3v2.4, APEv2, and FLAC.

The goals are (in rough order of importance):
    * Read as many files as possible
    * Compatibility with as many other tag readers and editors as possible
    * Compliance with the relevant specifications
    * Written in Pythonic Python, with a Pythonic API
    * Unit and regression test suite
    * Provide access to all features of the supported formats
    * Easily extensible

%package -n python3-%{pypi_name}
Summary:	Audio tag tools
Group:		Sound/Utilities
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Mutagen is an audio metadata tag reader and writer implemented in pure Python.
It supports reading ID3v1.1, ID3v2.2, ID3v2.3, ID3v2.4, APEv2, and FLAC, and
writing ID3v1.1, ID3v2.4, APEv2, and FLAC.

The goals are (in rough order of importance):
    * Read as many files as possible
    * Compatibility with as many other tag readers and editors as possible
    * Compliance with the relevant specifications
    * Written in Pythonic Python, with a Pythonic API
    * Unit and regression test suite
    * Provide access to all features of the supported formats
    * Easily extensible

%prep
%autosetup -n %{pypi_name}-release-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mutagen

%check
export LANG=en_US.UTF-8
export LC_ALL=en_US.UTF-8
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc NEWS README.rst
%{_bindir}/*
%{_mandir}/man1/*
