# we don't want to provide private python extension libs
%global __provides_exclude_from %{python3_sitearch}/.*\\.so

%define srcname	mysqlclient

Summary:	Python interface to MySQL
Name:		python-mysql
Version:	2.2.0
Release:	%mkrel 3
License:	GPLv2
Group:		Development/Python
URL:		https://github.com/PyMySQL/mysqlclient-python
Source0:	https://pypi.io/packages/source/m/mysqlclient/%{srcname}-%{version}.tar.gz
BuildRequires: python3-devel
BuildRequires: mysql-devel
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(python3)

%description
Python interface to MySQL-3.2 and beyond
mysqlclient is a fork of MySQL-python

MySQLdb is an interface to the popular MySQL database server for Python.
The design goals are:

-     Compliance with Python database API version 2.0
-     Thread-safety
-     Thread-friendliness (threads will not block each other)
-     Compatibility with MySQL-3.23 and later

This module should be mostly compatible with an older interface written by Joe
Skinner and others. However, the older version is a) not thread-friendly, b)
written for MySQL 3.21, c) apparently t actively maintained. No code from that
version is used in MySQLdb. MySQLdb is free software.

%package -n python3-mysql
Group:		Development/Python
Summary:	Python3 interface to MySQL
%{?python_provide:%python_provide python3-mysql}

%description -n python3-mysql
Python3 interface to MySQL-3.2 and beyond
mysqlclient is a fork of MySQL-python

MySQLdb is an interface to the popular MySQL database server for Python.
The design goals are:

-     Compliance with Python database API version 2.0
-     Thread-safety
-     Thread-friendliness (threads will not block each other)
-     Compatibility with MySQL-3.23 and later

This module should be mostly compatible with an older interface written by Joe
Skinner and others. However, the older version is a) not thread-friendly, b)
written for MySQL 3.21, c) apparently t actively maintained. No code from that
version is used in MySQLdb. MySQLdb is free software.

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files MySQLdb

%files -n python3-mysql -f %{pyproject_files}
%doc README.md doc/*
%license LICENSE
