# Created by pyp2rpm-3.3.2
%global pypi_name nb2plots

Name:           python-%{pypi_name}
Version:        0.7.2
Release:        %mkrel 3
Summary:        Converting between ipython notebooks and sphinx docs
Group:          Development/Python
License:        BSD license
URL:            https://github.com/matthew-brett/nb2plots
Source0:        https://github.com/matthew-brett/nb2plots/archive/refs/tags/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3dist(scripttester)
BuildRequires:  python3dist(nbconvert)
BuildRequires:  python3dist(html5lib)
BuildRequires:  jupyter-nbconvert

%description
Convert Jupyter notebooks to ReST files for Sphinx, and back again. Nb2plots
assumes that the ReST document will become the source for your Sphinx web
pages, but also for future versions of the notebook. The notebook may serve as
a draft for the polished ReST page, and an output format from the Sphinx build.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
Convert Jupyter notebooks to ReST files for Sphinx, and back again. Nb2plots
assumes that the ReST document will become the source for your Sphinx web
pages, but also for future versions of the notebook. The notebook may serve as
a draft for the polished ReST page, and an output format from the Sphinx build.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nb2plots

%check
# 4 tests failing because we don not have pandoc
# to fix: scripts is still too large, only scripts/nb2plots should be excluded
%pytest -k "not small and not regression and not test_simple_cells and not scripts"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/nb2plots
%{_bindir}/rst2md
%{_bindir}/sphinx2md
%{_bindir}/sphinx2nb
%{_bindir}/sphinx2pxml
%{_bindir}/sphinx2py
