%global pypi_name ndg-httpsclient
%global srcname ndg_httpsclient

Name:           python-%{pypi_name}
Version:        0.5.1
Release:        %mkrel 8
License:        BSD
Summary:        Provides enhanced HTTPS support for httplib and urllib2 using PyOpenSSL
Group:          Development/Python
URL:            https://pypi.org/project/ndg-httpsclient/
Source:         %{pypi_source}
BuildArch:      noarch

%global common_desc                                                           \
A HTTPS client implementation for                                             \
 * httplib (Python 2), http.client (Python 3) and                             \
 * urllib2 (Python 2) and urllib (Python 3)                                   \
...based on PyOpenSSL. PyOpenSSL provides a more fully featured SSL           \
implementation over the default provided with Python and importantly enables  \
full verification of the SSL peer using pyasn1.

%description
%{common_desc}

%package -n ndg-httpsclient
Summary:        Provides enhanced HTTPS support for httplib and urllib2 using PyOpenSSL
Group:          Development/Python
Requires:       python3-ndg-httpsclient = %{version}-%{release}

%description -n ndg-httpsclient
%{common_desc}

This package contains the ndg_httpclient helper script.

%package -n python3-%{pypi_name}
Summary:        Provides enhanced HTTPS support for httplib and urllib2 using PyOpenSSL
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Obsoletes:      python3-ndg_httpsclient < 0.5.1-7
%{?python_provide:%python_provide python3-ndg-httpsclient}
%{?python_provide:%python_provide python3-ndg_httpsclient}

%description -n python3-%{pypi_name}
%{common_desc}

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-ndg-httpsclient
%{python3_sitelib}/*

%files -n ndg-httpsclient
%{_bindir}/ndg_httpclient
