# Created by pyp2rpm-3.3.5
%define pypi_name nest-asyncio
%define srcname nest_asyncio

Name:           python-%{pypi_name}
Version:        1.6.0
Release:        %mkrel 2
Summary:        Patch asyncio to allow nested event loops
Group:          Development/Python
License:        BSD
URL:            https://github.com/erdewit/nest_asyncio
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
By design asyncio does not allow its event loop to be nested. This presents a
practical problem: When in an environment where the event loop is already
running it is impossible to run tasks and wait for the result. Trying to do
so will give the error "RuntimeError: This event loop is already running". The
issue pops up in various environments, such as web servers, GUI applications
and in Jupyter notebooks. This module patches asyncio to allow nested use
of asyncio.run and loop.run_until_complete.


%package -n     python3-%{pypi_name}
Summary:        Patch asyncio to allow nested event loops
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
By design asyncio does not allow its event loop to be nested. This presents a
practical problem: When in an environment where the event loop is already
running it is impossible to run tasks and wait for the result. Trying to do
so will give the error "RuntimeError: This event loop is already running". The
issue pops up in various environments, such as web servers, GUI applications
and in Jupyter notebooks. This module patches asyncio to allow nested use
of asyncio.run and loop.run_until_complete.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
