%define module netaddr

Name:           python-%{module}
Version:        1.3.0
Release:        %mkrel 2
License:        BSD3c
Summary:        Pythonic manipulation of IPv4, IPv6, CIDR, EUI and MAC network addresses
Group:          Development/Python
Url:            https://github.com/drkjam/netaddr
Source:         https://pypi.python.org/packages/source/n/netaddr/%{module}-%{version}.tar.gz
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildArch:      noarch

%description
A pure Python network address representation and manipulation library.

netaddr provides a Pythonic way of working with:
    - IPv4 and IPv6 addresses and subnets (including CIDR notation);
    - MAC (Media Access Control) addresses in multiple formats;
    - IEEE EUI-64, OUI and IAB identifiers;
    - a user friendly IP glob-style format.

Included are routines for:
    - generating, sorting and summarizing IP addresses;
    - converting IP addresses and ranges between various different formats;
    - performing set based operations on groups of IP addresses and subnets;
    - arbitrary IP address range calculations and conversions;
    - querying IEEE OUI and IAB organisational information;
    - querying of IP standards related data from key IANA data sources.

%package -n python3-%{module}
Summary:        Pythonic manipulation of IPv4, IPv6, CIDR, EUI and MAC network addresses
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
A pure Python 3 network address representation and manipulation library.

netaddr provides a Pythonic way of working with:
    - IPv4 and IPv6 addresses and subnets (including CIDR notation);
    - MAC (Media Access Control) addresses in multiple formats;
    - IEEE EUI-64, OUI and IAB identifiers;
    - a user friendly IP glob-style format.

%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files netaddr

%files -n python3-%{module} -f %{pyproject_files}
%license COPYRIGHT.rst LICENSE.rst
%doc AUTHORS.rst CHANGELOG.rst README.rst
%{_bindir}/%{module}
