Name:           python-netcdf4
Version:        1.7.1
Release:        %mkrel 2
Summary:        Python/Numpy interface to netCDF

Group:          Development/Python
License:        MIT
URL:            https://github.com/Unidata/netcdf4-python
Source0:        https://github.com/Unidata/netcdf4-python/archive/v%{version}rel/%{name}-%{version}.tar.gz
# No rpath for library
# https://code.google.com/p/netcdf4-python/issues/detail?id=138
Patch0:         netcdf4-python-1.4.0-norpath.patch
Patch1:         netcdf4-python-linking.patch
BuildRequires:  pkgconfig(netcdf)

%description
netCDF version 4 has many features not found in earlier versions of the
library and is implemented on top of HDF5. This module can read and write
files in both the new netCDF 4 and the old netCDF 3 format, and can create
files that are readable by HDF5 clients. The API modeled after
Scientific.IO.NetCDF, and should be familiar to users of that module.

Most new features of netCDF 4 are implemented, such as multiple unlimited
dimensions, groups and zlib data compression. All the new numeric data types
(such as 64 bit and unsigned integer types) are implemented. Compound and
variable length (vlen) data types are supported, but the enum and opaque data
types are not. Mixtures of compound and vlen data types (compound types
containing vlens, and vlens containing compound types) are not supported.

%package -n python3-netcdf4
Summary:        Python3/numpy interface to netCDF
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
Requires:       python3dist(cython)
Requires:       %{_lib}netcdf-plugins
%{?python_provide:%python_provide python3-netcdf4}

%description -n python3-netcdf4
netCDF version 4 has many features not found in earlier versions of the
library and is implemented on top of HDF5. This module can read and write
files in both the new netCDF 4 and the old netCDF 3 format, and can create
files that are readable by HDF5 clients. The API modeled after
Scientific.IO.NetCDF, and should be familiar to users of that module.

Most new features of netCDF 4 are implemented, such as multiple unlimited
dimensions, groups and zlib data compression. All the new numeric data types
(such as 64 bit and unsigned integer types) are implemented. Compound and
variable length (vlen) data types are supported, but the enum and opaque data
types are not. Mixtures of compound and vlen data types (compound types
containing vlens, and vlens containing compound types) are not supported.

%prep
%autosetup -p1 -n netcdf4-python-%{version}rel

%generate_buildrequires
%pyproject_buildrequires

%build
export NETCDF_PLUGIN_DIR=%{_libdir}/hdf5/plugin
%pyproject_wheel

%install
export NETCDF_PLUGIN_DIR=%{_libdir}/hdf5/plugin
%pyproject_install
%pyproject_save_files netCDF4

# symlink identical plugins as they're copied during the build
rm -rf %{buildroot}%{python3_sitearch}/netCDF4/plugins/
ln -sf %{_libdir}/hdf5/plugin/  %{buildroot}%{python3_sitearch}/netCDF4/plugins
sed -i -e '/netCDF4\/plugins/d' %{pyproject_files}

%check
cd test
export NO_NET=1
PYTHONPATH=../build/lib.%{python3_platform}-cpython-%{python3_version_nodots} %{__python3} run_all.py || :

%files -n python3-netcdf4 -f %{pyproject_files}
%doc Changelog docs examples README.md
%{_bindir}/nc3tonc4
%{_bindir}/nc4tonc3
%{_bindir}/ncinfo
%{python3_sitearch}/netCDF4/plugins
