# Created by pyp2rpm-3.3.2
%global pypi_name nox

Name:           python-%{pypi_name}
Version:        2025.2.9
Release:        %mkrel 1
Summary:        Flexible test automation
Group:          Development/Python
License:        Apache Software License
URL:            https://nox.thea.codes
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(virtualenv)
BuildRequires:  python3dist(py)
BuildRequires:  python3dist(colorlog)
BuildRequires:  python3dist(argcomplete)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(hatchling)

%description
Nox - Flexible test automation for Python nox is a command-line tool that
automates testing in multiple Python environments, similar to tox_. Unlike tox,
Nox uses a standard Python file for configuration.The latest documentation is
available on Read the Docs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python2-nox-automation < 0.19.1-6
Obsoletes:      python3-nox-automation < 0.19.1-6
Provides:       python3-nox-automation = %{version}-%{release}
Requires:       python3dist(jinja2)
Requires:       python3dist(setuptools)
Requires:       python3dist(tox)

%description -n python3-%{pypi_name}
Nox - Flexible test automation for Python nox is a command-line tool that
automates testing in multiple Python environments, similar to tox_. Unlike tox,
Nox uses a standard Python file for configuration.The latest documentation is
available on Read the Docs.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/nox
%{_bindir}/tox-to-nox
