%global srcname num2words

# test requires network connection to an outside server
%global with_check 1

Name:           python-%{srcname}
Version:        0.5.13
Release:        %mkrel 3
Summary:        Modules to convert numbers to words
Group:          Development/Python

License:        GPLv3+
URL:            https://pypi.python.org/pypi/num2words
Source0:        https://pypi.python.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
num2words is a library that converts numbers like 42 to words like forty-two.
It supports multiple languages and can even generate ordinal numbers like
forty-second (although this last feature is a bit buggy for some languages
at the moment).

%package -n python3-%{srcname}
Summary:        Modules to convert numbers to words
%{?python_provide:%python_provide python3-%{srcname}}
Provides:	num2words = %{version}-%{release}
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(docopt)
BuildRequires:	python3dist(delegator.py)

%description -n python3-%{srcname}
num2words is a library that converts numbers like 42 to words like forty-two.
It supports multiple languages and can even generate ordinal numbers like
forty-second (although this last feature is a bit buggy for some languages
at the moment).

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files num2words

%if 0%{?with_check}
%check
%pytest
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING
%doc README.rst CHANGES.rst

%{_bindir}/num2words
