# Created by pyp2rpm-3.3.5
%global pypi_name numcodecs

Name:           python-%{pypi_name}
Version:        0.15.1
Release:        %mkrel 1
Summary:        A Python package providing buffer compression and transformation codecs for use in data storage and communication applications
Group:          Development/Python
License:        MIT
URL:            https://github.com/zarr-developers/numcodecs
Source0:        %{pypi_source}
## From Fedora
Patch:          0001-Unbundle-blosc.patch
Patch:          0002-Unbundle-zstd.patch
Patch:          0003-Unbundle-lz4.patch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(blosc)
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  python3-numpy-devel

%description
Numcodecs is a Python package providing buffer compression and transformation
codecs for use in data storage and communication applications.

This build is provided with disabled AVX2 support, and disabled SSE2 support
for 32bits architectures.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Numcodecs is a Python package providing buffer compression and transformation
codecs for use in data storage and communication applications.

This build is provided with disabled AVX2 support, and disabled SSE2 support
for 32bits architectures.

%pyproject_extras_subpkg -n python3-%{pypi_name} msgpack

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove bundled blosc
rm -rf c-blosc

%generate_buildrequires
%pyproject_buildrequires -x msgpack

%build
export DISABLE_NUMCODECS_AVX2=TRUE
%ifarch %arm %ix86
export DISABLE_NUMCODECS_SSE2=TRUE
%endif
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
