%define	module	numexpr
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

Summary: 	Fast numerical array expression evaluator for Python and NumPy
Name:		python-%{module}
Version:	2.10.1
Release:	%mkrel 2
License:	MIT
Group:		Development/Python
Url:		https://github.com/pydata/numexpr
Source0:	https://pypi.io/packages/source/n/%{module}/%{module}-%{version}.tar.gz
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-numpy-devel
BuildRequires:	python3-setuptools
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3dist(setuptools-scm)
BuildRequires:	python3dist(setuptools-scm[toml])
BuildRequires:	python3dist(wheel)
BuildRequires:	python3dist(pip)

%description
The numexpr package evaluates multiple-operator array expressions many
times faster than NumPy can. It accepts the expression as a string,
analyzes it, rewrites it more efficiently, and compiles it to faster
Python code on the fly. It's the next best thing to writing the
expression in C and compiling it with a specialized just-in-time (JIT)
compiler, i.e. it does not require a compiler at runtime.

%package -n python3-%{module}
Summary:	Fast numerical array expression evaluator for Python3 and NumPy
Group:		Development/Python
Requires:	python3-numpy
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
The numexpr package evaluates multiple-operator array expressions many
times faster than NumPy can. It accepts the expression as a string,
analyzes it, rewrites it more efficiently, and compiles it to faster
Python code on the fly. It's the next best thing to writing the
expression in C and compiling it with a specialized just-in-time (JIT)
compiler, i.e. it does not require a compiler at runtime.

%prep
%autosetup -n %{module}-%{version}

sed -i "s|/usr/bin/env |/usr/bin/|" %{module}/cpuinfo.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
pushd build/lib.*-*3*
%{python3} -c 'import numexpr; numexpr.test()'
popd

%files -n python3-%{module}
%doc ANNOUNCE.rst RELEASE_NOTES.rst README.rst
%license LICENSE.txt
%dir %{python3_sitearch}/%{module}
%{python3_sitearch}/%{module}/*
%{python3_sitearch}/%{module}-*.dist-info
