%global pypi_name numpydoc

Name:           python-numpydoc
Version:        1.8.0
Release:        %mkrel 2
Summary:        Sphinx extension to support docstrings in Numpy format
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/numpydoc
Source0:        %{pypi_source}
# Compatibility with sphinx 8
Patch1:         https://github.com/numpy/numpydoc/commit/1338660.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
following the Numpy/Scipy format to a form palatable to Sphinx.

%package -n python3-numpydoc
Summary:        Sphinx extension to support docstrings in Numpy format
Group:          Development/Python

%description -n python3-numpydoc
Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
following the Numpy/Scipy format to a form palatable to Sphinx.

%prep
%autosetup -p1 -n numpydoc-%{version}

# let's not measure coverage:
sed -i '/pytest-cov/d' requirements/test.txt pyproject.toml
sed -Ei 's/\s+--cov\S+//g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files numpydoc

%check
# Deselected tests need to download an inventory from docs.python.org
#pytest -k "not test_MyClass and not test_my_function"

%files -n python3-numpydoc -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/numpydoc
