%define srcname	odfpy

Name:		python-odf
Version:	1.4.2
Release:	%mkrel 3
Summary:	Python2 library for manipulating OpenDocument files
Group:		Development/Python
License:	GPLv2+
URL:		https://github.com/eea/odfpy/wiki
Source0:	https://github.com/eea/odfpy/archive/refs/tags/release-%{version}.tar.gz
BuildArch:	noarch

%description
Odfpy aims to be a complete API for OpenDocument in Python. Unlike
other more convenient APIs, this one is essentially an abstraction
layer just above the XML format. The main focus has been to prevent
the programmer from creating invalid documents. It has checks that
raise an exception if the programmer adds an invalid element, adds an
attribute unknown to the grammar, forgets to add a required attribute
or adds text to an element that doesn't allow it.

These checks and the API itself were generated from the RelaxNG
schema, and then hand-edited. Therefore the API is complete and can
handle all ODF constructions, but could be improved in its
understanding of data types.

%package -n python3-odf
Summary:	Python3 library for manipulating OpenDocument files
Group:		Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)
Recommends:	python-odf-tools
Recommends:	python-odf-doc
Provides:       python3-odf = %{version}-%{release}
Obsoletes:      python3-odfpy < 1.3.6-2
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-odf
Odfpy aims to be a complete API for OpenDocument in Python. Unlike
other more convenient APIs, this one is essentially an abstraction
layer just above the XML format. The main focus has been to prevent
the programmer from creating invalid documents. It has checks that
raise an exception if the programmer adds an invalid element, adds an
attribute unknown to the grammar, forgets to add a required attribute
or adds text to an element that doesn't allow it.

These checks and the API itself were generated from the RelaxNG
schema, and then hand-edited. Therefore the API is complete and can
handle all ODF constructions, but could be improved in its
understanding of data types.

%package -n python-odf-doc
Summary:	documentation and examples for python-odf and python3-odf
Group:		Development/Python

%description -n python-odf-doc
Odfpy is a library to read and write OpenDocument v. 1.1 files.

%package -n python-odf-tools
Summary:	Python API and tools to manipulate OpenDocument files
Group:		Development/Python
Requires:	python3-odf = %{version}-%{release}
Obsoletes:	python-odf < %{version}-%{release}
Obsoletes:      python3-odfpy < 1.3.6-2

%description -n python-odf-tools
Odfpy is a library to read and write OpenDocument v. 1.1 files.

%prep
%setup -q -n %{srcname}-release-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files odf

sed -i '/#!\/usr\/bin\/python/d' %{buildroot}%{python3_sitelib}/odf/*.py

%files -n python3-odf -f %{pyproject_files}


%files -n python-odf-doc
%doc examples contrib

%files -n python-odf-tools
%{_mandir}/man1/*
%{_bindir}/*

