%global pypi_name ofxparse

Name:           python-%{pypi_name}
Version:        0.21
Release:        %mkrel 5
Summary:        Python library for working with the OFX (Open Financial Exchange) file format
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/ofxparse/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
ofxparse is a parser for Open Financial Exchange (.ofx) format files. OFX files
are available from almost any online banking site, so they work well if you
want to pull together your finances from multiple sources. Online trading
accounts also provide account statements in OFX files.

%package -n python3-%{pypi_name}
Summary:        Python library for working with the OFX (Open Financial Exchange) file format
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python3-six
#for tests
BuildRequires:  python3-lxml
BuildRequires:  python3-soupsieve
Requires:       python3-beautifulsoup4
Requires:       python3-six

%description -n python3-%{pypi_name}
ofxparse is a parser for Open Financial Exchange (.ofx) format files. OFX files
are available from almost any online banking site, so they work well if you
want to pull together your finances from multiple sources. Online trading
accounts also provide account statements in OFX files.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ofxparse

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst AUTHORS
