%global pypi_name olefile

%global __pypi_default_extension zip

Name:           python-%{pypi_name}
Version:        0.47
Release:        %mkrel 3
Summary:        Python package to parse, read and write Microsoft OLE2 files
Group:		Development/Python

License:        BSD
URL:            https://pypi.python.org/pypi/olefile/
Source0:        %{pypi_source}
BuildArch:      noarch
# for docs
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description
olefile is a Python package to parse, read and write Microsoft OLE2 files (also
called Structured Storage, Compound File Binary Format or Compound Document
File Format), such as Microsoft Office 97-2003 documents, vbaProject.bin in MS
Office 2007+ files, Image Composer and FlashPix files, Outlook messages,
StickyNotes, several Microscopy file formats, McAfee antivirus quarantine
files, etc.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:		Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
olefile is a Python package to parse, read and write Microsoft OLE2 files (also
called Structured Storage, Compound File Binary Format or Compound Document
File Format), such as Microsoft Office 97-2003 documents, vbaProject.bin in MS
Office 2007+ files, Image Composer and FlashPix files, Outlook messages,
StickyNotes, several Microscopy file formats, McAfee antivirus quarantine
files, etc.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

make -C doc html SPHINXBUILD=sphinx-build-%python3_version
rm -rf doc/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files olefile

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} tests/test_olefile.py

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md doc/_build/html
%license doc/License.rst
