%global pypi_name openai

Name:           python-%{pypi_name}
Version:        1.53.0
Release:        %mkrel 2
Summary:        The official Python library for the openai API
Group:          Development/Python
License:        ASL
URL:            https://github.com/openai/openai-python
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(anyio)
BuildRequires:  python3dist(httpx)
BuildRequires:  python3dist(hatch-fancy-pypi-readme)
BuildRequires:  python3dist(jiter)

%description
The OpenAI Python library provides convenient access to the OpenAI REST API
from any Python 3.7+ application. The library includes type definitions for
all request params and response fields, and offers both synchronous and
asynchronous clients powered by httpx.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Provides:       %{pypi_name} = %{version}-%{release}
Provides:       sgpt = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The OpenAI Python library provides convenient access to the OpenAI REST API                                                 
from any Python 3.7+ application. The library includes type definitions for                                                 
all request params and response fields, and offers both synchronous and                                                     
asynchronous clients powered by httpx.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
 
%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/openai
