%global debug_package %nil

%global srcname PyOpenGL

Summary:	Python bindings for OpenGL
Name:		python-opengl
Version:	3.1.8
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		https://libraries.io/pypi/PyOpenGL
Source0:	https://github.com/mcfletch/pyopengl/archive/refs/tags/release-%{version}.tar.gz
Patch0:		0001-Pyopengl-fix-version-to-3.1.8.patch
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	swig
BuildRequires:	tcl
BuildRequires:	pkgconfig(tcl)
BuildRequires:	tk
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3-numpy-devel
BuildRequires:  python3-cython
Provides:	%{name}-doc
Requires:	glut

%description
Python bindings for OpenGL

%package	tk
Summary:	PyOpenGL Tk widget
Group:		System/Libraries
BuildArch:	noarch
Requires:	%{name} = %{version}
Requires:	tkinter

%description	tk
PyOpenGL Togl (Tk OpenGL widget) 1.6 support.

%package -n python3-opengl
Summary:	Python3 bindings for OpenGL
Group:		System/Libraries
Provides:	python3-opengl-doc
Requires:	glut
Requires:	python3dist(numpy)

%description -n python3-opengl
Python3 bindings for OpenGL

%package -n python3-opengl-tk
Summary:	PyOpenGL Tk widget
Group:		System/Libraries
BuildArch:	noarch
Requires:	python3-opengl = %{version}
Requires:	tkinter3

%description -n python3-opengl-tk
PyOpenGL Togl (Tk OpenGL widget) 1.6 support.

%prep
%autosetup -n pyopengl-release-%{version} -p1

%build
# Delete all Cython generated .c files to force a rebuild 
pushd accelerate/src
for f in *.pyx ; do
    rm -f "${f%.pyx}.c"
done
popd
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files OpenGL

%files -n python3-opengl -f %{pyproject_files}
%exclude %{python3_sitelib}/OpenGL/Tk

%files -n python3-opengl-tk
%{python3_sitelib}/OpenGL/Tk


