%global pypi_name python3-openid
%global module openid

Name:           python-%{module}
Version:        3.2.0
Release:        %mkrel 6
Summary:        Python 3 port of the python-openid library
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/necaris/python3-openid
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-django
BuildRequires:  python3-devel

# For tests
BuildRequires:  locales-en

%description
This started out as a fork of the Python OpenID library,
with changes to make it Python 3 compatible.

It's now a port of that library,
including cleanups and updates to the code in general.

%package -n python3-%{module}
Summary:        Python 3 port of the python-openid library
%{?python_provide:%python_provide python3-%{module}}
Requires:	python3dist(defusedxml)

%description -n python3-%{module}
This started out as a fork of the Python OpenID library,
with changes to make it Python 3 compatible.

It's now a port of that library,
including cleanups and updates to the code in general.

%prep
%setup -qn %{pypi_name}-%{version}


# replace env python shebangs with env python3
grep -Erl '^#!/usr/bin/env python$' | xargs \
sed -i -r '1 s|^#!/usr/bin/env python$|#!/usr/bin/env python3|g'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openid

# remove .po files
find %{buildroot} -name "*.po" -delete

%check
#LC_ALL=en_US.UTF-8 %%{__python3} admin/runtests

%files -n python3-%{module} -f %{pyproject_files}
%doc NEWS.md
%license LICENSE


