%global srcname openidc-client
%global pkgname openidc_client

Name:           python-%{srcname}
Version:        0.6.0
Release:        %mkrel 9
Summary:        Python OpenID Connect client with token caching and management
Group:          Development/Python
License:        MIT
URL:            https://github.com/puiterwijk/python-openidc-client
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}.

%package     -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-setuptools
BuildRequires:  python3-requests
Requires:       python3-requests

%description -n python3-%{srcname}
%{summary}.

Python 3 version.

%prep
%autosetup -n %{name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openidc_client

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING
%doc README.md

