# Created by pyp2rpm-3.3.2
%global pypi_name openstack-doc-tools

%bcond_without docs

# We don't have python-scrapy and it requires quite a few other packages
%bcond_with test

Name:           python-%{pypi_name}
Version:        3.3.1
Release:        %mkrel 7
Summary:        Tools for OpenStack Documentation
Group:          Development/Python
License:        ASL 2.0
URL:            https://www.openstack.org/
Source0:        %{pypi_source}
Patch0:         odt-3.3.1-requirement.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
%if %{with test}
BuildRequires:  python3dist(bashate)
BuildRequires:  python3dist(hacking)
BuildRequires:  python3dist(doc8)
BuildRequires:  python3dist(pylint)
BuildRequires:  python3dist(reno)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(testrepository)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(scrapy)
%endif
%if %{with docs}
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3dist(openstackdocstheme)
%endif

BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libexslt)

%description
Tools used by the OpenStack Documentation project.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Tools used by the OpenStack Documentation project.

%package -n python-%{pypi_name}-doc
Summary:        openstack-doc-tools documentation

%description -n python-%{pypi_name}-doc
Documentation for openstack-doc-tools.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files os_doc_tools

%if %{without test}
rm -rf %{buildroot}%{_datadir}/%{pypi_name}
%endif

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc doc/source/doc-tools-readme.rst doc/source/sitemap-readme.rst sitemap/README.rst README.rst
%{_bindir}/doc-tools-build-rst
%{_bindir}/doc-tools-check-languages

%if %with_docs
%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
%endif
