# Created by pyp2rpm-3.3.1
%global pypi_name openstackdocstheme

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 3
Summary:        OpenStack Docs Theme
Group:          Development/Python
License:        ASL 2.0
URL:            https://docs.openstack.org/openstackdocstheme/latest/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  git-core
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildConflicts: python3dist(hacking)
BuildRequires:  python3dist(dulwich)
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(certifi)
BuildRequires:  python3dist(cryptography)
BuildRequires:  python3-OpenSSL

%description
Theme and extension support for Sphinx documentation that is published to
docs.openstack.org and developer.openstack.org.

%package -n     python3-%{pypi_name}
Summary:        OpenStack Docs Theme
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Theme and extension support for Sphinx documentation that is published to
docs.openstack.org and developer.openstack.org.

%prep
%autosetup -n %{pypi_name}-%{version}

# Loosen reqs
perl -pi -e 's/!=/>/g' requirements.txt

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

cp -a openstackdocstheme/theme %{buildroot}%{python3_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html
%{_bindir}/docstheme-build-pdf
%{_bindir}/docstheme-build-translated.sh
%{_bindir}/docstheme-lang-display-name.py
