Name:           python-orjson
Version:        3.10.15
Release:        %mkrel 4
Summary:        Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy
License:        Apache-2.0, MIT
Group:          Development/Python
URL:            https://github.com/ijl/orjson/
#Source0:        https://pypi.io/packages/source/o/orjson/orjson-%%{version}.tar.gz
Source0:        https://github.com/ijl/orjson/archive/refs/tags/%{version}.tar.gz
Patch1:         orjson-cargo-drop-features.patch
BuildRequires:  cargo-rpm-macros

%description
orjson is a fast, correct JSON library for Python. It benchmarks as the fastest
Python library for JSON and is more correct than the standard json library or
other third-party libraries. It serializes dataclass, datetime, numpy, and UUID
instances natively.

%package -n python3-orjson
Summary:        Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy
%{?python_provide:%python_provide python3-orjson}
Provides:       bundled(crate(pyo3-build-config)) = 0.23.3
Provides:       bundled(crate(pyo3-ffi)) = 0.23.3

%description -n python3-orjson
orjson is a fast, correct JSON library for Python. It benchmarks as the fastest
Python library for JSON and is more correct than the standard json library or
other third-party libraries. It serializes dataclass, datetime, numpy, and UUID
instances natively.

%prep
%autosetup -n orjson-%{version}
%cargo_prep

# Remove strict dependencies
sed -Ei 's|(version = ")=|\1|' Cargo.toml

%generate_buildrequires
%pyproject_buildrequires
%cargo_generate_buildrequires

for dir in include/pyo3/*/; do
  pushd $dir > /dev/null
  %cargo_generate_buildrequires
  popd > /dev/null
done

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files orjson

%files -n python3-orjson -f %{pyproject_files}
%license LICENSE*
%doc README.md
