%global pypi_name os-client-config

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 7
Group:          Development/Python
Summary:        OpenStack Client Configuration Library
License:        ASLv2
URL:            https://www.openstack.org/
Source0:        https://pypi.io/packages/o/os-client-config/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
`os-client-config` is a library for collecting client configuration for
using an OpenStack cloud in a consistent and comprehensive manner. It
will find cloud config for as few as 1 cloud and as many as you want to
put in a config file. It will read environment variables and config files,
and it also contains some vendor specific default values so that you don't
have to know extra info to use OpenStack.

%package -n python3-%{pypi_name}
Summary:        OpenStack Client Configuration Library
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(pbr)

%description -n python3-%{pypi_name}
`os-client-config` is a library for collecting client configuration for
using an OpenStack cloud in a consistent and comprehensive manner. It
will find cloud config for as few as 1 cloud and as many as you want to
put in a config file. It will read environment variables and config files,
and it also contains some vendor specific default values so that you don't
have to know extra info to use OpenStack

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files os_client_config

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
