# Created by pyp2rpm-3.3.8
%global pypi_name osc-lib

Name:           python-%{pypi_name}
Version:        3.0.1
Release:        %mkrel 2
Summary:        OpenStackClient Library
Group:          Development/Python
License:        None
URL:            https://docs.openstack.org/osc-lib/latest/
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(cliff)
BuildRequires:  python3dist(keystoneauth1)
BuildRequires:  python3dist(openstacksdk)
BuildRequires:  python3dist(oslo-i18n)
BuildRequires:  python3dist(oslo-utils)
BuildRequires:  python3dist(simplejson)
BuildRequires:  python3dist(stevedore)
# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(sphinxcontrib-apidoc)
# tests
BuildRequires:  python3dist(osprofiler)
BuildRequires:  python3dist(testtools)
BuildRequires:  python3dist(testrepository)
BuildRequires:  python3dist(stestr)
BuildRequires:  python3dist(requests-mock)
BuildRequires:  python3dist(oslotest)
BuildRequires:  python3dist(coverage)

%description
osc-libOpenStackClient (aka OSC) is a command-line client for OpenStack.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
osc-libOpenStackClient (aka OSC) is a command-line client for OpenStack.

%prep
%autosetup -n %{pypi_name}-%{version}

# relax reqs
sed -i -e '/pbr/s/!=/>/g' requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files osc_lib

%check
PYTHON=%{__python3} stestr run --exclude-regex "(.*test_add_tag_option_to_parser_for_unset|.*test_add_tag_filtering_option_to_parser|.*test_add_tag_option_to_parser_for_create|.*test_add_tag_option_to_parser_for_set)"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc html
