%global pypi_name oslo-config
%global srcname oslo.config

Name:           python-%{pypi_name}
Version:        9.4.0
Release:        %mkrel 2
Summary:        Oslo configuration API
Group:          Development/Python
License:        MIT
URL:            https://www.openstack.org/
Source0:        https://pypi.python.org/packages/source/o/oslo.config/oslo.config-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)

%description
The Oslo configuration API supports parsing command line arguments
and .ini style configuration files.

%package -n     python3-%{pypi_name}
Summary:        Oslo configuration API
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The Oslo configuration API supports parsing command line arguments
and .ini style configuration files.

%prep
%setup -q -n oslo.config-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oslo_config

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{_bindir}/oslo-config-generator
%{_bindir}/oslo-config-validator

