# Created by pyp2rpm-3.3.8
%global pypi_name oslo-context

Name:           python-%{pypi_name}
Version:        5.7.1
Release:        %mkrel 1
Summary:        Oslo Context library
Group:          Development/Python
License:        None
URL:            https://docs.openstack.org/oslo.context/latest/
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/oslo_context-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-tox
BuildRequires:  python3-tox-current-env
BuildRequires:  python3dist(pbr)
# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(debtcollector)
# Tests
BuildRequires:  python3dist(pre-commit)
BuildRequires:  python3dist(bandit)
BuildRequires:  python3dist(stestr)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(oslotest)
BuildRequires:  python3dist(mypy)
BuildRequires:  python3dist(hacking)
# BuildRequires:  python3-fixtures

%description
The Oslo context library has helpers to maintain useful information about a
request context. The request context is usually populated in the WSGI pipeline
and used by various modules such as logging.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The Oslo context library has helpers to maintain useful information about a
request context. The request context is usually populated in the WSGI pipeline
and used by various modules such as logging.

%prep
%autosetup -n oslo_context-%{version} -p1

# relax reqs
sed -i -e 's/pbr!=2.1.0,>=/pbr>/g' requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files oslo_context

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc html
