# Created by pyp2rpm-3.3.8
%global pypi_name oslo-log

Name:           python-%{pypi_name}
Version:        7.1.0
Release:        %mkrel 1
Summary:        oslo.log library
Group:          Development/Python
License:        None
URL:            https://docs.openstack.org/oslo.log/latest
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/oslo_log-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
# Docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(oslo-config)
BuildRequires:  python3dist(openstackdocstheme)
# Tests
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(python-dateutil)
BuildRequires:  python3dist(pyinotify)
BuildRequires:  python3dist(oslo-serialization)
BuildRequires:  python3dist(oslo-context)
BuildRequires:  python3dist(pre-commit)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(bandit)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(oslotest)
BuildRequires:  python3dist(stestr)
BuildRequires:  python3dist(hacking)
BuildRequires:  python3dist(eventlet)

%description
The oslo.log (logging) configuration library provides standardized
configuration for all openstack projects. It also provides custom formatters,
handlers and support for context specific logging (like resource id’s etc).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The oslo.log (logging) configuration library provides standardized
configuration for all openstack projects. It also provides custom formatters,
handlers and support for context specific logging (like resource id’s etc).

%prep
%autosetup -p1 -n oslo_log-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files oslo_log

%check
%tox


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%doc html
%{_bindir}/convert-json
