%global srcname oslotest

Name:           python-%{srcname}
Version:        5.0.0
Release:        %mkrel 2
Summary:        Oslo Test API

Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/oslotest/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  git-core
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)
# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(oslosphinx) >= 2.2.0
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(sphinxcontrib-apidoc)

%description
The Oslo test API.

%package -n     python3-%{srcname}
Summary:        Oslo Test API
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-oslo-test}
Obsoletes:      python3-oslo-test < 4.5.0-3

%description -n python3-%{srcname}
The Oslo test API.

%prep
%setup -q -n oslotest-%{version}

%build
%pyproject_wheel

# generate html docs
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{srcname}

mv %{buildroot}%{_bindir}/oslo_debug_helper %{buildroot}%{_bindir}/python3-oslo_debug_helper
mv %{buildroot}%{_bindir}/oslo_run_cross_tests %{buildroot}%{_bindir}/python3-oslo_run_cross_tests
mv %{buildroot}%{_bindir}/oslo_run_pre_release_tests %{buildroot}%{_bindir}/python3-oslo_run_pre_release_tests

%files -n python3-%{srcname} -f %{pyproject_files}
%doc html README.rst
%{_bindir}/python3-oslo_*
