# what it's called on pypi
%global pypi_name outcome
# what it's imported as
%global libname outcome
# name of egg info directory
%global eggname outcome
# package name fragment
%global pkgname outcome

%global _description \
Outcome provides a function for capturing the outcome of a Python function\
call, so that it can be passed around.

%bcond_without tests

Name:       python-%{pkgname}
Version:    1.3.0.post0
Release:    %mkrel 2
Summary:    Capture the outcome of Python function calls
License:    MIT or ASL 2.0
Group:      Development/Python
URL:        https://pypi.org/project/outcome/
Source0:    %pypi_source
BuildArch:  noarch

%description %{_description}

%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}
Group:      Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-asyncio
BuildRequires:  python%{python3_pkgversion}-async-generator
BuildRequires:  python%{python3_pkgversion}-attrs
%endif
Requires:       python%{python3_pkgversion}-attrs
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}


%description -n python%{python3_pkgversion}-%{pkgname} %{_description}


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files outcome

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} --verbose
%endif


%files -n python%{python3_pkgversion}-%{pkgname} -f %{pyproject_files}
%license LICENSE LICENSE.MIT LICENSE.APACHE2
%doc README.rst

