# Works with either ElementTree or python-lxml
%define modname OWSLib
%define module  owslib

Name:           python-%{module}
Version:        0.28.1
Release:        %mkrel 3
Summary:        Client library for OGC web services
Group:          Development/Python
License:        BSD
URL:            https://geopython.github.io/OWSLib
Source0:        https://pypi.io/packages/source/o/owslib/%{modname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Package for client programming with Open Geospatial Consortium (OGC) web
service (hence OWS) interface standards, and their related content models.

%package -n     python3-%{module}
Summary:        Client library for OGC web services
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Package for client programming with Open Geospatial Consortium (OGC) web
service (hence OWS) interface standards, and their related content models.

This is the Python 3 version of %{modname}.

%prep
%setup -q -n %{modname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files owslib

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst CHANGES.rst AUTHORS.rst
