%global pypi_name pandas-datareader
%define gitdate 20231024
%define gitcommit a1cf7a20fe03dd63e930fa5ca1311a57897c9ddd

%global common_description                                                   \
Data readers extracted from the pandas codebase, should be compatible with   \
recent pandas versions.

Name:       python-%{pypi_name}
Version:    0.10.0
Release:    %mkrel %{gitdate}.2
Summary:    Data readers from the pandas codebase
License:    BSD
Group:      Development/Python

URL: https://github.com/pydata/pandas-datareader
Source0:   https://github.com/pydata/pandas-datareader/archive/%{pypi_name}.tar.xz

BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: git

%description
%{common_description}

%package -n python3-%{pypi_name}
Summary: %{summary}

# # For testing
BuildRequires: python3-pytest
# BuildRequires: python3-numpy
# BuildRequires: python3-pandas
# BuildRequires: python3-requests
BuildRequires: python3-wrapt

#Requires: python3-requests-file
#Requires: python3-requests-ftp

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{common_description}

%prep
%autosetup -n %{pypi_name}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pandas_datareader

rm -Rf %{buildroot}%{python3_sitelib}/docs

%check
# Avoid writing bad pyc files during testing
export PYTHONDONTWRITEBYTECODE=1
export PYTEST_ADDOPTS='-p no:cacheprovider'
# Run tests in source code dir, some tests are not installed

pushd %{buildroot}/%{python3_sitelib}
 pytest-%{python3_version} -v pandas_datareader || :
popd

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
