%define pypi_name pandas

%global _disable_ld_no_undefined 1

Name:           python-pandas
Version:        2.2.3
Release:        %mkrel 1
Group:          Development/Python
Summary:        Powerful data structures for data analysis, time series,and statistics
License:        BSD
URL:            https://pypi.org/project/pandas/
Source0:        %{pypi_source}

#(eatdirt) added based on pyproject_buildrequires without the
#unsatisfiable version contraints
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(meson)
BuildRequires:  python3dist(meson-python)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(versioneer)
BuildRequires:  python3dist(versioneer[toml])

%description
pandas is a Python package providing fast, flexible, and expressive data
structures designed to make working with structured (tabular, multidimensional,
potentially heterogeneous) and time series data both easy and intuitive. It
aims to be the fundamental high-level building block for doing practical, real
world data analysis in Python.

%package -n python3-pandas
Summary:	Powerful data structures for data analysis, time series,and statistics

%description -n python3-pandas
pandas is a Python package providing fast, flexible, and expressive data
structures designed to make working with structured (tabular, multidimensional,
potentially heterogeneous) and time series data both easy and intuitive. It
aims to be the fundamental high-level building block for doing practical, real
world data analysis in Python.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
#(eatdirt) too strong versionning constraints
#pyproject_buildrequires -w

%build
%set_build_flags
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pandas

%files -n python3-pandas -f %{pyproject_files}
%doc README.md
