%define         pypi_name parallax

Name:           python-parallax
Version:        1.0.6
Release:        %mkrel 5
Summary:        Execute commands and copy files over SSH to multiple machines at once
License:        BSD-3-Clause
Group:          Development/Python
Url:            https://github.com/krig/parallax/
Source:         https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Parallax SSH provides an interface to executing commands on multiple
nodes at once using SSH. It also provides commands for sending and receiving files to
multiple nodes using SCP.

%package -n python3-%{pypi_name}
Summary:        Execute commands and copy files over SSH to multiple machines at once
BuildRequires:  python3-devel
BuildArch:      noarch
Requires:       openssh
Requires(post): update-alternatives
Requires(postun): update-alternatives
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Parallax SSH provides an interface to executing commands on multiple
nodes at once using SSH. It also provides commands for sending and receiving files to
multiple nodes using SCP.

This is the Python 3 package.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files parallax

# create a dummy target for /etc/alternatives/parallax-askpass
mv %{buildroot}%{_bindir}/parallax-askpass %{buildroot}%{_bindir}/parallax-askpass-%python3_version
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
touch %{buildroot}%{_sysconfdir}/alternatives/parallax-askpass
ln -s -f %{_sysconfdir}/alternatives/parallax-askpass %{buildroot}%{_bindir}/parallax-askpass

%post -n python3-%{pypi_name}
"%_sbindir/update-alternatives" --install \
   /%{_bindir}/parallax-askpass parallax-askpass %{_bindir}/parallax-askpass-%python3_version 20

%postun -n python3-%{pypi_name}
if [ "$1" = 0 ] ; then
   "%_sbindir/update-alternatives" --remove parallax-askpass %{_bindir}/parallax-askpass-%python3_version
fi

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS README.md COPYING
%{_bindir}/parallax-askpass
%{_bindir}/parallax-askpass-%python3_version
%ghost %_sysconfdir/alternatives/parallax-askpass
