%define pypi_name paramiko

# disable tests, pytest-relaxed which we don't have and even
# if we would have it, it needs pytests < 3.3
%bcond_with tests

Summary:       SSH2 protocol for Python
Name:          python-%{pypi_name}
Version:       3.5.1
Release:       %mkrel 1
Url:           https://github.com/paramiko/paramiko/
License:       LGPLv2+
Group:         Development/Python
Source0:       %{pypi_source}
BuildArch:     noarch
BuildRequires: pyproject-rpm-macros
BuildRequires: pkgconfig(python3)

%description
Paramiko is a pure-Python implementation of the SSHv2 protocol, providing both
client and server functionality. It provides the foundation for the high-level
SSH library Fabric, which is what we recommend you use for common client
use-cases such as running remote shell commands or transferring files.

Direct use of Paramiko itself is only intended for users who need
advanced/low-level primitives or want to run an in-Python sshd.


%package -n python3-%{pypi_name}
Group:         Development/Python
Summary:       SSH2 protocol library for python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Paramiko is a pure-Python implementation of the SSHv2 protocol, providing both
client and server functionality. It provides the foundation for the high-level
SSH library Fabric, which is what we recommend you use for common client
use-cases such as running remote shell commands or transferring files.

Direct use of Paramiko itself is only intended for users who need
advanced/low-level primitives or want to run an in-Python sshd.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files paramiko

%if %{with tests}
%check
# Remove sftp test
rm -f tests/test_sftp*.py
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version}
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
