%global realname parsedatetime

Name:           python-%{realname}
Version:        2.6
Release:        %mkrel 5
Summary:        Parse human-readable date/time strings in Python

Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/bear/%{realname}
Source0:        https://github.com/bear/%{realname}/archive/v%{version}.tar.gz#/%{realname}-%{version}.tar.gz

BuildArch:      noarch

# Since the tests are actually broken, don't require test-related packages now.
# As soon as the tests get fixed, we'll also have to import python*-pytest-cov.
BuildRequires:  python3-devel

%description
parsedatetime is a python module that can parse human-readable date/time
strings.

%package doc
Summary:       Documentation for the parsedatetime python module

%description doc
This package contains the generated HTML documentation for the 
parsedatetime python module

%package -n python3-%{realname}
Summary:        Parse human-readable date/time strings in Python
Group:          Development/Python
%{?python_provide:%python_provide python3-%{realname}}

%description -n python3-%{realname}
parsedatetime is a python module that can parse human-readable date/time
strings.

%prep
%setup -q -n %{realname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files parsedatetime
# It makes no sense to ship all these tests in the package
# just use them during the build
rm -rf %{buildroot}%{python3_sitelib}/%{realname}/tests

%files -n python3-%{realname} -f %{pyproject_files}
%license LICENSE.txt
%doc AUTHORS.txt CHANGES.txt README.rst
