# Created by pyp2rpm-3.3.2
%global pypi_name parsel

# tests broken with libxml2 > 2.9.10
%bcond_without check

%bcond_without docs

Name:           python-%{pypi_name}
Version:        1.8.1
Release:        %mkrel 2
Summary:        Parsel is a library to extract data from HTML and XML using XPath and CSS selectors
Group:          Development/Python
License:        BSD
URL:            https://github.com/scrapy/parsel
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-notfound-page)
%endif

%description
Parsel is a library to extract data from HTML and XML using XPath and CSS
selectors.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
Parsel is a library to extract data from HTML and XML using XPath and CSS
selectors.

%package -n python-%{pypi_name}-doc
Summary:        parsel documentation

%description -n python-%{pypi_name}-doc
Documentation for parsel

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files parsel

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%if %{with docs}
%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
%endif
