%define module	parso

Name:		python-%{module}
Version:	0.8.4
Release:	%mkrel 2
Summary:	A Python Parser
Group:		Development/Python
License:	MIT
URL:		https://github.com/davidhalter/parso
Source0:	%{pypi_source %{module}}
BuildArch:	noarch

%description
Parso is a Python parser that supports error recovery and round-trip
parsing for different Python versions (in multiple Python versions).
Parso is also able to list multiple syntax errors in your python file.

Parso has been battle-tested by jedi. It was pulled out of jedi to be
useful for other projects as well.

Parso consists of a small API to parse Python and analyse the syntax
tree.

%package -n	python3-%{module}
Summary:	A Python 3 Parser
Group:		Development/Python
BuildArch:	noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Parso is a Python 3 parser that supports error recovery and round-trip
parsing for different Python versions (in multiple Python versions).
Parso is also able to list multiple syntax errors in your python file.

Parso has been battle-tested by jedi. It was pulled out of jedi to be
useful for other projects as well.

Parso consists of a small API to parse Python and analyse the syntax
tree.

%prep
%setup -q -n %{module}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files parso

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGELOG.rst README.rst
%license LICENSE.txt
