%define srcname pyparted

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

Summary: 	Python module for GNU parted
Name:    	python-parted
Version: 	3.11.7
Release: 	%mkrel 5
License: 	GPLv2+
Group:   	Development/Python
URL:     	https://github.com/dcantrell/pyparted
Source0: 	%{pypi_source}

BuildRequires: 	python3-devel
BuildRequires: 	pkgconfig(python3)
BuildRequires: 	pkgconfig(libparted) >= 3.1-14

%description
Python module for the parted library. It is used for manipulating
partition tables.

%package -n python3-parted
Summary:	Python 3 module for GNU parted
Group:		Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-parted}

%description -n python3-parted
Python module for the parted library.  It is used for manipulating
partition tables. This package provides Python 3 bindings for parted.

%files -n python3-parted
%license COPYING
%doc AUTHORS NEWS README TODO
%{python3_sitearch}/_ped.*.so
%{python3_sitearch}/parted
%{python3_sitearch}/%{srcname}-*.dist-info

%prep
%setup -q -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

# Remove .la file
find %{buildroot} -name "*.la" -delete
