%define pypi_name passlib

Name:		python-%{pypi_name}
Version:	1.7.4
Release:	%mkrel 6
Summary:	Comprehensive password hashing framework supporting over 20 schemes
Group:		Development/Python

License:	BSD and Beerware and Copyright only
URL:		https://pypi.org/project/passlib/
Source0:	%{pypi_source}

BuildArch:	noarch
BuildRequires:  python3-devel

%description
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 20 password hashing algorithms,
as well as a framework for managing existing password hashes. It's
designed to be useful for a wide range of tasks, from verifying a hash
found in /etc/shadow, to providing full-strength password hashing for
multi-user application.

%package -n python3-%{pypi_name}
Summary:	%{summary}
Group:		Development/Python
%{?python_provide:%python_provide python3-passlib}

%description -n python3-passlib
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 20 password hashing algorithms,
as well as a framework for managing existing password hashes. It's
designed to be useful for a wide range of tasks, from verifying a hash
found in /etc/shadow, to providing full-strength password hashing for
multi-user application.


%prep
%setup -q -n passlib-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files passlib


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE README
