%define pypi_name paste

Name:           python-%{pypi_name}
Version:        3.10.1
Release:        %mkrel 2
Summary:        Tools for using a Web Server Gateway Interface stack
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/Paste/
Source0:        %{pypi_source}
BuildArch:      noarch
# for docs
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)
# tests
BuildRequires:  python3dist(pytest-runner)

%description
These provide several pieces of "middleware" (or filters) that can be nested to
build web applications.  Each piece of middleware uses the WSGI (PEP 333)
interface, and should be compatible with other middleware based on those
interfaces.

%package -n     python3-%{pypi_name}
Summary:        Tools for using a Web Server Gateway Interface stack
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
These provide several pieces of "middleware" (or filters) that can be nested to
build web applications.  Each piece of middleware uses the WSGI (PEP 333)
interface, and should be compatible with other middleware based on those
interfaces.

%prep
%setup -q -n %{pypi_name}-%{version}

sed -i -e '/^#!.*/,1 d' paste/util/scgiserver.py paste/debug/doctest_webapp.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

sphinx-build-3 -b html docs html
rm -f html/.buildinfo

%install
%pyproject_install
%pyproject_save_files paste

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html/
%{python3_sitelib}/Paste-%{version}-py%{python3_version}-nspkg.pth
