%global pypi_name path

Name:           python-path
Version:        17.1.0
Release:        %mkrel 1
Summary:        Python module wrapper for os.path
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/path
Source0:        %pypi_source
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(more-itertools)
BuildRequires:  python3dist(setuptools-scm[toml]) >= 3.4.1
BuildRequires:  python3dist(wheel)


%generate_buildrequires
%pyproject_buildrequires 

%description
path.py implements path objects as first-class entities, allowing common
operations on files to be invoked on those path objects directly.

%package    -n python3-path
Summary:        %{summary}
%{?python_provide:%python_provide python3-path}

%description -n python3-path
path.py implements path objects as first-class entities, allowing common
operations on files to be invoked on those path objects directly.


%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files path

%check
%pytest

%files -n python3-path -f %pyproject_files
