%global pypi_name pathspec

%bcond_with check

Name:           python-%{pypi_name}
Version:        0.12.1
Release:        %mkrel 2
Summary:        Utility library for gitignore style pattern matching of file paths
Group:          Development/Python
License:        MPL 2.0
URL:            https://pypi.org/project/pathspec/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.


%prep
%autosetup -n pathspec-%{version}

#loosen flit_core reqs
sed -i -e '/^requires/s!\"\(flit_core\s*\).*\"!\"\1>=3.2\"!' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pathspec

%if %{with check}
%check
%pytest
%endif

%files -n python3-pathspec -f %{pyproject_files} -f %{pyproject_files}
%doc README.rst
%license LICENSE
