%define module	pathtools

Name:		python-%{module}
Version:	0.1.2
Release:	%mkrel 12
Summary:	Pattern matching and various utilities for file systems paths
Group:		Development/Python
License:	MIT
URL:		https://github.com/gorakhargosh/pathtools
Source0:	https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz
# reported: https://github.com/gorakhargosh/pathtools/issues/13
Patch0:		pathtools-0.1.2-version_imp.patch

BuildArch:	noarch

%description
%{name} is a Python API library for common path
and pattern functionality.

%package -n	python3-%{module}
Summary:	Pattern matching and various utilities for file systems paths
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
%{name} is a Python 3 API library for common path
and pattern functionality.

%prep
%autosetup -p1 -n %{module}-%{version}


# remove hashbang from lib's files
sed -i -e '/#!\//d' pathtools/*.py

# replace the marker from the imp-removal patch with the real version
sed -i -e "s,||VERSION||,'%{version}',g" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pathtools

%files -n python3-%{module} -f %{pyproject_files}
%doc AUTHORS README
%license LICENSE
