# Created by pyp2rpm-3.3.4
%global pypi_name patiencediff

%bcond_without check

Name:           python-%{pypi_name}
Version:        0.2.15
Release:        %mkrel 2
Summary:        Python implementation of the patiencediff algorithm
Group:          Development/Python
License:        GNU GPLv2 or later
URL:            https://www.breezy-vcs.org/
Source0:        %{pypi_source}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
This package contains the implementation of the patiencediff algorithm, as
first described by Bram Cohen.

Like Python’s difflib, this module provides both a convenience unified_diff
function for the generation of unified diffs of text files as well as a
SequenceMatcher that can be used on arbitrary lists.

Patiencediff provides a good balance of performance, nice output for humans,
and implementation simplicity.

The code in this package was extracted from the Bazaar code base.

The package comes with two implementations:

- A Python implementation (_patiencediff_py.py);
  this implementation only requires a Python interpreter and is the more
  readable version of the two.
- A C implementation implementation (_patiencediff_c.c);
  this implementation is faster, but requires a C compiler and is less
  readable.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package contains the implementation of the patiencediff algorithm, as
first described by Bram Cohen.

Like Python’s difflib, this module provides both a convenience unified_diff
function for the generation of unified diffs of text files as well as a
SequenceMatcher that can be used on arbitrary lists.

Patiencediff provides a good balance of performance, nice output for humans,
and implementation simplicity.

The code in this package was extracted from the Bazaar code base.

The package comes with two implementations:

- A Python implementation (_patiencediff_py.py);
  this implementation only requires a Python interpreter and is the more
  readable version of the two.
- A C implementation implementation (_patiencediff_c.c);
  this implementation is faster, but requires a C compiler and is less
  readable.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files patiencediff

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/patiencediff
