%define pypi_name pbr

%bcond_with docs

Name:           python-%{pypi_name}
Version:        6.1.1
Release:        %mkrel 1
Summary:        Python Build Reasonableness
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pbr
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
%endif

%description
PBR is a library that injects some useful and sensible default behaviors into
your setuptools run. It started off life as the chunks of code that were copied
between all of the OpenStack projects. Around the time that OpenStack hit 18
different projects each with at least 3 active branches, it seems like a good
time to make that code into a proper re-usable library.

%package -n python3-%{pypi_name}
Summary:        Python Build Reasonableness
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PBR is a library that injects some useful and sensible default behaviors into
your setuptools run. It started off life as the chunks of code that were copied
between all of the OpenStack projects. Around the time that OpenStack hit 18
different projects each with at least 3 active branches, it seems like a good
time to make that code into a proper re-usable library.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
PYTHONPATH=$(pwd) sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files pbr

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif

%{_bindir}/pbr
