%define pypi_name pdfminer-six
%define srcname pdfminer.six

Name:           python-%{pypi_name}
Version:        20240706
Release:        %mkrel 1
Summary:        PDF parser and analyzer
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pdfminer.six
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Pdfminer.six is a community maintained fork of the original PDFMiner. It is a
tool for extracting information from PDF documents. It focuses on getting and
analyzing text data. Pdfminer.six extracts the text from a page directly from
the sourcecode of the PDF. It can also be used to get the exact location, font
or color of the text.

%package -n     python3-%{pypi_name}
Summary:        PDF parser and analyzer for Python
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-pdfminer}
Obsoletes:      python3-%{srcname} < 20221105-2

%description -n python3-%{pypi_name}
Pdfminer.six is a community maintained fork of the original PDFMiner. It is a
tool for extracting information from PDF documents. It focuses on getting and
analyzing text data. Pdfminer.six extracts the text from a page directly from
the sourcecode of the PDF. It can also be used to get the exact location, font
or color of the text.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pdfminer

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/dumppdf.py
%{_bindir}/pdf2txt.py
