# Created by pyp2rpm-3.3.3
%global pypi_name peewee

Name:           python-%{pypi_name}
Version:        3.17.9
Release:        %mkrel 1
Summary:        A little orm
Group:          Development/Python
License:        MIT License
URL:            https://github.com/coleifer/%{pypi_name}
# fails to build with pypi_source, so use official source tarball
Source0:        https://github.com/coleifer/%{pypi_name}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
Patch0:         peewee-linking.patch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(flask)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(sqlcipher)
# for tests
BuildRequires:	python3dist(apsw)
BuildRequires:	python3dist(psycopg2)

%description
Peewee is a simple and small ORM. It has few (but expressive) concepts, making
it easy to learn and intuitive to use.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Peewee is a simple and small ORM. It has few (but expressive) concepts, making
it easy to learn and intuitive to use.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files peewee playhouse pwiz

%check
%{python3} runtests.py -e sqlite

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst playhouse/README.md
%doc html
%{_bindir}/pwiz.py
