# this specfile is inspired from fedoras'one.
# but I choose not to use git sources, I prefer using tarball
%define tarname pep8
%define fname %{tarname}

Name:           python-%{tarname}
Version:        1.7.1
Release:        %mkrel 10
Summary:        Python style guide checker

Group:          Development/Python
# License is held in the comments of pep8.py
# setup.py claims license is Expat license, which is the same as MIT
License:        MIT
URL:            https://github.com/jcrocholl/pep8
Source0:        https://files.pythonhosted.org/packages/source/p/%{fname}/%{fname}-%{version}.tar.gz
# Patch from Debian to pass tests
Patch0:         python3.7.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description
pep8 is a tool to check your Python code against some of the style conventions
in PEP 8. It has a plugin architecture, making new checks easy, and its output
is parseable, making it easy to jump to an error location in your editor.

# Python 3 package
%package -n python3-pep8
Summary:    Python style guide checker
%{?python_provide:%python_provide python3-pep8}

%description -n python3-pep8
pep8 is a tool to check your Python code against some of the style
conventions in PEP 8. It has a plugin architecture, making new checks
easy, and its output is parseable, making it easy to jump to an error
location in your editor.

%prep
%setup -qn %{tarname}-%{version}
%autopatch -p1

# Remove #! from pep8.py
sed --in-place "s:#!\s*/usr.*::" pep8.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{tarname}

%if 0
%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%{__python3} pep8.py --testsuite testsuite
%{__python3} pep8.py --doctest
%endif

%files -n python3-%{tarname} -f %{pyproject_files}
%doc CHANGES.txt README.rst html
%{_bindir}/pep8
