%define pypi_name  pexpect

Summary:       Unicode-aware Pure Python Expect-like module
Name:          python-%{pypi_name}
Version:       4.9.0
Release:       %mkrel 3
License:       MIT
Group:         Development/Python
Url:           https://pypi.python.org/pypi/pexpect
Source0:       %{pypi_source}
BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: sed

%description
Pexpect is a pure Python module for spawning child applications, controlling
them, and responding to expected patterns in their output. Pexpect works like
Don Libes' Expect. Pexpect allows your script to spawn a child application and
control it as if a human were typing commands.

Pexpect can be used for automating interactive applications such as ssh, ftp,
passwd, telnet, etc. It can be used to a automate setup scripts for duplicating
software package installations on different servers. It can be used for
automated software testing. Pexpect is in the spirit of Don Libes' Expect, but
Pexpect is pure Python. Unlike other Expect-like modules for Python, Pexpect
does not require TCL or Expect, nor does it require C extensions to be
compiled. It should work on any platform that supports the standard Python pty
module. The Pexpect interface was designed to be easy to use.

%package -n python3-%{pypi_name}
Summary:       Unicode-aware Pure Python Expect-like module for Python 3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pexpect is a pure Python module for spawning child applications, controlling
them, and responding to expected patterns in their output. Pexpect works like
Don Libes' Expect. Pexpect allows your script to spawn a child application and
control it as if a human were typing commands.

Pexpect can be used for automating interactive applications such as ssh, ftp,
passwd, telnet, etc. It can be used to a automate setup scripts for duplicating
software package installations on different servers. It can be used for
automated software testing. Pexpect is in the spirit of Don Libes' Expect, but
Pexpect is pure Python. Unlike other Expect-like modules for Python, Pexpect
does not require TCL or Expect, nor does it require C extensions to be
compiled. It should work on any platform that supports the standard Python pty
module. The Pexpect interface was designed to be easy to use.

%prep
%autosetup -p1 -n pexpect-%{version}

# Correct some permissions
find examples -type f -exec chmod a-x \{\} \;

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc doc examples
