%define pypi_name phply

Name:           python-%{pypi_name}
Version:        1.2.6
Release:        %mkrel 3
Summary:        PHP parser written in Python
Group:          Development/Python
License:        LGPL
URL:            https://pypi.org/project/phply/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
phply is a parser for the PHP programming language written using PLY, a
Lex/YACC-style parser generator toolkit for Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
phply is a parser for the PHP programming language written using PLY, a

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files phply
mv %{buildroot}%{_bindir}/phplex %{buildroot}%{_bindir}/phplex3
mv %{buildroot}%{_bindir}/phpparse %{buildroot}%{_bindir}/phpparse3

rm -rf %{buildroot}%{python3_sitelib}/tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/phplex3
%{_bindir}/phpparse3
%{python3_sitelib}/phply-*-nspkg.pth
