%define pypi_name pinax-notifications

Name:           python-%{pypi_name}
Version:        6.0.0
Release:        %mkrel 4
Summary:        User notification management for the Django web framework
Group:          Development/Python
License:        MIT
URL:            https://github.com/pinax/pinax-notifications/
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Many sites need to notify users when certain events have occurred and to
allow configurable options as to how those notifications are to be received.

The project aims to provide a Django app for this sort of functionality.
This includes:

    * submission of notification messages by other apps
    * notification messages on signing in
    * notification messages via email (configurable by user)
    * notification messages via feed

%package -n python3-%{pypi_name}
Summary:        User notification management for the Django web framework
Group:          Development/Python
Requires:       python3-django

%description -n python3-%{pypi_name}
Many sites need to notify users when certain events have occurred and to
allow configurable options as to how those notifications are to be received.

The project aims to provide a Django app for this sort of functionality.
This includes:

    * submission of notification messages by other apps
    * notification messages on signing in
    * notification messages via email (configurable by user)
    * notification messages via feed

%prep
%setup -q -n %{pypi_name}-%{version}

# remove bundled egg-info
rm -rf pinax_notifications.egg-info/

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pinax

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS README*
%license LICENSE
