%define _disable_ld_no_undefined 1

%define modname pivy

Name:           python-%{modname}
Version:        0.6.9
Release:        %mkrel 3
Summary:        Pivy is a Coin binding for Python
License:        BSD
Group:          Development/Python
Url:            https://coin3d.github.io/
Source0:        https://github.com/coin3d/pivy/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:         pivy-cmake.patch
Patch2:         0002-Fix-the-qmake-executable-name.patch

BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(Coin) >= 4.0.0
BuildRequires:  pkgconfig(SoQt) >= 1.6.0
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  swig


%description
Pivy is a Coin binding for Python. Coin is a high-level 3D graphics
library with a C++ Application Programming Interface. Coin uses
scene-graph data structures to render real-time graphics suitable for
mostly all kinds of scientific and engineering visualization applications.

%package -n     python3-%{modname}
Summary:        Pivy is a Coin binding for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
Pivy is a Coin binding for Python3. Coin is a high-level 3D graphics
library with a C++ Application Programming Interface. Coin uses
scene-graph data structures to render real-time graphics suitable for
mostly all kinds of scientific and engineering visualization applications.

%prep
%autosetup -p1 -n %{modname}-%{version}

sed -i 's|@LIBDIR@|%{_libdir}|g' distutils_cmake/CMakeLists.txt

%build
export CFLAGS="%{optflags} -fpermissive"
%py3_build

%install
%py3_install -- --install-lib=%{python3_sitearch}

chmod +x %{buildroot}%{python3_sitearch}/%{modname}/sogui.py

find %{buildroot}%{python3_sitearch} -name "*.py" -exec sed -i "s|#!/usr/bin/env python|#!%{__python3}|" {} \;

%files -n python3-%{modname}
%{python3_sitearch}/Pivy-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/%{modname}/
