%define pypi_name plaster

Name:           python-%{pypi_name}
Version:        1.1.2
Release:        %mkrel 3
Summary:        A loader interface around multiple config file formats
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/plaster/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
plaster is a loader interface around multiple config file formats. It exists to
define a common API for applications to use when they wish to load
configuration. The library itself does not aim to handle anything except a
basic API that applications may use to find and load configuration settings.
Any specific constraints should be implemented in a pluggable loader which can
be registered via an entrypoint.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
plaster is a loader interface around multiple config file formats. It exists to
define a common API for applications to use when they wish to load
configuration. The library itself does not aim to handle anything except a
basic API that applications may use to find and load configuration settings.
Any specific constraints should be implemented in a pluggable loader which can
be registered via an entrypoint.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files plaster

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
