# Created by pyp2rpm-3.3.7
%global pypi_name platformdirs

%bcond_with docs
%bcond_with test

Name:           python-%{pypi_name}
Version:        4.3.6
Release:        %mkrel 2
Summary:        A small Python module for determining appropriate platform-specific dirs
Group:          Development/Python
License:        MIT
URL:            https://github.com/platformdirs/platformdirs
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with test}
BuildRequires:  python3dist(appdirs) = 1.4.4
BuildRequires:  python3dist(pytest) >= 6
BuildRequires:  python3dist(pytest-cov) >= 2.7
BuildRequires:  python3dist(pytest-mock) >= 3.6
%endif
%if %{with docs}
BuildRequires:  python3dist(furo) >= 2021.7.5~b38
BuildRequires:  python3dist(proselint) >= 0.10.2
BuildRequires:  python3dist(sphinx) >= 4
BuildRequires:  python3dist(sphinx-autodoc-typehints) >= 1.12
%endif

%description
When writing desktop application, finding the right location to store user data
and configuration varies per platform. Even for single-platform apps, there may
by plenty of nuances in figuring out the right location.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
When writing desktop application, finding the right location to store user data
and configuration varies per platform. Even for single-platform apps, there may
by plenty of nuances in figuring out the right location.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -w

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD}/build/lib sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
