%global pypi_name pluggy

# Turn the tests off when bootstrapping Python, because pytest requires pluggy
%bcond_with tests

Name:           python-pluggy
Version:        1.5.0
Release:        %mkrel 2
Summary:        plugin and hook calling mechanisms for python
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pluggy
Source0:        %{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description
The plugin manager stripped of pytest specific details.

%package -n python3-%{pypi_name}
Summary:  The plugin manager stripped of pytest specific details
Group:    Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The plugin manager stripped of pytest specific details.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pluggy

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst LICENSE
