# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov	%{python3_sitearch}/.*\\.so

%define module	plyvel

Name:		python-%{module}
Version:	1.5.1
Release:	%mkrel 2
Summary:	Python interface to the LevelDB embedded database library
Group:		Development/Python
License:	BSD
URL:		https://github.com/wbolster/plyvel
Source0:	https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(cython)
BuildRequires:	pkgconfig(leveldb)

%description
Plyvel is a fast and feature-rich Python interface to the LevelDB embedded
database library. It has a rich feature set, high performance, and a friendly
Pythonic API.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 interface to the LevelDB embedded database library
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Plyvel is a fast and feature-rich Python 3 interface to the LevelDB embedded
database library. It has a rich feature set, high performance, and a friendly
Pythonic API.

#------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
cython-3 --cplus --fast-fail --annotate plyvel/_plyvel.pyx
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files plyvel

%check
%{__python3} setup.py build_ext --inplace
py.test-%{python3_version}

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst NEWS.rst
%license LICENSE.rst
