%define pypi_name polib

Name:           python-%{pypi_name}
Version:        1.2.0
Release:        %mkrel 3
Summary:        A library to parse and manage gettext catalogs
Group:          Development/Python
License:        MIT
URL:            https://github.com/izimobil/polib
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  fdupes

%description
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.

%package -n python3-%{pypi_name}
Summary:        A library to parse and manage gettext catalogs for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1


%build
%pyproject_wheel

%check
%{__python3} setup.py check

%install
%pyproject_install
%pyproject_save_files polib

%fdupes %{buildroot}%{python3_sitelib}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
