%define      gittime     20150104git
%define      srcname     %{name}
%define      srcversion  %{gittime}
%define      pyname      polkit_efl

%define      rel 18

Name:        python-polkit-efl-agent
Version:     0.1.0
Release:     %mkrel -c %{gittime} %{rel}
Summary:     Polkit-EFL is a user desktop session authentication agent
License:     GPLv3
Group:       Development/Python
Url:         https://git.enlightenment.org/misc/polkit-efl.git/
Source0:     %{srcname}-%{srcversion}.tar.bz2
# Fix for error: Multiple top-level packages discovered in a flat-layout: ['data', 'locale'].
# This fix does allow the building with pyproject for now, etc and share go to python lib directory.
Patch0:      pk-efl-agent-fix-build.patch
BuildRequires:  polkit-devel
BuildRequires:  efl
BuildArch:      noarch

%description
Polkit-EFL is a user desktop session authentication agent based on
python-efl. Install and leave it running in your desktop session. The
easiest way to do this is to add it to xdg autostart, a desktop file
is installed on your system for this purpose, use your DE's settings
to enable it. You may also launch it in a terminal.

%package -n python3-polkit-efl-agent
Summary:        Python3 implementation of Polkit-EFL
Group:          Development/Python
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-efl
BuildRequires:  python3-psutil
BuildArch:      noarch

Requires:       python3-efl
Requires:       python3-psutil
#the script calls pkconfig to get some variables!?
Requires:       polkit-devel

Provides:       polkit-agent = %{version}-%{release}
Provides:       polkit-efl-agent = %{version}-%{release}
%{?python_provide:%python_provide python3-polkit-efl-agent}

%description -n python3-polkit-efl-agent
%{summary}.

%prep
%autosetup -p1 -n %{srcname}-%{srcversion}


%build
%py3_build

%install
%py3_install

%find_lang polkit-efl

%files -n python3-polkit-efl-agent -f polkit-efl.lang
%doc README COPYING
%config(noreplace) %{_sysconfdir}/xdg/autostart/polkit-efl-authentication-agent-1.desktop
%{_bindir}/polkit-efl-authentication-agent-1
%{_datadir}/polkit-efl
%{python3_sitelib}/%{pyname}-%{version}-py%{python3_version}.egg-info
