# Created by pyp2rpm-3.3.3
%global pypi_name pony

Name:           python-%{pypi_name}
Version:        0.7.19
Release:        %mkrel 4
Summary:        Pony Object-Relational Mapper
Group:          Development/Python
License:        Apache License Version 2.0
URL:            https://ponyorm.com
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(flask)

%description
Pony ORM is easy to use and powerful object-relational mapper for Python.

Using Pony, developers can create and maintain database-oriented software
applications faster and with less effort. One of the most interesting features
of Pony is its ability to write queries to the database using generator
expressions. Pony then analyzes the abstract syntax tree of a generator and
translates it to its SQL equivalent.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pony ORM is easy to use and powerful object-relational mapper for Python.

Using Pony, developers can create and maintain database-oriented software
applications faster and with less effort. One of the most interesting features
of Pony is its ability to write queries to the database using generator
expressions. Pony then analyzes the abstract syntax tree of a generator and
translates it to its SQL equivalent.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pony

%check
%python3 -m unittest discover


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
