%define module	poppler-qt5

Name:		python-%{module}
Version:	21.3.0
Release:	%mkrel 3
Summary:	Python binding to Poppler-Qt5 C++ library
Group:		Development/Python
License:	LGPLv2+
# https://github.com/frescobaldi/python-poppler-qt5
URL:		https://pypi.org/project/python-poppler-qt5/
Source0:	https://pypi.io/packages/source/p/python-poppler-qt5/%{name}-%{version}.tar.gz
Patch1:		%{name}-0.24.2-python3-sip.patch
Patch3:		linking.patch
BuildRequires:	cmake(Qt5Core)
BuildRequires:	pkgconfig(poppler-qt5)

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-qt5-devel
BuildRequires:  python3dist(sip)
BuildRequires:  python3dist(pyqt-builder)

%description
Python bindings for the Poppler PDF rendering library. It is needed
to run programs written in Python and using Poppler set.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 binding to Poppler-Qt5 C++ library
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Python 3 bindings for the Poppler PDF rendering library. It is needed
to run programs written in Python 3 and using Poppler set.

#------------------------------------------------

%package -n python3-%{module}-qsci-api
Summary:        Python 3 bindings for PyQt 5 poppler Qscintilla API
Group:          Development/KDE and Qt

%description -n python3-%{module}-qsci-api
Python 3 bindings for PyQt 5 purchasing Qscintilla API.

%files -n python3-%{module}-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/python-poppler-qt5.api

#------------------------------------------------


%prep
%autosetup -p1

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose
	
%make_build -C build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)"

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/*.so ; do
test -x $i  || chmod a+rx $i
done

%files -n python3-%{module}
%doc ChangeLog TODO README.rst
%license LICENSE
%{python3_sitearch}/popplerqt5.*.so
%{python3_sitearch}/PyQt5/bindings/popplerqt5
%{python3_sitearch}/python_poppler_qt5-%{version}.dist-info
