%global pypi_name portend

%bcond_with docs

Name:           python-%{pypi_name}
Version:        3.2.0
Release:        %mkrel 3
Summary:        TCP port monitoring and discovery
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/portend
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Use portend to monitor TCP ports for bound or unbound states.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python

%description -n python3-%{pypi_name}
Use portend to monitor TCP ports for bound or unbound states.

%prep
%autosetup -n %{pypi_name}-%{version}

# black is apparently not a valid option?
sed -i 's/ --black//' pytest.ini

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files portend

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
