# Created by pyp2rpm-3.3.2
%global pypi_name primesieve

Name:           python-%{pypi_name}
Version:        2.3.1
Release:        %mkrel 3
Summary:        Fast prime number generator. Python bindings for primesieve C/C++ library
Group:          Development/Python
License:        MIT
URL:            https://github.com/hickford/primesieve-python
Source0:        https://github.com/shlomif/primesieve-python/archive/v%{version}/primesieve-python-%{version}.tar.gz
# skipto was deprecated
Patch0:         c54d965ac0d198e933afa4c48281aeeb4c7516c2.patch

BuildRequires:  pkgconfig(python3)
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libgomp-devel
BuildRequires:  python3dist(cython)
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(numpy)
BuildRequires:  pkgconfig(primesieve)

%description
Python bindings for the primesieve C++ library.

Generates primes orders of magnitude faster than any pure Python code.

%package -n     python3-%{pypi_name}
Summary:        Fast prime number generator. Python3 bindings for primesieve C/C++ library
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python 3 bindings for the primesieve C++ library.

Generates primes orders of magnitude faster than any pure Python code.

%prep
%autosetup -n %{pypi_name}-python-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
perl -lpi -e 's/^/# / if /= parallel_cpp_compile$/' setup.py
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files primesieve

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
