%global pypi_name proglog

Name:           python-%{pypi_name}
Version:        0.1.9
Release:        %mkrel 6
Group:          Development/Python
Summary:        Log and progress bar manager for console, notebooks, web
License:        MIT
URL:            https://github.com/Edinburgh-Genome-Foundry/Proglog
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Proglog is a progress logging system for Python. It allows to build
complex libraries while giving the user control on the management of
logs, callbacks and progress bars.

%package -n python3-%{pypi_name}
Summary:        Log and progress bar manager for console, notebooks, web
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Proglog is a progress logging system for Python. It allows to build
complex libraries while giving the user control on the management of
logs, callbacks and progress bars.
This is the Python 3 build of %{pypi_name}.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files proglog

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENCE.txt
