%global pypi_name	progressbar2

Name:		python-%{pypi_name}
Summary:	A Progressbar library to provide visual progress to long running operations
Version:	4.5.0
Release:	%mkrel 1
License:	BSD
Group:		Development/Python
Url:		https://pypi.python.org/pypi/progressbar2
Source:		%pypi_source
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel

%description
A text progress bar is typically used to display the progress of a long
running operation, providing a visual cue that processing is underway.

The ProgressBar class manages the current progress, and the format of the line
is given by a number of widgets.

The progressbar module is very easy to use, yet very powerful. It will also
automatically enable features like auto-resizing when the system supports it.

%package -n python3-%{pypi_name}
Summary:	%{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A text progress bar is typically used to display the progress of a long
running operation, providing a visual cue that processing is underway.

The ProgressBar class manages the current progress, and the format of the line
is given by a number of widgets.

The progressbar module is very easy to use, yet very powerful. It will also
automatically enable features like auto-resizing when the system supports it.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files progressbar

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc *.rst
%{_bindir}/progressbar
