%global pypi_name psycogreen

%global common_desc \
The psycogreen package enables psycopg2 to work with co-routine libraries,	\
using asynchronous calls internally but offering a blocking interface so	\
that regular code can run unmodified.  Psycopg offers co-routines support	\
since release 2.2.  Because the main module is a C extension it cannot be	\
monkey-patched to become co-routine-friendly.  Instead it exposes a hook	\
that co-routine libraries can use to install a function integrating with	\
their event scheduler.  Psycopg will call the function whenever it		\
executes a libpq call that may block.  Psycogreen is a collection of “wait	\
callbacks” useful to integrate Psycopg with different co-routine libraries.


Name:		python-%{pypi_name}
Version:	1.0.2
Release:	%mkrel 6
Summary:	Psycopg2 integration with co-routine libraries
License: 	BSD
Group:		Development/Python
URL:		https://pypi.python.org/pypi/%{pypi_name}
Source0:	https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch

%description
%{common_desc}

%package -n python3-%{pypi_name}
Summary:	%{summary}
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

Requires:	python3-eventlet
Requires:	python3-gevent
Requires:	python3-psycopg2

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{common_desc}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license COPYING
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
