# Created by pyp2rpm-1.0.0
%define pypi_name py

%bcond_with doc

Name:           python-py
Version:        1.11.0
Release:        %mkrel 5
Group:          Development/Python
Summary:        Library with cross-python path, ini-parsing, io, code, log facilities
License:        MIT
URL:            https://pypi.org/project/py
Source0:        %{pypi_source}
BuildArch:      noarch

%description
The py lib is a Python development support library featuring the
following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg: explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

%package -n python3-py
Summary:        Python 3 library with cross-python path, ini-parsing, io, code, log facilities
Group:          Development/Python
BuildRequires:  python3-devel
%if %{with doc}
BuildRequires:  python3dist(sphinx)
%endif
%{?python_provide:%python_provide python3-py}

%description -n python3-py
The py lib is a Python development support library featuring the
following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg: explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

%prep
%autosetup -p1 -n py-%{version}

# remove shebangs and fix permissions
find -type f -a \( -name '*.py' -o -name 'py.*' \) \
   -exec sed -i '1{/^#!/d}' {} \; \
   -exec chmod u=rw,go=r {} \;

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
# docs
make -C doc html PYTHONPATH=$(pwd)
# remove hidden file
rm -rf doc/_build/html/.buildinfo
%endif

%install
%pyproject_install
%pyproject_save_files py

%files -n python3-py -f %{pyproject_files} -f %{pyproject_files}
%doc README.rst
%if %{with doc}
%doc doc/_build/html
%endif
%license LICENSE
