%define mod_name py2pack

Name:           python-%{mod_name}
Version:        0.8.7
Release:        %mkrel 5
Url:            https://github.com/saschpe/py2pack
Summary:        Generate distribution packages from Python packages on PyPI
License:        GPLv2
Group:          Development/Python
Source:         https://pypi.io/packages/source/p/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(lxml)
BuildRequires:  python3dist(cssselect)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(pbr)

%description
This script allows to generate RPM spec or DEB dsc files from Python modules.
It allows to list Python modules or search for them on the Python Package Index
(PyPI). Conveniently, it can fetch tarballs and changelogs making it an
universal tool to package Python modules.

%package -n python3-%{mod_name}
Summary:        Generate distribution packages from Python packages on PyPI
Group:          Development/Python
Conflicts:      python2-py2pack < 0.8.4-3
Provides:       py2pack = %{version}-%{release}

%description -n python3-%{mod_name}
Generate distribution packages from Python packages on PyPI.
This is the Python3 module.

%prep
%setup -q -n %{mod_name}-%{version}

# drop bundled egg-info
rm -rf py2pack.egg-info/

# fix shebangs
find -name '*.py' | xargs sed -i '1s|^#!.*python[2,3]\?|#!%{__python3}|'

%build
%py3_build

%install
%py3_install

%files -n python3-%{mod_name}
%doc AUTHORS LICENSE README.rst
%{python3_sitelib}/%{mod_name}*
%{_bindir}/py2pack
