%global pypi_name py3dns

Name:               python-%{pypi_name}
Version:            4.0.0
Release:            %mkrel 3
Summary:            Python3 DNS library
Group:              Development/Python
License:            Python
URL:                https://pypi.org/project/py3dns/
Source0:            %{pypi_source}

BuildArch:          noarch

%description
This Python 3 module provides a DNS API for looking up DNS entries from
within Python 3 modules and applications. This module is a simple,
lightweight implementation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This Python 3 module provides a DNS API for looking up DNS entries from
within Python 3 modules and applications. This module is a simple,
lightweight implementation.


%prep
%autosetup -n %{pypi_name}-%{version} -p1


# Some files are latin-1 encoded but are incorrectly labelled as UTF-8 by
# upstream (see rhbz:620265)
#
# Convert them to actually be UTF-8, preserving the (now-correct) encoding
# declaration (preserving timestamps):
for file in DNS/Lib.py DNS/Type.py ; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files DNS

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.txt README-guido.txt CREDITS.txt CHANGES
%license LICENSE
