# Created by pyp2rpm-1.0.1
%global pypi_name py4j

Name:           python-py4j
Version:        0.10.9.7
Release:        %mkrel 6
Group:          Development/Python
Summary:        Enables Python programs to dynamically access arbitrary Java objects

License:        BSD
URL:            https://www.py4j.org/
Source0:        https://github.com/bartdag/%{pypi_name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         %{pypi_name}-add-hamcrest-in-classpath.patch
Patch1:         %{pypi_name}-Base64-java8.patch

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  java-devel
BuildRequires:  ant-junit
BuildRequires:  maven-local
BuildRequires:  pkgconfig(python3)

# Fedora unbundles hamcrest from junit
BuildRequires:  hamcrest

%description
Py4J enables Python programs running in a Python interpreter to
dynamically access Java objects in a Java Virtual Machine. Methods are
called as if the Java objects resided in the Python interpreter and
Java collections can be accessed through standard Python collection
methods.

%package -n     python3-%{pypi_name}
Summary:        Enables Python programs to dynamically access arbitrary Java objects
Group:          Development/Python
Requires:       py4j-jar
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Py4J enables Python programs running in a Python interpreter to
dynamically access Java objects in a Java Virtual Machine. Methods are
called as if the Java objects resided in the Python interpreter and
Java collections can be accessed through standard Python collection
methods.

%package -n   py4j-jar
Summary: JAR file for py4j-jar

%description -n py4j-jar
JAR file for py4j.


%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

# remove unneeded stuff
rm -r setup.py
find . -name \*.jar -print -delete

# remove unnecessary dependency on parent POM
%pom_remove_parent %{pypi_name}-java/pom.xml

# build jar without version in name
sed -i -r "s|(version=).*|\1|" %{pypi_name}-java/ant.properties
sed -i "s|'.*'|''|" %{pypi_name}-python/src/%{pypi_name}/version.py

# set default java version to avoid some warnings
sed -i "s|1\.6|1.8|g" %{pypi_name}-java/build.xml

sed -i "s|junit-.*\.jar|$(build-classpath junit)|g" %{pypi_name}-java/ant.properties
sed -i -r "s|(<javadoc.*classpath=)\"\"|\1\"$(build-classpath junit)\"|" %{pypi_name}-java/build.xml

# install jar later with maven
sed -i "/data_files/d" %{pypi_name}-python/setup.py

# build separately for python3 in special subfolder
cp -a %{pypi_name}-python %{pypi_name}-python3
sed -i -r -e 's|(executable=")python|\1%{__python3}|g' \
 -e 's|(executable="nosetests)|\1-%{python3-version}|g' \
 -e 's|%{pypi_name}-python|%{pypi_name}-python3|g' \
 %{pypi_name}-java/build.xml
sed -i "s|'.*'|'%{version}'|" %{pypi_name}-python3/src/%{pypi_name}/version.py

%build
pushd %{pypi_name}-java
ant jar
popd

pushd %{pypi_name}-python3
%pyproject_wheel
popd


%install
# to be the default for now).
pushd %{pypi_name}-python3
%pyproject_install
%pyproject_save_files py4j
popd

%mvn_file : %{pypi_name}/%{pypi_name}

%mvn_artifact %{pypi_name}-java/pom.xml %{pypi_name}-java/%{pypi_name}.jar
%mvn_install -J %{pypi_name}-java/javadoc
mkdir -p %{buildroot}%{_datadir}/%{pypi_name}
ln -sf %{_javadir}/%{pypi_name}/%{pypi_name}.jar %{buildroot}%{_datadir}/%{pypi_name}

pushd %{buildroot}%{_javadir}
ln -s py4j/py4j.jar py4j%{version}.jar
ln -s py4j/py4j.jar py4j.jar
popd

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst AUTHORS.txt CONTRIBUTING.rst LICENSE.txt MANIFEST.in

%files -n py4j-jar -f .mfiles
%license %{pypi_name}-java/LICENSE.txt
%dir %{_datadir}/%{pypi_name}
%{_datadir}/py4j/py4j.jar
%{_javadir}/py4j%{version}.jar
%{_javadir}/py4j.jar
