%global pypi_name pyaml

%bcond_without  tests

Name:           python-pyaml
Version:        23.12.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        PyYAML-based module to produce pretty and readable YAML-serialized data

License:        Public Domain
URL:            https://github.com/mk-fg/pretty-yaml
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(unidecode)
BuildRequires:  python3dist(pytest)
%endif

%description
YAML is generally nice and easy format to read *if* it was written by
humans.

PyYAML can a do fairly decent job of making stuff readable, and the
best combination of parameters for such output that I've seen so far.

%package -n     python3-%{pypi_name}
Summary:        PyYAML-based module to produce pretty and readable YAML-serialized data
%{?python_provide:%python_provide python3-%{pypi_name}}
Recommends:     python3-unidecode

%description -n python3-%{pypi_name}
YAML is generally nice and easy format to read *if* it was written by
humans.

PyYAML can a do fairly decent job of making stuff readable, and the
best combination of parameters for such output that I've seen so far.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import
%{?with_tests:%pytest}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license COPYING
%{_bindir}/%{pypi_name}
