%define pypi_name pyasn1_modules
%define module    pyasn1-modules

Name:           python-%{module}
Epoch:          1
Version:        0.4.1
Release:        %mkrel 1
Summary:        Collection of protocols modules written in ASN.1 language
License:        BSD
Group:          Development/Python
Url:            https://pypi.org/project/pyasn1-modules/
Source:         %{pypi_source}
BuildArch:      noarch

%description
This is an implementation of ASN.1 types and codecs in Python programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%package -n python3-%{module}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:       python3dist(pyasn1)
%{?python_provide:%python_provide python3-pyasn1-modules}

%description -n python3-%{module}
This is an implementation of ASN.1 types and codecs in Python 3 programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGES.txt README.md
%license LICENSE.txt
