%define module pyasn1

%bcond_with doc

Name:           python-%{module}
Version:        0.6.1
Release:        %mkrel 1
Summary:        ASN.1 types and codecs
License:        BSD
Group:          Development/Python
Url:            https://github.com/etingof/pyasn1
Source:         https://pypi.io/packages/source/p/pyasn1/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
This is an implementation of ASN.1 types and codecs in Python programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%package -n python3-%{module}
Summary:        ASN.1 types and codecs
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
%if %{with doc}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
%endif
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This is an implementation of ASN.1 types and codecs in Python 3 programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
make -C docs html
%endif

%install
%pyproject_install
%pyproject_save_files pyasn1

%check
# PYTHONPATH is required because the the tests expect python{,3}-pyasn1
# to be installed.
PYTHONPATH="$RPM_BUILD_ROOT%{python3_sitelib}:$PYTHONPATH" %pytest

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGES.rst LICENSE.rst README.md TODO.rst
%if %{with doc}
%doc docs/build/html
%endif
