%define module pyaudio

Name:           python-%{module}
Version:        0.2.14
Release:        %mkrel 3
Summary:        Python bindings for PortAudio
License:        MIT
Group:          Development/Python
Url:            https://people.csail.mit.edu/hubert/pyaudio/
Source0:        https://pypi.io/packages/source/P/PyAudio/PyAudio-%{version}.tar.gz
BuildRequires:  portaudio-devel

%description
PyAudio provides Python bindings for PortAudio, the cross-platform audio I/O
library. With PyAudio, you can easily use Python to play and record audio on
a variety of platforms.

%package -n python3-%{module}
Summary:        Python 3 bindings for PortAudio
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{module}
PyAudio provides Python bindings for PortAudio, the cross-platform audio I/O
library. With PyAudio, you can easily use Python to play and record audio on
a variety of platforms.

%prep
%setup -q -n PyAudio-%{version}

# remove some pre-built binaries
rm -rf packaging

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyaudio

rm -rf %{buildroot}%{python3_sitelib}/logilab/common/test

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md CHANGELOG
