%define upstream_name pybind11

Name:           python-%{upstream_name}
Version:        2.13.6
Release:        %mkrel 2
Summary:        Seamless operability between C++11 and Python
License:        BSD
Group:          Development/Python
URL:            https://github.com/pybind/pybind11
Source0:        https://github.com/pybind/pybind11/archive/v%{version}/pybind11-%{version}.tar.gz
BuildArch:      noarch

%description
pybind11 is a lightweight header-only library that exposes C++ types in Python
and vice versa, mainly to create Python bindings of existing C++ code. Its
goals and syntax are similar to the excellent Boost.Python library by David
Abrahams: to minimize boilerplate code in traditional extension modules by
inferring type information using compile-time introspection.

%package -n     python3-%{upstream_name}
License:        BSD
Summary:        Seamless operability between C++11 and Python3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(numpy)
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
pybind11 is a lightweight header-only library that exposes C++ types in Python
and vice versa, mainly to create Python bindings of existing C++ code. Its
goals and syntax are similar to the excellent Boost.Python library by David
Abrahams: to minimize boilerplate code in traditional extension modules by
inferring type information using compile-time introspection.

%package -n     pybind11-devel
License:        BSD
Summary:        Seamless operability between C++11 and Python3
Group:          Development/C++
BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(eigen3)
Requires:       cmake

%description -n pybind11-devel
pybind11 is a lightweight header-only library that exposes C++ types in Python
and vice versa, mainly to create Python bindings of existing C++ code. Its
goals and syntax are similar to the excellent Boost.Python library by David
Abrahams: to minimize boilerplate code in traditional extension modules by
inferring type information using compile-time introspection.

This package contains the C++ headers.

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
%cmake -DPYBIND11_INSTALL:BOOL=TRUE \
       -DUSE_PYTHON_INCLUDE_DIR:BOOL=FALSE
%cmake_build

%py3_build

%install
%cmake_install

PYBIND11_USE_CMAKE=true \
%py3_install

%files -n pybind11-devel
%{_bindir}/pybind11-config
%{_includedir}/pybind11/
%{_datadir}/cmake/pybind11/
%{_datadir}/pkgconfig/pybind11.pc

%files -n python3-%{upstream_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*
