%define	module  pybox2d

Name:           python-%{module}
Version:        2.3.10
Release:        %mkrel 4
Summary:        A 2D rigid body simulation library for Python

Group:          Development/Python
License:        zlib
URL:            https://github.com/pybox2d/pybox2d
Source0:        https://github.com/pybox2d/pybox2d/archive/%{version}/%{module}-%{version}.tar.gz

BuildRequires:  python3-devel

%description
Programmer's can use Box2D in their games to make objects move in
believable ways and make the world seem more interactive. From the
game's point of view a physics engine is just a system for procedural
animation. Rather than paying (or begging) an animator to move your
actors around, you can let Sir Isaac Newton do the directing.

%package -n python3-%{module}
Summary:        A 2D rigid body simulation library for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  gcc
BuildRequires:  swig
Provides:       %{module} = %{version}-%{release}
Provides:       python-pybox2d = %{version}-%{release}
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Programmer's can use Box2D in their games to make objects move in
believable ways and make the world seem more interactive. From the
game's point of view a physics engine is just a system for procedural
animation. Rather than paying (or begging) an animator to move your
actors around, you can let Sir Isaac Newton do the directing.


%prep
%autosetup -n %{module}-%{version} -p1

# calm rpmlint down
sed -i LICENSE README.md -e 's/\r//'
chmod go-w -R *


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files Box2D

# calm rpmlint down
sed -i %{buildroot}%{python3_sitearch}/Box2D/__init__.py -e 1d
sed -i %{buildroot}%{python3_sitearch}/Box2D/__init__.py -e 's/\r//'


%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.md
