# Created by pyp2rpm-3.3.2
%global pypi_name pycares

%bcond_without doc

Name:           python-%{pypi_name}
Version:        4.5.0
Release:        %mkrel 1
Summary:        Python interface for c-ares
Group:          Development/Python
License:        None
URL:            https://github.com/saghul/pycares
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cffi)

%if %{with doc}
BuildRequires:  python3dist(sphinx)
%endif

%description
pycares is a Python module which provides an interface to c-ares.
c-aresis a C library that performs DNS requests and name resolutions
asynchronously.

%package -n     python3-%{pypi_name}
Summary:        Python 3 interface for c-ares
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pycares is a Python 3 module which provides an interface to c-ares.
c-aresis a C library that performs DNS requests and name resolutions
asynchronously.

%package -n python-%{pypi_name}-doc
Summary:        pycares documentation

%description -n python-%{pypi_name}-doc
Documentation for pycares.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%pyproject_wheel

%if %{with doc}
# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%if %{with doc}
%doc html
%endif
%doc README.rst
