%define pypi_name pycparser

Name:           python-%{pypi_name}
Summary:        C parser and AST generator written in Python
Version:        2.22
Release:        %mkrel 1
License:        BSD
Group:          Development/Python
URL:            https://github.com/eliben/pycparser
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        pycparser-2.10-remove-relative-sys-path.py
# Originally from Fedora ; I don't think we should request upstream to
# remove embedded libraries from their distribuution, when we can remove
# them during packaging.
Patch100:       pycparser-disable-embedded-ply.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(ply)

%description
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

%package -n python3-%{pypi_name}
Summary:        C parser and AST generator written in Python
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# examples
%{python3} %{SOURCE1} examples

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
for test in tests/test_*.py; do
  PYTHONPATH=${PWD}:%{buildroot}%{python3_sitelib} \
  %{python3} $test
done

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc examples
%license LICENSE
