# Created by pyp2rpm-1.0.1
%define pypi_name pycuda

%global __requires_exclude libcuda.so.1

Name:           python-%{pypi_name}
Version:        2025.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        Python wrapper for NVIDIA CUDA
License:        MIT
URL:            https://pypi.python.org/pypi/pycuda
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Build with mga lib names
Patch0:         pycuda-2016.1.2-libboost_python.patch
Patch1:         import-sphinxconfig.patch

ExclusiveArch:  x86_64
BuildRequires:  ctags
BuildRequires:  nvidia-cuda-toolkit-devel
BuildRequires:  nvidia-current-devel
BuildRequires:  libgl-devel
BuildRequires:  boost-devel

%description
PyCUDA lets you access NVIDIA's CUDA parallel computation API from Python.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Python 3 wrapper for NVIDIA CUDA
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(furo)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-copybutton)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(pytools)
Requires:       python3dist(pytest) >= 2
Requires:       python3dist(decorator) >= 3.2.0

%description -n python3-%{pypi_name}
PyCUDA lets you access NVIDIA's CUDA parallel computation API from Python 3.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%{python3} configure.py \
    --boost-python-libname="boost_python3" \
    --no-use-shipped-boost \
    --cudadrv-lib-dir=%{_libdir}/nvidia-current \
    --ldflags=-lboost_system --cuda-enable-gl

%pyproject_wheel

# generate html docs
sphinx-build doc/ html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README_SETUP.txt README.rst
