%global pypi_name pydantic

%bcond_with check

Name:           python-%{pypi_name}
Version:        2.10.6
Release:        %mkrel 1
Summary:        Data validation using Python type hinting
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pydantic
Source0:        %{pypi_source}
Patch:          pydantic-core.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Data validation and settings management using python type hinting.

%package -n     python3-pydantic
Summary:        %{summary}
%{?python_provide:%python_provide python3-pydantic}

%description -n python3-pydantic
Data validation and settings management using python type hinting.

%prep
%autosetup -n pydantic-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x testing}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pydantic

%if %{with check}
%check
%pytest
%endif

%files -n python3-pydantic -f %{pyproject_files}
%license LICENSE
%doc README.md
