# Created by pyp2rpm-3.3.7
%global pypi_name pydata-sphinx-theme

Name:           python-%{pypi_name}
Version:        0.16.1
Release:        %mkrel 1
Summary:        Bootstrap-based Sphinx theme from the PyData community
Group:          Development/Python
License:        BSD
URL:            https://github.com/pydata/pydata-sphinx-theme
Source0:        https://github.com/pydata/pydata-sphinx-theme/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
# Source1 and Source2 created with ./prepare_vendor.sh
Source1:        pydata-sphinx-theme-%{version}-vendor.tar.xz
Source2:        pydata-sphinx-theme-%{version}-vendor-licenses.txt
Source3:        prepare_vendor.sh

ExclusiveArch:  x86_64
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx-theme-builder)
BuildRequires:  python3dist(nodeenv)
BuildRequires:  nodejs-devel
BuildRequires:  npm
BuildRequires:  yarnpkg

%description
A Bootstrap-based Sphinx theme from the PyData community.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Bootstrap-based Sphinx theme from the PyData community.

%prep
%autosetup -n %{pypi_name}-%{version} -p1 -a1

cp -p %{SOURCE2} .

# Substitute the installed nodejs version for the requested version
sed -i 's,^\(node-version = \)".*",\1"%{nodejs_version}",' pyproject.toml

# The Fedora sphinx package does not provide sphinx[test]
sed -i 's/\(sphinx\)\[test\]/\1/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
export YARN_CACHE_FOLDER="$PWD/.package-cache"
yarn install --offline
nodeenv --node=system --prebuilt --clean-src $PWD/.nodeenv

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pydata_sphinx_theme

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
