%define pypi_name	pydot

Name:		python-pydot
Version:	3.0.2
Release:	%mkrel 2
License:	MIT
Group:		Development/Python
Summary:	Python interface to Graphviz's Dot language
URL:		https://pypi.org/project/pydot/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	graphviz-devel

%description
An interface for creating both directed and non directed graphs from Python.
Currently all attributes implemented in the Dot language are supported (up
to Graphviz 2.16).

Output can be inlined in Postscript into interactive scientific environments
like TeXmacs, or output in any of the format's supported by the Graphviz
tools dot, neato, twopi.

%package -n	python3-%{pypi_name}
Summary:	Python 3 interface to Graphviz's Dot language
Requires:	graphviz
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
An interface for creating both directed and non directed graphs from Python.
Currently all attributes implemented in the Dot language are supported (up
to Graphviz 2.16).

Output can be inlined in Postscript into interactive scientific environments
like TeXmacs, or output in any of the format's supported by the Graphviz
tools dot, neato, twopi.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pydot

%check
# most of the tests fail when comparing pydot to graphviz results. This is also the case with previous 2.0.0.
# we don't have ruff, thus it has to be removed from tests section in pyproject.toml
#tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSES/MIT.txt LICENSES/Python-2.0.txt
%doc ChangeLog README.md
