%define pypi_name pyenet

Name:           python-pyenet
Version:        1.3.17
Release:        %mkrel 2
Summary:        Python wrapper for the ENet library
Group:          Development/Python
License:        BSD
URL:            https://github.com/piqueserver/pyenet/
Source0:        %{pypi_source}
Patch51:        pyenet-include-dir.patch
Patch52:        pyenet-linking.patch
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(cython) < 3

%description
pyenet is a python wrapper for the ENet library.

%package -n     python3-%{pypi_name}
Summary:        Python3 wrapper for the ENet library
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pyenet is a python wrapper for the ENet library.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Drop bundled enet
rm -rf enet/

# Force Cythonizing
rm -rf *.c

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files enet

%files -n python3-%{pypi_name} -f %{pyproject_files}
