%global pypi_name pyerfa

Name:           python-pyerfa
Version:        2.0.1.4
Release:        %mkrel 2
Summary:        Python wrapper for the ERFA library
License:        BSD
URL:            https://github.com/liberfa/pyerfa
Source0:        %{pypi_source}
Group:          Development/Python

# Python BuildRequires
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-pytest

# Non-Python BuildRequires
BuildRequires:  erfa-devel >= 2.0.0
BuildRequires:  gcc

%description
PyERFA is the Python wrapper for the ERFA library (Essential Routines for
Fundamental Astronomy), a C library containing key algorithms for astronomy,
which is based on the SOFA library published by the International Astronomical
Union (IAU). All C routines are wrapped as Numpy universal functions, so that
they can be called with scalar or array inputs.


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
PyERFA is the Python wrapper for the ERFA library (Essential Routines for
Fundamental Astronomy), a C library containing key algorithms for astronomy,
which is based on the SOFA library published by the International Astronomical
Union (IAU). All C routines are wrapped as Numpy universal functions, so that
they can be called with scalar or array inputs.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
export PYERFA_USE_SYSTEM_LIBERFA=1
%pyproject_buildrequires -x tests

%build
# Build using system liberfa, not bundled one
export PYERFA_USE_SYSTEM_LIBERFA=1
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files erfa

%check
pushd %{buildroot}%{python3_sitearch}/erfa
%{__python3} -m pytest
rm -rf .pytest_cache
popd

%files -n  python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.rst
%doc AUTHORS.rst CHANGES.rst README.rst
%exclude %{python3_sitearch}/erfa/tests/
