%define module pyflakes

%define enable_tests 0

Name:           python-%{module}
Version:        3.2.0
Release:        %mkrel 2
Summary:        Simple program which checks Python source files for errors
License:        MIT
Group:          Development/Python
URL:            https://pypi.python.org/pypi/pyflakes
Source:         %{pypi_source %{module}}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Pyflakes is a simple program which checks Python source files for errors. It is
similar to PyChecker in scope, but differs in that it does not execute the
modules to check them. This is both safer and faster, although it does not
perform as many checks.
Unlike PyLint, Pyflakes checks only for logical errors in programs; it does
not perform any checks on style.

%package -n python3-%{module}
Summary:        Simple program which checks Python source files for errors
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Pyflakes is a simple program which checks Python source files for errors. It is
similar to PyChecker in scope, but differs in that it does not execute the
modules to check them. This is both safer and faster, although it does not
perform as many checks.
Unlike PyLint, Pyflakes checks only for logical errors in programs; it does
not perform any checks on style.

%prep
%setup -qn %{module}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%check
%if %{enable_tests}
%{__python3} setup.py
%endif

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{_bindir}/%{module}
