%define tarname pyFltk

Summary:	Python wrapper for the FLTK library
Name:		python-pyfltk
Version:	1.3.7
Release:	%mkrel 5
License:	GPLv2
Group:		Development/Python
Url:		https://pyfltk.sourceforge.net/
Source0:	https://pypi.io/packages/source/p/pyfltk/%{tarname}-%{version}.tar.gz
Patch1:		pyFltk-1.3.3_py3-link.patch
BuildRequires: python3-devel
BuildRequires: fltk-devel >= 1.3.0
BuildRequires: pkgconfig(python3)
BuildRequires: pkgconfig(glu)
BuildRequires: swig


%description
pyFLTK is a Python wrapper for the Fast Light Tool Kit
cross-platform graphical user-interface library.

%package -n python3-pyfltk
Summary:	Python3 wrapper for the FLTK library
Group:		Development/Python
%{?python_provide:%python_provide python3-pyfltk}

%description -n python3-pyfltk
pyFLTK is a Python3 wrapper for the Fast Light Tool Kit
cross-platform graphical user-interface library.

%prep
%setup -q -n %{tarname}-%{version}
%autopatch -p1
# (wally) With P0, disable Werror_cflags temporarily to get pkg build
%define Werror_cflags   %nil
%define Werror_cflags   %nil
sed -i -e 's|@MGA_CFLAGS@|%{optflags} -Wformat=2|' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
export CPPFLAGS="-DFL_INTERNALS %ldflags" 
%pyproject_wheel

%install
%pyproject_install
rm -rf %{buildroot}%{python3_sitearch}/fltk/docs
rm -rf %{buildroot}%{python3_sitearch}/fltk/test

%files -n python3-pyfltk
%doc CHANGES
%{python3_sitearch}/fltk/
%{python3_sitearch}/*info
