%global pypi_name pygame

Name:		python-pygame
Version:	2.6.1
Release:	%mkrel 1
Summary:	Python module for interfacing with the SDL multimedia library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://pygame.org/
Source:		https://files.pythonhosted.org/packages/source/p/pygame/%{pypi_name}-%{version}.tar.gz
Patch0:		pygame-2.5.2-linking.patch
BuildRequires: python3-devel
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libv4l2)
BuildRequires: pkgconfig(SDL2_image)
BuildRequires: pkgconfig(SDL2_mixer)
BuildRequires: pkgconfig(SDL2_ttf)
BuildRequires: pkgconfig(portmidi)
BuildRequires: python3-numpy
BuildRequires: python3-numpy-devel
BuildRequires: smpeg-devel

%description
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install pygame if you would like to write or play SDL games written in
the python language.

%package doc
Summary:	Pygame documentation and example programs
Group:		Development/Python
BuildArch:	noarch

%description doc
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install pygame-doc if you need the API documentation and example
programs.

%package -n python3-%{pypi_name}-devel
Summary:	Pygame development headers
Group:		Development/Python
BuildArch:	noarch

%description -n python3-%{pypi_name}-devel
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install the devel package if you want to build programs with pygame.

%package -n python3-%{pypi_name}
Summary:	Python 3 module for interfacing with the SDL multimedia library
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	pygame

%description -n python3-%{pypi_name}
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install pygame if you would like to write or play SDL games written in
the python language.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# rpmlint fixes
find examples/ -type f -print0 | xargs -0 chmod -x
find docs/ -type f -print0 | xargs -0 chmod -x

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pygame

# Fix permissions
chmod 755 %{buildroot}%{python3_sitearch}/pygame/*.so

%files doc
%doc docs/
%doc examples/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README*

%files -n python3-%{pypi_name}-devel
%{_includedir}/python%{python3_version}/pygame/
