%global pypi_name pygit2
%global __requires_exclude pycparser

Name:           python-%{pypi_name}
Version:        1.17.0
Release:        %mkrel 2
Summary:        Python bindings for libgit2
Group:          Development/Python
License:        GPLv2 with linking exception
URL:            https://pypi.org/project/pygit2
Source0:        https://github.com/libgit2/pygit2/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(libgit2) >= 1.9.0
BuildRequires:  pkgconfig(openssl)
BuildRequires:  python3-cffi

%description
pygit2 is a set of Python bindings to the libgit2 library, which implements
the core of Git.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
Requires:  python3-cffi

%description -n python3-%{pypi_name}
pygit2 is a set of Python bindings to the libgit2 library, which implements
the core of Git.

%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch
# For /usr/bin/sphinx-build
BuildRequires:  python3-sphinx

%description    doc
Documentation for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%make_build -C docs html

%install
%pyproject_install
%pyproject_save_files pygit2

find %{_builddir} -name '.buildinfo' -delete

# Correct the permissions.
find %{buildroot} -name '*.so' -exec chmod 755 {} ';'

%check
# This is horrible, but otherwise pytest does not use pygit2 from site-packages
rm -f pygit2/__init__.py
# https://github.com/libgit2/pygit2/issues/812
%ifarch ppc64 s390x
  PYTHONPATH=%{buildroot}%{python3_sitearch} py.test-%{python3_version} -v || :
%else
  PYTHONPATH=%{buildroot}%{python3_sitearch} py.test-%{python3_version} -v
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license COPYING

%files doc
%license COPYING
%doc docs/_build/html/*
