%define pypi_name pygments

Name:           python-pygments
Version:        2.19.1
Release:        %mkrel 2
Summary:        Syntax highlighting package written in Python
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/Pygments
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Pygments is a syntax highlighting package written in Python. It is a generic
syntax highlighter for general use in all kinds of software such as forum
systems, wikis or other applications that need to prettify source code.
Highlights are:

* a wide range of common languages and markup formats is supported
* special attention is paid to details, increasing quality by a fair amount
* support for new languages and formats are added easily
* a number of output formats, presently HTML, LaTeX, RTF, SVG and ANSI
  sequences
* it is usable as a command-line tool and as a library
* ... and it highlights even Brainf*ck!

%package -n python3-%{pypi_name}
Summary:        Syntax highlighting package written in Python3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pygments is a syntax highlighting package written in Python. It is a
generic syntax highlighter for general use in all kinds of software
such as forum systems, wikis or other applications that need to
prettify source code.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

install -Dm0644 doc/pygmentize.1 %{buildroot}%{_mandir}/man1/pygmentize.1

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc AUTHORS CHANGES

%{_bindir}/pygmentize
%{_mandir}/man1/pygmentize.1*
