%define pypi_name	pygraphviz

Summary:	Python interface to Graphviz
Name:		python-%{pypi_name}
Version:	1.14
Release:	%mkrel 2
License:	BSD
Group:		Development/Python
Url:		https://pypi.org/project/pygraphviz/
Source0:	%{pypi_source %pypi_name %version}
Source1:	https://raw.githubusercontent.com/pygraphviz/pygraphviz/main/examples/README.txt
BuildRequires:	pyproject-rpm-macros
BuildRequires:	graphviz-devel >= 2.0
BuildRequires:	python3-devel
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3dist(sphinx-rtd-theme)
BuildRequires:	python3dist(pydata-sphinx-theme)
BuildRequires:	python3dist(sphinx-gallery)
BuildRequires:	python3dist(numpydoc)
BuildRequires:	python3dist(matplotlib)

%description
PyGraphviz is a Python interface to the Graphviz graph layout and
visualization package.

With PyGraphviz, you can create, edit, read, write, and draw graphs
using Python to access the Graphviz graph data structure and layout
algorithms.

%package doc
Summary:	Documentation for pygraphviz
Group:		Development/Python
BuildArch:	noarch

%description doc
This package contains documentation for PyGraphviz,
a Python interface to the Graphviz graph layout and
visualization package.


%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       graphviz >= 2.0
Recommends:     %{name}-doc
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyGraphviz is a Python interface to the Graphviz graph layout and
visualization package.

With PyGraphviz, you can create, edit, read, write, and draw graphs
using Python to access the Graphviz graph data structure and layout
algorithms.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

cp -a %{SOURCE1} examples/

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

#docs
%make_build -C doc html PYTHONPATH=$(echo $PWD/build/lib.%{python3_platform}-*)
rm -rf doc/build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files pygraphviz

%files doc
%doc doc/build/html

%files -n python3-%{pypi_name} -f %{pyproject_files}
