%global srcname	PyGreSQL
%global module	pygresql
%global pgver	15

# Tests are disabled by default because PostgreSQL must be configured
# properly for the time zone the unit tests expect to pass.
%bcond_with tests

Name:		python-%{module}
Version:	6.0
Release:	%mkrel 3
Summary:	A Python client library for PostgreSQL

Group:		Development/Python
URL:		https://www.pygresql.org/
# Author states his intention is to dual license under PostgreSQL or Python
# licenses --- this is not too clear from the current tarball documentation,
# but hopefully will be clearer in future releases.
# The PostgreSQL license is very similar to other MIT licenses, but the OSI
# recognizes it as an independent license, so we do as well.
License:	PostgreSQL or Python
Source0:	%{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  postgresql-devel >= %{pgver}

%if %{with tests}
BuildRequires:	python3dist(tox)
%endif

%description
PostgreSQL is an advanced Object-Relational database management system.
The PyGreSQL package provides a module for developers to use when writing
Python code for accessing a PostgreSQL database.

%package -n python3-%{module}
Summary:	A Python client library for PostgreSQL
Group:		Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-%{module}}
Obsoletes:	python3-%{srcname} < 5.1

%description -n python3-%{module}
PostgreSQL is an advanced Object-Relational database management system.
The PyGreSQL package provides a module for developers to use when writing
Python code for accessing a PostgreSQL database.

%prep
%setup -q -n %{srcname}-%{version}

# PyGreSQL releases have execute bits on all files
find -type f -exec chmod 644 {} +

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pg pgdb

%if %{with tests}
%check
pgdatadir=datadir
pghost=/tmp
pgport=54321
pgdb=unittest

pg_start ()
{
	initdb "$pgdatadir" -U $(id -u -n) \
		--auth-local=peer --auth-host=ident
	pg_ctl -D "$pgdatadir" -l logfile start -o "-k $pghost -p $pgport" -w
}

pg_stop ()
{
	pg_ctl -D "$pgdatadir" stop
}

pg_createdb ()
{
	createdb -h $pghost -p $pgport "$@"
}

pg_start
pg_createdb "$pgdb"
trap pg_stop EXIT

cat > LOCAL_PyGreSQL.py <<EOF
dbname = '$pgdb'
dbhost = '$pghost'
dbport = $pgport
EOF

%tox
%endif

%files -n python3-%{module} -f %{pyproject_files}
%license docs/copyright.rst
%doc docs/*.rst
