# Created by pyp2rpm-3.3.2
%global pypi_name pyhamcrest

%bcond_with tests
%bcond_with doc

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 2
Summary:        Hamcrest framework for matcher objects
Group:          Development/Python
License:        New BSD
URL:            https://github.com/hamcrest/PyHamcrest
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(mock)
%if %{with tests}
BuildRequires:  python3dist(hypothesis) >= 1.11
BuildRequires:  python3dist(pytest) >= 2.8
BuildRequires:  python3dist(pytest-cov)
%endif
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
%if %{with doc}
BuildRequires:  python3dist(sphinx)
%endif

%description
PyHamcrest is a framework for writing matcher objects, allowing you to
declaratively define “match” rules. There are a number of situations where
matchers are invaluable, such as UI validation, or data filtering, but it is in
the area of writing flexible tests that matchers are most commonly used.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
Requires:       python3dist(six)

%description -n python3-%{pypi_name}
PyHamcrest is a framework for writing matcher objects, allowing you to
declaratively define “match” rules. There are a number of situations where
matchers are invaluable, such as UI validation, or data filtering, but it is in
the area of writing flexible tests that matchers are most commonly used.

%package -n python-%{pypi_name}-doc
Summary:        pyhamcrest documentation

%description -n python-%{pypi_name}-doc
Documentation for pyhamcrest

%prep
%autosetup -n pyhamcrest-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
# generate html docs
PYTHONPATH=${PWD} sphinx-build doc html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files hamcrest

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst

%if %{with doc}
%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE.txt
%endif
