%define oname pyinotify

Summary:	Python module for monitoring filesystems changes
Name:		python-%{oname}
Version:	0.9.6
Release:	%mkrel 17
License:	MIT
Group:		Development/Python
Url:		https://github.com/seb-m/pyinotify
Source0:	https://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
Source1:	%{oname}
# Remove references to asyncore, no more included since Python 3.12
# see https://github.com/lexdene/pyinotify/commit/dbc19878b3b3e50d9a065c3d5290002eb9b61372
Patch0:		dbc19878b3b3e50d9a065c3d5290002eb9b61372.patch
BuildArch:	noarch

%description
Pyinotify is a pure Python module for monitoring filesystems changes.
Pyinotify relies on inotify, a Linux Kernel functionality (since
kernel 2.6.13). inotify is an event-driven notification mechanism, its
notifications are exported to user space through three system calls.
Pyinotify binds these system calls and provides an implementation on
top of them.

%package -n python3-%{oname}
Summary:	Python 3 module for monitoring filesystems changes
Group:		Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{oname}}
Obsoletes:      python2-%{oname} < 0.9.6-6

%description -n python3-%{oname}
Pyinotify is a pure Python 3 module for monitoring filesystems changes.
Pyinotify relies on inotify, a Linux Kernel functionality (since
kernel 2.6.13). inotify is an event-driven notification mechanism, its
notifications are exported to user space through three system calls.
Pyinotify binds these system calls and provides an implementation on
top of them.

%prep
%setup -q -n %{oname}-%{version}

%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyinotify

%{__install} -D -m 0755 -p %{SOURCE1} %{buildroot}%{_bindir}/%{oname}
%{__chmod} 0755 %{buildroot}%{python3_sitelib}/%{oname}.py
%{python3} /usr/lib/rpm/redhat/pathfix.py -pni "%{__python3} %{py3_shbang_opts}" \
    %{buildroot}%{python3_sitelib}/pyinotify.py \
    %{buildroot}%{_bindir}/pyinotify

%files -n python3-%{oname} -f %{pyproject_files}
%doc README*
%{_bindir}/%{oname}

