# Created by pyp2rpm-3.3.2
%global pypi_name PyJWT
%global pkg_name pyjwt

# pytest < 5 needed
%bcond_without test

Name:           python-%{pkg_name}
Version:        2.8.0
Release:        %mkrel 5
Summary:        JSON Web Token implementation in Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/PyJWT
Source0:        %{pypi_source}
Patch0:         0001-Relax-requirements.patch
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with test}
BuildRequires:  python3dist(tox)
%endif

%description
A Python implementation of RFC 7519.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}
Requires:       python3dist(cryptography) >= 1.4

%description -n python3-%{pkg_name}
A Python implementation of RFC 7519.

%pyproject_extras_subpkg -n python3-pyjwt crypto

%prep
%autosetup -n PyJWT-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jwt

%if %{with test}
%check
%tox
%endif

%files -n python3-%{pkg_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
