%define pypi_name pykdtree

Name:           python-pykdtree
Version:        1.3.13
Release:        %mkrel 2
Summary:        A Python kd-tree nearest neighbour search
License:        GPLv3
Group:          Development/Python

Url:            https://pypi.python.org/pypi/pykdtree
Source0:        %{pypi_source}

%description
Pykdtree is a kd-tree implementation for fast nearest neighbour search
in Python. The aim is to be the fastest implementation around for
common use cases (low dimensions and low number of neighbours) for
both tree construction and queries. Queries are optionally
multithreaded using OpenMP.


%package -n python3-pykdtree
Summary:        A Python3 kd-tree nearest neighbour search
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(numpy)
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(cython)
BuildRequires:  libgomp-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-pykdtree
Pykdtree is a kd-tree implementation for fast nearest neighbour search
in Python. The aim is to be the fastest implementation around for
common use cases (low dimensions and low number of neighbours) for
both tree construction and queries. Queries are optionally
multithreaded using OpenMP.




%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
export PROJ_DIR=%{_libdir}
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pykdtree


%files -n python3-pykdtree -f %{pyproject_files}
