%define module	pylzma

Name:		python-%{module}
Version:	0.5.0
Release:	%mkrel 9
Summary:	Python bindings for the LZMA library by Igor Pavlov
License:	LGPLv2+
Group:		Development/Python
Url:		https://www.joachim-bauch.de/projects/pylzma/
Source0:	https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
# use python3 syntax in test_usage.py
Patch0:		python-pylzma-test-python3.patch
# PATCH-FIX-UPSTREAM python-pylzma-gcc14.patch gh#fancycode/pylzma#81 glaubitz@suse.com
Patch1:		python-pylzma-gcc14.patch
BuildRequires:	pyproject-rpm-macros

%description
PyLZMA provides a platform independent way to read and write data that has
been compressed or can be decompressed by the LZMA library by Igor Pavlov.

#---------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 bindings for the LZMA library by Igor Pavlov
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
PyLZMA provides a platform independent way to read and write data that has
been compressed or can be decompressed by the LZMA library by Igor Pavlov.

This is the Python 3 build of %{module}.

#---------------------------------------------------

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module} py7zlib

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md doc/*
