%global         py3pi_name    pymc3

Name:           python-pymc
Version:        5.10.4
Release:        %mkrel 2
Group:          Sciences/Mathematics
Summary:        Markov Chain Monte Carlo sampling toolkit
License:        AFL
Url:            https://github.com/pymc-devs/pymc3
Source0:        https://github.com/pymc-devs/pymc/archive/refs/tags/v%{version}.tar.gz#/%{py3pi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  blas-devel
BuildRequires:  gcc-gfortran
BuildRequires:  lapack-devel
#uildRequires:  libatlas-devel
BuildRequires:  locales-en

%description
PyMC is a python module that implements Bayesian statistical models
and fitting algorithms, including Markov chain Monte Carlo. Its
flexibility and extensibility make it applicable to a large suite of
problems. Along with core sampling functionality, PyMC includes
methods for summarizing output, plotting, goodness-of-fit and
convergence diagnostics.


%package -n python3-pymc
Summary:        Python3 implementation of PyMC
Group:          Sciences/Mathematics
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-numpy-f2py
BuildRequires:  python3-pkg-resources
%{?python_provide:%python_provide python3-pymc}


%description -n python3-pymc
PyMC is a python module that implements Bayesian statistical models
and fitting algorithms, including Markov chain Monte Carlo. Its
flexibility and extensibility make it applicable to a large suite of
problems. Along with core sampling functionality, PyMC includes
methods for summarizing output, plotting, goodness-of-fit and
convergence diagnostics.


%prep
%setup -q -n pymc-%{version}
# relax requirements on pytensor
sed -i "/,<2.19/d" requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
export LANGUAGE=en_US:en
pushd %{_builddir}/pymc-%{version}
%pyproject_wheel
popd

%install
pushd %{_builddir}/pymc-%{version}
%pyproject_install
%pyproject_save_files pymc
popd

%files -n python3-pymc -f %{pyproject_files}
%doc LICENSE README.rst
