# Created by pyp2rpm-3.3.1
%global pypi_name pymediainfo

Name:           python-%{pypi_name}
Version:        6.1.0
Release:        %mkrel 2
Summary:        A Python wrapper for the mediainfo library
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pymediainfo
Source0:        %{pypi_source}
BuildArch:      noarch

# Required for tests
BuildRequires:  mediainfo
BuildRequires:  pkgconfig(libmediainfo)
BuildRequires:  locales-en
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(sphinx)


%description
This small package is a wrapper around the MediaInfo library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
This small package is a wrapper around the MediaInfo library.

%package -n python-%{pypi_name}-doc
Summary:        pymediainfo documentation

%description -n python-%{pypi_name}-doc
Documentation for pymediainfo

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files pymediainfo

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%files -n python-%{pypi_name}-doc
%doc html
