%global pypi_name pymilter

Summary:       Python interface to sendmail milter API
Name:          python-pymilter
Version:       1.0.5
Release:       %mkrel 4
License:       GPLv2+
Group:         Development/Python
Url:           https://bmsi.com/pymilter
Source:        %{pypi_source}
Source1:       tmpfiles-python-pymilter.conf
# remove unit tests that require network for check
Patch:         pymilter-check.patch

BuildRequires: python3-devel
BuildRequires: sendmail-devel >= 8.13

%description
This is a python extension module to enable python scripts to\
attach to sendmail's libmilter functionality.  Additional python\
modules provide for navigating and modifying MIME parts, sending\
DSNs, and doing CBV.

%package -n python3-pymilter
Summary:       %summary
Requires:      %{name}-common = %{version}-%{release}
Requires:      python3-py3dns
%{?python_provide:%python_provide python3-pymilter}

%description -n python3-pymilter
This is a python extension module to enable python scripts to\
attach to sendmail's libmilter functionality.  Additional python\
modules provide for navigating and modifying MIME parts, sending\
DSNs, and doing CBV.

%package common
Summary:       Common files and directories for python milters
BuildArch:     noarch

%description common
Common files and directories used for python milters.

%prep
%setup -q -n pymilter-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files Milter milter mime

mkdir -p %{buildroot}%{_localstatedir}/log/milter
mkdir -p %{buildroot}%{_libexecdir}/milter
mkdir -p %{buildroot}%{_prefix}/lib/tmpfiles.d
install -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf

%files -n python3-pymilter -f %{pyproject_files}
%doc ChangeLog NEWS TODO CREDITS sample.py
%license COPYING

%files common
%license COPYING
%dir %{_libexecdir}/milter
%{_tmpfilesdir}/%{name}.conf
%dir %attr(0755,mail,mail) %{_localstatedir}/log/milter
