%define pypi_name pymongo

Name:           python-%{pypi_name}
Version:        4.6.3
Release:        %mkrel 2
Summary:        Python driver for MongoDB
Group:          Development/Python
# All code is ASL 2.0 except bson/time64*.{c,h} which is MIT
License:        ASL 2.0 and MIT
URL:            https://pypi.org/project/pymongo/
Source0:        %{pypi_source}
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)

%description
The Python driver for MongoDB.

%package -n     python3-%{pypi_name}
Summary:        Python3 driver for MongoDB
Requires:       python3-bson >= %{version}-%{release}
Obsoletes:      python-pymongo-doc < 4.6.1

%description -n python3-%{pypi_name}
The Python 3 driver for MongoDB.

%package -n     python3-gridfs
Summary:        Python 3 GridFS driver for MongoDB
Requires:       python3-%{pypi_name} >= %{version}-%{release}
Provides:       python%{python3_pkgversion}dist(gridfs) = %{version}
Provides:       python%{python3_version}dist(gridfs) = %{version}
%{?python_provide:%python_provide python3-gridfs}

%description -n python3-gridfs
GridFS is a storage specification for large objects in MongoDB.

%package -n     python3-bson
Summary:        Python 3 bson library
Provides:	python%{python3_pkgversion}dist(bson) = %{version}
Provides:       python%{python3_version}dist(bson) = %{version}
%{?python_provide:%python_provide python3-bson}

%description -n python3-bson
BSON is a binary-encoded serialization of JSON-like documents. BSON is designed
to be lightweight, traversable, and efficient. BSON, like JSON, supports the
embedding of objects and arrays within other objects and arrays.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# Generating documention
PYTHONPATH=$PWD/build/lib.%{python3_platform}-cpython-%{python3_version_nodots} \
  sphinx-build -M html doc doc/html

# Clean leftovers
rm -rf doc/html/html/.{buildinfo,doctrees}

%install
%pyproject_install

%files -n python3-%{pypi_name}
%doc README.rst doc/html/html
%license LICENSE
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}.dist-info/

%files -n python3-gridfs
%doc README.rst
%license LICENSE
%{python3_sitearch}/gridfs/

%files -n python3-bson
%doc README.rst
%license LICENSE
%{python3_sitearch}/bson/
