# Created by pyp2rpm-3.3.1
%global pypi_name pynacl
%global srcname PyNaCl

Name:           python-%{pypi_name}
Version:        1.5.0
Release:        %mkrel 6
Summary:        Python binding to the Networking and Cryptography (NaCl) library
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/pyca/pynacl/
Source0:        %{pypi_source}
BuildRequires:  libsodium-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
PyNaCl is a Python binding to libsodium, which is a fork of the Networking
and Cryptography library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyNaCl is a Python binding to libsodium, which is a fork of the Networking
and Cryptography library.

%prep
%autosetup -n PyNaCl-%{version}

# Remove bundled libsodium, to be sure
rm -vrf src/libsodium/

%generate_buildrequires
%pyproject_buildrequires -x tests

%build
export SODIUM_INSTALL=system
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nacl

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
