%define pypi_name pynndescent

Name:       python-%{pypi_name}
Version:    0.5.6
Release:    %mkrel 2
Summary:    Nearest Neighbor Descent
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/pynndescent/
Source0:    %{pypi_source}
BuildArch:  noarch

%description
A Python nearest neighbor descent for approximate nearest neighbors. This is a
relatively straightforward python implementation of Nearest Neighbor Descent
for k-neighbor-graph construction and approximate nearest neighbor search, as
per the paper:
Dong, Wei, Charikar Moses, and Kai Li. “Efficient k-nearest neighbor graph
construction for generic similarity measures.” Proceedings of the 20th
international conference on World wide web. ACM, 2011.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python nearest neighbor descent for approximate nearest neighbors. This is a
relatively straightforward python implementation of Nearest Neighbor Descent
for k-neighbor-graph construction and approximate nearest neighbor search, as
per the paper:
Dong, Wei, Charikar Moses, and Kai Li. “Efficient k-nearest neighbor graph
construction for generic similarity measures.” Proceedings of the 20th
international conference on World wide web. ACM, 2011.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/pynndescent
%{python3_sitelib}/pynndescent-%{version}-*.egg-info
