%define pypi_name	pynose

Summary:	Unittest-based testing framework for Python
Name:		python-%{pypi_name}
Version:	1.5.3
Release:	%mkrel 4
License:	LGPLv2+
Group:		Development/Python
Url:		https://readthedocs.org/docs/nose/
Source0:	%{pypi_source}

BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

%description
nose extends the test loading and running features of unittest, making it easier
to write, find and run tests.

By default, nose will run tests in files or directories under the current
working directory whose names include "test" or "Test" at a word boundary (like
"test_this" or "functional_test" or "TestClass" but not "libtest"). Test output
is similar to that of unittest, but also includes captured stdout output from
failing tests, for easy print-style debugging.

These features, and many more, are customizable through the use of plugins.
Plugins included with nose provide support for doctest, code coverage and
profiling, flexible attribute-based test selection, output capture and more.

%package -n python3-%{pypi_name}
Summary:	Discovery-based unittest extension for Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	python3dist(setuptools)
Obsoletes:	python3-nose < 1.3.7-18
Obsoletes:	python-nose < 1.3.7-18
Provides:	python3-nose = %{version}-%{release}
Provides:	python3dist(nose) = %{version}-%{release}

%description -n python3-%{pypi_name}
nose extends the test loading and running features of unittest, making it easier
to write, find and run tests.

By default, nose will run tests in files or directories under the current
working directory whose names include "test" or "Test" at a word boundary (like
"test_this" or "functional_test" or "TestClass" but not "libtest"). Test output
is similar to that of unittest, but also includes captured stdout output from
failing tests, for easy print-style debugging.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
# (ovitters) python-arpy expects nodetests-3 to exist
ln -sf nosetests-%{python3_version} %{buildroot}%{_bindir}/nosetests-3
%pyproject_save_files nose


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS README.md
%license LICENSE
%{_bindir}/pynose
%{_bindir}/nosetests
%{_bindir}/nosetests-3
