%define         module pynvim

Name:		python-%{module}
Version:	0.5.2
Release:	%mkrel 2
License:	ASL 2.0
Summary:	Python client for Neovim
Group:		Editors
URL:		https://github.com/neovim/python-client
Source0:        https://github.com/neovim/python-client/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(pytest-runner)

%description
Implements support for python plugins in Nvim. Also works as a library for
connecting to and scripting Nvim processes through its msgpack-rpc API.

%package -n python3-%{module}
Summary:	Python client for Neovim
Requires:	neovim
Provides:	python3-neovim = %{version}-%{release}
Obsoletes:      python3-neovim < 0.3.0-2
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Implements support for python plugins in Nvim. Also works as a library for
connecting to and scripting Nvim processes through its msgpack-rpc API.

%prep
%autosetup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%license LICENSE
%doc README.md
%{python3_sitelib}/*
