%define module  pyocr

Name:           python-%{module}
Version:        0.8.5
Release:        %mkrel 2
Summary:        OCR tool wrapper for Python
Group:          Development/Python
License:        GPLv3
Url:            https://gitlab.gnome.org/World/OpenPaperwork/pyocr
Source0:        https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(xt)

Requires:       tesseract

%description
Pyocr is an optical character recognition (OCR) tool wrapper for python.
That is, it helps using OCR tools from a Python program.

Pyocr can be used as a wrapper for google's Tesseract-OCR
( https://code.google.com/p/tesseract-ocr/ ) or Cuneiform. It can read all image
types supported by the Python Imaging Library, including jpeg, png, gif, bmp, tiff,
and others. It also support bounding box data.

%package -n     python3-%{module}
Summary:        OCR tool wrapper for Python 3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm-git-archive)
Requires:       tesseract
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Pyocr is an optical character recognition (OCR) tool wrapper for python 3.
That is, it helps using OCR tools from a Python 3 program.

Pyocr can be used as a wrapper for google's Tesseract-OCR
( https://code.google.com/p/tesseract-ocr/ ) or Cuneiform. It can read all image
types supported by the Python Imaging Library, including jpeg, png, gif, bmp, tiff,
and others. It also support bounding box data.

%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyocr

%files -n python3-%{module} -f %{pyproject_files}

