%define module pyparsing

# when bootstrapping Python 3, pyparsing needs to be rebuilt before depndency generator is available
%bcond_without bootstrap

%if ! %{with bootstrap}
%global build_wheel 1
%global python_wheelname %{module}-%{version}-py2.py3-none-any.whl
%endif

Summary:        A general parsing module for Python
Name:           python-%{module}
Version:        3.2.1
Release:        %mkrel 1
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/pyparsing/
Source0:        https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%if ! %{with bootstrap}
BuildRequires:  python3dist(sphinx)
%endif

%if 0%{?build_wheel}
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)
%endif

%description
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

%package -n python3-%{module}
Summary:        A general parsing module for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
%if %{with bootstrap}
Provides:       python%{python3_pkgversion}dist(pyparsing) = %{version}
Provides:       python%{python3_version}dist(pyparsing) = %{version}
%endif

%description -n python3-%{module}
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if ! %{with bootstrap}
# build docs
pushd docs
# Theme is not available
sed -i '/alabaster/d' conf.py
sphinx-build -b html . html
popd
%endif

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGES README.rst
%if ! %{with bootstrap}
%doc docs/html examples
%endif
%license LICENSE
