%define upstream_name PyPDF2

Summary:        Pure-Python PDF toolkit
Name:           python-pypdf2
Version:        3.0.1
Release:        %mkrel 2
License:        BSD
Group:          Development/Python
Url:            https://mstamy2.github.io/PyPDF2
Source0:        https://pypi.io/packages/source/P/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A Pure-Python library built as a PDF toolkit. It is capable of:
    * extracting document information (title, author, ...),
    * splitting documents page by page,
    * merging documents page by page,
    * cropping pages,
    * merging multiple pages into a single page,
    * encrypting and decrypting PDF files.

#------------------------------------------------------------------------------

%package -n python3-pypdf2
Summary:        Pure-Python3 PDF toolkit
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{upstream_name}}
%{?python_provide:%python_provide python3-pypdf2}
Provides:	python3-%{upstream_name} = %{version}

%description -n python3-pypdf2
A Pure-Python3 library built as a PDF toolkit. It is capable of:
    * extracting document information (title, author, ...),
    * splitting documents page by page,
    * merging documents page by page,
    * cropping pages,
    * merging multiple pages into a single page,
    * encrypting and decrypting PDF files.

%files -n python3-pypdf2 -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.md

#------------------------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}
sed -i '/^#!/d' PyPDF2/pagerange.py
%__chmod a-x CHANGELOG.md LICENSE README.md

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{upstream_name}
