# Created by pyp2rpm-3.3.2
%global pypi_name pypillowfight

Name:           python-%{pypi_name}
Version:        0.3.1
Release:        %mkrel 2
Summary:        Library containing various image processing algorithms
Group:          Development/Python
License:        GPLv2
URL:            https://gitlab.gnome.org/World/OpenPaperwork/libpillowfight
Source0:        https://gitlab.gnome.org/World/OpenPaperwork/libpillowfight/-/archive/%{version}/libpillowfight-%{version}.tar.gz
# Because 32-bit does not necessarily support SSE2.
Patch0001:      0001-Do-not-override-compile-args.patch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)

%description
Library containing various image processing algorithms: Automatic Color
Equalization, Unpaper's algorithms, Stroke Width Transformation, etc

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(pillow)

%description -n python3-%{pypi_name}
Library containing various image processing algorithms: Automatic Color
Equalization, Unpaper's algorithms, Stroke Width Transformation, etc


%prep
%autosetup -n libpillowfight-%{version} -p1

echo "#define INTERNAL_PILLOWFIGHT_VERSION \"%{version}\"" > src/pillowfight/_version.h

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pillowfight

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
