%global modname pypng

%bcond_without check

Name:               python-pypng
Version:            0.20231004.0
Release:            %mkrel 3
Summary:            Pure Python PNG image encoder/decoder
Group:              Development/Python
License:            MIT
URL:                https://pypi.org/project/pypng
Source0:            https://gitlab.com/drj11/pypng/-/archive/%{modname}-%{version}/%{modname}-%{modname}-%{version}.tar.gz
BuildArch:          noarch
BuildRequires:      pyproject-rpm-macros
BuildRequires:      python3-devel
%if %{with check}
BuildRequires:      python3-pytest
%endif

%description
PyPNG allows PNG image files to be read and written using pure Python.

It's available from github.com https://github.com/drj11/pypng

Documentation is kindly hosted by PyPI https://pythonhosted.org/pypng/

%package -n python3-pypng
Summary:            Pure Python 3 PNG image encoder/decoder
%{?python_provide:%python_provide python3-pypng}

%description -n python3-pypng
PyPNG allows PNG image files to be read and written using pure Python.

It's available from github.com https://github.com/drj11/pypng

Documentation is kindly hosted by PyPI https://pythonhosted.org/pypng/

%prep
%autosetup -n %{modname}-%{modname}-%{version}

# Remove the shebang from the main lib
lib=code/png.py
sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
touch -r $lib $lib.new &&
mv $lib.new $lib

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files png

%if %{with check}
%check
%pytest -V
%endif

%files -n python3-pypng -f %{pyproject_files}
%doc README.md LICENCE
%{_bindir}/pri*
