%define         pypiname          pyproj

Name:           python-pyproj
Version:        3.7.0
Release:        %mkrel 2

Summary:        A Python interface to PROJ4
License:        MIT
Group:          Development/Python

Url:            https://pypi.python.org/pypi/pyproj
Source0:        https://pypi.io/packages/source/p/pyproj/%{pypiname}-%{version}.tar.gz


BuildRequires:  pkgconfig(proj)
BuildRequires:  proj
BuildRequires:  chrpath

%description
A Python interface to PROJ4.


%package -n python3-%{pypiname}
Summary:        A Python3 interface to PROJ4
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(certifi)
BuildRequires:  python3-devel
Requires:       proj
%{?python_provide:%python_provide python3-%{pypiname}}

%description -n python3-%{pypiname}
A Python 3 interface to PROJ4.


%prep
%setup -q -n %{pypiname}-%{version}
%autopatch -p1


%generate_buildrequires
export PROJ_INCDIR=%{_prefix}/include
%pyproject_buildrequires

%build
export LDFLAGS="-lm"
export PROJ_DIR=%{_prefix}
export PROJ_INCDIR=%{_prefix}/include
export PROJ_LIBDIR=%{_libdir}

%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyproj

pushd %{buildroot}%{python3_sitearch}/pyproj
for mod in $(find . -type f -name \*.so ); do
    chrpath --delete $mod
done
popd

%files -n python3-%{pypiname} -f %{pyproject_files}
%doc LICENSE README.md
%{_bindir}/pyproj
