%global pypi_name PyQt-builder
%global srcname pyqt_builder
%global lcname pyqt-builder

Name:           python-%lcname
Version:        1.18.1
Release:        %mkrel 1
Summary:        The PEP 517 compliant PyQt build system
Group:          Development/Python
License:        GPLv2 or GPLv3
URL:            https://www.riverbankcomputing.com/software/pyqt/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
PyQt-builder is the PEP 517 compliant build system for PyQt and projects that
extend PyQt. It extends the sip build system and uses Qt's qmake to perform the
actual compilation and installation of extension modules.Projects that use
PyQt- builder provide an appropriate pyproject.toml file and an optional
project.py.

%package -n     python3-%lcname
Summary:        The PEP 517 compliant PyQt build system
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{lcname}
PyQt-builder is the PEP 517 compliant build system for PyQt and projects that
extend PyQt. It extends the sip build system and uses Qt's qmake to perform the
actual compilation and installation of extension modules.Projects that use
PyQt- builder provide an appropriate pyproject.toml file and an optional
project.py.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

# These dll files are from openssl and microsoft visiual studio
# While we can redistribute them, we don't have source and it's
# unlikely anyone will want to bundle a windows executable from linux.
rm -rf %{buildroot}%{python3_sitelib}/pyqtbuild/bundle/dlls

%files -n python3-%lcname
%doc README.md
%license LICENSE
%{_bindir}/pyqt-bundle
%{_bindir}/pyqt-qt-wheel
%{python3_sitelib}/pyqtbuild
%{python3_sitelib}/pyqt_builder-%{version}.dist-info/
