# Created by pyp2rpm-1.0.1
%global pypi_name pyqtgraph

Name:           python-%{pypi_name}
Version:        0.13.7
Release:        %mkrel 2
Group:          Development/Python
Summary:        Scientific Graphics and GUI Library for Python
License:        MIT
URL:            https://www.pyqtgraph.org/
Source0:        %{pypi_source}
Patch0:         no-sphinx-qt-doc.patch
BuildArch:      noarch

%description
PyQtGraph is a pure-python graphics and GUI library built on PyQt5/PySide
and numpy.

It is intended for use in mathematics / scientific / engineering
applications. Despite being written entirely in python, the library
is very fast due to its heavy leverage of numpy for number crunching,
Qt's GraphicsView framework for 2D display, and OpenGL for 3D display.

%package -n python3-%{pypi_name}
Summary:        Scientific Graphics and GUI Library for Python 3
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
# for docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-autodoc-typehints)
BuildRequires:  python3dist(sphinx-design)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(sphinxext-rediraffe)
BuildRequires:  python3-qt5-core
BuildRequires:  python3-qt5-gui
BuildRequires:  python3-qt5-opengl
BuildRequires:  python3-qt5-widgets
BuildRequires:	python3-numpy
BuildRequires:  python3-matplotlib
BuildRequires:  python3-matplotlib-qt5
BuildRequires:  python3dist(pyopengl)

Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-opengl
Requires:       python3-qt5-svg
Requires:       python3-qt5-test
Requires:       python3-qt5-widgets
Recommends:     python3dist(h5py)
Recommends:     python3dist(pyopengl)

%description -n python3-%{pypi_name}
PyQtGraph is a pure-python graphics and GUI library built on PyQt5/PySide
and numpy.

It is intended for use in mathematics / scientific / engineering
applications. Despite being written entirely in python, the library
is very fast due to its heavy leverage of numpy for number crunching,
Qt's GraphicsView framework for 2D display, and OpenGL for 3D display.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_wheel

# generate html docs
make -C doc html

%install
%pyproject_install
%pyproject_save_files pyqtgraph

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md pyqtgraph/metaarray/readMeta.m pyqtgraph/util/colorama/README.txt
%doc pyqtgraph/metaarray/license.txt pyqtgraph/util/colorama/LICENSE.txt
#doc doc/build/html
%license LICENSE.txt

