%define         pypiname          pyresample

Name:           python-pyresample
Version:        1.31.0
Release:        %mkrel 2

Summary:        A Python package for geospatial resampling
License:        LGPLv3
Group:          Development/Python

Url:            https://pypi.python.org/pypi/pyresample
Source0:        https://pypi.io/packages/source/p/pyresample/%{pypiname}-%{version}.tar.gz


%description
Pyresample is a Python package for manipulation and analysis
of planar geometric objects. It is based on the widely deployed GEOS
(the engine of PostGIS) and JTS (from which GEOS is ported)
libraries. Pyresample is not concerned with data formats or coordinate
systems, but can be readily integrated with packages that are.



%package -n python3-pyresample
Summary:        Python3 implementation of Pyresample
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypiname}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(cython)
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-pyproj
BuildRequires:  python3dist(configobj)
BuildRequires:  python3dist(pykdtree)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(shapely)
BuildRequires:  python3dist(platformdirs)
BuildRequires:  python3dist(versioneer)

%description -n python3-pyresample
%{summary}.




%prep
%setup -q -n %{pypiname}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyresample

%files -n python3-pyresample -f %{pyproject_files}
%doc LICENSE.txt README
