%define srcname Pyro4
%define oname   pyro4

Name:           python-pyro4
Version:        4.82
Release:        %mkrel 4
Summary:        PYthon Remote Objects
License:        MIT
Group:          Development/Python
Url:            https://pypi.python.org/pypi/Pyro4
Source:         https://pypi.io/packages/source/p/pyro4/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
Pyro provides an object-oriented form of RPC. You can use Pyro within a
single system but also use it for IPC. For those that are familiar with
Java, Pyro resembles Java's Remote Method Invocation (RMI). It is less
similar to CORBA - which is a system- and language independent Distributed
Object Technology and has much more to offer than Pyro or RMI.

Pyro4 is a reimplementation of the original pyro, that was begun in 2010.
According to upstream, pyro4 can now be considered the new ‘main’ Pyro
version. Since it is not API compatible to pyro-3.x, the package was renamed
to Pyro4

%package -n python3-%{oname}
Summary:        Python 3 Remote Objects
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
Pyro provides an object-oriented form of RPC. You can use Pyro within a
single system but also use it for IPC. For those that are familiar with
Java, Pyro resembles Java's Remote Method Invocation (RMI). It is less
similar to CORBA - which is a system- and language independent Distributed
Object Technology and has much more to offer than Pyro or RMI.

Pyro4 is a reimplementation of the original pyro, that was begun in 2010.
According to upstream, pyro4 can now be considered the new ‘main’ Pyro
version. Since it is not API compatible to pyro-3.x, the package was renamed
to Pyro4

%package -n %{name}-doc
Summary:	Documentation for %{srcname}
Group:          Documentation

%description -n %{name}-doc
Pyro provides an object-oriented form of RPC. You can use Pyro within a
single system but also use it for IPC. For those that are familiar with
Java, Pyro resembles Java's Remote Method Invocation (RMI). It is less
similar to CORBA - which is a system- and language independent Distributed
Object Technology and has much more to offer than Pyro or RMI.

Pyro4 is a reimplementation of the original pyro, that was begun in 2010.
According to upstream, pyro4 can now be considered the new ‘main’ Pyro
version. Since it is not API compatible to pyro-3.x, the package was renamed
to Pyro4

%prep
%setup -q -n %{srcname}-%{version}


# fix docs build
sed -i -e 's|.add_stylesheet|.add_css_file|g' docs/source/conf.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# docs
PYTHONPATH=${PWD} sphinx-build docs/source html

%install
%pyproject_install
%pyproject_save_files Pyro4

%files -n python3-%{oname} -f %{pyproject_files}
%{_bindir}/*

%files -n %{name}-doc
%doc html examples/*
