# Created by pyp2rpm-3.3.2
%global pypi_name pyrsistent

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.20.0
Release:        %mkrel 2
Summary:        Persistent/Functional/Immutable data structures
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pyrsistent
Source0:        %{pypi_source}
# Replace _PyList_Extend with PyList_SetSlice
# https://github.com/tobgu/pyrsistent/pull/284
#
# Together with the 0.20.0 release, this fixes:
#
# python-pyrsistent fails to build with Python 3.13: implicit declaration of
# function ‘Py_TRASHCAN_SAFE_BEGIN’, ‘Py_TRASHCAN_SAFE_END’, ‘_PyList_Extend’
# https://bugzilla.redhat.com/show_bug.cgi?id=2246349
Patch:          %{url}/pull/284.patch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Pyrsistent is a number of persistent collections (by some referred to as
functional data structures). Persistent in the sense that they are immutable.

All methods on a data structure that would normally mutate it instead return
a new copy of the structure containing the requested updates. The original
structure is left untouched.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pyrsistent is a number of persistent collections (by some referred to as
functional data structures). Persistent in the sense that they are immutable.

All methods on a data structure that would normally mutate it instead return
a new copy of the structure containing the requested updates. The original
structure is left untouched.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x tests}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name} pvectorc _pyrsistent_version

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
