%define module pyscard

Name:       python-%{module}
Version:    2.2.2
Release:    %mkrel 1
Summary:    Python smart card library
Group:      Development/Python
License:    LGPLv2+
URL:        https://pyscard.sourceforge.io/
Source0:    https://github.com/LudovicRousseau/pyscard/archive/%{version}/%{module}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(libpcsclite)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pytest)
BuildRequires:  swig

%description
pyscard is a python module adding smart cards support to python.

It consists of the smartcard.scard module, an extension module wrapping
Windows smart card base components (also known as PCSC) on Windows, and
PCSC lite on GNU/Linux and macOS, and of the smartcard module, a
python framework with objects wrapping PCSC API.

%package -n python3-%{module}
Summary:    %{summary}

%description -n python3-%{module}
pyscard is a python module adding smart cards support to python.

It consists of the smartcard.scard module, an extension module wrapping
Windows smart card base components (also known as PCSC) on Windows, and
PCSC lite on GNU/Linux and macOS, and of the smartcard module, a
python framework with objects wrapping PCSC API.

%prep
%autosetup -n %{module}-%{VERSION}
# The swig package doesn't mark this Python project as being provided
sed -ie 's/,"swig"//' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files smartcard

%check
%pytest

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.md ACKS
