%define pypi_name pysnmp
%define with_python3 1

Name:           python-pysnmp
Version:        7.1.15
Release:        %mkrel 2
Group:          Development/Python
Summary:        A pure-Python SNMPv1/v2c/v3 library

License:        BSD
URL:            https://github.com/lextudio/pysnmp
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       net-snmp

%description
SNMP v1/v2c/v3 engine and apps written in pure-Python. Supports
Manager/Agent/Proxy roles, scriptable MIBs, asynchronous operation and multiple
transports. More info at https://pysnmp.sourceforge.net/

%package -n     python3-%{pypi_name}
Summary:        A pure-Python SNMPv1/v2c/v3 library
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       net-snmp

%description -n python3-%{pypi_name}
SNMP v1/v2c/v3 engine and apps written in pure-Python. Supports
Manager/Agent/Proxy roles, scriptable MIBs, asynchronous operation and multiple
transports. More info at https://pysnmp.sourceforge.net/


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pysnmp

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc  LICENSE.rst README.md  docs/
