%global pypi_name pystache

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        %mkrel 4
Summary:        Mustache for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pystache/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# For the test
BuildRequires:  python3-simplejson

%description
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Mustache for Python
Requires:       python3-simplejson
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

%py_shebang_fix .

%build
%py3_build

%install
%py3_install

%check
#%%{__python3} -m pystache.commands.test

%files -n python3-%{pypi_name}
%doc PKG-INFO HISTORY.md README.md LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/%{pypi_name}
%{_bindir}/%{pypi_name}-test
