# Testsuite needs human interaction.
%bcond_with test

%global common_sum Provides system tray integration
%global common_desc This library allows you to create a system tray icon.

%global upname pystray


Name:		python-%{upname}
Version:	0.19.5
Release:	%mkrel 3
Summary:	%{common_sum}
Group:		Development/Python
License:	LGPLv3+
URL:		https://github.com/moses-palmer/%{upname}
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# fix such that the package requires typelib(AyatanaAppIncator3)
Patch0:		0001-fix-appindicator.patch
BuildArch:	noarch

%description
%{common_desc}


%package -n python3-%{upname}
Summary:	%{common_sum}

BuildRequires:	python3-devel
BuildRequires:	python3-pillow
BuildRequires:	python3-setuptools
BuildRequires:	python3-six
BuildRequires:	python3-pytest
BuildRequires:	python3-xlib >= 0.17

Requires:	python3-pillow
Requires:	python3-six
Requires:	python3-xlib		>= 0.17

%{?python_provide:%python_provide python3-%{upname}}

%description -n python3-%{upname}
%{common_desc}


%package -n python3-%{upname}-doc
Summary:	Documentation-files for python3-%{upname}

BuildRequires:	fdupes
BuildRequires:	python3-sphinx >= 1.3.1

%description -n python3-%{upname}-doc
This package contains the Documentation-files for python3-%{upname}.


%prep
%autosetup -n %{upname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

sphinx-build-3 docs docs/build-%{python3_version}/html
%fdupes -s docs/build-%{python3_version}
for f in .buildinfo .doctrees .inv ; do
	%{_bindir}/find docs/ -name "*${f}*" -print0 |			\
		%{_bindir}/xargs -0 rm -frv
done


%install
%pyproject_install
%pyproject_save_files pystray

%if %{with test}
%check
%pytest
%endif # with test


%files -n python3-%{upname}-doc
%license COPYING*
%doc README.rst

%files -n python3-%{upname} -f %{pyproject_files}
%doc CHANGES.rst docs/build-%{python3_version}/html
