%define oname pysvn

Summary:	Highlevel Subversion Python bindings
Name:		python-%{oname}
Version:	1.9.23
Release:	%mkrel 2
License:	Apache License
Group:		Development/Python
URL:		https://pysvn.sourceforge.io
Source0:	https://downloads.sourceforge.net/pysvn/pysvn-%{version}.tar.gz
Patch1:		pysvn-1.9.23-linking.patch
BuildRequires:	pkgconfig(apr-1)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(neon)
BuildRequires:	subversion-devel
BuildRequires:	subversion-tools
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-cxx-devel

%description
pysvn is a highlevel and easy to use Python bindings to Subversion.

%package -n	python3-%{oname}
Summary:	Highlevel Subversion Python 3 bindings
Group:		Development/Python

%description -n	python3-%{oname}
pysvn is a highlevel and easy to use Python 3 bindings to Subversion.

%package	docs
Summary:	Programmer's documentation for pysvn
Group:		Development/Python
BuildArch:	noarch

%description	docs
pysvn is a highlevel and easy to use Python bindings to Subversion.

This package contains the pysvn Programmer's Guide and the Programmer's
Reference.

%prep
%autosetup -p1 -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
pushd Source
%{__python3} %{py_setup} %{?py_setup_args} configure --verbose --norpath --disable-deprecated-functions-warnings
%make_build
popd

%install
install -d %{buildroot}%{python3_sitearch}/%{oname}
cp -a Source/%{oname}/*.py %{buildroot}%{python3_sitearch}/%{oname}
cp -a Source/%{oname}/_pysvn*.so %{buildroot}%{python3_sitearch}/%{oname}

%files -n python3-pysvn
%doc LICENSE.txt
%{python3_sitearch}/%{oname}/

%files docs
%doc Docs/*.html Docs/*.js Examples
