%global pypi_name pyswagger
%define version 0.8.39

Name:           python-pyswagger
Version:        %{version}
Release:        %mkrel 8
Group:          Development/Python
Summary:        A type-safe, dynamic, spec-compliant swagger client & converter for python

License:        MIT
URL:            https://github.com/mission-liao/pyswagger
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
 
%description
A python client for Swagger enabled REST API. It wouldn't be easier to try
Swagger REST API by Swagger-UI. However, when it's time to unittest your API,
the first option you find would be Swagger-codegen, but the better option is us.

%package -n     python3-%{pypi_name}
Summary:        A type-safe, dynamic, spec-compliant swagger client & converter for python
 
Requires:       python3-six >= 1.7.2
Requires:       python3-pyaml >= 15.03.1

%description -n python3-%{pypi_name}
A python client for Swagger enabled REST API. It wouldn't be easier to try
Swagger REST API by Swagger-UI. However, when it's time to unittest your API,
the first option you find would be Swagger-codegen, but the better option is us.



%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyswagger


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
