%global srcname pytaglib

Name:           python-%{srcname}
Version:        3.0.0
Release:        %mkrel 3
Summary:        Python audio metadata ("tagging") library based on TagLib
Group:          Development/Python
License:        GPLv3+
URL:            https://github.com/supermihi/pytaglib
Source0:        https://github.com/supermihi/pytaglib/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  pkgconfig(taglib)

%description
pytaglib is a full-featured, easy-to-use, cross-platform audio metadata
(“tag”) library for Python (all versions supported). It uses the popular,
fast and rock-solid TagLib C++ library internally.

pytaglib is a very thin wrapper about TagLib (<150 lines of code), meaning
that you immediately profit from the underlying library’s speed and stability.

%package -n python3-%{srcname}
Summary:        Python audio metadata ("tagging") library based on TagLib
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-cython
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner

%description -n python3-%{srcname}
pytaglib is a full-featured, easy-to-use, cross-platform audio metadata
(“tag”) library for Python (all versions supported). It uses the popular,
fast and rock-solid TagLib C++ library internally.

pytaglib is a very thin wrapper about TagLib (<150 lines of code), meaning
that you immediately profit from the underlying library’s speed and stability.

%prep
%autosetup -n %{srcname}-%{version} -p1

# Remove pre-generated source
rm -vf src/taglib.cpp
# remove useless shebang
sed -i -e '1{\@^#!/usr/bin/env python@d}' src/pyprinttags.py

%generate_buildrequires
%pyproject_buildrequires -t

%build
export PYTAGLIB_CYTHONIZE=1
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files taglib pyprinttags

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md CHANGELOG.md
%{_bindir}/pyprinttags
