%global         upname   pytensor
%define         capname  PyTensor
%define         srcname  pytensor-rel


Name:           python-pytensor
Version:        2.18.6
Release:        %mkrel 3
Group:          Development/Python
Summary:        A Python library for evaluating mathematical expressions
License:        MIT
URL:            https://github.com/pymc-devs/pytensor/
Source0:        https://github.com/pymc-devs/pytensor/archive/refs/tags/rel-%{version}.tar.gz


%description
PyTensor is a Python library that allows you to define, optimize, and
evaluate mathematical expressions involving multi-dimensional arrays. PyTensor
features:
* A hackable, pure-Python codebase
* Extensible graph framework suitable for rapid development of custom operators
and symbolic optimizations
* Implements an extensible graph transpilation framework that currently provides
compilation via C, JAX, and Numba
* Contrary to PyTorch and TensorFlow, PyTensor maintains a static graph which
can be modified in-place to allow for advanced optimizations


%package -n python3-%{upname}
Summary:        A Python3 library for evaluating mathematical expressions
BuildRequires:  pkgconfig(python3)
BuildRequires:  python-numpy-devel

# ease upgrade mga9 -> mga10
Obsoletes:       python3-theano < 1.1.2-2
Provides:        python3-theano = %{version}-%{release}
Obsoletes:       python3-theano-pymc < 1.1.2-2
Provides:        python3-theano-pymc = %{version}-%{release}

%description -n python3-%{upname}
PyTensor is a Python library that allows you to define, optimize, and
evaluate mathematical expressions involving multi-dimensional arrays. PyTensor
features:
* A hackable, pure-Python codebase
* Extensible graph framework suitable for rapid development of custom operators
and symbolic optimizations
* Implements an extensible graph transpilation framework that currently provides
compilation via C, JAX, and Numba
* Contrary to PyTorch and TensorFlow, PyTensor maintains a static graph which
can be modified in-place to allow for advanced optimizations


%prep
%autosetup -n %{srcname}-%{version}

sed -i "s/==0.28//" pyproject.toml
sed -i 's/requires-python = ">=3.9,<3.12"/requires-python = ">=3.9,<3.13"/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytensor bin

%py3_shebang_fix %{buildroot}%{python3_sitearch}/bin/pytensor-cache

%check
%tox

%files -n python3-%{upname} -f %{pyproject_files}
%doc README.rst LICENSE.txt
%{_bindir}/pytensor-cache
