%global srcname pytest-astropy-header

Name: python-%{srcname}
Version: 0.2.2
Release: %mkrel 4
Summary: pytest plugin to add diagnostic info to the header of output
Group:   Development/Python

License: BSD
URL: https://www.astropy.org/
Source0: %{pypi_source}
BuildArch: noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)

%global _description %{expand:
This plugin package provides a way to include information about the system,
Python installation, and select dependencies in the header of the output when
running pytest. It can be used with packages that are not affiliated with the
Astropy project, but is optimized for use with astropy-related projects.}

%description %_description

%package -n python3-%{srcname}
Summary: %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_astropy_header

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.rst
%doc CHANGES.rst README.rst
