%global pypi_name pytest-astropy

Name:           python-%{pypi_name}
Version:        0.11.0
Release:        %mkrel 1
Summary:        The py.test astropy plugin
Group:          Development/Python

License:        BSD
URL:            https://pypi.org/project/pytest-astropy/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-arraydiff)
BuildRequires:  python3dist(pytest-doctestplus)
BuildRequires:  python3dist(pytest-remotedata)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
This package provides a plugin for the pytest framework that is used for
testing Astropy and its affiliated packages. 


%package -n python3-%{pypi_name}
Summary:        %{summary}
Requires:       python3dist(six)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides a plugin for the pytest framework that is used for
testing Astropy and its affiliated packages. 


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_astropy

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.rst
%doc CHANGES.rst README.rst
