%global pypi_name pytest-fixture-config

Name:           python-%{pypi_name}
Version:        1.8.0
Release:        %mkrel 2
Summary:        Simple configuration objects for Py.test fixtures
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pytest-fixture-config
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-six

%description
Simple configuration objects for Py.test fixtures.
Allows you to skip tests when their required config variables aren't set.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Simple configuration objects for Py.test fixtures.
Allows you to skip tests when their required config variables aren't set.

%prep
%autosetup -n %{pypi_name}-%{version}

# This is not needed when building from the sdist
sed -i -e '/setuptools-git/d' common_setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_fixture_config

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CHANGES.md
