%define modname pytest_httpbin

Name:           python-pytest-httpbin
Version:        2.1.0
Release:        %mkrel 2
Summary:        Fixture providing local instance of httpbin test service
Group:          Development/Python
License:        MIT
URL:            https://github.com/kevin1024/pytest-httpbin
# NOTE: the source includes a CA trust bundle (certs/cacert.pem). We
# don't replace it with the system-wide trust bundle because it's only
# used for httpbin itself and contains only the self-signed cert,
# valid only for 127.0.0.1, that the test server uses. We can't
# replace it because we can't actually securely have the test server
# use a cert that would be trusted by the system-wide trust bundle.
Source0:        https://github.com/kevin1024/pytest-httpbin/archive/v%{version}/pytest-httpbin-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%description
Pytest-httpbin creates a pytest fixture that is dependency-injected into your
tests. It automatically starts up a HTTP server in a separate thread running
a local instance of httpbin (a web service for testing HTTP libraries) and
provides your test with the URL in the fixture.

%package -n python3-pytest-httpbin
Summary:        Fixture providing local instance of httpbin test service
Group:          Development/Python

%description -n python3-pytest-httpbin
Pytest-httpbin creates a pytest fixture that is dependency-injected into your
tests. It automatically starts up a HTTP server in a separate thread running
a local instance of httpbin (a web service for testing HTTP libraries) and
provides your test with the URL in the fixture.

This package provides the Python 3 implementation.

%prep
%autosetup -n pytest-httpbin-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
# we don't use tox because upstream's tox config is a bit odd and has
# an unsatisfiable dependency that's only relevant to Github Actions
%pytest

%files -n python3-pytest-httpbin -f %{pyproject_files}
%doc DESCRIPTION.rst README.md
