# Created by pyp2rpm-3.3.1
%global pypi_name pytest-mock

%bcond_without check

Name:           python-%{pypi_name}
Version:        3.14.0
Release:        %mkrel 2
Summary:        Thin-wrapper around the mock package for easier use with py
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pytest-mock
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This plugin provides a mocker fixture which is a thin-wrapper around the
patching API provided by the mock package.

Besides undoing the mocking automatically after the end of the test, it also
provides other nice utilities such as spy and stub, and uses pytest
introspection when comparing calls.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This plugin provides a mocker fixture which is a thin-wrapper around the
patching API provided by the mock package.

Besides undoing the mocking automatically after the end of the test, it also
provides other nice utilities such as spy and stub, and uses pytest
introspection when comparing calls.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-w -t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_mock

%if %{with check}
%check
export PYTEST_ADDOPTS="-k 'not test_standalone_mock and not test_detailed_introspection and not test_detailed_introspection \
  and not test_assert_called_args_with_introspection and not test_assert_called_kwargs_with_introspection'"
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
