%global pypi_name pytest-openfiles

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        %mkrel 6
Summary:        Pytest plugin for detecting inadvertent open file handles
Group:		    Development/Python

License:        BSD
URL:            https://pypi.org/project/pytest-openfiles/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(psutil)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
The pytest-openfiles plugin allows for the detection of open I/O resources at
the end of unit tests. This is particularly useful for testing code that
manipulates file handles or other I/O resources. It allows developers to
ensure that this kind of code properly cleans up I/O resources when they are
no longer needed.


%package -n python3-%{pypi_name}
Summary:        %{summary}
Requires:       python3dist(psutil)
Requires:       python3dist(pytest)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The pytest-openfiles plugin allows for the detection of open I/O resources at
the end of unit tests. This is particularly useful for testing code that
manipulates file handles or other I/O resources. It allows developers to
ensure that this kind of code properly cleans up I/O resources when they are
no longer needed.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
# Remove source tests directory installed by mistake
rm -fr %{buildroot}%{python3_sitelib}/tests

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python3-%{pypi_name}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitelib}/*

