# Created by pyp2rpm-3.3.8
%global pypi_name pytest-regressions
%global srcname pytest_regressions

%bcond_without docs

Name:           python-%{pypi_name}
Version:        2.7.0
Release:        %mkrel 1
Summary:        Easy to use fixtures to write regression tests
Group:          Development/Python
License:        MIT
URL:            https://github.com/ESSS/pytest-regressions
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif

%description
This plugin makes it simple to test general data, images, files, and numeric
tables by saving expected data in a data directory (courtesy of pytest-datadir)
that can be used to verify that future runs produce the same data.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This plugin makes it simple to test general data, images, files, and numeric
tables by saving expected data in a data directory (courtesy of pytest-datadir)
that can be used to verify that future runs produce the same data.

%pyproject_extras_subpkg -n python3-%{pypi_name} num image dataframe

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files pytest_regressions

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%if %{with docs}
%doc html
%endif
