%global srcname pytest-rerunfailures

# Needed for Python bootstrap
%bcond_without tests

Name:           python-%{srcname}
Version:        15.0
Release:        %mkrel 2
Summary:        A py.test plugin that re-runs failed tests to eliminate flakey failures
Group:          Development/Python
License:        MPL-2.0
URL:            https://github.com/pytest-dev/pytest-rerunfailures
Source0:        https://github.com/pytest-dev/pytest-rerunfailures/archive/%{version}/%{srcname}-%{version}.tar.gz
Patch0:         pytest-rerunfailures-relax-dependencies.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%description
pytest-rerunfailures is a plugin for py.test that re-runs tests to eliminate
intermittent failures.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        A py.test plugin that re-runs failed tests to eliminate flakey failures
Group:          Development/Python

%description -n python%{python3_pkgversion}-%{srcname}
pytest-rerunfailures is a plugin for py.test that re-runs tests to eliminate
intermittent failures.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_rerunfailures


%if %{with tests}
%check
%pytest tests
%endif


%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%doc CHANGES.rst README.rst
