%global pypi_name pytest-runner

# no python-pytest-black available
%bcond_with check

Name:           python-%{pypi_name}
Version:        6.0.1
Release:        %mkrel 1
Summary:        Invoke py.test as distutils command with dependency resolution
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pytest-runner
# setuptools-scm requires a pypi tarball and doesn't like github tarball
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
Setup scripts can use pytest-runner to add setup.py test support
or pytest runner.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-pytest

%description -n python3-%{pypi_name}
Setup scripts can use pytest-runner to add setup.py test support
for pytest runner.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x testing}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ptr

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE
