# Created by pyp2rpm-3.3.2
%global pypi_name pytest-xdist
%global srcname pytest_xdist

Name:           python-%{pypi_name}
Version:        3.6.1
Release:        %mkrel 2
Summary:        pytest xdist plugin for distributed testing and loop-on-failing modes
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pytest-xdist/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The pytest-xdist plugin extends pytest with some unique test execution modes:

- test run parallelization: if you have multiple CPUs or hosts you can use
  those for a combined test run. This allows to speed up development or to use
  special resources of remote machines.
- --looponfail: run your tests repeatedly in a subprocess. After each run
  pytest waits until a file in your project changes and then re-runs the
  previously failing tests. This is repeated until all tests pass after which
  again a full run is performed.
- Multi-Platform coverage: you can specify different Python interpreters or
  different platforms and run tests in parallel on all of them.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The pytest-xdist plugin extends pytest with some unique test execution modes:

- test run parallelization: if you have multiple CPUs or hosts you can use
  those for a combined test run. This allows to speed up development or to use
  special resources of remote machines.
- --looponfail: run your tests repeatedly in a subprocess. After each run
  pytest waits until a file in your project changes and then re-runs the
  previously failing tests. This is repeated until all tests pass after which
  again a full run is performed.
- Multi-Platform coverage: you can specify different Python interpreters or
  different platforms and run tests in parallel on all of them.

%pyproject_extras_subpkg -n python3-%{pypi_name} psutil setproctitle

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x testing -x psutil -x setproctitle

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xdist

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
