Name:           python-pytoolconfig
Version:        1.3.1
Release:        %mkrel 2
Summary:        Python tool configuration
Group:          Development/Python

License:        LGPLv3
URL:            https://github.com/bageljrkhanofemus/pytoolconfig
Source:         %{pypi_source pytoolconfig}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pytest)

%global _description %{expand:
Python Tool Configuration

The goal of this project is to manage configuration for python tools, such as 
rope and add support for a pyproject.toml configuration file.}


%description %_description

%package -n     python3-pytoolconfig
Summary:        %{summary}

%description -n python3-pytoolconfig %_description

%pyproject_extras_subpkg -n python3-pytoolconfig validation global doc

%prep
%autosetup -p1 -n pytoolconfig-%{version}


%generate_buildrequires
%pyproject_buildrequires -x validation,global,doc
 

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytoolconfig


%check
%pytest -v


%files -n python3-pytoolconfig -f %{pyproject_files}
%doc README.md
%license LICENSE
