%define pypi_name	pytz

Name:		python-%{pypi_name}
Version:	2025.1
Release:	%mkrel 2
Summary:	World timezone definitions for Python
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/pytz
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel

%description
pytz brings the Olson tz database into Python. This library allows
accurate and cross platform timezone calculations using Python 2.3 or
higher. It also solves the issue of ambiguous times at the end of
daylight savings, which you can read more about in the Python Library
Reference (datetime.tzinfo).

Almost all (over 540) of the Olson timezones are supported.

%package -n	python3-%{pypi_name}
Summary:	World timezone definitions for Python 3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
pytz brings the Olson tz database into Python 3. This library allows
accurate and cross platform timezone calculations using Python 2.3 or
higher. It also solves the issue of ambiguous times at the end of
daylight savings, which you can read more about in the Python Library
Reference (datetime.tzinfo).

Almost all (over 540) of the Olson timezones are supported.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc *.txt
