# Created by pyp2rpm-3.3.3
%global pypi_name pyu2f

%bcond_with tests
# tests need Internet connection

Name:           python-%{pypi_name}
Version:        0.1.5
Release:        %mkrel 6
Summary:        U2F host library for interacting with a U2F device over USB
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/google/pyu2f/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)
# for tests
BuildRequires:  python3dist(mock) >= 1.0.1
BuildRequires:  python3dist(pyfakefs) >= 2.4
# BuildRequires:  python3dist(unittest2) >= 0.5.1

%description
pyu2f is a python based U2F host library for Linux, Windows, and MacOS. It
provides functionality for interacting with a U2F device over USB.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)

%description -n python3-%{pypi_name}
pyu2f is a python based U2F host library for Linux, Windows, and MacOS. It
provides functionality for interacting with a U2F device over USB.

%prep
%autosetup -n %{pypi_name}-%{version}


# Windows specific module, breaks tests
rm -rf pyu2f/hid/windows.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyu2f

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
