%define srcname pyudev

Summary:          A libudev binding
Name:             python-%{srcname}
Version:          0.24.3
Release:          %mkrel 2
License:          LGPLv2+
Group:            Development/Python
URL:              https://pypi.python.org/pypi/pyudev
Source0:          %{pypi_source}
BuildArch:        noarch
BuildRequires:    pyproject-rpm-macros
BuildRequires:    python3-devel
BuildRequires:    pkgconfig(udev)

%description
pyudev is a Python binding to libudev, the hardware management library
and service found in modern Linux systems.

%package -n python3-%{srcname}
Summary:          A libudev binding
Provides:         python3-udev = %{version}-%{release}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
pyudev is a Python3 binding to libudev, the hardware management library
and service found in modern Linux systems.


%package -n python3-%{srcname}-qt5
Summary:          Qt5 integration for pyudev
%{?python_provide:%python_provide python3-%{srcname}-qt5}
Requires:         python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-qt5
Qt5 integration for pyudev.

This package provides a module pyudev.pyqt5 that contains classes for
integrating a pyudev monitor with the Qt5 main loop.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyudev

%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING
%doc README.rst

%exclude %{python3_sitelib}/pyudev/pyqt{4,5}.py
%exclude %{python3_sitelib}/pyudev/__pycache__/pyqt{4,5}.*

%files -n python3-%{srcname}-qt5
%license COPYING
%pycached %{python3_sitelib}/pyudev/pyqt{4,5}.py
