# Created by pyp2rpm-3.3.3
%global pypi_name pyxattr

%bcond_with  docs

Name:           python-%{pypi_name}
Version:        0.8.1
Release:        %mkrel 3
Summary:        Filesystem extended attributes for python
Group:          Development/Python
License:        LGPL
URL:            https://pypi.org/project/pyxattr
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pytest)

%description
This is a C extension module for Python which implements extended attributes
manipulation. It is a wrapper on top of the attr C library - see attr(5).

%package -n     python3-%{pypi_name}
Summary:        Filesystem extended attributes for python3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a C extension module for Python which implements extended attributes
manipulation. It is a wrapper on top of the attr C library - see attr(5).

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files xattr

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc NEWS.md README.md
%license COPYING
%{?with_docs:%doc html}
