%define oname   pyxdg

Name:             python-pyxdg
Summary:          Python library to access freedesktop.org standards
Version:          0.28
Release:          %mkrel 3
Group:            System/Libraries
License:          LGPLv2
URL:              https://www.freedesktop.org/Software/pyxdg
Source0:          %{pypi_source %{oname}}
BuildArch:        noarch
BuildRequires:    pyproject-rpm-macros
BuildRequires:    pkgconfig(python3)
BuildRequires:    python3dist(setuptools)

%description
PyXDG is a python library to access freedesktop.org standards.

Currently supported are:
	* Base Directory Specification Version 0.6
	* Menu Specification Version 1.0
	* Desktop Entry Specification Version 1.0
	* Icon Theme Specification Version 0.8
	* Recent File Spec 0.2
	* Shared-MIME-Database Specification 0.13

%package -n python3-pyxdg
Summary:	Python3 library to access freedesktop.org standards
Group:		System/Libraries
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-pyxdg
PyXDG is a python library to access freedesktop.org standards. This
package contains a Python 3 version of PyXDG.

%prep
%autosetup -p1 -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xdg

%files -n python3-pyxdg -f %{pyproject_files}
%license COPYING
%doc AUTHORS ChangeLog README TODO
