%define module	pyzmq

# disable test on BS, but ok on local iurt
%global run_tests 0

Summary:	Python bindings for zeromq
Name:		python-%{module}
Version:	26.2.1
Release:	%mkrel 1
License:	LGPLv3+ and ASL 2.0 and BSD
Group:		Development/Python
Url:		https://github.com/zeromq/pyzmq
Source0:	https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
Patch0:		pyzmq-linking.patch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(libzmq)
BuildRequires:	pkgconfig(python3)

# test
%if 0%{?run_tests}
BuildRequires:	python3-tornado
%endif

%description
This package contains Python bindings for zeromq, a lightweight and
fast messaging implementation.

%package -n python3-%{module}
Summary:	Software library for fast, message-based applications
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the python 3 bindings.

%prep
%autosetup -p1 -n %{module}-%{version}

# Remove any Cython-generated .c files in order to regenerate them:
find . -type f -exec grep -FrinIl 'Generated by Cython' '{}' '+' |
  xargs -r -t rm -v

# remove bundled libraries
rm -rf bundled
for lib in zmq/eventloop/*.py; do
    sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
    touch -r $lib $lib.new &&
    mv $lib.new $lib
done

# remove excecutable bits
chmod -x examples/pubsub/topics_pub.py
chmod -x examples/pubsub/topics_sub.py

%generate_buildrequires
%pyproject_buildrequires

%build
%{pyproject_wheel \
    -Ccmake.define.PYZMQ_LIBZMQ_RPATH:BOOL=OFF \
    -Ccmake.define.PYZMQ_NO_BUNDLE=ON \
    -Clogging.level=INFO \
    -Ccmake.verbose=true \
    -Ccmake.build-type="RelWithDebInfo"}

%install
%pyproject_install
%pyproject_save_files zmq

%if 0%{?run_tests}
%check
   %{__rm} -f zmq/__*
   PYTHONPATH=%{buildroot}%{python3_sitearch} \
    %pytest
   %{__rm} -rf %{buildroot}%{python3_sitearch}/zmq/tests
%endif

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md LICENSE.*
