%define pypi_name pyzstd

%bcond_without tests

Name:           python-pyzstd
Version:        0.16.2
Release:        %mkrel 3
Summary:        Python bindings to Zstandard (zstd) compression library
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://github.com/Rogdham/pyzstd
Source:         %{pypi_source}

BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libzstd)
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description
Pyzstd module provides classes and functions for compressing and decompressing
data, using Facebook’s Zstandard (or zstd as short name) algorithm.


%package -n python3-pyzstd
Summary:        Python3 bindings to Zstandard (zstd) compression library
Group:          Development/Python

%description -n python3-pyzstd
Pyzstd module provides classes and functions for compressing and decompressing
data, using Facebook’s Zstandard (or zstd as short name) algorithm.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Ensure dynamic-link-zstd is always used
sed -i 's|DYNAMIC_LINK =.*|DYNAMIC_LINK = True|' setup.py
# Stop disabling debuginfo
sed -i "s|'-g0', ||" setup.py
# Fix non-executable-script rpmlint error
sed -i -e '1{\@^#!.*@d}' src/__main__.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyzstd


%check
%pytest


%files -n python3-pyzstd -f %{pyproject_files}
%doc CHANGELOG.md
%doc README.md
%license LICENSE
