%global pypi_name qasync

%bcond_with check

Name:       python-%{pypi_name}
Version:    0.27.1
Release:    %mkrel 3
Summary:    Implementation of the PEP 3156 Event-Loop with Qt
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/qasync/
Source0:    %pypi_source
BuildArch:  noarch

%description
qasync allows coroutines to be used in PyQt/PySide applications by providing an
implementation of the PEP 3156 event-loop.

%package -n python3-%{pypi_name}
Summary:        Implementation of the PEP 3156 Event-Loop with Qt
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pyqt5)
Requires:       python3dist(pyqt5)

%description -n python3-%{pypi_name}
qasync allows coroutines to be used in PyQt/PySide applications by providing an
implementation of the PEP 3156 event-loop.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files qasync

%if %{with check}
%check
%{python3} setup.py test
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%doc LICENSE
