# Created by pyp2rpm-3.3.2
%global pypi_name qdarkstyle
%global mod_name QDarkStyle

%bcond_with tests

Name:           python-%{pypi_name}
Version:        3.2.3
Release:        %mkrel 4
Summary:        A dark stylesheet for Python and Qt applications
Group:          Development/Python
License:        MIT
URL:            https://github.com/ColinDuquesnoy/QDarkStyleSheet
Source0:        https://files.pythonhosted.org/packages/source/q/%{pypi_name}/QDarkStyle-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-pyside6
BuildRequires:  python3dist(helpdev) >= 0.6.2
BuildRequires:  python3dist(pyqt6)
BuildRequires:  python3dist(qtpy) >= 1.7
BuildRequires:  python3dist(qtsass)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(watchdog)

# required for tests
BuildRequires:  python3-qt6-devel
BuildRequires:  python3dist(pyqtgraph)
BuildRequires:  python3dist(tox)

%description
A dark stylesheet for Qt applications (Qt5, Qt6, PySide2, PySide6, PyQt5,
PyQt6, QtPy, PyQtGraph).

%package -n     python3-%{pypi_name}
Summary:        A dark stylesheet for Python and Qt applications
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(qtsass)
Requires:       python3dist(watchdog)
Recommends:     python3dist(pyqt6)
Recommends:     python3dist(pyside6)

%description -n python3-%{pypi_name}
A dark stylesheet for Qt applications (Qt5, Qt6, PySide2, PySide6, PyQt5,
PyQt6, QtPy, PyQtGraph).


%prep
%autosetup -n QDarkStyle-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files qdarkstyle

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.rst
%doc AUTHORS.rst CHANGES.rst CONTRIBUTING.rst
%{_bindir}/qdarkstyle
%{_bindir}/qdarkstyle.example
%{_bindir}/qdarkstyle.utils
