%define pypi_name qpageview

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 1
Summary:        Widget to display page-based documents for Qt6/PyQt6
Group:          Development/Python
License:        GPLv3+ AND GPLv2+
# https://github.com/frescobaldi/qpageview
URL:            https://qpageview.org/
Source0:        %{pypi_source %pypi_name}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-mdinclude)
BuildRequires:  python3dist(hatchling)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3-qt6-devel
BuildRequires:  python3-qt6-pdf
BuildRequires:  python3-docs

%description
The qpageview module provides a page based document viewer widget
for Qt6/PyQt6.
It has a flexible architecture potentionally supporting many
formats. Currently, it supports SVG documents, images, and,
using the Poppler-Qt6 binding, PDF documents.

%package -n     python3-%{pypi_name}
Summary:        Widget to display page-based documents for Qt5/PyQt5
Group:          Development/Python
Provides:       %{pypi_name} = %{version}-%{release}
Requires:       python3-qt6-core
Requires:       python3-qt6-gui
Requires:       python3-qt6-printsupport
Requires:       python3-qt6-pdf
Requires:       python3-qt6-svg
Requires:       python3-qt6-widgets

%description -n python3-%{pypi_name}
The qpageview module provides a page based document viewer widget
for Qt6/PyQt6.
It has a flexible architecture potentionally supporting many
formats. Currently, it supports SVG documents, images, and,
using the Poppler-Qt6 binding, PDF documents.

%prep
%autosetup -n %{pypi_name}-%{version}

# Use local objects.inv for intersphinx
sed -e "s|\('https://docs\.python\.org/3', \)None|\1'%{_docdir}/python3-docs/html/objects.inv'|" \
  -i docs/source/conf.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files qpageview

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html README.rst
%license LICENSE docs/source/license.rst
