%global pypi_name qrcode

%bcond_with check

Name:           python-%{pypi_name}
Version:        8.0
Release:        %mkrel 1
Summary:        Python QR Code image generator
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/qrcode/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This module uses the Python Imaging Library (PIL) to allow for the generation
of QR Codes.

%package -n python3-%{pypi_name}
Summary:        Python QR Code image generator
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python3-qrcode-core < 7.4.2-2

%description -n python3-%{pypi_name}
This module uses the Python Imaging Library (PIL) to allow for the generation
of QR Codes.

%pyproject_extras_subpkg -n python3-%{pypi_name} pil png

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%py3_shebang_fix qrcode/console_scripts.py

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t} -x pil,png

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

# Do not install tests
rm -r %{buildroot}%{python3_sitelib}/%{pypi_name}/tests
sed -i -e '/qrcode\/tests/d' %{pyproject_files}

#
# In previous iterations of the package, the qr script had been
# renamed to qrcode. This was an unnecessary change from upstream.
#
# We cary this symlink to maintain compat with old packages.
#
ln -s qr %{buildroot}%{_bindir}/qrcode

%check
sed -i -e '/qrcode.tests/d' %{_pyproject_modules}
%pyproject_check_import
%if %{with check}
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst CHANGES.rst
%license LICENSE
%{_bindir}/qr
%{_bindir}/qrcode
