%global pypi_name qstylizer

Name:           python-%{pypi_name}
Version:        0.2.4
Release:        %mkrel 3
Summary:        Stylesheet Generator for PyQt{4-5}/PySide{1-2}
License:        MIT
Group:          Development/Python
URL:            https://github.com/blambright/qstylizer
# no sdist on PyPI
Source0:        https://github.com/blambright/qstylizer/archive/%{version}/%{pypi_name}-%{version}.tar.gz
Patch0:         qstylizer-relax-dependencies.patch
BuildArch:      noarch
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)
# SECTION test requirements
BuildRequires:  python3dist(pytest) >= 4
BuildRequires:  python3dist(pytest-mock) >= 1.6

%description
A python package designed to help with the construction of
PyQt/PySide stylesheets.

%package -n     python3-%{pypi_name}
Summary:        Stylesheet Generator for PyQt{4-5}/PySide{1-2}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A python3 package designed to help with the construction of
PyQt/PySide stylesheets.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
export PBR_VERSION=%{version}
%pyproject_buildrequires

%build
export PBR_VERSION=%{version}
%pyproject_wheel

%install
export PBR_VERSION=%{version}
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -vv

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt
