# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQtDataVisualization
%define qt5_minver 5.15.5

Name:           python-qt5-datavisualization
Version:        5.15.6
Release:        %mkrel 3
Summary:        Set of Python bindings for The Qt DataVisualization library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtdatavisualization/
#https://www.riverbankcomputing.com/static/Downloads/PyQtDataVisualization/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:       https://pypi.io/packages/source/p/pyqtdatavisualization/%{sname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt5-devel >= %{version}
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip)

BuildRequires:  cmake(Qt5DataVisualization) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Core) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Gui) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Widgets) >= %{qt5_minver}

%description
PyQtDataVisualization is a set of Python bindings for The Qt Company's
Qt DataVisualization library.
The bindings sit on top of PyQt5 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt5

%define py3_name python3-qt5

%package -n     %{py3_name}-datavisualization
Summary:        Python 3 bindings for PyQt 5 data visualization
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-datavisualization
Python 3 bindings for PyQt 5 data visualization.

%files -n %{py3_name}-datavisualization
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt5/QtDataVisualization.*
%{python3_sitearch}/PyQtDataVisualization-%{version}.dist-info
%{python3_sitearch}/PyQt5/bindings/QtDataVisualization

#------------------------------------------------------------

%package -n     %{py3_name}-datavisualization-qsci-api
Summary:        Python 3 bindings for PyQt 5 data visualization Qscintilla API
Group:          Development/KDE and Qt

%description -n %{py3_name}-datavisualization-qsci-api
Python 3 bindings for PyQt 5 data visualization Qscintilla API.

%files -n %{py3_name}-datavisualization-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/PyQtDataVisualization.api

#------------------------------------------------------------

%package -n    %{py3_name}-datavisualization-examples
Summary:       Usage examples for the PyQt 5 data visualization python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-datavisualization-examples
Usage examples for the PyQt 5 data visualization python 3 bindings.

%files -n %{py3_name}-datavisualization-examples
%doc %{_docdir}/%{py3_name}-datavisualization/examples

### END python3-qt5

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose
	
%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)" -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

mkdir -p %{buildroot}%{_docdir}/%{py3_name}-datavisualization/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{py3_name}-datavisualization/examples/

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt5/*.so ; do
test -x $i  || chmod a+rx $i
done
