# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQtNetworkAuth
%define qt5_minver 5.15.5

Name:           python-qt5-networkauth
Version:        5.15.6
Release:        %mkrel 3
Summary:        Set of Python bindings for The Qt Network Authorization library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://riverbankcomputing.com/software/pyqtnetworkauth
#https://www.riverbankcomputing.com/static/Downloads/PyQtnetworkauth/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:       https://pypi.io/packages/source/p/pyqtnetworkauth/%{sname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt5-devel >= %{version}
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip)

BuildRequires:  cmake(Qt5NetworkAuth) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Core) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Gui) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Widgets) >= %{qt5_minver}

%description
PyQtNetworkAuth is a set of Python bindings for The Qt Company's
Qt Qt Network Authorization library. PyQt-NetworkAuth enables applications 
to obtain limited access to online accounts and HTTP services without 
exposing users' passwords.
The bindings sit on top of PyQt5 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt5

%define py3_name python3-qt5

%package -n     %{py3_name}-networkauth
Summary:        Python 3 bindings for PyQt 5 
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-networkauth
Python 3 bindings for PyQt 5 Network Authorization.

%files -n %{py3_name}-networkauth
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt5/QtNetworkAuth.*
%{python3_sitearch}/PyQtNetworkAuth-%{version}.dist-info
%{python3_sitearch}/PyQt5/bindings/QtNetworkAuth

#------------------------------------------------------------

%package -n     %{py3_name}-networkauth-qsci-api
Summary:        Python 3 bindings for PyQt 5 Network Authorization Qscintilla API
Group:          Development/KDE and Qt

%description -n %{py3_name}-networkauth-qsci-api
Python 3 bindings for PyQt 5 Network Authorization Qscintilla API.

%files -n %{py3_name}-networkauth-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/PyQtNetworkAuth.api

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose
	
%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)" -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt5/*.so ; do
test -x $i  || chmod a+rx $i
done
