# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQtPurchasing
%define qt5_minver 5.15.2

Name:           python-qt5-purchasing
Version:        5.15.6
Release:        %mkrel 2
Summary:        Set of Python bindings for The Qt Purchasing library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtpurchasing/
#https://www.riverbankcomputing.com/static/Downloads/PyQtPurchasing/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://pypi.io/packages/source/p/pyqtpurchasing/%{sname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt5-devel >= %{version}
BuildRequires:  python3dist(sip)
BuildRequires:  python3dist(pyqt-builder)

BuildRequires:  cmake(Qt5Purchasing) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Core) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Gui) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Widgets) >= %{qt5_minver}

%description
PyQtPurchasing is a set of Python bindings for The Qt Company's
Qt Purchasing library.
The bindings sit on top of PyQt5 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt5

%define py3_name python3-qt5

%package -n     %{py3_name}-purchasing
Summary:        Python 3 bindings for PyQt 5 purchasing
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-purchasing
Python 3 bindings for PyQt 5 purchasing.

%files -n %{py3_name}-purchasing
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt5/QtPurchasing.*
%{python3_sitearch}/PyQt5/bindings/QtPurchasing
%{python3_sitearch}/PyQtPurchasing-%{version}.dist-info

#------------------------------------------------------------

%package -n     %{py3_name}-purchasing-qsci-api
Summary:        Python 3 bindings for PyQt 5 purchasing Qscintilla API
Group:          Development/KDE and Qt

%description -n %{py3_name}-purchasing-qsci-api
Python 3 bindings for PyQt 5 purchasing Qscintilla API.

%files -n %{py3_name}-purchasing-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/PyQtPurchasing.api

### END python3-qt5

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose
	
%make_build -C build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)"

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt5/*.so ; do
test -x $i  || chmod a+rx $i
done
