# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQt3D
%define qt5_minver 5.15.5

Name:           python-qt5-qt3d
Version:        5.15.7
Release:        %mkrel 2
Summary:        Set of Python bindings for The Qt 3D library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqt3d/
#https://www.riverbankcomputing.com/static/Downloads/PyQt3D/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://pypi.io/packages/source/p/pyqt3d/%{sname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt5-devel >= %{version}
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip)

BuildRequires:  pkgconfig(Qt53DCore) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5Core) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5Gui) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{qt5_minver}

%description
PyQt3D is a set of Python bindings for The Qt Company's Qt 3D library.
The bindings sit on top of PyQt5 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt5

%define py3_name python3-qt5

%package -n     %{py3_name}-qt3d
Summary:        Python 3 bindings for PyQt 5 3D
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-qt3d
Python 3 bindings for PyQt 5 3D.

%files -n %{py3_name}-qt3d
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt5/Qt3DAnimation.*
%{python3_sitearch}/PyQt5/Qt3DCore.*
%{python3_sitearch}/PyQt5/Qt3DExtras.*
%{python3_sitearch}/PyQt5/Qt3DInput.*
%{python3_sitearch}/PyQt5/Qt3DLogic.*
%{python3_sitearch}/PyQt5/Qt3DRender.*
%{python3_sitearch}/PyQt3D-%{version}.dist-info
%{python3_sitearch}/PyQt5/bindings/Qt3DAnimation/
%{python3_sitearch}/PyQt5/bindings/Qt3DCore/
%{python3_sitearch}/PyQt5/bindings/Qt3DExtras/
%{python3_sitearch}/PyQt5/bindings/Qt3DInput/
%{python3_sitearch}/PyQt5/bindings/Qt3DLogic/
%{python3_sitearch}/PyQt5/bindings/Qt3DRender/

#------------------------------------------------------------

%package -n     %{py3_name}-qt3d-qsci-api
Summary:        Python 3 bindings for PyQt 5 3D Qscintilla API
Group:          Development/KDE and Qt

%description -n %{py3_name}-qt3d-qsci-api
Python 3 bindings for PyQt 5 3D Qscintilla API.

%files -n %{py3_name}-qt3d-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/PyQt3D.api

#------------------------------------------------------------

%package -n    %{py3_name}-qt3d-examples
Summary:       Usage examples for the PyQt 5 3D python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-qt3d-examples
Usage examples for the PyQt 5 3D python 3 bindings.

%files -n %{py3_name}-qt3d-examples
%doc %{_docdir}/%{py3_name}-qt3d/examples

### END python3-qt5

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose
	
%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)" -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

mkdir -p %{buildroot}%{_docdir}/%{py3_name}-qt3d/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{py3_name}-qt3d/examples/

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt5/*.so ; do
test -x $i  || chmod a+rx $i
done
