# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQt6_Charts
%define qt6_minver 6.8.0

Name:           python-qt6-charts
Version:        6.8.0
Release:        %mkrel 2
Summary:        Set of Python bindings for The Qt Charts library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtchart/
#https://www.riverbankcomputing.com/static/Downloads/PyQtChart/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://pypi.io/packages/source/p/pyqt6-charts/%{sname}-%{version}.tar.gz
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt6-devel >= %{version}
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip)

BuildRequires:  cmake(Qt6Charts) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Core) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Gui) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Widgets) >= %{qt6_minver}

%description
PyQtCharts is a set of Python bindings for The Qt Company's Qt Charts library.
The bindings sit on top of PyQt6 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt6

%define py3_name python3-qt6

%package -n     %{py3_name}-charts
Summary:        Python 3 bindings for PyQt 6 charts
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-charts
Python 3 bindings for PyQt 6 charts.

%files -n %{py3_name}-charts
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt6/QtCharts.*
%{python3_sitearch}/PyQt6/bindings/QtCharts
%{python3_sitearch}/PyQt6_Charts-%{version}.dist-info

#------------------------------------------------------------

%package -n     %{py3_name}-charts-qsci-api
Summary:        Python 3 bindings for PyQt 6 charts Qscintilla API
Group:          Development/KDE and Qt

%description -n %{py3_name}-charts-qsci-api
Python 3 bindings for PyQt 6 charts Qscintilla API.

%files -n %{py3_name}-charts-qsci-api
%dir %{_qt6_datadir}/qsci/
%dir %{_qt6_datadir}/qsci/api/
%dir %{_qt6_datadir}/qsci/api/python/
%{_qt6_datadir}/qsci/api/python/PyQt6-Charts.api

#------------------------------------------------------------

%package -n    %{py3_name}-charts-examples
Summary:       Usage examples for the PyQt 6 charts python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-charts-examples
Usage examples for the PyQt 6 charts python 3 bindings.

%files -n %{py3_name}-charts-examples
%doc %{_docdir}/%{py3_name}-charts/examples

### END python3-qt6

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt6_datadir}/qsci/api/python \
  --qmake-setting 'QMAKE_LFLAGS_RPATH=' \
  --verbose

%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)" -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

mkdir -p %{buildroot}%{_docdir}/%{py3_name}-charts/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{py3_name}-charts/examples/

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt6/*.so ; do
test -x $i  || chmod a+rx $i
done
