# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQt6_DataVisualization
%define qt6_minver 6.8.0

Name:           python-qt6-datavisualization
Version:        6.8.0
Release:        %mkrel 2
Summary:        Set of Python bindings for The Qt DataVisualization library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtdatavisualization/
#https://www.riverbankcomputing.com/static/Downloads/PyQtDataVisualization/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://pypi.io/packages/source/p/pyqt6-datavisualization/%{sname}-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt6-devel >= %{version}
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip)

BuildRequires:  cmake(Qt6DataVisualization) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Core) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Gui) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Widgets) >= %{qt6_minver}

%description
PyQtDataVisualization is a set of Python bindings for The Qt Company's
Qt DataVisualization library.
The bindings sit on top of PyQt6 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt6

%define py3_name python3-qt6

%package -n     %{py3_name}-datavisualization
Summary:        Python 3 bindings for PyQt 6 data visualization
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-datavisualization
Python 3 bindings for PyQt 6 data visualization.

%files -n %{py3_name}-datavisualization
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt6/QtDataVisualization.*
%{python3_sitearch}/PyQt6_DataVisualization-%{version}.dist-info
%{python3_sitearch}/PyQt6/bindings/QtDataVisualization

#------------------------------------------------------------

%package -n     %{py3_name}-datavisualization-qsci-api
Summary:        Python 3 bindings for PyQt 6 data visualization Qscintilla API
Group:          Development/KDE and Qt

%description -n %{py3_name}-datavisualization-qsci-api
Python 3 bindings for PyQt 6 data visualization Qscintilla API.

%files -n %{py3_name}-datavisualization-qsci-api
%dir %{_qt6_datadir}/qsci/
%dir %{_qt6_datadir}/qsci/api/
%dir %{_qt6_datadir}/qsci/api/python/
%{_qt6_datadir}/qsci/api/python/PyQt6-DataVisualization.api

#------------------------------------------------------------

%package -n    %{py3_name}-datavisualization-examples
Summary:       Usage examples for the PyQt 6 data visualization python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-datavisualization-examples
Usage examples for the PyQt 6 data visualization python 3 bindings.

%files -n %{py3_name}-datavisualization-examples
%doc %{_docdir}/%{py3_name}-datavisualization/examples

### END python3-qt6

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt6_datadir}/qsci/api/python \
  --qmake-setting 'QMAKE_LFLAGS_RPATH=' \
  --verbose

%make_build -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

mkdir -p %{buildroot}%{_docdir}/%{py3_name}-datavisualization/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{py3_name}-datavisualization/examples/

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt6/*.so ; do
test -x $i  || chmod a+rx $i
done
