# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQt6_NetworkAuth
%define qt6_minver 6.8.0

Name:           python-qt6-networkauth
Version:        6.8.0
Release:        %mkrel 2
Summary:        Set of Python bindings for The Qt Network Authorization library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://riverbankcomputing.com/software/pyqtnetworkauth
#https://www.riverbankcomputing.com/static/Downloads/PyQtnetworkauth/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://pypi.io/packages/source/p/pyqt6-networkauth/%{sname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt6-devel >= %{version}
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip)

BuildRequires:  cmake(Qt6NetworkAuth) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Core) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Gui) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Widgets) >= %{qt6_minver}

%description
PyQtNetworkAuth is a set of Python bindings for The Qt Company's
Qt Qt Network Authorization library. PyQt-NetworkAuth enables applications 
to obtain limited access to online accounts and HTTP services without 
exposing users' passwords.
The bindings sit on top of PyQt6 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt6

%define py3_name python3-qt6

%package -n     %{py3_name}-networkauth
Summary:        Python 3 bindings for PyQt 6 
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-networkauth
Python 3 bindings for PyQt 6 Network Authorization.

%files -n %{py3_name}-networkauth
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt6/QtNetworkAuth.*
%{python3_sitearch}/PyQt6_NetworkAuth-%{version}.dist-info
%{python3_sitearch}/PyQt6/bindings/QtNetworkAuth

#------------------------------------------------------------

%package -n     %{py3_name}-networkauth-qsci-api
Summary:        Python 3 bindings for PyQt 6 Network Authorization Qscintilla API
Group:          Development/KDE and Qt

%description -n %{py3_name}-networkauth-qsci-api
Python 3 bindings for PyQt 6 Network Authorization Qscintilla API.

%files -n %{py3_name}-networkauth-qsci-api
%dir %{_qt6_datadir}/qsci/
%dir %{_qt6_datadir}/qsci/api/
%dir %{_qt6_datadir}/qsci/api/python/
%{_qt6_datadir}/qsci/api/python/PyQt6-NetworkAuth.api

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt6_datadir}/qsci/api/python \
  --qmake-setting 'QMAKE_LFLAGS_RPATH=' \
  --verbose

%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)" -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt6/*.so ; do
test -x $i  || chmod a+rx $i
done
