# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQt6_3D
%define qt6_minver 6.8.0

Name:           python-qt6-qt3d
Version:        6.8.0
Release:        %mkrel 2
Summary:        Set of Python bindings for The Qt 3D library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqt3d/
#https://www.riverbankcomputing.com/static/Downloads/PyQt3D/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://pypi.io/packages/source/p/pyqt6-3d/%{sname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt6-devel >= %{version}
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip)

BuildRequires:  cmake(Qt63DCore) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Core) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Gui) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Widgets) >= %{qt6_minver}

%description
PyQt3D is a set of Python bindings for The Qt Company's Qt 3D library.
The bindings sit on top of PyQt6 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt6

%define py3_name python3-qt6

%package -n     %{py3_name}-qt3d
Summary:        Python 3 bindings for PyQt 6 3D
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-qt3d
Python 3 bindings for PyQt 6 3D.

%files -n %{py3_name}-qt3d
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt6/Qt3DAnimation.*
%{python3_sitearch}/PyQt6/Qt3DCore.*
%{python3_sitearch}/PyQt6/Qt3DExtras.*
%{python3_sitearch}/PyQt6/Qt3DInput.*
%{python3_sitearch}/PyQt6/Qt3DLogic.*
%{python3_sitearch}/PyQt6/Qt3DRender.*
%{python3_sitearch}/PyQt6_3D-%{version}.dist-info
%{python3_sitearch}/PyQt6/bindings/Qt3DAnimation/
%{python3_sitearch}/PyQt6/bindings/Qt3DCore/
%{python3_sitearch}/PyQt6/bindings/Qt3DExtras/
%{python3_sitearch}/PyQt6/bindings/Qt3DInput/
%{python3_sitearch}/PyQt6/bindings/Qt3DLogic/
%{python3_sitearch}/PyQt6/bindings/Qt3DRender/

#------------------------------------------------------------

%package -n     %{py3_name}-qt3d-qsci-api
Summary:        Python 3 bindings for PyQt 6 3D Qscintilla API
Group:          Development/KDE and Qt

%description -n %{py3_name}-qt3d-qsci-api
Python 3 bindings for PyQt 6 3D Qscintilla API.

%files -n %{py3_name}-qt3d-qsci-api
%dir %{_qt6_datadir}/qsci/
%dir %{_qt6_datadir}/qsci/api/
%dir %{_qt6_datadir}/qsci/api/python/
%{_qt6_datadir}/qsci/api/python/PyQt6-3D.api

#------------------------------------------------------------

%package -n    %{py3_name}-qt3d-examples
Summary:       Usage examples for the PyQt 6 3D python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-qt3d-examples
Usage examples for the PyQt 6 3D python 3 bindings.

%files -n %{py3_name}-qt3d-examples
%doc %{_docdir}/%{py3_name}-qt3d/examples

### END python3-qt6

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt6_datadir}/qsci/api/python \
  --qmake-setting 'QMAKE_LFLAGS_RPATH=' \
  --verbose

%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)" -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

mkdir -p %{buildroot}%{_docdir}/%{py3_name}-qt3d/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{py3_name}-qt3d/examples/

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt6/*.so ; do
test -x $i  || chmod a+rx $i
done
