# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQt6_WebEngine
%define qt6_minver 6.8.0

Name:           python-qt6-webengine
Version:        6.8.0
Release:        %mkrel 2
Summary:        Set of Python bindings for The Qt WebEngine library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtwebengine/
#https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://pypi.io/packages/source/p/pyqt6-webengine/%{sname}-%{version}.tar.gz
Patch0:         fix-build.patch
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt6-devel >= %{version}
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip)

BuildRequires:  cmake(Qt6Core) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Gui) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Widgets) >= %{qt6_minver}
BuildRequires:  cmake(Qt6WebEngineCore) >= %{qt6_minver}

%description
PyQtWebEngine is a set of Python bindings for The Qt Company's Qt WebEngine
library.
The bindings sit on top of PyQt6 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt6

%define py3_name python3-qt6

%package -n     %{py3_name}-webengine
Summary:        Python 3 bindings for PyQt 6 webengine
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-webengine
Python 3 bindings for PyQt 6 webengine.

%files -n %{py3_name}-webengine
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt6_WebEngine-%{version}.dist-info

#------------------------------------------------------------

%package -n     %{py3_name}-webenginecore
Summary:        Python 3 bindings for PyQt 6 webenginecore
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-webenginecore
Python 3 bindings for PyQt 6 webenginecore.

%files -n %{py3_name}-webenginecore
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt6/QtWebEngineCore.abi3.so
%{python3_sitearch}/PyQt6/bindings/QtWebEngineCore

#------------------------------------------------------------

%package -n     %{py3_name}-webenginewidgets
Summary:        Python 3 bindings for PyQt 6 webenginewidgets
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}
Requires:       %{py3_name}-webenginecore = %{version}-%{release}

%description -n %{py3_name}-webenginewidgets
Python 3 bindings for PyQt 6 webenginewidgets.

%files -n %{py3_name}-webenginewidgets
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt6/QtWebEngineWidgets.abi3.so
%{python3_sitearch}/PyQt6/bindings/QtWebEngineWidgets

#------------------------------------------------------------

%package -n     %{py3_name}-webenginequick
Summary:        Python 3 bindings for PyQt 6 webenginequick
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}
Requires:       %{py3_name}-webenginequick = %{version}-%{release}

%description -n %{py3_name}-webenginequick
Python 3 bindings for PyQt 6 webenginequick.

%files -n %{py3_name}-webenginequick
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt6/QtWebEngineQuick.abi3.so
%{python3_sitearch}/PyQt6/bindings/QtWebEngineQuick

#------------------------------------------------------------

%package -n    %{py3_name}-webengine-qsci-api
Summary:       Python 3 bindings for PyQt 6 webengine Qscintilla API
Group:         Development/KDE and Qt

%description -n %{py3_name}-webengine-qsci-api
Python 3 bindings for PyQt 6 webengine Qscintilla API.

%files -n %{py3_name}-webengine-qsci-api
%dir %{_qt6_datadir}/qsci/
%dir %{_qt6_datadir}/qsci/api/
%dir %{_qt6_datadir}/qsci/api/python/
%{_qt6_datadir}/qsci/api/python/PyQt6-WebEngine.api

### END python3-qt6

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt6_datadir}/qsci/api/python \
  --verbose

%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)" -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt6/*.so ; do
test -x $i  || chmod a+rx $i
done
