# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so
# FIXME: underlinking issue
%define _disable_ld_no_undefined 1

%define sname  PyQt6

# _with = non-bootstrap build, _without = bootstrap build
%bcond_without bootstrap

# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
%ifarch x86_64 aarch64
%bcond_without pdf
%else
%bcond_with pdf
%endif

Name:          python-qt6
Version:       6.8.1
Release:       %mkrel 1
Summary:       Set of Python bindings for The Qt Company's Qt application framework
License:       GPLv2+
Group:         Development/KDE and Qt
URL:           http://www.riverbankcomputing.co.uk/software/pyqt/intro
#https://www.riverbankcomputing.com/static/Downloads/PyQt6/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:       https://pypi.io/packages/source/p/pyqt6/pyqt6-%{version}.tar.gz

BuildRequires: python3-sip6 >= 6.9.0
BuildRequires: python3-pyqt-builder

BuildRequires: qmake-qt6
BuildRequires: cmake(Qt6Bluetooth)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Designer)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Help)
BuildRequires: cmake(Qt6Multimedia)
BuildRequires: cmake(Qt6MultimediaWidgets)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Nfc)
BuildRequires: cmake(Qt6OpenGL)
BuildRequires: cmake(Qt6OpenGLWidgets)
%if %{with pdf}
BuildRequires: cmake(Qt6Pdf)
BuildRequires: cmake(Qt6PdfWidgets)
%endif
BuildRequires: cmake(Qt6Positioning)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(Qt6Quick)
BuildRequires: cmake(Qt6Quick3D)
BuildRequires: cmake(Qt6QuickWidgets)
BuildRequires: cmake(Qt6RemoteObjects)
BuildRequires: cmake(Qt6Sensors)
BuildRequires: cmake(Qt6SerialPort)
BuildRequires: cmake(Qt6SpatialAudio)
BuildRequires: cmake(Qt6Sql)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6SvgWidgets)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6TextToSpeech)
BuildRequires: cmake(Qt6WebChannel)
BuildRequires: cmake(Qt6WebSockets)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Xml)
BuildRequires: pkgconfig(dbus-python)

%description
PyQt is a set of Python bindings for The Qt Company's Qt application
framework.

#------------------------------------------------------------

%define py3_name python3-qt6

%package -n    %{py3_name}
Summary:       Set of Python 3 bindings for The Qt Company's Qt application framework
Group:         Development/KDE and Qt

BuildRequires: pkgconfig(python3)
BuildRequires: python3-pyqt6-sip >= 13.9.0
BuildRequires: python3-dbus

Provides:      python3-PyQt6 = %{version}-%{release}

Requires:      %{py3_name}-core = %{version}
Requires:      %{py3_name}-dbus = %{version}
Requires:      %{py3_name}-bluetooth = %{version}
Requires:      %{py3_name}-designer = %{version}
Requires:      %{py3_name}-gui = %{version}
Requires:      %{py3_name}-multimedia = %{version}
Requires:      %{py3_name}-multimediawidgets = %{version}
Requires:      %{py3_name}-nfc = %{version}
Requires:      %{py3_name}-network = %{version}
%if ! %{with bootstrap}
Requires:      %{py3_name}-networkauth >= 6.4
%endif
Requires:      %{py3_name}-opengl = %{version}
Requires:      %{py3_name}-openglwidgets = %{version}
Requires:      %{py3_name}-positioning = %{version}
Requires:      %{py3_name}-printsupport = %{version}
Requires:      %{py3_name}-qml = %{version}
Requires:      %{py3_name}-quick = %{version}
Requires:      %{py3_name}-quick3d = %{version}
Requires:      %{py3_name}-quickwidgets = %{version}
Requires:      %{py3_name}-remoteobjects = %{version}
Requires:      %{py3_name}-sensors = %{version}
Requires:      %{py3_name}-serialport = %{version}
Requires:      %{py3_name}-spatialaudio = %{version}
Requires:      %{py3_name}-sql = %{version}
Requires:      %{py3_name}-svg = %{version}
Requires:      %{py3_name}-svgwidgets = %{version}
Requires:      %{py3_name}-test = %{version}
Requires:      %{py3_name}-texttospeech = %{version}
Requires:      %{py3_name}-webchannel = %{version}
Requires:      %{py3_name}-websockets = %{version}
Requires:      %{py3_name}-widgets = %{version}
Requires:      %{py3_name}-xml = %{version}

%description -n %{py3_name}
PyQt is a set of Python 3 bindings for The Qt Company's Qt application
framework.

%files -n %{py3_name}
%doc ChangeLog
%license LICENSE

#------------------------------------------------------------

%package -n    %{py3_name}-core
Summary:       Python 3 bindings for %{sname} core
Group:         Development/KDE and Qt
Requires:      python3-dbus

%description -n %{py3_name}-core
Python 3 bindings for %{sname} core.

%files -n %{py3_name}-core
%dir %{python3_sitearch}/%{sname}
%dir %{python3_sitearch}/%{sname}/bindings
%{python3_sitearch}/%{sname}/uic/
%{python3_sitearch}/%{sname}-%{version}.dist-info
%{python3_sitearch}/%{sname}/__pycache__/
%{python3_sitearch}/%{sname}/__init__.py*
%{python3_sitearch}/dbus/mainloop/pyqt6.abi3.so
%{python3_sitearch}/%{sname}/QtCore.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtCore

#------------------------------------------------------------

%package -n    %{py3_name}-dbus
Summary:       Python 3 bindings for %{sname} dbus
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-dbus
Python 3 bindings for %{sname} dbus.

%files -n %{py3_name}-dbus
%{python3_sitearch}/%{sname}/QtDBus.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtDBus

#------------------------------------------------------------

%package -n    %{py3_name}-bluetooth
Summary:       Python 3 bindings for %{sname} bluetooth
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-bluetooth
Python 3 bindings for %{sname} bluetooth.

%files -n %{py3_name}-bluetooth
%{python3_sitearch}/%{sname}/QtBluetooth.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtBluetooth

#------------------------------------------------------------

%package -n    %{py3_name}-designer
Summary:       Python 3 bindings for %{sname} designer
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-designer
Python 3 bindings for %{sname} designer.

%files -n %{py3_name}-designer
%{python3_sitearch}/%{sname}/QtDesigner.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtDesigner

#------------------------------------------------------------

%package -n    %{py3_name}-gui
Summary:       Python 3 bindings for %{sname} gui
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-gui
Python 3 bindings for %{sname} gui.

%files -n %{py3_name}-gui
%{python3_sitearch}/%{sname}/QtGui.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtGui

#------------------------------------------------------------

%package -n    %{py3_name}-network
Summary:       Python 3 bindings for %{sname} network
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-network
Python 3 bindings for %{sname} network.

%files -n %{py3_name}-network
%{python3_sitearch}/%{sname}/QtNetwork.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtNetwork

#------------------------------------------------------------
%if 0
%package -n    %{py3_name}-networkauth
Summary:       Python 3 bindings for %{sname} network authentication
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-networkauth
Python 3 bindings for %{sname} network authentication.

%files -n %{py3_name}-networkauth
%{python3_sitearch}/%{sname}/QtNetworkAuth.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtNetworkAuth
%endif

#------------------------------------------------------------

%package -n    %{py3_name}-help
Summary:       Python 3 bindings for %{sname} help
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-help
Python 3 bindings for %{sname} help.

%files -n %{py3_name}-help
%{python3_sitearch}/%{sname}/QtHelp.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtHelp

#------------------------------------------------------------

%package -n    %{py3_name}-nfc
Summary:       Python 3 bindings for %{sname} nfc
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-nfc
Python 3 bindings for %{sname} nfc.

%files -n %{py3_name}-nfc
%{python3_sitearch}/%{sname}/QtNfc.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtNfc

#------------------------------------------------------------

%package -n    %{py3_name}-opengl
Summary:       Python 3 bindings for %{sname} opengl
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-opengl
Python 3 bindings for %{sname} opengl.

%files -n %{py3_name}-opengl
%{python3_sitearch}/%{sname}/QtOpenGL.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtOpenGL

#------------------------------------------------------------

%package -n    %{py3_name}-openglwidgets
Summary:       Python 3 bindings for %{sname} openglwidgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-openglwidgets
Python 3 bindings for %{sname} openglwidgets.

%files -n %{py3_name}-openglwidgets
%{python3_sitearch}/%{sname}/QtOpenGLWidgets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtOpenGLWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-positioning
Summary:       Python 3 bindings for %{sname} positioning
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-positioning
Python 3 bindings for %{sname} positioning.

%files -n %{py3_name}-positioning
%{python3_sitearch}/%{sname}/QtPositioning.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtPositioning

#------------------------------------------------------------

%package -n    %{py3_name}-printsupport
Summary:       Python 3 bindings for %{sname} printsupport
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-printsupport
Python 3 bindings for %{sname} printsupport.

%files -n %{py3_name}-printsupport
%{python3_sitearch}/%{sname}/QtPrintSupport.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtPrintSupport

#------------------------------------------------------------

%if %{with pdf}
%package -n    %{py3_name}-pdf
Summary:       Python 3 bindings for %{sname} pdf
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-pdf
Python 3 bindings for %{sname} pdf.

%files -n %{py3_name}-pdf
%{python3_sitearch}/%{sname}/QtPdf.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtPdf

#------------------------------------------------------------

%package -n    %{py3_name}-pdf-widgets
Summary:       Python 3 bindings for %{sname} pdf widgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-pdf-widgets
Python 3 bindings for %{sname} pdf widgets.

%files -n %{py3_name}-pdf-widgets
%{python3_sitearch}/%{sname}/QtPdfWidgets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtPdfWidgets
%endif

#------------------------------------------------------------

%package -n    %{py3_name}-qml
Summary:       Python 3 bindings for %{sname} qml
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-qml
Python 3 bindings for %{sname} qml.

%files -n %{py3_name}-qml
%{python3_sitearch}/%{sname}/QtQml.abi3.so
%{_qt6_plugindir}/%{sname}/libpyqt6qmlplugin.so
%{python3_sitearch}/%{sname}/bindings/QtQml

#------------------------------------------------------------

%package -n    %{py3_name}-quick
Summary:       Python 3 bindings for %{sname} quick
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-quick
Python 3 bindings for %{sname} quick.

%files -n %{py3_name}-quick
%{python3_sitearch}/%{sname}/QtQuick.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtQuick

#------------------------------------------------------------

%package -n    %{py3_name}-quick3d
Summary:       Python 3 bindings for %{sname} quick3d
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-quick3d
Python 3 bindings for %{sname} quick3d.

%files -n %{py3_name}-quick3d
%{python3_sitearch}/%{sname}/QtQuick3D.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtQuick3D

#------------------------------------------------------------

%package -n    %{py3_name}-quickwidgets
Summary:       Python 3 bindings for %{sname} quick widgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-quickwidgets
Python 3 bindings for %{sname} quick widgets.

%files -n %{py3_name}-quickwidgets
%{python3_sitearch}/%{sname}/QtQuickWidgets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtQuickWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-multimedia
Summary:       Python 3 bindings for %{sname} multimedia
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-multimedia
Python 3 bindings for %{sname} multimedia.

%files -n %{py3_name}-multimedia
%{python3_sitearch}/%{sname}/QtMultimedia.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtMultimedia

#------------------------------------------------------------

%package -n    %{py3_name}-multimediawidgets
Summary:       Python 3 bindings for %{sname} multimediawidgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-multimediawidgets
Python 3 bindings for %{sname} multimediawidgets.

%files -n %{py3_name}-multimediawidgets
%{python3_sitearch}/%{sname}/QtMultimediaWidgets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtMultimediaWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-remoteobjects
Summary:       Python 3 bindings for %{sname} remoteobjects
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-remoteobjects
Python 3 bindings for %{sname} remoteobjects.

%files -n %{py3_name}-remoteobjects
%{python3_sitearch}/%{sname}/QtRemoteObjects.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtRemoteObjects

#------------------------------------------------------------

%package -n    %{py3_name}-sensors
Summary:       Python 3 bindings for %{sname} sensors
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-sensors
Python 3 bindings for %{sname} sensors.

%files -n %{py3_name}-sensors
%{python3_sitearch}/%{sname}/QtSensors.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtSensors

#------------------------------------------------------------

%package -n    %{py3_name}-serialport
Summary:       Python 3 bindings for %{sname} serialport
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-serialport
Python 3 bindings for %{sname} serialport.

%files -n %{py3_name}-serialport
%{python3_sitearch}/%{sname}/QtSerialPort.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtSerialPort

#------------------------------------------------------------

%package -n    %{py3_name}-spatialaudio
Summary:       Python 3 bindings for %{sname} spatialaudio
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-spatialaudio
Python 3 bindings for %{sname} spatialaudio.

%files -n %{py3_name}-spatialaudio
%{python3_sitearch}/%{sname}/QtSpatialAudio.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtSpatialAudio

#------------------------------------------------------------

%package -n    %{py3_name}-sql
Summary:       Python 3 bindings for %{sname} sql
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-sql
Python 3 bindings for %{sname} sql.

%files -n %{py3_name}-sql
%{python3_sitearch}/%{sname}/QtSql.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtSql

#------------------------------------------------------------

%package -n    %{py3_name}-svg
Summary:       Python 3 bindings for %{sname} svg
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-svg
Python 3 bindings for %{sname} svg.

%files -n %{py3_name}-svg
%{python3_sitearch}/%{sname}/QtSvg.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtSvg

#------------------------------------------------------------

%package -n    %{py3_name}-svgwidgets
Summary:       Python 3 bindings for %{sname} svgwidgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-svgwidgets
Python 3 bindings for %{sname} svgwidgets.

%files -n %{py3_name}-svgwidgets
%{python3_sitearch}/%{sname}/QtSvgWidgets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtSvgWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-test
Summary:       Python 3 bindings for %{sname} test
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-test
Python 3 bindings for %{sname} test.

%files -n %{py3_name}-test
%{python3_sitearch}/%{sname}/QtTest.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtTest

#------------------------------------------------------------

%package -n    %{py3_name}-texttospeech
Summary:       Python 3 bindings for %{sname} texttospeech
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-texttospeech
Python 3 bindings for %{sname} texttospeech.

%files -n %{py3_name}-texttospeech
%{python3_sitearch}/%{sname}/QtTextToSpeech.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtTextToSpeech/


#------------------------------------------------------------

%package -n    %{py3_name}-webchannel
Summary:       Python 3 bindings for %{sname} webchannel
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-webchannel
Python 3 bindings for %{sname} webchannel.

%files -n %{py3_name}-webchannel
%{python3_sitearch}/%{sname}/QtWebChannel.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtWebChannel

#------------------------------------------------------------

%package -n    %{py3_name}-websockets
Summary:       Python 3 bindings for %{sname} websockets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-websockets
Python 3 bindings for %{sname} websockets.

%files -n %{py3_name}-websockets
%{python3_sitearch}/%{sname}/QtWebSockets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtWebSockets

#------------------------------------------------------------

%package -n    %{py3_name}-widgets
Summary:       Python 3 bindings for %{sname} widgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-widgets
Python 3 bindings for %{sname} widgets.

%files -n %{py3_name}-widgets
%{python3_sitearch}/%{sname}/QtWidgets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-xml
Summary:       Python 3 bindings for %{sname} xml
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-xml
Python 3 bindings for %{sname} xml.

%files -n %{py3_name}-xml
%{python3_sitearch}/%{sname}/QtXml.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtXml

#------------------------------------------------------------

%package -n    %{py3_name}-devel
Summary:       Python 3 bindings for %{sname} devel
Group:         Development/KDE and Qt
Requires:      %{py3_name} = %{version}
Requires:      qttools6-designer

%description -n %{py3_name}-devel
Python 3 bindings for %{sname} devel utilities.

%files -n %{py3_name}-devel
%{_bindir}/pyuic6
%{_bindir}/pylupdate6
%{_qt6_plugindir}/designer/*
%{python3_sitearch}/%{sname}/*.pyi
%{python3_sitearch}/%{sname}/lupdate*
%{python3_sitearch}/%{sname}/py.typed

#------------------------------------------------------------

%package -n    %{py3_name}-doc
Summary:       Documentation for the %{sname} python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-doc
Documentation for the %{sname} python 3 bindings.

%files -n %{py3_name}-doc
%doc %{_docdir}/%{py3_name}
%exclude %{_docdir}/%{py3_name}/examples

#------------------------------------------------------------

%package -n    %{py3_name}-examples
Summary:       Usage examples for the %{sname} python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-examples
Usage examples for the %{sname} python 3 bindings.

%files -n %{py3_name}-examples
%doc %{_docdir}/%{py3_name}/examples

#------------------------------------------------------------

%package -n    %{py3_name}-qsci-api
Summary:       Python 3 %{sname} Qscintilla API
Group:         Development/KDE and Qt

%description -n %{py3_name}-qsci-api
Python 3 %{sname} Qscintilla API.

%files -n %{py3_name}-qsci-api
%dir %{_qt6_datadir}/qsci/
%dir %{_qt6_datadir}/qsci/api/
%dir %{_qt6_datadir}/qsci/api/python/
%{_qt6_datadir}/qsci/api/python/%{sname}.api

#------------------------------------------------------------

%prep
%autosetup -p1 -n pyqt6-%{version}

%build
export PATH=%{_qt6_bindir}:$PATH

sip-build \
  --no-make \
  --qt-shared \
  --confirm-license \
  --api-dir=%{_qt6_datadir}/qsci/api/python \
  --verbose \
  --dbus=%{_includedir}/dbus-1.0/ \
  --pep484-pyi \
  --qmake-setting 'QMAKE_LFLAGS_RPATH=' \
  --qmake-setting 'QMAKE_CFLAGS_RELEASE="%{build_cflags}"' \
  --qmake-setting 'QMAKE_CXXFLAGS_RELEASE="%{build_cxxflags} `pkg-config --cflags dbus-python`"' \
  --qmake-setting 'QMAKE_LFLAGS_RELEASE="%{build_ldflags}"'

%make_build -C build

%install
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/%{sname}/*.so %{buildroot}%{python3_sitearch}/dbus/mainloop/pyqt6.abi3.so ; do
chmod a+rx $i
done

mkdir -p %{buildroot}%{_docdir}/%{py3_name}/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{py3_name}/examples/

# Python shebang
%py3_shebang_fix %{buildroot}%{_docdir}/%{py3_name}/examples/*
