%define module    qtpy
%define pypi_name QtPy

Name:           python-%{module}
Version:        2.4.3
Release:        %mkrel 1
Summary:        Abstraction layer for PyQt5/PySide2 and PyQt6/PySide6
Group:          Development/Python
License:        MIT and BSD
URL:            https://github.com/spyder-ide/qtpy
Source0:        https://github.com/spyder-ide/%{module}/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
QtPy (pronounced ‘cutie pie’) is a small abstraction layer that lets
you write applications using a single API call to either PyQt or
PySide.

It provides support for PyQt5, PySide2, PyQt6 and PySide6 using the
Qt5 layout (where the QtGui module has been split into QtGui and QtWidgets).

Basically, you can write your code as if you were using PyQt or PySide
directly, but import Qt modules from qtpy instead of PyQt5, PySide2,
PyQt6 or PySide6.

#----------------------------------------------------

%package -n     python3-%{module}
Summary:        Abstraction layer for PyQt5/PySide2 and PyQt6/PySide6 (Python 3)
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
QtPy (pronounced ‘cutie pie’) is a small abstraction layer that lets
you write applications using a single API call to either PyQt or
PySide.

It provides support for PyQt5, PySide2, PyQt6 and PySide6 using the
Qt5 layout (where the QtGui module has been split into QtGui and QtWidgets).

Basically, you can write your code as if you were using PyQt or PySide
directly, but import Qt modules from qtpy instead of PyQt5, PySide2,
PyQt6 or PySide6.

#----------------------------------------------------

%prep
%autosetup -n %{module}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files qtpy

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGELOG.md README.md
%license LICENSE.txt
%{_bindir}/qtpy
