%global pypi_name qutepart

Name:           python-%{pypi_name}
Version:        3.3.3
Release:        %mkrel 3
Summary:        Code editor widget for PyQt
Group:          Development/Python
License:        LGPLv2
URL:            https://github.com/hlamer/qutepart
Source0:        https://github.com/hlamer/qutepart/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
# https://github.com/andreikop/qutepart/issues/96
# Handle PEP623, forced on python3.12
Patch0:         qutepart-3.3.3-pep623.patch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-qt5-devel

%description
Qutepart is a code editor widget for PyQt. Features:
    - Syntax highlighting for 196 languages
    - Smart indentation for many languages
    - Line numbers
    - Bookmarks
    - Advanced edit operations
    - Matching braces highlighting
    - Autocompletion based on document content
    - Marking too long lines with red line
    - Rectangular selection and copy-paste
    - Linter marks support
    - Vim mode

%package -n python3-%{pypi_name}
Summary:        Code editor widget for PyQt
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	python3
Requires:	pcre
Requires:	python3-qt5

%description -n python3-%{pypi_name}
Qutepart is a code editor widget for PyQt. Features:
    - Syntax highlighting for 196 languages
    - Smart indentation for many languages
    - Line numbers
    - Bookmarks
    - Advanced edit operations
    - Matching braces highlighting
    - Autocompletion based on document content
    - Marking too long lines with red line
    - Rectangular selection and copy-paste
    - Linter marks support
    - Vim mode

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files qutepart

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{python3_sitearch}/qutepart*
