# Created by pyp2rpm-3.3.8
%global pypi_name rapidfuzz

Name:           python-%{pypi_name}
Version:        3.12.1
Release:        %mkrel 4
Summary:        Rapid fuzzy string matching
Group:          Development/Python
License:        MIT
URL:            https://github.com/maxbachmann/RapidFuzz
Source0:        %{pypi_source}
Patch0:         rapidfuzz-linking.patch
Patch:          0001-fix-pyproject.toml-metadata.patch

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  cmake(rapidfuzz)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-cython
BuildRequires:  python3-pytest
BuildRequires:  python3-hypothesis

%description
RapidFuzz is a fast string matching library for Python and C++, which is using
the string similarity calculations from FuzzyWuzzy.

%package -n     python3-%{pypi_name}
Summary:        Rapid fuzzy string matching
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
RapidFuzz is a fast string matching library for Python and C++, which is using
the string similarity calculations from FuzzyWuzzy.

%pyproject_extras_subpkg -n python3-rapidfuzz all

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove pregenerated Cython sources
rm $(grep -rl '/\* Generated by Cython')

%generate_buildrequires
%pyproject_buildrequires -p -x all

%build
export RAPIDFUZZ_BUILD_EXTENSION=1
export CXXFLAGS="%{build_cxxflags}"
%pyproject_wheel -C"cmake.build-type=RelWithDebInfo"

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -v

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
