# Created by pyp2rpm-1.0.1
%global pypi_name rarfile

Name:           python-rarfile
Version:        4.2
Release:        %mkrel 2
Group:          Development/Python
Summary:        RAR archive reader for Python
License:        ISC
URL:            https://pypi.org/project/rarfile/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
Python module for RAR archive reading.
The interface is made as zipfile like as possible.

Features:
- Supports both RAR 2.x and 3.x archives.
- Supports multi volume archives.
- Supports Unicode filenames.
- Supports password-protected archives.
- Supports archive and file comments.
- Archive parsing and non-compressed files are handled in pure Python code.
- For compressed files runs unrar utility.

%package -n python3-%{pypi_name}
Summary:        RAR archive reader for Python3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python 3 module for RAR archive reading.
The interface is made as zipfile like as possible.

Features:
- Supports both RAR 2.x and 3.x archives.
- Supports multi volume archives.
- Supports Unicode filenames.
- Supports password-protected archives.
- Supports archive and file comments.
- Archive parsing and non-compressed files are handled in pure Python 3 code.
- For compressed files runs unrar utility.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONDIR=$(pwd) sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc html README.rst
