%define pypi_name rdflib

Summary:	Python library for working with RDF
Name:		python-%{pypi_name}
Version:	7.0.0
Release:	%mkrel 3
License:	BSD
Group:		Development/Python
URL:		https://pypi.org/project/rdflib
Source0:	%{pypi_source}
BuildArch:	noarch

%description
RDFLib is a Python library for working with RDF, a simple yet powerful
language for representing information.

The library contains parsers and serializers for RDF/XML, N3,
NTriples, Turtle, TriX and RDFa . The library presents a Graph
interface which can be backed by any one of a number of Store
implementations, including, Memory, MySQL, Redland, SQLite, Sleepycat
and SQLObject.

%package -n python3-%{pypi_name}
Summary:	Python 3 library for working with RDF
Group: 		Development/Python
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-setuptools
Requires:	python3-isodate
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
RDFLib is a Python 3 library for working with RDF, a simple yet powerful
language for representing information.

The library contains parsers and serializers for RDF/XML, N3,
NTriples, Turtle, TriX and RDFa . The library presents a Graph
interface which can be backed by any one of a number of Store
implementations, including, Memory, MySQL, Redland, SQLite, Sleepycat
and SQLObject.  

%prep
%setup -q -n %{pypi_name}-%{version}
sed -i "s/python/python3/" rdflib/plugins/parsers/notation3.py

%generate_buildrequires
%pyproject_buildrequires

find -name "*.pyc" -delete

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rdflib

%__rm -rf %{buildroot}%{python3_sitelib}/test


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/*
