%global pypi_name readthedocs-sphinx-ext

%bcond_without check

Name:           python-%{pypi_name}
Version:        2.2.5
Release:        %mkrel 2
Summary:        Sphinx extension for Read the Docs overrides
Group:		Development/Python
License:        MIT
URL:            https://pypi.org/project/readthedocs-sphinx-ext/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)
%endif

%description
This module adds extensions that make Sphinx easier to use. Some of them
require Read the Docs features, others are just code that we ship and enable
during builds on Read the Docs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
This module adds extensions that make Sphinx easier to use. Some of them
require Read the Docs features, others are just code that we ship and enable
during builds on Read the Docs.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

rst2html --no-datestamp README.rst README.html

%install
%pyproject_install
%pyproject_save_files readthedocs_ext

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.html
