# Created by pyp2rpm-3.3.4
%global pypi_name rebookmaker

Name:           python-%{pypi_name}
Version:        0.8.12
Release:        %mkrel 2
Summary:        EPUB generator
Group:          Development/Python
License:        BSD
URL:            https://github.com/shlomif/rebookmaker
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# fix for doc build with sphinx 8.1
Patch0:         rebookmaker-docs.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(sphinx)


%description
An open source (MIT-licensed) re-implementation of Marcelo
Lira’s ( @setanta ) ebookmaker.

EPUB is a popular and open file format standard for electronic books (see
https://en.wikipedia.org/wiki/EPUB for more information about it). What
rebookmaker (= “re-ebook-maker”) does is compile a definition of the book
inside a JSON file along with some input HTML and image files into an
.epub.

%package -n     python3-%{pypi_name}
Summary:        EPUB generator
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
An open source (MIT-licensed) re-implementation of Marcelo
Lira’s ( @setanta ) ebookmaker.

EPUB is a popular and open file format standard for electronic books (see
https://en.wikipedia.org/wiki/EPUB for more information about it). What
rebookmaker (= “re-ebook-maker”) does is compile a definition of the book
inside a JSON file along with some input HTML and image files into an
.epub.

%package -n python-%{pypi_name}-doc
Summary:        rebookmaker documentation

%description -n python-%{pypi_name}-doc
Documentation for rebookmaker.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files rebookmaker

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE docs/LICENSE.rst
%doc docs/README.rst
%{_bindir}/rebookmaker

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE docs/LICENSE.rst
