%global project_owner rtfd
%global github_name recommonmark
%global desc A docutils-compatibility bridge to CommonMark.\
\
This allows you to write CommonMark inside of Docutils & Sphinx projects.\
\
Documentation is available on Read the Docs: http://recommonmark.readthedocs.org

Name:           python-%{github_name}
Version:        0.7.1
Release:        %mkrel 5
Summary:        docutils-compatibility bridge to CommonMark
Group:          Development/Python
License:        MIT
URL:            https://github.com/rtfd/recommonmark
Source0:        https://github.com/rtfd/recommonmark/archive/%{version}/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

%description
%{desc}


%package -n     python3-%{github_name}
Summary:        docutils-compatibility bridge to CommonMark
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-CommonMark
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx
Requires:       python3-docutils
Requires:       python3-CommonMark
Requires:       python3-sphinx
%{?python_provide:%python_provide python3-%{github_name}}

%description -n python3-%{github_name}
%{desc}


%prep
%setup -qn %{github_name}-%{version}
# Remove upstream's egg-info
rm -rf %{github_name}.egg-info

sed -i '1{\@^#!/usr/bin/env python@d}' recommonmark/scripts.py


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{github_name}

pushd %{buildroot}%{_bindir}  # Enter buildroot bindir to ease symlink creation
for cm2bin in cm2*; do
    mv "${cm2bin}" "${cm2bin}-%{python3_version}"
    ln -s "${cm2bin}-%{python3_version}" "${cm2bin}-3"
done
popd  # Leave buildroot bindir



%check
# Skip some tests because of https://github.com/readthedocs/recommonmark/issues/164
PYTHONPATH=$(pwd) py.test-%{python3_version} -k 'not test_lists and not test_integration and not test_sphinx' .


%files -n python3-%{github_name} -f %{pyproject_files}
%doc README.md
%license license.md
%{_bindir}/cm2*-3
%{_bindir}/cm2*-%{python3_version}
