%define pypi_name repoze.lru
%define pkg_name repoze-lru


Name:           python-%{pkg_name}
Version:        0.7
Release:        %mkrel 12
Summary:        A tiny LRU cache implementation and decorator

Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/repoze.lru/
Source0:        %{pypi_source}
BuildArch:      noarch
Obsoletes:      python-repoze.lru < 0.7-4
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-pytest

%description
repoze.lru is a LRU (least recently used) cache implementation. Keys and values
that are not used frequently will be evicted from the cache faster than keys
and values that are used frequently.


%package -n python3-%{pkg_name}
Summary:        A tiny LRU cache implementation and decorator
Group:          Development/Python
%{?python_provide:%python_provide python3-repoze-lru}
%{?python_provide:%python_provide python3-%{pypi_name}}

Obsoletes:      python3-repoze.lru < 0.7-4
Provides:       python3-repoze.lru = %{version}-%{release}

%description -n python3-%{pkg_name}
repoze.lru is a LRU (least recently used) cache implementation. Keys and values
that are not used frequently will be evicted from the cache faster than keys
and values that are used frequently.


%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files repoze

%check
%pytest repoze/lru/tests.py

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc CONTRIBUTORS.txt README.rst
%license COPYRIGHT.txt LICENSE.txt
%{python3_sitelib}/%{pypi_name}*-nspkg.pth
