%global srcname repoze.sphinx.autointerface
%global pypi_name %(echo %{srcname} | tr . -)

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 3
Group:          Development/Python
Summary:        Auto-generate Sphinx API docs from Zope interfaces
License:        BSD
URL:            https://github.com/repoze/repoze.sphinx.autointerface
Source0:	%{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
This package defines an extension for the Sphinx documentation system.
The extension allows generation of API documentation by introspection of
zope.interface instances in code.

%package -n python3-%{pypi_name}
Summary:        Auto-generate Sphinx API docs from Zope interfaces
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
This package defines an extension for the Sphinx documentation system.
The extension allows generation of API documentation by introspection of
zope.interface instances in code.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files repoze

# not needed
rm -rf %{buildroot}%{python3_sitelib}/*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES.rst CONTRIBUTORS.txt README.rst
%license COPYRIGHT.txt LICENSE.txt

