# Created by pyp2rpm-3.3.10
%global pypi_name reproject

%bcond_with docs
%bcond_without check

Name:           python-%{pypi_name}
Version:        0.14.1
Release:        %mkrel 1
Summary:        Reproject astronomical images
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/reproject/
Source0:        %{pypi_source}
Patch:          0001-Fix-linking.patch
BuildRequires:  git-core
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel

%description
The reproject package is a Python package to reproject astronomical images
using various techniques via a uniform interface.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The reproject package is a Python package to reproject astronomical images
using various techniques via a uniform interface.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

sed -i -e 's/oldest-supported-numpy/numpy/' -e 's/cython==3.0.4/cython>=3/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x test}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
pushd %{buildroot}%{python3_sitearch}/%{pypi_name}
%pytest -k "not healpix"
# test cache
rm -rf %{buildroot}%{python3_sitearch}/%{pypi_name}/.pytest_cache/
popd
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
%exclude %{python3_sitearch}/%{pypi_name}/tests/
%exclude %{python3_sitearch}/%{pypi_name}/conftest.py
%exclude %{python3_sitearch}/%{pypi_name}/__pycache__/conftest.*.pyc
