%global pypi_name requests-cache
%global srcname requests_cache

Name:           python-%{pypi_name}
Version:        1.2.0
Release:        %mkrel 2
Summary:        Persistent cache for requests library
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/requests-cache/
Source0:        %{pypi_source}
Patch1:         requests_cache-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
requests-cache is a persistent HTTP cache that provides an easy way to get
better performance with the python requests library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
requests-cache is a persistent HTTP cache that provides an easy way to get
better performance with the python requests library.

%pyproject_extras_subpkg -n python3-%{pypi_name} dynamodb mongodb redis bson json security yaml all

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x all

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
