%global pypi_name requests-kerberos

Name:           python-%{pypi_name}
Version:        0.14.0
Release:        %mkrel 4
Summary:        A Kerberos authentication handler for python-requests
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/requests-kerberos/
Source0:        https://github.com/requests/requests-kerberos/archive/refs/tags/requests-kerberos-%{version}.tar.gz
BuildArch:      noarch

%description
Requests is an HTTP library, written in Python, for human beings. This library
adds optional Kerberos/GSSAPI authentication support and supports mutual
authentication.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-requests >= 1.1
Requires:       python3-kerberos
# runtime requirements are needed for tests also
BuildRequires:  python3-requests >= 1.1
BuildRequires:  python3-cryptography
BuildRequires:  python3-spnego
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Requests is an HTTP library, written in Python, for human beings. This library
adds optional Kerberos/GSSAPI authentication support and supports mutual
authentication.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_kerberos

%check
py.test-3 tests/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst AUTHORS HISTORY.rst

