%bcond_without tests

%define module requests-mock

Name:           python-%{module}
Version:        1.12.1
Release:        %mkrel 2
Summary:        A requests mocking tool for python
Group:          Development/Python
License:        ASL 2.0
URL:            https://requests-mock.readthedocs.io/
Source0:        https://pypi.io/packages/source/r/requests-mock/%{module}-%{version}.tar.gz

Patch1:         0003-Allow-skipping-purl-tests-if-it-is-not-present.patch

BuildArch:      noarch

%description
requests-mock provides a simple way to do HTTP mocking at the
python-requests layer.

%package -n python3-%{module}
Summary:        A requests mocking tool for python
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

# standard requirements needed for testing
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-requests
BuildRequires:  python3-six
BuildRequires:  python3-urllib3

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools

%if %{with tests}
BuildRequires:  python3-fixtures
BuildRequires:  python3-mock
BuildRequires:  python3-testtools
BuildRequires:  python3-pytest
%endif

%description -n python3-%{module}
requests-mock provides a simple way to do HTTP mocking at the
python-requests layer.


%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_mock

%check
%if %{with tests}
%{__python3} -m testtools.run discover
# Disabling tests which requires installing futures and requests-futures modules, we don't have
#{__python3} -m pytest tests/pytest  -m "not threaded or sessions"
%endif

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.rst
