%global pypi_name requests-unixsocket2
%global srcname requests_unixsocket2

%bcond_without check

Name:           python-%{pypi_name}
Version:        0.4.2
Release:        %mkrel 1
Summary:        Use requests to talk HTTP via a UNIX domain socket
License:        ASL 2.0
Group:          Development/Python
# fork of https://github.com/msabramo/requests-unixsocket
URL:            https://pypi.org/project/requests-unixsocket2/
Source0:        %{pypi_source}
BuildArch:      noarch
%if %{with check}
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(waitress)
%endif

%description
Use requests to talk HTTP via a UNIX domain socket.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:	python3-requests-unixsocket < 0.4.1

%description -n python3-%{pypi_name}
Use requests to talk HTTP via a UNIX domain socket.

%prep
%autosetup -n %{srcname}-%{version}

# Remove shebangs
sed -i '1d' requests_unixsocket/tests/test_requests_unixsocket.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_unixsocket

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%doc LICENSE
