%define	pypi_name	requests

Name:		python-%{pypi_name}
Version:	2.32.3
Release:	%mkrel 2
Summary:	Python HTTP for Humans
License:	Apache License
Group:		Development/Python
Url:		https://requests.readthedocs.io/
Source0:	%{pypi_source}
# From Fedora Explicitly use the system certificates in ca-certificates.
# https://bugzilla.redhat.com/show_bug.cgi?id=904614
Patch0:		patch-requests-certs.py-to-use-the-system-CA-bundle.patch
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)

%description
Requests allow you to send HTTP/1.1 requests. You can add headers,
form data, multipart files, and parameters with simple Python
dictionaries, and access the response data in the same way. It's
powered by httplib and urllib3, but it does all the hard work and
crazy hacks for you.

%package -n	python3-%{pypi_name}
Summary:	HTTP library, written in Python 3, for human beings
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	rootcerts
Obsoletes:	python3-%{pypi_name}+security < 2.28.2

%description -n	python3-%{pypi_name}
Most existing Python modules for sending HTTP requests are extremely verbose and
cumbersome. Python’s built-in urllib2 module provides most of the HTTP
capabilities you should need, but the API is thoroughly broken. This library is
designed to make HTTP requests easy for developers.

%pyproject_extras_subpkg -n python3-requests socks

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md HISTORY.md
%license LICENSE
