# Created by pyp2rpm-3.3.2
%global pypi_name rfc3986

%bcond_with docs

Name:           python-%{pypi_name}
Version:        2.0.0
Release:        %mkrel 4
Summary:        Validating URI References per RFC 3986
Group:          Development/Python
License:        Apache 2.0
URL:            https://rfc3986.readthedocs.io/
Source0:        %{pypi_source}
# fix for doc build with sphinx 8.1
Patch0:         rfc3986-docs.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
# docs
%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-prompt)
%endif

%description
rfc3986 is a Python implementation of RFC 3986 including validation and
authority parsing. This module also supports RFC 6874 which adds support for
zone identifiers to IPv6 Addresses.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
rfc3986 is a Python implementation of RFC 3986 including validation and
authority parsing. This module also supports RFC 6874 which adds support for
zone identifiers to IPv6 Addresses.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=$(pwd)/build/lib sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files rfc3986

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst %{?with_docs:html}
