%define tarname Routes

%bcond_with docs

Summary:	Routing recognition and generation tools for Python
Name:		python-routes
Version:	2.5.1
Release:	%mkrel 5
License:	BSD
Group:		Development/Python
Url:		http://routes.groovie.org/
Source0:        https://pypi.io/packages/source/R/%{tarname}/%{tarname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-setuptools
%if %{with docs}
BuildRequires:  python3-sphinx
%endif
BuildRequires:	python3-webob

%description
Routes is a Python re-implementation of the Rails routes system for
mapping URLs to application actions, and conversely to generate
URLs. Routes makes it easy to create pretty and concise URLs that are
RESTful with little effort.

Routes allows conditional matching based on domain, cookies, HTTP
method, or a custom function. Sub-domain support is built in. Routes
comes with an extensive unit test suite.

%package     -n python3-routes
Group:          Development/Python
Summary:        Routing recognition and generation tools for Python3
Requires:	python3-pkg-resources
Requires:	python3-webob
%{?python_provide:%python_provide python3-routes}

%description -n python3-routes
Routes is a Python re-implementation of the Rails routes system for
mapping URLs to application actions, and conversely to generate
URLs. Routes makes it easy to create pretty and concise URLs that are
RESTful with little effort.

Routes allows conditional matching based on domain, cookies, HTTP
method, or a custom function. Sub-domain support is built in. Routes
comes with an extensive unit test suite.

%files -n python3-routes
%doc CHANGELOG.rst LICENSE.txt README.rst
%if %{with docs}
%doc docs/_build/html
%endif
%{python3_sitelib}/*

#--------------------------------------------------------------------

%prep
%setup -q -n %{tarname}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

%if %{with docs}
pushd docs
export PYTHONPATH=`dir -d ../build/lib*`
make html
rm -f _build/html/.buildinfo
popd
%endif
