%global pypi_name rpds-py
%global srcname rpds_py

Name:           python-%{pypi_name}
Version:        0.23.1
Release:        %mkrel 1
Summary:        Python bindings to Rust's persistent data structures (rpds)
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/rpds-py/
Source:         %{pypi_source}
Patch:          cargo.patch
Patch:          rpds_py-license-fix.patch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  cargo-rpm-macros

%description
Python bindings to the Rust rpds crate for persistent data structures.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Python bindings to the Rust rpds crate for persistent data structures.

%prep
%autosetup -p1 -n %{srcname}-%{version}
%cargo_prep

%generate_buildrequires
%pyproject_buildrequires
%cargo_generate_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rpds

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE
