%define module rtree
%define srcname Rtree

Name:           python-%{module}
Version:        1.4.0
Release:        %mkrel 1
Summary:        R-Tree spatial index for Python GIS
Group:          Development/Python
License:        LGPLv2
URL:            https://pypi.python.org/pypi/Rtree
Source0:        https://files.pythonhosted.org/packages/source/R/%{srcname}/%{module}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  spatialindex-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel

BuildRequires:  python3-pytest
BuildRequires:  python3-numpy
BuildRequires:  locales-en

%description
Rtree is a ctypes Python wrapper of the spatialindex library, that
provides a number of advanced spatial indexing features for the
spatially curious Python user. These features include:

 -Nearest neighbor search
 -Intersection search
 -Multi-dimensional indexes
 -Clustered indexes (store Python pickles directly with index entries)
 -Bulk loading
 -Deletion
 -Disk serialization
 -Custom storage implementation
  (to implement spatial indexing in ZODB, for example)


%package -n python3-%{module}
Summary:        R-Tree spatial index for Python GIS
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
Requires:       libspatialindex

%description -n python3-%{module}
Rtree is a ctypes Python wrapper of the spatialindex library, that
provides a number of advanced spatial indexing features for the
spatially curious Python user. These features include:

 -Nearest neighbor search
 -Intersection search
 -Multi-dimensional indexes
 -Clustered indexes (store Python pickles directly with index entries)
 -Bulk loading
 -Deletion
 -Disk serialization
 -Custom storage implementation
  (to implement spatial indexing in ZODB, for example)


%prep
%autosetup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rtree

%if 0
%check
export LANG=C.UTF-8
PYTHONPATH="%{buildroot}%{python3_sitelib}" \
    py.test-%{python3_version} -ra tests
PYTHONPATH="%{buildroot}%{python3_sitelib}" \
    py.test-%{python3_version} -ra --doctest-modules rtree
%endif

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
