%global oname rtslib-fb

Name:           python-rtslib
Version:        2.1.76
Release:        %mkrel 3
Summary:        API for Linux kernel LIO SCSI target
License:        ASL 2.0
Group:          System/Libraries
URL:            https://github.com/open-iscsi/rtslib-fb
Source0:        https://github.com/open-iscsi/rtslib-fb/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  systemd-units

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
API for generic Linux SCSI kernel target. Includes the 'target'
service and targetctl tool for restoring configuration.

%package -n python3-rtslib
Summary:        API for Linux kernel LIO SCSI target
Group:          System/Libraries
Requires:       python3-kmod
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%{?python_provide:%python_provide python3-rtslib}

%description -n python3-rtslib
API for python 3 generic Linux SCSI kernel target.

%prep
%setup -q -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rtslib rtslib_fb

mkdir -p %{buildroot}%{_mandir}/man8/
mkdir -p %{buildroot}%{_mandir}/man5/
mkdir -p %{buildroot}%{_unitdir}
install -m 644 systemd/target.service %{buildroot}%{_unitdir}/target.service
install -m 644 doc/targetctl.8 %{buildroot}%{_mandir}/man8/
install -m 644 doc/saveconfig.json.5 %{buildroot}%{_mandir}/man5/

%post -n python3-rtslib
%_post_service target

%preun -n python3-rtslib
%_preun_service target

%postun -n python3-rtslib
%_postun_service target


%files -n python3-rtslib -f %{pyproject_files}

%doc COPYING README.md
%{_bindir}/targetctl
%{_unitdir}/target.service
%{_mandir}/man8/targetctl.8.*
%{_mandir}/man5/saveconfig.json.5.*
