%global srcname rustcfg
%{?python_enable_dependency_generator}

Name:           python-rustcfg
Version:        0.0.2
Release:        %mkrel 11
Summary:        Rust cfg expression parser in python
%if 0%{?mageia}
Group:          Development/Python
%endif
License:        MIT
URL:            https://pagure.io/fedora-rust/python-rustcfg
Source:         https://pypi.io/packages/source/r/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
%{summary}.

%description %_description

%package     -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pyparsing
BuildRequires:  python3-pytest

%description -n python3-%{srcname} %{_description}

%package     -n python3-%{srcname}-tests
Summary:        Tests for python3-%{srcname}
%{?python_provide:%python_provide python3-%{srcname}-tests}
Requires:       python3-%{srcname} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       python3-pytest

%description -n python3-rustcfg-tests
%{summary}.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rustcfg

%check
py.test-%{python3_version} -v

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%exclude %{python3_sitelib}/rustcfg/test

%files -n python3-%{srcname} -f %{pyproject_files}
