%define upstream_name s3transfer

Name:           python-%{upstream_name}
Version:        0.11.4
Release:        %mkrel 1
Summary:        Amazon S3 Transfer Manager for Python
License:        ASL 2.0
Group:          Development/Python
URL:            https://github.com/boto/s3transfer
Source:         https://github.com/boto/s3transfer/archive/%{version}/s3transfer-%{version}.tar.gz
BuildArch:      noarch

%description
S3transfer is a Python library for managing Amazon S3 transfers.

Note:
This project is not currently GA. If you are planning to use this code in
production, make sure to lock to a minor version as interfaces may break from
minor version to minor version. For a basic, stable interface of s3transfer,
try the interfaces exposed in boto3

%package -n python3-%{upstream_name}
Summary:        Amazon S3 Transfer Manager for Python3
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
S3transfer is a Python 3 library for managing Amazon S3 transfers.

%prep
%setup -q -n %{upstream_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files s3transfer

%files -n python3-%{upstream_name} -f %{pyproject_files}

