%define pypi_name python-sane
%define pkgname sane

Name:           python-%{pkgname}
Version:        2.9.1
Release:        %mkrel 7
Summary:        Python SANE interface
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/python-sane/
Source0:        %{pypi_source}

BuildRequires:  pkgconfig(sane-backends)

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme


%description
This package contains the sane module for Python which provides access to
various raster scanning devices such as flatbed scanners and digital cameras.


%package -n python3-%{pkgname}
Summary:        Python 3 SANE interface
Group:          Development/Python
Obsoletes:      python3-pillow-sane <= 2.6.1-2
Provides:       python3-pillow-sane = %{version}-%{release}
Requires:       python3-pillow
Requires:       python3-numpy
%{?python_provide:%python_provide python3-sane}

%description -n python3-%{pkgname}
This package contains the sane module for Python3 which provides access to
various raster scanning devices such as flatbed scanners and digital cameras.


%prep
%setup -q

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sane

# Build doc in %%install so that we can use the installed sane module for generating the docs
PYTHONPATH=%{buildroot}%{python3_sitearch} make -C doc html SPHINXBUILD=sphinx-build-%python3_version
rm -f doc/_build_py3/html/.buildinfo

# Fix non-standard-executable-perm
chmod 0755 %{buildroot}%{python3_sitearch}/*.so

%files -n python3-%{pkgname} -f %{pyproject_files}
%doc CHANGES.rst sanedoc.txt example.py doc/_build/html
%{python3_sitearch}/_sane.cpython-*.so

