%bcond_with check

Name:           python-scikit-build-core
Version:        0.11.0
Release:        %mkrel 1
Summary:        Build backend for CMake based projects
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/scikit-build/scikit-build-core
Source:         %{pypi_source scikit_build_core}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
# Testing dependencies
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  gcc-c++
BuildRequires:  git-core

%description
A next generation Python CMake adapter and Python API for plugins.

%package -n python3-scikit-build-core
Summary:        Build backend for CMake based projects
Group:          Development/Python
%{?python_provide:%python_provide python3-scikit-build-core}
# Testing dependencies
%if %{with check}
BuildRequires:  python3dist(hatchling)
BuildRequires:  python3dist(hatch-vcs)
BuildRequires:  python3dist(build)
BuildRequires:  python3dist(build[virtualenv])
BuildRequires:  python3dist(cattrs)
BuildRequires:  python3dist(exceptiongroup)
BuildRequires:  python3dist(hatch-fancy-pypi-readme)
BuildRequires:  python3dist(pybind11)
BuildRequires:  python3dist(pyproject-metadata)
BuildRequires:  python3dist(pytest)
%endif
# TODO
#BuildRequires:  python3dist(pytest-subprocess)
Requires:       cmake
Recommends:     ninja-build
Requires:       python3dist(pyproject-metadata)
Requires:       python3dist(pathspec)

%description -n python3-scikit-build-core
A next generation Python CMake adapter and Python API for plugins.

%prep
%autosetup -n scikit_build_core-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test,test-meta,test-numpy}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files scikit_build_core

%if %{with check}
%check
# different hash due to different build environment:
donttest="test_pep517_sdist_hash or test_pep518_sdist"
%pytest \
    -m "not network " \
    -k "not ($donttest)"
%endif

%files -n python3-scikit-build-core -f %{pyproject_files}
%license LICENSE
%doc README.md
