%global pypi_name scikit-image
%global srcname scikit_image

Name:           python-%{pypi_name}
Version:        0.23.2
Release:        %mkrel 2
Summary:        Image processing in Python
# The following files are BSD 2 clauses, the rest BSD 3 clauses
# skimage/graph/_mcp.pyx
# skimage/graph/heap.pyx
License:        BSD
Group:          Development/Python
URL:            https://scikit-image.org/
Source0:        %{pypi_source}
Patch0:         scikit_image-linking.patch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(meson-python)
BuildRequires:  libgomp-devel

%description
The scikit-image SciKit (toolkit for SciPy) extends scipy.ndimage to provide a
versatile set of image processing routines.

%package -n python3-%{pypi_name}
Summary:        Image processing in Python 3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-cython
BuildRequires:  python3-scipy
BuildRequires:  python3-matplotlib
BuildRequires:  python3-nose
BuildRequires:  python3-pillow
BuildRequires:  python3-six >= 1.3
BuildRequires:  python3dist(pythran)
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-scipy
Requires:       python3-six >= 1.3
Requires:       python3-matplotlib-qt5

Obsoletes:      scikit-image-tools < 0.22.0

%description -n python3-%{pypi_name}
The scikit-image SciKit (toolkit for SciPy) extends scipy.ndimage to provide a
versatile set of image processing routines.

%prep
%autosetup -n %{srcname}-%{version} -p1

# For regeneration of cython source
rm -f $(grep -rl '/\* Generated by Cython')

# No need to build the whole pkg multiple times
#%%generate_buildrequires
#%%pyproject_buildrequires -w

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files skimage

# This is also installed
rm -rf %{buildroot}%{python3_sitearch}/doc/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CONTRIBUTORS.txt LICENSE.txt RELEASE.txt TODO.txt
