# Filter the _speedups.so provides that otherwise comes into the provides
%global __provides_exclude _speedups\\.so
%define module scss
%global debug_package %{nil}


Name:           python-scss
Version:        1.4.0
Release:        %mkrel 3
Summary:        A SCSS compiler for Python

License:        MIT
Group:          Development/Python
URL:            https://github.com/Kronuz/pyScss
Source0:        https://github.com/Kronuz/pyScss/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-six
BuildRequires:  python3-sphinx
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  python3-setuptools

%description
A SCSS compiler for Python.

%package -n     python3-%{module}
Summary:        A SCSS compiler for Python3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
Provides:       pyscss = %{version}-%{release}

%description -n python3-%{module}
A SCSS compiler for Python3.

%prep
%autosetup -p1 -n pyScss-%{version}

# Fix shebangs
%py3_shebang_fix .

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

export PYTHONPATH=$(pwd)
make -C docs man SPHINXBUILD=sphinx-build
make -C docs html SPHINXBUILD=sphinx-build

%install
%pyproject_install
%pyproject_save_files %{module}


mkdir -p %{buildroot}%{_mandir}/man1/
cp -ar docs/_build/man/pyscss.1 %{buildroot}%{_mandir}/man1/pyscss.1

%files -n python3-%{module} -f %{pyproject_files}
%doc DESCRIPTION README.rst
%doc docs/_build/html
%{_bindir}/pyscss
%{_bindir}/less2scss
%{_mandir}/man1/pyscss.1.*
