%define module sdl2
%define oname PySDL2

Name:           python-%{module}
Version:        0.9.16
Release:        %mkrel 2
Summary:        Python SDL2 bindings
License:        Public Domain or CC0
Group:          Development/Python
URL:            https://github.com/py-sdl/py-sdl2
Source0:        https://pypi.io/packages/source/P/PySDL2/%{oname}-%{version}.tar.gz

BuildArch:      noarch

%description
PySDL2 is a wrapper around the SDL2 library and as such similar to the
discontinued PySDL project. In contrast to PySDL, it has no licensing
restrictions, nor does it rely on C code, but uses ctypes instead.

%package -n python3-%{module}
Summary:        Python 3.x SDL2 bindings
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

BuildRequires:  pkgconfig(python3)

%description -n python3-%{module}
PySDL2 is a wrapper around the SDL2 library and as such similar to the
discontinued PySDL project. In contrast to PySDL, it has no licensing
restrictions, nor does it rely on C code, but uses ctypes instead.

%prep
%autosetup -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sdl2

%files -n python3-%{module} -f %{pyproject_files}
%doc AUTHORS.txt README.md
%license doc/copying.rst
