# Created by pyp2rpm-3.3.2
%global pypi_name SecretStorage
%global pkg_name secretstorage

%global libsecret_version 0.21.1
%global libsecret_url_version %(echo %{libsecret_version} | cut -d. -f1,2)

Name:           python-%{pkg_name}
Version:        3.3.3
Release:        %mkrel 3
Summary:        Python bindings to FreeDesktop.org Secret Service API
Group:          Development/Python
License:        BSD 3-Clause License
URL:            https://pypi.org/project/SecretStorage
Source0:        %{pypi_source}
Source1:        https://download.gnome.org/sources/libsecret/%{libsecret_url_version}/libsecret-%{libsecret_version}.tar.xz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
# Docs
BuildRequires:  python3dist(sphinx)
# Tests
BuildRequires:  dbus-x11
BuildRequires:  x11-server-xvfb
BuildRequires:  python3dist(dbus-python)

%description
This module provides a way for securely storing passwords and other secrets.
It uses D-Bus Secret Service API that is supported by GNOME Keyring.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pkg_name}
This module provides a way for securely storing passwords and other secrets.
It uses D-Bus Secret Service API that is supported by GNOME Keyring.

%prep
%autosetup -n SecretStorage-%{version} -a1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files secretstorage

%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
for MOCK in libsecret-%{libsecret_version}/libsecret/mock-service-{normal,only-plain,lock}.py; do
  xvfb-run -a dbus-launch --exit-with-session %{__python3} tests/run_tests.py ${MOCK}
done

%files -n python3-%{pkg_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst html
