%define module	selenium

Summary:	Python bindings for Selenium
Name:		python-%{module}
Version:	4.20.0
Release:	%mkrel 2
Source0:	https://files.pythonhosted.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
License:	Apache License
Group:		Development/Python
Url:		https://pypi.org/project/selenium
BuildArch:	noarch
Requires:	python-rdflib >= 3.1.0

%description
Selenium Python Client Driver is a Python language binding for
Selenium Remote Control (version 1.0 and 2.0).

Currently the remote protocol, Firefox and Chrome for Selenium 2.0 are
supported, as well as the Selenium 1.0 bindings.

%package -n python3-%{module}
Summary:	Python 3 bindings for Selenium
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

%description -n python3-%{module}
Selenium Python 3 Client Driver is a Python 3 language binding for
Selenium Remote Control (version 1.0 and 2.0).

%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files selenium

rm -f %{buildroot}%{python3_sitelib}/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so
rm -f %{buildroot}%{python3_sitelib}/selenium/webdriver/firefox/x86/x_ignore_nofocus.so

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst
