%global pypi_name semantic-version
%global srcname semantic_version

%bcond_with tests
%bcond_with docs

Name:           python-%{pypi_name}
Version:        2.10.0
Release:        %mkrel 4
Summary:        Library implementing the 'SemVer' scheme
Group:          Development/Python
License:        BSD
URL:            https://github.com/rbarrois/python-semanticversion
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This small python library provides a few tools to handle SemVer in Python. It
follows strictly the 2.0.0 version of the SemVer scheme.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-semantic_version < 2.10.0
Obsoletes:      python-semantic_version-doc < 2.10.0

%description -n python3-%{pypi_name}
This small python library provides a few tools to handle SemVer in Python. It
follows strictly the 2.0.0 version of the SemVer scheme.

%prep
%autosetup -n %{srcname}-%{version}

# Drop unnecessary dependency
sed -i '/zest\.releaser\[recommended\]/d' setup.cfg

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t} %{?with_docs:-x doc}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with tests}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst ChangeLog
%if %{with doc}
%doc html
%endif
