# Created by pyp2rpm-3.3.5
%global pypi_name semver

Name:           python-%{pypi_name}
Version:        3.0.1
Release:        %mkrel 3
Summary:        Python helper for Semantic Versioning
Group:          Development/Python
License:        BSD
URL:            https://github.com/python-semver/python-semver
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(virtualenv)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-autodoc-typehints)

%description
A Python module for semantic versioning.
Simplifies comparing versions.

%package -n     python3-%{pypi_name}
Summary:        Python 3 helper for Semantic Versioning
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python3 module for semantic versioning.
Simplifies comparing versions.

%package -n python-%{pypi_name}-doc
Summary:        semver documentation
Group:          Documentation

%description -n python-%{pypi_name}-doc
Documentation for semver.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%pyproject_wheel
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst docs/readme.rst
%{_bindir}/pysemver

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE.txt
