%define pypi_name	pyserial
%define module		serial

Name:		python-serial
Version:	3.5
Release:	%mkrel 6

Summary:	Python serial port extension
License:	Python
Group:		Development/Python
URL:		https://pyserial.sourceforge.net/
Source0:	https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	dos2unix

%description
This module encapsulates the access for the serial port.
It provides backends for Python running on Windows, Linux, BSD (possibly any
POSIX compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%package -n python3-%{module}
Summary:	Python 3 serial port extension
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(sphinx)
%{?python_provide:%python_provide python3-%{module}}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	python3-%{pypi_name} = %{version}-%{release}
Obsoletes:	python3-pyserial < 3.5-2

%description -n python3-%{module}
This module encapsulates the access for the serial port.
It provides backends for Python running on Windows, Linux, BSD (possibly any
POSIX compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%package -n python-%{module}-doc
Summary:	pyserial documentation
Group:		Documentation
Provides:	python-%{pypi_name}-doc = %{version}-%{release}
Obsoletes:	python-pyserial-doc < 3.5-2

%description -n python-%{module}-doc
Documentation for pyserial.

%prep
%setup -q -n %{pypi_name}-%{version}

#fix shebangs
perl -pi -e "s/#! python/#!\/usr\/bin\/env python/" serial/*.py
perl -pi -e "s/#!jython/#!\/usr\/bin\/env jython/" serial/*.py

#fix EOL
dos2unix examples/port_publisher.py

%autopatch -p1

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 documentation html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files serial

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGES.rst PKG-INFO README.rst examples
%license LICENSE.txt
%{_bindir}/pyserial-miniterm
%{_bindir}/pyserial-ports

%files -n python-%{module}-doc
%doc html
%license LICENSE.txt
