%global pypi_name setuptools-scm
%global srcname setuptools_scm

%bcond_with tests

Name:           python-%{pypi_name}
Version:        8.0.4
Release:        %mkrel 4
Summary:        The blessed package to manage your versions by scm tags
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/setuptools-scm/
Source0:        %{pypi_source %pypi_name}
Patch1:         0001-chore_add-exception-info-to-warning-logging.patch
Patch2:         0002-fix-#953_info-log-level-for-missing-tool-section.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

# For tests
%if %{with tests}
BuildRequires:  python3-pip
BuildRequires:  python3-pytest
BuildRequires:  python3-six
BuildRequires:  python3-toml
BuildRequires:  git-core
BuildRequires:  mercurial
%endif

%description
Setuptools_scm handles managing your python package versions in scm metadata.
It also handles file finders for the supported scms.

%package -n python3-%{pypi_name}
Summary:        The blessed package to manage your versions by scm tags
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
%{?py_provides:%py_provides python3-%{srcname}}
Obsoletes:	python3-setuptools_scm < 7.0.5-2
Obsoletes:	python3-setuptools_scm+toml < 7.0.5-2

%description -n python3-%{pypi_name}
Setuptools_scm handles managing your python package versions in scm metadata.
It also handles file finders for the supported scms.

%{pyproject_extras_subpkg -n python3-%{pypi_name} toml}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v -k 'not (test_pip_download or test_old_setuptools_fails or test_old_setuptools_allows_with_warnings or test_distlib_setuptools_works)'
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.md
