%global pypi_name shapely

Name:           python-%{pypi_name}
Version:        2.0.6
Release:        %mkrel 2
Summary:        A Python package for doing geometry in the Cartesian plane
License:        BSD
Group:          Development/Python
Url:            https://pypi.python.org/pypi/Shapely
Source0:        %{pypi_source}

#fix built against latest geos (fedora)
Patch0:		shapely-2.0.4-geos.patch

BuildRequires:  geos-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(cython)

%description
Shapely is a Python package for manipulation and analysis of planar geometric
objects. It is based on the widely deployed GEOS (the engine of PostGIS) and
JTS (from which GEOS is ported) libraries. Shapely is not concerned with data
formats or coordinate systems, but can be readily integrated with packages that
are.

%package -n python3-%{pypi_name}
Summary:        A Python package for doing geometry in the Cartesian plane
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-numpy

%description -n python3-%{pypi_name}
Shapely is a Python package for manipulation and analysis of planar geometric
objects. It is based on the widely deployed GEOS (the engine of PostGIS) and
JTS (from which GEOS is ported) libraries. Shapely is not concerned with data
formats or coordinate systems, but can be readily integrated with packages that
are.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst CREDITS.txt
