%global         pypi_name    sherpa

Name:           python-sherpa
Version:        4.17.0
Release:        %mkrel 2
Group:          Sciences/Astronomy
Summary:        Sherpa is a modeling and fitting application
License:        AFL
URL:            https://cxc.cfa.harvard.edu/sherpa/
Source0:        https://github.com/sherpa/sherpa/archive/%{version}/%{pypi_name}-%{version}.tar.gz
# #install of group/stk.so is broken, disabling, use wcstools and shared fftw 
Patch1:         0001-sherpa-4.16.1-setup.patch

BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  fftw-devel
BuildRequires:  gcc-gfortran
BuildRequires:  gcc-c++
BuildRequires:  wcstools-devel


%description
Sherpa is the CIAO modeling and fitting application. It enables the
user to construct complex models from simple definitions and fit those
models to data, using a variety of statistics and optimization method.


%package -n python3-sherpa
Summary:        Python3 implementation of Sherpa
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-numpy-f2py


%description -n python3-sherpa
Sherpa is the CIAO modeling and fitting application. It enables the
user to construct complex models from simple definitions and fit those
models to data, using a variety of statistics and optimization method.


%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

sed -i "s|libARCH|%{_lib}|g" setup.cfg
sed -i "s|@python_version@|%{python3_version}|g" setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sherpa

%__rm %{buildroot}%{_bindir}/sherpa_*

%files -n python3-sherpa -f %{pyproject_files}
%doc LICENSE RELEASE_NOTES CONTRIBUTING.md COPYRIGHT CITATION
#{python3_sitearch}/*.so
