%define pypi_name simplejson

Name:           python-%{pypi_name}
Version:        3.19.3
Release:        %mkrel 1
Summary:        Simple, fast, extensible JSON encoder/decoder for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/simplejson/simplejson
Source0:        %{pypi_source}
BuildRequires:  pkgconfig(python3)
# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
simplejson is a simple, fast, complete, correct and extensible JSON encoder and
decoder for Python. It is pure Python code with no dependencies, but includes
an optional C extension for a serious speed boost.

%package -n python3-%{pypi_name}
Summary:        Simple, fast, extensible JSON encoder/decoder for Python3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-simplejson
simplejson is a simple, fast, complete, correct and extensible JSON encoder and
decoder for Python. It is pure Python code with no dependencies, but includes
an optional C extension for a serious speed boost.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%{__python3} ./scripts/make_docs.py
rm docs/.{buildinfo,nojekyll}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc docs/*
