%global pypi_name sip

# comment out if not dev snapshot
#global dev     dev2206062241

%define rel     1

Name:           python-sip6
Version:        6.10.0
Release:        %mkrel %{?dev:0.%dev.}%{rel}
Summary:        SIP - Python/C++ Bindings Generator
Group:          Development/Python
# code_generator/parser.{c.h} is GPLv2+ with exceptions (bison)
License:        (GPLv2 or GPLv3) and (GPLv2+ with exceptions)
URL:            https://www.riverbankcomputing.com/software/sip
%if 0%{?dev:1}
Source0:        https://www.riverbankcomputing.com/pypi/packages/sip/sip-%{version}.%{dev}.tar.gz
%else
Source0:        %{pypi_source}
%endif
BuildArch:      noarch

BuildRequires:  python3-devel

%description
SIP is a collection of tools that makes it very easy to create Python bindings
for C and C++ libraries. It was originally developed in 1998 to create PyQt,
the Python bindings for the Qt toolkit, but can be used to create bindings for
any C or C++ library. For example it is also used to generate wxPython, the
Python bindings for wxWidgets.

%package -n python3-sip6
Summary:        SIP - Python/C++ Bindings Generator
%{?python_provide:%python_provide python3-sip6}
%{?python_provide:%python_provide python3-sip}
Provides:       sip6 = %{version}-%{release}
# Replace unused older sip
Obsoletes:      python3-sip < 1:4.19.25-10
Obsoletes:      python3-sip-devel < 1:4.19.25-10
Obsoletes:      python3-pyqt4-sip < 1:4.19.25-10

%description -n python3-sip6
SIP is a collection of tools that makes it very easy to create Python bindings
for C and C++ libraries. It was originally developed in 1998 to create PyQt,
the Python bindings for the Qt toolkit, but can be used to create bindings for
any C or C++ library. For example it is also used to generate wxPython, the
Python bindings for wxWidgets.

#--------------------------------------------------------------------

%prep
%autosetup -n %{pypi_name}-%{version}%{?dev:.%dev} -p 1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sipbuild

%check
%pyproject_check_import

%files -n python3-sip6 -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/sip*
