%define module  six

%bcond_with test

Name:           python-%{module}
Version:        1.16.0
Release:        %mkrel 7
Summary:        Python 2 and 3 compatibility utilities
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/six/
Source0:        %{pypi_source %{module}}
BuildArch:      noarch

%description
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

%package -n     python3-%{module}
Summary:        Python 2 and 3 compatibility utilities / Python 3 library
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
# For use by selftests:
%if %{with test}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(funcsigs)
%endif
BuildRequires:  python3-pkg-resources
BuildRequires:  tkinter3
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

%prep
%autosetup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files six

%if %{with test}
%check
py.test-%{python3_version} -rfsxX test_six.py
%endif

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst documentation/index.rst
%license LICENSE
