# Created by pyp2rpm-3.3.8
%global pypi_name skia-pathops
%global pypi_version 0.7.4

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 1
Summary:        Python access to operations on paths using the Skia library
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://github.com/fonttools/skia-pathops
Source0:        %{pypi_name}-%{version}.zip

BuildRequires:  python3-devel
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-randomly)
BuildRequires:  python3dist(pytest-xdist)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
[![Githun CI Status]( [![Appveyor CI Status]( [![PyPI]( bindings for the
[Google Skia]() library's [Path Ops]( module, performing boolean operations on
paths (intersection, union, difference, xor).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(coverage)
Requires:       python3dist(pytest)
Requires:       python3dist(pytest-randomly)
Requires:       python3dist(pytest-xdist)
%description -n python3-%{pypi_name}
[![Githun CI Status]( [![Appveyor CI Status]( [![PyPI]( bindings for the
[Google Skia]() library's [Path Ops]( module, performing boolean operations on
paths (intersection, union, difference, xor).


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE src/cpp/skia-builder/skia/LICENSE src/cpp/skia-builder/skia/include/third_party/skcms/LICENSE src/cpp/skia-builder/skia/include/third_party/vulkan/LICENSE src/cpp/skia-builder/skia/third_party/expat/include/expat_config/LICENSE src/cpp/skia-builder/skia/third_party/wuffs/LICENSE src/cpp/skia-builder/skia/third_party/vulkanmemoryallocator/LICENSE src/cpp/skia-builder/skia/third_party/vulkanmemoryallocator/include/LICENSE.txt src/cpp/skia-builder/skia/third_party/skcms/LICENSE src/cpp/skia-builder/skia/third_party/harfbuzz/LICENSE src/cpp/skia-builder/skia/third_party/etc1/LICENSE src/cpp/skia-builder/skia/modules/canvaskit/npm_build/LICENSE src/cpp/skia-builder/skia/modules/pathkit/npm-wasm/LICENSE src/cpp/skia-builder/skia/modules/pathkit/npm-asmjs/LICENSE
%doc README.md src/cpp/skia-builder/README.md src/cpp/skia-builder/skia/README.chromium src/cpp/skia-builder/skia/experimental/minimal_ios_mtl_skia_app/README.md src/cpp/skia-builder/skia/experimental/skottiekit/skottiekit/README.md src/cpp/skia-builder/skia/experimental/wasm-skp-debugger/README.md src/cpp/skia-builder/skia/docker/README.md src/cpp/skia-builder/skia/tools/skottie_ios_app/README.md src/cpp/skia-builder/skia/tools/svg/README.md src/cpp/skia-builder/skia/tools/gpu/gl/interface/README.md src/cpp/skia-builder/skia/tools/skqp/README_ALGORITHM.md src/cpp/skia-builder/skia/tools/skqp/README.md src/cpp/skia-builder/skia/tools/skqp/README_GENERATING_MODELS.md src/cpp/skia-builder/skia/tools/doxygen/README.md src/cpp/skia-builder/skia/tools/perf-canvaskit-puppeteer/README.md src/cpp/skia-builder/skia/tools/skpbench/README.md src/cpp/skia-builder/skia/tools/lottiecap/README.md src/cpp/skia-builder/skia/specs/README.md src/cpp/skia-builder/skia/specs/web-img-decode/README.md src/cpp/skia-builder/skia/src/gpu/gradients/README.md src/cpp/skia-builder/skia/infra/README.md src/cpp/skia-builder/skia/infra/bots/README.md src/cpp/skia-builder/skia/infra/bots/README.recipes.md src/cpp/skia-builder/skia/infra/bots/tools/luci-go/README.md src/cpp/skia-builder/skia/infra/bots/recipes/README.md src/cpp/skia-builder/skia/infra/bots/assets/README.md src/cpp/skia-builder/skia/infra/bots/assets/ios-dev-image-13.3/README.md src/cpp/skia-builder/skia/infra/bots/assets/skp/README.md src/cpp/skia-builder/skia/infra/bots/assets/text_blob_traces/README.md src/cpp/skia-builder/skia/infra/bots/assets/chromebook_arm_gles/README.md src/cpp/skia-builder/skia/infra/bots/assets/chromebook_x86_64_gles/README.md src/cpp/skia-builder/skia/infra/bots/assets/armhf_sysroot/README.md src/cpp/skia-builder/skia/infra/bots/assets/mesa_intel_driver_linux/README.md src/cpp/skia-builder/skia/infra/bots/assets/cast_toolchain/README.md src/cpp/skia-builder/skia/infra/bots/assets/ios-dev-image-12.4/README.md src/cpp/skia-builder/skia/infra/bots/assets/ios-dev-image-14.4/README.md src/cpp/skia-builder/skia/infra/bots/assets/ios-dev-image-11.4/README.md src/cpp/skia-builder/skia/infra/bots/assets/ios-dev-image-13.5/README.md src/cpp/skia-builder/skia/infra/bots/assets/ios-dev-image-13.4/README.md src/cpp/skia-builder/skia/infra/bots/assets/linux_vulkan_sdk/README.md src/cpp/skia-builder/skia/infra/bots/assets/ios-dev-image-13.6/README.md src/cpp/skia-builder/skia/infra/bots/analysis/README.md src/cpp/skia-builder/skia/infra/bots/recipe_modules/README.md src/cpp/skia-builder/skia/infra/wasm-common/README.md src/cpp/skia-builder/skia/infra/wasm-common/docker/README.md src/cpp/skia-builder/skia/infra/project-config/README.md src/cpp/skia-builder/skia/infra/lottiecap/docker/README.md src/cpp/skia-builder/skia/fuzz/README.md src/cpp/skia-builder/skia/third_party/skcms/README.chromium src/cpp/skia-builder/skia/third_party/etc1/README.google src/cpp/skia-builder/skia/modules/skplaintexteditor/README.md src/cpp/skia-builder/skia/modules/canvaskit/README.md src/cpp/skia-builder/skia/modules/canvaskit/npm_build/README.md src/cpp/skia-builder/skia/modules/canvaskit/npm_build/types/README.md src/cpp/skia-builder/skia/modules/canvaskit/fonts/README.md src/cpp/skia-builder/skia/modules/pathkit/README.md src/cpp/skia-builder/skia/modules/pathkit/npm-wasm/README.md src/cpp/skia-builder/skia/modules/pathkit/npm-asmjs/README.md src/cpp/skia-builder/skia/resources/sksl/README.txt src/cpp/skia-builder/skia/tests/sksl/README.txt src/cpp/skia-builder/skia/build/fuchsia/skqp/README.md
%{python3_sitearch}/pathops
%{python3_sitearch}/skia_pathops-%{pypi_version}-py%{python3_version}.egg-info

