%define tarname sleekxmpp

Summary:	SleekXMPP is an elegant Python library for XMPP (aka Jabber, Google Talk, etc)
Name:		python-%tarname
Version:	1.3.3
Release:	%mkrel 11
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/sleekxmpp/
Source0:        https://pypi.io/packages/source/s/sleekxmpp/%{tarname}-%{version}.tar.gz
Patch0:         sleekxmpp-1.3.3-rename-async-to-asynchronous.patch
Patch1:		https://github.com/fritzy/SleekXMPP/commit/597014ba5ca258763e96ee37729ac933c5af1602.patch#/pyasn1.patch
Patch2:         sleekxmpp-py3.10-collections-orderedset-fix.patch
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:  python3-sphinx

%description
SleekXMPP is an elegant Python library for XMPP (aka Jabber, Google Talk, etc).

%package -n python3-%tarname
Summary:	SleekXMPP is an elegant Python library for XMPP (aka Jabber, Google Talk, etc)
Group:		Development/Python
%{?python_provide:%python_provide python3-%{tarname}}

%description -n python3-%tarname
SleekXMPP is an elegant Python library for XMPP (aka Jabber, Google Talk, etc).

%prep
%autosetup -p1 -n %{tarname}-%{version}


# cleanup
find . -name '*.pyo' -o -name '*.pyc' -delete

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

export PYTHONPATH=$(pwd)
%make_build -C docs html
%__rm -rf docs/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files sleekxmpp

%files -n python3-%tarname -f %{pyproject_files}
%doc docs/_build/html
