%define pypi_name slixmpp

%bcond_with docs

Summary:	Slixmpp is an elegant Python library for XMPP (aka Jabber)
Name:		python-%{pypi_name}
Version:	1.8.6
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/slixmpp/
Source0:	%{pypi_source}
BuildRequires:	python3-devel
BuildRequires:	python3-cython
BuildRequires:	python3-sphinx
BuildRequires:	python3-sphinx-autodoc-typehints
BuildRequires:	python3-sphinx-theme-furo
BuildRequires:	pkgconfig(libidn)

%description
Slixmpp is an elegant Python library for XMPP (aka Jabber).

%package -n python3-%{pypi_name}
Summary:	Slixmpp is an elegant Python library for XMPP (aka Jabber)
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Slixmpp is an elegant Python library for XMPP (aka Jabber).

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# cleanup
find . -name '*.pyo' -o -name '*.pyc' -delete

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
export PYTHONPATH=$(pwd)
%__make -C docs html
rm -rf docs/_build/html/.buildinfo
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%if %{with docs}
%doc docs/_build/html
%endif
