%global pypi_name smartypants

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 9
Summary:        plug-in that easily translates ASCII punctuation characters into smart entities
Group:          Development/Python
License:        BSD
URL:            https://github.com/leohemsted/smartypants.py
Source0:        %url/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
Patch:          0001-smartypants-fix-tests.patch

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)

%description
SmartyPants is a free web publishing plug-in for Movable
Type, Blosxom, and BBEdit that easily translates plain ASCII
punctuation characters into “smart” typographic punctuation HTML
entities.

%package -n     python3-%{pypi_name}
Summary:        plug-in that easily translates ASCII punctuation characters into smart entities
Group:          Development/Python
Requires:       python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-smartypants-doc < 2.0.1-6

%description -n python3-%{pypi_name}
SmartyPants is a free web publishing plug-in for Movable
Type, Blosxom, and BBEdit that easily translates plain ASCII
punctuation characters into “smart” typographic punctuation HTML
entities.

%prep
%autosetup -n %{pypi_name}.py-%{version} -p1

for lib in $(find -type f -name '*.py'); do
 sed -i.python -e '1{\@^#!@d}' $lib
done

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html documentation
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf _build/html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc CHANGES.rst
%doc html
%license COPYING
%{_bindir}/%{pypi_name}
