%define module smbc
%define oname pysmbc
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so
# workaround underlinking issue
%define _disable_ld_no_undefined 1

Summary:	Python bindings for the libsmbclient API from Samba
Name:		python-%{module}
Version:	1.0.25.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Development/Python
URL:		https://github.com/hamano/pysmbc
Source0:	https://github.com/hamano/pysmbc/archive/%{version}/%{oname}-%{version}.tar.gz
Patch0:		pysmbc-1.0.23-linking.patch
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(python3)

%description
Python bindings for the libsmbclient API, known as pysmbc. It was written
for use with system-config-printer, but can be put to other uses as well.

%package -n python3-smbc
Summary:	Python3 bindings for the libsmbclient API from Samba
Group:		Development/Python
Provides:	pysmbc = %{version}-%{release}
Provides:	python3-pysmbc = %{version}-%{release}
%{?python_provide:%python_provide python3-smbc}

%description -n python3-smbc
Python bindings for the libsmbclient API, known as pysmbc. It was written
for use with system-config-printer, but can be put to other uses as well.

This is a ported release for python 3.

%package doc
Summary:	Documentation for python-smbc
Group:		Development/Python
BuildArch:	noarch

%description doc
Documentation for python-smbc.

%prep
%autosetup -n pysmbc-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files smbc

export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{_bindir}/pydoc3 -w smbc
%{_bindir}/mkdir html
%{_bindir}/mv smbc.html html

%files -n python3-smbc -f %{pyproject_files}
%doc README.md NEWS
%license COPYING
%{python3_sitearch}/_smbc.cpython-*.so

%files doc
%doc html
