%global pypi_name snowballstemmer

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        %mkrel 5
Summary:        This package provides 16 stemmer algorithms
License:        BSD-2-Clause
Group:          Development/Python
Url:            https://github.com/shibukawa/snowball_py
Source:         %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This package provides 16 stemmer algorithms (15 + Poerter English
stemmer) generated from Snowball algorithms.  It includes following
language algorithms: Danish, Dutch, English (Standard, Porter),
Finnish, French, German, Hungarian, Italian, Norwegian, Portuguese,
Romanian, Russian, Spanish, Swedish, Turkish. This is a pure Python
stemming library. If PyStemmer is available, this module uses it to
accelerate.

%package -n python3-%{pypi_name}
Summary:        This package provides 16 stemmer algorithms
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides 16 stemmer algorithms (15 + Poerter English
stemmer) generated from Snowball algorithms.  It includes following
language algorithms: Danish, Dutch, English (Standard, Porter),
Finnish, French, German, Hungarian, Italian, Norwegian, Portuguese,
Romanian, Russian, Spanish, Swedish, Turkish. This is a pure Python
stemming library. If PyStemmer is available, this module uses it to
accelerate.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files} -f %{pyproject_files}
%license COPYING
%doc README.rst
