# Created by pyp2rpm-3.3.2
%global pypi_name spark-parser

Name:           python-%{pypi_name}
Version:        1.9.0
Release:        %mkrel 3
Summary:        An Earley-Algorithm Context-free grammar Parser Toolkit
Group:          Development/Python
License:        MIT
URL:            https://github.com/rocky/python-spark/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/spark_parser-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
#BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(setuptools)

%description
This package uses Jay Earley's algorithm for parsing context free grammars, and
comes with some generic Abstract Syntax Tree routines. There is also a
prototype scanner which does its job by combining Python regular expressions.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(click)

%description -n python3-%{pypi_name}
This package uses Jay Earley's algorithm for parsing context free grammars, and
comes with some generic Abstract Syntax Tree routines. There is also a
prototype scanner which does its job by combining Python regular expressions.

%prep
%autosetup -n spark_parser-%{version}
# remove example in python2 generating, error about shebang
rm -Rf spark_parser/example/python2
%py3_shebang_fix spark_parser/bin/parser_coverage.py spark_parser/example/expr/expr.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files spark_parser

%check
# missing gdbloc and expr_parser modules
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/spark-parser-coverage
