%define modulename SPARQLWrapper

Name:		python-sparqlwrapper
Summary:	SPARQL Endpoint interface to Python
Version:	2.0.0
Release:	%mkrel 4
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/%{modulename}

Source0:	https://pypi.io/packages/source/S/%{modulename}/%{modulename}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

Requires: python3dist(rdflib) >= 6.1.1

Recommends: python3dist(pandas) >= 1.3.5


%description
A python based wrapper around a SPARQL service.
It helps in creating the query URI and, possibly,
convert the result into a more manageable format.

%package -n python3-sparqlwrapper
Summary:	SPARQL Endpoint interface to Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-sparqlwrapper}

%description -n python3-sparqlwrapper
A python 3 based wrapper around a SPARQL service.
It helps in creating the query URI and, possibly,
convert the result into a more manageable format.


%prep
%setup -q -n %{modulename}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modulename}

# Tests need a Internett connection, thus we don't run them

%files -n python3-sparqlwrapper -f %{pyproject_files}
%doc README.rst LICENSE.txt AUTHORS.md
%{_bindir}/rqw
