%define module	speedtest-cli

Name:		python-%{module}
Version:	2.1.3
Release:	%mkrel 5
Summary:	Small command-line program to view Network Connexion speed
License:	Apache License
Group:		Development/Python
URL:		https://github.com/sivel/speedtest-cli
Source0:	https://github.com/sivel/%{module}/archive/v%{version}/%{module}-%{version}.tar.gz
Patch0:		speedtest-cli-1.0.0-mga-install-manpage.patch
# Upstream commit: https://github.com/sivel/speedtest-cli/commit/22210ca35228f0bbcef75a7c14587c4ecb875ab4
Patch1:		speedtest-cli-python-3.10.patch
BuildArch:	noarch

%description
Command line interface for testing internet bandwidth using speedtest.net.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Small command-line program to view Network Connexion speed
Group:		Development/Python
BuildArch:	noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

Requires:	python3-pkg-resources
Provides:	%{module} = %{version}-%{release}

%description -n	python3-%{module}
Command line interface for testing internet bandwidth using speedtest.net.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files speedtest

%files -n python3-%{module} -f %{pyproject_files}
%doc CONTRIBUTING.md README.rst
%license LICENSE
%{_bindir}/speedtest*
%dir %{python3_sitelib}/*
%{_mandir}/man1/%{module}.1*
