# Created by pyp2rpm-3.3.1
%global pypi_name sphinx-autobuild
%global srcname sphinx_autobuild

# Missing from pypi sources
%bcond_with docs

Name:           python-%{pypi_name}
Version:        2024.10.3
Release:        %mkrel 1
Summary:        Watch a Sphinx directory, rebuild documentation when change is detected
Group:          Development/Python
License:        MIT
URL:            https://github.com/GaretJax/sphinx-autobuild
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Rebuild Sphinx documentation on changes, with live-reload in the browser.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Rebuild Sphinx documentation on changes, with live-reload in the browser.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files sphinx_autobuild

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README.*
%if %{with docs}
%doc html
%endif
%{_bindir}/sphinx-autobuild
