# The documentation and tests need furo.  But to build furo at all, we need
# this package.
%bcond_with docs

%global prerel  b2

%global pypi_name sphinx-basic-ng
%global srcname sphinx_basic_ng
%global pypi_version 1.0.0%{?prerel}

Name:           python-%{pypi_name}
Summary:        Modernized skeleton for Sphinx themes
Version:        1.0.0%{?prerel:~%prerel}
Release:        %mkrel 1
License:        MIT
Group:          Development/Python
URL:            https://sphinx-basic-ng.readthedocs.io/
Source:         %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
A modernized skeleton for Sphinx themes.

%package     -n python3-%{pypi_name}
Summary:        Modernized skeleton for Sphinx themes

%description -n python3-%{pypi_name}
A modernized skeleton for Sphinx themes.

%prep
%autosetup -p1 -n %{srcname}-%{pypi_version}

# Use local objects.inv for intersphinx
sed -e 's|\("https://docs\.python\.org/3", \)None|\1"%{_docdir}/python3-docs/html/objects.inv"|' \
    -e 's|\("https://www\.sphinx-doc\.org/en/master", \)None|\1"%{_docdir}/python-sphinx-doc/html/objects.inv"|' \
    -i docs/conf.py

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs}

%build
%pyproject_wheel

%if %{with docs}
# Build documentation
PYTHONPATH=$PWD/src sphinx-build -b html docs html
rm -rf html/{.buildinfo,.doctrees}
%endif

%install
%pyproject_install
%pyproject_save_files -l %{srcname}

%check
# The nox tests require network access, so we do not run them
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%if %{with docs}
%doc html
%endif

