%global pypi_name sphinx-click

Name:           python-%{pypi_name}
Version:        5.1.0
Release:        %mkrel 3
Summary:        Sphinx extension that automatically documents Click applications
Group:          Development/Python

License:        MIT
URL:            https://github.com/click-contrib/sphinx-click/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(pbr) >= 2
BuildRequires:  python3dist(sphinx)

%description
sphinx-click is a Sphinx plugin that allows you to automatically extract documentation from
a click-based application and include it in your docs.

%package -n     python3-%{pypi_name}
Summary:        Sphinx extension that automatically documents Click applications
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinx-click is a Sphinx plugin that allows you to automatically extract documentation from
a click-based application and include it in your docs.

%package -n python-%{pypi_name}-doc
Summary:        Documentation for sphinx-click

%description -n python-%{pypi_name}-doc
Documentation for sphinx-click

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

export PYTHONPATH=${PWD}/build/lib
# generate html docs
sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files sphinx_click

%check
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
