%global srcname sphinx-math-dollar

Name:           python-%{srcname}
Version:        1.2.1
Release:        %mkrel 4
Summary:        Sphinx extension to enable LaTeX math with $$
Group:          Development/Python

License:        MIT
URL:            https://www.sympy.org/%{srcname}/
Source0:        https://github.com/sympy/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-pytest-doctestplus

%global _desc %{expand:
sphinx-math-dollar is a Sphinx extension to let you write LaTeX math
using $$.}

%description %_desc

%package     -n python3-%{srcname}
Summary:        Sphinx extension to enable LaTeX math with $$

%description -n python3-%{srcname} %_desc

%package        doc
Summary:        Documentation for %{srcname}

%description    doc
Documentation for %{srcname}.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# Build the documentation
make -C docs html
rst2html --no-datestamp CHANGELOG.rst CHANGELOG.html
rst2html --no-datestamp README.rst README.html
rm -f docs/_build/html/.{buildinfo,nojekyll}

%install
%pyproject_install
%pyproject_save_files sphinx_math_dollar

%check
#pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.html README.html
%license LICENSE


%files          doc
%doc docs/_build/html
%license LICENSE
