%define pypi_name	sphinx-rtd-theme
%define srcname		sphinx_rtd_theme

%bcond_with check
%bcond_with doc

Name:		python-%{pypi_name}
Version:	3.0.2
Release:	%mkrel 1
Summary:	Sphinx theme for readthedocs.org
Group:		Development/Python
License:	MIT
URL:		https://pypi.org/project/sphinx-rtd-theme/
Source0:	https://github.com/readthedocs/sphinx_rtd_theme/archive/%{version}/%{srcname}-%{version}.tar.gz
# build host do not have network access, and this file is not included
# in any Magiea package, so we retrieve it for offline use.
Source1:	https://docs.readthedocs.io/en/latest/objects.inv
# Unbundle fonts.  Refer to local fonts instead.
Patch1:		python-sphinx_rtd_theme-unbundle-fonts.patch
BuildArch:	noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:	python3dist(pytest)
%endif
%if %{with doc}
BuildRequires:	python3dist(readthedocs-sphinx-ext)
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3dist(sphinxcontrib-httpdomain)
%endif

%description
This is a prototype mobile-friendly sphinx theme for readthedocs.org.
It's currently in development and includes some rtd variable checks that
can be ignored if you're just trying to use it on your project outside
of that site.

%package -n	python3-%{pypi_name}
Summary:	%{summary}
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
%{?py_provides:%py_provides python3-%{srcname}}
Obsoletes:	python3-sphinx_rtd_theme < 1.0.0-4

%description -n	python3-%{pypi_name}
This is a prototype mobile-friendly sphinx theme for readthedocs.org.
It's currently in development and includes some rtd variable checks that
can be ignored if you're just trying to use it on your project outside
of that site.

%package doc
Summary:	Documentation for the Sphinx theme for readthedocs.org
Group:		Development/Python

%description doc
This package contains documentation for the Sphinx theme for
readthedocs.org.

%prep
%autosetup -p1 -n %{srcname}-%{version}

# loosen docutils reqs
sed -i -e 's/docutils</docutils>/g' setup.py

# Use local objects.inv for intersphinx
sed -e "s|\('https://docs\.readthedocs\.io/en/stable/', \)None|\1'%{SOURCE1}'|" \
    -e "s|\('https://www\.sphinx-doc\.org/en/master/', \)None|\1'%{_docdir}/python-sphinx-doc/html/objects.inv'|" \
    -i docs/conf.py

# We cannot build the Javascript from source at this time, due to many missing
# dependencies.  Convince the build script to skip building the Javascript and
# go on to the python.
mkdir -p build/lib/%{pypi_name}/static/js
cp -p sphinx_rtd_theme/static/js/badge_only.js build/lib/%{pypi_name}/static/js
cp -p sphinx_rtd_theme/static/js/theme.js build/lib/%{pypi_name}/static/js
sed -i "/'build_py'/d" setup.py

%build
%pyproject_wheel

%if %{with doc}
# Build the documentation
make -C docs html
rm docs/build/html/.buildinfo
rst2html --no-datestamp README.rst README.html
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name} sphinx_rtd_theme

# Unbundle fonts
rm -fr %{buildroot}%{python3_sitelib}/%{pypi_name}/static/css/fonts

%if %{with check}
%check
pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with doc}
%doc docs/build/html
%endif
