%global pypi_name furo

Name:           python-sphinx-theme-%{pypi_name}
Version:        2024.8.6
Release:        %mkrel 1
Summary:        A clean customisable Sphinx documentation theme
Group:          Development/Python
License:        MIT
URL:            https://github.com/pradyunsg/furo
Source0:        %{pypi_source}
Source1:        furo-%{version}-vendor.tar.xz
ExclusiveArch:  x86_64
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  nodejs-devel
BuildRequires:  yarnpkg

%description
A clean customisable Sphinx documentation theme.

%package -n     python3-sphinx-theme-%{pypi_name}
Summary:        A clean customisable Sphinx documentation theme
Group:          Development/Python
%{?python_provide:%python_provide python3-sphinx-theme-%{pypi_name}}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python3-furo < 2021.4.11b34-2
Provides:       python3-furo = %{version}-%{release}

%description -n python3-sphinx-theme-%{pypi_name}
A clean customisable Sphinx documentation theme.

%prep
%autosetup -p1 -n %{pypi_name}-%{version} -a1

# Substitute the installed nodejs version for the requested version
sed -i 's,^\(node-version = \)".*",\1"%{nodejs_version}",' pyproject.toml

# Use local objects.inv for intersphinx
sed -e 's|\("https://docs\.python\.org/3", \)None|\1"%{_docdir}/python3-docs/html/objects.inv"|' \
    -e 's|\("https://www\.sphinx-doc\.org/en/master", \)None|\1"%{_docdir}/python-sphinx-doc/html/objects.inv"|' \
    -i docs/conf.py

%generate_buildrequires
%pyproject_buildrequires

%build
export PUPPETEER_SKIP_CHROMIUM_DOWNLOAD=1
export YARN_CACHE_FOLDER="$PWD/.package-cache"
yarn install --offline
nodeenv --node=system --prebuilt --clean-src $PWD/.nodeenv
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-sphinx-theme-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
