%global pypi_name sphinxcontrib-applehelp
%global srcname sphinxcontrib_applehelp

# when bootstrapping sphinx, we cannot run tests yet
%bcond_with check

Name:           python-%{pypi_name}
Version:        2.0.0
Release:        %mkrel 2
Summary:        Sphinx extension for Apple help books
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/sphinxcontrib-applehelp/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python3-devel

%if %{with check}
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx >= 2
%endif

%description
sphinxcontrib-applehelp is a sphinx extension which outputs Apple help books.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinxcontrib-applehelp is a sphinx extension which outputs Apple help books.

%prep
%autosetup -n %{srcname}-%{version}

find -name '*.mo' -delete

%generate_buildrequires
%pyproject_buildrequires

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done
%pyproject_wheel

%install
%pyproject_install

# Move language files to /usr/share
pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/applehelp/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -d %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
  mv sphinxcontrib/applehelp/locales/$lang/LC_MESSAGES/*.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/applehelp/locales
ln -s %{_datadir}/locale sphinxcontrib/applehelp/locales
popd

%find_lang sphinxcontrib.applehelp

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f sphinxcontrib.applehelp.lang
%license LICENCE.rst
%doc README.rst
%dir %{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib/applehelp/
%{python3_sitelib}/sphinxcontrib_applehelp-%{version}.dist-info/
