%global pypi_name sphinxcontrib-htmlhelp
%global srcname sphinxcontrib_htmlhelp

# when bootstrapping sphinx, we cannot run tests yet
%bcond_with check

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 2
Summary:        Sphinx extension for HTML help files
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/sphinxcontrib-htmlhelp/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  python3-devel

%if %{with check}
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx
BuildRequires:  python3-html5lib
%endif

%description
sphinxcontrib-htmlhelp is a sphinx extension which renders HTML help files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinxcontrib-htmlhelp is a sphinx extension which renders HTML help files.

%prep
%autosetup -n %{srcname}-%{version} -p1

find -name '*.mo' -delete

%generate_buildrequires
%pyproject_buildrequires

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done

%pyproject_wheel

%install
%pyproject_install

# Move language files to /usr/share
pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/htmlhelp/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -d %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
  mv sphinxcontrib/htmlhelp/locales/$lang/LC_MESSAGES/*.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/htmlhelp/locales
ln -s %{_datadir}/locale sphinxcontrib/htmlhelp/locales
popd

%find_lang sphinxcontrib.htmlhelp

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f sphinxcontrib.htmlhelp.lang
%license LICENCE.rst
%doc README.rst
%dir %{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib/htmlhelp/
%{python3_sitelib}/sphinxcontrib_htmlhelp-%{version}.dist-info/
