# Created by pyp2rpm-3.3.1
%global pypi_name sphinxcontrib-spelling

%bcond_with docs

Name:           python-%{pypi_name}
Version:        8.0.0
Release:        %mkrel 2
Summary:        Sphinx spelling extension
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/sphinxcontrib-spelling
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif

BuildRequires:  git-core
BuildRequires:  hunspell-en
BuildRequires:  pkgconfig(enchant-2)

%description
Spelling checker for Sphinx-based documentation. It uses PyEnchant to produce
a report showing misspelled words.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Spelling checker for Sphinx-based documentation. It uses PyEnchant to produce
a report showing misspelled words.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD}/build sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%if %{with docs}
%doc html
%endif
