%global pypi_name sphinxcontrib-svg2pdfconverter

Name:		python-%{pypi_name}
Version:	1.2.3
Release:	%mkrel 2
Summary:	Sphinx SVG to PDF Converter Extension
Group:		Development/Python
License:	BSD
URL:		https://pypi.org/project/sphinxcontrib-svg2pdfconverter/
Source0:	%{pypi_source sphinxcontrib_svg2pdfconverter}
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-sphinx

%description
Converts SVG images to PDF in case the builder does not support SVG images
native (e.g. LaTeX).

%package -n python3-%{pypi_name}
Summary:	%{summary}
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	python3dist(sphinx)

%description -n python3-%{pypi_name}
Converts SVG images to PDF in case the builder does not support native SVG
images (e.g. LaTeX).

This package contains common files.

%package -n python3-sphinxcontrib-inkscapeconverter
Summary:	Sphinx SVG to PDF Converter Extension using Inkscape
Group:		Development/Python
%{?python_provide:%python_provide python3-sphinxcontrib-inkscapeconverter}
Requires:	python3-%{pypi_name} = %{version}-%{release}
Requires:	inkscape

%description -n python3-sphinxcontrib-inkscapeconverter
Converts SVG images to PDF in case the builder does not support native SVG
images (e.g. LaTeX).

This package contains converter using Inkscape.

%package -n python3-sphinxcontrib-rsvgconverter
Summary:	Sphinx SVG to PDF Converter Extension using libRSVG
Group:		Development/Python
%{?python_provide:%python_provide python3-sphinxcontrib-rsvgconverter}
Requires:	python3-%{pypi_name} = %{version}-%{release}
Requires:	librsvg

%description -n python3-sphinxcontrib-rsvgconverter
Converts SVG images to PDF in case the builder does not support native SVG
images (e.g. LaTeX).

This package contains converter using libRSVG.

%prep
%autosetup -n sphinxcontrib_svg2pdfconverter-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

#we don't need this
rm -rf %{buildroot}%{python3_sitelib}/sphinxcontrib_svg2pdfconverter-%{version}-py%{python3_version}-nspkg.pth

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/sphinxcontrib_svg2pdfconverter-%{version}.dist-info

%files -n python3-sphinxcontrib-inkscapeconverter
%dir %{python3_sitelib}/sphinxcontrib/__pycache__
%{python3_sitelib}/sphinxcontrib/__pycache__/inkscapeconverter.*
%{python3_sitelib}/sphinxcontrib/inkscapeconverter.py*

%files -n python3-sphinxcontrib-rsvgconverter
%dir %{python3_sitelib}/sphinxcontrib/__pycache__
%{python3_sitelib}/sphinxcontrib/__pycache__/rsvgconverter.*.*
%{python3_sitelib}/sphinxcontrib/rsvgconverter.py*
%{python3_sitelib}/sphinxcontrib/__pycache__/cairosvgconverter.*.*
%{python3_sitelib}/sphinxcontrib/cairosvgconverter.py*
