# Created by pyp2rpm-3.3.1
%global pypi_name sphinxcontrib-towncrier

%global bver    0.5.0
%global prel    a0

%global upver    %{bver}%{?prel}

%bcond_with docs

Name:           python-%{pypi_name}
Version:        %{bver}%{?prel:~%prel}
Release:        %mkrel 1
Summary:        Make Sphinx better at documenting Python functions and methods
Group:          Development/Python
License:        MIT or ASL 2.0
URL:            https://github.com/sphinx-contrib/sphinxcontrib-towncrier
Source0:	https://github.com/sphinx-contrib/sphinxcontrib-towncrier/archive/v%{upver}/%{pypi_name}-%{upver}.tar.gz
BuildArch:      noarch

BuildRequires:  git-core
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(myst-parser)
BuildRequires:  python3dist(sphinxcontrib-apidoc)
BuildRequires:  python3dist(towncrier)
BuildRequires:  python3dist(furo)
%endif

%description
An RST directive for injecting a Towncrier-generated changelog draft containing
fragments for the unreleased (next) project version.

%package -n     python3-%{pypi_name}
Summary:        Make Sphinx better at documenting Python functions and methods
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(sphinx)

%description -n python3-%{pypi_name}
An RST directive for injecting a Towncrier-generated changelog draft containing
fragments for the unreleased (next) project version.

%prep
%autosetup -n %{pypi_name}-%{upver}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=$(pwd)/build sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%if %{with docs}
%doc html
%endif
