# Created by pyp2rpm-3.3.1
%global pypi_name sphinxcontrib-trio

Name:           python-%{pypi_name}
Version:        1.1.2
Release:        %mkrel 8
Summary:        Make Sphinx better at documenting Python functions and methods
Group:          Development/Python
License:        MIT or ASL 2.0
URL:            https://github.com/python-trio/sphinxcontrib-trio
Source0:        https://pypi.io/packages/source/s/sphinxcontrib-trio/%{pypi_name}-%{version}.tar.gz
Patch1:         0001-doc_fix-compat-with-Sphinx-6.0.patch
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(lxml)
BuildRequires:  python3dist(cssselect)

%description
This sphinx extension helps you document Python code that uses async/await,
or abstract methods, or context managers, or generators, or ... you get the
idea. It works by making sphinx's regular directives for documenting Python
functions and methods smarter and more powerful.

%package -n     python3-%{pypi_name}
Summary:        Make Sphinx better at documenting Python functions and methods
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(sphinx)
Obsoletes:      python3-sphinxcontrib_trio < 1.0.2-2
Provides:       python3-sphinxcontrib_trio = %{version}-%{release}

%description -n python3-%{pypi_name}
This sphinx extension helps you document Python code that uses async/await,
or abstract methods, or context managers, or generators, or ... you get the
idea. It works by making sphinx's regular directives for documenting Python
functions and methods smarter and more powerful.

%package -n python-%{pypi_name}-doc
Summary:        sphinxcontrib-trio documentation
Group:          Documentation
Obsoletes:      python-sphinxcontrib_trio-doc < 1.0.2-2

%description -n python-%{pypi_name}-doc
Documentation for sphinxcontrib-trio.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files sphinxcontrib_trio

%check
# https://github.com/python-trio/sphinxcontrib-trio/issues/260
%pytest -k 'not test_end_to_end' tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.MIT LICENSE.APACHE2 LICENSE
%doc README.rst

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE.MIT LICENSE.APACHE2 LICENSE
