%global pypi_name sphinxcontrib-websupport
%global srcname sphinxcontrib_websupport

%bcond_with tests

Name:           python-sphinxcontrib-websupport
Version:        1.2.7
Release:        %mkrel 5
Group:          Development/Python
Summary:        Sphinx API for Web Apps

License:        BSD
URL:            https://pypi.python.org/pypi/sphinxcontrib-websupport
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-mock
%if %{with tests}
BuildRequires:  python3-pytest
%endif
BuildRequires:  python3-setuptools

%description
sphinxcontrib-webuspport provides a Python API to easily integrate Sphinx
documentation into your Web application.

%package -n     python3-%{pypi_name}
Summary:        Sphinx API for Web Apps
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 1.2.7-3

%description -n python3-%{pypi_name}
sphinxcontrib-webuspport provides a Python API to easily integrate Sphinx
documentation into your Web application.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t -x tests}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

#we don't want these
rm -rf %{buildroot}/%{python3_sitelib}/*-nspkg.pth

%if %{with tests}
%check
PYTHONPATH=. py.test tests/
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
