%global pypi_name pyspnego
%global pkg_name spnego

Name:           python-%{pkg_name}
Version:        0.10.2
Release:        %mkrel 2
Summary:        Windows Negotiate Authentication Client and Server
Group:          Development/Python
License:        MIT
URL:            https://github.com/jborean93/pyspnego
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(cryptography)

%description
Python SPNEGO Library to handle SPNEGO (Negotiate, NTLM, Kerberos)
authentication. Also includes a packet parser that can be used to
decode raw NTLM/SPNEGO/Kerberos tokens into a human readable format.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Python SPNEGO Library to handle SPNEGO (Negotiate, NTLM, Kerberos)
authentication. Also includes a packet parser that can be used to
decode raw NTLM/SPNEGO/Kerberos tokens into a human readable format.

%pyproject_extras_subpkg -n python3-%{pkg_name} kerberos yaml

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files spnego

%check
# Propably issues with with Python 3.9
%pytest -v tests \
  -k "not ntlm \
  and not test_sspi_ntlm_auth_no_sign_or_seal \
  and not test_gss_sasl_description_fail \
  and not test_token \
  and not test_compute_response_v2 \
  and not test_nltm_session_key_no_sign_seal \
  and not test_credssp" \

%files -n python3-%{pkg_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pyspnego-parse
