# Created by pyp2rpm-3.3.2
%global pypi_name spyder-kernels
%global srcname spyder_kernels

%define with_tests 0

Name:           python-%{pypi_name}
#
# Do not update to >= 1.0.0, spyder3 requires version < 1.0.0
#
Version:        3.0.3
Release:        %mkrel 1
Summary:        Jupyter kernels for Spyder's console
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/spyder-kernels/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(cloudpickle)
BuildRequires:  python3dist(ipykernel) >= 4.8.2
BuildRequires:  python3dist(jupyter-client) >= 5.2.3
BuildRequires:  python3dist(pyzmq) >= 17
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wurlitzer)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)

%description
Provides Jupyter kernels for use with the consoles of Spyder, the Scientific
Python Development Environment. These can launched either through Spyder itself
or in an independent Python session, and allow for interactive or file-based
execution of Python code in different environments, all inside the IDE.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cloudpickle)
Requires:       python3dist(ipykernel) >= 4.8.2
Requires:       python3dist(jupyter-client) >= 5.2.3
Requires:       python3dist(pyzmq) >= 17
Requires:       python3dist(wurlitzer)

%description -n python3-%{pypi_name}
Provides Jupyter kernels for use with the consoles of Spyder, the Scientific
Python Development Environment. These can launched either through Spyder itself
or in an independent Python session, and allow for interactive or file-based
execution of Python code in different environments, all inside the IDE.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files spyder_kernels

%if %{with_tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
