%define module sqlalchemy-migrate

Name:           python-%{module}
Version:        0.13.0
Release:        %mkrel 7
Summary:        Database schema migration for SQLAlchemy

Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/sqlalchemy-migrate
Source0:        https://pypi.io/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
Inspired by Ruby on Rails' migrations, Migrate provides a way to deal with
database schema changes in SQLAlchemy projects.

Migrate extends SQLAlchemy to have database changeset handling. It provides a
database change repository mechanism which can be used from the command line as
well as from inside python code.

%package -n python3-%{module}
Summary:        Database schema migration for SQLAlchemy
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sqlalchemy)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(decorator)
BuildRequires:  python3dist(pbr)

Requires:       python3dist(sqlalchemy) >= 0.5
Requires:       python3dist(setuptools)
Requires:       python3dist(decorator)

Conflicts:      python2-sqlalchemy-migrate < 0.12.0-2

%description -n python3-%{module}
Inspired by Ruby on Rails' migrations, Migrate provides a way to deal with
database schema changes in SQLAlchemy projects.

Migrate extends SQLAlchemy to have database changeset handling. It provides a
database change repository mechanism which can be used from the command line as
well as from inside python 3 code.

%prep
%setup -q -n %module-%version

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files migrate

%files -n python3-%{module} -f %{pyproject_files}
%doc PKG-INFO README.rst doc
%{_bindir}/migrate*
