%define pypi_name SQLAlchemy
%define canonicalname %{py_dist_name %{pypi_name}}

%bcond_with check

Summary:	SQL toolkit and object relational mapper for Python
Name:		python-sqlalchemy
Version:	2.0.36
Release:	%mkrel 2
License:	MIT
Group:		Development/Python
URL:		https://www.sqlalchemy.org/
Source0:	%{pypi_source %{canonicalname}}
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel
%if %{with check}
# JSON enabled sqlite is needed for tests
BuildRequires:	pkgconfig(sqlite3) >= 3.29.0-2
# Tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-xdist)
%endif

%description
SQLAlchemy is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases. Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.

%package -n python3-sqlalchemy
Summary:	Modular and flexible ORM library for python
Group:		Development/Python
%{?python_provide:%python_provide python3-sqlalchemy}

%description -n python3-sqlalchemy
SQLAlchemy is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases. Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.

%prep
%autosetup -p1 -n %{canonicalname}-%{version}
# Relax dependencies
sed -i "s/greenlet != 0.4/greenlet >= 0.4/" setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sqlalchemy

%if %{with check}
%check
%pytest
%endif

%files -n python3-sqlalchemy -f %{pyproject_files}
%license LICENSE
%doc examples
