%define srcname SQLObject
%define oname	sqlobject

Name:           python-sqlobject
Version:        3.11.0
Release:        %mkrel 2
Summary:        SQLObject Object-Relational Manager, aka database wrapper
Group:          Development/Python
License:        LGPLv2+
URL:            https://sqlobject.org/
Source0:        https://pypi.io/packages/source/S/SQLObject/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
Classes created using SQLObject wrap database rows, presenting a
friendly-looking Python object instead of a database/SQL interface.
Emphasizes convenience.  Works with MySQL, Postgres, SQLite, Firebird.

This package requires sqlite. Further database connectors have to be
installed separately.

#------------------------------------------------------------------------------

%package -n python3-%{oname}
Summary:        SQLObject Object-Relational Manager, aka database wrapper
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
Requires:       python3dist(mysqlclient)
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
Classes created using SQLObject wrap database rows, presenting a
friendly-looking Python object instead of a database/SQL interface.
Emphasizes convenience.  Works with MySQL, Postgres, SQLite, Firebird.

This package requires sqlite. Further database connectors have to be
installed separately.

%files -n python3-%{oname} -f %{pyproject_files}
%doc PKG-INFO README.rst docs/*
%{_bindir}/*

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
chmod 0644 docs/rebuild

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sqlobject
