%define pypi_name sqlparse

Name:           python-sqlparse
Version:        0.5.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        Non-validating SQL parser

License:        BSD
URL:            https://pypi.org/project/sqlparse/
Source0:        %{pypi_source}
Patch0:         0001-Fix-shebang.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
sqlparse is a non-validating SQL parser module.
It provides support for parsing, splitting and
formatting SQL statements.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       %{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
sqlparse is a non-validating SQL parser module.
It provides support for parsing, splitting and
formatting SQL statements.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x doc

%build
%pyproject_wheel

# generate html docs
PYTHONDIR=$(pwd) sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files sqlparse

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html README.rst
%{_bindir}/sqlformat
