%global srcname stdnum

Name:           python-%{srcname}
Version:        1.20
Release:        %mkrel 3
Summary:        Python module to handle standardized numbers and codes
Group:          Development/Python
License:        LGPLv2+
URL:            https://arthurdejong.org/python-stdnum/
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

# needed for tests
BuildRequires:	locales


%description
Parse, validate and reformat standard numbers and codes. This library offers
functions for parsing, validating and reformatting standard numbers and codes
in various formats like personal IDs, VAT numbers, IBAN and more.

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Parse, validate and reformat standard numbers and codes. This library offers
functions for parsing, validating and reformatting standard numbers and codes
in various formats like personal IDs, VAT numbers, IBAN and more.


%prep
%setup -q

# Patch out coverage options
sed -r -i 's/--cov[^[:blank:]]*//g' setup.cfg

# Patch out unnecessary coverage dependencies:
sed -r -i '/pytest-cov/d' tox.ini

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files stdnum

%check
export LANG=C.UTF-8
%tox

%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING
%doc NEWS
