# Created by pyp2rpm-3.3.3
%global pypi_name stem

%bcond_with tests

Name:           python-%{pypi_name}
Version:        1.8.2
Release:        %mkrel 2
Summary:        Python controller library for Tor
Group:          Development/Python
License:        LGPLv3
URL:            https://stem.torproject.org/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         0001-Unit-tests-fail-on-big_endian-systems.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
 # for tests
 %if %{with tests}
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pyflakes)
BuildRequires:  python3dist(pycodestyle)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(cryptography)
BuildRequires:  python3dist(pynacl)
%endif

%description
Stem is a Python controller library for Tor. With it you can use Tor's control
protocol to script against the Tor process, or build things such as Nyx.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Stem is a Python controller library for Tor. With it you can use Tor's control
protocol to script against the Tor process, or build things such as Nyx.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=$(pwd) sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files stem

%check
%if %{with tests}
%{python3} run_tests.py --unit
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc html
%doc README.md
%{_bindir}/tor-prompt
