%define oname	storm

Summary:	Object Relational Mapper for Python
Name:		python-%{oname}
Version:	1.0
Release:	%mkrel 4
License:	GPLv2
Group:		Development/Python
URL:		https://storm.canonical.com/
Source0:	https://launchpad.net/storm/trunk/%{version}/+download/%{oname}-%{version}.tar.gz
BuildRequires:	pkgconfig(python3)
# for tests
BuildRequires:  python3-pytest
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(fixtures)

%description
Storm is an object-relation mapper (ORM) for the Python language. It allows
rows from a relational database to be seen as objects in an object-oriented
language like Python.

- Storm lets you efficiently access and update large datasets by allowing you
  to formulate complex queries spanning multiple tables using Python.

- Storm allows you to fallback to SQL if needed (or if you just prefer),
  allowing you to mix "old school" code and ORM code


%package -n	python3-%{oname}
Summary:	Object Relational Mapper for Python
Group:		Development/Python

Obsoletes:	python-storm < 1.0-3

%description -n	python3-%{oname}
Storm is an object-relation mapper (ORM) for the Python language. It allows
rows from a relational database to be seen as objects in an object-oriented
language like Python.

- Storm lets you efficiently access and update large datasets by allowing you
  to formulate complex queries spanning multiple tables using Python.

- Storm allows you to fallback to SQL if needed (or if you just prefer),
  allowing you to mix "old school" code and ORM code


%package -n	python3-%{oname}-mysql
Summary:	MySQL backend for %{name}
Group:		Development/Python
Requires:	python3-%{oname} = %{version}-%{release}
Requires:	python3dist(mysqlclient)

Obsoletes:	python-storm-mysql < 1.0-3

%description -n	python3-%{oname}-mysql
The python3-%{oname}-mysql package contains the MySQL database backend for
%{name}.


%package -n	python3-%{oname}-postgresql
Summary:	PostgreSQL backend for %{name}
Group:		Development/Python
Requires:	python3-%{oname} = %{version}-%{release}
Requires:	python3dist(psycopg2)

Obsoletes:	python-storm-postgresql < 1.0-3

%description -n	python3-%{oname}-postgresql
The python3-%{oname}-postgresql package contains the PostgreSQL database
backend for %{name}.


%package -n	python3-%{oname}-zope
Summary:	Zope integration for %{name}
Group:		Development/Python
Requires:	python3-%{oname} = %{version}-%{release}
Requires:	python3dist(zope-interface)

Obsoletes:	python-storm-zope < 1.0-3

%description -n	python3-%{oname}-zope
The python3-%{oname}-zope package provides Zope integration for %{name}.


%package -n	python3-%{oname}-twisted
Summary:	Twisted integration for %{name}
Group:		Development/Python
Requires:	python3-%{oname} = %{version}-%{release}
Requires:	python3dist(twisted)

Obsoletes:	python-storm-twisted < 1.0-3

%description -n	python3-%{oname}-twisted
The python3-%{oname}-twisted package provides Twisted integration for %{name}.


%prep
%autosetup -p1 -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
%tox
# we don't want them in package
rm -Rf %{buildroot}%{python3_sitearch}/storm/tests

%files -n python3-%{oname}
%doc LICENSE NEWS README TODO
%exclude %{python3_sitearch}/storm/zope
%{python3_sitearch}/storm/cextensions.c
# armv7hl provides cextensions.cpython-312-arm-linux-gnueabihf.so
%{python3_sitearch}/storm/cextensions.*-linux-gnu*.so
%exclude %{python3_sitearch}/storm/databases/mysql.*
%exclude %{python3_sitearch}/storm/databases/postgres.*
%exclude %{python3_sitearch}/storm/twisted
%pycached %{python3_sitearch}/storm/*.py
%{python3_sitearch}/storm/schema/
%{python3_sitearch}/storm/docs/
%{python3_sitearch}/storm/databases/
%{python3_sitearch}/storm*.dist-info

%files -n python3-%{oname}-zope
%{python3_sitearch}/storm/zope

%files -n python3-%{oname}-mysql
%pycached %{python3_sitearch}/storm/databases/mysql.py

%files -n python3-%{oname}-postgresql
%pycached %{python3_sitearch}/storm/databases/postgres.py

%files -n python3-%{oname}-twisted
%{python3_sitearch}/storm/twisted
