Name:           python-straight-plugin
Version:        1.5.0
Release:        %mkrel 9
Summary:        Python plugin loader
Group:          Development/Python
License:        BSD
URL:            https://github.com/ironfroggy/straight.plugin
Source0:        https://pypi.python.org/packages/source/s/straight.plugin/straight.plugin-%{version}.tar.gz
# Remove an unused import of imp.find_module
# The imp module was removed in Python 3.12
# Fixes https://bugzilla.redhat.com/2238632
# Rebased from https://github.com/ironfroggy/straight.plugin/pull/30
Patch:          Remove-the-import-of-imp.find_module.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
straight.plugin is a Python plugin loader inspired by twisted.plugin with two
important distinctions:

 - Fewer dependencies
 - Python 3 compatible

The system is used to allow multiple Python packages to provide plugins within
a namespace package, where other packages will locate and utilize. The plugins
themselves are modules in a namespace package where the namespace identifies
the plugins in it for some particular purpose or intent.


%package -n     python3-straight-plugin
Summary:        Python plugin loader
Group:          Development/Python
%{?python_provide:%python_provide python3-straight-plugin}

%description -n python3-straight-plugin
straight.plugin is a Python plugin loader inspired by twisted.plugin with two
important distinctions:

 - Fewer dependencies
 - Python 3 compatible

The system is used to allow multiple Python packages to provide plugins within
a namespace package, where other packages will locate and utilize. The plugins
themselves are modules in a namespace package where the namespace identifies
the plugins in it for some particular purpose or intent.


%prep
%autosetup -p1 -n straight.plugin-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files straight

find %{buildroot} -name '*.pth' -delete

%files -n python3-straight-plugin -f %{pyproject_files}
%license LICENSE
%doc README.rst
