%define module structlog

Name:           python-%{module}
Version:        25.2.0
Release:        %mkrel 1
Summary:        Painless structural logging
Group:          Development/Python
License:        ASL 2.0 and MIT
URL:            https://www.structlog.org/en/stable/
Source0:        https://files.pythonhosted.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description
Structlog makes structured logging in Python easy by augmenting your existing
logger. It allows you to split your log entries up into key/value pairs and
build them incrementally without annoying boilerplate code.

%package -n python3-%{module}
Summary:        Painless structural logging
Group:          Development/Python
License:        ASL 2.0 and MIT
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Structlog makes structured logging in Python easy by augmenting your existing
logger. It allows you to split your log entries up into key/value pairs and
build them incrementally without annoying boilerplate code.

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files structlog

#tests disabled because they fail with fixture '<*>' not found. https://github.com/hynek/structlog/issues/433

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGELOG.md README.md PKG-INFO docs/*.md
%license LICENSE-MIT LICENSE-APACHE
