%global pypi_name subprocess-tee

%bcond_without tests

Name:    python-%{pypi_name}
Version: 0.4.1
Release: %mkrel 3
Summary: A subprocess.run that works like tee, being able to display output in real time while still capturing it
Group:   Development/Python
License: MIT
URL:     https://github.com/pycontribs/subprocess-tee
Source:  %{pypi_source}
Patch0:  0003_removing_pytest_plus_dependency.patch

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3dist(rich)
BuildRequires: python3dist(enrich)
BuildRequires: python3dist(molecule)
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(setuptools-scm-git-archive)
BuildRequires: python3dist(setuptools-scm[toml])
BuildRequires: pyproject-rpm-macros

# testing requirements
BuildRequires: python3dist(pytest)
BuildRequires: python3dist(pytest-cov)
BuildRequires: python3dist(pytest-mock)
BuildRequires: python3dist(pytest-xdist)

%global _description %{expand:
This package provides an drop-in alternative to subprocess.run that captures
the output while still printing it in real time, just the way tee does.
}

%description %{_description}

%package -n python3-%{pypi_name}
Summary: A subprocess.run that works like tee, being able to display output in real time while still capturing it
Group:   Development/Python

Requires: python3dist(rich)
Requires: python3dist(enrich)

%py_provides python3-%{pypi_name}
%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files subprocess_tee

%if %{with tests}
%check
%pytest test -k "not test_molecule"
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/subprocess_tee/
%{python3_sitelib}/subprocess_tee-%{version}.dist-info/
