%global pypi_name subunit2sql
%global with_doc 0
%global with_tests 0

%global common_desc \
subunit2SQL is a tool for storing test results data in a SQL database. \
Like it's name implies it was originally designed around converting \
subunit streams to data in a SQL database and the packaged utilities \
assume a subunit stream as the input format. However, the data model \
used for the DB does not preclude using any test result format.

Name:           python-%{pypi_name}
Version:        1.10.0
Release:        %mkrel 6
Summary:        Tooling for converting subunit streams into a SQL DB
Group:          Development/Python

License:        ASL 2.0
URL:            https://pypi.org/project/subunit2sql
Source0:        %{pypi_source}
BuildArch:      noarch

%description
%{common_desc}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  git
BuildRequires:  python3-devel

%if 0%{?with_tests}
# Test Requirements
BuildRequires:  python3-fixtures
BuildRequires:  python3-mock
BuildRequires:  python3-stestr
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  python3-PyMySQL
BuildRequires:  python3-psycopg2
BuildRequires:  python3-os-testr
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-testresources
BuildRequires:  python3-dateutil
BuildRequires:  python3-matplotlib
BuildRequires:  python3-pandas
BuildRequires:  python3-alembic
BuildRequires:  python3-oslo-db
BuildRequires:  python3-oslo-config
%endif
# 
# Requires:   python3-pbr
# Requires:   python3-alembic
# Requires:   python3-oslo-config
# Requires:   python3-oslo-db
# Requires:   python3-subunit
# Requires:   python3-six
# Requires:   python3-sqlalchemy
# Requires:   python3-stevedore
# Requires:   python3-dateutil

%description -n python3-%{pypi_name}
%{common_desc}

%package -n    python3-%{pypi_name}-graph
Summary:    %{name} graph subpackage

Requires:   python3-%{pypi_name} = %{version}-%{release}
Requires:   python3-pandas
Requires:   python3-matplotlib

%description -n    python3-%{pypi_name}-graph
%{common_desc}

It contains graph plugin for %{name}.

%if 0%{?with_doc}
%package -n python-%{pypi_name}-doc
Summary:        subunit2sql documentation

BuildRequires:  python3-sphinx
BuildRequires:  python3-oslo-sphinx
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-oslo-db

%description -n python-%{pypi_name}-doc
%{common_desc}

It contains the documentation for subunit2sql.
%endif

%prep
# Use -S git to fool build system into thinking this is a legit git repo
# Don't ask :O
%autosetup -n %{pypi_name}-%{version} -S git
rm -f test-requirements.txt requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if 0%{?with_doc}
%{__python3} setup.py build_sphinx
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo
%endif

%install
%pyproject_install
%pyproject_save_files subunit2sql


%if 0%{?with_tests}
%check
PYTHON=%{__python3} stestr-3 run
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/subunit2sql-db-manage
%{_bindir}/subunit2sql
%{_bindir}/sql2subunit
%exclude %{_bindir}/subunit2sql-graph
%exclude %{python3_sitelib}/%{pypi_name}/analysis

%files -n python3-%{pypi_name}-graph
%{_bindir}/subunit2sql-graph
%{python3_sitelib}/%{pypi_name}/analysis

%if 0%{?with_doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc doc/build/html
%endif

