%global pypi_name subvertpy

Summary:	Alternative Python bindings for Subversion
Name:		python-%{pypi_name}
Version:	0.10.1
Release:	%mkrel 12
License:	LGPLv2+
Group:		Development/Python
Url:		https://github.com/jelmer/subvertpy
Source0:	https://pypi.io/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:	pkgconfig(apr-1)
BuildRequires:	subversion-devel
BuildRequires:  python3-devel

%description
Alternative Python bindings for Subversion. The goal is to have complete,
portable and "Pythonic" Python bindings.

%package -n	python3-%{pypi_name}
Summary:	Alternative Python 3 bindings for Subversion
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	subvertpy = %{version}-%{release}

%description -n	python3-%{pypi_name}
Alternative Python 3 bindings for Subversion. The goal is to have complete,
portable and "Pythonic" Python bindings.

%prep
%setup -qn %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files subvertpy

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS NEWS TODO examples/
%license COPYING
%{_bindir}/subvertpy-fast-export
