# Created by pyp2rpm-3.3.2
%global pypi_name sure

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 2
Summary:        utility belt for automated testing in python for python
Group:          Development/Python
License:        None
URL:            https://github.com/gabrielfalcao/sure
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

# Python 3.10 workaround
# In test_context_is_not_optional(), only check the exception type	
# https://github.com/gabrielfalcao/sure/issues/169
Patch0:         python3.10-workaround.patch
BuildRequires:  python3-devel

# Documentation dependencies	
BuildRequires:  make

# development.txt: Sphinx==2.3.1
BuildRequires:  python3dist(sphinx)
# development.txt: sphinx-rtd-theme==0.4.3
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3-docs
BuildRequires:  python3dist(pytest)

%global common_description %{expand:
An idiomatic testing library for python with powerful and flexible assertions
created by Gabriel Falcão. Sure’s developer experience is inspired and modeled
after RSpec Expectations and should.js.}

%description %{common_description}

%generate_buildrequires
%pyproject_buildrequires -r 

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(mock)
Requires:       python3dist(six)

%description -n python3-%{pypi_name} %{common_description}

%package doc
Summary:        Documentation for Sure
Requires:       python3-docs	
%description doc %{common_description}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Do not generate a coverage report;
sed -r -i 's/[[:blank:]]--cov=[^[:blank:]]+//' setup.cfg

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel
env PYTHONPATH="${PWD}" %make_build -C docs/ html SPHINXOPTS='%{?_smp_mflags}'
rm -vf docs/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest --ignore=tests/test_old_api.py

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING
%{_bindir}/%{pypi_name}


%files doc
%license COPYING
%doc CHANGELOG.md
%doc README.rst
%doc TODO.rst
%doc docs/build/html
