%define module systemd

Summary:	Python bindings for %{module}
Name:		python-%{module}
Version:	235
Release:	%mkrel 3
License:	GPLv2+
Group:		Development/Python
Url:		https://www.freedesktop.org/wiki/Software/systemd
# (cg) Generate from git:
# git archive --format=tar --prefix=python-systemd-${VERSION}/ v${VERSION} | xz > python-systemd-${VERSION}.tar.xz
Source0:        https://github.com/systemd/python-systemd/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(python3)

%description
Python module for native access to the systemd facilities. Functionality
includes sending of structured messages to the journal and reading journal
files, querying machine and boot identifiers and a lists of message identifiers
provided by systemd. Other functionality provided by libsystemd is also
wrapped.

%package -n python3-%{module}
Group:         Development/Python
Summary:       Python 3 bindings for %{module}
Conflicts:     %{name} < %{version}-%{release}
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Python module for native access to the systemd facilities. Functionality
includes sending of structured messages to the journal and reading journal
files, querying machine and boot identifiers and a lists of message identifiers
provided by systemd. Other functionality provided by libsystemd is also
wrapped.

%prep
%autosetup -p1

%build
%make_build update-constants
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files systemd

%files -n python3-%{module} -f %{pyproject_files}
