%define pypi_name	tagpy

Name:		python-tagpy
Version:	2025.1
Release:	%mkrel 3
Summary:	Python bindings for TagLib to read and write music files tags
License:	MIT
Group:		Development/Python
Url:		https://mathema.tician.de/software/tagpy
Source0:	%{pypi_source}
# from Debian
#
BuildRequires:	pkgconfig(taglib) >= 2
BuildRequires:	boost-python3-devel

%description
TagPy is a Python crust (or a set of Python bindings) for TagLib, which allows
to read and write ID3 tags of version 1 and 2, access Xiph Comments in Ogg
Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3 files.

%package -n python3-%{pypi_name}
Summary:	Python 3 bindings for TagLib to read and write music files tags
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
TagPy is a Python 3 crust (or a set of Python 3 bindings) for TagLib, which
allows to read and write ID3 tags of version 1 and 2, access Xiph Comments in
Ogg Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3
files.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

chmod -x test/tagrename

# local config
cat >> siteconf.py << EOF
BOOST_INC_DIR = ['%{_includedir}/boost/']
BOOST_LIB_DIR = ['%{_libdir}']
BOOST_COMPILER = ['gcc']
BOOST_PYTHON_LIBNAME = ['boost_python%{python_version_nodots}']
TAGLIB_INC_DIR = ['%{_includedir}/taglib/']
TAGLIB_LIB_DIR = ['%{_libdir}']
TAGLIB_LIBNAME = ['tag']
CXXFLAGS = []
EOF

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{pypi_name}
%doc test/*.py test/tagrename
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/*.so
%{python3_sitearch}/*.dist-info
