%global pypi_name tempora

# Docs build fails ATM with sphinx >= 7.2.5
%bcond_with docs

# Missing pkgs:
# - pytest-freezer
# - pytest-ruff
%bcond_with check

Name:           python-%{pypi_name}
Version:        5.8.0
Release:        %mkrel 1
Summary:        Objects and routines pertaining to date and time (tempora)
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/tempora/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Objects and routines pertaining to date and time (tempora).

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python

%description -n python3-%{pypi_name}
Objects and routines pertaining to date and time (tempora).

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x testing}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files tempora

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
%{_bindir}/calc-prorate
