%global pypi_name tenacity

Name:           python-%{pypi_name}
Version:        9.0.0
Release:        %mkrel 2
Summary:        Tenacity is a general purpose retrying library
License:        ASL 2.0
Group:          Development/Python
URL:            https://github.com/jd/%{pypi_name}
Source0:        https://pypi.io/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
Tenacity is a general-purpose retrying library, written in Python, to simplify
the task of adding retry behavior to just about anything. It originates from a
fork of Retrying.

%package -n python3-%{pypi_name}
Summary:        Tenacity is a general purpose retrying library
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pbr
BuildRequires:  python3-six >= 1.9.0
BuildRequires:  python3-tornado >= 4.5
BuildRequires:  python3-typeguard
BuildRequires:  python3-pytest

%description -n python3-%{pypi_name}
Tenacity is a general-purpose retrying library, written in Python3, to simplify
the task of adding retry behavior to just about anything. It originates from a
fork of Retrying.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tenacity

%check
# XXX: fails under python3
pytest-%{python3_version}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE
