# Created by pyp2rpm-3.3.3
%global pypi_name testfixtures

%bcond_with tests
%bcond_with docs

Name:           python-%{pypi_name}
Version:        8.3.0
Release:        %mkrel 2
Summary:        A collection of helpers and mock objects for unit tests and doc tests
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/testfixtures/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A collection of helpers and mock objects that are useful when writing automated tests in
Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A collection of helpers and mock objects that are useful when writing automated tests in
Python.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_tests:-x test}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files testfixtures

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%if %{with docs}
%doc html
%endif
