# Created by pyp2rpm-3.3.2
%global pypi_name testresources

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 9
Summary:        Testresources, a pyunit extension for managing expensive test resources
Group:          Development/Python
License:        None
URL:            https://launchpad.net/testresources
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-fix-tests-for-python312.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
# for tests
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(testtools)

%description
testresources: extensions to python unittest to allow declarative use of
resources by test cases.Copyright (C) 2005-2013 Robert Collins
<robertc@robertcollins.net> Licensed under either the Apache License, Version
2.0 or the BSD 3-clause license at the users choice. A copy of both licenses
are available in the project source as Apache-2.0 and BSD. You may not use this
file except in compliance...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(docutils)
Requires:       python3dist(fixtures)
Requires:       python3dist(pbr) >= 1.8
Requires:       python3dist(testtools)

%description -n python3-%{pypi_name}
testresources: extensions to python unittest to allow declarative use of
resources by test cases.Copyright (C) 2005-2013 Robert Collins
<robertc@robertcollins.net> Licensed under either the Apache License, Version
2.0 or the BSD 3-clause license at the users choice. A copy of both licenses
are available in the project source as Apache-2.0 and BSD. You may not use this
file except in compliance...


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# replace removed unittest aliases
sed -i 's/failIf/assertFalse/' testresources/tests/test_resourced_test_case.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files testresources

%check
%{python3} -m testtools.run testresources.tests.test_suite

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
