%global srcname testscenarios

Name:           python-%{srcname}
Version:        0.5.0
Release:        %mkrel 15
Summary:        A pyunit extension for dependency injection
Group:          Development/Python
License:        ASL2.0 or BSD
URL:            https://launchpad.net/testrepository
Source0:        https://pypi.python.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
testscenarios provides clean dependency injection for python unittest
style tests. This can be used for interface testing (testing many
implementations via a single test suite) or for classic dependency
injection (provide tests with dependencies externally to the test
code itself, allowing easy testing in different situations).

%package -n     python3-%{srcname}
Summary:        A pyunit extension for dependency injection
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
testscenarios provides clean dependency injection for python unittest
style tests. This can be used for interface testing (testing many
implementations via a single test suite) or for classic dependency
injection (provide tests with dependencies externally to the test
code itself, allowing easy testing in different situations).

This is the Python 3 version of the package.

%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files testscenarios

%files -n python3-%{srcname} -f %{pyproject_files}
%doc AUTHORS ChangeLog NEWS README
