%global pypi_name textdistance

Name:           python-%{pypi_name}
Version:        4.6.3
Release:        %mkrel 2
Summary:        Compute distance between the two texts
Group:          Development/Python
License:        MIT
URL:            https://github.com/orsinium/textdistance
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

# required for tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(jellyfish)

%description
TextDistance - python library for comparing distance between two or more
sequences by many algorithms.

Features:
 - 30+ algorithms
 - Pure python implementation
 - Simple usage
 - More than two sequences comparing
 - Some algorithms have more than one implementation in one class.
 - Optional numpy usage for maximum speed.

%package -n     python3-%{pypi_name}
Summary:        Compute distance between the two texts
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
TextDistance - python library for comparing distance between two or more
sequences by many algorithms.

Features:
 - 30+ algorithms
 - Pure python implementation
 - Simple usage
 - More than two sequences comparing
 - Some algorithms have more than one implementation in one class.
 - Optional numpy usage for maximum speed.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

# Fix bad executable permission
mkdir -p %{buildroot}%{_docdir}/python3-%{pypi_name}
cp -pr README.md %{buildroot}%{_docdir}/python3-%{pypi_name}
chmod 644 %{buildroot}%{_docdir}/python3-%{pypi_name}/README.md

%check
# disable tests that need abydos
#{__python3} -m pytest -v -k 'not test_list_of_numbers and not test_qval and not test_compare'

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_docdir}/python3-%{pypi_name}
