%global         pypi_name      thefuzz

Name:           python-thefuzz
Version:        0.22.1
Release:        %mkrel 3
Summary:        Fuzzy string matching like a boss
License:        GPLv2
Group:          Development/Python
URL:            https://pypi.python.org/pypi/Thefuzz
Source0:        %{pypi_source}

BuildArch:      noarch

%description
A python package to do fuzzy string matching like a boss. It uses
Levenshtein Distance to calculate the differences between sequences in
a simple-to-use package.

%package -n python3-thefuzz
Summary:        A python package to do fuzzy string matching
Group:          Development/Python
%{?python_provide:%python_provide python3-thefuzz}
BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros

Provides:       thefuzz = %{version}-%{release}
Provides:       fuzzywuzzy = %{version}-%{release}
Provides:       python3-fuzzywuzzy = %{version}-%{release}

%description -n python3-thefuzz
A python package to do fuzzy string matching like a boss. It uses
Levenshtein Distance to calculate the differences between sequences in
a simple-to-use package.


%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%py3_install

%files -n python3-thefuzz
%doc README.rst
%{python3_sitelib}/thefuzz
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
