%global pypi_name threadpoolctl

Name:       python-%{pypi_name}
Version:    3.5.0
Release:    %mkrel 2
Summary:    Thread-pool Controls
License:    BSD
Group:      Development/Python

URL:        https://pypi.org/project/threadpoolctl/
Source0:    %{pypi_source}

BuildArch: noarch

%global _description %{expand:
Python helpers to limit the number of threads used in the 
threadpool-backed of common native libraries used for scientific computing 
and data science (e.g. BLAS and OpenMP).
Fine control of the underlying thread-pool size can be useful in 
workloads that involve nested parallelism so as to mitigate 
oversubscription issues.}     

%description %_description

%package -n python3-%{pypi_name}
Summary: %{summary}
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel 
BuildRequires:  python3dist(flit-core)
# Testing
BuildRequires: python3-pytest
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%_description

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files threadpoolctl

%check
pytest -v

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md multiple_openmp.md
%license LICENSE
%pycached %{python3_sitelib}/threadpoolctl.py

