%bcond_without check

Name:           python-tomli-w
Version:        1.2.0
Release:        %mkrel 1
Summary:        A Python library for writing TOML
Group:		Development/Python
License:        MIT
URL:            https://github.com/hukkin/tomli-w
Source0:        %{url}/archive/%{version}/tomli-w-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%if %{with check}
BuildRequires:  python3-tox
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-randomly)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(tomli)
BuildRequires:  python3dist(tox-current-env)
%endif

%description
Tomli-W is a Python library for writing TOML. It is a write-only counterpart to
Tomli, which is a read-only TOML parser. Tomli-W is fully compatible with TOML
v1.0.0.

%package -n python3-tomli-w
Summary:        %{summary}

%description -n python3-tomli-w
Tomli-W is a Python library for writing TOML. It is a write-only counterpart to
Tomli, which is a read-only TOML parser. Tomli-W is fully compatible with TOML
v1.0.0.

%prep
%autosetup -p1 -n tomli-w-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tomli_w

%check
%if %{with check}
%tox
%else
%pyproject_check_import tomli_w
%endif

%files -n python3-tomli-w -f %{pyproject_files}
%doc README.md
%doc CHANGELOG.md
%license LICENSE
