%global pypi_name tomlkit

%{?python_enable_dependency_generator}

Name:           python-%{pypi_name}
Summary:        Style preserving TOML library
Version:        0.13.2
Release:        %mkrel 1
License:        MIT
Group:          Development/Python
URL:            https://github.com/sdispater/tomlkit
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel

# test dependencies
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pyyaml)

%description
TOML Kit is a 0.5.0-compliant TOML library.

It includes a parser that preserves all comments, indentations,
whitespace and internal element ordering, and makes them accessible and
editable via an intuitive API.

You can also create new TOML documents from scratch using the provided
helpers.

Part of the implementation as been adapted, improved and fixed from
Molten.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
TOML Kit is a 0.5.0-compliant TOML library.

It includes a parser that preserves all comments, indentations,
whitespace and internal element ordering, and makes them accessible and
editable via an intuitive API.

You can also create new TOML documents from scratch using the provided
helpers.

Part of the implementation as been adapted, improved and fixed from
Molten.


%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tomlkit


%check
%{python3} -m pytest tests/


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

