%global srcname toolz

Name:           python-%{srcname}
Version:        1.0.0
Release:        %mkrel 1
Summary:        A functional standard library for Python
Group:          Development/Python
License:        BSD
URL:            https://github.com/pytoolz/toolz
Source0:        https://github.com/pytoolz/toolz/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
A set of utility functions for iterators, functions, and dictionaries.

%package -n python3-%{srcname}
Summary:        A functional standard library for Python %{python3_version}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
A set of utility functions for iterators, functions, and dictionaries.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname} tlz

%check
# shakespeare test downloads a file
# test_inspect_wrapped_property fails, perhaps due to cython https://github.com/pytoolz/toolz/issues/581
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version} -v -k 'not (test_shakespeare or test_inspect_wrapped_property)'

%files -n python3-%{srcname} -f %{pyproject_files}
