%define pypi_name tornado

Name:           python-%{pypi_name}
Version:        6.4.2
Release:        %mkrel 2
Summary:        Scalable, non-blocking web server and tools

Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/tornado/
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Tornado is an open source version of the scalable, non-blocking web server and
and tools.

The framework is distinct from most mainstream web server frameworks (and
certainly most Python frameworks) because it is non-blocking and reasonably
fast. Because it is non-blocking and uses epoll, it can handle thousands of
simultaneous standing connections, which means it is ideal for real-time web
services.

%package -n python3-%{pypi_name}
Summary:        Scalable, non-blocking web server and tools
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python3-tornado-doc < 6.4

%description -n python3-%{pypi_name}
Tornado is an open source version of the scalable, non-blocking web server and
tools.

The framework is distinct from most mainstream web server frameworks (and
certainly most Python frameworks) because it is non-blocking and reasonably
fast. Because it is non-blocking and uses epoll, it can handle thousands of
simultaneous standing connections, which means it is ideal for real-time web
services.

%prep
%autosetup  -n %{pypi_name}-%{version}

# remove shebang from files
sed -i.orig -e '/^#!\//, 1d' *py tornado/*.py tornado/*/*.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tornado

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} \
%{__python3} -m tornado.test.runtests --verbose || :

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
