%global pypi_name tox-current-env
%global srcname tox_current_env

Name:           python-%{pypi_name}
Version:        0.0.16
Release:        %mkrel 1
Summary:        Tox plugin to run tests in current Python environment
Group:          Development/Python

License:        MIT
URL:            https://github.com/fedora-python/tox-current-env
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
The tox-current-env plugin allows to run tests in current Python environment.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The tox-current-env plugin allows to run tests in current Python environment.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
# Don't use %%pyproject_buildrequires -t/-e to avoid a build dependency loop
%pyproject_buildrequires -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tox_current_env

#check
# the tests currently only work within actual tox and with various Python
# versions installed, so we skip them.

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
