%global pypi_name tqdm

%bcond_with tests

Name:           python-%{pypi_name}
Version:        4.67.1
Release:        %mkrel 3
Summary:        A Fast, Extensible Progress Meter
Group:          Development/Python
# see PACKAGE-LICENSING for more info
License:        MPLv2.0 and MIT
URL:            https://tqdm.github.io/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pandas)
%endif

%description
tqdm derives from the Arabic word taqaddum (تقدّم) which can mean “progress,”
and is an abbreviation for “I love you so much” in Spanish (te quiero
demasiado).

Instantly make your loops show a smart progress meter - just wrap any iterable
with tqdm(iterable), and you’re done!


%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Recommends:     python3dist(pandas)
Recommends:     python3dist(numpy)

%description -n python3-%{pypi_name}
tqdm derives from the Arabic word taqaddum (تقدّم) which can mean “progress,”
and is an abbreviation for “I love you so much” in Spanish (te quiero
demasiado).

Instantly make your loops show a smart progress meter - just wrap any iterable
with tqdm(iterable), and you’re done!

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# https://github.com/tqdm/tqdm/pull/1292
echo 'include tqdm/tqdm.1' >> MANIFEST.in
echo 'include tqdm/completion.sh' >> MANIFEST.in

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

install -Dpm0644 \
  %{buildroot}%{python3_sitelib}/tqdm/tqdm.1 \
  %{buildroot}%{_mandir}/man1/tqdm.1

install -Dpm0644 \
  %{buildroot}%{python3_sitelib}/tqdm/completion.sh \
  %{buildroot}%{_datadir}/bash-completion/completions/tqdm.bash

rm -rf %{buildroot}%{python3_sitelib}/tqdm/tqdm.1
rm -rf %{buildroot}%{python3_sitelib}/tqdm/completion.sh
sed -i -e '/completion\.sh/d' -e '/tqdm\.1/d' %{pyproject_files}

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENCE
%doc README.rst examples
%{_bindir}/%{pypi_name}
%{_mandir}/man1/%{pypi_name}.1*
%{_datadir}/bash-completion/completions/tqdm.bash
