%global pypi_name traitlets

Name:           python-traitlets
Version:        5.14.3
Release:        %mkrel 3
Group:          Development/Python
Summary:        Traitlets Python config system

License:        BSD
URL:            https://ipython.org/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros

%description
A configuration system for Python applications.

%package -n     python3-%{pypi_name}
Summary:        Traitlets Python config system
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A configuration system for Python applications.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -w -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files traitlets

%check
# test temporarly disabled: https://github.com/ipython/traitlets/issues/911#issuecomment-2395338075
%pytest -k "not argcomplete"

%files -n python3-%{pypi_name} -f %{pyproject_files}
