# hiredis is an optional dependency that's incorrectly specified in setup.py
%global __requires_exclude ^python.*\\(hiredis\\)$


%global modname trollius_redis
%global pkgname trollius-redis
%global sum Redis client for the Python event loop PEP3156 for Trollius

Name:           python-%{pkgname}
Version:        0.1.4
Release:        %mkrel 23
Summary:        %{sum}
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/trollius-redis
Source0:        https://pypi.python.org/packages/source/t/trollius_redis/trollius_redis-%{version}.tar.gz
Patch0:         trollius_redis-0.1.4-python-3.7.patch

BuildArch:      noarch

%description
Redis client for Python trollius

This Redis library is a completely asynchronous, non-blocking client for a
Redis server. It depends on trollius (asyncio compatible for PEP 3156). It
supports Python 2 Trollius-using developers.

If you're new to asyncio, it can be helpful to check out the asyncio
documentation first.


%package -n     python3-%{pkgname}
Summary:        Python 3.x Redis client for the python event loop PEP3156
Requires:       python3-trollius
BuildRequires:  python3-trollius
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
Redis client for Python trollius

This Redis library is a completely asynchronous, non-blocking client for a
Redis server. It depends on trollius (asyncio compatible for PEP 3156). It
supports Python 3 Trollius-using developers.

If you're new to asyncio, it can be helpful to check out the asyncio
documentation first.


%prep
%autosetup -n %{modname}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files trollius_redis

%check
# Tests are failing on koji as they require network access
#%%if 0%%{?with_python3}
#%%pytest
#%%endif


%files -n python3-%{pkgname} -f %{pyproject_files}
%doc README.rst
# requested upstream: https://github.com/benjolitz/trollius-redis/issues/1
#%%license LICENSE


