# Created by pyp2rpm-3.3.2
%global pypi_name trololio
%global mod_name Trololio

%global sum Trollius and asyncio compatibility library

%global desc \
Trololio provides a compatibility layer for Trollius and asyncio (aka Tulip). \
It addresses the differences listed in Trollius and Tulip: \
\
* Allows the use of Trollius' syntax with asyncio. \
* Provides missing objects and aliases for the others. \
* Synchronizes debug environment variables.

Name:           python-%{pypi_name}
Version:        1.0
Release:        %mkrel 12
Summary:        %{sum}
Group:          Development/Python
License:        MIT
URL:            https://github.com/ThinkChaos/Trololio/
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{mod_name}-%{version}.zip
# License file from source repository
Source1:        https://raw.githubusercontent.com/ThinkChaos/Trololio/25fe6b9a0d9e2dc69d59f1b5c6e6e56a6615c305/LICENSE#/Trololio-LICENSE
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description %{desc}


%package -n     python3-%{pypi_name}
Summary:        %{sum} for Python 3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{desc}

This package provides the Python 3 module.


%prep
%autosetup -n %{mod_name}-%{version}

# Install license into source tree
cp %{SOURCE1} LICENSE

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files trololio


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE

