%global pypi_name trove-classifiers
%global srcname trove_classifiers

Name:           python-trove-classifiers
Version:        2025.2.18.16
Release:        %mkrel 1
Summary:        Canonical source for classifiers on PyPI
Group:          System/Packaging

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        ASL
URL:            https://github.com/pypa/trove-classifiers
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%description
Classifiers categorize projects per PEP 301. Use this package to validate
classifiers in packages for PyPI upload or download.

%package -n     python3-trove-classifiers
Summary:        %{summary}

%description -n python3-trove-classifiers
Classifiers categorize projects per PEP 301. Use this package to validate
classifiers in packages for PyPI upload or download.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files trove_classifiers

%check
%pyproject_check_import

%files -n python3-trove-classifiers -f %{pyproject_files}
%license LICENSE
%doc README.md
