Name:           python-troveclient
Version:        8.4.0
Release:        %mkrel 2
Summary:        Client library for OpenStack DBaaS API
Group:          Development/Python
License:        ASL 2.0
URL:            https://www.openstack.org/
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
This is a client for the Trove API. There's a Python API (the
troveclient module), and a command-line script (trove). Each
implements 100% (or less ;) ) of the Trove API.

%package -n python3-troveclient
Summary:        Client library for OpenStack DBaaS API
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
# docs
BuildRequires:  git-core
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinxcontrib-apidoc)
BuildRequires:  python3dist(reno)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(httplib2)
BuildRequires:  python3dist(oslo.utils)
BuildRequires:  python3dist(keystoneauth1)
BuildRequires:  python3dist(simplejson)
BuildRequires:  python3dist(stevedore)
BuildRequires:  python3dist(prettytable)

%{?python_provide:%python_provide python3-troveclient}

%description -n python3-troveclient
This is a client for the Trove API. There's a Python API (the
troveclient module), and a command-line script (trove). Each
implements 100% (or less ;) ) of the Trove API.

%prep
%setup -q

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# docs
PYTHONPATH=$(pwd) sphinx-build doc/source html
# leftovers
rm -rf html/.buildinfo

%install
%pyproject_install
%pyproject_save_files troveclient

%files -n python3-troveclient -f %{pyproject_files}
%license LICENSE
%doc README* html

%{_bindir}/trove
