Name:           python-truststore
Version:        0.10.1
Release:        %mkrel 1
Summary:        Verify certificates using native system trust stores
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/truststore/
Source:         %{pypi_source truststore}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
Truststore is a library which exposes native system certificate stores (ie trust
stores) through an ssl.SSLContext-like API. This means that Python applications
no longer need to rely on certifi as a root certificate store. Native system
certificate stores have many helpful features compared to a static certificate
bundle like certifi:

- Automatically update certificates as new CAs are created and removed
- Fetch missing intermediate certificates
- Check certificates against certificate revocation lists (CRLs) to avoid
  monster-in-the-middle (MITM) attacks
- Managed per-system rather than per-application by a operations/IT team
- PyPI is no longer a CA distribution channel}

%description %_description

%package -n     python3-truststore
Summary:        %{summary}

%description -n python3-truststore %_description


%prep
%autosetup -p1 -n truststore-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files truststore


%check
%pyproject_check_import


%files -n python3-truststore -f %{pyproject_files}

