%define module	twodict

Name:		python-%{module}
Version:	1.2
Release:	%mkrel 10
Summary:	Simple two-way ordered dictionary for Python
License:	Public Domain
Group:		Development/Python
Url:		https://github.com/MrS0m30n3/twodict
Source0:	https://files.pythonhosted.org/packages/source/t/twodict/%{module}-%{version}.tar.gz
Patch0:         python-3.10.patch
BuildArch:      noarch

%description
TwoWayOrderedDict is a custom dictionary in which one can get the
key:value relationship but can also get the value:key relationship.
It also remembers the order in which the items were inserted and
supports almost all the features of the built-in dict.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Simple two-way ordered dictionary for Python 3
Group:		Development/Python
BuildArch:      noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
TwoWayOrderedDict is a custom dictionary in which one can get the
key:value relationship but can also get the value:key relationship.
It also remembers the order in which the items were inserted and
supports almost all the features of the built-in dict.

#------------------------------------------------

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files twodict

%check
%__python3 test_twodict.py

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md
%license LICENSE
