# Created by pyp2rpm-3.3.2
%global pypi_name txaio

Name:           python-%{pypi_name}
Version:        23.1.1
Release:        %mkrel 4
Summary:        Compatibility API between asyncio/Twisted/Trollius
Group:          Development/Python
License:        MIT License
URL:            https://pypi.org/project/txaio/
Source0:        %{pypi_source}
# fix for doc build with sphinx 8.1
Patch0:         txaio-docs.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)

%description
| |Version| |Build Status| |Coverage| |Docs|--**txaio** is a helper library for
writing code that runs unmodified on both Twisted < and asyncio < / Trollius <
is like six < but for wrapping over differences between Twisted and asyncio so
one can write code that runs unmodified on both (aka *source code
compatibility*). In other words: your *users* can choose if they want asyncio
**or** Twisted...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)
Requires:       python3dist(twisted) >= 12.1.0
Requires:       python3dist(zope.interface) >= 3.6

%description -n python3-%{pypi_name}
| |Version| |Build Status| |Coverage| |Docs|--**txaio** is a helper library for
writing code that runs unmodified on both Twisted < and asyncio < / Trollius <
is like six < but for wrapping over differences between Twisted and asyncio so
one can write code that runs unmodified on both (aka *source code
compatibility*). In other words: your *users* can choose if they want asyncio
**or** Twisted...

%package -n python-%{pypi_name}-doc
Summary:        txaio documentation

%description -n python-%{pypi_name}-doc
Documentation for txaio.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files txaio

%check
# %%pytest || true
# In addition, the %%check command of
# "git clone https://src.fedoraproject.org/rpms/python-txaio"
# seems unmanagably complicated. :S -- shlomif
_disable_tests_due_to_them_requiring_an_inet_conn="1"
if test "$_disable_tests_due_to_them_requiring_an_inet_conn" = "1"
then
    true
else
    tox -e py38-asyncio
fi

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
