# Note this package is synchronized with Fedora!

%global checkout 129bf57

%define rel 0.4

Name:           python-typeshed
# There are no actual releases of typeshed so we are making one up
Version:        0.1
Release:	%mkrel %{rel}.git20160111
Summary:        Static type information for python modules
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/python/typeshed
# git archive --prefix=typeshed-0.1-129bf57/ 129bf57 | gzip -c9 > typeshed-0.1-129bf57.tar.gz
Source0:        typeshed-%{version}-%{checkout}.tar.gz

BuildArch:      noarch

%description
Typeshed models function types for the Python standard library
and Python builtins, as well as third party packages.

This data can e.g. be used for static analysis, type checking or type inference.

This package stores the typedata in /usr/share/typeshed

%prep
%autosetup -n typeshed-%{version}-%{checkout}

%build
# All stub files, nothing to build

%install
mkdir -p %{buildroot}/%{_datadir}/typeshed
for dir in builtins stdlib third_party ; do
    cp -r $dir %{buildroot}/%{_datadir}/typeshed/$dir
done

%files
%doc README.md
%license LICENSE
%{_datadir}/typeshed

