%global srcname tzlocal

%bcond_with check

Name:           python-tzlocal
Version:        5.3
Release:        %mkrel 1
Summary:        A Python module that tries to figure out what your local timezone is
Group:          Development/Python

License:        CC0
URL:            https://github.com/regebro/tzlocal
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  timezone
%endif

%description
This Python module returns a tzinfo object with the local timezone information.
It requires pytz, and returns pytz tzinfo objects.  This module attempts to fix
a glaring hole in pytz, that there is no way to get the local timezone
information, unless you know the zoneinfo name.

%package -n python3-%{srcname}
Summary:        A Python module that tries to figure out what your local timezone is

%description -n python3-%{srcname}
This Python module returns a tzinfo object with the local timezone information.
It requires pytz, and returns pytz tzinfo objects.  This module attempts to fix
a glaring hole in pytz, that there is no way to get the local timezone
information, unless you know the zoneinfo name.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%if %{with check}
sed -i -e '/"zest.releaser"/d' pyproject.toml
%endif

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x devenv}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tzlocal

%if %{with check}
%check
TZ=Europe/Paris %pytest
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGES.txt
%license LICENSE.txt
