# Created by pyp2rpm-3.3.1
%global pypi_name ufo2ft

%bcond_with tests

Name:           python-%{pypi_name}
Version:        2.33.4
Release:        %mkrel 2
Summary:        A bridge between UFOs and FontTools
Group:          Development/Python
License:        MIT
URL:            https://github.com/googlei18n/ufo2ft
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(booleanoperations)
BuildRequires:  python3dist(fonttools)
BuildRequires:  python3dist(pytest) >= 2.8
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(cu2qu)
%endif
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
ufo2ft ("UFO to FontTools") is a fork of ufo2fdk whose goal is to generate
OpenType font binaries from UFOs without the FDK dependency. The library
provides two functions, compileOTF and compileTTF, which work exactly the same
way.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ufo2ft ("UFO to FontTools") is a fork of ufo2fdk whose goal is to generate
OpenType font binaries from UFOs without the FDK dependency. The library
provides two functions, compileOTF and compileTTF, which work exactly the same
way.

%pyproject_extras_subpkg -n python3-%{pypi_name} compreffor

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with tests}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
