# Created by pyp2rpm-3.3.5
%global pypi_name unyt

Name:           python-%{pypi_name}
Version:        3.0.1
Release:        %mkrel 2
Summary:        A package for handling numpy arrays with units
Group:          Development/Python
License:        BSD license
URL:            https://github.com/yt-project/unyt
Source0:        https://files.pythonhosted.org/packages/source/u/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(sympy)
BuildRequires:  python3dist(pytest)

%description
A package for handling numpy arrays with units.
Often writing code that deals with data that has units can be confusing. A 
function might return an array but at least with plain NumPy arrays, there is no 
way to easily tell what the units of the data are without somehow knowing a priori.
The unyt package (pronounced like “unit”) provides a subclass of NumPy’s ndarray
lass that knows about units. 

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A package for handling numpy arrays with units.
Often writing code that deals with data that has units can be confusing. A 
function might return an array but at least with plain NumPy arrays, there is no 
way to easily tell what the units of the data are without somehow knowing a priori.
The unyt package (pronounced like “unit”) provides a subclass of NumPy’s ndarray
lass that knows about units. 

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst benchmarks/README.txt
