%define pypi_name uritools

Name:           python-uritools
Version:        4.0.3
Release:        %mkrel 2
Group:          Development/Python
Summary:        RFC 3986 compliant, Unicode-aware, scheme-agnostic replacement for urlparse

License:        MIT
URL:            https://github.com/tkem/uritools/
Source0:        https://pypi.python.org/packages/source/u/uritools/uritools-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
This module defines RFC 3986 compliant replacements for the most
commonly used functions of the Python 2.7 Standard Library urlparse_
and Python 3 `urllib.parse`_ modules.

%package -n     python3-%{pypi_name}
Summary:        RFC 3986 compliant, Unicode-aware, scheme-agnostic replacement for urlparse
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This module defines RFC 3986 compliant replacements for the most
commonly used functions of the Python 2.7 Standard Library urlparse_
and Python 3 `urllib.parse`_ modules.


%prep
%setup -q -n %{pypi_name}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files uritools

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst LICENSE
