%define pypi_name  urllib3

%bcond_with check

Name:           python-%{pypi_name}
Summary:        Python HTTP library with thread-safe connection pooling, file post, and more
# https://urllib3.readthedocs.io/en/latest/v2-migration-guide.html
Version:        2.3.0
Release:        %mkrel 2
License:        MIT
Group:          Development/Python
Url:            https://urllib3.readthedocs.org/
Source0:        %{pypi_source}
Patch1:         urllib3-RECENT_DATE.patch
BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
There are two critical features missing from the Python standard library:
Connection re-using/pooling and file posting. It's not terribly hard to
implement these yourself, but it's much easier to use a module that already did
the work for you.

The Python standard libraries urllib and urllib2 have little to do with each
other. They were designed to be independent and standalone, each solving a
different scope of problems, and urllib3 follows in a similar vein.

%package -n     python3-%{pypi_name}
Summary:        Python 3 HTTP library with thread-safe connection pooling, file post, and more
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       rootcerts

%description -n python3-%{pypi_name}
There are two critical features missing from the Python standard library:
Connection re-using/pooling and file posting. It's not terribly hard to
implement these yourself, but it's much easier to use a module that already did
the work for you.

The Python standard libraries urllib and urllib2 have little to do with each
other. They were designed to be independent and standalone, each solving a
different scope of problems, and urllib3 follows in a similar vein.

%pyproject_extras_subpkg -n python3-%{pypi_name} brotli zstd socks h2

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# relax reqs
sed -i -e 's/==/>=/g' dev-requirements.txt

%generate_buildrequires
%pyproject_buildrequires %{?with_check:dev-requirements.txt}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files urllib3

%if %{with check}
%check
%pytest -vv \
        --ignore=test/contrib/test_pyopenssl.py \
        --ignore=test/with_dummyserver \
        -k 'not test_ssl_read_timeout'
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc CHANGES.rst README.md
