%define pypi_name	urwid

Summary:	Full-featured Python console user interface library
Name: 		python-%{pypi_name}
Version: 	2.6.16
Release: 	%mkrel 1
License:	LGPL
Group: 		Development/Python
Url: 		https://pypi.python.org/pypi/urwid
Source0: 	%{pypi_source}
BuildArch:	noarch

%description
Urwid is a console user interface library. It includes many features
useful for text console application developers including :

* Applications resize quickly and smoothly
* Automatic, programmable text alignment and wrapping
* Simple markup for setting text attributes within blocks of text
* Powerful list box with programmable content for scrolling all
  widget types
* Your choice of event loops: Twisted, Glib or built-in
  select-based loop
* Pre-built widgets include edit boxes, buttons, check
  boxes and radio buttons
* Display pypi_names include raw, curses, and
  experimental LCD and web displays
* Support for UTF-8, simple 8-bit and CJK encodings
* 256 and 88 color mode support
* Python 3.2 support

%package -n python3-urwid
Summary:	%{summary}
Group: 		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-urwid
Urwid is a Python library for making text console applications.  It has
many features including fluid interface resizing, support for UTF-8 and
CJK encodings, standard and custom text layout modes, simple markup for
setting text attributes, and a powerful, dynamic list box that handles a
mix of widget types.  It is flexible, modular, and leaves the developer in
control.

This package contains the urwid pypi_name built for use with python3.

%prep
%setup -q -n %{pypi_name}-%{version}
find urwid -type f -name "*.py" -exec sed -i -e '/^#!\//, 1d' {} \;
find urwid -type f -name "*.py" -exec chmod 644 {} \;

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files urwid

%files -n python3-urwid -f %{pyproject_files}
%doc COPYING README.rst examples docs

