%global pypi_name uvicorn

Name:           python-uvicorn
Version:        0.34.0
Release:        %mkrel 2
Summary:        The lightning-fast ASGI server
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://www.uvicorn.org/
Source:         %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Uvicorn is an ASGI web server implementation for Python.

Until recently Python has lacked a minimal low-level server/application
interface for async frameworks. The ASGI specification fills this gap, and
means we're now able to start building a common set of tooling usable across
all async frameworks.

Uvicorn supports HTTP/1.1 and WebSockets.

%package -n     python3-uvicorn
Summary:        %{summary}

%description -n python3-uvicorn
Uvicorn is an ASGI web server implementation for Python.

Until recently Python has lacked a minimal low-level server/application
interface for async frameworks. The ASGI specification fills this gap, and
means we're now able to start building a common set of tooling usable across
all async frameworks.

Uvicorn supports HTTP/1.1 and WebSockets.

%dnl %pyproject_extras_subpkg -n python3-uvicorn standard

%prep
%autosetup -p1 -n uvicorn-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-uvicorn -f %{pyproject_files}
%doc README.md
%{_bindir}/uvicorn
