# Created by pyp2rpm-3.3.3
%global pypi_name validators

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.28.3
Release:        %mkrel 3
Summary:        Python Data Validation for Humans™
Group:          Development/Python
License:        MIT
URL:            https://github.com/kvesteri/validators
Source0:        https://files.pythonhosted.org/packages/source/v/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
%if %{with tests}
BuildRequires:  python3dist(flake8) >= 2.4.0
BuildRequires:  python3dist(isort) >= 4.2.2
BuildRequires:  python3dist(pytest) >= 2.2.3
%endif
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(myst-parser)
BuildRequires:  python3dist(furo)

%description
Python Data Validation for Humans™.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
Python Data Validation for Humans™.

%prep
%autosetup -n %{pypi_name}-%{version}


# Fix doc build
sed -i -e 's,sphinx.ext.pngmath,sphinx.ext.imgmath,' docs/conf.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files validators

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
%doc html

