%global modname vcrpy

Name:               python-vcrpy
Version:            5.0.0
Release:            %mkrel 2
Summary:            Automatically mock your HTTP interactions to simplify and speed up testing

Group:              Development/Python
License:            MIT
URL:                https://pypi.io/project/vcrpy
Source0:            https://pypi.io/packages/source/v/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires: pyproject-rpm-macros
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools

BuildRequires:      python3-PyYAML
BuildRequires:      python3-mock
BuildRequires:      python3-six
BuildRequires:      python3-contextlib2
BuildRequires:      python3-wrapt
#BuildRequires:      python3-backport_collections

%description
Simplify and speed up testing HTTP by recording all HTTP interactions and
saving them to "cassette" files, which are yaml files containing the contents
of your requests and responses.  Then when you run your tests again, they all
just hit the text files instead of the internet.  This speeds up your tests and
lets you work offline.

If the server you are testing against ever changes its API, all you need to do
is delete your existing cassette files, and run your tests again.  All of the
mocked responses will be updated with the new API.

%package -n python3-vcrpy
Summary:            Automatically mock your HTTP interactions to simplify and speed up testing
Group:              Development/Python

Requires:           python3-PyYAML
Requires:           python3-mock
Requires:           python3-six
Requires:           python3-contextlib2
Requires:           python3-wrapt
#Requires:           python3-backport_collections

%description -n python3-vcrpy
Simplify and speed up testing HTTP by recording all HTTP interactions and
saving them to "cassette" files, which are yaml files containing the contents
of your requests and responses.  Then when you run your tests again, they all
just hit the text files instead of the internet.  This speeds up your tests and
lets you work offline.

If the server you are testing against ever changes its API, all you need to do
is delete your existing cassette files, and run your tests again.  All of the
mocked responses will be updated with the new API.

%prep
%setup -q -n %{modname}-%{version}

sed -i "s/backport_collections/collections/g" vcr/filters.py
sed -i "s/backport_collections/collections/g" vcr/cassette.py
sed -i "s/, 'backport_collections'//g" setup.py


%generate_buildrequires
%pyproject_buildrequires

%build
# Get rid of asyncio requirement for py2.x build
rm vcr/_handle_coroutine.py

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files vcr

## Cannot run tests because they require python-pytest-localserver which is not
## yet packaged.
#%%check
#%%{__python3} setup.py test

%files -n python3-vcrpy -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt



