%define module	virtkey
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		python-%{module}
Version:	0.63.0
Release:	%mkrel 11
Summary:	Python extension for emulating keypresses and getting current keyboard layout
License:	GPLv2+
Group:		Development/Python
URL:		https://launchpad.net/virtkey
Source:		https://launchpad.net/virtkey/%{url_ver}/%{version}/+download/%{module}-%{version}.tar.gz
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(glib-2.0)

%description
Python-virtkey is a python extension for emulating keypresses and getting
current keyboard layout.

%package -n	python3-%{module}
Summary:	Python3 extension for emulating keypresses and getting current keyboard layout
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{module}
Python-virtkey is a python 3 extension for emulating keypresses and
getting current keyboard layout.

%prep
%autosetup -n %{module}-%{version}

# move this here for so the doc macro can pick it up in files section
mv docs/api.txt api.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files virtkey

%files -n python3-%{module} -f %{pyproject_files}
%license COPYING
%doc README NEWS AUTHORS api.txt
