# Created by pyp2rpm-3.0.0
%global pypi_name virtualenv-api
%global underscore_name virtualenv_api

# test suite is disabled default for koji builds,
# because the tests require internet connection.
%global run_test_suite 0

Name:           python-%{pypi_name}
Version:        2.1.18
Release:        %mkrel 4
Summary:        An API for virtualenv/pip
Group:          Development/Python
License:        BSD
URL:            https://github.com/sjkingo/virtualenv-api
Source0:        https://files.pythonhosted.org/packages/source/v/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

# Add tests and LICENSE missing in sources
Patch0:         add_tests_license.patch

BuildArch:      noarch
 
BuildRequires:  pyproject-rpm-macros
BuildRequires:  git
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-virtualenv
BuildRequires:  python3-six
BuildRequires:  python3-pip

%description
Tool to create isolated Python environments. Unfortunately,
it does not expose a native Python API. This package aims to
provide an API in the form of a wrapper around virtualenv.

%package -n     python3-%{pypi_name}
Summary:        An API for virtualenv/pip
Group:          Development/Python
Requires:       python3-virtualenv
Requires:       python3-pip

%description -n python3-%{pypi_name}
Tool to create isolated Python environments. Unfortunately,
it does not expose a native Python API. This package aims to
provide an API in the form of a wrapper around virtualenv.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files virtualenvapi

%if 0%{run_test_suite}
%check
%pytest
%endif # run_test_suite

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

