# [Fedora] Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

#global gitdate 20191209git74bcbb0
%global srcname vlc
%global pypi_name python_vlc
%global sum VLC Media Player binding for Python
%global desc This package provides a python interface to control VLC Media Player.

Name:           python-%{srcname}
Version:        3.0.21203
Release:        %mkrel 2
Summary:        VLC Media Player binding for Python
Group:          Development/Python
License:        GPLv2+
URL:            https://www.videolan.org/
Source0:        %{pypi_source python_vlc}
Source9:        %{name}-snapshot.sh
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-distribute

%description
This package provides a python interface to control VLC Media Player.

%package -n python3-%{srcname}
Summary:        %{sum}
Requires:       vlc >= 1.1.0
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{desc}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove shebang so python2-vlc doesn't require python3
sed -i "s|#! /usr/bin/python||" examples/*.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files vlc

mkdir -p %{buildroot}%{_datadir}/%{name}/examples/video_sync
install -pm 755 examples/*.* \
   %{buildroot}%{_datadir}/%{name}/examples/
install -pm 755 examples/video_sync/*.* \
   %{buildroot}%{_datadir}/%{name}/examples/video_sync/

#fix shebang
%py3_shebang_fix %{buildroot}%{python3_sitelib}/vlc.py %{buildroot}%{_datadir}/python-vlc/examples/cocoavlc.py

#fix rpmlint
chmod +x %{buildroot}%{python3_sitelib}/*py

%check
# there no tests in sources

%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING
%doc README.module
%{_datadir}/%{name}/

