# Created by pyp2rpm-3.3.2
%global pypi_name vnu_validator
%global rpm_name vnu-validator

Name:           python-%{rpm_name}
Version:        0.10.0
Release:        %mkrel 3
Summary:        Python Wrapper for the v.Nu HTML Validator
Group:          Development/Python
License:        MIT license
URL:            https://github.com/shlomif/python-vnu_validator
Source0:        %{pypi_source}
# fix for doc build with sphinx 8.1
Patch0:         vnu-validator-docs.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)

%description
Python Wrapper for the v.Nu HTML Validator. It allows one to recursively test a
directory of XHTML5 or HTML5 files for HTML validity. It provides a caching
feature for speedup of subsequent runs.

%package -n     python3-%{rpm_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{rpm_name}}
Requires:       python3dist(setuptools)

%description -n python3-%{rpm_name}
Python Wrapper for the v.Nu HTML Validator. It allows one to recursively test a
directory of XHTML5 or HTML5 files for HTML validity. It provides a caching
feature for speedup of subsequent runs.

%package -n python-%{rpm_name}-doc
Summary:        vnu-validator documentation

%description -n python-%{rpm_name}-doc
Documentation for vnu-validator.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
rm -rf %{buildroot}%{_bindir}/*
%pyproject_install
%pyproject_save_files vnu_validator

%check
%tox

%files -n python3-%{rpm_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%files -n python-%{rpm_name}-doc
%doc html
%license LICENSE
