# Created by pyp2rpm-3.3.2
%global pypi_name w3lib

%bcond_with docs

Name:           python-%{pypi_name}
Version:        2.1.2
Release:        %mkrel 2
Summary:        Library of web-related functions
Group:          Development/Python
License:        BSD
URL:            https://github.com/scrapy/w3lib
Source0:        %{pypi_source}
Patch0:         0001-relax-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-hoverxref)
%endif

%description
This is a Python library of web-related functions, such as:

* remove comments, or tags from HTML snippets
* extract base url from HTML snippets
* translate entities on HTML strings
* convert raw HTTP headers to dicts and vice-versa
* construct HTTP auth header
* converting HTML pages to unicode
* sanitize urls (like browsers do)
* extract arguments from urls

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(six) >= 1.4.1
%if ! %{with docs}
Obsoletes:	python-%{pypi_name}-doc < %{version}-%{release}
%endif

%description -n python3-%{pypi_name}
This is a Python library of web-related functions, such as:

* remove comments, or tags from HTML snippets
* extract base url from HTML snippets
* translate entities on HTML strings
* convert raw HTTP headers to dicts and vice-versa
* construct HTTP auth header
* converting HTML pages to unicode
* sanitize urls (like browsers do)
* extract arguments from urls

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files w3lib

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%if %{with docs}
%doc html
%endif
