%define module	watchdog

Name:		python-%{module}
Version:	6.0.0
Release:	%mkrel 2
Summary:	File system events monitoring
Group:		Development/Python
License:	ASL 2.0 and BSD and MIT
URL:		https://pypi.python.org/pypi/watchdog
Source0:	https://pypi.io/packages/source/w/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
A Python API and shell utilities to monitor file system events.

%package -n	python3-%{module}
Summary:	File system events monitoring
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
A Python 3 API and shell utilities to monitor file system events.

%prep
%setup -q -n %{module}-%{version}

# Remove all shebangs
find src -name "*.py" | xargs sed -i -e '/^#!\//, 1d'

# Remove +x of the README file
chmod -x README.rst

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{_bindir}/watchmedo
