%global pypi_name watchfiles

Name:           python-watchfiles
Version:        1.0.4
Release:        %mkrel 2
Summary:        Simple, modern and high performance file watching and code reload
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/watchfiles/
Source:         %{pypi_source}
Patch:		watchfiles-pyo3-features.patch
Patch:		watchfiles-notify-version.patch
BuildRequires:  python3-devel
BuildRequires:  cargo-rpm-macros

%description
Simple, modern and high performance file watching and code reload in python.
Underlying file system notifications are handled by the Notify rust library.

%package -n     python3-watchfiles
Summary:        %{summary}

%description -n python3-watchfiles
Simple, modern and high performance file watching and code reload in python.
Underlying file system notifications are handled by the Notify rust library.

%prep
%autosetup -p1 -n watchfiles-%{version}
%cargo_prep

%generate_buildrequires
%pyproject_buildrequires
%cargo_generate_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files watchfiles

%check
%pyproject_check_import

%files -n python3-watchfiles -f %{pyproject_files}
%{_bindir}/watchfiles
