# Created by pyp2rpm-3.3.5
%global pypi_name webcolors

%bcond_with docs
%bcond_without check

Name:           python-%{pypi_name}
Version:        24.11.1
Release:        %mkrel 1
Summary:        A library for working with color names and color values formats defined by HTML and CSS
Group:          Development/Python
License:        BSD 3-Clause
URL:            https://github.com/ubernostrum/webcolors
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
webcolors is a module for working with HTML/CSS color definitions. Support is
included for normalizing and converting between the following formats (RGB
colorspace only; conversion to/from HSL can be handled by the colorsys module
in the Python standard library).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-webcolors-doc < 1.13-2

%description -n python3-%{pypi_name}
webcolors is a module for working with HTML/CSS color definitions. Support is
included for normalizing and converting between the following formats (RGB
colorspace only; conversion to/from HSL can be handled by the colorsys module
in the Python standard library).

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x tests}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with docs}
# generate html docs
PYTHONPATH=%{buildroot}%{python3_sitelib} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%if %{with check}
%check
# exclude tests claiming Internet access
%pytest -k "not CSS3DefinitionTests or not HTML4DefinitionTests or not CSS21DefinitionTests"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
