%global pypi_name websocket-client
%global srcname websocket_client

Name:          python-%{pypi_name}
Version:       1.8.0
Release:       %mkrel 1
Summary:       WebSocket client for python

Group:         Development/Python
License:       ASL 2.0
URL:           https://pypi.org/project/websocket-client
Source0:       %{pypi_source}
BuildArch:     noarch
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3dist(pytest)

%description
websocket-client is a WebSocket client for Python. It provides access to low
level APIs for WebSockets. websocket-client implements version hybi-13 of the
WebSocket protocol. This client does not currently support the
permessage-deflate extension from RFC 7692.

%package -n python3-%{pypi_name}
Summary:       %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
websocket-client is a WebSocket client for Python. It provides access to low
level APIs for WebSockets. websocket-client implements version hybi-13 of the
WebSocket protocol. This client does not currently support the
permessage-deflate extension from RFC 7692.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files websocket

%check
%pytest websocket/tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md ChangeLog
%{_bindir}/wsdump
