%define tarname		WebTest

%bcond_without docs

Summary:	Helper to test WSGI applications
Name:		python-webtest
Version:	3.0.0
Release:	%mkrel 4
License:	MIT
Group:		Development/Python
Url:		https://docs.pylonsproject.org/projects/webtest/en/latest/
Source0:        https://github.com/Pylons/webtest/archive/refs/tags/%{version}.tar.gz#/%{tarname}-%{version}.tar.gz
BuildArch:	noarch

%description
This package wraps any WSGI application and makes it easy to send test
requests to that application, without starting up an HTTP server.

It provides convenient full-stack testing of applications written with
any WSGI-compatible framework.

WebTest is based on paste.fixture.TestApp.

#--------------------------------------------------------------------

%package -n	python3-webtest
Summary:	Helper to test WSGI applications
Group:		Development/Python
BuildRequires:  python3-devel
# for docs
%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pylons-sphinx-themes)
BuildRequires:  python3dist(beautifulsoup4)
BuildRequires:  python3dist(soupsieve)
BuildRequires:  python3dist(webob)
BuildRequires:  python3dist(waitress)
%endif
%{?python_provide:%python_provide python3-webtest}

%description -n python3-webtest
This package wraps any WSGI application and makes it easy to send test
requests to that application, without starting up an HTTP server.

It provides convenient full-stack testing of applications written with
any WSGI-compatible framework.

WebTest is based on paste.fixture.TestApp.

%files -n python3-webtest -f %{pyproject_files}
%if %{with docs}
%doc docs/_build/html
%endif

#--------------------------------------------------------------------

%prep
%setup -q -n webtest-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with_docs}
# doc build
PYTHONPATH=$(pwd) sphinx-build docs docs/_build/html
# clean leftovers
rm -f docs/_build/html/.buildinfo
%endif

%install
%pyproject_install
%pyproject_save_files webtest
