%global pypi_name Whoosh

%bcond_with doc

Name:           python-whoosh
Version:        2.7.4
Release:        %mkrel 12
Summary:        Fast, pure-Python full text indexing, search, and spell checking library
License:        BSD
Group:          Development/Python
URL:            https://pythonhosted.org/Whoosh/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Whoosh is a fast, featureful full-text indexing and searching library
implemented in pure Python. Programmers can use it to easily add search
functionality to their applications and websites. Every part of how Whoosh
works can be extended or replaced to meet your needs exactly.

%package -n python3-whoosh
Summary:        Fast, pure-Python full text indexing, search, and spell checking library
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-devel
%if %{with doc}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
%endif
%{?python_provide:%python_provide python3-whoosh}

%description -n python3-whoosh
Whoosh is a fast, featureful full-text indexing and searching library
implemented in pure Python. Programmers can use it to easily add search
functionality to their applications and websites. Every part of how Whoosh
works can be extended or replaced to meet your needs exactly.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
sphinx-build-%{python3_version} docs/source docs/html
rm -f docs/html/.buildinfo
rm -rf docs/html/.doctrees
%endif

%install
%pyproject_install
%pyproject_save_files whoosh

%files -n python3-whoosh -f %{pyproject_files}
%if %{with doc}
%doc docs/html/
%endif
%doc README.txt LICENSE.txt
