%define pypi_name	widgetsnbextension

Name:		python-%{pypi_name}
Summary:	IPython HTML widgets for Jupyter
Version:	4.0.13
Release:	%mkrel 2
Group:		Development/Python
License:	BSD
URL:		https://ipython.org/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)

%description
Interactive HTML widgets for Jupyter notebooks.
This is the Python3 version.

%package -n     python3-%{pypi_name}
Summary:	IPython HTML widgets for Jupyter (Python 3)
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	widgetsnbextension = %{version}-%{release}
Provides:	python3-jupyter-%{pypi_name} = %version-%release
Provides:	jupyter-widgetsnbextension = %version-%release

%description -n python3-%{pypi_name}
Interactive HTML widgets for Jupyter notebooks.
This is the Python3 version.


%package -n widgetsnbextension
Summary:	IPython HTML widgets for Jupyter
Group:		Development/Python


%description -n widgetsnbextension
Interactive HTML widgets for Jupyter notebooks.
Common js files.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files widgetsnbextension

mv %{buildroot}/usr/etc %{buildroot}%{_sysconfdir}


%files -n python3-%{pypi_name} -f %{pyproject_files}



%files -n widgetsnbextension
%config %{_sysconfdir}/jupyter/nbconfig/notebook.d/widgetsnbextension.json
%{_datadir}/jupyter/nbextensions/jupyter-js-widgets/extension.js
%{_datadir}/jupyter/nbextensions/jupyter-js-widgets/extension.js.map
%{_datadir}/jupyter/nbextensions/jupyter-js-widgets/extension.js.LICENSE.txt
