%global pypi_name wrapt

Name:           python-%{pypi_name}
Version:        1.17.1
Release:        %mkrel 1
Group:          Development/Python
Summary:        Python module for decorators, wrappers and monkey patching
License:        BSD
URL:            https://github.com/GrahamDumpleton/wrapt
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
The aim of the wrapt module is to provide a transparent object proxy for
Python, which can be used as the basis for the construction of function
wrappers and decorator functions.

%package -n python3-%{pypi_name}
Summary:        Python module for decorators, wrappers and monkey patching
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The aim of the wrapt module is to provide a transparent object proxy for
Python, which can be used as the basis for the construction of function
wrappers and decorator functions.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wrapt

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
