%global mod_name wtforms

Name:           python-wtforms
Version:        3.1.2
Release:        %mkrel 2
Summary:        Forms validation and rendering library for python

Group:          Development/Python
License:        BSD
URL:            https://wtforms.readthedocs.io/
Source0:        https://files.pythonhosted.org/packages/source/w/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(babel)

%{?python_extras_subpkg:%python_extras_subpkg -n python3-wtforms -i %{python3_sitelib}/*.dist-info email}

%description
With wtforms, your form field HTML can be generated for you.
This allows you to maintain separation of code and presentation,
and keep those messy parameters out of your python code.

%package -n python3-wtforms
Summary:        Forms validation and rendering library for python
Group:          Development/Python

%description -n python3-wtforms
With wtforms, your form field HTML can be generated for you.
This allows you to maintain separation of code and presentation,
and keep those messy parameters out of your python code.

%prep
%autosetup -p1 -n %{mod_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

sed -i "s|\r||g" docs/conf.py
sed -i "s|\r||g" docs/Makefile
sed -i "s|\r||g" docs/index.rst
rm -f docs/html/.buildinfo

%build
%pyproject_wheel

%install
%pyproject_install

mkdir -p %{buildroot}%{_datadir}
mv %{buildroot}%{python3_sitelib}/wtforms/locale %{buildroot}%{_datadir}
find %{buildroot}%{_datadir}/locale -name '*.po*' -delete
rm -rf %{buildroot}%{_datadir}/locale/README.md

%find_lang wtforms

%files -n python3-wtforms -f wtforms.lang
%license LICENSE.rst
%doc docs/ PKG-INFO
%{python3_sitelib}/*.dist-info/
%{python3_sitelib}/wtforms/
