%define pkgname      wxpython4
%define srcname      wxPython

%bcond_without tests

%bcond_without dox

# wxWidgets version
%global wxversion 3.2.7

# comment out if not a pre-release
#global prel	a1

# comment out if not a snapshot
#global	snap	dev5449+3ac1e526

# release
%define rel     1

Name:           python-wxpython4
Version:        4.2.3
Release:        %mkrel %{?prel:0.%prel.}%{?snap:%snap.}%{rel}
Summary:        New implementation of wxPython, a GUI toolkit for Python
# wxPython is licensed under the wxWidgets license.  The only exception is
# the pubsub code in wx/lib/pubsub which is BSD licensed.  Note: wxPython
# includes a bundled copy of wxWidgets in ext/wxWidgets which has a few
# bits of code that use other licenses.  This source is not used in the
# Fedora build, except for the interface headers in ext/wxWidgets/interface
# and the doxygen build scripts.
License:        wxWidgets and BSD
Group:          Development/Python
URL:            https://www.wxpython.org/
%if 0%{?snap:1}
Source0:	https://wxpython.org/Phoenix/snapshot-builds/wxPython-%{version}%{?prel}%{?snap:.%snap}.tar.gz
%else
Source0:	%{pypi_source %srcname}
%endif
Source1:	https://github.com/wxWidgets/wxWidgets/releases/download/v%{wxversion}/wxWidgets-%{wxversion}.tar.bz2
Patch51:	nanosvg-linking.patch
Patch52:	wxPython-linking.patch
BuildRequires:  gcc-c++
BuildRequires:  doxygen
BuildRequires:  waf >= 2.0.18-2
BuildRequires:  wxgtk-devel >= 3.2.0
# For tests
%if %{with tests}
BuildRequires:  locales-en
BuildRequires:  x11-server-xvfb
BuildRequires:  python3-numpy
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-timeout
BuildRequires:  python3-pytest-xdist
%endif

%description
wxPython4 is a is a new implementation of wxPython focused on improving speed,
maintainability and extensibility. Just like "Classic" wxPython it wraps the
wxWidgets C++ toolkit and provides access to the user interface portions of the
wx API, enabling Python applications to have a GUI on Windows, Macs or Unix
systems with a native look and feel and requiring very little (if any) platform
specific code.
#----------------------------------------------

### Python 3

%package -n     python3-%{pkgname}
Summary:        New implementation of wxPython, a GUI toolkit for Python3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pkgname}}
BuildRequires:  python3-cython
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-pillow
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
BuildRequires:  python3-sip6
BuildRequires:  python3-six
BuildRequires:  python3-attrdict
Requires:       python3-pillow
Requires:       python3-six

%description -n python3-%{pkgname}
wxPython4 is a is a new implementation of wxPython focused on improving speed,
maintainability and extensibility. Just like "Classic" wxPython it wraps the
wxWidgets C++ toolkit and provides access to the user interface portions of the
wx API, enabling Python applications to have a GUI on Windows, Macs or Unix
systems with a native look and feel and requiring very little (if any) platform
specific code.

#----------------------------------------------

%package -n     python3-%{pkgname}-media
Summary:        New implementation of wxPython, a GUI toolkit for Python3 (media module)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pkgname}-media}
Requires:       python3-%{pkgname} = %{version}-%{release}

%description -n python3-%{pkgname}-media
wxPython4 is a is a new implementation of wxPython focused on improving speed,
maintainability and extensibility. Just like "Classic" wxPython it wraps the
wxWidgets C++ toolkit and provides access to the user interface portions of the
wx API, enabling Python applications to have a GUI on Windows, Macs or Unix
systems with a native look and feel and requiring very little (if any) platform
specific code.

This package provides the wx.media module.

%package -n     python3-%{pkgname}-webview
Summary:        New implementation of wxPython, a GUI toolkit for Python3 (webview module)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pkgname}-webview}
Requires:       python3-%{pkgname} = %{version}-%{release}

%description -n python3-%{pkgname}-webview
wxPython4 is a is a new implementation of wxPython focused on improving speed,
maintainability and extensibility. Just like "Classic" wxPython it wraps the
wxWidgets C++ toolkit and provides access to the user interface portions of the
wx API, enabling Python applications to have a GUI on Windows, Macs or Unix
systems with a native look and feel and requiring very little (if any) platform
specific code.

This package provides the wx.html2 module.

%package        doc
Summary:        Documentation and samples for wxPython
Group:          Development/Python
BuildArch:      noarch

%description doc
Documentation, samples and demo application for wxPython.

#----------------------------------------------

%prep
%autosetup -n %{srcname}-%{version}%{?prel}%{?snap:.%snap} -p1 -a1

rm -rf sip/siplib
rm -rf wx/py/tests
rm -f docs/sphinx/_downloads/i18nwxapp/i18nwxapp.zip
cp -a wx/lib/pubsub/LICENSE_BSD_Simple.txt license

# Remove env shebangs from various files
sed -i -e '/^#!\//, 1d' demo/*.py{,w}
sed -i -e '/^#!\//, 1d' demo/agw/*.py
sed -i -e '/^#!\//, 1d' docs/sphinx/_downloads/i18nwxapp/*.py
sed -i -e '/^#!\//, 1d' samples/floatcanvas/*.py
sed -i -e '/^#!\//, 1d' samples/mainloop/*.py
sed -i -e '/^#!\//, 1d' samples/ribbon/*.py
sed -i -e '/^#!\//, 1d' wx/py/*.py
sed -i -e '/^#!\//, 1d' wx/tools/*.py

# Fix end of line encodings
sed -i 's/\r$//' docs/sphinx/_downloads/*.py
sed -i 's/\r$//' docs/sphinx/rest_substitutions/snippets/python/contrib/*.py
sed -i 's/\r$//' docs/sphinx/rest_substitutions/snippets/python/converted/*.py
sed -i 's/\r$//' docs/sphinx/_downloads/i18nwxapp/locale/I18Nwxapp.pot
sed -i 's/\r$//' docs/sphinx/make.bat
sed -i 's/\r$//' samples/floatcanvas/BouncingBall.py

# Remove spurious executable perms
chmod -x demo/*.py
chmod -x samples/mainloop/mainloop.py
chmod -x samples/printing/sample-text.txt

# Remove empty files
find demo -size 0 -delete
find docs/sphinx/rest_substitutions/snippets/python/converted -size 0 -delete

# Convert files to UTF-8
for file in demo/TestTable.txt docs/sphinx/_downloads/i18nwxapp/locale/I18Nwxapp.pot; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%if 0%{?prel:1} || 0%{?snap:1} || 1
# Update wxWidgets sources
rm -rf ext/wxWidgets
ln -sf $(pwd)/wxWidgets-%{wxversion} ext/wxWidgets
%endif

# Update Doxyfile
if [[ -x %{_bindir}/doxygen ]]; then
  doxygen -u $(find . -name "Doxyfile*")
fi

%build
PYTHONDIR='%{python3_sitelib}' \
PYTHONARCHDIR='%{python3_sitearch}' \
DOXYGEN='%{_bindir}/doxygen' \
WAF='%{_bindir}/waf' \
%python3 -u build.py %{?with_dox:dox touch etg} --nodoc sip build_py --use_syswx --gtk3 --verbose

%install
%python3 build.py install_py --destdir=%{buildroot}
rm -f %{buildroot}%{_bindir}/*

# Remove locale files (they are provided by wxWidgets)
rm -rf %{buildroot}%{python3_sitearch}/wx/locale

%check
%if %{with tests}
SKIP_TESTS="'not (display_Tests or glcanvas_Tests or mousemanager_Tests or numdlg_Tests or uiaction_MouseTests or uiaction_KeyboardTests or unichar_Tests or valtext_Tests or test_frameRestore or test_grid_pi)'"
ln -sf %{python3_sitearch}/wx/siplib.so wx/siplib.so
xvfb-run -a %python3 build.py test --pytest_timeout=60 --extra_pytest="-k $SKIP_TESTS" --verbose || true
%endif

%files -n python3-%{pkgname}
%license license/*
%{python3_sitearch}/*
%exclude %{python3_sitearch}/wx/*html2*
%exclude %{python3_sitearch}/wx/__pycache__/*html2*
%exclude %{python3_sitearch}/wx/*media*
%exclude %{python3_sitearch}/wx/__pycache__/*media*

%files -n python3-%{pkgname}-media
%{python3_sitearch}/wx/*media*
%{python3_sitearch}/wx/__pycache__/*media*

%files -n python3-%{pkgname}-webview
%{python3_sitearch}/wx/*html2*
%{python3_sitearch}/wx/__pycache__/*html2*

%files doc
%doc docs demo samples
%license license/*
