Name:           python-x-wr-timezone
Version:        2.0.0
Release:        %mkrel 2
Summary:        A Python module and program to convert calendars using X-WR-TIMEZONE to standard ones
Group:          Development/Python

License:        LGPL-3.0-or-later
URL:            https://github.com/niccokunzmann/x-wr-timezone
Source:         %{pypi_source x_wr_timezone}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Some calendar providers introduce the non-standard X-WR-TIMEZONE parameter to
ICS calendar files. Strict interpretations according to RFC 5545 ignore the
X-WR-TIMEZONE parameter. This causes the times of the events to differ from
those which make use of X-WR-TIMEZONE.

This module aims to bridge the gap by converting calendars using X-WR-TIMEZONE
to a strict RFC 5545 calendars. So, let’s put our heads together and solve this
problem for everyone!}

%description %_description

%package -n     python3-x-wr-timezone
Summary:        %{summary}

%description -n python3-x-wr-timezone %_description


%prep
%autosetup -p1 -n x_wr_timezone-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files x_wr_timezone


%check
%pyproject_check_import


%files -n python3-x-wr-timezone -f %{pyproject_files}
%{_bindir}/x-wr-timezone
