# Created by pyp2rpm-3.3.5
%global pypi_name xarray
%bcond_without tests

Name:           python-%{pypi_name}
Version:        2025.01.2
Release:        %mkrel 1
Summary:        N-D labeled arrays and datasets in Python
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/pydata/xarray
Source0:        https://github.com/pydata/xarray/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
# for tests
%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pandas)
BuildRequires:  python3dist(packaging)
%endif

%description
xarray (formerly xray) makes working with labelled multi-dimensional arrays 
simple, efficient, and fun.
xarray introduces labels in the form of dimensions, coordinates and
attributes on top of raw NumPy-like arrays. 

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
xarray (formerly xray) makes working with labelled multi-dimensional arrays 
simple, efficient, and fun.
xarray introduces labels in the form of dimensions, coordinates and
attributes on top of raw NumPy-like arrays. 


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE licenses/DASK_LICENSE licenses/ICOMOON_LICENSE licenses/NUMPY_LICENSE licenses/PANDAS_LICENSE licenses/SCIKIT_LEARN_LICENSE licenses/SEABORN_LICENSE
%doc README.md asv_bench/benchmarks/README_CI.md doc/README.rst doc/gallery/README.txt
