# NOTE xdg has been renamed to xdg-base-dirs due to an import collision with PyXDG.
# Therefore the xdg package is deprecated. Install xdg-base-dirs instead.

%global pypi_name xdg-base-dirs

%bcond_with tests

Name:           python-%{pypi_name}
Version:        6.0.1
Release:        %mkrel 2
Summary:        Variables defined by the XDG Base Directory Specification
Group:          Development/Python
License:        ISC
URL:            https://github.com/srstevenson/xdg-base-dirs
Source0:        https://pypi.io/packages/source/x/%{pypi_name}/xdg_base_dirs-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-codecov
%endif

%description
xdg-base-dirsis a tiny Python module which provides the variables defined by the XDG
Base Directory Specification_, to save you from duplicating the same snippet of
logic in every Python utility you write that deals with user cache,
configuration, or data files. It has no external dependencies.

%package -n     python3-%{pypi_name}
Summary:        Variables defined by the XDG Base Directory Specification
%{?python_provide:%python_provide python3-%{pypi_name}}

Obsoletes:      python3-xdg < 6.0.0-3
Provides:       python3-xdg = %{version}-%{release}

%description -n python3-%{pypi_name}
xdg-base-dirs is a tiny Python module which provides the variables defined by the XDG
Base Directory Specification_, to save you from duplicating the same snippet of
logic in every Python utility you write that deals with user cache,
configuration, or data files. It has no external dependencies.

%prep
%autosetup -n xdg_base_dirs-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xdg_base_dirs

%check
%pyproject_check_import
%{?with_tests:%pytest}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
