# Created by pyp2rpm-3.3.2
%global pypi_name xdis

Name:           python-%{pypi_name}
Version:        6.0.3
Release:        %mkrel 5
Summary:        Python cross-version byte-code disassembler and marshal routines
Group:          Development/Python
License:        GPLv2
URL:            https://pypi.org/project/xdis/
Source0:        %{pypi_source}
Patch1:		0001-Recognize-Python-3.8.7.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.10.0

%description
A Cross-Python bytecode isassembler, bytecode/workcode and magic-number
manipulation library/package.

The Python dis module allows you to disassemble bytecode from the same version
of Python that you are running on. But what about bytecode from different
versions?

That's what this package is for. It can "marshal load" Python bytecodes from
different versions of Python. The command-line routine pydisasm will show
disassembly output using Python 3.8 disassembly conventions.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A Cross-Python bytecode isassembler, bytecode/workcode and magic-number
manipulation library/package.

The Python dis module allows you to disassemble bytecode from the same version
of Python that you are running on. But what about bytecode from different
versions?

That's what this package is for. It can "marshal load" Python bytecodes from
different versions of Python. The command-line routine pydisasm will show
disassembly output using Python 3.8 disassembly conventions.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
# test failure:
# ERROR: file or directory not found: pytest
#PYTHONPATH=$(pwd) make check PYTHON=%{python3}

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/pydisasm
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
