%define	pypi_name xdot

Summary:	Interactive viewer for Graphviz dot files
Name:		python-%{pypi_name}
Version:	1.4
Release:	%mkrel 1
License:	LGPLv3+
Group:		Graphics/Utilities
Url:		https://github.com/jrfonseca/xdot.py
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

%description
xdot is an interactive viewer for graphs written in
Graphviz's dot language.

It internally uses Graphviz's xdot output format as an
intermediate format, and PyGTK and Cairo for rendering.

xdot can be used either as a standalone application from
the command line, or as a library embedded in your Python
application.

%package -n python3-%{pypi_name}
Summary:	Interactive viewer for Graphviz dot files
Group:		Graphics/Utilities
Provides:	xdot = %{version}-%{release}
Requires:	graphviz

%description -n python3-%{pypi_name}
xdot is an interactive viewer for graphs written in
Graphviz's dot language.

It internally uses Graphviz's xdot output format as an
intermediate format, and PyGTK and Cairo for rendering.

xdot can be used either as a standalone application from
the command line, or as a library embedded in your Python
application.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xdot

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{pypi_name}.desktop << EOF
[Desktop Entry]
Name=XDot
Comment=Interactive viewer for Graphviz dot files
Exec=xdot
Terminal=false
Type=Application
Categories=GTK;DataVisualization;Science;Graphics;
MimeType=text/vnd.graphviz;
Keywords=graphviz;dot;viewer;graph;
EOF

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/%{pypi_name}
%{_datadir}/applications/%{_real_vendor}-%{pypi_name}.desktop
