# Created by pyp2rpm-1.0.1
%global pypi_name xlutils

Name:           python-xlutils
Version:        2.0.0
Release:        %mkrel 9
Group:          Development/Python
Summary:        Utilities for working with Excel files that require both xlrd and xlwt
License:        MIT
URL:            https://www.python-excel.org/
Source0:        https://pypi.python.org/packages/source/x/xlutils/xlutils-%{version}.tar.gz
# fix for doc build with sphinx 8.1
Patch0:         python-xlutils-docs.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pkginfo)
BuildRequires:  python3dist(setuptools)

# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(xlrd)
BuildRequires:  python3dist(xlwt)

%description
A collection of utilities for working with Excel files. Since these utilities
may require either or both of the xlrd and xlwt packages, they are collected
together here, separate from either package.

%package -n     python3-%{pypi_name}
Summary:        Utilities for working with Excel files that require both xlrd and xlwt
Requires:       python3-xlrd >= 0.7.2
Requires:       python3-xlwt >= 0.7.4
Conflicts:      python-%{pypi_name} < 2.0.0

%description -n python3-%{pypi_name}
A collection of utilities for working with Excel files. Since these utilities
may require either or both of the xlrd and xlwt packages, they are collected
together here, separate from either package.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=$(pwd) sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files xlutils

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html README.rst xlutils/license.txt
%{_bindir}/margins
