%define pypi_name xmldiff

Name:          python-%{pypi_name}
Version:       2.4
Release:       %mkrel 8
Summary:       Creates diffs of XML files
Group:         Development/Python
License:       MIT
URL:           https://pypi.org/project/xmldiff
Source0:       %{pypi_source}
BuildArch:     noarch

%description
xmldiff is a library and a command-line utility for making diffs out of XML.
This may seem like something that doesn’t need a dedicated utility, but change
detection in hierarchical data is very different from change detection in flat
data. XML type formats are also not only used for computer readable0 data, it
is also often used as a format for hierarchical data that can be rendered into
human readable formats. A traditional diff on such a format would tell you line
by line the differences, but this would not be be readable by a human. xmldiff
provides tools to make human readable diffs in those situations.

%package -n     python3-%{pypi_name}
Summary:        Creates diffs of XML files
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
xmldiff is a library and a command-line utility for making diffs out of XML.
This may seem like something that doesn’t need a dedicated utility, but change
detection in hierarchical data is very different from change detection in flat
data. XML type formats are also not only used for computer readable0 data, it
is also often used as a format for hierarchical data that can be rendered into
human readable formats. A traditional diff on such a format would tell you line
by line the differences, but this would not be be readable by a human. xmldiff
provides tools to make human readable diffs in those situations.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xmldiff
mv %{buildroot}%{_bindir}/xmldiff %{buildroot}%{_bindir}/xmldiff3
mv %{buildroot}%{_bindir}/xmlpatch %{buildroot}%{_bindir}/xmlpatch3

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/xmldiff3
%{_bindir}/xmlpatch3
