# Created by pyp2rpm-3.3.2
%global pypi_name xmlschema

Name:           python-%{pypi_name}
Version:        3.3.1
Release:        %mkrel 2
Summary:        An XML Schema validator and decoder
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/xmlschema
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(elementpath)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
The xmlschema library is an implementation of XML Schema for Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-%{pypi_name}-doc < 1.0.16

%description -n python3-%{pypi_name}
The xmlschema library is an implementation of XML Schema for Python.

%prep
%autosetup -n %{pypi_name}-%{version}


# fix reqs
perl -pi -e 's/~=/>=/g' requirements-dev.txt setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build doc html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files xmlschema

# fix python shebangs
%py3_shebang_fix %{buildroot}%{python3_sitelib}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc html README.rst
%{_bindir}/xmlschema-json2xml
%{_bindir}/xmlschema-validate
%{_bindir}/xmlschema-xml2json
