%define pypi_name xmltodict

Name:           python-xmltodict
Version:        0.13.0
Release:        %mkrel 4
Summary:        Python to transform XML to JSON
Group:          Development/Python
License:        MIT
URL:            https://github.com/martinblech/xmltodict
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
xmltodict is a Python module that makes working with XML feel like you are
working with JSON.  It's very fast (Expat-based) and has a streaming mode
with a small memory footprint, suitable for big XML dumps like Discogs or
Wikipedia.

%package -n python3-%{pypi_name}
Summary:        Python3 to transform XML to JSON
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
xmltodict is a Python 3 module that makes working with XML feel like you are
working with JSON.  It's very fast (Expat-based) and has a streaming mode
with a small memory footprint, suitable for big XML dumps like Discogs or
Wikipedia.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xmltodict

%check
%{__python3} -m nose

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE
