%global pypi_name	python-xmp-toolkit
%define module		xmp-toolkit

Name:		python-%{module}
Version:	2.0.2
Release:	%mkrel 3
Summary:	Python XMP Toolkit for working with metadata
Group:		Development/Python
License:	BSD
URL:		https://github.com/python-xmp-toolkit/python-xmp-toolkit
Source0:	%{pypi_source}

BuildArch:	noarch

BuildRequires:	exempi
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(pytest)

%description
Python XMP Toolkit Python XMP Toolkit is a library for working with XMP
metadata, as well as reading/writing XMP metadata stored in many different file
formats.

%package -n	python3-%{module}
Summary:	Python3 XMP Toolkit for working with metadata
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}
Requires:	exempi

Obsoletes:	python-xmp-toolkit-doc < 2.0.2-1

%description -n	python3-%{module}
Python XMP Toolkit Python XMP Toolkit is a library for working with XMP
metadata, as well as reading/writing XMP metadata stored in many different file
formats.


%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files libxmp

%check
#pytest

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.rst
