# Created by pyp2rpm-3.3.1
%global pypi_name xmpp-backends

%define with_tests 0

Name:           python-%{pypi_name}
Version:        0.8.0
Release:        %mkrel 6
Summary:        A set of classes with common interfaces to communicate with XMPP servers
Group:          Development/Python
License:        GPLv3
URL:            https://github.com/mathiasertl/xmpp-backends
Source0:        https://github.com/mathiasertl/xmpp-backends/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(qxmpp)
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.10.0

%if %with_tests
# For tests
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(django)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(isort)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(sleekxmpp)
BuildRequires:  python3dist(sphinx-autobuild)
BuildRequires:  python3dist(sphinx-rtd-theme)
%endif

%description
A small python library providing a common interface for communicating with the
administration interfaces of various Jabber/XMPP servers.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six) >= 1.10.0

%description -n python3-%{pypi_name}
A small python library providing a common interface for communicating with the
administration interfaces of various Jabber/XMPP servers.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%if %with_tests
%check
tox --skip-missing-interpreters
%endif

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/xmpp_backends
%{python3_sitelib}/xmpp_backends-%{version}-py%{python3_version}.egg-info
