Name:           python-xyzservices
Version:        2024.4.0
Release:        %mkrel 2
Summary:        Source of XYZ tiles providers
Group:          Development/Python

License:        BSD
URL:            https://github.com/geopandas/xyzservices
Source:         %{pypi_source xyzservices}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
lightweight library providing a repository of available XYZ services offering
raster basemap tiles. The repository is provided via Python API and as a
compressed JSON file.

XYZ tiles can be used as background for your maps to provide necessary spatial
context. xyzservices offer specifications of many tile services and provide an
easy-to-use tools to plug them into your work, no matter if interactive or
static.}

%description %_description

%package -n     python3-xyzservices
Summary:        %{summary}

%description -n python3-xyzservices %_description


%prep
%autosetup -p1 -n xyzservices-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files xyzservices


%files -n python3-xyzservices -f %{pyproject_files}
%{_datadir}/xyzservices/providers.json
