%define srcname PyYAML

Name:           python-yaml
Version:        6.0.1
Release:        %mkrel 2
Summary:        Python package implementing YAML parser and emitter
License:        MIT
Group:          Development/Python
URL:            https://pyyaml.org/
Source0:        %{pypi_source}
BuildRequires:  pkgconfig(yaml-0.1)
BuildRequires:  python3-devel

# Fix build with Cython 3
# Proposed upstream but refused (upstream does not want Cython 3)
Patch:          https://github.com/yaml/pyyaml/pull/731.patch

%description
PyYAML is a YAML parser and emitter for the Python programming
language.

YAML is a data serialization format designed for human readability
and interaction with scripting languages.

%package -n python3-yaml
Summary:        YAML parser and emitter for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-yaml}
%{?python_provide:%python_provide python3-pyyaml}
Provides:       python3-%{srcname} = %{version}-%{release}
Provides:	python3-pyyaml = %{version}-%{release}
Obsoletes:	python3-pyyaml < 6.0-2

%description -n python3-yaml
PyYAML is a YAML parser and emitter for the Python programming
language.

YAML is a data serialization format designed for human readability
and interaction with scripting languages.

%prep
%autosetup -p1 -n %{srcname}-%{version}
chmod a-x examples/yaml-highlight/yaml_hl.py

# remove pre-generated file
rm -rf ext/_yaml.c

# we have a patch for Cython 3
sed -i 's/Cython<3.0/Cython/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files yaml _yaml

%files -n python3-yaml -f %{pyproject_files}
%doc README* examples
