%define pypi_name yamllint

Name:       python-%{pypi_name}
Version:    1.32.0
Release:    %mkrel 4
Summary:    A linter for YAML files
Group:      Development/Python
License:    GPLv3
URL:        https://pypi.org/project/yamllint
Source0:    %pypi_source
BuildArch:  noarch

%description
yamllint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces,
indentation, etc.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-setuptools 
BuildRequires:  python3-yaml
BuildRequires:  python3-pathspec
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
yamllint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces,
indentation, etc.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files yamllint

%check
%pytest 

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/yamllint
