%global pypi_name	yapf

Name:		python-%{pypi_name}
Version:	0.40.2
Release:	%mkrel 3
Summary:	A formatter for Python code
Group:		Development/Python
License:	ASL 2.0
URL:		https://github.com/google/yapf
Source0:	%{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)
# For tests
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(importlib-metadata)
BuildRequires:	python3dist(platformdirs)

%description
YAPF Introduction Most of the current formatters for Python e.g., autopep8, and
pep8ify are made to remove lint errors from code. This has some obvious
limitations. For instance, code that conforms to the PEP 8 guidelines may not
be.

%package -n	python3-%{pypi_name}
Summary:	A formatter for Python3 code
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
YAPF Introduction Most of the current formatters for Python e.g., autopep8, and
pep8ify are made to remove lint errors from code. This has some obvious
limitations. For instance, code that conforms to the PEP 8 guidelines may not
be.

%prep
%autosetup -n %{pypi_name}-%{version}

for lib in $(find . -type f -name "*.py"); do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

cp plugins/README.md README-plugins.md

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name} yapftests yapf_third_party

%check
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README-plugins.md README.md
%{_bindir}/yapf
%{_bindir}/yapf-diff
