%define         pypi_name      yt
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

Name:           python-yt
Version:        4.3.1
Release:        %mkrel 2
Group:          Sciences/Astronomy
Summary:        An analysis and visualization toolkit for Astrophysical simulations
License:        GPLV3+
URL:            https://yt-project.org/
Source0:        https://pypi.io/packages/source/y/yt/yt-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  hdf5-devel
BuildRequires:  pkgconfig(libpng)
BuildRequires:  libgomp-devel

%description
Yt is an analysis tool for astrophysical simulation datasets,
generated by simulation platforms like Enzo, Orion, FLASH, Nyx,
MAESTRO, ART and Ramses.  It's written in python and heavily leverages
both NumPy and Matplotlib for fast arrays and visualization,
respectively.

%package -n python3-yt
Summary:        An analysis and visualization toolkit for Astrophysical simulations
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-cython
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(ewah-bool-utils)
BuildRequires:  python3-numpy-devel
Requires:       python3-h5py
Requires:       python3-matplotlib
Requires:       python3-numpy
%{?python_provide:%python_provide python3-yt}

%description -n python3-yt
Yt is an analysis tool for astrophysical simulation datasets,
generated by simulation platforms like Enzo, Orion, FLASH, Nyx,
MAESTRO, ART and Ramses.  It's written in python and heavily leverages
both NumPy and Matplotlib for fast arrays and visualization,
respectively.

This is the python3 build of Yt.


%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files yt


%files -n python3-yt -f %{pyproject_files}
%doc CITATION COPYING.txt CREDITS
%{_bindir}/yt
