%global pypi_name zc.lockfile
%global pkg_name zc-lockfile

Name:           python-%{pkg_name}
Version:        3.0.post1
Release:        %mkrel 4
Summary:        Basic inter-process locks
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/zc.lockfile
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
The zc.lockfile package provides a basic portable implementation of
interprocess locks using lock files. The purpose if not specifically to lock
files, but to simply provide locks with an implementation based on
file-locking primitives. Of course, these locks could be used to mediate
access to other files. For example, the ZODB file storage implementation uses
file locks to mediate access to file-storage database files. The database
files and lock file files are separate files.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pkg_name}
The zc.lockfile package provides a basic portable implementation of
interprocess locks using lock files. The purpose if not specifically to lock
files, but to simply provide locks with an implementation based on
file-locking primitives. Of course, these locks could be used to mediate
access to other files. For example, the ZODB file storage implementation uses
file locks to mediate access to file-storage database files. The database
files and lock file files are separate files.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zc

rm -rf %{buildroot}%{python3_sitelib}/examples
rm -rf %{buildroot}%{python3_sitelib}/*.pth

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc LICENSE.txt COPYRIGHT.txt
%doc README.rst CHANGES.rst
