%global pypi_name zeroconf

Name:           python-%{pypi_name}
Version:        0.144.1
Release:        %mkrel 3
Summary:        Pure Python Multicast DNS Service Discovery Library
Group:          Development/Python

License:        LGPLv2
URL:            https://pypi.org/project/zeroconf
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio
BuildRequires:  python3-pytest-codspeed
BuildRequires:  python3-pytest-timeout
BuildRequires:  python3dist(ifaddr)
BuildRequires:  python3dist(async-timeout)

# Integration tests work in mock but fail in Koji with PermissionError
%bcond_with integration

%description
A pure Python implementation of multicast DNS service discovery
supporting Bonjour/Avahi.

%package -n     python3-%{pypi_name}
Summary:        Pure Python3 Multicast DNS Service Discovery Library
Group:          Development/Python

%description -n python3-%{pypi_name}
A pure Python 3 implementation of multicast DNS service discovery
supporting Bonjour/Avahi.

%prep
%autosetup -n %{pypi_name}-%{version}

# We don't measure coverage in tests
sed -Ei 's/--cov(-|=)[^ "]+//g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
# Explicitly choose to compile the Cython extensions
export REQUIRE_CYTHON=1
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# IPv6 tests fail in Koji/mock, test_sending_unicast uses IPv6
# test_ptr_optimization fails in Koji
# with 0.33.4, running tests in parallel produces some failures, possibly race conditions
%pytest -v \
%if %{with integration}
  -k "not v6 and not test_sending_unicast" \
%else %{without integration}
  -k "not integration and not test_ptr_optimization and not v6 and not test_sending_unicast" \
%endif
# IPv6 tests fail in Koji/mock, test_sending_unicast uses IPv6


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING
%doc README.rst
