# Created by pyp2rpm-3.3.2
%global pypi_name zipp

%bcond_with docs
%bcond_with test

Name:           python-%{pypi_name}
Version:        3.21.0
Release:        %mkrel 3
Summary:        Backport of pathlib-compatible object wrapper for zip files
Group:          Development/Python
License:        MIT
URL:            https://github.com/jaraco/zipp
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools-scm+toml
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-wheel
%if %{with docs}
BuildRequires:  python3dist(contextlib2)
BuildRequires:  python3dist(jaraco.packaging)
BuildRequires:  python3dist(rst.linker)
BuildRequires:  python3dist(sphinx)
%endif
%if %{with test}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(jaraco.itertools)
BuildRequires:  python3dist(jaraco.test)
BuildRequires:  python3dist(jaraco.packaging)
%endif

%description
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# drop bundled egg-info
rm -rf *.egg-info


%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
