%global srcname zope.component
%global pypi_name %(tr . - <<< %{srcname})

# missing build deps
%bcond_with docs

Name:           python-%{pypi_name}
Summary:        Zope Component Architecture
Version:        6.0
Release:        %mkrel 2
License:        ZPLv2.1
Group:          Development/Python
URL:            https://pypi.io/project/zope.component
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This package represents the core of the Zope Component Architecture.
Together with the 'zope.interface' package, it provides facilities for
defining, registering and looking up components.

%package -n python3-%{pypi_name}
Summary:        Zope Component Architecture
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
This package represents the core of the Zope Component Architecture.
Together with the 'zope.interface' package, it provides facilities for
defining, registering and looking up components.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs}

%build
%pyproject_wheel

%if %{with docs}
# build Sphinx documents
COPYRIGHT=`grep Author: PKG-INFO |sed -e 's/Author: //'`
cat >docs/conf.py <<END
templates_path = ['_templates']
source_suffix = '.rst'
master_doc = 'index'
project = '%{srcname}'
copyright = '$COPYRIGHT'
version = '%{version}'
release = '%{version}'
pygments_style = 'sphinx'
html_static_path = ['_static']
extensions = []
END
# build docs
sphinx-build -b html docs/ html
# remove leftovers
rm -fr html/{.buildinfo,.doctrees}
%endif

%install
%pyproject_install
%pyproject_save_files zope

# we don't need these
rm -rf %{buildroot}%{python3_sitelib}/*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst
%if %{with docs}
%doc html
%endif
%exclude %{python3_sitelib}/zope/component/{tests,testfiles}/
%exclude %{python3_sitelib}/zope/component/*test*.py
%exclude %{python3_sitelib}/zope/component/__pycache__/*test*.cpython-%{python3_version_nodots}{,.opt-?}.pyc
