# Created by pyp2rpm-3.3.2
%global srcname zope.deferredimport
%global pypi_name %(tr . - <<< %{srcname})

%bcond_without docs

Name:           python-%{pypi_name}
Version:        5.0
Release:        %mkrel 3
Summary:        zope.deferredimport allows you to perform imports names that will only be resolved when used in the code
Group:          Development/Python
License:        ZPL 2.1
URL:            https://github.com/zopefoundation/zope.deferredimport
Source0:        %{pypi_source}
Patch1:         python-zope-deferredimport-docs.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Often, especially for package modules, you want to import names for
convenience, but not actually perform the imports until necessary.
The zope.deferredimport package provided facilities for defining
names in modules that will be imported from somewhere else when used.
You can also cause deprecation warnings to be issued when a variable
is used.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
Often, especially for package modules, you want to import names for
convenience, but not actually perform the imports until necessary.
The zope.deferredimport package provided facilities for defining
names in modules that will be imported from somewhere else when used.
You can also cause deprecation warnings to be issued when a variable
is used.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files zope

# we don't need this
rm -rf %{buildroot}%{python3_sitelib}/*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%if %{with docs}
%doc html
%endif
%exclude %{python3_sitelib}/zope/deferredimport/tests.py
%exclude %{python3_sitelib}/zope/deferredimport/__pycache__/tests.cpython-%{python3_version_nodots}{,.opt-?}.pyc
