%global pypi_name zope-event
%global srcname zope.event

%bcond_with check

Name:           python-%{pypi_name}
Version:        5.0
Release:        %mkrel 3
Summary:        Zope Event Publication
Group:          Development/Python
License:        ZPLv2.1
URL:            https://pypi.python.org/pypi/zope-event/
Source0:        %{pypi_source}
# upstream fixes for doc build with sphinx 8.1
# https://github.com/zopefoundation/zope.event/commit/cfcb34ea5c61d71c77529cbf2400738473e25bac
# https://bugzilla.redhat.com/show_bug.cgi?id=2329899
Patch1:         python-zope-event-docs.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

%package -n python3-%{pypi_name}
Summary:        Zope Event Publication (Python 3)
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

%prep
%autosetup -p1 -n zope.event-%{version}

%generate_buildrequires
%pyproject_buildrequires -x docs %{?with_check:-x test}

%build
%pyproject_wheel

# build the sphinx documents
PYTHONPATH=$(pwd)/src make -C docs html
rm -f docs/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files zope

# not needed
rm -rf %{buildroot}%{python3_sitelib}/*-nspkg.pth

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%doc docs/_build/html/
%license LICENSE.txt
