%define pypi_name zope-hookable
%define srcname zope.hookable

Name:           python-%{pypi_name}
Version:        6.0
Release:        %mkrel 2
Summary:        Zope hookable
Group:          Development/Python
License:        ZPL
URL:            https://pypi.org/project/zope-hookable/
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This package supports the efficient creation of “hookable” objects, which are
callable objects that are meant to be optionally replaced.

The idea is that you create a function that does some default thing and make it
hookable. Later, someone can modify what it does by calling its sethook method
and changing its implementation. All users of the function, including those
that imported it, will see the change.

%package -n     python3-%{pypi_name}
Summary:        Zope hookable
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 6.0

%description -n python3-%{pypi_name}
This package supports the efficient creation of “hookable” objects, which are
callable objects that are meant to be optionally replaced.

The idea is that you create a function that does some default thing and make it
hookable. Later, someone can modify what it does by calling its sethook method
and changing its implementation. All users of the function, including those
that imported it, will see the change.

%prep
%autosetup -p1 -n zope.hookable-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zope

# not needed
rm -rf %{buildroot}%{python3_sitearch}/*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt COPYRIGHT.txt
%doc README.rst
