%define srcname zope.interface
%define pypi_name  %(tr . - <<< %{srcname})

%bcond_with check

Summary:        Zope 3 Interface Infrastructure
Name:           python-%{pypi_name}
Version:        7.2
Release:        %mkrel 1
License:        ZPLv2.1
Group:          Development/Python
URL:            https://pypi.org/project/zope.interface
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.

This is a separate distribution of the zope.interface package used in Zope 3.

%package -n python3-%{pypi_name}
Summary:        Zope 3 Interface Infrastructure
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-zope_interface}
Provides:	python3-zope_interface = %{version}-%{release}
Obsoletes:	python3-zope_interface < 5.3.0

%description -n python3-%{pypi_name}
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.

This is a separate distribution of the zope.interface package used in Zope 3.

%prep
%setup -q -n zope.interface-%{version}

# Remove version limit from setuptools
sed -i '/setuptools/s/<.*"/"/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zope

# not needed
rm -rf %{buildroot}%{python3_sitearch}/*-nspkg.pth

%if %{with check}
%check
# We have to run tests installed together with the package
# https://github.com/zopefoundation/zope.interface/issues/196
pushd %{buildroot}%{python3_sitearch}
PURE_PYTHON=1 python3 -m unittest discover -s zope/interface -t .
popd
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt COPYRIGHT.txt
%doc README.rst CHANGES.rst
%exclude %{python3_sitearch}/zope/interface/tests/
%exclude %{python3_sitearch}/zope/interface/common/tests/
%exclude %{python3_sitearch}/zope/interface/_zope_interface_coptimizations.c
