%define pypi_name zope-proxy
%define srcname zope_proxy

Name:           python-%{pypi_name}
Version:        6.1
Release:        %mkrel 2
Summary:        Generic Transparent Proxies
Group:          Development/Python
License:        ZPL
URL:            https://pypi.org/project/zope-proxy
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Proxies are special objects which serve as mostly-transparent wrappers around
another object, intervening in the apparent behavior of the wrapped object only
when necessary to apply the policy (e.g., access checking, location brokering,
etc.) for which the proxy is responsible.

%package -n     python3-%{pypi_name}
Summary:        Generic Transparent Proxies
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 5.1

%description -n python3-%{pypi_name}
Proxies are special objects which serve as mostly-transparent wrappers around
another object, intervening in the apparent behavior of the wrapped object only
when necessary to apply the policy (e.g., access checking, location brokering,
etc.) for which the proxy is responsible.

%prep
%autosetup -p1 -n %{srcname}-%{version}

sed -i 's|setuptools<74|setuptools>=74|' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zope

# not needed
rm -rf %{buildroot}%{python3_sitearch}/*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt COPYRIGHT.txt
%doc README.rst
%{_includedir}/python%{pyver}/zope_proxy/
