# Created by pyp2rpm-3.3.2
%global pypi_name zope-testrunner
%global srcname zope_testrunner

%global _python_bytecompile_errors_terminate_build 0

%bcond_without check
%bcond_with docs

Name:           python-%{pypi_name}
Version:        7.0
Release:        %mkrel 1
Summary:        Zope testrunner script
Group:          Development/Python
License:        ZPL 2.1
URL:            https://github.com/zopefoundation/zope.testrunner
Source0:        %{pypi_source}
BuildArch:      noarch
# Work around a test failure with python 3.12
Patch0:         %{name}-python3.12.patch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This package provides a flexible test runner with layer support.

%package -n     python3-%{pypi_name}
Summary:        Zope testrunner script
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
This package provides a flexible test runner with layer support.

%pyproject_extras_subpkg -n python3-zope-testrunner subunit

%prep
%autosetup -p1 -n %{srcname}-%{version}

sed -i 's|<= 75.6.0|<78|' pyproject.toml tox.ini

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} -t -x test,subunit

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=$(pwd)/src sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files zope

# we don't have these
sed -i -e '/badsyntax\.cpython/d' %{pyproject_files}

# we don't want these
find %{buildroot} -name "*.pth" -delete

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE.md
%doc README.rst
%if %{with docs}
%doc html
%endif
%{_bindir}/zope-testrunner
%exclude %{python3_sitelib}/zope/testrunner/tests/
