%define pypi_name zstandard

Name:       python-%{pypi_name}
Version:    0.23.0
Release:    %mkrel 2
Summary:    Zstandard bindings for Python
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/zstandard
Source0:    %{pypi_source}
Patch1:     zstandard-linking.patch

%description
This project provides Python bindings for interfacing with the Zstandard
compression library. A C extension and CFFI interface are provided.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libzstd) >= 1.5.6
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cffi)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This project provides Python bindings for interfacing with the Zstandard
compression library. A C extension and CFFI interface are provided.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# drop bundled -egg-info
rm -rf src/*.egg-info

%build
%py3_build -- --system-zstd

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitearch}/zstandard
%{python3_sitearch}/zstandard-%{version}-*.egg-info
