%global pypi_name zstd
%global zstd_version 1.5.6

Name:           python-%{pypi_name}
Version:        %{zstd_version}.7
Release:        %mkrel 1
Summary:        Zstd Bindings for Python
Group:          Development/Python
License:        BSD
URL:            https://github.com/sergey-dryabzhinsky/python-zstd
Source0:        %{pypi_source}

# Patches to fix test execution
Patch0:         python-zstd-1.4.5.1-test-external.patch

BuildRequires:  gcc
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(libzstd) >= %{zstd_version}

%description
Simple Python bindings for the Zstd compression library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
# The library does not do symbol versioning to fully match automatically on
Requires:       %{mklibname zstd 1}%{?_isa} >= %{zstd_version}

%description -n python3-%{pypi_name}
Simple Python bindings for the Zstd compression library.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Remove bundled zstd library
rm -rf zstd/

%build
%py3_build -- --legacy --external

%install
%py3_install

%check
%{py3_test_envvars} %{python3} -m unittest -v

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/%{pypi_name}*.so
