Name:           python3-lxc
Epoch:          1
Version:        5.0.0
Release:        %mkrel 4
Summary:        Python binding for LXC
License:        LGPLv2+
Group:          Development/Python
URL:            https://linuxcontainers.org/lxc
Source0:        https://linuxcontainers.org/downloads/lxc/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  pkgconfig(lxc)
BuildRequires:  gcc

%{?python_provide:%python_provide python3-%{name}}

%description
Linux Resource Containers provide process and resource isolation
without the overhead of full virtualization.

The python3-lxc package contains the Python3 binding for LXC.

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}_lxc\\..*\\.so


%prep
%autosetup


%build
%py3_build


%install
%py3_install

# fix examples
chmod -x examples/*.py
sed -i -e '1 s@^#!.*@#!%{__python3}@' examples/*.py


%check
%py3_check_import lxc _lxc


%files
%license COPYING
%doc README.md examples
%{python3_sitearch}/*
