%{?python_enable_dependency_generator}

Name:           pywbem
Version:        1.7.2
Release:        %mkrel 3
Summary:        Python WBEM client interface and related utilities
License:        LGPLv2
Group:          Development/Python
URL:            https://github.com/pywbem/pywbem
Source0:        https://github.com/pywbem/pywbem/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  python3-pip
BuildRequires:  python3-PyYAML
BuildRequires:  python3-ply
BuildRequires:  python3-rpm-macros
BuildRequires:  python3-pbr
BuildRequires:  python3-devel
BuildArch:      noarch

%description
A Python library for making CIM (Common Information Model) operations over HTTP\
using the WBEM CIM-XML protocol. It is based on the idea that a good WBEM\
client should be easy to use and not necessarily require a large amount of\
programming knowledge. It is suitable for a large range of tasks from simply\
poking around to writing web and GUI applications.\
\
WBEM, or Web Based Enterprise Management is a manageability protocol, like\
SNMP, standardized by the Distributed Management Task Force (DMTF) available\
at https://dmtf.org/standards/wbem.\
\
It also provides a Python provider interface, and is the fastest and\
easiest way to write providers on the planet.

%package -n python3-pywbem
Summary:        Python3 WBEM Client and Provider Interface
Group:          Development/Python
BuildArch:      noarch

%description -n python3-pywbem
A WBEM client allows issuing operations to a WBEM server, using the CIM
operations over HTTP (CIM-XML) protocol defined in the DMTF standards DSP0200
and DSP0201. The CIM/WBEM infrastructure is used for a wide variety of systems
management tasks supported by systems running WBEM servers. See WBEM Standards
for more information about WBEM.

%prep
%autosetup -p1

sed -i 's|setuptools!=61.0.0|setuptools>62.0.0|' requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

rm -rf %{buildroot}%{_bindir}/*.bat

%files -n python3-pywbem
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/*.dist-info
%{python3_sitelib}/pywbem/
%{python3_sitelib}/pywbem_mock/
%{_bindir}/mof_compiler
