Name:           pyzo
Version:        4.15.0
Release:        %mkrel 2
Summary:        Cross-platform Python IDE focused on interactivity and introspection
License:        BSD
Group:          Development/Python
URL:            https://www.pyzo.org
Source0:        https://github.com/pyzo/pyzo/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         pyzo-4.10.0-fix-data_files.patch

BuildArch:      noarch
BuildRequires:  python3dist(setuptools)

Requires:       fonts-ttf-dejavu
Requires:       python3-packaging
Requires:       python3-pkg-resources
Requires:       python3-qt6-core
Requires:       python3-qt6-gui
Requires:       python3-qt6-help
Requires:       python3-qt6-network
Requires:       python3-qt6-printsupport
Requires:       python3-qt6-widgets
Requires:       python3dist(pyqt6-sip)
Requires:       python3-pyside6-core
Requires:       python3-pyside6-gui
Requires:       python3-pyside6-help
Requires:       python3-pyside6-network
Requires:       python3-pyside6-printsupport
Requires:       python3-pyside6-widgets

# iep was renamed to pyzo
Provides:       iep = %{version}-%{release}

%description
Pyzo is a cross-platform Python IDE focused on interactivity and
introspection, which makes it very suitable for scientific computing.
Its practical design is aimed at simplicity and efficiency.

It consists of two main components, the editor and the shell, and
uses a set of pluggable tools to help the programmer in various ways.
Some example tools are source structure, project manager,
interactive help and workspace.

#---------------------------------------------------------------------------

%prep
%autosetup -p1

# Removed bundled DejaVu fonts
# TODO: Unbundle SourceCodePro fonts
rm -rf pyzo/resources/fonts/DejaVu*.ttf

%build
%py3_build

%install
%py3_install

sed -i pyzo/resources/org.pyzo.Pyzo.desktop -e 's/pyzologo/%{name}/g'
install -D -m644 pyzo/resources/org.pyzo.Pyzo.desktop \
  %{buildroot}%{_datadir}/applications/org.pyzo.Pyzo.desktop

for size in 16 32 48 64 128 256; do
  install -D -m644 pyzo/resources/appicons/pyzologo${size}.png \
    %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

%files
%doc README.md
%license LICENSE.md
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/%{name}
%{_bindir}/pyzolauncher.py
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/org.%{name}.Pyzo.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
