%define api 1.0
%define major 0
%define libname %mklibname %name %api %major
%define develname %mklibname -d %name

Name: pyzy
Version: 0.1.0
Release: %mkrel 15
Summary:The Chinese PinYin and Bopomofo conversion library
License: LGPLv2+
Group: System/Internationalization
URL: https://code.google.com/p/pyzy
Source0: http://pyzy.googlecode.com/files/%{name}-%{version}.tar.gz
Source1: http://pyzy.googlecode.com/files/pyzy-database-1.0.0.tar.bz2
Patch0:  pyzy-0.1.0-fixes-compile.patch
Patch1:  pyzy-0.1.0-port-to-python3.patch
# From  https://github.com/pyzy/pyzy/compare/master...hillwoodroc:master.patch
Patch2:  pyzy-0.1.0-opencc.patch
BuildRequires: pkgconfig(glib-2.0) >= 2.24.0
BuildRequires: pkgconfig(opencc)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(uuid)
BuildRequires: sqlite3-tools
BuildRequires: python3
Requires: pyzy-db = %{version}-%{release}

%description
The Chinese Pinyin and Bopomofo conversion library.

%package -n %{libname}
Summary:	Libraries for pyzy
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n %{libname}
The Chinese Pinyin and Bopomofo conversion library.

%package -n %{develname}
Summary:    Development tools for pyzy
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}

%description -n %{develname}
The pyzy-devel package contains the header files for pyzy.

%package    db-open-phrase
Summary:    The open phrase database for pyzy
Group:      System/Internationalization
BuildArch:  noarch
Provides:   pyzy-db

%description db-open-phrase
The phrase database for pyzy from open-phrase project.

%package    db-android
Summary:    The android phrase database for pyzy
Group:      System/Internationalization
BuildArch:  noarch
Provides:   pyzy-db

%description db-android
The phrase database for pyzy from android project.

%prep
%setup -q
cp -p %{SOURCE1} data/db/open-phrase
%autopatch -p1

%build
%configure --disable-static \
           --enable-db-open-phrase \
           --enable-opencc
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/db/*

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/lib*%{api}.so.%{major}
%{_libdir}/lib*%{api}.so.%{major}.*

%files -n %{develname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files db-open-phrase
%{_datadir}/pyzy/db/open-phrase.db

%files db-android
%{_datadir}/pyzy/db/android.db
