Name:		q4wine
Version:	1.3.13
Release:	%mkrel 3
Summary:	Qt5 GUI for W.I.N.E
Group:		Emulators
License:	GPLv3
URL:		https://q4wine.brezblock.org.ua/
Source0:	https://github.com/brezerk/q4wine/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		q4wine-1.3.11-linking.patch

ExclusiveArch:  %{ix86} x86_64 aarch64

BuildRequires:	cmake
BuildRequires:	icoutils
BuildRequires:	fuseiso
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

Requires:	fuseiso
Requires:	icoutils
Requires:	qt5-database-plugin-sqlite
Requires:	sudo
Requires:	wget
Requires:	wine-bin

%description
Q4Wine will help you manage wine prefixes and installed applications.

General features are:
- Easy controlling for wine process;
- Autostart icons support;
- Easy cd-image use;
- You can extract icons from PE files (.exe .dll);
- Easy backup and restore for managed prefixes;
- Winetriks support.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DLIBS_ENTRY_PATH=%{_libdir} \
	-DWITH_SYSTEM_SINGLEAPP=ON \
	-DQTSINGLEAPPLIB_INCLUDE_DIR=%{_qt5_includedir}/QtSolutions \
	-DUSE_GZIP=ON \
	-DQT5=ON
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_libdir}/lib%{name}-core.so
%{_mandir}/man1/%{name}*.1*
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_iconsdir}/ubuntu-mono-dark/scalable/apps/%{name}.svg
