Summary:	A very versatile desktop calculator
Name:		qalculate-gtk
Version:	5.5.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Office/Utilities
URL:		https://qalculate.github.io/
Source0:	https://github.com/Qalculate/qalculate-gtk/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch1:		qalculate-gtk-disable-update-check.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libqalculate) >= %{version}
Recommends:	gnuplot

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface that uses a one-line fault-tolerant expression entry
(although it supports optional traditional buttons).

This package provides the GTK frontend.

%prep
%autosetup -p1

%build
%configure --libdir=%{_libexecdir}
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%doc %{_docdir}/%{name}/html/
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/qalculate.{svg,png}
%{_mandir}/man1/qalculate-gtk.1*
%{_libexecdir}/qalculate-search-provider
%{_datadir}/dbus-1/services/io.github.Qalculate.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/io.github.Qalculate.search-provider.ini
