Summary:	A very versatile desktop calculator
Name:		qalculate-qt
Version:	5.5.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Office/Utilities
URL:		https://qalculate.github.io/
Source0:	https://github.com/Qalculate/qalculate-qt/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Disable-check-for-updates.patch
BuildRequires:	rpm_macro(qmake_qt6)
BuildRequires:	qmake-qt6
BuildRequires:	qttools6
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libqalculate) >= %{version}
BuildRequires:	pkgconfig(Qt6Widgets)
BuildRequires:	pkgconfig(Qt6Network)
Recommends:	gnuplot

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface that uses a one-line fault-tolerant expression entry
(although it supports optional traditional buttons).

This package provides the Qt frontend.

%prep
%autosetup -p1

%build
%qmake_qt6 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%find_lang %{name} --with-qt

%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/%{name}
%{_datadir}/applications/io.github.Qalculate.qalculate-qt.desktop
%{_metainfodir}/io.github.Qalculate.qalculate-qt.metainfo.xml
%{_iconsdir}/hicolor/*/apps/qalculate-qt.{svg,png}
%{_mandir}/man1/qalculate-qt.1*
