Name:		qaquarelle
Version:	0.0.4
Release:	%mkrel 18
License:	GPLv3
Summary:	Digital painting
URL:		https://qaquarelle.sourceforge.net/
Group:		Graphics/Editors and Converters
Source0:	https://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:	ru.ts
Source2:	%{name}.desktop
Source3:	%{name}.png
Patch0:		%{name}-0.0.4-mga-fix-toolbar.patch
Patch1:		%{name}-0.0.4-mga-debug-output.patch
Patch2:		%{name}-0.0.4-mga-arm-build.patch
Patch3:		qaquarelle-0.0.4-gcc7.patch
Patch4:		qaquarelle-0.0.4-str-fmt.patch
BuildRequires:	pkgconfig(QtCore)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	dos2unix

%description
Program to paint with tablets using traditional drawing techniques.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%ifarch %{arm} aarch64
dos2unix common/modules/arrays/arraygrid_patch.cpp
%patch -P 2 -p1
%endif
%patch -P 3 -p1 -b .gcc7
%patch -P 4 -p1 -b .strfmt

chmod -x README
chmod -x PERFORMANCE
cp -f %{SOURCE1} .
sed -i -e "s|target.path = /usr/bin|target.path = %{_datadir}/%{name}|g" client/qasuiteapp/qasuiteapp.pro
sed -i -e "s|target.path = /usr/bin|target.path = %{_datadir}/%{name}|g" server/qasuite_server/qasuite_server.pro
sed -i -e "s|-lShiny|-lShiny -lGLU|g" ./client/qasuiteapp/qasuiteapp.pro
sed -i -e 's|loc_path = DATA_PATH + "locale/";|loc_path = DATA_PATH + "/locale/";|g' client/qasuiteapp/main.cpp
sed -i -e 's|translator.load(loc_path);|translator.load("qaquarelle", loc_path);|g' client/qasuiteapp/main.cpp
sed -i -e 's|/../share/qaquarelle||g' client/qasuiteapp/main.cpp
echo "TRANSLATIONS = ./ru.ts" >> qasuite.pro

sed -i -e '524s|QFile file|QFile newfile|' -e '525s|\&file|\&newfile|' -e '628s|QFile file|QFile newfile|' -e '629s|\&file|\&newfile|' client/modules/connector_loopback/connector.cpp

%build
# we use qmake and make, because any macroses does not work
qmake QMAKE_CFLAGS="%{optflags}" QMAKE_CXXFLAGS="%{optflags}" QMAKE_LFLAGS="%{ldflags}"
lrelease ./qasuite.pro
mkdir -p ./bin/locale/ru
cp -f ./ru.qm ./bin/locale/ru/%{name}.qm
make

%install
%make_install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/

mkdir -p %{buildroot}%{_datadir}/%{name}/locale
cp -rf ./bin/locale/* %{buildroot}%{_datadir}/%{name}/locale/

mkdir -p %{buildroot}%{_bindir}
echo "#!/bin/bash" > %{buildroot}%{_bindir}/%{name}
echo "exec %{_datadir}/%{name}/%{name}" >> %{buildroot}%{_bindir}/%{name}
chmod 755 %{buildroot}%{_bindir}/%{name}

chmod -x %{buildroot}%{_datadir}/%{name}/shaders/*/*.glsl
chmod -x %{buildroot}%{_datadir}/%{name}/pigments/*.xml
chmod -x %{buildroot}%{_datadir}/%{name}/images/paper/*.xml

%files
%doc README PERFORMANCE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
