Name:		qastools
Version:	1.4.0
Release:	%mkrel 1
Summary:	A collection of desktop applications for ALSA
License:	GPLv3
Group:		Sound/Utilities
Url:		https://gitlab.com/sebholt/qastools
Source0:	https://gitlab.com/sebholt/qastools/-/archive/v%{version}/%{name}-v%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	desktop-file-utils

%description
QasTools is a collection of Qt-based mixer and setup tools for the
Linux sound system ALSA.

Features:
   * Desktop ALSA mixer applications
   * Desktop ALSA configuration browser


%prep
%setup -q -n %{name}-v%{version}
%autopatch -p1

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

# make the .desktop file compliant with freedesktop specs
for i in qasconfig qashctl qasmixer;
do
desktop-file-validate %{buildroot}%{_datadir}/applications/$i.desktop
done

# it'll be %%doc'ed
rm -f %{buildroot}%{_datadir}/%{name}/COPYING

%files
%doc CHANGELOG README.md
%license COPYING
%{_bindir}/qasconfig
%{_bindir}/qashctl
%{_bindir}/qasmixer
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_mandir}/man1/qasconfig.1.*
%{_mandir}/man1/qashctl.1.*
%{_mandir}/man1/qasmixer.1.*
%{_datadir}/%{name}/icons/*.svg
%{_datadir}/%{name}/widgets/sw_joined_*.svg
%{_datadir}/%{name}/l10n/%{name}_*.qm
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/icons
%dir %{_datadir}/%{name}/widgets
%dir %{_datadir}/%{name}/l10n
%{_metainfodir}/qasconfig.appdata.xml
%{_metainfodir}/qashctl.appdata.xml
%{_metainfodir}/qasmixer.appdata.xml
