%define build_nox 1

Name:		qbittorrent
Version:	5.0.5
Release:	%mkrel 1
Summary:	A lightweight but featureful BitTorrent client
Group:		Networking/File transfer
License:	GPLv2+
Url:		https://www.qbittorrent.org/
Source0:	https://downloads.sourceforge.net/qbittorrent/qbittorrent-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	ninja-build
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libtorrent-rasterbar) >= 1.1.4
BuildRequires:	systemd
Requires:	python3
#(eatdirt) missing icons otherwise
Requires:       qt6-qtsvg

%description
A lightweight but feature-full BitTorrent client that aims to be very easy
to use. It is multi-platform and provides a Qt6 graphical interface.

%package -n %{name}-nox
Summary:	A Headless Bittorrent Client
Group:		Networking/File transfer

%description -n %{name}-nox
A Headless BitTorrent Client with a feature rich Web UI allowing users to
control the client remotely.

%prep
%autosetup -p1

cp -a . %{_builddir}/build-nox

%build
export LDFLAGS="%{?__global_ldflags} -pthread"

### Build headless first
%if %build_nox
pushd %{_builddir}/build-nox
%cmake -GNinja -DVERBOSE_CONFIGURE=ON -DSYSTEMD=ON -DGUI=OFF -DQT6=ON
%cmake_build
popd
%endif

### Build gui version
%cmake -GNinja -DVERBOSE_CONFIGURE=ON -DQT6=ON
%cmake_build

%install
### install headless version
%if %build_nox
pushd %{_builddir}/build-nox
%cmake_install
popd
%endif

### install gui version
%cmake_install

%files
%license COPYING
%doc AUTHORS Changelog README.md
%{_bindir}/%{name}
%{_datadir}/applications/org.%{name}.qBittorrent.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_iconsdir}/hicolor/*/status/%{name}-tray.png
%{_iconsdir}/hicolor/*/status/%{name}-tray*.svg
%{_mandir}/man1/%{name}.1*
%lang(ru) %{_mandir}/ru/man1/%{name}.1*
%{_metainfodir}/org.%{name}.qBittorrent.metainfo.xml

%if %build_nox
%files -n  %{name}-nox
%{_bindir}/%{name}-nox
%{_mandir}/man1/%{name}-nox.1*
%lang(ru) %{_mandir}/ru/man1/%{name}-nox.1*
%{_unitdir}/qbittorrent-nox@.service
%endif
