%define		qtver 5.15.16

Summary:	A professional CAD system
Name:		qcad
Version:	3.32.1.0
Release:	%mkrel 1
Group:		Graphics/Editors and Converters
License:	GPLv3 with exceptions or CC-BY or GPLv2+ or LGPLv2+ or BSD
URL:		https://www.qcad.org/
Source0:	https://github.com/qcad/qcad/archive/v%{version}/%{name}-%{version}.tar.gz

# minimal BuildRequires
BuildRequires:	cmake(Qt5Concurrent)
BuildRequires:	cmake(Qt5Core) >= %{qtver}
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5OpenGL)
BuildRequires:	cmake(Qt5PrintSupport)
BuildRequires:	cmake(Qt5Qml)
BuildRequires:	cmake(Qt5Script)
BuildRequires:	cmake(Qt5ScriptTools)
BuildRequires:	cmake(Qt5Sql)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Xml)
BuildRequires:	cmake(Qt5XmlPatterns)
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5UiTools)
BuildRequires:	cmake(Qt5Designer)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	spatialindex-devel

Requires:	qtimageformats5
Requires:	qttranslations5

Provides:	bundled(qtscriptgenerator)

%description
QCad is a professional CAD System. With QCad you can easily construct
and change drawings with ISO-text and many other features and save
them as DXF-files. These DXF-files are the interface to many
CAD-systems such as AutoCAD(TM) and many others.

%prep
%autosetup -p1

# Workaround for unused SPECPARTS directory
rm -rf ../*-SPECPARTS

rm -rf src/3rdparty/spatialindexnavel/include/spatialindex

cp -a src/3rdparty/qt-labs-qtscriptgenerator-5.15.8 src/3rdparty/qt-labs-qtscriptgenerator-5.15.16
mv src/3rdparty/qt-labs-qtscriptgenerator-5.15.16/qt-labs-qtscriptgenerator-5.15.8.pro \
src/3rdparty/qt-labs-qtscriptgenerator-5.15.16/qt-labs-qtscriptgenerator-5.15.16.pro

%build
%qmake_qt5

%make_build

%install
install -dm755 %{buildroot}%{_datadir}/%{name}
cp -r examples fonts libraries linetypes patterns plugins scripts ts %{buildroot}%{_datadir}/%{name}
cp release/* %{buildroot}%{_datadir}/%{name}

# qt
for sofiles in %{_qt5_plugindir}/imageformats/*.so
do
    ln -sf ${sofiles} %{buildroot}%{_datadir}/%{name}/plugins/imageformats/${sofiles##/*/}
done

for sofiles in %{_qt5_plugindir}/sqldrivers/*.so
do
    ln -sf ${sofiles} %{buildroot}%{_datadir}/%{name}/plugins/sqldrivers/${sofiles##/*/}
done

for sofiles in %{_qt5_plugindir}/printsupport/*.so
do
    ln -sf ${sofiles} %{buildroot}%{_datadir}/%{name}/plugins/printsupport/${sofiles##/*/}
done

install -Dm644 scripts/%{name}_icon.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}_icon.png
install -Dm644 scripts/%{name}_icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}_icon.svg

install -dm0755 %{buildroot}%{_bindir}
echo -e '#!/bin/sh\ncd %{_datadir}/%{name}\nLD_LIBRARY_PATH=`pwd`:%{_libdir}/%{name}:$LD_LIBRARY_PATH exec ./%{name}-bin' > %{buildroot}%{_bindir}/%{name}
chmod 0755 %{buildroot}%{_bindir}/%{name}

rm -f %{buildroot}%{_datadir}/%{name}/*.a

install -dm0755 %{buildroot}%{_libdir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/*.so %{buildroot}%{_libdir}/%{name}

# man page
install -Dm644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

# documentation for help system
install -Dm644 readme.txt %{buildroot}%{_datadir}/%{name}/readme.txt

# desktop
install -Dm644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# remove project files
find %{buildroot} \( -name '*.pri' -or -name '*.pro' -or -name '*.ts' \) -delete
find %{buildroot} \( -name 'Makefile*' -or -name '.gitignore' \) -delete

%files
%doc readme.txt README.md
%license LICENSE.txt gpl-3.0.txt cc-by-3.0.txt gpl-3.0-exceptions.txt
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_iconsdir}/hicolor/*/apps/%{name}_icon.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}.1.*
