%define uname   QComicBook

Name:		qcomicbook
Version:	0.9.1
Release:	%mkrel 6
Summary:	Comic book archive viewer
Group:		File tools
License:	GPLv2+
URL:		https://github.com/stolowski/QComicBook
Source0:	https://github.com/stolowski/QComicBook/archive/%{version}/%{uname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	qttools5

Requires:	unzip
Recommends:	unrar
Recommends:	p7zip

%description
QComicBook is a viewer for comic book archives containing JPEG/PNG
images, which aims at convenience and simplicity. Features include:

    * automatic handling of archives
    * full-screen mode
    * two-pages mode and Japanese mode
    * thumbnails view
    * page scaling (fit to window width/height, whole page)
    * mouse or keyboard navigation, whatever you prefer
    * bookmarks
    * and more...

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS README ChangeLog COPYING THANKS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*
