%bcond_without qt5
%bcond_without qt6

%bcond_with asan

%global appname QCoro

%global qt5_build_dir build-qt5
%global qt6_build_dir build-qt6

Name:           qcoro
Version:        0.11.0
Release:        %mkrel 3
Summary:        C++ Coroutines for Qt
Group:          Development/KDE and Qt
License:        MIT
URL:            https://github.com/qcoro/qcoro
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

%if %{with qt5}
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5WebSockets)
BuildRequires:  cmake(Qt5Widgets)
%endif

%if %{with qt6}
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WebSockets)
BuildRequires:  cmake(Qt6Widgets)
%endif

BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  cmake
BuildRequires:  dbus-x11
BuildRequires:  ninja
%if %{with asan}
BuildRequires:  libasan-devel%{?_isa}
%endif

%description
The QCoro library provides set of tools to make use of the C++20 coroutines
in connection with certain asynchronous Qt actions.

The major benefit of using coroutines with Qt types is that it allows writing
asynchronous code as if it were synchronous and, most importantly, while the
coroutine is co_awaiting, the Qt event loop runs as usual, meaning that your
application remains responsive.

#--------------------------------------------------------------------

%if %{with qt5}

%define qcoroqt5_major 0
%define libqcoro5core %mklibname qcoro5core %{qcoroqt5_major}

%package -n %{libqcoro5core}
Summary:        C++ Coroutines for Qt 5
Group:          Development/KDE and Qt
Provides:       qcoro-qt5 = %{?epoch:%{epoch}:}%{version}-%{release}

%description -n %{libqcoro5core}
The QCoro library provides set of tools to make use of the C++20 coroutines
in connection with certain asynchronous Qt actions.

The major benefit of using coroutines with Qt types is that it allows writing
asynchronous code as if it were synchronous and, most importantly, while the
coroutine is co_awaiting, the Qt event loop runs as usual, meaning that your
application remains responsive.

#--------------------------------------------------------------------

%define qcoroqt5_major 0
%define libqcoro5dbus %mklibname qcoro5dbus %{qcoroqt5_major}

%package -n %{libqcoro5dbus}
Summary:        C++ Coroutines for Qt 5
Group:          Development/KDE and Qt

%description -n %{libqcoro5dbus}
The QCoro library provides set of tools to make use of the C++20 coroutines
in connection with certain asynchronous Qt actions.

The major benefit of using coroutines with Qt types is that it allows writing
asynchronous code as if it were synchronous and, most importantly, while the
coroutine is co_awaiting, the Qt event loop runs as usual, meaning that your
application remains responsive.

#--------------------------------------------------------------------

%define qcoroqt5_major 0
%define libqcoro5network %mklibname qcoro5network %{qcoroqt5_major}

%package -n %{libqcoro5network}
Summary:        C++ Coroutines for Qt 5
Group:          Development/KDE and Qt

%description -n %{libqcoro5network}
The QCoro library provides set of tools to make use of the C++20 coroutines
in connection with certain asynchronous Qt actions.

The major benefit of using coroutines with Qt types is that it allows writing
asynchronous code as if it were synchronous and, most importantly, while the
coroutine is co_awaiting, the Qt event loop runs as usual, meaning that your
application remains responsive.

#--------------------------------------------------------------------

%define qcoroqt5_major 0
%define libqcoro5qml %mklibname qcoro5qml %{qcoroqt5_major}

%package -n %{libqcoro5qml}
Summary:        C++ Coroutines for Qt 5
Group:          Development/KDE and Qt

%description -n %{libqcoro5qml}
The QCoro library provides set of tools to make use of the C++20 coroutines
in connection with certain asynchronous Qt actions.

The major benefit of using coroutines with Qt types is that it allows writing
asynchronous code as if it were synchronous and, most importantly, while the
coroutine is co_awaiting, the Qt event loop runs as usual, meaning that your
application remains responsive.

#--------------------------------------------------------------------

%define qcoroqt5_major 0
%define libqcoro5quick %mklibname qcoro5quick %{qcoroqt5_major}

%package -n %{libqcoro5quick}
Summary:        C++ Coroutines for Qt 5
Group:          Development/KDE and Qt

%description -n %{libqcoro5quick}
The QCoro library provides set of tools to make use of the C++20 coroutines
in connection with certain asynchronous Qt actions.

The major benefit of using coroutines with Qt types is that it allows writing
asynchronous code as if it were synchronous and, most importantly, while the
coroutine is co_awaiting, the Qt event loop runs as usual, meaning that your
application remains responsive.

#--------------------------------------------------------------------

%define qcoroqt5_major 0
%define libqcoro5websockets %mklibname qcoro5websockets %{qcoroqt5_major}

%package -n %{libqcoro5websockets}
Summary:        C++ Coroutines for Qt 5
Group:          Development/KDE and Qt

%description -n %{libqcoro5websockets}
The QCoro library provides set of tools to make use of the C++20 coroutines
in connection with certain asynchronous Qt actions.

The major benefit of using coroutines with Qt types is that it allows writing
asynchronous code as if it were synchronous and, most importantly, while the
coroutine is co_awaiting, the Qt event loop runs as usual, meaning that your
application remains responsive.

#--------------------------------------------------------------------

%define qcoroqt5_devel %mklibname qcoro-qt5 -d

%package -n %{qcoroqt5_devel}
Summary:        Development files for %{appname} (Qt 5 version)
Group:          Development/KDE and Qt
Requires:       %{libqcoro5core} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       %{libqcoro5dbus} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       %{libqcoro5network} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       %{libqcoro5qml} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       %{libqcoro5quick} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       %{libqcoro5websockets} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       %{name}-devel = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       %{name}-qt5-devel = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:      qcoro-qt5-devel < 0.6.0-2

%description -n %{qcoroqt5_devel}
This package contains header files needed if you wish to build applications
based on %{appname} (Qt 5 version).
%endif

#--------------------------------------------------------------------

%if %{with qt6}

%define qcoroqt6_major 0
%define libqcoro6core %mklibname qcoro6core %{qcoroqt6_major}

%package -n %{libqcoro6core}
Summary:        C++ Coroutines for Qt 6
Group:          Development/KDE and Qt
Provides:       qcoro-qt6 = %{?epoch:%{epoch}:}%{version}-%{release}

%description -n %{libqcoro6core}
The QCoro library provides set of tools to make use of the C++20 coroutines
in connection with certain asynchronous Qt actions.

The major benefit of using coroutines with Qt types is that it allows writing
asynchronous code as if it were synchronous and, most importantly, while the
coroutine is co_awaiting, the Qt event loop runs as usual, meaning that your
application remains responsive.

#--------------------------------------------------------------------

%define qcoroqt6_major 0
%define libqcoro6dbus %mklibname qcoro6dbus %{qcoroqt6_major}

%package -n %{libqcoro6dbus}
Summary:        C++ Coroutines for Qt 6
Group:          Development/KDE and Qt

%description -n %{libqcoro6dbus}
The QCoro library provides set of tools to make use of the C++20 coroutines
in connection with certain asynchronous Qt actions.

The major benefit of using coroutines with Qt types is that it allows writing
asynchronous code as if it were synchronous and, most importantly, while the
coroutine is co_awaiting, the Qt event loop runs as usual, meaning that your
application remains responsive.

#--------------------------------------------------------------------

%define qcoroqt6_major 0
%define libqcoro6network %mklibname qcoro6network %{qcoroqt6_major}

%package -n %{libqcoro6network}
Summary:        C++ Coroutines for Qt 6
Group:          Development/KDE and Qt

%description -n %{libqcoro6network}
The QCoro library provides set of tools to make use of the C++20 coroutines
in connection with certain asynchronous Qt actions.

The major benefit of using coroutines with Qt types is that it allows writing
asynchronous code as if it were synchronous and, most importantly, while the
coroutine is co_awaiting, the Qt event loop runs as usual, meaning that your
application remains responsive.

#--------------------------------------------------------------------

%define qcoroqt6_major 0
%define libqcoro6qml %mklibname qcoro6qml %{qcoroqt6_major}

%package -n %{libqcoro6qml}
Summary:        C++ Coroutines for Qt 6
Group:          Development/KDE and Qt

%description -n %{libqcoro6qml}
The QCoro library provides set of tools to make use of the C++20 coroutines
in connection with certain asynchronous Qt actions.

The major benefit of using coroutines with Qt types is that it allows writing
asynchronous code as if it were synchronous and, most importantly, while the
coroutine is co_awaiting, the Qt event loop runs as usual, meaning that your
application remains responsive.

#--------------------------------------------------------------------

%define qcoroqt6_major 0
%define libqcoro6quick %mklibname qcoro6quick %{qcoroqt6_major}

%package -n %{libqcoro6quick}
Summary:        C++ Coroutines for Qt 6
Group:          Development/KDE and Qt

%description -n %{libqcoro6quick}
The QCoro library provides set of tools to make use of the C++20 coroutines
in connection with certain asynchronous Qt actions.

The major benefit of using coroutines with Qt types is that it allows writing
asynchronous code as if it were synchronous and, most importantly, while the
coroutine is co_awaiting, the Qt event loop runs as usual, meaning that your
application remains responsive.

#--------------------------------------------------------------------

%define qcoroqt6_major 0
%define libqcoro6websockets %mklibname qcoro6websockets %{qcoroqt6_major}

%package -n %{libqcoro6websockets}
Summary:        C++ Coroutines for Qt 6
Group:          Development/KDE and Qt

%description -n %{libqcoro6websockets}
The QCoro library provides set of tools to make use of the C++20 coroutines
in connection with certain asynchronous Qt actions.

The major benefit of using coroutines with Qt types is that it allows writing
asynchronous code as if it were synchronous and, most importantly, while the
coroutine is co_awaiting, the Qt event loop runs as usual, meaning that your
application remains responsive.

#--------------------------------------------------------------------

%define qcoroqt6_devel %mklibname qcoro-qt6 -d

%package -n %{qcoroqt6_devel}
Summary:        Development files for %{appname} (Qt 6 version)
Group:          Development/KDE and Qt
Requires:       %{libqcoro6core} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       %{libqcoro6dbus} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       %{libqcoro6network} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       %{libqcoro6qml} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       %{libqcoro6quick} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       %{libqcoro6websockets} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       %{name}-qt6-devel = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:      qcoro-qt6-devel < 0.6.0-2

%description -n %{qcoroqt6_devel}
This package contains header files needed if you wish to build applications
based on %{appname} (Qt 6 version).
%endif

#--------------------------------------------------------------------

%prep
%autosetup -p1

sed -e '/-Werror/d' -i CMakeLists.txt

%build
%if %{with qt5}
%define _vpath_builddir %{qt5_build_dir}
%cmake -G Ninja \
    -DUSE_QT_VERSION:STRING=5 \
    -DBUILD_TESTING:BOOL=ON \
    -DQCORO_BUILD_EXAMPLES:BOOL=ON \
    -DQCORO_ENABLE_ASAN:BOOL=%{?with_asan:ON}%{!?with_asan:OFF} \
    -DQCORO_WITH_QML:BOOL=ON \
    -DQCORO_WITH_QTDBUS:BOOL=ON \
    -DQCORO_WITH_QTNETWORK:BOOL=ON \
    -DQCORO_WITH_QTQUICK:BOOL=ON \
    -DQCORO_WITH_QTWEBSOCKETS:BOOL=ON
%cmake_build
%endif

%if %{with qt6}
%define _vpath_builddir %{qt6_build_dir}
%cmake -G Ninja \
    -DUSE_QT_VERSION:STRING=6 \
    -DBUILD_TESTING:BOOL=ON \
    -DQCORO_BUILD_EXAMPLES:BOOL=ON \
    -DQCORO_ENABLE_ASAN:BOOL=%{?with_asan:ON}%{!?with_asan:OFF} \
    -DQCORO_WITH_QML:BOOL=ON \
    -DQCORO_WITH_QTDBUS:BOOL=ON \
    -DQCORO_WITH_QTNETWORK:BOOL=ON \
    -DQCORO_WITH_QTQUICK:BOOL=ON \
    -DQCORO_WITH_QTWEBSOCKETS:BOOL=ON
%cmake_build
%endif

%install
%if %{with qt5}
%define _vpath_builddir %{qt5_build_dir}
%cmake_install
%endif

%if %{with qt6}
%define _vpath_builddir %{qt6_build_dir}
%cmake_install
%endif

%check
%if %{with qt5}
%define _vpath_builddir %{qt5_build_dir}
#%%ctest --timeout 3600 --exclude-regex 'qcoroimageprovider, qdbuspendingreply'
%endif

%if %{with qt6}
%define _vpath_builddir %{qt6_build_dir}
#%%ctest --timeout 3600 --exclude-regex 'qcoroimageprovider, qdbuspendingreply'
%endif

%if %{with qt5}
%files -n %{libqcoro5core}
%doc README.md
%license LICENSES/*
%{_libdir}/libQCoro5Core.so.%{qcoroqt5_major}
%{_libdir}/libQCoro5Core.so.%{version}

%files -n %{libqcoro5dbus}
%doc README.md
%license LICENSES/*
%{_libdir}/libQCoro5DBus.so.%{qcoroqt5_major}
%{_libdir}/libQCoro5DBus.so.%{version}

%files -n %{libqcoro5network}
%doc README.md
%license LICENSES/*
%{_libdir}/libQCoro5Network.so.%{qcoroqt5_major}
%{_libdir}/libQCoro5Network.so.%{version}

%files -n %{libqcoro5qml}
%doc README.md
%license LICENSES/*
%{_libdir}/libQCoro5Qml.so.%{qcoroqt5_major}
%{_libdir}/libQCoro5Qml.so.%{version}

%files -n %{libqcoro5quick}
%doc README.md
%license LICENSES/*
%{_libdir}/libQCoro5Quick.so.%{qcoroqt5_major}
%{_libdir}/libQCoro5Quick.so.%{version}

%files -n %{libqcoro5websockets}
%doc README.md
%license LICENSES/*
%{_libdir}/libQCoro5WebSockets.so.%{qcoroqt5_major}
%{_libdir}/libQCoro5WebSockets.so.%{version}

%files -n %{qcoroqt5_devel}
%{_includedir}/%{name}5/
%{_libdir}/cmake/%{appname}5*/
%{_libdir}/libQCoro5Core.so
%{_libdir}/libQCoro5DBus.so
%{_libdir}/libQCoro5Network.so
%{_libdir}/libQCoro5Qml.so
%{_libdir}/libQCoro5Quick.so
%{_libdir}/libQCoro5WebSockets.so
%{_libdir}/qt5/mkspecs/modules/qt_%{appname}*.pri
%endif

%if %{with qt6}
%files -n %{libqcoro6core}
%doc README.md
%license LICENSES/*
%{_libdir}/libQCoro6Core.so.%{qcoroqt6_major}
%{_libdir}/libQCoro6Core.so.%{version}

%files -n %{libqcoro6dbus}
%doc README.md
%license LICENSES/*
%{_libdir}/libQCoro6DBus.so.%{qcoroqt6_major}
%{_libdir}/libQCoro6DBus.so.%{version}

%files -n %{libqcoro6network}
%doc README.md
%license LICENSES/*
%{_libdir}/libQCoro6Network.so.%{qcoroqt6_major}
%{_libdir}/libQCoro6Network.so.%{version}

%files -n %{libqcoro6qml}
%doc README.md
%license LICENSES/*
%{_libdir}/libQCoro6Qml.so.%{qcoroqt6_major}
%{_libdir}/libQCoro6Qml.so.%{version}

%files -n %{libqcoro6quick}
%doc README.md
%license LICENSES/*
%{_libdir}/libQCoro6Quick.so.%{qcoroqt6_major}
%{_libdir}/libQCoro6Quick.so.%{version}

%files -n %{libqcoro6websockets}
%doc README.md
%license LICENSES/*
%{_libdir}/libQCoro6WebSockets.so.%{qcoroqt6_major}
%{_libdir}/libQCoro6WebSockets.so.%{version}

%files -n %{qcoroqt6_devel}
%{_includedir}/%{name}6/
%{_libdir}/cmake/%{appname}6*/
%{_libdir}/libQCoro6Core.so
%{_libdir}/libQCoro6DBus.so
%{_libdir}/libQCoro6Network.so
%{_libdir}/libQCoro6Qml.so
%{_libdir}/libQCoro6Quick.so
%{_libdir}/libQCoro6WebSockets.so
%{_libdir}/qt6/mkspecs/modules/qt_%{appname}*.pri
%endif
