Name:           qdevelop
Version:        0.29
Release:        %mkrel 10
Summary:        Development environment dedicated to Qt4
Group:          Development/C++
License:        GPLv2+
URL:            https://code.google.com/p/qdevelop
Source0:        %{name}-v%{version}.tar.gz
# https://code.google.com/p/qdevelop/issues/detail?id=391
Patch0:         %{name}-%{version}-mga-i18n-desktop.patch
Patch1:         qdevelop-v0.29-gcc7.patch
BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel

%description
QDevelop is a development environment entirely dedicated to Qt4, which
requires Qt4, gcc, possibly gdb for program debugging and ctags for
code completion.

%package plugins
Summary: Plugins for %{name}
Group: Development/C++
Requires: %{name} = %{version}

%description plugins
This package contains plugins for %{name}.

%prep
%setup -qn %{name}-v%{version}
%autopatch -p1
# for wrong-script-end-of-line-encoding
sed -i -e 's/\r//' README.txt
# hardcoded lib path
sed -i -e "s/lib/%{_lib}/" src/mainimpl.cpp
# Change translation directory
sed -i -e "s/lib\//share\//" src/main.cpp
# Change initialization to avoid compilation error with Qt 4.7.0
sed -i -e "s/=0/=QString::null/" src/build.h
sed -i -e "s/ttf=0/ttf=QString::null/" src/textEdit.h

%build
%{qt4bin}/lrelease QDevelop.pro
%qmake_qt4 -recursive
%make_build
# plugins compilation
cd plugins
for pluginName in $(ls)
do
   cd $pluginName
   %qmake_qt4
   %make_build
   cd ..
done

%install
%make_install INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/pixmaps/ %{buildroot}%{_libdir}/%{name}/plugins/ %{buildroot}%{_datadir}/%{name}/translations/
install -Dp bin/plugins/*.so %{buildroot}%{_libdir}/%{name}/plugins/
install -pDm644 resources/translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/
install -pDm644 resources/images/logo.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --mode 644 --dir %{buildroot}%{_datadir}/applications/ %{name}.desktop

%files
%doc README.txt ChangeLog.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

%files plugins
%{_libdir}/%{name}
