# comment out when not pre-release
#define prel	rc2

%define rel 1

%global upver	0.9

Name:		qelectrotech
Epoch:		3
Version:	0.90
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	A tool to design electric diagrams
License:	GPLv2+
Group:		Sciences/Other
URL:		https://qelectrotech.org/
#Source:		https://download.tuxfamily.org/qet/tags/20190625/%%{name}-%%{version}%%{?prel}-src.tar.gz
Source0:	https://git.tuxfamily.org/qet/qet.git/snapshot/qet-%{upver}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	qttools5
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

BuildRequires:	pkgconfig(sqlite3)

Requires:	qt5-database-plugin-sqlite

%description
QElectroTech is a Qt5 application to design electric diagrams. It uses XML
files for elements and diagrams, and includes both a diagram editor and an
element editor.

%prep
#%%setup -q -n %%{name}-%%{version}%%{?prel}-src
%setup -q -n qet-%{upver}
%autopatch -p1

sed -e s,/usr/local/,%{_prefix}/, \
    -e /QET_MAN_PATH/s,'man/','share/man', \
    -e /QET_MIME/s,../,, \
    -i %{name}.pro

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# let files section handle docs
rm -rf %{buildroot}%{_prefix}/doc

desktop-file-install --vendor="" \
		--add-category=Electronics \
		--remove-key=Version \
		--dir=%{buildroot}%{_datadir}/applications/ \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc ChangeLog CREDIT ELEMENTS.LICENSE LICENSE README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_mandir}/man1/%{name}.1.*
