%define grass grass83

%ifarch %{ix86}
%global _smp_build_ncpus 12
%endif

%global __requires_exclude .*libgrass_.*

# filter out devel requires from private modules/plugins/whatever
%global __devel_exclude_path %{_libdir}/qgis/.*\\.so

# exclude private modules/plugins/whatever from .so provides
%global __provides_exclude_from %{_libdir}/qgis/.*\\.so

%define fver	3_40_5

Name:           qgis
Version:        3.40.5
Release:        %mkrel 1
Summary:        Geographic Information System for Linux/Unix
License:        GPLv2+
Group:          Sciences/Geosciences
URL:            https://qgis.org/en/site/
Source0:        https://github.com/qgis/QGIS/archive/refs/tags/final-%{fver}.tar.gz
Source1:        %{name}-mime.xml
Patch0:         qgis-3.22.6-set-sip-binary-path.patch

ExcludeArch:    %{arm32} %{ix86}

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  grass >= 8.2.0
BuildRequires:  imagemagick
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  plocate
BuildRequires:  postgis
BuildRequires:  dos2unix
BuildRequires:  txt2tags
BuildRequires:  qscintilla-qt6-devel
BuildRequires:  spatialindex-devel
BuildRequires:  postgresql-devel
BuildRequires:  geos-devel
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  libfcgi-devel
BuildRequires:  pkgconfig(draco)
BuildRequires:  pkgconfig(gdal) >= 2.1
BuildRequires:  pkgconfig(pdal)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(netcdf)
BuildRequires:  pkgconfig(OpenCL)
BuildRequires:  pkgconfig(proj)
BuildRequires:  pkgconfig(protobuf)
BuildRequires:  pkgconfig(Qt6Qwt6)
BuildRequires:  cmake(Qt6Keychain)
BuildRequires:  cmake(Qt63DCore)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Designer)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6MultimediaWidgets)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Positioning)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6SerialPort)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiTools)
%ifarch aarch64 x86_64
BuildRequires:  cmake(Qt6WebEngineCore)
%endif
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  pkgconfig(spatialite)
BuildRequires:  pkgconfig(qca2-qt6)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-biopython-sql
BuildRequires:  python3-qt6-qscintilla
BuildRequires:  python3-qt6-devel
BuildRequires:  python3dist(gdal)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sip) >= 6.7.2
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  qca-qt6

Requires:       python3-biopython-sql
Requires:       postgis
Requires:       gdal
Requires:       gpsbabel
Requires:       python3-qgis
Requires:       python3dist(gdal)
Requires:       qca-qt6
Recommends:     pdf4qt

%description
Geographic Information System (GIS) manages, analyzes, and displays
databases of geographic information. Quantum GIS (QGIS) supports shape file
viewing and editing, spatial data storage with PostgreSQL/PostGIS, projection
on-the-fly, map composition, and a number of other features via a plugin
interface. QGIS also supports display of various geo-referenced raster and
Digital Elevation Model (DEM) formats including GeoTIFF, Arc/Info ASCII Grid,
and USGS ASCII DEM.

%files
%doc BUGS ChangeLog README.md
%{_bindir}/%{name}
%{_bindir}/%{name}_process
%{_libdir}/lib%{name}_*.so.*
%{_libdir}/%{name}/
%{_qt6_plugindir}/designer/libqgis_customwidgets.so.*
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_metainfodir}/*.xml
%{_iconsdir}/hicolor/*/apps/*
%{_iconsdir}/hicolor/*/mimetypes/*
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/*.1*
%exclude %{_libdir}/%{name}/libplugin_grass8.so
%exclude %{_libdir}/%{name}/libprovider_grass8.so
%exclude %{_libdir}/%{name}/libprovider_grassraster8.so
%exclude %{_libdir}/%{name}/grass
%exclude %{_datadir}/%{name}/python
%exclude %{_datadir}/%{name}/grass
%exclude %{_datadir}/%{name}/FindQGIS.cmake

#---------------------------------------------------------

%package devel
Summary:    Development libraries and headers for QGIS
Group:      Sciences/Geosciences
Requires:   %{name} = %version
Requires:   %{name}-grass = %version
Requires:   python3-%{name} = %version

%description devel
Development headers for QGIS.

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}_*.so
%{_libdir}/libqgisgrass*.so
%{_libdir}/libqgispython.so
%{_datadir}/%{name}/FindQGIS.cmake
%{_qt6_plugindir}/designer/libqgis_customwidgets.so

#---------------------------------------------------------

%package grass
Summary:    QGIS plugins for accessing GRASS data
Group:      Sciences/Geosciences
Requires:   grass >= 8

%description grass
This package provides plugins for QGIS that provide access to GRASS data from
within QGIS.

%files grass
%{_libdir}/libqgisgrass*.so.*
%{_libdir}/%{name}/libplugin_grass8.so
%{_libdir}/%{name}/libprovider_grass8.so
%{_libdir}/%{name}/libprovider_grassraster8.so
%{_libdir}/%{name}/grass/
%{_datadir}/%{name}/grass/

#---------------------------------------------------------

%package -n python3-qgis
Summary:    Python 3 integration and plugins for qgis
Group:      Sciences/Geosciences
Requires:   %{name} = %{version}-%{release}
Requires:   python3dist(sip) >= 6.6.2
Requires:   python3-qt6
Requires:   python3dist(httplib2)
Requires:   python3dist(jinja2)
Requires:   python3dist(matplotlib)
Requires:   python3-qt6-qscintilla
Requires:   python3dist(future)
Requires:   python3dist(gdal)
Requires:   python3dist(six)
Requires:   python3dist(python-dateutil)
Requires:   python3dist(markupsafe)
Requires:   python3dist(numpy)
Requires:   python3dist(owslib)
Requires:   python3dist(pygments)
Requires:   python3dist(pytz)
Requires:   python3dist(pyyaml)
Requires:   python3dist(psycopg2)
Requires:   python3dist(termcolor)

Provides:   python-qgis = %{version}-%{release}

%description -n python3-qgis
Python 3 integration and plugins for qgis.

%files -n python3-qgis
%{_libdir}/libqgispython.so.*
%{_datadir}/%{name}/python/
%{python3_sitearch}/%{name}/
%{python3_sitearch}/PyQt6/uic/widget-plugins/
%dir %{python3_sitearch}/PyQt6/uic

#---------------------------------------------------------

%prep
%autosetup -p1 -n QGIS-final-%{fver}

%build
%cmake_qt6 \
    -DBUILD_WITH_QT6=ON \
    -DQGIS_LIB_SUBDIR=%{_lib} \
    -DQGIS_MANUAL_SUBDIR=/share/man \
    -DQGIS_PLUGIN_SUBDIR=%{_lib}/qgis \
    -DQGIS_CGIBIN_SUBDIR=%{_lib}/qgis \
    -DSIP_BINARY_PATH=%{_bindir}/sip-build \
    -DQSCI_SIP_DIR=%{python3_sitearch}/PyQt6 \
    -DQWT_INCLUDE_DIR=%{_qt6_includedir}/qwt \
    -DGRASS_PREFIX8=%{_libdir}/%{grass} \
    -DCMAKE_SKIP_RPATH=OFF \
    -DWITH_QTWEBKIT=OFF \
%ifarch aarch64 x86_64
    -DWITH_QTWEBENGINE=ON \
%endif
    -DWITH_BINDINGS=ON \
    -DBINDINGS_GLOBAL_INSTALL=ON \
    -DWITH_3D=ON \
    -DWITH_CUSTOM_WIDGETS=ON \
    -DWITH_QWTPOLAR=ON \
    -DWITH_INTERNAL_QWTPOLAR=OFF \
    -DQWTPOLAR_LIBRARY=%{_libdir}/libqwt-qt6.so \
    -DQWTPOLAR_INCLUDE_DIR=%{_qt6_includedir}/qwt \
    -DUSE_OPENCL=ON \
    -DENABLE_TESTS=OFF
%cmake_build

%install
%cmake_install

desktop-file-install \
    --remove-mime-type="application/x-raster-ecw" \
    --remove-mime-type="application/x-raster-mrsid" \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/org.qgis.qgis.desktop

# Install MIME type definitions
install -d %{buildroot}%{_datadir}/mime/packages
install -pm0644 %{SOURCE1} \
    %{buildroot}%{_datadir}/mime/packages/%{name}.xml

# Remove install instructions
rm -f %{buildroot}%{_datadir}/%{name}/doc/INSTALL*
