Summary:        A git GUI viewer
Name:           qgit
Version:        2.10
Release:        %mkrel 1
License:        GPLv2
Group:          Development/Tools
Url:            https://github.com/tibirna/qgit
Source0:        https://github.com/tibirna/qgit/archive/%{name}-%{version}.tar.gz
Source1:        %{name}.1
BuildRequires:  cmake
BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

Requires:       git-core

%description
With qgit you will be able to browse revisions history, view patch content
and changed files, graphically following different development branches.

Main features
- View revisions, diffs, files history, files annotation, archive tree.
- Commit changes visually cherry picking modified files.
- Apply or format patch series from selected commits, drag and
  drop commits between two instances of qgit.
- qgit implements a GUI for the most common StGIT commands like push/pop
  and apply/format patches. You can also create new patches or refresh
  current top one using the same semantics of git commit, i.e. cherry
  picking single modified files.

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

install -m 0644 -p -D %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README.adoc
%{_bindir}/qgit
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*
