Name:           qgnomeplatform
Version:        0.9.2
Group:          Graphical desktop/KDE
Release:        %mkrel 1
Summary:        Qt Platform Theme aimed to accommodate Gnome settings

License:        LGPLv2+
URL:            https://github.com/FedoraQt/QGnomePlatform
Source0:        https://github.com/FedoraQt/QGnomePlatform/archive/%{version}/QGnomePlatform-%{version}.tar.gz

# Upstream patches

BuildRequires:  cmake
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(xrender)
### Qt5 build dependencies
BuildRequires:  cmake(AdwaitaQt) >= 1.4.2
BuildRequires:  pkgconfig(Qt5Core) >= 5.15.2
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5WaylandClient)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  qt5platformsupport-devel
BuildRequires:  qt5themesupport-devel
BuildRequires:  qt5servicesupport-devel
BuildRequires:  qt5xkbcommonsupport-devel
### Qt6 build dependencies
BuildRequires:  cmake(AdwaitaQt6) >= 1.4.2
BuildRequires:  cmake(Qt6Core) >= 6.4.0
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6WaylandClient)

%description
QGnomePlatform is a Qt Platform Theme aimed to accommodate as many
GNOME settings as possible and utilize them in Qt applications without
modifying them - making them fit into the environment as well as possible.

#-------------------------------------------
### Qt5

%package qt5
Summary:        Qt5 Platform Theme aimed to accommodate Gnome settings
Group:          Graphical desktop/KDE
Requires:       gdm
Requires:       qtbase5-common >= 5.15.2
Requires:       adwaita-qt5
Requires:       qtwayland5
Provides:       %{name} = %{version}-%{release}
# Replace QGnomePlatform package with this as it was the Qt5 flavor
Obsoletes:      %{name} < 0.8.4-5

%description qt5
QGnomePlatform is a Qt5 Platform Theme aimed to accommodate as many
GNOME settings as possible and utilize them in Qt applications without
modifying them - making them fit into the environment as well as possible.

#-------------------------------------------
### Qt6

%package qt6
Summary:        Qt6 Platform Theme aimed to accommodate Gnome settings
Group:          Graphical desktop/KDE
Requires:       gdm
Requires:       qtbase6-common >= 6.4.0
Requires:       adwaita-qt6
Requires:       qtwayland6

%description qt6
QGnomePlatform is a Qt6 Platform Theme aimed to accommodate as many
GNOME settings as possible and utilize them in Qt applications without
modifying them - making them fit into the environment as well as possible.

#-------------------------------------------

%prep
%autosetup -p1 -n QGnomePlatform-%{version}

%build
%define _vpath_builddir build-qt5
%cmake
%cmake_build

%define _vpath_builddir build-qt6
%cmake -DUSE_QT6=ON
%cmake_build

%install
%define _vpath_builddir build-qt5
%cmake_install

%define _vpath_builddir build-qt6
%cmake_install

%files qt5
%doc README.md
%license LICENSE
%{_datadir}/color-schemes/*.colors
%{_qt5_libdir}/libqgnomeplatform.so
%{_qt5_plugindir}/platformthemes/libqgnomeplatformtheme.so
%{_qt5_plugindir}/wayland-decoration-client/libqgnomeplatformdecoration.so

%files qt6
%doc README.md
%license LICENSE
%{_qt6_libdir}/libqgnomeplatform6.so
%{_qt6_plugindir}/platformthemes/libqgnomeplatformtheme.so
%{_qt6_plugindir}/wayland-decoration-client/libqgnomeplatformdecoration.so
