%define major        8.0
%define libname      %mklibname %{name} %{major}
%define libname_r    %mklibname %{name}_r %{major}
%define libname_cpp  %mklibname %{name}cpp %{major}
%define libnamedev   %mklibname %{name} -d

Name:           qhull
Version:        2020.2
Release:        %mkrel 6
Summary:        Compute convex hulls
License:        GPLv2
Group:          System/Libraries
URL:            http://www.qhull.org/
Source0:        http://www.qhull.org/download/%{name}-2020-src-8.0.2.tgz
Patch1:         0001-fix-pkgconfig-files.patch
## From debian
Patch4:         0004-Build-qhullcpp-as-shared-library.patch
Patch5:         0005-Fix-CMake-target-export.patch
Patch6:         0006-Build-deprecated-libqhull-for-now.patch
BuildRequires:  cmake
BuildRequires:  chrpath

%description
Qhull computes convex hulls, Delaunay triangulations, halfspace
intersections about a point, Voronoi diagrams, furthest-site Delaunay
triangulations, and furthest-site Voronoi diagrams. It runs in 2-d, 3-d,
4-d, and higher dimensions. It implements the Quickhull algorithm for
computing the convex hull. Qhull handles roundoff errors from floating
point arithmetic. It can approximate a convex hull.

%package -n %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries
Obsoletes:      %{_lib}qhull8 < 2020.1-2

%description -n %{libname}
Qhull computes convex hulls, Delaunay triangulations, Voronoi diagrams,
furthest-site Voronoi diagrams, and halfspace intersections about a point.
It runs in 2-d, 3-d, 4-d, or higher.  It implements the Quickhull algorithm
for computing convex hulls.  Qhull handles round-off errors from floating
point arithmetic.  It can approximate a convex hull.

The program includes options for hull volume, facet area, partial hulls,
input transformations, randomization, tracing, multiple output formats, and
execution statistics.

This package provide shared libraries for %{name}.

%package -n %{libname_r}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{libname_r}
Qhull computes convex hulls, Delaunay triangulations, Voronoi diagrams,
furthest-site Voronoi diagrams, and halfspace intersections about a point.
It runs in 2-d, 3-d, 4-d, or higher.  It implements the Quickhull algorithm
for computing convex hulls.  Qhull handles round-off errors from floating
point arithmetic.  It can approximate a convex hull.

The program includes options for hull volume, facet area, partial hulls,
input transformations, randomization, tracing, multiple output formats, and
execution statistics.

This package provide shared libraries for %{name}.

%package -n %{libname_cpp}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{libname_cpp}
Qhull computes convex hulls, Delaunay triangulations, Voronoi diagrams,
furthest-site Voronoi diagrams, and halfspace intersections about a point.
It runs in 2-d, 3-d, 4-d, or higher.  It implements the Quickhull algorithm
for computing convex hulls.  Qhull handles round-off errors from floating
point arithmetic.  It can approximate a convex hull.

The program includes options for hull volume, facet area, partial hulls,
input transformations, randomization, tracing, multiple output formats, and
execution statistics.

This package provide shared libraries for %{name}.

%package -n %{libnamedev}
Summary:        Header files and libraries for development with %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_r} = %{version}-%{release}
Requires:       %{libname_cpp} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{_lib}%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Header files and libraries for development with %{name}.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

# discard rpath
chrpath --delete %{buildroot}%{_libdir}/libqhull*.so.*

%files
%doc Announce.txt COPYING.txt README.txt REGISTER.txt html/*
%{_bindir}/qconvex
%{_bindir}/qdelaunay
%{_bindir}/qhalf
%{_bindir}/qhull
%{_bindir}/qvoronoi
%{_bindir}/rbox
%{_mandir}/man1/qhull.1*
%{_mandir}/man1/rbox.1*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{libname_r}
%{_libdir}/lib%{name}_r.so.%{major}{,.*}

%files -n %{libname_cpp}
%{_libdir}/lib%{name}cpp.so.%{major}{,.*}

%files -n %{libnamedev}
%{_docdir}/qhull/
%{_libdir}/*.so
%{_libdir}/cmake/Qhull/
%{_libdir}/pkgconfig/qhull*.pc
%{_includedir}/*
