# Qt4 package conflicts which this one and is packaged as qimageblitz
# The runtime libs can be installed next to each other though

%define oname   qimageblitz
%define major   5
%define svnrev  svn1515099

Name:           qimageblitz5
Epoch:          1
Version:        0.0.6
Release:        %mkrel 10.%{svnrev}.7
Summary:        Graphics manipulation library for Qt 5
Group:          Graphics/Utilities
License:        BSD
Url:            https://kde.org
# Source0:        ftp://ftp.kde.org/pub/kde/stable/qimageblitz/%%{name}-%%{version}.tar.bz2
# From KDE SVN: https://websvn.kde.org/trunk/kdesupport/qimageblitz/
Source0:        %{oname}-%{version}+%{svnrev}.tar.xz
# From https://www.mail-archive.com/kde-core-devel@kde.org/msg20678.html
Patch0:         qimageblitz-0.0.6-kde-qt5-coinstall.patch
Patch1:         qimageblitz-0.0.6-fix-build-with-Qt5-5.13.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
Qimageblitz is a graphics manipulation library.

%files
%{_bindir}/blitztest5

#--------------------------------------------------------------------

%define libname %mklibname %{oname} %{major}

%package -n %{libname}
Summary:        Qimageblitz runtime library for Qt 5
Group:          System/Libraries

%description -n %{libname}
Qimageblitz runtime library.

%files -n %{libname}
%{_libdir}/lib%{oname}.so.%{major}{,.*}

#--------------------------------------------------------------------

%define devname %mklibname %{name} -d

%package -n %{devname}
Summary:        Development files for %{name} on Qt 5
Group:          Development/KDE and Qt
Requires:       %{libname} = %{epoch}:%{version}-%{release}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Conflicts:      %{_lib}qimageblitz-devel

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%{_libdir}/lib%{oname}.so
%{_includedir}/%{oname}/
%{_libdir}/pkgconfig/%{name}.pc

#--------------------------------------------------------------------

%prep
%autosetup -n %{oname}-%{version}+%{svnrev} -p1

%build
%cmake_qt5 -DCMAKE_SKIP_RPATH:BOOL=ON
%cmake_build

%install
%cmake_install
