Name:           qjson
Summary:        QJson is a qt-based library that maps JSON data to QVariant objects
Version:        0.9.0
Release:        %mkrel 6
License:        GPLv2+
Group:          Development/C
Url:            https://qjson.sourceforge.net/
Source0:        https://github.com/flavio/qjson/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(QtCore)

%description
JSON (JavaScript Object Notation) is a lightweight data-interchange format. 
It can represents integer, real number, string, an ordered sequence of value, 
and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects 
will be mapped to QVariantMap.

#--------------------------------------------------------------------
### Qt5 ###

%define major_qt5 0
%define libname_qt5 %mklibname qjson-qt5_ %{major_qt5}

%package -n     %{libname_qt5}
Summary:        Qt5-based library that maps JSON data to QVariant objects
Group:          System/Libraries
Provides:       %{name}-qt5 = %{version}-%{release}

%description -n %{libname_qt5}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson-qt5 is a qt5-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

%files -n   %{libname_qt5}
%_libdir/libqjson-qt5.so.%{major_qt5}{,.*}

#--------------------------------------------------------------------

%define develname_qt5 %mklibname qjson-qt5 -d

%package -n     %{develname_qt5}
Summary:        Development files for QJson-qt5
Group:          Development/C
Requires:       %{libname_qt5} = %{version}-%{release}
Provides:       %{name}-qt5-devel = %{version}-%{release}

%description -n %{develname_qt5}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson-qt5 is a qt5-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

This package contains files for developing applications using
QJson-qt5.

%files -n %{develname_qt5}
%doc README.md README.license doc/html
%{_libdir}/libqjson-qt5.so
%{_libdir}/pkgconfig/QJson-qt5.pc
%{_libdir}/cmake/qjson-qt5/
%{_includedir}/qjson-qt5/

### End Qt5 ###

#--------------------------------------------------------------------

### Qt4 ###

%define major 0
%define libname %mklibname qjson %{major}

%package -n     %{libname}
Summary:        QJson is a qt4-based library that maps JSON data to QVariant objects
Group:          System/Libraries
Provides:       %{name} = %version-%release
Obsoletes:      %{name} < 0.7.1-5

%description -n %{libname}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson is a qt4-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

%files -n   %{libname}
%_libdir/libqjson.so.%{major}{,.*}

#--------------------------------------------------------------------

%define develname %mklibname qjson -d

%package -n     %{develname}
Summary:        Development files for QJson
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.7.1-5
Conflicts:      qjson < 0.7.1-5

%description -n %{develname}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson is a qt4-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

This package contains files for developing applications using
QJson.

%files -n %{develname}
%doc README.md README.license doc/html
%{_libdir}/libqjson.so
%{_libdir}/pkgconfig/QJson.pc
%{_libdir}/cmake/qjson/
%{_includedir}/qjson/

### End Qt4 ###
#--------------------------------------------------------------------

%prep
%setup -q

%build
%global _vpath_srcdir ..

### Qt5 build ###
mkdir -p qt5
pushd qt5
%cmake_qt5 -DQT4_BUILD:BOOL=OFF
%cmake_build
popd

### Qt4 build ###
mkdir -p qt4
pushd qt4
%cmake_qt4 -DQT4_BUILD:BOOL=ON
%cmake_build
popd

### build docs ###
pushd doc
doxygen
popd

%install
### Qt5 install ###
%make_install -C qt5/%{_vpath_builddir}

### Qt4 install ###
%make_install -C qt4/%{_vpath_builddir}
