Name:           qlipper
Version:        5.1.2
Release:        %mkrel 5
Summary:        Lightweight clipboard history
Group:          Graphical desktop/Other
License:        GPLv2+
URL:            https://github.com/pvanek/qlipper
Source0:        https://github.com/pvanek/qlipper/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  cmake
BuildRequires:  imagemagick

%description
Lightweight and cross-platform clipboard history applet.

%prep
%setup -q

%build
# I have segmentation fault with system qxt (in vbox)
%cmake_qt5 \
    -DUSE_SYSTEM_QXT=OFF

%cmake_build

%install
%cmake_install

install -d -D -m 755 %{buildroot}%{_datadir}/pixmaps
install -d -D -m 755 %{buildroot}%{_iconsdir}

install -D -m 644 src/icons/%{name}.png %{buildroot}%{_iconsdir}
convert %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/%{name}.*
%{_datadir}/pixmaps/%{name}.*
%{_iconsdir}/hicolor/*/*/qlipper.png
