Name:		qloud
Version:	1.4.2
Release:	%mkrel 1
License:	GPLv2+
URL:		https://github.com/molke-productions/qloud
Group:		Sound/Utilities
Summary:	tool to measure loudspeaker frequency and step responses and distortions
Source: 	https://github.com/molke-productions/qloud/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	qloud.png
BuildRequires:	fftw-devel
BuildRequires:	glibc-devel
BuildRequires:	pkgconfig(jack)
BuildRequires:	libgcc
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig(Qt5Charts)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5PrintSupport)

%description
QLoud is a tool to measure a loudspeaker frequency response and distortions.

%prep
%setup -q

%build
%qmake_qt5
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/qloud %{buildroot}%{_bindir}/qloud

install -m644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Qloud
Comment=loudspeaker measuring tool
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF


%files
%{_bindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/%{name}.png

