Summary:       GPS mapping and management tool
Name:          qmapshack
Version:       1.17.1
Release:       %mkrel 4
Group:         File tools
License:       GPLv3+ and BSD
URL:           https://github.com/Maproom/qmapshack
Source0:       https://github.com/Maproom/qmapshack/archive/V_%{version}/%{name}-%{version}.tar.gz
# Our Proj pkg is not yet build against cmake, so adding it manually
Patch0:        qmapshack-1.16.0-add-findproj.patch
BuildRequires: cmake
BuildRequires: qttools5
BuildRequires: cmake(ALGLIB)
BuildRequires: cmake(QuaZip-Qt5)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5WebEngineWidgets)
BuildRequires: pkgconfig(Qt5Designer)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(proj)
BuildRequires: pkgconfig(gdal)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libdmtx)
BuildRequires: pkgconfig(libexif)
BuildRequires: desktop-file-utils
BuildRequires: routino
BuildRequires: routino-devel
BuildRequires: pkgconfig(xerces-c)

Requires:      proj
Requires:      gdal
Requires:      routino
Requires:      qmaptool
Obsoletes:     qlandkartegt < 1.8.2

%description
QMapShack provides a versatile tool for GPS maps in GeoTiff format as well as
Garmin's img vector map format. You can also view and edit your GPX tracks.
QMapShack is the successor of QLandkarteGT.

Main features:
- use of several work-spaces
- use several maps on a work-space
- handle data project-oriented
- exchange data with the device by drag-n-drop

%package -n    qmaptool
Summary:       Create raster maps from paper map scans
Group:         File tools
URL:           https://bitbucket.org/maproom/qmaptool/wiki/Home

%description -n qmaptool
This is a tool to create raster maps from paper map scans. QMapTool can be
considered as a front-end to the well-known GDAL package. It complements
QMapShack.

%prep

%setup -q -n %{name}-V_%{version}
#(eatdirt) proj updated, let's try without
#autopatch -p1

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF
%cmake_build

%install
%cmake_install

# fix desktop validation
sed -i s+Geography+Science\;Geography+ %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i s+tracks+tracks\;+ %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
rm -r %{buildroot}%{_datadir}/icons/hicolor/8x8
rm -r %{buildroot}%{_datadir}/icons/hicolor/40x40
rm -r %{buildroot}%{_datadir}/icons/hicolor/42x42
rm -r %{buildroot}%{_datadir}/icons/hicolor/80x80

%files
%license LICENSE
%doc changelog.txt
%{_docdir}/HTML/QMSHelp.qch
%{_docdir}/HTML/QMSHelp.qhc
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/QMapShack.png
%{_iconsdir}/hicolor/*/apps/QMapShack.png
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.*

%files -n qmaptool
%{_docdir}/HTML/QMTHelp.qch
%{_docdir}/HTML/QMTHelp.qhc
%{_bindir}/qmaptool
%{_bindir}/qmt_*
%{_datadir}/applications/qmaptool.desktop
%{_datadir}/pixmaps/QMapTool.png
%{_iconsdir}/hicolor/*/apps/QMapTool.png
%{_datadir}/qmaptool/
%{_datadir}/qmt_*/
%{_mandir}/man1/qmaptool.*
%{_mandir}/man1/qmt_*.*
