Name:           qmidiarp
Version:        0.7.1
Release:        %mkrel 1
Summary:        Arpgeggiator, sequencer and LFO for JACK and ALSA
License:        GPLv2
Group:          Sound/Midi
URL:            https://qmidiarp.sourceforge.net/
Source0:        https://sourceforge.net/projects/qmidiarp/files/qmidiarp/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(pangocairo)

Requires:       a2jmidid
Recommends:     %{name}-plugins-lv2

%description
Advanced arpgeggiator, step sequencer and MIDI LFO for JACK and ALSA.

%package        plugins-lv2
Summary:        LV2 plugins of the QMidiArp MIDI arpeggiator, sequencer and LFO
Group:          Sound/Midi
Requires:       lv2

%description    plugins-lv2
This package contains the QMidiArp LV2 plugins of the three modules with
Qt-GUIs. QMidiArp is an advanced arpgeggiator, step sequencer and
MIDI LFO for JACK and ALSA.

%prep
%autosetup

sed -i 's|MATCHES "Debug"|MATCHES "RelWithDebInfo"|' CMakeLists.txt
sed -i 's|\${CMAKE_INSTALL_PREFIX}/lib/lv2|\${CMAKE_INSTALL_LIBDIR}/lv2|' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc README NEWS AUTHORS ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*

%files plugins-lv2
%license COPYING
%dir %{_libdir}/lv2
%{_libdir}/lv2/*
