Name:		qmidictl
Version:	1.0.1
Release:	%mkrel 1
Summary:	A MIDI Remote Controller via UDP/IP Multicast
License:	GPLv2+
Group:		Sound/Utilities
URL:		https://qmidictl.sourceforge.io/
Source0:	https://downloads.sourceforge.net/qmidictl/%{name}-%{version}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)

%description
QmidiCtl is a MIDI remote controller application that sends MIDI
data over the network, using UDP/IP multicast.

%prep
%autosetup -p1

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

#menu
desktop-file-install \
  --remove-key="X-Osso-Type" \
  --remove-key="Version" \
  --remove-key="Encoding" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%files
%doc ChangeLog README
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_metainfodir}/org.rncbc.%{name}.metainfo.xml
%{_iconsdir}/*/*/*/org.rncbc.%{name}.png
%{_iconsdir}/*/*/*/org.rncbc.%{name}.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*
