Summary:	A MIDI Network Gateway via UDP/IP Multicast
Name:		qmidinet
Version:	1.0.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound/Utilities
URL:		https://qmidinet.sourceforge.net/
Source0:	https://sourceforge.net/projects/qmidinet/files/qmidinet/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	pkgconfig(Qt6Core)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6Network)
BuildRequires:	pkgconfig(Qt6Svg)
BuildRequires:	pkgconfig(Qt6Widgets)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)

%description
QmidiNet is a MIDI network gateway application that sends and receives
MIDI data (ALSA Sequencer and/or JACK MIDI) over the network, using UDP/IP
multicast. Inspired by multimidicast (https://llg.cubic.org/tools) and
designed to be compatible with ipMIDI for Windows (http://nerds.de).

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

#menu
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%files
%doc ChangeLog README
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_metainfodir}/org.rncbc.%{name}.metainfo.xml
%{_iconsdir}/hicolor/32x32/apps/org.rncbc.%{name}.png
%{_iconsdir}/hicolor/scalable/apps/org.rncbc.%{name}.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*
