Name:           qmmp-plugin-pack
Version:        2.2.2
Release:        %mkrel 1
Summary:        A set of extra plugins for Qmmp
Group:          Sound/Players
License:        GPLv2+
URL:            https://qmmp.ylsoftware.com/plugins.php
Source0:        https://qmmp.ylsoftware.com/files/qmmp-plugin-pack/2.2/%{name}-%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  yasm
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(libxmp)
BuildRequires:  pkgconfig(qmmp) >= 2.1.0
BuildRequires:  pkgconfig(taglib)

Requires:       qmmp

%description
Plugin pack is a set of extra plugins for Qmmp.

 * MPG123 - MPEG v1/2 layer1/2/3 decoder using libmpg123 library
 * FFap - enhanced Monkey's Audio (APE) decoder
   (24-bit samples and embedded cue support)
 * SRC - sample rate converter
 * XMP - module player with use of the libxmp library
 * Goom - audio visualization based on goom project
 * History - a tool for collection information information about
   listened tracks

%prep
%setup -q

%build
%cmake \
%ifarch aarch64 %{arm}
        -DUSE_FFAP:BOOL=FALSE
%endif

%cmake_build

%install
%cmake_install

%files
%doc AUTHORS ChangeLog.rus README README.RUS
%license COPYING
%{_libdir}/qmmp*/Effect/*.so
%{_libdir}/qmmp*/Engines/*.so
%{_libdir}/qmmp*/Input/*.so
%{_libdir}/qmmp*/Transports/*.so
%{_libdir}/qmmp*/Visual/*.so
%{_metainfodir}/qmmp-plugin-pack.appdata.xml
