%global __provides_exclude_from ^%{_libdir}/%{name}.*/.*\\.so

%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define tainted 0
%if "%distro_section" == "tainted"
%define tainted 1
%endif

Name:           qmmp
Version:        2.2.4
Release:        %mkrel 1
Summary:        Feature-rich Qt-based multimedia player
License:        GPLv2+
Group:          Sound/Players
#https://code.google.com/p/qmmp
URL:            https://qmmp.ylsoftware.com
Source0:        https://qmmp.ylsoftware.com/files/%{name}/2.2/%{name}-%{version}.tar.bz2

BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  musepack-devel
BuildRequires:  pkgconfig(wildmidi) >= 0.2.3.4
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(udisks2)
BuildRequires:  pkgconfig(libgme)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(enca) >= 1.9
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libbs2b) >= 3.0.0
BuildRequires:  pkgconfig(libcddb)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libcdio_cdda)
BuildRequires:  pkgconfig(libcdio_paranoia)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libmms) >= 0.4
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libprojectM)
BuildRequires:  pkgconfig(libpulse-simple) >= 0.9.15
BuildRequires:  pkgconfig(libsidplayfp)
BuildRequires:  pkgconfig(libxmp)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(opus) >= 1.0.2
BuildRequires:  pkgconfig(opusfile) >= 0.2
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(shout)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(soxr)
BuildRequires:  pkgconfig(taglib) >= 1.6
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(wavpack)
BuildRequires:  pkgconfig(x11)
%if %{tainted}
BuildRequires:  pkgconfig(faad2)
%endif
BuildRequires:  cmake
BuildRequires:  ninja

Requires:       unzip
Requires:       wildmidi
Recommends:     qmmp-plugin-pack >= %{version}

%description
Qmmp is a feature-rich audio player, written with help of the Qt library.
The user interface is similar to winamp or xmms.
%if %{tainted}
This package is in the 'tainted' section because it is built with AAC support
of libfaad2.
%endif

%files
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/%{name}*/
%{_datadir}/solid/actions/%{name}-opencda.desktop
%{_datadir}/applications/%{name}*.desktop
%{_metainfodir}/com.ylsoftware.%{name}.metainfo.xml
%{_iconsdir}/hicolor/*/apps/%{name}*

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Shared libraries for Qmmp
Group:          System/Libraries

%description -n %{libname}
This package contains shared libraries for Qmmp (qmmp and qmmpui).
%if %{tainted}
This package is in the 'tainted' section because it is built with AAC support
of libfaad2.
%endif

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/lib%{name}ui.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for the Qmmp libraries
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development headers and libraries to develop
applications using the qmmp and qmmpui libraries.
%if %{tainted}
This package is in the 'tainted' section because it is built with AAC support
of libfaad2.
%endif

%files -n       %{devname}
%{_includedir}/%{name}/
%{_includedir}/%{name}ui/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}ui.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}ui.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6 -DUSE_OSS:BOOL=ON \
           -DCMAKE_INSTALL_LIBDIR=%{_lib}
%cmake_build

%install
%cmake_install
