%define oname QMPlay2

Name:           qmplay2
Version:        25.01.19
Release:        %mkrel 1
Summary:        A Qt based media player, streamer and downloader
License:        LGPLv3
Group:          Video/Players
URL:            https://github.com/zaps166/QMPlay2
Source0:        https://github.com/zaps166/QMPlay2/releases/download/%{version}/%{oname}-src-%{version}.tar.xz
Patch0:         qmplay2-xcb-egl-integration.patch
Patch2:         qmplay2-workaround-clang-bug-85552.patch
Patch3:         qmplay2-default-vaapi-on.patch

BuildRequires:  ninja-build
BuildRequires:  cmake
BuildRequires:  cmake(Qt6)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libsidplayfp)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libavdevice)
BuildRequires:  pkgconfig(libgme)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(shaderc)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(vdpau)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(libcddb)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  glslc

# since now needs youtube-dl.Sflo
Requires:       yt-dlp

%description
QMPlay2 is a video player, it can plays all formats
and stream supported by ffmpeg and libmodplug
(including J2B). It has integrated Youtube and Wrzuta browser.

%files
%doc AUTHORS ChangeLog README.md
%license LICENSE LICENSE.qmvk COPYING.libmodplug
%{_bindir}/%{oname}
%{_libdir}/libqmplay2.so
%{_libdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{oname}.*
%{_datadir}/applications/*.desktop
%{_metainfodir}/*.xml
%{_datadir}/qmplay2/
%{_datadir}/solid/actions/QMPlay2-opencda.desktop
%{_datadir}/mime/packages/*
%{_mandir}/man1/%{oname}.1*

%prep
%autosetup -p1 -n %{oname}-src-%{version}

# unbundle vulkan headers
#find src/qmplay2/vulkan/headers -delete

# subproject and bundled license files
cp src/qmvk/LICENSE LICENSE.qmvk
cp src/modules/Modplug/libmodplug/COPYING COPYING.libmodplug

%build
%cmake  \
        -G Ninja \
        -DCMAKE_INTERPROCEDURAL_OPTIMIZATION:BOOL=ON \
        -DSOLID_ACTIONS_INSTALL_PATH="%{_datadir}/solid/actions" \
        -DUSE_PULSEAUDIO:BOOL=ON \
        -DUSE_FFMPEG_VAAPI:BOOL=ON \
        -DUSE_PCH:BOOL=ON \
        -DUSE_PORTAUDIO:BOOL=ON \
        -DUSE_RUBBERBAND:BOOL=ON \
        -DUSE_GIT_VERSION:BOOL=OFF \
        -DUSE_UPDATES:BOOL=OFF \
        -DFIND_HWACCEL_DRIVERS_PATH:BOOL=ON \
        -DUSE_OPENGL:BOOL=ON \
        -DUSE_VULKAN:BOOL=ON \
        -DUSE_GLSLC:BOOL=ON \
        -DUSE_FREEDESKTOP_NOTIFICATIONS:BOOL=ON \
        -DUSE_FFMPEG_VKVIDEO:BOOL=ON

%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_includedir}
