Name:          qoauth
Summary:       Qt-based C++ library for OAuth authorization scheme
Group:         Graphical desktop/KDE
Version:       2.0.1
Release:       %mkrel 11
License:       LGPLv2+
URL:           https://github.com/ayoy/qoauth
# tarball 2.0.1 come from: https://github.com/ayoy/qoauth/commit/02fbc13a42d945b703a28a49d71c02b20c76a0b8
Source0:       http://files.ayoy.net/qoauth/release/%{version}/src/%{name}-%{version}-src.tar.gz
Patch100:      qoauth-2.0.0-qt5.patch
BuildRequires: doxygen

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(qca2-qt5)

%description
QOAuth is an attempt to support interaction with OAuth-powered network
services in a Qt way, i.e. simply, clearly and efficiently. It gives
the application developer no more than 4 methods, namely:

* requestToken() to obtain an unauthorized Request Token,
* accessToken() to exchange Request Token for the Access Token,
* createParametersString() to construct a request according to OAuth
  authorization scheme,
* inlineParameters() - to construct a query string basing on given
  parameters (provided only for convenience).

#-----------------------------------------------------------------------------
### Qt5 ###

%define qoauth_qt5_major 2
%define libqoauth_qt5 %mklibname qoauth-qt 5 %{qoauth_qt5_major}

%package -n    %{libqoauth_qt5}
Summary:       %{name} Qt5 core library
Group:         System/Libraries
Requires:      qca-qt5
Obsoletes:     %{_lib}qoauth5_2 < 2.0.1-3

%description -n %{libqoauth_qt5}
%{name} Qt5 core library.

%files -n %{libqoauth_qt5}
%{_qt5_libdir}/libqoauth-qt5.so.%{qoauth_qt5_major}{,.*}

#-----------------------------------------------------------------------------

%define develname_qt5 %mklibname qoauth-qt5 -d

%package -n    %{develname_qt5}
Summary:       Qt5 Devel stuff for %{name}
Group:         Development/KDE and Qt
Requires:      %{libqoauth_qt5} = %{version}-%{release}
Provides:      qoauth-qt5-devel = %{version}-%{release}
Provides:      libqoauth-qt5-devel = %{version}-%{release}

%description -n %{develname_qt5}
This package contains Qt5 header files needed if you wish to build
applications based on %{name}.

%files -n %{develname_qt5}
%{_qt5_includedir}/QtOAuth/
#{_qt5_libdir}/libqoauth5.prl
%{_qt5_libdir}/libqoauth-qt5.so
%{_qt5_libdir}/pkgconfig/qoauth-qt5.pc
%{_qt5_archdatadir}/mkspecs/features/oauth.prf

### End Qt5 ###
#-----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-src

%autopatch -p1

%build
mkdir %{_target_platform}-qt5
pushd %{_target_platform}-qt5
export PATH=%{_qt5_bindir}:$PATH
%{qmake_qt5} PREFIX="%{_prefix}" ..
%make_build
popd

%if 0%{?docs}
doxygen Doxyfile
# fix the time stamp
for file in doc/html/*; do
  touch -r Doxyfile $file
done
%endif


%install
make install INSTALL="install -p" INSTALL_ROOT=%{buildroot} -C %{_target_platform}-qt5

## FIXME
sed -i \
  -e "s|^includedir=.*|includedir=%{_qt5_includedir}/QtOAuth|" \
  -e "s|^libdir=.*|libdir=%{_qt5_libdir}|" \
  %{buildroot}%{_qt5_libdir}/pkgconfig/qoauth-qt5.pc

## unpackaged files
rm -f %{buildroot}%{_qt5_libdir}/libqoauth-qt5.prl


%check
make check -C %{_target_platform}-qt5 || :
