%define devel %mklibname %{name} -d
%define date 20240827
%define rel 1

Name: qoi
Version: 0
Release: %mkrel -c git%{date} %{rel}
License: MIT
Summary: The “Quite OK Image Format” for fast, lossless image compression
Group: Graphics/Editors and Converters
URL: https://qoiformat.org/
Source0: https://github.com/phoboslab/qoi/archive/refs/heads/master.tar.gz#/qoi-%{version}-git%{date}.tar.gz

Patch1: qoi-ldflags.patch
Patch2: qoi-0-git20240322-mga-fix-stb-path.patch

BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(stb)

%description
QOI is fast. It losslessly compresses images to a similar size of PNG,
while offering 20x-50x faster encoding and 3x-4x faster decoding.

QOI is simple. The reference en-/decoder fits in about 300 lines of C.
The file format specification is a single page PDF.

%package -n %{devel}
Summary: Development header for The “Quite OK Image Format”
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}

%description -n %{devel}
Development header file (%{name}.h)

%prep
%autosetup -n %{name}-master -p1

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_includedir}

install -Dpm755 qoibench %{buildroot}%{_bindir}
install -Dpm755 qoiconv %{buildroot}%{_bindir}
install -Dpm644 qoi.h %{buildroot}%{_includedir}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}*

%files -n %{devel}
%{_includedir}/%{name}.h
