Summary:	Graphical interface for creating flam3 fractal images
Name:		qosmic
Version:	1.6.0
Release:	%mkrel 10
License:	GPLv2
Group:		Graphics/Editors and Converters
Url:		https://github.com/bitsed/qosmic
Source0:	https://github.com/bitsed/qosmic/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		qosmic-1.6.0-flam3.patch
Patch2:		qosmic-1.6.0-fix-build-against-qt-5.11.0.patch
Patch3:		qosmic-1.6.0-qt-translations.patch
Patch4:		qosmic-1.6.0-lua5.3.patch
Patch5:		qosmic-1.6.0-lua5.4.patch
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(flam3)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)
# The code assumes qreal == double while it's float on arm
# This can be fixed in many places, but not easily as flam3
# API is all about doubles.
ExcludeArch:	%arm
Recommends:     qttranslations5

%description
Qosmic is graphical interface for creating, editing, and rendering
flam3 fractal images. The electricsheep screen saver has been gaining
popularity, and Qosmic was developed to provide a Qt interface for
people interested in creating and contributing sheep.

%prep
%autosetup -p1

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README* changes.txt
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}icon.xpm
%{_datadir}/%{name}/scripts
