# comment out when not pre-release
#define prel	beta1

%define rel	2

Name:		qpdfview
Summary:	Tabbed PDF viewer
Version:	0.5.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2
Group:		Office/Utilities
URL:		https://launchpad.net/qpdfview
Source0:	https://launchpad.net/qpdfview/trunk/%{version}%{?prel}/+download/%{name}-0.5%{?prel}.tar.gz
BuildRequires:	qttools6
BuildRequires:	cups-devel
BuildRequires:	magic-devel
BuildRequires:	pkgconfig(ddjvuapi)
BuildRequires:	pkgconfig(libspectre)
BuildRequires:	pkgconfig(poppler-qt6)
BuildRequires:	pkgconfig(Qt6Concurrent)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6PrintSupport)
BuildRequires:	pkgconfig(Qt6Sql)
BuildRequires:	pkgconfig(Qt6Svg)
BuildRequires:	pkgconfig(Qt6DBus)
BuildRequires:	pkgconfig(Qt6Xml)
BuildRequires:	pkgconfig(zlib)

Requires:	qt6-database-plugin-sqlite

%description
qpdfview is a tabbed PDF, PS, and DjVu viewer.
It uses the Poppler library for rendering and CUPS for printing.
It provides a clear and simple graphical user interface using the Qt framework.

%prep
%setup -q -n %{name}-0.5%{?prel}
%autopatch -p1

%build
#translations
%{_qt6_bindir}/lrelease qpdfview.pro

%qmake_qt6 \
	PLUGIN_INSTALL_PATH="%{_libdir}/%{name}" \
	DATA_INSTALLPATH="%{_datadir}/%{name}" \
	qpdfview.pro

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*
