Name:		qps
Version:	2.10.0
Release:	%mkrel 1
Summary:	Qt Visual Process Manager
License:	GPLv2+ and LGPLv2+
Group:		Monitoring
Url:		https://lxqt-project.org/
Source0:	https://github.com/lxqt/qps/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	cmake(lxqt) >= 2
BuildRequires:	cmake(lxqt2-build-tools)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(xrender)

%description
Qps is a visual process manager, an X11 version of "top" or "ps" that
displays processes in a window and lets you sort and manipulate them. It
displays some general system information, and many details about current
processes.

Qps can:
  * change nice value of a process
  * alter the scheduling policy and soft realtime priority of a process
  * display the TCP/UDP sockets used by a process, and names of the
    connected hosts (Linux only)
  * display the memory mappings of the process (which files and shared
    libraries are loaded where)
  * display the open files of a process, and the state of unix domain
    sockets
  * kill or send any other signal to selected processes
  * display the load average as a graph, and use this as its icon when
    iconified
  * show (as graph or numbers) current CPU, memory and swap usage
  * sort the process table on any attribute (size, cpu usage, owner etc)
  * on SMP systems running Linux 2.1 or later (or Solaris), display cpu
    usage for each processor, and which CPU a process is running on
  * display the environment variables of any process
  * show the process table in tree form, showing the parent-child
    relationship
  * execute user-defined commands on selected processes
  * display MOSIX-specific fields and migrate processes to other nodes
    in a cluster

%prep
%autosetup

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%doc CHANGELOG README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/metainfo/org.lxqt.Qps.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*
