Name:           qpwgraph
Version:        0.8.3
Release:        %mkrel 1
Summary:        PipeWire Graph Qt GUI Interface
Group:          Sound/Midi
License:        GPLv2+
URL:            https://gitlab.freedesktop.org/rncbc/qpwgraph
Source0:        https://www.rncbc.org/archive/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(alsa)

%description
qpwgraph is a graph manager dedicated to PipeWire, using the Qt C++ framework,
based and pretty much like the same of QjackCtl.

%prep
%autosetup

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

#menu
desktop-file-install \
  --remove-key="Version" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%files
%doc ChangeLog README.md
%license LICENSE.md
%{_bindir}/%{name}
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_metainfodir}/org.rncbc.%{name}.metainfo.xml
%{_datadir}/mime/packages/org.rncbc.%{name}.xml
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/%{name}.1*
