%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		qpxtool
Version:	0.8.1
Release:	%mkrel 2
Summary:	CD/DVD Drive Quality Checking
Group:		System/Kernel and hardware
License:	GPLv2
URL:		https://qpxtool.sourceforge.net/
Source0:	https://download.sourceforge.net/qpxtool/qpxtool-%{version}.tar.bz2
Patch0:		qpxtool-0.7.2-strip.patch
Patch1:		qpxtool-0.8.1-mga-comparison.patch
BuildRequires:	qt5-devel
BuildRequires:	qttools5
BuildRequires:	pkgconfig(libpng)

%description
QPxTool is the linux way to get full control over your CD/DVD drives.

It is the Open Source Solution which intends to give you access to all
available Quality Checks (Q-Checks) on written and blank media, that are
available for your drive. This will help you to find the right media and the
optimized writing speed for your hardware, which will increase the chance for
a long data lifetime.

Includes tool to update your firmware (firmware not included),

%package -n %{libname}
Group:		Development/KDE and Qt
Summary:	Shared libraries for qpxtool
Obsoletes:	%{_lib}%{name}0.6.2 < 0.7.2

%description -n %{libname}
Shared libraries for qpxtool.

%package -n %{devname}
Group:		Development/KDE and Qt
Summary:	Development files for qpxtool
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for qpxtool.

%prep
%autosetup -p1

%build
# our configure macros won't work
%set_build_flags
./configure --prefix=%{_prefix} --libdir=%{_libdir}
%make_build

%install
%make_install

install -m 755 gui/qpxtool %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_datadir}/applications
install -m 644 gui/qpxtool.desktop %{buildroot}%{_datadir}/applications

install -d -m 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 gui/images/q.png %{buildroot}%{_datadir}/pixmaps/qpxtool.png

%files
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/qscan
%{_bindir}/qscand
%{_bindir}/f1tattoo
%{_bindir}/cdvdcontrol
%{_bindir}/readdvd
%{_bindir}/qpxtool
%{_sbindir}/pxfw
%{_mandir}/man8/pxfw.8*
%{_mandir}/man1/cdvdcontrol.1*
%{_mandir}/man1/f1tattoo.1*
%{_mandir}/man1/qscan.1*
%{_mandir}/man1/readdvd.1*
%{_mandir}/man1/qpxtool.1*
%{_mandir}/man1/qscand.1*
%{_datadir}/applications/qpxtool.desktop
%{_datadir}/pixmaps/qpxtool.png
%{_datadir}/qpxtool/
%{_libdir}/qpxtool/

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{devname}
%{_libdir}/*.so
%{_includedir}/*
