%global major 1
%define libqrcodegen %mklibname qrcodegen %{major}
%define libqrcodegendev %mklibname -d qrcodegen
%define libqrcodegencpp %mklibname qrcodegencpp %{major}
%define libqrcodegencppdev %mklibname -d qrcodegencpp
%global richname QR-Code-generator
%global cmakename qrcodegen-cmake
%global cmakesuffix cmake2

Name: qr-code-generator
Version: 1.8.0
Release: %mkrel 4

License: MIT
Summary: High-quality QR Code generator library
Group:   System/Libraries
URL: https://github.com/nayuki/%{richname}
Source0: https://github.com/nayuki/%{richname}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1: https://github.com/EasyCoding/%{cmakename}/archive/v%{version}-%{cmakesuffix}/%{cmakename}-%{version}-%{cmakesuffix}.tar.gz

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: ninja
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
This project aims to be the best, clearest QR Code generator library in
multiple languages.

The primary goals are flexible options and absolute correctness.
Secondary goals are compact implementation size and good documentation
comments.

%package -n %{libqrcodegen}
Summary: High-quality QR Code generator library (plain C version)
Obsoletes: %{_lib}rcodegen1 < 1.5.0-3

%description -n %{libqrcodegen}
This project aims to be the best, clearest QR Code generator library in
multiple languages.

The primary goals are flexible options and absolute correctness.
Secondary goals are compact implementation size and good documentation
comments.

%package -n %{libqrcodegendev}
Summary: Development files for libqrcodegen
Requires: %{libqrcodegen} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides: libqrcodegen-devel = %{version}-%{release}

%description -n %{libqrcodegendev}
Development files and headers for high-quality QR Code generator library
(plain C version).

%package -n %{libqrcodegencpp}
Summary: High-quality QR Code generator library (C++ version)
Obsoletes: %{_lib}rcodegencpp1 < 1.5.0-2

%description -n %{libqrcodegencpp}
This project aims to be the best, clearest QR Code generator library in
multiple languages.

The primary goals are flexible options and absolute correctness.
Secondary goals are compact implementation size and good documentation
comments.

%package -n %{libqrcodegencppdev}
Summary: Development files for libqrcodegencpp
Requires: %{libqrcodegencpp} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides: libqrcodegencpp-devel = %{version}-%{release}

%description -n %{libqrcodegencppdev}
Development files and headers for high-quality QR Code generator library
(C++ version).

%package -n python3-qrcodegen
Summary: High-quality QR Code generator library (Python version)
BuildArch: noarch
%{?python_provide:%python_provide python3-qrcodegen}

%description -n python3-qrcodegen
This project aims to be the best, clearest QR Code generator library in
multiple languages.

The primary goals are flexible options and absolute correctness.
Secondary goals are compact implementation size and good documentation
comments.

%prep
%autosetup -n %{richname}-%{version} -p1

# Unpacking CMake build script and assets...
tar -xf %{SOURCE1} %{cmakename}-%{version}-%{cmakesuffix}/cmake %{cmakename}-%{version}-%{cmakesuffix}/CMakeLists.txt --strip=1

%build
# Building C and C++ versions...
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DBUILD_TESTS:BOOL=ON
%cmake_build

# Building Python version...
pushd python
%py3_build
popd

%check
%ctest

%install
# Installing C and C++ versions...
%cmake_install

# Installing Python version...
pushd python
%py3_install
popd

# Installing a legacy symlink for compatibility...
ln -s qrcodegen.hpp %{buildroot}%{_includedir}/qrcodegencpp/QrCode.hpp

%files -n %{libqrcodegen}
%license Readme.markdown
%{_libdir}/libqrcodegen.so.%{major}{,.*}

%files -n %{libqrcodegendev}
%{_includedir}/qrcodegen/
%{_libdir}/cmake/qrcodegen/
%{_libdir}/libqrcodegen.so
%{_libdir}/pkgconfig/qrcodegen.pc

%files -n %{libqrcodegencpp}
%license Readme.markdown
%{_libdir}/libqrcodegencpp.so.%{major}{,.*}

%files -n %{libqrcodegencppdev}
%{_includedir}/qrcodegencpp/
%{_libdir}/cmake/qrcodegencpp/
%{_libdir}/libqrcodegencpp.so
%{_libdir}/pkgconfig/qrcodegencpp.pc

%files -n python3-qrcodegen
%license Readme.markdown
%{python3_sitelib}/qrcodegen.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/qrcodegen-*.egg-info/

