%bcond_without tests
%bcond_without docs

%define	major	4
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

Summary:	QR Code encoder into PNG image
Name:		qrencode
Version:	4.1.1
Release:	%mkrel 2
Group:		File tools
License:	LGPLv2+
URL:		https://fukuchi.org/works/qrencode/
Source0:	https://fukuchi.org/works/qrencode/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(libpng)
%if %{with docs}
BuildRequires:	doxygen
%endif
%if %{with tests}
#for tests
BuildRequires:	pkgconfig(sdl)
%endif

%description
Qrencode is a utility software using libqrencode to encode string data in a
QR Code and save as a PNG image.

%package -n %{libname}
Summary:	A C library for encoding data in a QR Code symbol
Group:		System/Libraries

%description -n	%{libname}
Libqrencode is a C library for encoding data in a QR Code symbol, a kind of 2D
symbology that can be scanned by handy terminals such as a mobile phone with
CCD. The capacity of QR Code is up to 7000 digits or 4000 characters, and is
highly robustness.

Libqrencode supports QR Code model 2, described in JIS (Japanese Industrial
Standards) X0510:2004 or ISO/IEC 18004.

%package -n %{devname}
Summary:	The development files for the qrencode library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
Libqrencode is a C library for encoding data in a QR Code symbol, a kind of 2D
symbology that can be scanned by handy terminals such as a mobile phone with
CCD. The capacity of QR Code is up to 7000 digits or 4000 characters, and is
highly robustness.

Libqrencode supports QR Code model 2, described in JIS (Japanese Industrial
Standards) X0510:2004 or ISO/IEC 18004.

This package contains the development files for the qrencode library.

%prep
%setup -q

%build
autoreconf -vfi
%configure \
	--enable-shared \
	--disable-static \
	--disable-rpath \
	--with-tools \
	--with-tests=%{?with_tests:yes}%{!?with_tests:no}
%make_build

%install
%make_install

%if %{with docs}
# update doxyfiles
doxygen -u

# manual
doxygen
%endif

# we don't want these
find %{buildroot} -name "*.la" -delete

%if %{with tests}
%check
pushd tests
	./test_all.sh
popd
%endif

%files
%{_bindir}/%{name}
%{_mandir}/man1/*

%files -n %{libname}
%doc ChangeLog NEWS README TODO
%if %{with docs}
%doc html/
%endif
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
