Name:			qsampler
Summary:		LinuxSampler GUI front-end application
Version:		1.0.1
Release:		%mkrel 1
License:		GPLv2
Group:			Sound/Midi
URL:			https://qsampler.sourceforge.io/
Source0:		https://sourceforge.net/projects/qsampler/files/qsampler/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	pkgconfig(lscp) = %{version}
BuildRequires:	pkgconfig(gig) >= 4.4.1

Requires:		linuxsampler >= 2.3.1

%description
QSampler is a LinuxSampler GUI front-end application written in
C++ around the Qt6 toolkit using Qt Designer. At the moment it
just wraps as a client reference interface for the LinuxSampler
Control Protocol (LSCP).

%prep
%autosetup -p1

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

desktop-file-install \
		--remove-key="X-SuSE-translate" \
		--remove-key="Version" \
		--set-key=Exec --set-value="%{name}" \
		--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/org.rncbc.%{name}.png
%{_iconsdir}/hicolor/32x32/mimetypes/org.rncbc.%{name}.application-x-%{name}-session.png
%{_iconsdir}/hicolor/scalable/apps/org.rncbc.%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/org.rncbc.%{name}.application-x-%{name}-session.svg
%{_datadir}/%{name}/
%{_metainfodir}/org.rncbc.%{name}.metainfo.xml
%{_datadir}/mime/packages/org.rncbc.%{name}.xml
%{_mandir}/man1/*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*
