Name:           qscreenshot
Version:        1.0
Release:        %mkrel 8
Summary:        Qt screenshot tool
License:        GPLv2
Group:          Graphics/Utilities
Url:            https://sourceforge.net/projects/qscreenshot/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
BuildRequires:  pkgconfig(QtCore)
Requires:       qt4-common

%description
A fast and lightweight application used for capturing screenshots,
then editing and uploading them to various online image hosting services

qScreenshot is an intuitive tool that allows you to capture your desktop
or only parts of it, then edit the screenshots.

In addition, you can rely on this software to upload your screenshots
to specified hosting servers to share them with greater ease.
Here are some key features of \"qScreenshot\":
Capture the entire desktop, the specified area or the active window
Edit screenshots with the built simple graphic editor
Open an existing image from your local disk
Management via an icon in the system tray system

%prep
%setup -q -n %{name}

%build
sed -i 's/lrelease-qt4/lrelease/' src/src.pro
sed -i '/^Encoding=UTF-8/d' %{name}.desktop
%qmake_qt4
%make_build

%install
%makeinstall INSTALL_ROOT=%{buildroot}

# Add translation lang tags
(cd %{buildroot} && find . -name '*.qm') | sed -e 's|^.||' | sed -e \
    's:\(.*/translations/qscreenshot_\)\([a-z_A-Z]\+\)\(.*qm$\):%lang(\2) \1\2\3:'\
        >> %{name}.lang

%files -f %{name}.lang
%dir %{_datadir}/%{name}/*
%dir %{_datadir}/%{name}
%{_bindir}/qScreenshot
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/qscreenshot.desktop
