Name:           qsstv
Version:        9.5.11
Release:        %mkrel 1
Summary:        Qt-based SSTV and HamDRM
Group:          Communications/Radio
License:        GPLv3
URL:            https://github.com/Artemia76/QSSTV
# NOTE Create tarball using mk-tar script in SOURCES
Source0:        %{name}-%{version}.tar.gz
Source1:        qsstv.desktop
Source2:        qsstv.1
Source3:        index.html
Source4:        mk-tar

Patch0:         qsstv-9.5.11-rigcontrol.cpp.patch
Patch1:         qsstv-9.5.11-mga-qwt6.patch
Patch2:         qsstv-9.5.11-mga-url.patch

BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(hamlib)
BuildRequires:  pkgconfig(libopenjp2)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Network)
BuildRequires:  pkgconfig(Qt6Qwt6)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  pkgconfig(Qt6Xml)

Obsoletes:      %{name}-manual < 9.1.8

%description
QSSTV 9 is a program for receiving and transmitting Slow Scan TV and HAMDRM
(sometimes called DSSTV). It is compatible with most of MMSSTV and EasyPal
The User's Guide is in the program Help. 

%prep
%autosetup -p1

# Move documentation to match .pro
mv documentation src/documentation

# Rename doxy config to match .pro
mv src/documentation/manual/manual.doxy src/documentation/manual/manual.y

# Remove bundled qwt
rm -rf qwt

%build
%{qmake_qt6} PREFIX=%{_prefix} CONFIG+='debug and release' src/%{name}.pro

%make_build

%install
INSTALL_ROOT=%{buildroot}; export INSTALL_ROOT
%make_install

# Redirect to web based user manual
mkdir -p %{buildroot}%{_docdir}/%{name}/manual
cp -f %{SOURCE3} %{buildroot}%{_docdir}/%{name}/manual/index.html

# Install icon
mkdir -p %{buildroot}%{_iconsdir}
cp -f src/icons/qsstv.png %{buildroot}%{_iconsdir}/qsstv.png

desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# Install man page borrowed from Debian
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/

%files
%{_bindir}/* 
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}/manual/index.html
%{_mandir}/man1/%{name}.1*
