# exclude private provides
%define __provides_exclude_from	^%{_libdir}/%{name}/plugins/.*\.so$

Name:		qstardict
Version:	3.0.0
Release:	%mkrel 1
Summary:	StarDict clone written using Qt
License:	GPLv3+
Group:		Office/Dictionary
URL:		https://qstardict.ylsoftware.com/
Source0:	https://qstardict.ylsoftware.com/files/%{name}-%{version}.tar.gz
# https://notabug.org/a-rodin/qstardict
Patch0:		qstardict-svg-deskop-icon.patch

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libzim)
BuildRequires:	pkgconfig(zlib)

BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

%description
QStarDict is a dictionary application for learning foreign
languages written using Qt.

Main features:

 * Support of Kiwix dictionaries
 * Support of StarDict 2.x and 3.x dictionaries
 * Background mode
 * Showing translations for words selected by mouse in any
   application in a popup window
 * Pronuncation of words


#----------------------------------------------------

%prep
%autosetup -p1

%build
%qmake_qt6 \
	PLUGINS_DIR=%{_libdir}/%{name}/plugins \
	QMAKE_LRELEASE=%{_qt6_bindir}/lrelease
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

rm -fr %{buildroot}%{_docdir}/%{name}/COPYING

%files
%doc AUTHORS ChangeLog README.md THANKS
%license COPYING
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
