Name:           qstat
Version:        2.17
Release:        %mkrel 1
Summary:        Real-time Game Server Status for FPP/FPS servers
License:        Artistic
Group:          Networking/Other
URL:            https://github.com/multiplay/qstat
Source0:        https://github.com/multiplay/qstat/archive/v%{version}/%{name}-%{version}.tar.gz

%description
QStat is a command-line utility for collecting real-time statistics from online
game servers. The games supported are mainly in the first-person-shooter genre
(Quake, Half-Life, Unreal, etc.).

Statistics may be output in a variety of form.

%prep
%autosetup -p1

# file-not-utf8
iconv -f iso8859-1 -t utf-8 CHANGES.txt > CHANGES.txt.conv && mv -f CHANGES.txt.conv CHANGES.txt

%build
export QSTAT_VERSION=%{version}
autoreconf -vfi
%configure
%make_build

%install
%make_install

# Remove unused files before packing docs.
rm -f info/Makefile* template/Makefile*

%files
%license LICENSE.txt
%doc CHANGES.txt contrib.cfg info/ qstatdoc.html README.md template/
%config(noreplace) %{_sysconfdir}/qstat.cfg
%{_bindir}/%{name}
