Name:		qsynth
Version:	1.0.3
Release:	%mkrel 1
Summary:	Qt GUI Interface for FluidSynth
License:	GPLv2+
Group:		Sound/Midi
URL:		https://qsynth.sourceforge.net/
Source0:	https://downloads.sourceforge.net/qsynth/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Svg)

Requires:	fluidsynth

%description
Qsynth is a fluidsynth GUI front-end application written in C++ around
the Qt5 toolkit using Qt Designer. Eventually it may evolve into a
softsynth management application allowing the user to control and manage
a variety of command line softsynth but for the moment it wraps the
excellent FluidSynth.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

#menu
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%find_lang %{name} --with-qt

%files -f %{name}.lang
%doc README TRANSLATORS ChangeLog
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_datadir}/metainfo/org.rncbc.%{name}.metainfo.xml
%{_iconsdir}/*/*/*/org.rncbc.%{name}.png
%{_iconsdir}/*/*/*/org.rncbc.%{name}.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*
