#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# comment out when not pre-release
#define prerelease beta1

# FIXME workaround underlinking issue :(
%define _disable_ld_no_undefined 1

%define __brp_python_bytecompile %{nil}
%define url_ver %(echo %{version}|cut -d. -f1,2)

%define rel 1

Name:		qt-creator
Version:	16.0.1
Release:	%mkrel %{?prelease:0.%prelease.}%{rel}
License:        GPLv3 with exceptions
Summary:	Qt Creator is a lightweight, cross-platform integrated development environment (IDE)
Group:		Development/KDE and Qt
URL:		https://qt-project.org/wiki/Category:Tools::QtCreator
Source0:	https://download.qt.io/%{?prerelease:development}%{?!prerelease:official}_releases/qtcreator/16.0/%{version}%{?prerelease:-%prerelease}/qt-creator-opensource-src-%{version}%{?prerelease:-%prerelease}.tar.xz
Source3:	Nokia-QtCreator.xml
# Fedora patches:
# Fix leading whitespace in desktop file
Patch1:         qt-creator_desktop.patch
# Limit qmake names to avoid the rpm macro wrapper qmake-qt5.sh getting picked up (#1644989)
Patch2:         qt-creator_qmake-names.patch
# Fix debuginfod detection
Patch3:         qt-creator-debuginfod.patch
# Drop refereces to unbundled yaml-cpp
Patch4:         qt-creator_unbundle.patch

BuildRequires:	ninja
BuildRequires:	cmake
BuildRequires:	cmake-rpm-macros >= 1:9-9
BuildRequires:	cmake(KF6SyntaxHighlighting)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Designer)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6QmlModels)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickWidgets)
BuildRequires:	cmake(Qt6Quick3D)
BuildRequires:	cmake(Qt6Quick3DAssetImport)
BuildRequires:	cmake(Qt6QuickTimeline)
BuildRequires:	cmake(Qt6SerialPort)
BuildRequires:	cmake(Qt6ShaderTools)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6SvgWidgets)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Tools)
BuildRequires:	cmake(Qt6UiPlugin)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6Charts)
BuildRequires:	cmake(Qt6WebSockets)
%ifarch aarch64 x86_64
BuildRequires:	cmake(Qt6WebEngineWidgets)
%endif
BuildRequires:	cmake(Qt6QmlDomPrivate)

BuildRequires:	cmake(litehtml)
BuildRequires:	qttools6
BuildRequires:	qttools6-assistant
BuildRequires:	python3
BuildRequires:	chrpath

BuildRequires:	clang-devel
BuildRequires:	llvm-devel
BuildRequires:	qbs-devel
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libelf)
BuildRequires:	pkgconfig(yaml-cpp)
BuildRequires:	pkgconfig(xkbcommon)

Requires:	cmake(Qt6QuickTest)
Requires:	qt6-qtdeclarative
Requires:	qt6-qtquicktimeline
Requires:	qt6-qtwayland
# to display examples these two packages are needed (fixes mga#21981)
Requires:	qtbase6-examples
#Requires:	qt6-doc

Recommends:	qttools6-designer
Recommends:	qttools6-assistant
Recommends:	qtbase6-devel
Recommends:	qttools6
Recommends:	%{name}-doc

Provides:	qtcreator = %{version}-%{release}

%description
Qt Creator (previously known as Project Greenhouse) is a lightweight,
cross-platform integrated development environment (IDE) designed to make
development with the Qt application framework even faster and easier.

#------------------------------------------------------------------------------

%package doc
Summary:	User documentation for %{name}
Requires:	%{name} >= %{version}-%{release}
BuildArch:	noarch

%description doc
User documentation for %{name}.


%files
%exclude %{_defaultdocdir}/qtcreator/qtcreator.qch
%exclude %{_defaultdocdir}/qtcreator/qtcreator-dev.qch
%{_bindir}/qtcreator
%{_bindir}/qtcreator.sh
%{_datadir}/applications/org.qt-project.qtcreator.desktop
%{_datadir}/qtcreator/
%{_metainfodir}/org.qt-project.qtcreator.appdata.xml
%{_datadir}/mime/application/Nokia-QtCreator.xml
%{_iconsdir}/hicolor/*/apps/QtProject-qtcreator.png
%{_libdir}/qtcreator/
%{_libexecdir}/qtcreator/

%files doc
# Please don't change this, it is where qt-creator expects the documentation to be!
%dir %{_defaultdocdir}/qtcreator/
%doc %{_defaultdocdir}/qtcreator/qtcreator.qch
%doc %{_defaultdocdir}/qtcreator/qtcreator-dev.qch

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-opensource-src-%{version}%{?prerelease:-%prerelease}

# Remove some bundled libraries to be sure
rm -rf src/shared/qbs
rm -rf src/plugins/help/qlitehtml/litehtml
#rm -rf src/libs/3rdparty/syntax-highlighting/src
rm -rf src/libs/3rdparty/yaml-cpp

# fix libdir in launcher script
sed -i -e '/^libdir/s|/lib"|/%{_lib}"|' bin/qtcreator.sh

# fix plugindir in launcher script
sed -i -e '/^qtlibdir/s|\(libdir/\).*$|\1qtcreator/plugins|' bin/qtcreator.sh

%build
%cmake_qt6 -G Ninja \
    -DBUILD_PLUGIN_CLANGREFACTORING=ON \
    -DBUILD_PLUGIN_CLANGPCHMANAGER=ON \
    -DCLANGTOOLING_LINK_CLANG_DYLIB=ON \
    -DWITH_DOCS=ON \
    -Djournald=ON \
    -DBUILD_DEVELOPER_DOCS=ON \
    -DCMAKE_INSTALL_LIBDIR=%{_lib}

%cmake_build
%cmake_build -- qch_docs

%install
%cmake_install
%cmake_install --component qch_docs

mkdir -p %{buildroot}%{_datadir}/mime/application
install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/mime/application

%check
chrpath -l %{buildroot}%{_bindir}/qtcreator
