%define upver       0.8.6
%define subver      7

Name:               qt-fsarchiver
Version:            %{upver}.%{subver}
Release:            %mkrel 6
Summary:            Qt GUI for fsarchiver
Group:              Archiving/Backup
License:            GPLv2+ and GPLv3+
URL:                https://qt-fsarchiver.sourceforge.io/
Source0:            https://sourceforge.net/projects/qt-fsarchiver/files/source/qt-fsarchiver/%{name}-%{upver}-%{subver}.tar.gz
Source1:            org.fsarchiver.qt5.policy
Source2:            qt-fsarchiver.wrapper

BuildRequires:      rpm_macro(qmake_qt5)
BuildRequires:      qttools5
BuildRequires:      pkgconfig(Qt5Core)
BuildRequires:      pkgconfig(Qt5Gui)
BuildRequires:      pkgconfig(Qt5Widgets)
BuildRequires:      pkgconfig(ext2fs)
BuildRequires:      pkgconfig(uuid)
BuildRequires:      pkgconfig(blkid)
BuildRequires:      e2fsprogs
BuildRequires:      pkgconfig(libgcrypt)
BuildRequires:      pkgconfig(zlib)
BuildRequires:      pkgconfig(bzip2)
BuildRequires:      pkgconfig(libzstd)
BuildRequires:      pkgconfig(lzo2)
BuildRequires:      pkgconfig(liblzma)

Requires:           qt-fsarchiver-terminal

Obsoletes:          qt5-fsarchiver < 0.8.5.1-4
Provides:           qt5-fsarchiver = %{version}-%{release}

Requires:           polkit-agent
Requires:           ccrypt

Recommends:         gdisk
Recommends:         sshfs-fuse
Recommends:         sshpass
Recommends:         nmap
Recommends:         samba
Recommends:         samba-client
Recommends:         nfs-utils
Recommends:         xfsprogs

%description
qt-fsarchiver is a GUI for the program fsarchiver to save/restore partitions,
folders and MBR/GPT. Clone from harddisk and partitions is possible.

%prep
%autosetup -n %{name} -p1

cat > README.urpmi <<EOF
Important: This application needs that you have sudo configured for your user.
EOF

%build
%qmake_qt5
%qmake_build

%install
%qmake_install

#Install our desktop file.
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Qt-Fsarchiver
Name[tr]=Qt-Fsarchiver
Comment=File-system backup/deployment tool
Comment[fr]=Outil de sauvegarde/déploiement de système de fichiers
Comment[tr]=Dosya sistemi yedekleme/yükleme aracı
Exec=%{_sbindir}/%{name}
Icon=%{_iconsdir}/harddrive.png
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Qt;Archiving;Filesystem;
EOF

# remove pre-compiled binaries
rm -rf %{buildroot}%{_sbindir}/ccguess
rm -rf %{buildroot}%{_sbindir}/de

%files
%doc README.urpmi
%{_sbindir}/%{name}
%{_sbindir}/%{name}.sh
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}/
%{_datadir}/qt5/translations/%{name}*.qm
%{_datadir}/pixmaps/qt-fsarchiver.png
