Name:		qt-jpegxl-image-plugin
Version:	0.7.0
Release:	%mkrel 1
Summary:	Qt plugin for handling JPEG XL images
License:	GPL-3.0
Group:		Graphical desktop/KDE
Url:		https://github.com/novomesk/qt-jpegxl-image-plugin
Source0:	https://github.com/novomesk/qt-jpegxl-image-plugin/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	cmake(ECM)
BuildRequires:	pkgconfig(libjxl) >= 0.7
### Qt5 build dependencies
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
### Qt6 build dependencies
BuildRequires:	cmake(Qt6)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)

%description
Qt plug-in to allow Qt and KDE based applications to
read/write JPEG XL images.

#----------------------------------------------------------------------------
### Qt5

%package -n	qt5-jpegxl-image-plugin
Summary:	Qt JPEG XL plugin for Qt 5.x
Group:		Graphical desktop/KDE

%description -n	qt5-jpegxl-image-plugin
Qt plug-in to allow Qt and KDE based applications to
read/write JPEG XL images for Qt 5.x.

%files -n qt5-jpegxl-image-plugin
%doc README.md
%license LICENSE
%{_qt5_plugindir}/imageformats/libqjpegxl5.so

#----------------------------------------------------------------------------
### Qt6

%package -n	qt6-jpegxl-image-plugin
Summary:	Qt JPEG XL plugin for Qt 6.x
Group:		Graphical desktop/KDE

%description -n	qt6-jpegxl-image-plugin
Qt plug-in to allow Qt and KDE based applications to
read/write JPEG XL images for Qt 6.x.

%files -n qt6-jpegxl-image-plugin
%doc README.md
%license LICENSE
%{_qt6_plugindir}/imageformats/libqjpegxl6.so

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%define _vpath_builddir build-qt5
%cmake_qt5
%cmake_build

%define _vpath_builddir build-qt6
%cmake_qt6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%define _vpath_builddir build-qt5
%cmake_install

%define _vpath_builddir build-qt6
%cmake_install
