%define Werror_cflags %{nil}

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir	%{_prefix}/lib/qt3
%define libqt3name	%mklibname qt 3

%define libqassistantname %mklibname qassistantclient 1
%define libdesignercore %mklibname designercore 1
%define libeditor %mklibname editor 1

%define nameqt	qt-x11-free

%define buildSQL 1
%{?_without_SQL: %{expand4 %%global buildSQL 0}}

%define buildDebug 0
%{?_with_debug: %{expand: %%global buildDebug 1}}

%define buildImmodule 1
%{?_without_immodule: %{expand: %%global buildImmodule 0}}

%define plugindir  %{_libdir}/qt3/plugins

Name: qt3
Version: 3.3.8b
Release: %mkrel 54
License: GPLv3+ and QPL
Summary: Qt3 Sources
Group: System/Libraries
URL: https://www.qt-project.org/
Source: https://download.qt-project.org/archive/qt/3/%{nameqt}-%{version}.tar.gz
Source1: qt3.macros
Source2: qt3-assistant.desktop
Source3: qt3-designer.desktop
Source4: qt3-linguist.desktop
Source5: qt3-designer-sh
Source6: qt3-assistant-sh
Source7: qt3-uic-sh
Source8: qt3-README-Mageia
Source9: 90qtrc-jp
Patch1: qt-3.1.1-fix-xft2-compile.patch
Patch2: qt-3.2.3-fix-cupslib.patch
Patch4: qt-x11-free-3.3.5-no-rpath.patch
Patch5: qt-3.3.2-fix-configure.patch
Patch7: qt-x11-free-3.3.5-fix-load-gl.patch
Patch8: qt-3.3.5-lib64-plugins.patch
Patch10: qt-3.3.3-fix-accessible.patch
Patch11: qt-x11-free-3.3.6-qt-x11-immodule-unified-qt3.3.5-20060318-pre.patch
Patch12: fix-key-release-event-with-imm.diff
Patch13: qt-x11-free-3.3.6-lib64.patch
Patch14: qt-x11-free-3.3.4-linux32.patch
Patch15: qt-visibility.patch
Patch16: qt-x11-free-3.3.5-makelibshared.patch
Patch23: qt-x11-free-3.3.5-rubberband.patch
Patch24: qt-x11-free-3.3.5-qtranslator-crash.patch
Patch28: qt-x11-immodule-nodebug.diff
Patch29: fix-x11-immodule.diff
Patch30: fix-im-crash-on-exit.diff
Patch31: workaround-for-xlib-xim-bug.diff
Patch32: qt-x11-free-3.3.7-arm.patch
# fix FTBFS with libpng 1.5 (patch from NetBSD)
Patch46: qt-3.3.8-libpng15.patch
# rename the struct Param in qsqlextension_p.h that conflicts with PostgreSQL 11
Patch49: qt-x11-free-3.3.8b-postgresql11.patch
Patch51: qt-x11-immodule-unified-qt3.3.7-20061229.diff
Patch52: qt-x11-free-3.3.6-qt-x11-immodule-unified-qt3.3.5-20060318-post.patch
Patch53: qt-x11-immodule-unified-qt3.3.5-20051012-quiet.patch
Patch54: qt3-xinerama-support.patch
Patch55: qt-x11-free-3.3.8b-mariadb.patch
Patch56: qt3-3.3.6-fix-xorg7.0.patch
Patch58: qt-3.3.6-fix-qfile-message-error.patch
Patch59: qt-3.3.6-fix-qfile-message-error2.patch
Patch60: qt3-3.3.8-fix-space.patch
Patch63: qt-x11-free-3.3.8-qmo35263.patch
Patch64: qt-x11-free-3.3.8b-unixodb-64.patch
Patch66: qt-x11-free-3.3.8b-cstddef.patch
Patch67: qt-x11-free-3.3.8b-freetype251.patch
Patch70: qt-x11-free-3.3.8b-PostgreSQL12.patch
#-------------- KDE qt-copy patches ( added the relevant ones )
Patch100: 0005-qpixmap_mitshm.patch
Patch101: 0007-qpixmap_constants.patch
Patch102: 0017-qiconview-ctrl_rubber.patch
Patch103: 0032-fix_rotated_randr.diff
Patch104: 0035-qvaluelist-streaming-operator.patch
Patch105: 0038-dragobject-dont-prefer-unknown.patch
Patch106: 0044-qscrollview-windowactivate-fix.diff
Patch107: 0047-fix-kmenu-width.diff
Patch109: 0059-qpopup_has_mouse.patch
Patch110: 0060-qpopup_ignore_mousepos.patch
Patch111: 0061-qscrollview-propagate-horizontal-wheelevent.patch
Patch112: 0073-xinerama-aware-qpopup.patch
Patch115: 0078-argb-visual-hack.patch
# upstream patches
Patch200: qt-x11-free-3.3.4-fullscreen.patch
# security patches
Patch300: qt-x11-free-3.3.8b-CVE-2013-4549.patch
Patch301: qt-x11-free-3.3.8b-CVE-2014-0190.patch
# work around -Werror=format-security false positives (rhbz#1037297)
Patch302: qt-x11-free-3.3.8b-fmt-security.patch
Patch303: qt-x11-free-3.3.8b-CVE-2015-0295.patch
Patch304: qt-x11-free-3.3.8b-CVE-2015-1860.patch
%if %{buildSQL}
BuildRequires: mysql-devel
BuildRequires: unixODBC-devel
BuildRequires: postgresql15-devel
%endif
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(libnsl)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xft)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(bzip2)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libmng)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libtirpc)
BuildRequires: pkgconfig(zlib)
BuildRequires: nas-devel
%if "%{_lib}" != "lib"
BuildRequires: util-linux
%endif

%description
Qt is a complete and well-designed multi-platform object-oriented framework for
developing graphical user interface (GUI) applications using C++. Qt has
seamless integration with OpenGL/Mesa 3D libraries.

#--------------------------------------------------------------------

%package -n %libqt3name
Summary: Qt3 - Shared libraries
Group: System/Libraries
Requires: %{name}-common = %{version}

%description -n %libqt3name
Qt is a complete and well-designed multi-platform object-oriented framework for
developing graphical user interface (GUI) applications using C++. Qt has
seamless integration with OpenGL/Mesa 3D libraries.

This package contains shared libraries.

%postun -n %libqt3name 
if [ "$1" = "0" ]; then
   rm -f /etc/ld.so.conf.new
   grep -v -e "^%{qtdir}/%{_lib}$" /etc/ld.so.conf > /etc/ld.so.conf.new
   mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi

%files -n %libqt3name
%dir %{qtdir}/
%{_libdir}/libqt-mt.so.3
%{_libdir}/libqt-mt.so.3.3
%{_libdir}/libqt-mt.so.3.3.8
%{_libdir}/libqui.so.1
%{_libdir}/libqui.so.1.0
%{_libdir}/libqui.so.1.0.0
%{_libdir}/*.prl

%dir %{plugindir}/styles/
%{plugindir}/styles/*style.so

%if %{buildImmodule}
%dir %{plugindir}/inputmethods/
%{plugindir}/inputmethods/*.so
%endif

#--------------------------------------------------------------------

%package common
Summary:	Config, language file for Qt
Group:		Development/KDE and Qt
Requires:	%libqt3name = %{version}
Obsoletes:	libqt3-common
Provides:	libqt3-common = %{version}-%{release}
# Laurent : allow to install package which use this provides (commercial packages which want to install under distro and used this provides
Provides:	qt = %{version}-%{release}
Provides:	qt3 = %{version}-%{release}

%description common
This package contains all config file and language file.

%post common
update-alternatives --install %{_bindir}/qtconfig qtconfig %{qtdir}/bin/qtconfig 10

%postun common
if ! [ -e %{qtdir}/bin/qtconfig ]; then
  update-alternatives --remove qtconfig %{qtdir}/bin/qtconfig 
fi

%files common
%dir %{plugindir}
%if %buildSQL
%dir %{plugindir}/sqldrivers
%endif
%dir %{qtdir}/phrasebooks/
%{qtdir}/phrasebooks/*.qph
%dir %{qtdir}/
%dir %{qtdir}/bin
%{qtdir}/bin/qtconfig
%{_sysconfdir}/profile.d/*.csh
%{_sysconfdir}/profile.d/*.sh
%config(noreplace) %{_sysconfdir}/qtrc
%config(noreplace) %{_sysconfdir}/kstylerc
%dir %{qtdir}/translations/
%{qtdir}/translations/*.qm
%{_sysconfdir}/X11/xinit.d/*

#--------------------------------------------------------------------

%if %{buildSQL}
%package -n %libqt3name-mysql
Summary: 	MySQL plugin for Qt
Group: 		Development/KDE and Qt
Requires:	%libqt3name = %{version}-%{release}
Provides:	%{name}-MySQL = %{version}-%{release}

%description -n %libqt3name-mysql
This package contain the MySQL plugin for Qt.

%files -n %libqt3name-mysql
%{plugindir}/sqldrivers/libqsqlmysql.so


%package -n %libqt3name-psql
Summary: 	PostgresSQL plugin for Qt
Group: 		Development/KDE and Qt
Requires:	%libqt3name = %{version}-%{release}
Provides:	%{name}-PostgreSQL = %{version}-%{release}

%description -n %libqt3name-psql
This package contain the PostgresSQL plugin for Qt.


%files -n %libqt3name-psql
%{plugindir}/sqldrivers/libqsqlpsql.so

%package -n %libqt3name-odbc
Summary: 	ODBC plugin for Qt
Group: 		Development/KDE and Qt
Requires:	%libqt3name = %{version}-%{release}
Provides:	%{name}-ODBC = %{version}-%{release}

%description -n %libqt3name-odbc
This package contain the ODBC plugin for Qt.


%files -n %libqt3name-odbc
%{plugindir}/sqldrivers/libqsqlodbc.so


%package -n %libqt3name-sqlite
Summary: 	Sqlite 2 plugin for Qt
Group: 		Development/KDE and Qt
Requires:	%libqt3name = %{version}-%{release}
Provides:	%{name}-Sqlite = %{version}-%{release}

%description -n %libqt3name-sqlite
This package contain the Sqlite 2 plugin for Qt.

%files -n %libqt3name-sqlite
%{plugindir}/sqldrivers/libqsqlite.so

%endif

#--------------------------------------------------------------------

%prep
%setup -q -n %{nameqt}-%{version}

%patch -P 1 -p1 -b .fix_xft_compile
%patch -P 2 -p1 -b .fix_cups_lib
%patch -P 4 -p0 
%patch -P 5 -p1 -b .fix_configure_space
%patch -P 7 -p0 -b .fix_opengl
%patch -P 13 -p1 -b .lib64
%patch -P 14 -p1 -b .linux32
%patch -P 10 -p1 -b .fix_accessible
%ifarch %{arm}
%patch -P 32 -p1 -b .arm
%endif
%if %{buildImmodule}
%patch -P 11 -p1 -b .add_support_for_qt_immodule
%patch -P 51 -p1 -b .diff_immodule
%patch -P 52 -p1 -b .post_immodule
%patch -P 53 -p1 -b .fix
%endif
%patch -P 15 -p1 -b .fix_qt_export
%patch -P 16 -p1 -b .sharedlibs
%patch -P 23 -p0 -b .rubberband
%patch -P 24 -p0 -b .qtranslator
%patch -P 46 -p0 -b .libpng
%patch -P 49 -p1 -b .postgresql11
%patch -P 54 -p1 -b .fix_xinerama
%patch -P 55 -p1 -b .mariadb
%patch -P 56 -p1 -b .fix_xorg_7.0
%patch -P 58 -p1 -b .fix_qfile_message_error
%patch -P 59 -p1 -b .fix_qfile_message_error
%patch -P 60 -p1 -b .fix_space
%patch -P 63 -p0 -b .fix_bug_35263
%if "%_lib" == "lib64"
%patch -P 64 -p0 -b .fix_unixodbc
%endif
%patch -P 66 -p1 -b .gcc
%patch -P 67 -p1 -b .freetype
%patch -P 70 -p1 -b .postgresql12
# KDE qt-copy patches
%patch -P 100 -p0 -b .qt-copy
%patch -P 101 -p0 -b .qt-copy
%patch -P 102 -p0 -b .qt-copy
%patch -P 103 -p0 -b .qt-copy
%patch -P 104 -p0 -b .qt-copy
%patch -P 105 -p0 -b .qt-copy
%patch -P 106 -p0 -b .qt-copy
%patch -P 107 -p0 -b .qt-copy
%patch -P 109 -p0 -b .qt-copy
%patch -P 110 -p0 -b .qt-copy
%patch -P 111 -p0 -b .qt-copy
%patch -P 112 -p0 -b .qt-copy
%patch -P 115 -p0 -b .qt-copy
# security patches
%patch -P 300 -p1 -b .CVE-2013-4549
%patch -P 301 -p1 -b .CVE-2014-0190
%patch -P 302 -p1 -b .fmt-security
%patch -P 303 -p1 -b .CVE-2015-0295
%patch -P 304 -p1 -b .CVE-2015-1860

# (Anssi 01/2008)
# Hack to disable stripping, a better fix for configure script welcome:
mkdir -p stripbin
echo "#!/bin/true" > stripbin/strip
chmod +x stripbin/strip

sed -e "s|^QMAKE_CFLAGS_RELEASE.*$|QMAKE_CFLAGS_RELEASE = %{optflags} -fno-stack-protector|" \
    -e "s|^QMAKE_LFLAGS	.*$|QMAKE_LFLAGS		+= %{ldflags}|" \
    -e "s|^QMAKE_LFLAGS_PLUGIN.*\+= |QMAKE_LFLAGS_PLUGIN += %(echo %ldflags|sed -e 's#-Wl,--no-undefined##') |" \
    -i mkspecs/linux-g++*/qmake.conf

%build
export QTDIR=$(/bin/pwd)
export PATH=$(pwd)/stripbin:$QTDIR/bin:$PATH
export MANPATH=$QTDIR/doc/man:$MANPATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH

%if %{buildImmodule}
sh ./make-symlinks.sh
%endif

# Default platform (take care to lib64 arches)
PLATFORM=linux-g++
%if "%_lib" == "lib64"
PLATFORM=linux-g++-64
%endif
echo "#define QT_MITSHM" >> mkspecs/${PLATFORM}/qplatformdefs.h

# set correct lib path
if [ "%{_lib}" == "lib64" ] ; then
  perl -pi -e "s,/usr/lib /lib,/usr/%{_lib} /%{_lib},g" config.tests/{unix,x11}/*.test
  perl -pi -e "s,/lib /usr/lib,/%{_lib} /usr/%{_lib},g" config.tests/{unix,x11}/*.test
fi

function main_configure {
echo "yes" | ./configure \
	-I/usr/include/postgresql/server/ \
	-I/usr/include/fontconfig \
	-I/usr/include/Xft2 \
	-I/usr/include/Xft2/X11/Xft \
	-I/usr/include/mysql/ \
	-I/usr/include/tirpc \
	-prefix %{qtdir}/ \
	-libdir %{_libdir} \
	-plugindir %{plugindir} \
	-sysconfdir %{_sysconfdir} \
	-docdir %{_docdir}/%{name}/doc/ \
	%if %{buildDebug}
	-debug \
	%else
	-release \
	%endif
	-qt-gif \
	-system-zlib \
	-no-exceptions \
	-platform $PLATFORM \
	-enable-tools \
	-enable-kernel \
	-enable-widgets \
	-enable-dialogs \
	-enable-iconview \
	-enable-workspace \
	-enable-network \
	-enable-canvas \
	-enable-table \
	-enable-xml \
	-enable-input \
	-enable-opengl \
	-dlopen-opengl \
	%if %{buildSQL}
	-enable-sql \
	-plugin-sql-mysql \
	-plugin-sql-odbc \
	-plugin-sql-psql \
	-plugin-sql-sqlite \
	%endif
	-plugin-style-cde \
	-plugin-style-compact \
	-plugin-style-motif \
	-plugin-style-sgi \
	-plugin-style-platinum \
	-plugin-style-motifplus \
	-thread \
	-stl \
	-qt-imgfmt-png \
	-qt-imgfmt-jpeg \
	-qt-imgfmt-mng  \
	-system-libpng \
	-system-libjpeg \
	-system-libmng \
	-sm \
	-xinerama \
	-xrender \
	-xrandr \
	-xcursor \
	-xft \
	-nis \
	-no-tablet \
	-v \
	-xkb \
	$*
}

# Build shared
main_configure -shared 
%make_build symlinks src-qmake src-moc sub-src sub-tools


%install
export QTDIR=$(/bin/pwd)
export PATH=$(pwd)/stripbin:$QTDIR/bin:$PATH
export MANPATH=$QTDIR/doc/man:$MANPATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
rm -fr %{buildroot}

make install INSTALL_ROOT=%{buildroot}/

# David - 3.0.0-0.11mdk - Install a README for Mandriva Linux
install -m 0644 %SOURCE8 %{buildroot}/%{_docdir}/%{name}/README.Mandriva_Linux
perl -pi -e "s|QtVersion|%{version}|" %{buildroot}/%{_docdir}/%{name}/README.Mandriva_Linux
perl -pi -e "s|PackageVersion|%{version}-%{release}|" %{buildroot}/%{_docdir}/%{name}/README.Mandriva_Linux

install -d -m 0755 %{buildroot}/%{_sysconfdir}/profile.d/
cat >> %{buildroot}/%{_sysconfdir}/profile.d/90qtdir3.csh << EOF
if (! \$?QTDIR ) then
    setenv QTDIR "%{qtdir}"
endif
if (! \$?QTINC ) then
    setenv QTINC "%{qtdir}/include"
endif
if (! \$?QTLIB ) then
    setenv QTLIB "%{_libdir}"
endif
if (! \$?QT_XFT ) then
    setenv QT_XFT 0
endif
EOF

cat >> %{buildroot}/%{_sysconfdir}/profile.d/90qtdir3.sh << EOF
#! /bin/bash
[ -z "\$QTDIR" ] && export QTDIR="%{qtdir}"
[ -z "\$QTINC" ] && export QTINC="%{qtdir}/include"
[ -z "\$QTLIB" ] && export QTLIB="%{_libdir}"
[ -z "\$QT_XFT" ] && export QT_XFT=0
EOF

# Generate default qtrc
install -d -m 0755 %{buildroot}/%{_sysconfdir}/
cat >> %{buildroot}/%{_sysconfdir}/qtrc << EOF
[3.3]
libraryPath=%{plugindir}

[General]
enableXft=true
font=Sans,10,-1,5,0,0,0,0,0,0
style=plastik
useXft=true
EOF

cat >> %{buildroot}/%{_sysconfdir}/kstylerc << EOF
[Settings]
MenuDropShadow=true
MenuOpacity=0.9
MenuTransparencyEngine=Disabled
SemiTransparentRubberband=true
EOF


mkdir -p %{buildroot}/%{_sysconfdir}/X11/xinit.d/
install -m 0755 %{SOURCE9} %{buildroot}/%{_sysconfdir}/X11/xinit.d/

# Fix all buildroot paths

# (sb) Remove docs from %%install - don't need with stripped down build
rm -fr %{buildroot}/%{_docdir}

# (sb) and headers, templates etc. (-devel things)
rm -fr %{buildroot}/%{qtdir}/{include,mkspecs,templates}

# (sb) -devel libs
rm -fr %{buildroot}/%{_libdir}/*.so
rm -fr  %{buildroot}/%{_libdir}/pkgconfig/*.pc

# (sb) assistant, designer, editor stuff
rm -fr %{buildroot}/%{_libdir}/lib{designer,editor,qassistant}*
rm -fr %{buildroot}/%{plugindir}/designer

# (sb) gui/build tools
rm -f %{buildroot}/%{qtdir}/bin/{assistant,designer,linguist,lrelease,lupdate,moc,qm2ts,qmake,uic}

