# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qt3d-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqt3danimation      %mklibname qt%{qtmajor}3danimation %{qtmajor}
%define libqt3dcore           %mklibname qt%{qtmajor}3dcore %{qtmajor}
%define libqt3dextras         %mklibname qt%{qtmajor}3dextras %{qtmajor}
%define libqt3dinput          %mklibname qt%{qtmajor}3dinput %{qtmajor}
%define libqt3dlogic          %mklibname qt%{qtmajor}3dlogic %{qtmajor}
%define libqt3drender         %mklibname qt%{qtmajor}3drender %{qtmajor}
%define libqt3dquick          %mklibname qt%{qtmajor}3dquick %{qtmajor}
%define libqt3dquickanimation %mklibname qt%{qtmajor}3dquickanimation %{qtmajor}
%define libqt3dquickextras    %mklibname qt%{qtmajor}3dquickextras %{qtmajor}
%define libqt3dquickinput     %mklibname qt%{qtmajor}3dquickinput %{qtmajor}
%define libqt3dquickrender    %mklibname qt%{qtmajor}3dquickrender %{qtmajor}
%define libqt3dquickscene2d   %mklibname qt%{qtmajor}3dquickscene2d %{qtmajor}
%define libqt3dquickscene3d   %mklibname qt%{qtmajor}3dquickscene3d %{qtmajor}
%define libqt3d_d             %mklibname qt%{qtmajor}qt3d -d

Name:           qt3d6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} 3D QML bindings and C++ APIs component
# See LICENSE.GPL LICENSE.LGPL LGPL_EXCEPTION.txt, for details
# See also http://doc.qt.io/qt-5/licensing.html
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Branch Patchs

## Trunk Patchs

## Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-qtpaths

BuildRequires:  cmake(Qt6Concurrent) >= %{version}
BuildRequires:  cmake(Qt6Core) >= %{version}
BuildRequires:  cmake(Qt6Gui) >= %{version}
BuildRequires:  cmake(Qt6Network) >= %{version}
BuildRequires:  cmake(Qt6OpenGL) >= %{version}
BuildRequires:  cmake(Qt6Qml) >= %{version}
BuildRequires:  cmake(Qt6Quick) >= %{version}
BuildRequires:  cmake(Qt6ShaderTools) >= %{version}
BuildRequires:  cmake(Qt6Widgets) >= %{version}
BuildRequires:  qtimageformats6-devel >= %{version}

BuildRequires:  pkgconfig(assimp)

Requires:       qtimageformats6 >= %{version}

Provides:       qt%{qtmajor}-qt3d = %{version}-%{release}

%description
Qt%{qtmajor} 3D provides functionality for near-realtime simulation systems
with support for 2D and 3D rendering in both Qt C++ and Qt Quick applications.

%files
%license LICENSES/*.txt
%{_qt6_plugindir}/sceneparsers/
%{_qt6_plugindir}/renderers/
%{_qt6_plugindir}/geometryloaders/
%{_qt6_plugindir}/renderplugins/libscene2d.so
%{_qt6_libdir}/qt6/qml/Qt3D/
%{_qt6_libdir}/qt6/qml/QtQuick/Scene2D/
%{_qt6_libdir}/qt6/qml/QtQuick/Scene3D/
%{_qt6_archdatadir}/sbom/qt3d-%{qtversion}.spdx

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        Qt3D%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in Qt3D%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/qt3d.qch
%{_qt6_docdir}/qt3d/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqt3danimation}
Summary:        Qt%{qtmajor} 3D Animation Library
Group:          System/Libraries

%description -n %{libqt3danimation}
Qt%{qtmajor} 3D Animation Component Library.

%files -n %{libqt3danimation}
%{_qt6_libdir}/libQt63DAnimation.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dcore}
Summary:        Qt%{qtmajor} 3D Core Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqt3dcore}
Qt%{qtmajor} 3D Core Component Library.

%files -n %{libqt3dcore}
%{_qt6_libdir}/libQt63DCore.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dextras}
Summary:        Qt%{qtmajor} 3D Extras Library
Group:          System/Libraries

%description -n %{libqt3dextras}
Qt%{qtmajor} 3D Extras Component Library.

%files -n %{libqt3dextras}
%{_qt6_libdir}/libQt63DExtras.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dinput}
Summary:        Qt%{qtmajor} 3D Input Library
Group:          System/Libraries

%description -n %{libqt3dinput}
Qt%{qtmajor} 3D Input Component Library.

%files -n %{libqt3dinput}
%{_qt6_libdir}/libQt63DInput.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dlogic}
Summary:        Qt%{qtmajor} 3D Logic Library
Group:          System/Libraries

%description -n %{libqt3dlogic}
Qt%{qtmajor} 3D Logic Component Library.

%files -n %{libqt3dlogic}
%{_qt6_libdir}/libQt63DLogic.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3drender}
Summary:        Qt%{qtmajor} 3D Render Library
Group:          System/Libraries

%description -n %{libqt3drender}
Qt%{qtmajor} 3D Render Component Library.

%files -n %{libqt3drender}
%{_qt6_libdir}/libQt63DRender.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dquick}
Summary:        Qt%{qtmajor} 3D Render Library
Group:          System/Libraries

%description -n %{libqt3dquick}
Qt%{qtmajor} 3D Render Component Library.

%files -n %{libqt3dquick}
%{_qt6_libdir}/libQt63DQuick.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dquickanimation}
Summary:        Qt%{qtmajor} 3D Render Library
Group:          System/Libraries

%description -n %{libqt3dquickanimation}
Qt%{qtmajor} 3D Render Component Library.

%files -n %{libqt3dquickanimation}
%{_qt6_libdir}/libQt63DQuickAnimation.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dquickextras}
Summary:        Qt%{qtmajor} 3D Render Library
Group:          System/Libraries

%description -n %{libqt3dquickextras}
Qt%{qtmajor} 3D Render Component Library.

%files -n %{libqt3dquickextras}
%{_qt6_libdir}/libQt63DQuickExtras.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dquickinput}
Summary:        Qt%{qtmajor} 3D Render Library
Group:          System/Libraries

%description -n %{libqt3dquickinput}
Qt%{qtmajor} 3D Render Component Library.

%files -n %{libqt3dquickinput}
%{_qt6_libdir}/libQt63DQuickInput.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dquickrender}
Summary:        Qt%{qtmajor} 3D Render Library
Group:          System/Libraries

%description -n %{libqt3dquickrender}
Qt%{qtmajor} 3D Render Component Library.

%files -n %{libqt3dquickrender}
%{_qt6_libdir}/libQt63DQuickRender.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dquickscene2d}
Summary:        Qt%{qtmajor} 3D Render Library
Group:          System/Libraries

%description -n %{libqt3dquickscene2d}
Qt%{qtmajor} 3D Render Component Library.

%files -n %{libqt3dquickscene2d}
%{_qt6_libdir}/libQt63DQuickScene2D.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dquickscene3d}
Summary:        Qt%{qtmajor} 3D Render Library
Group:          System/Libraries

%description -n %{libqt3dquickscene3d}
Qt%{qtmajor} 3D Render Component Library.

%files -n %{libqt3dquickscene3d}
%{_qt6_libdir}/libQt63DQuickScene3D.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3d_d}
Summary:        Devel files needed to build apps based on Qt3D
Group:          Development/KDE and Qt

Requires:       %{libqt3danimation} = %{version}
Requires:       %{libqt3dcore} = %{version}
Requires:       %{libqt3dextras} = %{version}
Requires:       %{libqt3dinput} = %{version}
Requires:       %{libqt3dlogic} = %{version}
Requires:       %{libqt3drender} = %{version}
Requires:       %{libqt3dquick} = %{version}
Requires:       %{libqt3dquickanimation} = %{version}
Requires:       %{libqt3dquickextras} = %{version}
Requires:       %{libqt3dquickinput} = %{version}
Requires:       %{libqt3dquickrender} = %{version}
Requires:       %{libqt3dquickscene2d} = %{version}
Requires:       %{libqt3dquickscene3d} = %{version}

Provides:       libqt3d6-devel = %{version}
Provides:       libqt63d-devel = %{version}
Provides:       qt3d6-devel = %{version}
Provides:       qt63d-devel = %{version}
Provides:       qt%{qtmajor}-qt3d-devel = %{version}

%description -n %{libqt3d_d}
Devel files needed to build apps based on Qt 3D.

%files -n %{libqt3d_d}
%{_qt6_includedir}/Qt3DAnimation/
%{_qt6_libdir}/libQt63DAnimation.so
%{_qt6_libdir}/libQt63DAnimation.prl
%{_qt6_libdir}/cmake/Qt63DAnimation/
%{_qt6_libdir}/qt6/modules/3DAnimation.json
%{_qt6_libdir}/pkgconfig/Qt63DAnimation.pc
#
%{_qt6_includedir}/Qt3DCore/
%{_qt6_libdir}/libQt63DCore.so
%{_qt6_libdir}/libQt63DCore.prl
%{_qt6_libdir}/cmake/Qt63DCore/
%{_qt6_libdir}/qt6/modules/3DCore.json
%{_qt6_libdir}/pkgconfig/Qt63DCore.pc
#
%{_qt6_includedir}/Qt3DExtras/
%{_qt6_libdir}/libQt63DExtras.so
%{_qt6_libdir}/libQt63DExtras.prl
%{_qt6_libdir}/cmake/Qt63DExtras/
%{_qt6_libdir}/qt6/modules/3DExtras.json
%{_qt6_libdir}/pkgconfig/Qt63DExtras.pc
#
%{_qt6_includedir}/Qt3DInput/
%{_qt6_libdir}/libQt63DInput.so
%{_qt6_libdir}/libQt63DInput.prl
%{_qt6_libdir}/cmake/Qt63DInput/
%{_qt6_libdir}/qt6/modules/3DInput.json
%{_qt6_libdir}/pkgconfig/Qt63DInput.pc
#
%{_qt6_includedir}/Qt3DLogic/
%{_qt6_libdir}/libQt63DLogic.so
%{_qt6_libdir}/libQt63DLogic.prl
%{_qt6_libdir}/cmake/Qt63DLogic/
%{_qt6_libdir}/qt6/modules/3DLogic.json
%{_qt6_libdir}/pkgconfig/Qt63DLogic.pc
#
%{_qt6_includedir}/Qt3DRender/
%{_qt6_libdir}/libQt63DRender.so
%{_qt6_libdir}/libQt63DRender.prl
%{_qt6_libdir}/cmake/Qt63DRender/
%{_qt6_libdir}/qt6/modules/3DRender.json
%{_qt6_libdir}/pkgconfig/Qt63DRender.pc
#
%{_qt6_includedir}/Qt3DQuick/
%{_qt6_libdir}/qt6/modules/3DQuick.json
%{_qt6_libdir}/pkgconfig/Qt63DQuick.pc
#
%{_qt6_includedir}/Qt3DQuickAnimation/
%{_qt6_libdir}/qt6/modules/3DQuickAnimation.json
%{_qt6_libdir}/libQt63DQuickAnimation.prl
%{_qt6_libdir}/libQt63DQuickAnimation.so
%{_qt6_libdir}/qt6/metatypes/qt63dquickanimation_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt63DQuickAnimation.pc
#
%{_qt6_includedir}/Qt3DQuickInput/
%{_qt6_libdir}/cmake/Qt63DQuickInput/
%{_qt6_libdir}/libQt63DQuickInput.prl
%{_qt6_libdir}/libQt63DQuickInput.so
%{_qt6_libdir}/qt6/metatypes/qt63dquickinput_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/modules/3DQuickInput.json
%{_qt6_libdir}/pkgconfig/Qt63DQuickInput.pc
#
%{_qt6_includedir}/Qt3DQuickExtras/
%{_qt6_libdir}/cmake/Qt63DQuickExtras/
%{_qt6_libdir}/libQt63DQuickExtras.prl
%{_qt6_libdir}/libQt63DQuickExtras.so
%{_qt6_libdir}/qt6/metatypes/qt63dquickextras_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/modules/3DQuickExtras.json
%{_qt6_libdir}/pkgconfig/Qt63DQuickExtras.pc
#
%{_qt6_includedir}/Qt3DQuickRender/
%{_qt6_libdir}/cmake/Qt63DQuickRender/
%{_qt6_libdir}/libQt63DQuickRender.prl
%{_qt6_libdir}/libQt63DQuickRender.so
%{_qt6_libdir}/qt6/metatypes/qt63dquickrender_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/modules/3DQuickRender.json
%{_qt6_libdir}/pkgconfig/Qt63DQuickRender.pc
#
%{_qt6_includedir}/Qt3DQuickScene2D/
%{_qt6_libdir}/cmake/Qt63DQuickScene2D/
%{_qt6_libdir}/libQt63DQuickScene2D.prl
%{_qt6_libdir}/libQt63DQuickScene2D.so
%{_qt6_libdir}/qt6/metatypes/qt63dquickscene2d_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/modules/3DQuickScene2D.json
%{_qt6_libdir}/pkgconfig/Qt63DQuickScene2D.pc
#
%{_qt6_includedir}/Qt3DQuickScene3D/
%{_qt6_libdir}/cmake/Qt63DQuickScene3D/
%{_qt6_libdir}/libQt63DQuickScene3D.prl
%{_qt6_libdir}/libQt63DQuickScene3D.so
%{_qt6_libdir}/qt6/metatypes/qt63dquickscene3d_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/modules/3DQuickScene3D.json
%{_qt6_libdir}/pkgconfig/Qt63DQuickScene3D.pc
#
%{_qt6_libdir}/cmake/Qt63DQuick/
%{_qt6_libdir}/libQt63DQuick.prl
%{_qt6_libdir}/libQt63DQuick.so
%{_qt6_libdir}/qt6/metatypes/qt63dquick_relwithdebinfo_metatypes.json
#
%{_qt6_libdir}/cmake/Qt63DQuickAnimation/
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/Qt3DTestsConfig.cmake
%{_qt6_libdir}/cmake/Qt6/FindWrapQt3DAssimp.cmake
%{_qt6_libdir}/qt6/metatypes/qt63danimation_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/metatypes/qt63dcore_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/metatypes/qt63dextras_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/metatypes/qt63dinput_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/metatypes/qt63dlogic_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/metatypes/qt63drender_relwithdebinfo_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/*.pri
%if %{with examples}
%{_qt6_examplesdir}/*
%endif
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/*

#------------------------------------------------------------------------------

%prep
%setup -q -n qt3d-everywhere-src-%{qtversion}
%autopatch -p1

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}

%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif
