%define _default_patch_fuzz 1
%define _disable_exceptions 1

# Enable WebKit support for qtdesigner qwebview plugin and WebView in qtassistant
# This uses the standalone qtwebkit2.3 package, disable this flag for bootstrap.
%bcond_with webkit

%bcond_without postgres
%bcond_without mysql
%bcond_without sqlite
%bcond_without tds
%bcond_without cups
%bcond_without qvfb
%bcond_without docs

%bcond_with odbc
%bcond_with debug
%bcond_with ibase
#git clone git://gitorious.org/+kde-developers/qt/kde-qt.git
#cd kde-qt
#git archive --format=tar --prefix=kde-qt-everywhere-opensource-src-4.6.2/ master | bzip2 >/tmp/kde-qt-everywhere-opensource-src-4.6.2.tar.bz2
%define kdeqttarballdir kde-qt-everywhere-opensource-src-%{qtversion}
%define with_qt_snapshot 0

%define qtmajor 4
%define qtminor 8
%define qtsubminor 7
%define rel 47

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqt %mklibname qt %qtmajor
%define libqtdevel %mklibname qt %qtmajor -d
%define libqt3support %mklibname qt3support %qtmajor
%define libqtcore %mklibname qtcore %qtmajor
%define libqtdesigner %mklibname qtdesigner %qtmajor
%define libqtgui %mklibname qtgui %qtmajor
%define libqtnetwork %mklibname qtnetwork %qtmajor
%define libqtopengl %mklibname qtopengl %qtmajor
%define libqtsql %mklibname qtsql %qtmajor
%define libqtxml %mklibname qtxml %qtmajor
%define libqtscripttools %mklibname qtscripttools %qtmajor
%define libqtxmlpatterns %mklibname qtxmlpatterns %qtmajor
%define libqtsvg %mklibname qtsvg %qtmajor
%define libqttest %mklibname qttest %qtmajor
%define libqdbus %mklibname qtdbus %qtmajor
%define libqtscript %mklibname qtscript %qtmajor
%define libqtclucene %mklibname qtclucene %qtmajor
%define libqthelp %mklibname qthelp %qtmajor
%define libqtwebkit %mklibname qtwebkit %qtmajor
%define libqtmultimedia %mklibname qtmultimedia %qtmajor
%define libqtdeclarative %mklibname qtdeclarative %qtmajor

%define _qt4_prefix %{_libdir}/qt4
%define _qt4_datadir %{_qt4_prefix}
%define _qt4_bindir %{_qt4_prefix}/bin
%define _qt4_docdir %{_docdir}/qt4
%define _qt4_libdir %{_libdir}
%define _qt4_includedir %{_includedir}
%define _qt4_plugindir %{_qt4_prefix}/plugins
%define _qt4_demosdir %{_qt4_prefix}/demos
%define _qt4_examplesdir %{_qt4_prefix}/examples
%define _qt4_importdir %{_qt4_prefix}/imports
%define _qt4_translationdir %{_datadir}/qt4/translations
%define _qt4_sysconfigdir %{_sysconfdir}

%define qttarballdir qt-everywhere-opensource-src-%{qtversion}

Name: qt4
Epoch: 4
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt%{qtmajor} GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     https://qt-project.org/
Source0: https://download.qt-project.org/official_releases/qt/4.8/%{version}/%{qttarballdir}.tar.gz
Source2: macros.qt4
Source3: mageia-designer-qt4.desktop
Source4: mageia-assistant-qt4.desktop
Source5: mageia-linguist-qt4.desktop

## upstream patches
Patch2: 0002-Fix-build-with-GCC-8.3.patch

#Branch Patches
Source100: qt-everywhere-opensource-src-4.8.3-QTBUG-27322.patch

#Trunk Patchs


#Patch from Mageia
# Disable local WebKit build, to use standalone qtwebkit2.3.
# This allows to keep the webkit option still enabled in the qt4 build,
# for qtdesigner qwebview plugin and QtWebKit support in qtassistant.
Patch300: qt-everywhere-opensource-src-4.8.7-no-local-webkit-build.patch

#Patch from Mandriva/Fedora/Gentoo/Arch/Debian/whatelse ;o)
Patch400: qt-everywhere-opensource-src-4.8.0-tp-qtreeview-kpackagekit-crash.patch
Patch401: qt-everywhere-opensource-src-4.8.0-QTBUG-21900.patch
Patch402: qt-everywhere-opensource-src-4.8.0-QTBUG-22037.patch
# fix build issue(s) with gcc6
Patch403: qt-everywhere-opensource-src-4.8.7-gcc6.patch
# Add patch from fedora to work around warnings about qdbusconnection :
Patch404: qt-everywhere-opensource-src-4.8.3-qdbusconnection_no_debug.patch

# Add patch from fedora to allow to find printers with cups >= 1.6
# updated patch from https://bugzilla.redhat.com/show_bug.cgi?id=980952#c37
# to fix mga#12911
Patch406: qt-cupsEnumDests.patch
# Add patch from fedora to fix regression from CVE-2013-4549 fix (QTBUG-35459)
Patch407: qt-everywhere-opensource-src-4.8.5-QTBUG-35459.patch
# Add patch from bko https://bugs.kde.org/show_bug.cgi?id=180051
# make the Qt print dialog use the default settings of the cups print queue
Patch408: qt-everywhere-opensource-src-4.8-make-Qt-print-dialog-use-default-cups-settings.patch
# Add qsystemtrayicon plugin system for sni-qt
# https://blog.martin-graesslin.com/blog/2014/06/where-are-my-systray-icons
# https://bazaar.launchpad.net/~indicator-applet-developers/sni-qt/trunk.13.04/files/head:/patches/
Patch409: qt-everywhere-opensource-src-4.8.6-qsystemtrayicon-plugin-system.patch
# Add patches from bugreports.qt.io (via Fedora) to fix KDE file dialogs not showing in libreoffice
# https://bugs.documentfoundation.org/show_bug.cgi?id=82598
# https://bugzilla.redhat.com/show_bug.cgi?id=1105422
# https://bugreports.qt.io/browse/QTBUG-34614
# https://bugreports.qt.io/browse/QTBUG-37380
# https://bugreports.qt.io/browse/QTBUG-38585
Patch410: qt-everywhere-opensource-src-4.8.6-QTBUG-37380.patch
Patch411: qt-everywhere-opensource-src-4.8.6-QTBUG-34614.patch
Patch412: qt-everywhere-opensource-src-4.8.6-QTBUG-38585.patch
# workaround for MOC issues with Boost headers (#756395,QTBUG-22829)
Patch413: qt-everywhere-opensource-src-4.8.6-QTBUG-22829.patch
# support OpenSSL 1.1.x, from Debian (Gert Wollny, Dmitry Eremin-Solenikov)
# https://anonscm.debian.org/cgit/pkg-kde/qt/qt4-x11.git/tree/debian/patches/openssl_1.1.patch?h=experimental
# fixes for -openssl-linked by Kevin Kofler
Patch414: qt-everywhere-opensource-src-4.8.7-openssl-1.1.patch
# fix build with gcc 7
Patch416: qt-everywhere-opensource-src-4.8.7-gcc7.patch
# aarch64 support, https://bugreports.qt-project.org/browse/QTBUG-35442
Patch417: qt-aarch64.patch
# fix build with gcc 9
# Redo the Q_FOREACH loop control without GCC statement expressions
Patch418: qt-everywhere-opensource-src-4.8.7-gcc9.patch
Patch419: qt-everywhere-opensource-src-4.8.7-missing-headers.patch
# Fix ordered pointer comparison against zero problem reported by gcc-11
Patch420: qt-everywhere-opensource-src-4.8.7-gcc11.patch
# hardcode the compiler version in the build key once and for all
Patch421: qt-everywhere-opensource-src-4.8.7-hardcode-buildkey.patch

# Security patches
Patch500: 0001-Fix-exclusion-of-anonymous-ciphers.patch
Patch501: disable-rc4-ciphers-bnc865241.diff
Patch502: CVE-2018-15518.patch
Patch503: CVE-2018-19869.patch
Patch504: CVE-2018-19870.patch
Patch505: CVE-2018-19871.patch
# CVE-2018-19872 qt: malformed PPM image causing division by zero and crash in qppmhandler.cpp
Patch506: qt-everywhere-opensource-src-4.8.7-crash-in-qppmhandler.patch
Patch507: CVE-2018-19873.patch
# CVE-2020-17507 qt: buffer over-read in read_xbm_body in gui/image/qxbmhandler.cpp
Patch508: qt-CVE-2020-17507.patch
# no CVE qt: Clamp parsed doubles to float representable values
Patch509: qt-everywhere-opensource-src-4.8.7-clamp-parsed-doubles-to-float-representtable-values.patch
Patch510: qt-everywhere-opensource-src-4.8.5-CVE-2020-24741.patch
Patch511: qt-everywhere-opensource-src-4.8.7-openssl3.patch
Patch512: CVE-2021-45930.patch
# CVE-2023-32573 qt: Uninitialized variable usage in m_unitsPerEm
Patch513: qt-CVE-2023-32573.patch
Patch514: qt-CVE-2023-34410.patch
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(gl)
BuildRequires: mesa-common-devel
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: pkgconfig(libmng)
BuildRequires: cups-devel
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(expat)
BuildRequires: pkgconfig(dbus-1) >= 0.92
BuildRequires: termcap-devel
BuildRequires: libpam-devel
BuildRequires: pkgconfig(readline)
BuildRequires: perl
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(icu-i18n)
BuildRequires: binutils >= 2.18
BuildRequires: pkgconfig(sm)
# For qtgtk style
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: rsync
%if %with webkit
BuildRequires: pkgconfig(QtWebKit)
%endif

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run Qt
applications, as well as the README files for Qt.

#------------------------------------------------------------------------------

%package common
Summary: Qt%{qtmajor} Config and Language Files
Group: Development/KDE and Qt

%description common
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

Configuration and language files for Qt%{qtmajor}.

%files common
%attr(0755,root,root) %{_sysconfdir}/profile.d/*
%dir %{_qt4_datadir}
%dir %{_qt4_bindir}
%dir %{_qt4_plugindir}
%dir %{_qt4_importdir}
%{_qt4_datadir}/phrasebooks
%if %with docs
%dir %{_qt4_translationdir}
%lang(ar) %{_qt4_translationdir}/qt_ar.qm
%lang(cs) %{_qt4_translationdir}/qt_cs.qm
%lang(da) %{_qt4_translationdir}/qt_da.qm
%lang(de) %{_qt4_translationdir}/qt_de.qm
%lang(es) %{_qt4_translationdir}/qt_es.qm
%lang(eu) %{_qt4_translationdir}/qt_eu.qm
%lang(fa) %{_qt4_translationdir}/qt_fa.qm
%lang(fr) %{_qt4_translationdir}/qt_fr.qm
%lang(gl) %{_qt4_translationdir}/qt_gl.qm
%lang(he) %{_qt4_translationdir}/qt_he.qm
%lang(lt) %{_qt4_translationdir}/qt_lt.qm
%lang(cs) %{_qt4_translationdir}/qt_help_cs.qm
%lang(da) %{_qt4_translationdir}/qt_help_da.qm
%lang(de) %{_qt4_translationdir}/qt_help_de.qm
%lang(eu) %{_qt4_translationdir}/qt_help_eu.qm
%lang(fr) %{_qt4_translationdir}/qt_help_fr.qm
%lang(gl) %{_qt4_translationdir}/qt_help_gl.qm
%lang(hu) %{_qt4_translationdir}/qt_help_hu.qm
%lang(ja) %{_qt4_translationdir}/qt_help_ja.qm
%lang(ko) %{_qt4_translationdir}/qt_help_ko.qm
%lang(pl) %{_qt4_translationdir}/qt_help_pl.qm
%lang(ru) %{_qt4_translationdir}/qt_help_ru.qm
%lang(sl) %{_qt4_translationdir}/qt_help_sl.qm
%lang(uk) %{_qt4_translationdir}/qt_help_uk.qm
%lang(zh_CN) %{_qt4_translationdir}/qt_help_zh_CN.qm
%lang(zh_TW) %{_qt4_translationdir}/qt_help_zh_TW.qm
%lang(hu) %{_qt4_translationdir}/qt_hu.qm
%lang(ja) %{_qt4_translationdir}/qt_ja.qm
%lang(ko) %{_qt4_translationdir}/qt_ko.qm
%lang(pl) %{_qt4_translationdir}/qt_pl.qm
%lang(pt) %{_qt4_translationdir}/qt_pt.qm
%lang(ru) %{_qt4_translationdir}/qt_ru.qm
%lang(sk) %{_qt4_translationdir}/qt_sk.qm
%lang(sl) %{_qt4_translationdir}/qt_sl.qm
%lang(sv) %{_qt4_translationdir}/qt_sv.qm
%lang(uk) %{_qt4_translationdir}/qt_uk.qm
%lang(zh_CN) %{_qt4_translationdir}/qt_zh_CN.qm
%lang(zh_TW) %{_qt4_translationdir}/qt_zh_TW.qm
%lang(eu) %{_qt4_translationdir}/qtscript_eu.qm

%endif

#------------------------------------------------------------------------------
# CORE QT LIBRARIES
#------------------------------------------------------------------------------

%package -n %{libqtxml}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides:      qtxmllib = %{epoch}:%{version}

%description -n %{libqtxml}
Qt%{qtmajor} Component Library.

The QtXml module provides a stream reader and writer for XML documents,
and C++ implementations of SAX and DOM.

%files -n %{libqtxml}
%{_qt4_libdir}/libQtXml.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtscripttools}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides: qtscripttoolslib = %{epoch}:%{version}

%description -n %{libqtscripttools}
Qt%{qtmajor} Component Library.

The QtScriptTools module provides additional components for applications
that use Qt Script.

%files -n %{libqtscripttools}
%{_qt4_libdir}/libQtScriptTools.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtxmlpatterns}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Requires: %{name}-xmlpatterns = %{epoch}:%{version}

%description -n %{libqtxmlpatterns}
Qt%{qtmajor} Component Library.

The QtXmlPatterns module provides support for XPath, XQuery, XSLT and
XML Schema validation.

%files -n %{libqtxmlpatterns}
%{_qt4_libdir}/libQtXmlPatterns.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtsql}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides:       qtsqllib = %{epoch}:%{version}

%description -n %{libqtsql}
Qt%{qtmajor} Component Library.

%files -n %{libqtsql}
%{_qt4_libdir}/libQtSql.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtnetwork}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides: qtnetworklib = %{epoch}:%{version}

%description -n %{libqtnetwork}
Qt%{qtmajor} Component Library.

The QtNetwork module provides classes to make network programming easier
and portable.

%files -n %{libqtnetwork}
%{_qt4_libdir}/libQtNetwork.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtscript}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides: libqtscript = %{epoch}:%{version}

%description -n %{libqtscript}
Qt%{qtmajor} Component Library.

The QtScript module provides classes for making legacy Qt%{qtmajor} applications
scriptable.

%files -n %{libqtscript}
%{_qt4_libdir}/libQtScript.so.%{qtmajor}{,.*}
%{_qt4_plugindir}/script

#------------------------------------------------------------------------------

%package -n %{libqtgui}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides: qtguilib = %{epoch}:%{version}

%description -n %{libqtgui}
Qt%{qtmajor} Component Library.

The QtGui module extends QtCore with GUI functionality.

%files -n %{libqtgui}
%{_qt4_libdir}/libQtGui.so.%{qtmajor}{,.*}
%{_qt4_plugindir}/imageformats/
%{_qt4_plugindir}/inputmethods/

#------------------------------------------------------------------------------

%package -n %{libqtsvg}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides: qtsvglib = %{epoch}:%{version}

%description -n %{libqtsvg}
Qt%{qtmajor} Component Library.

The QtSvg module provides classes for displaying and creating SVG files.

%files -n %{libqtsvg}
%{_qt4_libdir}/libQtSvg.so.%{qtmajor}{,.*}
%{_qt4_plugindir}/iconengines/

#------------------------------------------------------------------------------

%package -n %{libqttest}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides: qttestlib = %{epoch}:%{version}

%description -n %{libqttest}
Qt%{qtmajor} Component Library.

The QtTest module provides classes for unit testing Qt applications and
libraries.

%files -n %{libqttest}
%{_qt4_libdir}/libQtTest.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqthelp}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides: qthelplib = %{epoch}:%{version}

%description -n %{libqthelp}
Qt%{qtmajor} Component Library.

The QtHelp module provides classes for integrating online documentation
in applications.

%files -n %{libqthelp}
%{_qt4_libdir}/libQtHelp.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtclucene}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides: qtclucenelib = %{epoch}:%{version}

%description -n %{libqtclucene}
Qt%{qtmajor} Component Library.

%files -n %{libqtclucene}
%{_qt4_libdir}/libQtCLucene.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------
%ifarch x86_64 aarch64
%define	mark64	()(64bit)
%else
%define	mark64	%{nil}
%endif
%define dlopenreq() %([ -e %{_libdir}/lib%{1}.so ] && objdump -p %{_libdir}/lib%{1}.so | grep SONAME | awk '{ print $2 "%{mark64}" }' || echo %{name})

%package -n %{libqtcore}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides: qtcorelib = %{epoch}:%{version}
Requires: %dlopenreq icui18n
Requires: %dlopenreq icuuc

%description -n %{libqtcore}
Qt%{qtmajor} Component Library.

The QtCore module contains core non-GUI functionality.

%files -n %{libqtcore}
%{_qt4_libdir}/libQtCore.so.%{qtmajor}{,.*}
%{_qt4_plugindir}/codecs/

#------------------------------------------------------------------------------

%package -n %{libqt3support}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides: qt3supportlib = %{epoch}:%{version}

%description -n %{libqt3support}
Qt%{qtmajor} Component Library.

The Qt3Support module provides classes that ease porting from Qt 3 to
Qt 4.

%files -n %{libqt3support}
%{_qt4_libdir}/libQt3Support.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtopengl}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides: qtopengllib = %{epoch}:%{version}

%description -n %{libqtopengl}
Qt%{qtmajor} Component Library.

The QtOpenGL module offers classes that make it easy to use OpenGL in
Qt applications.

%files -n %{libqtopengl}
%{_qt4_libdir}/libQtOpenGL.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtdesigner}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides: qtdesignerlib = %{epoch}:%{version}

%description -n %{libqtdesigner}
Qt%{qtmajor} Component Library.

The QtDesigner module provides classes that allow you to create your own
custom widget plugins for Qt Designer, and classes that enable you to
access Qt Designer's components.

%files -n %{libqtdesigner}
%{_qt4_libdir}/libQtDesigner.so.%{qtmajor}{,.*}
%{_qt4_libdir}/libQtDesignerComponents.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqdbus}
Summary: Qt%{qtmajor} Dbus Library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}
Provides: qdbuslib = %{epoch}:%{version}

%description -n %{libqdbus}
Qt%{qtmajor} Dbus Library.

The QtDBus module is a Unix-only library that you can use to perform
Inter-Process Communication using the D-Bus protocol.

%files -n %{libqdbus}
%{_qt4_libdir}/libQtDBus.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtmultimedia}
Summary: Qt%{qtmajor} Multimedia Lib
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}

%description -n %{libqtmultimedia}
Qt%{qtmajor} Multimedia Lib.

The QtMultimedia module provides low-level multimedia functionality.

%files -n %{libqtmultimedia}
%{_qt4_libdir}/libQtMultimedia.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package qtdbus
Summary:  Qt%{qtmajor} Dbus Binary
Group: Development/KDE and Qt


%description qtdbus
Qt%{qtmajor} Dbus Binary.

The QtDBus module is a Unix-only library that you can use to perform
Inter-Process Communication using the D-Bus protocol.

%files qtdbus
%{_qt4_bindir}/qdbus
%{_qt4_bindir}/qdbusviewer

#------------------------------------------------------------------------------

%package -n %{libqtdeclarative}
Summary: Qt%{qtmajor} Declarative library
Group: System/Libraries
Requires(pre): %{name}-common = %{epoch}:%{version}

%description -n %{libqtdeclarative}
Qt%{qtmajor} Declarative library.

The Qt Declarative module provides a declarative framework for building
highly dynamic, custom user interfaces.

%files -n %{libqtdeclarative}
%{_qt4_libdir}/libQtDeclarative.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package qmlviewer
Summary: Qt%{qtmajor} Qmlviewer Utility
Group: Development/KDE and Qt

%description qmlviewer
Qt%{qtmajor} Qmlviewer Utility.

This a tool for loading QML documents that makes it easy to quickly
develop and debug QML applications.

%files qmlviewer
%{_qt4_bindir}/qmlviewer
%{_qt4_importdir}/Qt
%{_qt4_plugindir}/bearer/libqgenericbearer.so
%{_qt4_plugindir}/bearer/libqnmbearer.so
%{_qt4_plugindir}/bearer/libqconnmanbearer.so
%{_qt4_plugindir}/designer/libqdeclarativeview.so
%{_qt4_plugindir}/qmltooling/libqmldbg_tcp.so
%{_qt4_plugindir}/qmltooling/libqmldbg_inspector.so

#------------------------------------------------------------------------------

# make a devel private subpkg or not?
%define private 1

%package -n %{libqtdevel}
Summary:   Development files for the Qt%{qtmajor} GUI toolkit
Group:     Development/KDE and Qt
Requires:  %{name}-common = %{epoch}:%{version}
Requires:  qt4-qtconfig
Provides:  qt4-devel = %{epoch}:%{version}-%release
Provides:  libqt4-devel = %{epoch}:%{version}-%release
Requires:  %{libqtdeclarative} = %{epoch}:%{version}
Requires:  %{libqtdesigner} = %{epoch}:%{version}
Requires:  %{libqtnetwork} = %{epoch}:%{version}
Requires:  %{libqtopengl} = %{epoch}:%{version}
Requires:  %{libqtsql} = %{epoch}:%{version}
Requires:  %{libqtscripttools} = %{epoch}:%{version}
Requires:  %{libqtsvg} = %{epoch}:%{version}
Requires:  %{libqtclucene} = %{epoch}:%{version}
Requires:  %{libqttest} = %{epoch}:%{version}
Requires:  %{libqtscript} = %{epoch}:%{version}
Requires:  %{libqthelp} = %{epoch}:%{version}
Requires:  %{libqtmultimedia} = %{epoch}:%{version}
Requires:  %{libqt3support} = %{epoch}:%{version}
Requires:  %{libqtcore} = %{epoch}:%{version}
Requires:  %{libqtgui} = %{epoch}:%{version}
Requires:  %{libqtxml} = %{epoch}:%{version}
Requires:  %{libqtxmlpatterns} = %{epoch}:%{version}
Requires:  %{libqttest} = %{epoch}:%{version}
Requires:  %{libqdbus} = %{epoch}:%{version}
Requires:  %{libqtclucene} = %{epoch}:%{version}


Requires:  qt4-qtdbus = %{epoch}:%{version}
Requires:  pkgconfig(glu)
Requires:  pkgconfig(libpng)
Requires:  jpeg-devel
Requires:  make

Recommends: qt4-designer-plugin-webkit = %{epoch}:%{version}
Recommends: qt4-designer-plugin-qt3support = %{epoch}:%{version}

%description -n %{libqtdevel}
The %{name}-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt
meta object compiler, and the static libraries.  See the address
https://qt-project.org/ for more information about Qt%{qtmajor}.

Install %{name}-devel if you want to develop GUI applications using the
Qt toolkit.

%post -n %{libqtdevel}
update-alternatives --install %{_bindir}/qmake-qt4 qmake-qt4 %{_qt4_bindir}/qmake 20

%postun -n %{libqtdevel}
if ! [ -e %{_qt4_bindir}/qmake ]; then
  update-alternatives --remove qmake-qt4 %{_qt4_bindir}/qmake
fi

%files -n %{libqtdevel}
%{_rpmmacrodir}/macros.qt4
%{_qt4_bindir}/pixeltool
%{_qt4_bindir}/lrelease
%{_qt4_bindir}/lupdate
%{_qt4_bindir}/moc
%{_qt4_bindir}/qdbusxml2cpp
%{_qt4_bindir}/qdbuscpp2xml
%{_qt4_bindir}/qmake
%{_qt4_bindir}/qmlplugindump
%{_qt4_bindir}/qt3to4
%{_qt4_bindir}/qttracereplay
%{_qt4_bindir}/rcc
%{_qt4_bindir}/uic
%{_qt4_bindir}/uic3
%{_qt4_bindir}/xmlpatternsvalidator
%if "%{_qt4_includedir}" != "%{_includedir}"
%dir %{_qt4_includedir}
%endif
%dir %{_qt4_includedir}/Qt/
%{_qt4_includedir}/Qt/*.h
%{_qt4_includedir}/Qt/Qt3Support
%{_qt4_includedir}/Qt/QtCore
%{_qt4_includedir}/Qt/QtDBus
%{_qt4_includedir}/Qt/QtDeclarative
%{_qt4_includedir}/Qt/QtGui
%{_qt4_includedir}/Qt/QtHelp
%{_qt4_includedir}/Qt/QtMultimedia
%{_qt4_includedir}/Qt/QtNetwork
%{_qt4_includedir}/Qt/QtOpenGL
%{_qt4_includedir}/Qt/QtScript
%{_qt4_includedir}/Qt/QtScriptTools
%{_qt4_includedir}/Qt/QtSql
%{_qt4_includedir}/Qt/QtSvg
%{_qt4_includedir}/Qt/QtTest
%{_qt4_includedir}/Qt/QtXml
%{_qt4_includedir}/Qt/QtXmlPatterns
%{_qt4_includedir}/Qt3Support
%{_qt4_includedir}/QtCore/
%{_qt4_includedir}/QtDBus/
%{_qt4_includedir}/QtDeclarative/
%{_qt4_includedir}/QtDesigner/
%{_qt4_includedir}/QtGui/
%{_qt4_includedir}/QtHelp/
%{_qt4_includedir}/QtMultimedia/
%{_qt4_includedir}/QtNetwork/
%{_qt4_includedir}/QtOpenGL/
%{_qt4_includedir}/QtScript/
%{_qt4_includedir}/QtScriptTools/
%{_qt4_includedir}/QtSql/
%{_qt4_includedir}/QtSvg/
%{_qt4_includedir}/QtTest/
%{_qt4_includedir}/QtXml/
%{_qt4_includedir}/QtXmlPatterns/
%{_qt4_includedir}/QtUiTools/
%{_qt4_datadir}/mkspecs
%{_qt4_datadir}/q3porting.xml
%{_qt4_libdir}/libQt3Support.prl
%{_qt4_libdir}/libQt3Support.so
%{_qt4_libdir}/libQtCLucene.prl
%{_qt4_libdir}/libQtCLucene.so
%{_qt4_libdir}/libQtCore.prl
%{_qt4_libdir}/libQtCore.so
%{_qt4_libdir}/libQtDBus.prl
%{_qt4_libdir}/libQtDBus.so
%{_qt4_libdir}/libQtDeclarative.prl
%{_qt4_libdir}/libQtDeclarative.so
%{_qt4_libdir}/libQtDesigner.prl
%{_qt4_libdir}/libQtDesigner.so
%{_qt4_libdir}/libQtDesignerComponents.prl
%{_qt4_libdir}/libQtDesignerComponents.so
%{_qt4_libdir}/libQtGui.prl
%{_qt4_libdir}/libQtGui.so
%{_qt4_libdir}/libQtHelp.prl
%{_qt4_libdir}/libQtHelp.so
%{_qt4_libdir}/libQtMultimedia.prl
%{_qt4_libdir}/libQtMultimedia.so
%{_qt4_libdir}/libQtNetwork.prl
%{_qt4_libdir}/libQtNetwork.so
%{_qt4_libdir}/libQtOpenGL.prl
%{_qt4_libdir}/libQtOpenGL.so
%{_qt4_libdir}/libQtScript.prl
%{_qt4_libdir}/libQtScript.so
%{_qt4_libdir}/libQtScriptTools.prl
%{_qt4_libdir}/libQtScriptTools.so
%{_qt4_libdir}/libQtSql.prl
%{_qt4_libdir}/libQtSql.so
%{_qt4_libdir}/libQtSvg.prl
%{_qt4_libdir}/libQtSvg.so
%{_qt4_libdir}/libQtTest.prl
%{_qt4_libdir}/libQtTest.so
%{_qt4_libdir}/libQtUiTools.a
%{_qt4_libdir}/libQtUiTools.prl
%{_qt4_libdir}/libQtXml.prl
%{_qt4_libdir}/libQtXml.so
%{_qt4_libdir}/libQtXmlPatterns.prl
%{_qt4_libdir}/libQtXmlPatterns.so
%{_qt4_libdir}/pkgconfig/Qt3Support.pc
%{_qt4_libdir}/pkgconfig/QtCLucene.pc
%{_qt4_libdir}/pkgconfig/QtCore.pc
%{_qt4_libdir}/pkgconfig/QtDBus.pc
%{_qt4_libdir}/pkgconfig/QtDeclarative.pc
%{_qt4_libdir}/pkgconfig/QtDesigner.pc
%{_qt4_libdir}/pkgconfig/QtDesignerComponents.pc
%{_qt4_libdir}/pkgconfig/QtGui.pc
%{_qt4_libdir}/pkgconfig/QtHelp.pc
%{_qt4_libdir}/pkgconfig/QtMultimedia.pc
%{_qt4_libdir}/pkgconfig/QtNetwork.pc
%{_qt4_libdir}/pkgconfig/QtOpenGL.pc
%{_qt4_libdir}/pkgconfig/QtScript.pc
%{_qt4_libdir}/pkgconfig/QtScriptTools.pc
%{_qt4_libdir}/pkgconfig/QtSql.pc
%{_qt4_libdir}/pkgconfig/QtSvg.pc
%{_qt4_libdir}/pkgconfig/QtTest.pc
%{_qt4_libdir}/pkgconfig/QtUiTools.pc
%{_qt4_libdir}/pkgconfig/QtXml.pc
%{_qt4_libdir}/pkgconfig/QtXmlPatterns.pc
%if 0%{?private}
%exclude %{_qt4_includedir}/*/private/
%endif

#------------------------------------------------------------------------------

%if 0%{?private}
%package devel-private
Summary: Private headers for Qt%{qtmajor} toolkit
Group: Development/KDE and Qt
Requires: qt4-devel = %{?epoch:%{epoch}:}%{version}-%{release}
BuildArch: noarch

%description devel-private
%{summary}.

%files devel-private
%{_qt4_includedir}/QtCore/private/
%{_qt4_includedir}/QtDeclarative/private/
%{_qt4_includedir}/QtGui/private/
%{_qt4_includedir}/QtScript/private/
%{_qt4_includedir}/../src/corelib/
%{_qt4_includedir}/../src/declarative/
%{_qt4_includedir}/../src/gui/
%{_qt4_includedir}/../src/script/
%endif

#------------------------------------------------------------------------------

%package xmlpatterns
Summary: Qt%{qtmajor} Xmlpatterns Utility
Group: Development/KDE and Qt

%description xmlpatterns
Qt%{qtmajor} Xmlpatterns Utility.

The QtXmlPatterns module provides support for XPath, XQuery, XSLT and
XML Schema validation.

%files xmlpatterns
%{_qt4_bindir}/xmlpatterns

#------------------------------------------------------------------------------

%package qtconfig
Summary: Qt%{qtmajor} Configuration Utility
Group: Development/KDE and Qt

%description qtconfig
Main Qt%{qtmajor} Configuration Utility.

The qtconfig tool allows users to customize the default settings for Qt
applications on a per-user basis, enabling features such as the widget
style to be changed without requiring applications to be recompiled.

%post qtconfig
update-alternatives --install %{_bindir}/qtconfig qtconfig %{_qt4_bindir}/qtconfig 20

%postun qtconfig
if ! [ -e %{_qt4_bindir}/qtconfig ]; then
  update-alternatives --remove qtconfig %{_qt4_bindir}/qtconfig
fi

%files qtconfig

%{_qt4_bindir}/qtconf*
%if %with docs
%{_qt4_translationdir}/qtconfig*
%endif

#------------------------------------------------------------------------------

%if %with docs

%package doc
Summary: HTML Documentation for Qt%{qtmajor}
Group: Development/KDE and Qt
BuildArch: noarch

%description doc
HTML documentation for the Qt toolkit. To view the documentation,
please load up the file %_qt4_docdir/html/index.html in your
favourite browser.

%post doc
# Remove old qt4 doc directories
find %_docdir -maxdepth 1 -type d -name qt-4.\* -exec rm -rf {} \;

%files doc
%{_qt4_docdir}/html
%{_qt4_docdir}/qch
%{_qt4_docdir}/src

#------------------------------------------------------------------------------

%package demos
Summary: Demonstration applications with Qt%{qtmajor}
Group: Development/KDE and Qt
Obsoletes: %{name}-demos < 4:4.7.0-3

%description demos
Demonstration applications with Qt%{qtmajor}.

%files demos
%{_qt4_bindir}/qtdemo
%{_qt4_demosdir}
%{_qt4_plugindir}/designer/libarthurplugin.so

#------------------------------------------------------------------------------

%package examples
Summary: Example programs made with Qt%{qtmajor}
Group: Development/KDE and Qt

%description examples
Example programs made with Qt%{qtmajor}.

%files examples
%{_qt4_examplesdir}
%{_qt4_plugindir}/designer/libcontainerextension.so
%{_qt4_plugindir}/designer/libcustomwidgetplugin.so
%{_qt4_plugindir}/designer/libtaskmenuextension.so
%{_qt4_plugindir}/designer/libworldtimeclockplugin.so

%endif

#------------------------------------------------------------------------------

%package linguist
Summary: Qt%{qtmajor} linguist translation utility
Group: Development/KDE and Qt
Requires(post):     desktop-file-utils
Requires(postun):   desktop-file-utils
# For the help with F1:
Recommends:           qt4-assistant

%description linguist
Qt%{qtmajor} Linguist provides easy translation of Qt GUIs to different.
languages.

%files linguist
%{_qt4_bindir}/lingu*
%{_qt4_bindir}/lconvert*
%{_datadir}/applications/*linguist*.desktop
%if %with docs
%{_qt4_translationdir}/linguist*
%endif

#------------------------------------------------------------------------------

%package assistant
Summary: Qt%{qtmajor} Assistant Doc Utility
Group: Documentation
Requires: qt4-database-plugin-sqlite
Recommends: qt4-doc
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description assistant
Qt%{qtmajor} Assistant provides a documentation Browser.

%files assistant
%{_qt4_bindir}/assistant*
%{_qt4_bindir}/qcollectiongen*
%{_qt4_bindir}/qhelpconv*
%{_qt4_bindir}/qhelpgen*
%{_datadir}/applications/*assistant*.desktop
%if %with docs
%{_qt4_translationdir}/assistant*
%endif

#------------------------------------------------------------------------------

%if ! %without odbc


%package -n %{_lib}qt4-database-plugin-odbc
Summary: Qt%{qtmajor} Database ODBC Database Plugin
Group: Databases
BuildRequires: unixODBC-devel
%rename qt4-database-plugin-odbc

%description -n %{_lib}qt4-database-plugin-odbc
The QODBC driver allows you to connect to an ODBC (Open Database
Connectivity) driver manager and access the available data sources.

%files -n %{_lib}qt4-database-plugin-odbc
%{_qt4_plugindir}/sqldrivers/libqsqlodbc.so

%endif

#------------------------------------------------------------------------------

%if ! %without mysql

%package -n %{_lib}qt4-database-plugin-mysql
Summary: Qt%{qtmajor} MYSQL Database Plugin
Group: Databases
BuildRequires: mysql-devel
%rename qt4-database-plugin-mysql

%description -n %{_lib}qt4-database-plugin-mysql
Database plugin for mysql Qt%{qtmajor} support.

%files -n %{_lib}qt4-database-plugin-mysql
%{_qt4_plugindir}/sqldrivers/libqsqlmysql.so

%endif

#------------------------------------------------------------------------------

%if ! %without sqlite

%package -n %{_lib}qt4-database-plugin-sqlite
Summary: Qt%{qtmajor} SQLITE Database Plugin
Group: Databases
BuildRequires: pkgconfig(sqlite3)
%rename qt4-database-plugin-sqlite

%description -n %{_lib}qt4-database-plugin-sqlite
The Qt%{qtmajor} SQLite plugin makes it possible to access SQLite databases.

%files -n %{_lib}qt4-database-plugin-sqlite
%{_qt4_plugindir}/sqldrivers/libqsqlite.so
%endif

#------------------------------------------------------------------------------

%if ! %without tds

%package -n %{_lib}qt4-database-plugin-tds
Summary: Qt%{qtmajor} FREETDS Database Plugin
Group: Databases
BuildRequires: freetds-devel
%rename qt4-database-plugin-tds

%description -n %{_lib}qt4-database-plugin-tds
Database plugin for freetds Qt%{qtmajor} support.

%files -n %{_lib}qt4-database-plugin-tds
%{_qt4_plugindir}/sqldrivers/libqsqltds.so

%endif

#------------------------------------------------------------------------------

%if %with ibase

%package -n %{_lib}qt4-database-plugin-ibase
Summary: Qt%{qtmajor} Interbase Database Plugin
Group: Databases
BuildRequires: firebird-devel
%rename qt4-database-plugin-ibase

%description -n %{_lib}qt4-database-plugin-ibase
Database plugin for interbase Qt%{qtmajor} support.

%files -n %{_lib}qt4-database-plugin-ibase
%{_qt4_plugindir}/sqldrivers/libqsqlibase.so

%endif

#------------------------------------------------------------------------------

%if ! %without postgres

%package -n %{_lib}qt4-database-plugin-pgsql
Summary: Qt%{qtmajor} PGSQL Database Plugin
Group: Databases
BuildRequires: postgresql-devel
BuildRequires: libpq-devel
%rename qt4-database-plugin-pgsql

%description -n %{_lib}qt4-database-plugin-pgsql
Database plugin for pgsql Qt%{qtmajor} support.

%files -n %{_lib}qt4-database-plugin-pgsql
%{_qt4_plugindir}/sqldrivers/libqsqlpsql.so

%endif

#------------------------------------------------------------------------------

%package graphicssystems-plugin
Summary: Qt%{qtmajor} Graphicssystems Plugins
Group: Development/KDE and Qt

%description graphicssystems-plugin
Graphicssystems plugins for Qt%{qtmajor}.

%files graphicssystems-plugin
%{_qt4_plugindir}/graphicssystems/

#------------------------------------------------------------------------------

%package accessibility-plugin
Summary: Qt%{qtmajor} Accessibility Plugins
Group: Development/KDE and Qt

%description accessibility-plugin
Accessibility plugins for Qt%{qtmajor}.

%files accessibility-plugin
%{_qt4_plugindir}/accessible/

#------------------------------------------------------------------------------

%package designer
Summary: %{name} Visual Design Tool
Group: Development/KDE and Qt
Requires: %{libqtdevel} = %{epoch}:%{version}

%description designer
The Qt%{qtmajor} Designer is a visual design tool that makes designing and
implementing user interfaces a lot easier.

%files designer
%{_qt4_bindir}/design*
%{_datadir}/applications/*designer*.desktop
%if %with docs
%{_qt4_translationdir}/designer_*
%endif

#------------------------------------------------------------------------------

%if %with webkit
%package designer-plugin-webkit
Summary: designer plugin for webkit Qt%{qtmajor} support
Group: Development/KDE and Qt

%description designer-plugin-webkit
designer plugin for webkit Qt%{qtmajor} support.

%files designer-plugin-webkit
%{_qt4_plugindir}/designer/libqwebview.so
%endif

#------------------------------------------------------------------------------

%package designer-plugin-qt3support
Summary: designer plugin for qt3support Qt%{qtmajor} support
Group: Development/KDE and Qt

%description designer-plugin-qt3support
designer plugin for qt3support Qt%{qtmajor} support.

%files designer-plugin-qt3support
%{_qt4_plugindir}/designer/libqt3supportwidgets.so

#------------------------------------------------------------------------------

%if %{with qvfb}

%package qvfb
Summary: Qt%{qtmajor} Embedded Virtual Terminal
Group: Development/KDE and Qt

%description qvfb
Embedded Virtual Terminal for Qt%{qtmajor}.

%files qvfb
%{_qt4_bindir}/qvf*
%if %with docs
%{_qt4_translationdir}/qvfb*
%endif

%endif

#------------------------------------------------------------------------------


%package qdoc3
Summary: Qt%{qtmajor} Documentation Generator
Group: Development/KDE and Qt

%description qdoc3
Documentation Generator for Qt%{qtmajor}.

%files qdoc3
%{_qt4_bindir}/qdoc3

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{qttarballdir}

# Unlike Fedora, we don't modify the installed mkspecs to contain our flags,
# which would have the side effect that plain 'qmake' would use them as well
# (i.e. even when not building an rpm), which is not really wanted. Our
# packages are built with %%qmake_qt4 (macros.qt4) which already overrides the
# flags, so altering qmake default configuration for that is unnecessary.
# Since the Qt configure script doesn't support defining custom flags, we
# still have to temporarily override the flags below - they are restored in
# %%install. -Anssi
cp mkspecs/linux-g++/qmake.conf mkspecs/linux-g++/qmake.conf.upstream
cat >> mkspecs/linux-g++/qmake.conf <<EOF
QMAKE_CFLAGS   = %{optflags} -DOPENSSL_NO_SSL2
QMAKE_CXXFLAGS = %{optflags} -DOPENSSL_NO_SSL2 -Wno-deprecated-copy -Wno-class-memaccess
QMAKE_LFLAGS   = %{ldflags}
QMAKE_STRIP    =
# Note that setting QMAKE_LFLAGS_PLUGIN here would do no good, as it would
# just get appended to $QMAKE_LFLAGS instead of replacing it.
EOF

# set correct lib path (from fedora)
if [ "%{_lib}" == "lib64" ] ; then
    sed -i -e "s,/usr/lib /lib,/usr/%{_lib} /%{_lib},g" config.tests/{unix,x11}/*.test
    sed -i -e "s,/lib /usr/lib,/%{_lib} /usr/%{_lib},g" config.tests/{unix,x11}/*.test
fi

%build
export QTDIR=`/bin/pwd`
export PATH=$QTDIR/bin:$PATH
export LD_LIBRARY_PATH=$PWD/lib/

# Don't include headers or link with /usr/X11R6/{include,lib}
perl -pi -e 's@/X11R6/@/@' mkspecs/linux-*/qmake.conf mkspecs/common/linux.conf

#------------------------------------------------------------------------------

./configure \
    -confirm-license \
    -opensource \
    -optimized-qmake \
    -prefix %{_qt4_prefix} \
    -bindir %{_qt4_bindir} \
    -datadir %{_qt4_datadir} \
    -demosdir %{_qt4_demosdir} \
    -docdir %{_qt4_docdir} \
    -examplesdir %{_qt4_examplesdir} \
    -headerdir %{_qt4_includedir} \
    -importdir %{_qt4_importdir} \
    -libdir %{_qt4_libdir} \
    -plugindir %{_qt4_plugindir} \
    -sysconfdir %{_qt4_sysconfigdir} \
    -translationdir %{_qt4_translationdir} \
%if %with debug
    -debug \
    -verbose \
%else
    -release \
    -silent \
%endif
    -shared \
    -no-separate-debug-info \
    -no-rpath \
    -no-pch \
    -no-reduce-relocations \
    -openssl-linked \
    -dbus-linked \
%if %{with qvfb}
   -qvfb \
%endif
%if %with webkit
    -webkit \
%else
    -no-webkit \
%endif
    -gtkstyle \
    -xmlpatterns \
    -opengl desktop \
    -no-openvg \
    -platform linux-g++ \
    -sm \
    -stl \
    -system-libmng \
    -system-libpng \
    -system-libjpeg \
    -system-libtiff \
    -system-zlib \
    -xinput \
    -xcursor \
    -xfixes \
    -xinerama \
    -xshape \
    -xrandr \
    -xkb \
    -glib \
%if ! %{with_cups}
    -no-cups \
%endif
     -no-phonon \
     -no-phonon-backend \
%if ! %without postgres
    -plugin-sql-psql \
%endif
%if ! %without mysql
    -plugin-sql-mysql \
%else
    -no-sql-mysql \
%endif
%if %with ibase
    -plugin-sql-ibase \
%else
    -no-sql-ibase \
%endif
%if ! %without sqlite
    -plugin-sql-sqlite \
    -system-sqlite \
    -no-sql-sqlite2 \
%else
    -no-sql-sqlite \
    -no-sql-sqlite2 \
%endif
%if ! %without odbc
    -plugin-sql-odbc \
%else
    -no-sql-odbc \
%endif
%if %without docs
    -nomake docs \
    -nomake demos \
    -nomake examples
%endif

%make_build

%if  %{with qvfb}
    %__make -C tools/qvfb
%endif

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_qt4_docdir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sysconfdir}/profile.d

# recreate .qm files

LD_LIBRARY_PATH=`pwd`/lib bin/lrelease translations/*.ts

%make_install INSTALL_ROOT=%{buildroot}

%if 0%{?private}
# install private headers
# using rsync -R as easy way to preserve relative path names
# we're cheating and using %%_prefix (/usr) directly here
rsync -aR \
  include/Qt{Core,Declarative,Gui,Script}/private \
  src/{corelib,declarative,gui,script}/*/*_p.h \
  %{buildroot}%{_prefix}/
%endif

%if %{with qvfb}
    # Install qvfb
    %make_install -C tools/qvfb INSTALL_ROOT=%{buildroot}
%else
rm -f %{buildroot}%{_qt4_translationdir}/qvfb*.qm
%endif

# Add .desktop files for designer,linguist & assistant
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %SOURCE3 %{buildroot}%{_datadir}/applications
install -m 644 %SOURCE4 %{buildroot}%{_datadir}/applications
install -m 644 %SOURCE5 %{buildroot}%{_datadir}/applications

# Fix binary path according to %%_qt4_datadir
sed -i 's#/usr/lib/qt4/bin/#/%{_qt4_bindir}/#' %{buildroot}%{_datadir}/applications/mageia-designer-qt4.desktop
sed -i 's#/usr/lib/qt4/bin/#/%{_qt4_bindir}/#' %{buildroot}%{_datadir}/applications/mageia-assistant-qt4.desktop
sed -i 's#/usr/lib/qt4/bin/#/%{_qt4_bindir}/#' %{buildroot}%{_datadir}/applications/mageia-linguist-qt4.desktop

# Fix mkspec link
pushd  %{buildroot}%{_qt4_datadir}/mkspecs
rm -f default
ln -sf %{_qt4_datadir}/mkspecs/linux-g++ default
popd

# Restore qmake.conf to the upstream version which was backed up in %%prep
mv %{buildroot}%{_qt4_datadir}/mkspecs/linux-g++/qmake.conf.upstream %{buildroot}%{_qt4_datadir}/mkspecs/linux-g++/qmake.conf

# Fix all buildroot paths
find %{buildroot}%{_qt4_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}%{_qt4_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}%{_qt4_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;
find %{buildroot}%{_qt4_libdir} -type f -name '*la' -print -exec sed -i -e "s, -L%{_builddir}/?\S+,,g" -e "s,-L../JavaScriptCore/release,,g" -e "s,-ljscore,,g" {} \;
find %{buildroot}%{_qt4_datadir}/mkspecs -name 'qmake.conf' -exec chmod -x -- {} \;
find %{buildroot}%{_qt4_datadir}/mkspecs -name Info.plist.app -exec chmod -x -- {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# Install rpm macros
mkdir -p %{buildroot}%{_rpmmacrodir}
install -m 0644 %SOURCE2 %{buildroot}%{_rpmmacrodir}

# Profiles
cat > %{buildroot}%{_sysconfdir}/profile.d/65qt4.sh << EOF
#!/bin/bash

export QTDIR=%{_qt4_datadir}

[ -z \$QT4DOCDIR ] && export QT4DOCDIR=%{_qt4_docdir}

if [ -z \$(echo \$PATH | grep "%{_qt4_bindir}") ]; then
    PATH=\${PATH}:%{_qt4_bindir}
    export PATH
fi

EOF

rm -rf %{buildroot}%{_qt4_libdir}/qt4/tests/qt4/tst_*

# .la files, die, die, die.
rm -f %{buildroot}%{_libdir}/lib*.la
