%global sum     A Qt based frontend for the urpm* package management tools

Name:           qt4urpm
Version:        1.0.1
Release:        %mkrel 20
Summary:        %{sum}
License:        GPLv3
Group:          System/Packaging
URL:            https://www.sf.net/projects/qt4urpm
Source0:        https://sourceforge.net/projects/qt4urpm/files/%{name}-%{version}/%{name}-%{version}.tar.lzma
Source1:        org.freedesktop.qt4urpm.policy
Patch0:         qt4urpm-1.0.1-mga-fix_translations_files_path.patch
Patch1:         qt4urpm-1.0.1-mga-completed_french_translation.patch
Patch2:         qt4urpm-1.0.1-mga-completed_russian_translation.patch
Patch3:         qt4urpm-1.0.1-mga-qt5.patch
Patch4:         qt4urpm-1.0.1-mga-qttranslations.patch
Patch5:         qt4urpm-1.0.1-mga-polkit.patch
Patch6:         qt4urpm-1.0.1-mga-icons.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qttools5

Requires:       urpmi
Requires:       polkit
Requires:       gurpmi
Requires:       xterm
Requires:       qttranslations5
# requires for icons
Requires:       oxygen-icon-theme
Requires:       desktop-common-data
Requires:       rpmdrake

%description
qt4urpm is a Qt5 based frontend for the urpm* package management tools,
which provides an intuitive interface to manage orphaned packages and
search for packages that contain a specific file.

%prep
%setup -q
%autopatch -p1

%build
%make_build lrelease
%qmake_qt5
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
cp -pr %{name} %{buildroot}%{_bindir}/
chmod 0755 %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Qt4urpm
Name[fr]=Qt4urpm
GenericName=URPM* package management tools
GenericName[fr]=Outils de gestion de paquet URPM*
GenericName[ru]=Инструменты управления пакетами URPM*
Comment=%{sum}
Comment[fr]=Une interface graphique Qt pour les outils de gestion de paquet URPM*
Comment[ru]=Графический интерфейс на Qt для инструментов управления пакетами URPM*
Exec=%{name}
Icon=packaging_section
Type=Application
Categories=System;Settings;PackageManager;
EOF

mkdir -p %{buildroot}%{_datadir}/%{name}/qm
cp -pr *.qm %{buildroot}%{_datadir}/%{name}/qm/

mkdir -p %{buildroot}%{_datadir}/polkit-1/actions
cp -f %{SOURCE1} %{buildroot}%{_datadir}/polkit-1/actions/

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/polkit-1/actions/org.freedesktop.%{name}.policy
