Name:		qt5ct
Version:	1.9
Release:	%mkrel 1
Summary:	Qt5 Configuration Tool
Group:		Graphical desktop/Other
License:	BSD
URL:		https://sourceforge.net/projects/qt5ct/
Source0:	https://downloads.sourceforge.net/qt5ct/%{name}-%{version}.tar.bz2
Patch0:		qt5ct-0.25-mga-set-QT_QPA_PLATFORMTHEME.patch
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	qt5platformsupport-devel
BuildRequires:	qt5themesupport-devel
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libinput)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xrender)

%description
qt5ct allows users to configure Qt5 settings (theme, font, icons, etc.) under
DE/WM without Qt integration.

%prep
%autosetup -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

# Copy translations files
install -d %{buildroot}%{_datadir}/%{name}/translations
install -m 644 src/%{name}/translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/

# devel lib not needed
find %{buildroot} -name 'libqt5ct-common.so' -delete

%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_libdir}/lib%{name}-common.so.%{version}
%{_qt5_plugindir}/platformthemes/libqt5ct.so
%{_qt5_plugindir}/styles/libqt5ct-style.so
%config %{_sysconfdir}/profile.d/%{name}.*sh
