%define laz_ver	3.6

%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		qt5pas
# "2.15" comes from Qt5Pas.pro but versioning is all over the place...
Version:	2.15.lazarus%{laz_ver}
Release:	%mkrel 1
Summary:	Qt5 bindings for pascal
License:	LGPL-3.0-only
Group:		System/Libraries
Url:		https://gitlab.com/freepascal.org/lazarus/lazarus/-/tree/main/lcl/interfaces/qt5/cbindings
Source0:	https://download.sourceforge.net/lazarus/lazarus-%{laz_ver}-0.tar.gz

BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5PrintSupport)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5X11Extras)

%description
Qt5 bindings for pascal from Lazarus.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Free Pascal Qt5 interface binding
Group:		System/Libraries
Provides:       qt5pas = %{version}-%{release}

%description -n	%{libname}
The Free Pascal Qt5 binding that allows Free Pascal
to interface with the C++ Library Qt.

%files -n %{libname}
%license lcl/interfaces/qt5/cbindings/COPYING.TXT
%doc lcl/interfaces/qt5/cbindings/README.TXT
%{_libdir}/libQt5Pas.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%doc lcl/interfaces/qt5/cbindings/README.TXT
%{_libdir}/libQt5Pas.so

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n lazarus

%build
pushd lcl/interfaces/qt5/cbindings/
	%qmake_qt5
	%make_build
popd

%install
pushd lcl/interfaces/qt5/cbindings/
	%make_install INSTALL_ROOT=%{buildroot}
popd
