%define laz_ver	3.6

%define major	6
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		qt6pas
# "6.2.8" comes from Qt6Pas.pro but versioning is all over the place...
Version:	6.2.8.lazarus%{laz_ver}
Release:	%mkrel 1
Summary:	Qt6 bindings for pascal
License:	LGPL-3.0-only
Group:		System/Libraries
Url:		https://gitlab.com/freepascal.org/lazarus/lazarus/-/tree/main/lcl/interfaces/qt6/cbindings
Source0:	https://download.sourceforge.net/lazarus/lazarus-%{laz_ver}-0.tar.gz

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)

%description
Qt6 bindings for pascal from Lazarus.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Free Pascal Qt6 interface binding
Group:		System/Libraries
Provides:       qt6pas = %{version}-%{release}

%description -n	%{libname}
The Free Pascal Qt6 binding that allows Free Pascal
to interface with the C++ Library Qt.

%files -n %{libname}
%license lcl/interfaces/qt6/cbindings/COPYING.TXT
%doc lcl/interfaces/qt6/cbindings/README.TXT
%{_libdir}/libQt6Pas.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%doc lcl/interfaces/qt6/cbindings/README.TXT
%{_libdir}/libQt6Pas.so

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n lazarus

%build
pushd lcl/interfaces/qt6/cbindings/
	%qmake_qt6
	%make_build
popd

%install
pushd lcl/interfaces/qt6/cbindings/
	%make_install INSTALL_ROOT=%{buildroot}
popd
