Name:           qtads
Summary:        GUI multimedia interpreter for TADS games
Version:        3.4.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Games/Adventure
URL:            https://qtads.sourceforge.net/
Source0:        https://downloads.sourceforge.net/qtads/%{name}-%{version}-source.tar.xz
Patch0:         qtads-3.0.0-mga-disable-broken-forced-update-check.patch
Patch1:         qtads-3.4.0-verbose-build.patch
Patch2:         0001-Port-to-Qt6-PR21.patch

BuildRequires:  pkgconfig(Qt6Core5Compat)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Network)
BuildRequires:  pkgconfig(Qt6Svg)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(vorbisfile)
Recommends:     timidity-instruments

%description
QTads is a cross-platform multimedia interpreter for Tads (Text Adventure
Development System) games. Both Tads versions in use today (Tads 2 and Tads 3)
are supported. MIDI, Ogg Vorbis, MP3, and WAV sound formats are supported.

TADS is a programming language written by Michael J. Roberts, designed to
implement text-adventure games (Interactive Fiction), similar to those
developed by Infocom in 1980-1990, as well as other companies (like Legend
Entertainment, Level 9, etc). If you liked games like "Zork", "Adventure",
"Trinity", or "Eric the Unready", you'll feel right at home.

%prep
%autosetup -p1

sed -i 's|\$$PREFIX/bin|\$$PREFIX/games|' qtads.pro

%build
%qmake_qt6 \
    PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

rm -rf %{buildroot}%{_docdir}/%{name}-%{version}

%files
%doc AUTHORS NEWS README
%license LICENSE.TXT
%{_gamesbindir}/%{name}
%{_datadir}/applications/nikos.chantziaras.%{name}.desktop
%{_metainfodir}/nikos.chantziaras.%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/application-x-*.png
%{_mandir}/man6/%{name}.6*
