# Build configuration

# set to '1' to do a bootstrap build
%define build_bootstrap 0
%{?_with_bootstrap: %{expand: %%global build_bootstrap 1}}

%ifarch aarch64 armv7hl
%global no_sse2 1
%endif

%if 0%{?build_bootstrap}
%define build_docs 0
%else
%define build_docs 1
%endif

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%endif

%global platform linux-g++

%bcond_without postgres
%bcond_without mysql
%bcond_without sqlite
%bcond_without ibase
%bcond_without cups
%bcond_without examples
%bcond_without odbc
%bcond_without dbus_linked
%bcond_without pcre
%bcond_without journald
## skip for now, until we're better at it
%bcond_with tests

%bcond_with debug

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtbase-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqt                         %mklibname qt%{qtmajor}base %qtmajor
%define libqtdevel                    %mklibname qt%{qtmajor}base %qtmajor -d

%define libqtcore                     %mklibname qt%{qtmajor}core %qtmajor
%define libqtcore_d                   %mklibname qt%{qtmajor}core -d

%define libqtconcurrent               %mklibname qt%{qtmajor}concurrent %qtmajor
%define libqtconcurrent_d             %mklibname qt%{qtmajor}concurrent -d

%define libqteglfskmsgbmsupport       %mklibname qt%{qtmajor}eglfskmsgbmsupport %qtmajor
%define libqteglfskmsgbmsupport_d     %mklibname qt%{qtmajor}eglfskmsgbmsupport -d

%define libqtdbus                     %mklibname qt%{qtmajor}dbus %qtmajor
%define libqtdbus_d                   %mklibname qt%{qtmajor}dbus -d

%define libqteglfsdeviceintegration   %mklibname qt%{qtmajor}eglfsdeviceintegration %qtmajor
%define libqteglfsdeviceintegration_d %mklibname qt%{qtmajor}eglfsdeviceintegration -d

%define libqteglfskmssupport          %mklibname qt%{qtmajor}eglfskmssupport %qtmajor
%define libqteglfskmssupport_d        %mklibname qt%{qtmajor}eglfskmssupport -d

%define libqtgui                      %mklibname qt%{qtmajor}gui %qtmajor
%define libqtgui_d                    %mklibname qt%{qtmajor}gui -d

%define libqtnetwork                  %mklibname qt%{qtmajor}network %qtmajor
%define libqtnetwork_d                %mklibname qt%{qtmajor}network -d

%define libqtopengl                   %mklibname qt%{qtmajor}opengl %qtmajor
%define libqtopengl_d                 %mklibname qt%{qtmajor}opengl -d

%define libqtopenglwidgets            %mklibname qt%{qtmajor}openglwidgets %qtmajor
%define libqtopenglwidgets_d          %mklibname qt%{qtmajor}openglwidgets -d

%define libqtprintsupport             %mklibname qt%{qtmajor}printsupport %qtmajor
%define libqtprintsupport_d           %mklibname qt%{qtmajor}printsupport -d

%define libqtsql                      %mklibname qt%{qtmajor}sql %qtmajor
%define libqtsql_d                    %mklibname qt%{qtmajor}sql -d

%define libqttest                     %mklibname qt%{qtmajor}test %qtmajor
%define libqttest_d                   %mklibname qt%{qtmajor}test -d

%define libqtwidgets                  %mklibname qt%{qtmajor}widgets %qtmajor
%define libqtwidgets_d                %mklibname qt%{qtmajor}widgets -d

%define libqtxcbqpa                   %mklibname qt%{qtmajor}xcbqpa %qtmajor
%define libqtxcbqpa_d                 %mklibname qt%{qtmajor}xcbqpa -d

%define libqtxml                      %mklibname qt%{qtmajor}xml %qtmajor
%define libqtxml_d                    %mklibname qt%{qtmajor}xml -d

%define libqtdevicediscoverysupport_d %mklibname qt%{qtmajor}devicediscoverysupport -d -s
%define libqtfbsupport_d              %mklibname qt%{qtmajor}fbsupport -d -s
%define libqtinputsupport_d           %mklibname qt%{qtmajor}inputsupport -d -s
%define libqtkmssupport_d             %mklibname qt%{qtmajor}kmssupport -d -s
%define libqtexampleicons_d           %mklibname qt%{qtmajor}exampleicons -d -s


# Folder macros

%define _qt6_prefix         %{_prefix}
%define _qt6_archdatadir    %{_libdir}/qt6
%define _qt6_bin            %{_libdir}/qt6/bin
%define _qt6_datadir        %{_datadir}/qt6
%define _qt6_docdir         %{_docdir}/qt6
%define _qt6_examplesdir    %{_qt6_archdatadir}/examples
%define _qt6_headerdir      %{_includedir}/qt6
%define _qt6_includedir     %{_includedir}/qt6
%define _qt6_importdir      %{_qt6_archdatadir}/imports
%define _qt6_libdir         %{_libdir}
%define _qt6_libexecdir     %{_qt6_archdatadir}/libexec
%define _qt6_mkspecsdir     %{_qt6_archdatadir}/mkspecs
%define _qt6_plugindir      %{_qt6_archdatadir}/plugins
%define _qt6_qmldir         %{_qt6_archdatadir}/qml
%define _qt6_settingsdir    %{_sysconfdir}/xdg
%define _qt6_sysconfdir     %{_qt6_settingsdir}
%define _qt6_translationdir %{_datadir}/qt6/translations

# Do not check any files in %%{_qt6_plugindir}/platformthemes/ for requires.
# Those themes are there for platform integration. If the required libraries are
# not there, the platform to integrate with isn't either. Then Qt will just
# silently ignore the plugin that fails to load. Thus, there is no need to let
# RPM drag in gtk2 as a dependency for the GTK+ 2 dialog support.
%global __requires_exclude_from ^%{_qt6_plugindir}/platformthemes/.*$

Name:           qtbase6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt GUI toolkit
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
# https://bugzilla.redhat.com/show_bug.cgi?id=1227295
# https://bugs.mageia.org/show_bug.cgi?id=27054
# https://bugs.mageia.org/show_bug.cgi?id=26900
Source1:        qtlogging.ini

## backport from upstream
Patch151:       qtbase-introduce-emoji-segmenter-to-3rdparty-code.patch
Patch155:       qtbase-skip-ad-hoc-handling-of-variation-selector-in-font-merging.patch

## Branch patches

## Fedora patches

## Opensuse patches
# No need to pollute the library dir with object files, install them in the qt6 subfolder
Patch101:       0001-CMake-Install-objects-files-into-ARCHDATADIR.patch

## Mageia patches
# (blino) revert upstream patch that forbids -reduce-relocations on ARM
# since -Bsymbolic is fixed on ARM in ld 2.25 (QTBUG-36129 and binutils#16715)
Patch200:       qtbase-revert-old-arm-linker-limitation.patch

## Trunk patches

## Security patches
# P1000 -> ...

## Testing patches

BuildRequires:  binutils >= 2.18
BuildRequires:  cmake-rpm-macros
BuildRequires:  qt6-rpm-macros >= 6.3.1-2
BuildRequires:  ninja
BuildRequires:  mesa-common-devel
BuildRequires:  pam-devel
BuildRequires:  perl
BuildRequires:  python3
BuildRequires:  cmake(double-conversion)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(dbus-1) >= 0.92
BuildRequires:  pkgconfig(cups)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
# gtk+3.0 for qtgtk style
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(harfbuzz) >= 0.9.42
BuildRequires:  pkgconfig(libb2)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libmng)
BuildRequires:  pkgconfig(libpcre2-16)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libproxy-1.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libsctp)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(md4c)
BuildRequires:  pkgconfig(mtdev)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(openssl) >= 1.1
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(tslib)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-cursor)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-xinput)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb-renderutil)
BuildRequires:  pkgconfig(xcb-xkb) >= 1.10
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xkbcommon) >= 0.4.1
BuildRequires:  pkgconfig(xkbcommon-x11) >= 0.4.1
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(zlib)

%description
Qt%{qtmajor} is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run Qt
applications, as well as the README files for Qt.

#------------------------------------------------------------------------------

%package common
Summary:        Qt%{qtmajor} Config and Language Files
Group:          Development/KDE and Qt
Provides:       qt6-common = %{version}-%{release}
#TODO Mga6: Split qttranslations6 into subpackages
%if ! 0%{?build_bootstrap}
Requires:       qttranslations6
%endif
# (doktor5000) glxinfo binary required by script qt6-check-opengl2.sh
Requires:       glxinfo

%description common
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

Configuration and language files for Qt%{qtmajor}.

%files common
%attr(0755,root,root) %{_sysconfdir}/profile.d/*
%dir %{_sysconfdir}/xdg/QtProject
%dir %{_qt6_bindir}
%dir %{_qt6_docdir}
%{_qt6_docdir}/global/
%{_qt6_docdir}/config/
%dir %{_qt6_datadir}
%{_qt6_datadir}/qtlogging.ini
%dir %{_qt6_archdatadir}/sbom
%{_qt6_archdatadir}/sbom/qtbase-%{qtversion}.spdx
%dir %{_qt6_plugindir}
%{_qt6_plugindir}/generic/
%{_qt6_plugindir}/imageformats/
%{_qt6_plugindir}/platforminputcontexts/
%{_qt6_plugindir}/platformthemes/
%{_qt6_plugindir}/platforms/
%{_qt6_plugindir}/egldeviceintegrations/
%{_qt6_plugindir}/printsupport/
%{_qt6_plugindir}/networkinformation/
%{_qt6_plugindir}/tls/
%{_qt6_plugindir}/xcbglintegrations/

#-------------------------------------------------------------------

%package -n %{name}-common-devel
Summary:        Development files for the Qt%{qtmajor} GUI toolkit
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       qt6-rpm-macros
Requires:       %{name}-qtpaths
Provides:       qmake = %{version}-%{release}
Provides:       qmake-qt6 = %{version}-%{release}
Provides:       qt%{qtmajor}-qtbase = %{version}-%{release}

Requires:       cmake(Qt6Concurrent)

%description -n %{name}-common-devel
Common files needed to build application based on Qt%{qtmajor}.

%post -n %{name}-common-devel
update-alternatives --install %{_bindir}/qmake qmake %{_qt6_bindir}/qmake 30

%postun -n %{name}-common-devel
if ! [ -e %{_qt6_bindir}/qmake ]; then
  update-alternatives --remove qmake %{_qt6_bindir}/qmake
fi

%files -n %{name}-common-devel
%{_bindir}/androiddeployqt
%{_bindir}/androiddeployqt6
%{_bindir}/androidtestrunner
%{_bindir}/qdbuscpp2xml*
%{_bindir}/qdbusxml2cpp*
%{_bindir}/qlalr-qt6
%{_bindir}/qmake*
%{_bindir}/qt-cmake
%{_bindir}/qt-cmake-create
%{_bindir}/qt-configure-module
%{_bindir}/qvkgen-qt6
%{_bindir}/rcc-qt6
%{_bindir}/tracegen-qt6
%{_bindir}/uic-qt6
%{_qt6_bindir}/qmake*
%{_qt6_bindir}/androiddeployqt
%{_qt6_bindir}/androiddeployqt6
%{_qt6_bindir}/androidtestrunner
%{_qt6_bindir}/qdbuscpp2xml
%{_qt6_bindir}/qdbusxml2cpp
%{_qt6_bindir}/qt-cmake
%{_qt6_bindir}/qt-cmake-create
%{_qt6_bindir}/qt-configure-module
%{_qt6_libexecdir}/qt-cmake-private
%{_qt6_libexecdir}/qt-cmake-standalone-test
%{_qt6_libexecdir}/cmake_automoc_parser
%{_qt6_libexecdir}/moc
%{_qt6_libexecdir}/qvkgen
%{_qt6_libexecdir}/qlalr
%{_qt6_libexecdir}/rcc
%{_qt6_libexecdir}/tracegen
%{_qt6_libexecdir}/tracepointgen
%{_qt6_libexecdir}/uic
%{_qt6_libexecdir}/syncqt
%{_qt6_libexecdir}/qt-internal-configure-examples
%{_qt6_libexecdir}/qt-internal-configure-tests
%{_qt6_archdatadir}/mkspecs/
%dir %{_qt6_libdir}/cmake
%dir %{_qt6_libdir}/qt6/examples
%dir %{_qt6_libdir}/qt6/metatypes
%dir %{_qt6_libdir}/qt6/modules
%dir %{_qt6_includedir}
%{_qt6_libdir}/cmake/Qt6/
%{_qt6_libdir}/cmake/Qt6BuildInternals/
%{_qt6_libdir}/cmake/Qt6HostInfo/

#------------------------------------------------------------------------------

%package qtpaths
Summary:        Qt%{qtmajor} Paths Binary
Group:          Development/KDE and Qt

%description qtpaths
Qt%{qtmajor} Paths Binary.

%files qtpaths
%{_qt6_bindir}/qtpaths*
%{_bindir}/qtpaths*

#------------------------------------------------------------------------------
%if %{with examples}

%package examples
Summary:        Example programs made with Qt%{qtmajor}
Group:          Documentation
Provides:       qt6-examples = %{version}-%{release}

%description examples
Example programs made with Qt%{qtmajor}.

%files examples
%{_qt6_examplesdir}/*

%endif
#------------------------------------------------------------------------------

%if 0%{?build_docs}
%package doc
Summary:        QtBase%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtBase%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/*.qch
%{_qt6_docdir}/qmake/
%{_qt6_docdir}/qtconcurrent/
%{_qt6_docdir}/qtcore/
%{_qt6_docdir}/qtdbus/
%{_qt6_docdir}/qtgui/
%{_qt6_docdir}/qtnetwork/
%{_qt6_docdir}/qtopengl/
%{_qt6_docdir}/qtprintsupport/
%{_qt6_docdir}/qtsql/
%{_qt6_docdir}/qttestlib/
%{_qt6_docdir}/qtwidgets/
%{_qt6_docdir}/qtxml/
%endif

#------------------------------------------------------------------------------
# CORE QT LIBRARIES
#------------------------------------------------------------------------------

%package -n %{libqtcore}
Summary:        Qt%{qtmajor} Core Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtcore}
Qt%{qtmajor} Core Component Library.

The QtCore module contains core non-GUI functionality.

%files -n %{libqtcore}
%{_qt6_libdir}/libQt6Core.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtcore_d}
Summary:        Devel files needed to build apps based on QtCore
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtcore} = %{version}
Provides:       libqtcore6-devel = %{version}
Provides:       libqt6core-devel = %{version}
Provides:       qt6core-devel = %{version}
Provides:       qtcore6-devel = %{version}

Provides:       qt6core-private-devel = %{version}
Provides:       qtcore6-private-devel = %{version}

%description -n %{libqtcore_d}
Devel files needed to build apps based on QtCore.

%files -n %{libqtcore_d}
%{_qt6_libdir}/libQt6Core.prl
%{_qt6_libdir}/libQt6Core.so
%{_qt6_libdir}/cmake/Qt6Core/
%{_qt6_includedir}/QtCore/
%{_qt6_libdir}/qt6/metatypes/qt6core_relwithdebinfo_metatypes.json
%{_qt6_libdir}/cmake/Qt6CoreTools/
%{_qt6_libdir}/qt6/modules/Core.json

#------------------------------------------------------------------------------

%package -n %{libqtconcurrent}
Summary:        Qt%{qtmajor} Concurrent Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtconcurrent}
Qt%{qtmajor} Concurrent Component Library.

%files -n %{libqtconcurrent}
%{_qt6_libdir}/libQt6Concurrent.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtconcurrent_d}
Summary:        Devel files needed to build apps based on QtConcurrent
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtconcurrent} = %{version}
Provides:       libqtconcurrent6-devel = %{version}
Provides:       libqt6concurrent-devel = %{version}
Provides:       qt6concurrent-devel = %{version}
Provides:       qtconcurrent6-devel = %{version}

%description -n %{libqtconcurrent_d}
Devel files needed to build apps based on QtConcurrent.

%files -n %{libqtconcurrent_d}
%{_qt6_libdir}/libQt6Concurrent.so
%{_qt6_libdir}/libQt6Concurrent.prl
%{_qt6_includedir}/QtConcurrent/
%{_qt6_libdir}/cmake/Qt6Concurrent/
%{_qt6_libdir}/qt6/modules/Concurrent.json
%{_qt6_libdir}/qt6/metatypes/qt6concurrent_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6Concurrent.pc

#------------------------------------------------------------------------------

%package -n %{libqteglfskmsgbmsupport}
Summary:        Qt%{qtmajor} EglFsKmsGbmSupport Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqteglfskmsgbmsupport}
Qt%{qtmajor} EglFsKmsGbmSupport Component Library.

%files -n %{libqteglfskmsgbmsupport}
%{_qt6_libdir}/libQt6EglFsKmsGbmSupport.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqteglfskmsgbmsupport_d}
Summary:        Devel files needed to build apps based on QtConcurrent
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqteglfskmsgbmsupport} = %{version}
Provides:       libqteglfskmsgbmsupport6-devel = %{version}
Provides:       libqt6eglfskmsgbmsupport-devel = %{version}
Provides:       qt6eglfskmsgbmsupport-devel = %{version}
Provides:       qteglfskmsgbmsupport6-devel = %{version}

%description -n %{libqteglfskmsgbmsupport_d}
Devel files needed to build apps based on QtConcurrent.

%files -n %{libqteglfskmsgbmsupport_d}
%{_qt6_libdir}/libQt6EglFsKmsGbmSupport.so
%{_qt6_libdir}/libQt6EglFsKmsGbmSupport.prl
%{_qt6_includedir}/QtEglFsKmsGbmSupport/
%{_qt6_libdir}/cmake/Qt6EglFsKmsGbmSupportPrivate/
%{_qt6_libdir}/qt6/modules/EglFsKmsGbmSupportPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6eglfskmsgbmsupportprivate_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtdbus}
Summary:        Qt%{qtmajor} DBus Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtdbus}
Qt%{qtmajor} DBus Component Library.

%files -n %{libqtdbus}
%{_qt6_libdir}/libQt6DBus.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtdbus_d}
Summary:        Devel files needed to build apps based on QtDBus
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtdbus} = %{version}
Provides:       libqtdbus6-devel = %{version}
Provides:       libqt6dbus-devel = %{version}
Provides:       qt6dbus-devel = %{version}
Provides:       qtdbus6-devel = %{version}

Provides:       qt6dbus-private-devel = %{version}
Provides:       qtdbus6-private-devel = %{version}

%description -n %{libqtdbus_d}
Devel files needed to build apps based on QtDBus.

%files -n %{libqtdbus_d}
%{_qt6_libdir}/libQt6DBus.prl
%{_qt6_libdir}/libQt6DBus.so
%{_qt6_includedir}/QtDBus/
%{_qt6_libdir}/cmake/Qt6DBusTools/
%{_qt6_libdir}/cmake/Qt6DBus/
%{_qt6_libdir}/qt6/modules/DBus.json
%{_qt6_libdir}/qt6/metatypes/qt6dbus_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6DBus.pc

#------------------------------------------------------------------------------

%package -n %{libqteglfsdeviceintegration}
Summary:        Qt%{qtmajor} EglFSDeviceIntegrations Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqteglfsdeviceintegration}
Qt%{qtmajor} EglFSDeviceIntegrations Component Library.

%files -n %{libqteglfsdeviceintegration}
%{_qt6_libdir}/libQt6EglFSDeviceIntegration.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqteglfsdeviceintegration_d}
Summary:        Devel files needed to build apps based on EglFSDeviceIntegrations
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqteglfsdeviceintegration} = %{version}
Provides:       libqteglfsdeviceintegration6-devel = %{version}
Provides:       libqt6eglfsdeviceintegration-devel = %{version}
Provides:       qteglfsdeviceintegration6-devel = %{version}
Provides:       qt6eglfsdeviceintegration-devel = %{version}

%description -n %{libqteglfsdeviceintegration_d}
Devel files needed to build apps based on QtEglFSDeviceIntegrations.

%files -n %{libqteglfsdeviceintegration_d}
%{_qt6_includedir}/QtEglFSDeviceIntegration/
%{_qt6_libdir}/libQt6EglFSDeviceIntegration.prl
%{_qt6_libdir}/libQt6EglFSDeviceIntegration.so
%{_qt6_libdir}/cmake/Qt6EglFSDeviceIntegrationPrivate/
%{_qt6_libdir}/qt6/modules/EglFSDeviceIntegrationPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6eglfsdeviceintegrationprivate_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqteglfskmssupport}
Summary:        Qt%{qtmajor} EglFsKmsSupport Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqteglfskmssupport}
Qt%{qtmajor} EglFsKmsSupport Component Library.

%files -n %{libqteglfskmssupport}
%{_qt6_libdir}/libQt6EglFsKmsSupport.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqteglfskmssupport_d}
Summary:        Devel files needed to build apps based on EglFsKmsSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqteglfskmssupport} = %{version}
Provides:       libqteglfskmssupport6-devel = %{version}
Provides:       libqt6eglfskmssupport-devel = %{version}
Provides:       qteglfskmssupport6-devel = %{version}
Provides:       qt6eglfskmssupport-devel = %{version}

%description -n %{libqteglfskmssupport_d}
Devel files needed to build apps based on QtEglFsKmsSupport.

%files -n %{libqteglfskmssupport_d}
%{_qt6_libdir}/libQt6EglFsKmsSupport.prl
%{_qt6_libdir}/libQt6EglFsKmsSupport.so
%{_qt6_includedir}/QtEglFsKmsSupport/
%{_qt6_libdir}/cmake/Qt6EglFsKmsSupportPrivate/
%{_qt6_libdir}/qt6/modules/EglFsKmsSupportPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6eglfskmssupportprivate_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtgui}
Summary:        Qt%{qtmajor} GUI Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtgui}
Qt%{qtmajor} GUI Component Library.

The QtGui module extends QtCore with GUI functionality.

%files -n %{libqtgui}
%{_qt6_libdir}/libQt6Gui.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtgui_d}
Summary:        Devel files needed to build apps based on QtGui
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common = %{version}-%{release}
Requires:       %{name}-common-devel = %{version}-%{release}
#(nl) see : https://bugreports.qt-project.org/browse/QTBUG-39859
Requires:       pkgconfig(egl)
Requires:       pkgconfig(vulkan)
Requires:       %{libqtgui} = %{version}
# referenced by Qt6Gui cmake files
Requires:       %{libqtxcbqpa_d} = %{version}-%{release}
Requires:       %{libqteglfsdeviceintegration_d} = %{version}-%{release}
%if ! 0%{?build_bootstrap}
Requires:       qtwayland6
%endif

Provides:       libqtgui6-devel = %{version}
Provides:       libqt6gui-devel = %{version}
Provides:       qtgui6-devel = %{version}
Provides:       qt6gui-devel = %{version}

Provides:       qtgui6-private-devel = %{version}
Provides:       qt6gui-private-devel = %{version}

%description -n %{libqtgui_d}
Devel files needed to build apps based on QtGui.

%files -n %{libqtgui_d}
%{_qt6_libdir}/libQt6Gui.prl
%{_qt6_libdir}/libQt6Gui.so
%{_qt6_includedir}/QtGui/
%{_qt6_libdir}/qt6/metatypes/qt6gui_relwithdebinfo_metatypes.json
%{_qt6_libdir}/cmake/Qt6Gui/
%{_qt6_libdir}/cmake/Qt6GuiTools/
%{_qt6_libdir}/qt6/modules/Gui.json
%{_qt6_libdir}/pkgconfig/Qt6Core.pc
%{_qt6_libdir}/pkgconfig/Qt6Gui.pc
%{_qt6_libdir}/pkgconfig/Qt6Platform.pc

#------------------------------------------------------------------------------

%package -n %{libqtnetwork}
Summary:        Qt%{qtmajor} Network Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtnetwork}
Qt%{qtmajor} Network Component Library.

The QtNetwork module provides classes to make network programming easier
and portable.

%files -n %{libqtnetwork}
%{_qt6_libdir}/libQt6Network.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtnetwork_d}
Summary:        Devel files needed to build apps based on QtNetwork
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtnetwork} = %{version}
Requires:       pkgconfig(openssl) >= 1.1
Provides:       libqtnetwork6-devel = %{version}
Provides:       libqt6network-devel = %{version}
Provides:       qtnetwork6-devel = %{version}
Provides:       qt6network-devel = %{version}

Provides:       qtnetwork6-private-devel = %{version}
Provides:       qt6network-private-devel = %{version}

%description -n %{libqtnetwork_d}
Devel files needed to build apps based on QtNetwork.

%files -n %{libqtnetwork_d}
%{_qt6_libdir}/libQt6Network.prl
%{_qt6_libdir}/libQt6Network.so
%{_qt6_includedir}/QtNetwork/
%{_qt6_libdir}/cmake/Qt6Network/
%{_qt6_libdir}/qt6/modules/Network.json
%{_qt6_libdir}/qt6/metatypes/qt6network_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6Network.pc

#------------------------------------------------------------------------------

%package -n %{libqtopengl}
Summary:        Qt%{qtmajor} OpenGL Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtopengl}
Qt%{qtmajor} OpenGL Component Library.

The QtOpenGL module offers classes that make it easy to use OpenGL in
Qt applications.

%files -n %{libqtopengl}
%{_qt6_libdir}/libQt6OpenGL.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtopengl_d}
Summary:        Devel files needed to build apps based on QtOpenGL
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtopengl} = %{version}
Provides:       libqtopengl6-devel = %{version}
Provides:       libqt6opengl-devel = %{version}
Provides:       qtopengl6-devel = %{version}
Provides:       qt6opengl-devel = %{version}

Provides:       qtopengl6-private-devel = %{version}
Provides:       qt6opengl-private-devel = %{version}

%description -n %{libqtopengl_d}
Devel files needed to build apps based on QtOpenGL.

%files -n %{libqtopengl_d}
%{_qt6_libdir}/libQt6OpenGL.prl
%{_qt6_libdir}/libQt6OpenGL.so
%{_qt6_includedir}/QtOpenGL/
%{_qt6_libdir}/qt6/modules/OpenGL.json
%{_qt6_libdir}/cmake/Qt6OpenGL/
%{_qt6_libdir}/qt6/metatypes/qt6opengl_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6OpenGL.pc

#------------------------------------------------------------------------------

%package -n %{libqtopenglwidgets}
Summary:        Qt%{qtmajor} OpenGL Widgets Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtopenglwidgets}
Qt%{qtmajor} OpenGL Widgets Component Library.

The QtOpenGLWidgets module offers classes that make it easy to use
OpenGLWidgets in Qt applications.

%files -n %{libqtopenglwidgets}
%{_qt6_libdir}/libQt6OpenGLWidgets.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtopenglwidgets_d}
Summary:        Devel files needed to build apps based on QtOpenGLWidgets
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtopenglwidgets} = %{version}
Provides:       libqtopenglwidgets6-devel = %{version}
Provides:       libqt6openglwidgets-devel = %{version}
Provides:       qtopenglwidgets6-devel = %{version}
Provides:       qt6openglwidgets-devel = %{version}

Provides:       qtopenglwidgets6-private-devel = %{version}
Provides:       qt6openglwidgets-private-devel = %{version}

%description -n %{libqtopenglwidgets_d}
Devel files needed to build apps based on QtOpenGLWidgets.

%files -n %{libqtopenglwidgets_d}
%{_qt6_includedir}/QtOpenGLWidgets/
%{_qt6_libdir}/libQt6OpenGLWidgets.prl
%{_qt6_libdir}/libQt6OpenGLWidgets.so
%{_qt6_libdir}/qt6/modules/OpenGLWidgets.json
%{_qt6_libdir}/cmake/Qt6OpenGLWidgets/
%{_qt6_libdir}/qt6/metatypes/qt6openglwidgets_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6OpenGLWidgets.pc

#------------------------------------------------------------------------------

%package -n %{libqtprintsupport}
Summary:        Qt%{qtmajor} PrintSupport Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtprintsupport}
Qt%{qtmajor} PrintSupport Component Library.

%files -n %{libqtprintsupport}
%{_qt6_libdir}/libQt6PrintSupport.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtprintsupport_d}
Summary:        Devel files needed to build apps based on QtPrintSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtprintsupport} = %{version}
Requires:       pkgconfig(cups)
Provides:       libqtprintsupport6-devel = %{version}
Provides:       libqt6printsupport-devel = %{version}
Provides:       qtprintsupport6-devel = %{version}
Provides:       qt6printsupport-devel = %{version}

Provides:       qtprintsupport6-private-devel = %{version}
Provides:       qt6printsupport-private-devel = %{version}

%description -n %{libqtprintsupport_d}
Devel files needed to build apps based on QtPrintSupport.

%files -n %{libqtprintsupport_d}
%{_qt6_libdir}/libQt6PrintSupport.so
%{_qt6_libdir}/libQt6PrintSupport.prl
%{_qt6_includedir}/QtPrintSupport/
%{_qt6_libdir}/qt6/modules/PrintSupport.json
%{_qt6_libdir}/cmake/Qt6PrintSupport/
%{_qt6_libdir}/qt6/metatypes/qt6printsupport_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6PrintSupport.pc

#------------------------------------------------------------------------------

%package -n %{libqtsql}
Summary:        Qt%{qtmajor} SQL Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}
%if ! %without sqlite
Requires:       %{_lib}qt6-database-plugin-sqlite = %{version}
%endif
%if ! %without ibase
Requires:       %{_lib}qt6-database-plugin-ibase = %{version}
%endif

%description -n %{libqtsql}
Qt%{qtmajor} SQL Component Library.

%files -n %{libqtsql}
%{_qt6_libdir}/libQt6Sql.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtsql_d}
Summary:        Devel files needed to build apps based on QtSql
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtsql} = %{version}
%if ! %without odbc
Requires:       qtbase6-database-plugin-odbc
%endif
%if ! %without mysql
Requires:       qtbase6-database-plugin-mysql
%endif
%if ! %without postgres
Requires:       qtbase6-database-plugin-pgsql
%endif
%if ! %without sqlite
Requires:       qtbase6-database-plugin-sqlite
%endif
%if ! %without ibase
Requires:       qtbase6-database-plugin-ibase
%endif
Provides:       libqtsql6-devel = %{version}
Provides:       libqt6sql-devel = %{version}
Provides:       qt6sql-devel = %{version}
Provides:       qtsql6-devel = %{version}

Provides:       libqtsql6-private-devel = %{version}
Provides:       libqt6sql-private-devel = %{version}
Provides:       qt6sql-private-devel = %{version}
Provides:       qtsql6-private-devel = %{version}

%description -n %{libqtsql_d}
Devel files needed to build apps based on QtSql.

%files -n %{libqtsql_d}
%{_qt6_libdir}/libQt6Sql.prl
%{_qt6_libdir}/libQt6Sql.so
%{_qt6_includedir}/QtSql/
%{_qt6_libdir}/qt6/modules/Sql.json
%{_qt6_libdir}/cmake/Qt6Sql/
%{_qt6_libdir}/qt6/metatypes/qt6sql_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6Sql.pc

#------------------------------------------------------------------------------

%package -n %{libqttest}
Summary:        Qt%{qtmajor} Test Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqttest}
Qt%{qtmajor} Test Component Library.

The QtTest module provides classes for unit testing Qt applications and
libraries.

%files -n %{libqttest}
%{_qt6_libdir}/libQt6Test.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqttest_d}
Summary:        Devel files needed to build apps based on QtTest
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqttest} = %{version}
Provides:       libqttest6-devel = %{version}
Provides:       libqt6test-devel = %{version}
Provides:       qttest6-devel = %{version}
Provides:       qt6test-devel = %{version}

Provides:       qttest6-private-devel = %{version}
Provides:       qt6test-private-devel = %{version}

Requires:       qtwidgets6-devel = %{version}-%{release}

%description -n %{libqttest_d}
Devel files needed to build apps based on QtTest.

%files -n %{libqttest_d}
%{_qt6_libdir}/libQt6Test.prl
%{_qt6_libdir}/libQt6Test.so
%{_qt6_includedir}/QtTest/
%{_qt6_libdir}/qt6/modules/Test.json
%{_qt6_libdir}/cmake/Qt6Test/
%{_qt6_libdir}/qt6/metatypes/qt6test_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6Test.pc
#
%{_qt6_libdir}/cmake/Qt6TestInternalsPrivate/
%{_qt6_libdir}/qt6/modules/TestInternalsPrivate.json

#------------------------------------------------------------------------------

%package -n %{libqtwidgets}
Summary:        Qt%{qtmajor} Widgets Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtwidgets}
Qt%{qtmajor} Widgets Component Library.

%files -n %{libqtwidgets}
%{_qt6_libdir}/libQt6Widgets.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtwidgets_d}
Summary:        Devel files needed to build apps based on QtWidgets
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtwidgets} = %{version}
Provides:       libqtwidgets6-devel = %{version}
Provides:       libqt6widgets-devel = %{version}
Provides:       qtwidgets6-devel = %{version}
Provides:       qt6widgets-devel = %{version}

Provides:       qtwidgets6-private-devel = %{version}
Provides:       qt6widgets-private-devel = %{version}

%description -n %{libqtwidgets_d}
Devel files needed to build apps based on QtWidgets.

%files -n %{libqtwidgets_d}
%{_qt6_libdir}/libQt6Widgets.so
%{_qt6_libdir}/libQt6Widgets.prl
%{_qt6_libdir}/cmake/Qt6Widgets/
%{_qt6_includedir}/QtWidgets/
%{_qt6_libdir}/cmake/Qt6WidgetsTools/
%{_qt6_libdir}/qt6/metatypes/qt6widgets_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/modules/Widgets.json
%{_qt6_libdir}/pkgconfig/Qt6Widgets.pc

#------------------------------------------------------------------------------

%package -n %{libqtxcbqpa}
Summary:        Qt%{qtmajor} XcbQpa Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtxcbqpa}
Qt%{qtmajor} XcbQpa Component Library.

%files -n %{libqtxcbqpa}
%{_qt6_libdir}/libQt6XcbQpa.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtxcbqpa_d}
Summary:        Devel files needed to build apps based on QtXcbQpa
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtxcbqpa} = %{version}
Provides:       libqtxcbqpa6-devel = %{version}
Provides:       libqt6xcbqpa-devel = %{version}
Provides:       qtxcbqpa6-devel = %{version}
Provides:       qt6xcbqpa-devel = %{version}

%description -n %{libqtxcbqpa_d}
Devel files needed to build apps based on QtXcbQpa.

%files -n %{libqtxcbqpa_d}
%{_qt6_includedir}/QtXcb/
%{_qt6_libdir}/libQt6XcbQpa.prl
%{_qt6_libdir}/libQt6XcbQpa.so
%{_qt6_libdir}/cmake/Qt6XcbQpaPrivate/
%{_qt6_libdir}/qt6/modules/XcbQpaPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6xcbqpaprivate_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtxml}
Summary:        Qt%{qtmajor} XML Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtxml}
Qt%{qtmajor} XML Component Library.

The QtXml module provides a stream reader and writer for XML documents,
and C++ implementations of SAX and DOM.

%files -n %{libqtxml}
%{_qt6_libdir}/libQt6Xml.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtxml_d}
Summary:        Devel files needed to build apps based on QtXml
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtxml} = %{version}
Provides:       libqtxml6-devel = %{version}
Provides:       libqt6xml-devel = %{version}
Provides:       qtxml6-devel = %{version}
Provides:       qt6xml-devel = %{version}

%description -n %{libqtxml_d}
Devel files needed to build apps based on QtXml.

%files -n %{libqtxml_d}
%{_qt6_libdir}/libQt6Xml.prl
%{_qt6_libdir}/libQt6Xml.so
%{_qt6_includedir}/QtXml/
%{_qt6_libdir}/qt6/modules/Xml.json
%{_qt6_libdir}/cmake/Qt6Xml/
%{_qt6_libdir}/qt6/metatypes/qt6xml_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6Xml.pc

#------------------------------------------------------------------------------

%package -n %{libqtdevel}
Summary:        Development files for the Qt%{qtmajor} GUI toolkit
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Provides:       qt6-devel = %{version}-%{release}
Provides:       qt6-qtbase-devel = %{version}-%{release}
Provides:       qtbase6-devel = %{version}-%{release}
Provides:       libqtbase6-devel = %{version}-%{release}
Provides:       libqt6-devel = %{version}-%{release}

Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtcore_d} = %{version}-%{release}
Requires:       %{libqtconcurrent_d} = %{version}-%{release}
Requires:       %{libqteglfskmsgbmsupport_d} = %{version}-%{release}
Requires:       %{libqtdbus_d} = %{version}-%{release}
Requires:       %{libqteglfsdeviceintegration_d} = %{version}-%{release}
Requires:       %{libqteglfskmssupport_d} = %{version}-%{release}
Requires:       %{libqtgui_d} = %{version}-%{release}
Requires:       %{libqtnetwork_d} = %{version}-%{release}
Requires:       %{libqtopengl_d} = %{version}-%{release}
Requires:       %{libqtopenglwidgets_d} = %{version}-%{release}
Requires:       %{libqtprintsupport_d} = %{version}-%{release}
Requires:       %{libqtsql_d} = %{version}-%{release}
Requires:       %{libqttest_d} = %{version}-%{release}
Requires:       %{libqtwidgets_d} = %{version}-%{release}
Requires:       %{libqtxcbqpa_d} = %{version}-%{release}
Requires:       %{libqtxml_d} = %{version}-%{release}

%description -n %{libqtdevel}
The %{libqtdevel} package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt
meta object compiler, and the static libraries.  See the address
https://qt-project.org/ for more information about Qt%{qtmajor}.

%files -n %{libqtdevel}

#------------------------------------------------------------------------------
# SUPPORT STATIC LIBRARIES
#------------------------------------------------------------------------------

%package -n %{libqtdevicediscoverysupport_d}
Summary:        Devel files needed to build apps based on DeviceDiscoverySupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtdevicediscoverysupport6-devel = %{version}
Provides:       libqt6devicediscoverysupport-devel = %{version}
Provides:       qtdevicediscoverysupport6-devel = %{version}
Provides:       qt6devicediscoverysupport-devel = %{version}

%description -n %{libqtdevicediscoverysupport_d}
Devel files needed to build apps based on QtDeviceDiscoverySupport.

%files -n %{libqtdevicediscoverysupport_d}
%{_qt6_libdir}/libQt6DeviceDiscoverySupport.a
%{_qt6_libdir}/libQt6DeviceDiscoverySupport.prl
%{_qt6_includedir}/QtDeviceDiscoverySupport/
%{_qt6_libdir}/cmake/Qt6DeviceDiscoverySupportPrivate/
%{_qt6_libdir}/qt6/modules/DeviceDiscoverySupportPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6devicediscoverysupportprivate_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtfbsupport_d}
Summary:        Devel files needed to build apps based on FbSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtfbsupport6-devel = %{version}
Provides:       libqt6fbsupport-devel = %{version}
Provides:       qtfbsupport6-devel = %{version}
Provides:       qt6fbsupport-devel = %{version}

%description -n %{libqtfbsupport_d}
Devel files needed to build apps based on QtFbSupport.

%files -n %{libqtfbsupport_d}
%{_qt6_libdir}/libQt6FbSupport.a
%{_qt6_libdir}/libQt6FbSupport.prl
%{_qt6_includedir}/QtFbSupport/
%{_qt6_libdir}/cmake/Qt6FbSupportPrivate/
%{_qt6_libdir}/qt6/modules/FbSupportPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6fbsupportprivate_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtinputsupport_d}
Summary:        Devel files needed to build apps based on InputSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtinputsupport6-devel = %{version}
Provides:       libqt6inputsupport-devel = %{version}
Provides:       qtinputsupport6-devel = %{version}
Provides:       qt6inputsupport-devel = %{version}

%description -n %{libqtinputsupport_d}
Devel files needed to build apps based on QtInputSupport.

%files -n %{libqtinputsupport_d}
%{_qt6_libdir}/libQt6InputSupport.a
%{_qt6_libdir}/libQt6InputSupport.prl
%{_qt6_includedir}/QtInputSupport/
%{_qt6_libdir}/cmake/Qt6InputSupportPrivate/
%{_qt6_libdir}/qt6/modules/InputSupportPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6inputsupportprivate_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtkmssupport_d}
Summary:        Devel files needed to build apps based on KmsSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtkmssupport6-devel = %{version}
Provides:       libqt6kmssupport-devel = %{version}
Provides:       qtkmssupport6-devel = %{version}
Provides:       qt6kmssupport-devel = %{version}

%description -n %{libqtkmssupport_d}
Devel files needed to build apps based on QtKmsSupport.

%files -n %{libqtkmssupport_d}
%{_qt6_libdir}/libQt6KmsSupport.a
%{_qt6_libdir}/libQt6KmsSupport.prl
%{_qt6_includedir}/QtKmsSupport/
%{_qt6_libdir}/cmake/Qt6KmsSupportPrivate/
%{_qt6_libdir}/qt6/modules/KmsSupportPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6kmssupportprivate_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtexampleicons_d}
Summary:        Devel files needed to build apps based on ExampleIcons
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtkmssupport6-devel = %{version}
Provides:       libqt6exampleicons-devel = %{version}
Provides:       qtexampleicons6-devel = %{version}
Provides:       qt6exampleicons-devel = %{version}

%description -n %{libqtexampleicons_d}
Devel files needed to build apps based on QtExampleIcons.

%files -n %{libqtexampleicons_d}
%{_qt6_libdir}/libQt6ExampleIcons.a
%{_qt6_libdir}/libQt6ExampleIcons.prl
%{_qt6_includedir}/QtExampleIcons/
%{_qt6_libdir}/cmake/Qt6ExampleIconsPrivate/
%{_qt6_libdir}/qt6/modules/ExampleIconsPrivate.json
%{_qt6_libdir}/qt6/metatypes/qt6exampleiconsprivate_relwithdebinfo_metatypes.json
# There's no mistake, this folder needs to be installed
# These are CMake objects files which are not part of any library
%dir %{_qt6_archdatadir}/objects-RelWithDebInfo
%{_qt6_archdatadir}/objects-RelWithDebInfo/ExampleIconsPrivate_resources_1/

#------------------------------------------------------------------------------
# DATABASE PLUGINS
#------------------------------------------------------------------------------

%if ! %without odbc

%package -n %{_lib}qt6-database-plugin-odbc
Summary:        Qt%{qtmajor} Database ODBC Database Plugin
Group:          Databases
BuildRequires:  unixODBC-devel

Provides:       qt6-database-plugin-odbc = %{version}-%{release}
Provides:       qtbase6-database-plugin-odbc = %{version}-%{release}

%description -n %{_lib}qt6-database-plugin-odbc
The QODBC driver allows you to connect to an ODBC (Open Database
Connectivity) driver manager and access the available data sources.

%files -n %{_lib}qt6-database-plugin-odbc
%{_qt6_plugindir}/sqldrivers/libqsqlodbc.so

%endif

#------------------------------------------------------------------------------

%if ! %without mysql

%package -n %{_lib}qt6-database-plugin-mysql
Summary:        Qt%{qtmajor} MYSQL Database Plugin
Group:          Databases
BuildRequires:  mysql-devel

Provides:       qt6-database-plugin-mysql = %{version}-%{release}
Provides:       qtbase6-database-plugin-mysql = %{version}-%{release}

%description -n %{_lib}qt6-database-plugin-mysql
Database plugin for mysql Qt support.

%files -n %{_lib}qt6-database-plugin-mysql
%{_qt6_plugindir}/sqldrivers/libqsqlmysql.so

%endif

#------------------------------------------------------------------------------

%if ! %without sqlite

%package -n %{_lib}qt6-database-plugin-sqlite
Summary:        Qt%{qtmajor} SQLITE Database Plugin
Group:          Databases
BuildRequires:  pkgconfig(sqlite3)

Provides:       qt6-database-plugin-sqlite = %{version}-%{release}
Provides:       qtbase6-database-plugin-sqlite = %{version}-%{release}

%description -n %{_lib}qt6-database-plugin-sqlite
The Qt SQLite plugin makes it possible to access SQLite databases.

%files -n %{_lib}qt6-database-plugin-sqlite
%{_qt6_plugindir}/sqldrivers/libqsqlite.so
%endif

#------------------------------------------------------------------------------

%if ! %without ibase

%package -n %{_lib}qt6-database-plugin-ibase
Summary:        Qt%{qtmajor} Interbase Database Plugin
Group:          Databases
BuildRequires:  firebird-devel
BuildRequires:  pkgconfig(fbclient)

Provides:       qt6-database-plugin-ibase = %{version}-%{release}
Provides:       qtbase6-database-plugin-ibase = %{version}-%{release}

%description -n %{_lib}qt6-database-plugin-ibase
Database plugin for interbase Qt support.

%files -n %{_lib}qt6-database-plugin-ibase
%{_qt6_plugindir}/sqldrivers/libqsqlibase.so

%endif

#------------------------------------------------------------------------------

%if ! %without postgres

%package -n %{_lib}qt6-database-plugin-pgsql
Summary:        Qt%{qtmajor} PGSQL Database Plugin
Group:          Databases
BuildRequires:  postgresql-devel
BuildRequires:  libpq-devel

Provides:       qt6-database-plugin-pgsql = %{version}-%{release}
Provides:       qtbase6-database-plugin-pgsql = %{version}-%{release}

%description -n %{_lib}qt6-database-plugin-pgsql
Database plugin for pgsql Qt support.

%files -n %{_lib}qt6-database-plugin-pgsql
%{_qt6_plugindir}/sqldrivers/libqsqlpsql.so

%endif

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtbase-everywhere-src-%{qtversion}

# Unlike Fedora, we don't modify the installed mkspecs to contain our flags,
# which would have the side effect that plain 'qmake' would use them as well
# (i.e. even when not building an rpm), which is not really wanted. Our
# packages are built with %%qmake_qt6 (from qt6-rpm-macros) which already overrides the
# flags, so altering qmake default configuration for that is unnecessary.
# Since the Qt configure script doesn't support defining custom flags, we
# still have to temporarily override the flags below - they are restored in
# %%install. -Anssi
cp mkspecs/linux-g++/qmake.conf mkspecs/linux-g++/qmake.conf.upstream
cat >> mkspecs/linux-g++/qmake.conf <<EOF
QMAKE_CFLAGS   = %{build_cflags}
QMAKE_CXXFLAGS = %{build_cxxflags}
QMAKE_LFLAGS   = %{build_ldflags}
QMAKE_STRIP    =
# Note that setting QMAKE_LFLAGS_PLUGIN here would do no good, as it would
# just get appended to $QMAKE_LFLAGS instead of replacing it.
EOF

sed -e "s|^QMAKE_CFLAGS_RELEASE .*$|QMAKE_CFLAGS_RELEASE    += %{build_cflags} -fno-strict-aliasing -DPIC -fPIC| " -e 's|^QMAKE_CXXFLAGS .*|& -std=gnu++17|' -i mkspecs/common/gcc-base.conf mkspecs/common/gcc-base-unix.conf

sed -i 's|libmd4c|md4c|' src/gui/CMakeLists.txt

%build
export QTDIR=`/bin/pwd`
export PATH="$PWD/bin:$PWD/qtrepotools/bin:$PATH"
# Don't include headers or link with /usr/X11R6/{include,lib}
perl -pi -e 's@/X11R6/@/@' mkspecs/linux-*/qmake.conf mkspecs/common/linux.conf

#------------------------------------------------------------------------------
# WARNING (daviddavid) do not enable 'QT_FEATURE_elf_private_full_version'

## FIXME/TODO:
# -no-pch:  do not use pre compiled headers (in order to be able to rebuild the gui submodule)
# -no-feature-relocatable is needed to support relocated prefix etc.,
# see QTBUG-78948 and QTBUG-82589 (mga#26200)
%cmake_qt6 \
    -DQT_FEATURE_accessibility=ON \
    -DQT_FEATURE_fontconfig=ON \
    -DQT_FEATURE_glib=ON \
    -DQT_FEATURE_sse2=%{?no_sse2:OFF}%{!?no_sse2:ON} \
    -DQT_FEATURE_icu=ON \
    -DQT_FEATURE_enable_new_dtags=ON \
    -DQT_FEATURE_emojisegmenter=ON \
    -DQT_FEATURE_cups=%{?with_cups:ON}%{!?with_cups:OFF} \
    -DQT_FEATURE_journald=%{?with_journald:ON}%{!?with_journald:OFF} \
    -DQT_FEATURE_openssl_linked=ON \
    -DQT_FEATURE_openssl_hash=ON \
    -DQT_FEATURE_libproxy=ON \
    -DQT_FEATURE_sctp=ON \
    -DQT_FEATURE_separate_debug_info=OFF \
    -DQT_FEATURE_reduce_relocations=OFF \
    -DQT_FEATURE_relocatable=OFF \
    -DQT_FEATURE_rpath=OFF \
    -DQT_FEATURE_zstd=ON \
    -DQT_FEATURE_elf_private_full_version=OFF \
    -DQT_FEATURE_system_jpeg=ON \
    -DQT_FEATURE_system_png=ON \
    -DQT_FEATURE_system_zlib=ON \
    -DQT_FEATURE_system_textmarkdownreader=ON \
    -DQT_FEATURE_dbus_linked=%{?with_dbus_linked:ON}%{!?with_dbus_linked:OFF} \
    -DQT_FEATURE_system_pcre2=%{?with_pcre:ON}%{!?with_pcre:OFF} \
    -DQT_FEATURE_system_sqlite=%{?with_sqlite:ON}%{!?with_sqlite:OFF} \
    -DQT_FEATURE_system_xcb_xinput=ON \
    -DQT_FEATURE_sql_odbc=%{?with_odbc:ON}%{!?with_odbc:OFF} \
    -DQT_FEATURE_sql_mysql=%{?with_mysql:ON}%{!?with_mysql:OFF} \
    -DQT_FEATURE_sql_psql=%{?with_postgres:ON}%{!?with_postgres:OFF} \
    -DQT_FEATURE_sql_sqlite=%{?with_sqlite:ON}%{!?with_sqlite:OFF} \
    -DQT_FEATURE_sql_ibase=%{?with_ibase:ON}%{!?with_ibase:OFF} \
    -DBUILD_SHARED_LIBS=ON \
    -DQT_BUILD_EXAMPLES=%{?with_examples:ON}%{!?with_examples:OFF} \
    -DQT_BUILD_TESTS=%{?with_tests:ON}%{!?with_tests:OFF} \
    -DQT_QMAKE_TARGET_MKSPEC=%{platform}

################## Build of QtBase ########################################

%cmake_build

################## Build of Docs ########################################
%if %{build_docs}
# HACK to avoid multilib conflicts in noarch content
# see also https://bugreports.qt-project.org/browse/QTBUG-42071
QT_HASH_SEED=0; export QT_HASH_SEED

%ninja_build -C build docs
%endif

%install
%cmake_install

# create/own dirs
mkdir -p %{buildroot}{%{_qt6_archdatadir}/mkspecs/modules,%{_qt6_importdir},%{_qt6_libexecdir},%{_qt6_plugindir}/{designer,iconengines,script,styles},%{_qt6_translationdir}}
mkdir -p %{buildroot}%{_sysconfdir}/xdg/QtProject

# symlink files to {_bindir}, add -qt6 postfix to not conflict
mkdir %{buildroot}%{_bindir}
pushd %{buildroot}%{_qt6_bindir}
for i in * ; do
  case "${i}" in
    qmake|qdbuscpp2xml|qdbusxml2cpp|qtpaths)
      ln -v  ${i} %{buildroot}%{_bindir}/${i}-qt6
      ;;
    *)
      ln -v  ${i} %{buildroot}%{_bindir}/${i}
      ;;
  esac
done
popd

# hardlink files to {_bindir}, add -qt6 postfix to not conflict
pushd %{buildroot}%{_qt6_libexecdir}
for i in * ; do
  case "${i}" in
    qlalr|qvkgen|rcc|tracegen|uic)
      ln -v  ${i} %{buildroot}%{_bindir}/${i}-qt6
      ;;
  esac
done
popd

%if %{build_docs}
%ninja_install -C build install_docs
%endif

install -m644 -p -D %{SOURCE1} %{buildroot}%{_qt6_datadir}/qtlogging.ini

install -d %{buildroot}%{_qt6_docdir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sysconfdir}/profile.d

# Fix mkspec link
pushd  %{buildroot}%{_qt6_archdatadir}/mkspecs
rm -f default
ln -sf %{_qt6_archdatadir}/mkspecs/linux-g++ default
popd

# Restore qmake.conf to the upstream version which was backed up in %%prep
mv %{buildroot}%{_qt6_archdatadir}/mkspecs/linux-g++/qmake.conf.upstream %{buildroot}%{_qt6_archdatadir}/mkspecs/linux-g++/qmake.conf

# Fix all buildroot paths
find %{buildroot}%{_qt6_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}%{_qt6_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}%{_qt6_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;
find %{buildroot}%{_qt6_libdir} -type f -name '*la' -print -exec sed -i -e "s, -L%{_builddir}/?\S+,,g" -e "s,-L../JavaScriptCore/release,,g" -e "s,-ljscore,,g" {} \;
find %{buildroot}%{_qt6_archdatadir}/mkspecs -name 'qmake.conf' -exec chmod -x -- {} \;
find %{buildroot}%{_qt6_archdatadir}/mkspecs -name Info.plist.app -exec chmod -x -- {} \;

# Profiles
cat > %{buildroot}%{_sysconfdir}/profile.d/60qt6.sh << EOF
#!/bin/bash
QTDIR6="%{_qt6_archdatadir}" ; export QTDIR6 ;

[ -z \$QT6DOCDIR ] && export QT6DOCDIR=%{_qt6_docdir}

if [ -z \$(echo \$PATH | grep "%{_qt6_bindir}") ]; then
    PATH=\${PATH}:%{_qt6_bindir}
    export PATH
fi
EOF

cat > %{buildroot}%{_sysconfdir}/profile.d/60qt6.csh << EOF
#!/bin/csh
setenv QTDIR6 %{_qt6_archdatadir}
if ( ! \$?QT6DOCDIR ) setenv QT6DOCDIR %{_qt6_docdir}
set path = (\$path \$QTDIR6/bin)

EOF

# install privat headers for qtxcb
mkdir -p %{buildroot}%{_qt6_includedir}/QtXcb
install -m 644 src/plugins/platforms/xcb/*.h %{buildroot}%{_qt6_includedir}/QtXcb/

rm %{buildroot}%{_qt6_libexecdir}/qt-cmake-private-install.cmake

# Copied from OpenSUSE packages
# CMake modules for plugins are not useful
rm %{buildroot}%{_qt6_libdir}/cmake/*/*Plugin{Config,ConfigVersion,Targets*}.cmake

# These files are only useful for the Qt continuous integration
rm %{buildroot}%{_qt6_libexecdir}/ensure_pro_file.cmake
rm %{buildroot}%{_qt6_libexecdir}/qt-android-runner.py
rm %{buildroot}%{_qt6_libexecdir}/qt-testrunner.py
rm %{buildroot}%{_qt6_libexecdir}/sanitizer-testrunner.py

# Not useful for desktop installs
rm -r %{buildroot}%{_qt6_libdir}/cmake/Qt6ExamplesAssetDownloaderPrivate
rm -r %{buildroot}%{_qt6_headerdir}/QtExamplesAssetDownloader
rm %{buildroot}%{_qt6_libdir}/qt6/modules/ExamplesAssetDownloaderPrivate.json
rm %{buildroot}%{_qt6_libdir}/libQt6ExamplesAssetDownloader.*
rm %{buildroot}%{_qt6_libdir}/qt6/metatypes/qt6examplesassetdownloaderprivate_*_metatypes.json

# This is only for Apple platforms and has a python2 dep
rm -r %{buildroot}%{_qt6_mkspecsdir}/features/uikit
