%define tar_ver	1.9

Name:		qtcurve
Version:	1.9.1
Release:	%mkrel 2
Summary:	A set of widget styles for GTK+ and Qt widget toolkits
Group:		Development/KDE and Qt
License:	LGPLv2 or LGPLv3
URL:		https://invent.kde.org/system/qtcurve
Source0:	https://download.kde.org/stable/qtcurve/%{name}-%{tar_ver}.tar.xz
## upstream patches (master branch)
Patch37:	0037-utils-gtkprops-Remove-unnecessary-constexpr-this-is-.patch
Patch38:	0038-Fix-build-with-Qt-5.15.patch

BuildRequires:	kf5-rpm-macros
BuildRequires:	gettext
BuildRequires:	pkgconfig(x11-xcb)

# main metapackage
Requires:	%{name}-gtk2 = %{version}-%{release}
Requires:	%{name}-qt5 = %{version}-%{release}
Requires:	%{name}-kf5 = %{version}-%{release}

%description
The QtCurve style engine for Qt and other toolkits.

%files -f %{name}.lang
%doc AUTHORS Bugs.md README.md TODO.md ChangeLog.md
%license COPYING

#--------------------------------------------------------------------

%package	gtk2
Summary:	QtCurve Theme for GTK+2
Group:		Graphical desktop/GNOME
BuildRequires:	pkgconfig(gtk+-2.0)
Requires:	%{name} = %{version}-%{release}

Obsoletes:	%{_lib}qtcurve-gtk2 < 1.8.16-6

%description	gtk2
QtCurve theme for GTK+2.

%files gtk2
%{_libdir}/gtk-2.0/*/engines/libqtcurve.so
%{_datadir}/themes/QtCurve/

#--------------------------------------------------------------------

%package	qt5
Summary:	QtCurve Theme for Qt5
Group:		Development/KDE and Qt
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)

Requires:	%{name} = %{version}-%{release}

%description	qt5
QtCurve Theme for Qt5.

%files qt5
%{_qt5_plugindir}/styles/qtcurve.so

#--------------------------------------------------------------------

%package	kf5
Summary:	QtCurve Theme for KF5/Plasma
Group:		Graphical desktop/KDE
BuildRequires:	cmake(KF5Archive)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5FrameworkIntegration)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KDELibs4Support)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5GuiAddons)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5WindowSystem)
BuildRequires:	cmake(KF5XmlGui)

Requires:	%{name} = %{version}-%{release}

%description	kf5
QtCurve Theme for KF5/Plasma.

%files kf5
%{_qt5_plugindir}/kstyle_qtcurve5_config.so
%{_kf5_datadir}/kstyle/themes/qtcurve.themerc
%{_kf5_datadir}/kxmlgui5/QtCurve/

#--------------------------------------------------------------------

%define major_cairo	1
%define libname_cairo	%mklibname qtcurve-cairo %{major_cairo}

%package -n	%{libname_cairo}
Summary:	Runtime libraries for QtCurve Cairo
Group:		System/Libraries

%description -n	%{libname_cairo}
Runtime libraries for QtCurve Cairo.

%files -n %{libname_cairo}
%{_libdir}/libqtcurve-cairo.so.%{major_cairo}{,.*}

#--------------------------------------------------------------------

%define major_utils	2
%define libname_utils	%mklibname qtcurve-utils %{major_utils}

%package -n	%{libname_utils}
Summary:	Runtime libraries for QtCurve Utils
Group:		System/Libraries

%description -n	%{libname_utils}
Runtime libraries for QtCurve Utils.

%files -n %{libname_utils}
%{_libdir}/libqtcurve-utils.so.%{major_utils}{,.*}

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{tar_ver}

%build
%cmake \
	-DENABLE_QT4=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name}

# unpackaged files
rm -fv %{buildroot}%{_libdir}/libqtcurve-{cairo,utils}.so

