# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs     0
%else
%define build_docs     1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define qttarballdir     qtdatavis3d-everywhere-opensource-src-%{qtversion}

# Library names

%define libqtdatavis3d   %mklibname qt%{qtmajor}datavisualization %{qtmajor}
%define libqtdatavis3d_d %mklibname qt%{qtmajor}datavisualization -d

Name:           qtdatavis3d5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} 3D Data Visualization component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Multimedia) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}

Provides:       qt%{qtmajor}-qtdatavis3d = %{version}-%{release}

%description
Qt%{qtmajor} 3D Data Visualization component.

%files
%{_qt5_qml}/QtDataVisualization/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtDataVis3D%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtDataVis3D%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtdatavis3d.qch
%{_qt5_docdir}/qtdatavisualization/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtdatavis3d}
Summary:        Qt%{qtmajor} 3D Data Visualization Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtdatavis3d}
Qt%{qtmajor} 3D Data Visualization Component Library.

%files -n %{libqtdatavis3d}
%{_qt5_libdir}/libQt5DataVisualization.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtdatavis3d_d}
Summary:        Devel files needed to build apps based on QtDataVis3D
Group:          Development/KDE and Qt
Requires:       %{libqtdatavis3d} = %{version}
Provides:       libqtdatavis3d5-devel = %{version}
Provides:       libqt5datavis3d-devel = %{version}
Provides:       qtdatavis3d5-devel = %{version}
Provides:       qt5datavis3d-devel = %{version}

%description -n %{libqtdatavis3d_d}
Devel files needed to build apps based on Qt DataVis3D.

%files -n %{libqtdatavis3d_d}
%{_qt5_includedir}/QtDataVisualization/
%{_qt5_libdir}/libQt5DataVisualization.so
%{_qt5_libdir}/pkgconfig/Qt5DataVisualization.pc
%{_qt5_libdir}/cmake/Qt5DataVisualization/
%{_qt5_libdir}/*.prl
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/datavisualization/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtdatavis3d-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif
