# Build configuration

%define bootstrap 0

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%if %bootstrap
%define build_docs 0
%else
%define build_docs 1
%endif
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtdeclarative-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqt5quicktest         %mklibname qt%{qtmajor}quicktest %{qtmajor}
%define libqt5quicktest_d       %mklibname qt%{qtmajor}quicktest -d

%define libqt5quick             %mklibname qt%{qtmajor}quick %{qtmajor}
%define libqt5quick_d           %mklibname qt%{qtmajor}quick -d

%define libqt5quickshapes       %mklibname qt%{qtmajor}quickshapes %{qtmajor}
%define libqt5quickshapes_d     %mklibname qt%{qtmajor}quickshapes -d

%define libqt5quickwidgets      %mklibname qt%{qtmajor}quickwidgets %{qtmajor}
%define libqt5quickwidgets_d    %mklibname qt%{qtmajor}quickwidgets -d

%define libqt5quickparticles    %mklibname qt%{qtmajor}quickparticles %{qtmajor}
%define libqt5quickparticles_d  %mklibname qt%{qtmajor}quickparticles -d

%define libqt5qml               %mklibname qt%{qtmajor}qml %{qtmajor}
%define libqt5qml_d             %mklibname qt%{qtmajor}qml -d

%define libqt5qmlmodels         %mklibname qt%{qtmajor}qmlmodels %{qtmajor}
%define libqt5qmlmodels_d       %mklibname qt%{qtmajor}qmlmodels -d

%define libqt5qmlworkerscript   %mklibname qt%{qtmajor}qmlworkerscript %{qtmajor}
%define libqt5qmlworkerscript_d %mklibname qt%{qtmajor}qmlworkerscript -d

%define libqt5packetprotocol_d  %mklibname qt%{qtmajor}packetprotocol -d -s

Name:           qtdeclarative5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Declarative component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
# Upstream patches
## repo: https://invent.kde.org/qt/qt/qtdeclarative
## branch: kde/5.15
## git format-patch v5.15.16-lts-lgpl
Patch0001:      0001-Remove-unused-QPointer-QQuickPointerMask.patch
Patch0002:      0002-QQmlDelegateModel-Refresh-the-view-when-a-column-is-.patch
Patch0003:      0003-Fix-TapHandler-so-that-it-actually-registers-a-tap.patch
Patch0004:      0004-Revert-Fix-TapHandler-so-that-it-actually-registers-.patch
Patch0005:      0005-Make-sure-QQuickWidget-and-its-offscreen-window-s-sc.patch
Patch0006:      0006-Don-t-convert-QByteArray-in-startDrag.patch
Patch0007:      0007-Fix-build-after-95290f66b806a307b8da1f72f8fc2c698019.patch
Patch0008:      0008-Implement-accessibility-for-QQuickWidget.patch
Patch0009:      0009-Send-ObjectShow-event-for-visible-components-after-i.patch
Patch0010:      0010-QQuickItem-avoid-emitting-signals-during-destruction.patch
Patch0011:      0011-a11y-track-item-enabled-state.patch
Patch0012:      0012-Make-QaccessibleQuickWidget-private-API.patch
Patch0013:      0013-QQmlImportDatabase-Make-sure-the-newly-added-import-.patch
Patch0014:      0014-Models-Avoid-crashes-when-deleting-cache-items.patch
Patch0015:      0015-qv4function-Fix-crash-due-to-reference-being-invalid.patch
Patch0016:      0016-Quick-Animations-Fix-crash.patch
Patch0017:      0017-Prevent-crash-when-destroying-asynchronous-Loader.patch
Patch0018:      0018-QQuickItem-Fix-effective-visibility-for-items-withou.patch
Patch0019:      0019-Revert-QQuickItem-Fix-effective-visibility-for-items.patch
Patch0020:      0020-QML-Fortify-qmlExecuteDeferred-some-more.patch
Patch0021:      0021-masm-Don-t-crash-on-failed-MADV_DONTNEED-on-Linux.patch
Patch0022:      0022-QtQml-Clean-up-QQmlData-ctor.patch

# upstreamable patches
Patch100:       qt5-qtdeclarative-gcc11.patch

BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Core) = %{version}
BuildRequires:  pkgconfig(Qt5Network) = %{version}
BuildRequires:  pkgconfig(Qt5Gui) = %{version}
BuildRequires:  pkgconfig(Qt5Widgets) = %{version}
BuildRequires:  pkgconfig(Qt5Sql) = %{version}

BuildRequires:  cmake(Qt5Test) = %{version}

Provides:       qt%{qtmajor}-qtdeclarative = %{version}-%{release}

%description
Qt%{qtmajor} Declarative component.

%files
%_qt5_bindir/qml
%_qt5_bindir/qmlcachegen
%_qt5_bindir/qmlformat
%_qt5_bindir/qmlimportscanner
%_qt5_bindir/qmlmin
%_qt5_bindir/qmlplugindump
%_qt5_bindir/qmlpreview
%_qt5_bindir/qmlprofiler
%_qt5_bindir/qmlscene
%_qt5_bindir/qmltestrunner
%_qt5_bindir/qmltime
%_qt5_bindir/qmltyperegistrar
%_qt5_bindir/qmleasing
%_qt5_bindir/qmllint
%_qt5_archdatadir/qml/QtTest
%_qt5_archdatadir/qml/QtQuick*
%dir %_qt5_archdatadir/plugins/qmltooling
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_tcp.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_debugger.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_inspector.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_local.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_native.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_preview.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_profiler.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_server.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_messages.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_nativedebugger.so
%_qt5_archdatadir/plugins/qmltooling/libqmldbg_quickprofiler.so
%_qt5_archdatadir/qml/Qt/labs/animation
%_qt5_archdatadir/qml/Qt/labs/folderlistmodel
%_qt5_archdatadir/qml/Qt/labs/qmlmodels
%_qt5_archdatadir/qml/Qt/labs/settings
%_qt5_archdatadir/qml/QtQml
%_qt5_archdatadir/qml/builtins.qmltypes
%_qt5_archdatadir/qml/Qt/labs/sharedimage
%_qt5_archdatadir/qml/Qt/labs/wavefrontmesh
%_qt5_archdatadir/qml/Qt/test/

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtDeclarative%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtDeclarative%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtqml.qch
%{_qt5_docdir}/qtqml/
%{_qt5_docdir}/qtquick.qch
%{_qt5_docdir}/qtquick/
%{_qt5_docdir}/qtqmltest.qch
%{_qt5_docdir}/qtqmltest/
%{_qt5_docdir}/qtqmlmodels.qch
%{_qt5_docdir}/qtqmlmodels/
%{_qt5_docdir}/qtqmlworkerscript.qch
%{_qt5_docdir}/qtqmlworkerscript/
%endif

#------------------------------------------------------------------------------

%package -n %{libqt5quicktest}
Summary:        Qt%{qtmajor} Lib
Group:          System/Libraries

%description -n %{libqt5quicktest}
Qt%{qtmajor} Lib.

%files -n %{libqt5quicktest}
%{_qt5_libdir}/libQt5QuickTest.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqt5quicktest_d}
Summary:        Devel files needed to build apps based on QtDeclarative
Group:          Development/KDE and Qt
Requires:       %{libqt5quicktest} = %{version}-%{release}
Requires:       %{name} = %{version}
Provides:       libqt5quicktest-devel = %{version}-%{release}
Provides:       libqtquicktest5-devel = %{version}-%{release}
Provides:       qt5quicktest-devel = %{version}-%{release}
Provides:       qtquicktest5-devel = %{version}-%{release}

Provides:       libqt5quicktest-private-devel = %{version}-%{release}
Provides:       libqtquicktest5-private-devel = %{version}-%{release}
Provides:       qt5quicktest-private-devel = %{version}-%{release}
Provides:       qtquicktest5-private-devel = %{version}-%{release}

%description -n %{libqt5quicktest_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quicktest_d}
%_qt5_libdir/libQt5QuickTest.prl
%_qt5_libdir/libQt5QuickTest.so
%_qt5_libdir/cmake/Qt5QuickTest
%_qt5_libdir/metatypes/qt5quicktest_metatypes.json
%_qt5_includedir/QtQuickTest/
%_qt5_libdir/pkgconfig/Qt5QuickTest.pc
%_qt5_examplesdir/qmltest

#------------------------------------------------------------------------------

%package -n %{libqt5quick}
Summary:        Qt%{qtmajor} Lib
Group:          System/Libraries

%description -n %{libqt5quick}
Qt%{qtmajor} Lib.

%files -n %{libqt5quick}
%{_qt5_libdir}/libQt5Quick.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqt5quick_d}
Summary:        Devel files needed to build apps based on QtDeclarative
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqt5quick} = %{version}-%{release}
Provides:       libqt5quick-devel = %{version}-%{release}
Provides:       libqtquick5-devel = %{version}-%{release}
Provides:       qt5quick-devel = %{version}-%{release}
Provides:       qtquick5-devel = %{version}-%{release}
Requires:       qtgui5-devel = %{version}-%{release}

Provides:       libqt5quick-private-devel = %{version}-%{release}
Provides:       libqtquick5-private-devel = %{version}-%{release}
Provides:       qt5quick-private-devel = %{version}-%{release}
Provides:       qtquick5-private-devel = %{version}-%{release}

%description -n %{libqt5quick_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quick_d}
%_qt5_libdir/libQt5Quick.prl
%_qt5_libdir/libQt5Quick.so
%_qt5_libdir/cmake/Qt5Quick
%_qt5_libdir/metatypes/qt5quick_metatypes.json
%_qt5_includedir/QtQuick/
%_qt5_examplesdir/quick
%_qt5_libdir/pkgconfig/Qt5Quick.pc
%_qt5_archdatadir/mkspecs/modules/qt_lib_quick.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_quick_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5quickwidgets}
Summary:        Qt%{qtmajor} Lib
Group:          System/Libraries

%description -n %{libqt5quickwidgets}
Qt%{qtmajor} Lib.

%files -n %{libqt5quickwidgets}
%{_qt5_libdir}/libQt5QuickWidgets.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqt5quickwidgets_d}
Summary:        Devel files needed to build apps based on QtDeclarative
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqt5quickwidgets} = %{version}-%{release}
Provides:       libqt5quickwidgets-devel = %{version}-%{release}
Provides:       libqtquickwidgets5-devel = %{version}-%{release}
Provides:       qt5quickwidgets-devel = %{version}-%{release}
Provides:       qtquickwidgets5-devel = %{version}-%{release}

Provides:       libqt5quickwidgets-private-devel = %{version}-%{release}
Provides:       libqtquickwidgets5-private-devel = %{version}-%{release}
Provides:       qt5quickwidgets-private-devel = %{version}-%{release}
Provides:       qtquickwidgets5-private-devel = %{version}-%{release}

%description -n %{libqt5quickwidgets_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quickwidgets_d}
%_qt5_libdir/libQt5QuickWidgets.prl
%_qt5_libdir/libQt5QuickWidgets.so
%_qt5_libdir/cmake/Qt5QuickWidgets
%_qt5_includedir/QtQuickWidgets/
%_qt5_libdir/pkgconfig/Qt5QuickWidgets.pc
%_qt5_archdatadir/mkspecs/modules/qt_lib_quickwidgets.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_quickwidgets_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5quickshapes}
Summary:        Qt%{qtmajor} Lib
Group:          System/Libraries

%description -n %{libqt5quickshapes}
Qt%{qtmajor} Lib.

%files -n %{libqt5quickshapes}
%{_qt5_libdir}/libQt5QuickShapes.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqt5quickshapes_d}
Summary:        Devel files needed to build apps based on QtDeclarative
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqt5quickshapes} = %{version}-%{release}
Provides:       libqt5quickshapes-devel = %{version}-%{release}
Provides:       libqtquickshapes5-devel = %{version}-%{release}
Provides:       qt5quickshapes-devel = %{version}-%{release}
Provides:       qtquickshapes5-devel = %{version}-%{release}

Provides:       libqt5quickshapes-private-devel = %{version}-%{release}
Provides:       libqtquickshapes5-private-devel = %{version}-%{release}
Provides:       qt5quickshapes-private-devel = %{version}-%{release}
Provides:       qtquickshapes5-private-devel = %{version}-%{release}

%description -n %{libqt5quickshapes_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quickshapes_d}
%_qt5_libdir/libQt5QuickShapes.prl
%_qt5_libdir/libQt5QuickShapes.so
%_qt5_libdir/cmake/Qt5QuickShapes/
%_qt5_libdir/metatypes/qt5quickshapes_metatypes.json
%_qt5_includedir/QtQuickShapes/
%_qt5_archdatadir/mkspecs/modules/qt_lib_quickshapes_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5packetprotocol_d}
Summary:        Devel files needed to build apps based on QtDeclarative
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt5packetprotocol-static-devel = %{version}-%{release}
Provides:       libqtpacketprotocol5-static-devel = %{version}-%{release}
Provides:       qt5packetprotocol-static-devel = %{version}-%{release}
Provides:       qtpacketprotocol5-static-devel = %{version}-%{release}

%description -n %{libqt5packetprotocol_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5packetprotocol_d}
%_qt5_libdir/libQt5PacketProtocol.prl
%_qt5_libdir/libQt5PacketProtocol.a
%_qt5_libdir/cmake/Qt5PacketProtocol/
%_qt5_includedir/QtPacketProtocol/
%_qt5_archdatadir/mkspecs/modules/qt_lib_packetprotocol_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5quickparticles}
Summary:        Qt%{qtmajor} Lib
Group:          System/Libraries

%description -n %{libqt5quickparticles}
Qt%{qtmajor} Lib.

%files -n %{libqt5quickparticles}
%{_qt5_libdir}/libQt5QuickParticles.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqt5quickparticles_d}
Summary:        Devel files needed to build apps based on QtDeclarative
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqt5quickparticles} = %{version}-%{release}
Provides:       libqt5quickparticles-devel = %{version}-%{release}
Provides:       libqtquickparticles5-devel = %{version}-%{release}
Provides:       qt5quickparticles-devel = %{version}-%{release}
Provides:       qtquickparticles5-devel = %{version}-%{release}

Provides:       libqt5quickparticles-private-devel = %{version}-%{release}
Provides:       libqtquickparticles5-private-devel = %{version}-%{release}
Provides:       qt5quickparticles-private-devel = %{version}-%{release}
Provides:       qtquickparticles5-private-devel = %{version}-%{release}

%description -n %{libqt5quickparticles_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quickparticles_d}
%_qt5_libdir/libQt5QuickParticles.prl
%_qt5_libdir/libQt5QuickParticles.so
%_qt5_libdir/cmake/Qt5QuickParticles/
%_qt5_libdir/metatypes/qt5quickparticles_metatypes.json
%_qt5_includedir/QtQuickParticles/
%_qt5_archdatadir/mkspecs/modules/qt_lib_quickparticles_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5qml}
Summary:        Qt%{qtmajor} Lib
Group:          System/Libraries

%description -n %{libqt5qml}
Qt%{qtmajor} Lib.

%files -n %{libqt5qml}
%{_qt5_libdir}/libQt5Qml.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqt5qml_d}
Summary:        Devel files needed to build apps based on QtDeclarative
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqt5qml} = %{version}-%{release}
Provides:       libqt5qml-devel = %{version}-%{release}
Provides:       libqtqml5-devel = %{version}-%{release}
Provides:       qt5qml-devel = %{version}-%{release}
Provides:       qtqml5-devel = %{version}-%{release}

Provides:       libqt5qml-private-devel = %{version}-%{release}
Provides:       libqtqml5-private-devel = %{version}-%{release}
Provides:       qt5qml-private-devel = %{version}-%{release}
Provides:       qtqml5-private-devel = %{version}-%{release}

Requires:       qtnetwork5-devel = %{version}
Requires:       qtcore5-devel = %{version}

%description -n %{libqt5qml_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5qml_d}
%_qt5_libdir/libQt5Qml.prl
%_qt5_libdir/libQt5Qml.so
%_qt5_libdir/cmake/Qt5Qml
%_qt5_libdir/metatypes/qt5qml_metatypes.json
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmltest.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_qml.pri
%_qt5_examplesdir/qml
%_qt5_libdir/pkgconfig/Qt5Qml.pc
%_qt5_libdir/libQt5QmlDevTools.a
%_qt5_libdir/cmake/Qt5QmlDevTools/
%_qt5_includedir/QtQml/
%_qt5_includedir/QtQmlDebug/
%_qt5_libdir/libQt5QmlDevTools.prl
%_qt5_archdatadir/mkspecs/modules/qt_lib_qml_private.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmldevtools_private.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmltest_private.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmldebug_private.pri
%_qt5_archdatadir/mkspecs/features/qmlcache.prf
%_qt5_archdatadir/mkspecs/features/qmltypes.prf
%_qt5_libdir/libQt5QmlDebug.a
%_qt5_libdir/libQt5QmlDebug.prl
%_qt5_libdir/cmake/Qt5QmlDebug/
%_qt5_libdir/cmake/Qt5QuickCompiler/
%_qt5_archdatadir/mkspecs/features/qtquickcompiler.prf
# FIXME in good package???
%_qt5_libdir/cmake/Qt5QmlImportScanner/

#------------------------------------------------------------------------------

%package -n %{libqt5qmlmodels}
Summary:        Qt%{qtmajor} Lib
Group:          System/Libraries

%description -n %{libqt5qmlmodels}
Qt%{qtmajor} Lib.

%files -n %{libqt5qmlmodels}
%{_qt5_libdir}/libQt5QmlModels.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqt5qmlmodels_d}
Summary:        Devel files needed to build apps based on QtDeclarative
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqt5qmlmodels} = %{version}-%{release}
Provides:       libqt5qmlmodels-devel = %{version}-%{release}
Provides:       libqtqmlmodels5-devel = %{version}-%{release}
Provides:       qt5qmlmodels-devel = %{version}-%{release}
Provides:       qtqmlmodels5-devel = %{version}-%{release}

Provides:       libqt5qmlmodels-private-devel = %{version}-%{release}
Provides:       libqtqmlmodels5-private-devel = %{version}-%{release}
Provides:       qt5qmlmodels-private-devel = %{version}-%{release}
Provides:       qtqmlmodels-private-devel = %{version}-%{release}

%description -n %{libqt5qmlmodels_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5qmlmodels_d}
%_qt5_libdir/libQt5QmlModels.prl
%_qt5_libdir/libQt5QmlModels.so
%_qt5_libdir/pkgconfig/Qt5QmlModels.pc
%_qt5_libdir/cmake/Qt5QmlModels/
%_qt5_libdir/metatypes/qt5qmlmodels_metatypes.json
%_qt5_includedir/QtQmlModels/
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmlmodels.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmlmodels_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5qmlworkerscript}
Summary:        Qt%{qtmajor} Lib
Group:          System/Libraries

%description -n %{libqt5qmlworkerscript}
Qt%{qtmajor} Lib.

%files -n %{libqt5qmlworkerscript}
%{_qt5_libdir}/libQt5QmlWorkerScript.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqt5qmlworkerscript_d}
Summary:        Devel files needed to build apps based on QtDeclarative
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqt5qmlworkerscript} = %{version}-%{release}
Provides:       libqt5qmlworkerscript-devel = %{version}-%{release}
Provides:       libqtqmlworkerscript5-devel = %{version}-%{release}
Provides:       qt5qmlworkerscript-devel = %{version}-%{release}
Provides:       qtqmlworkerscript5-devel = %{version}-%{release}

Provides:       libqt5qmlworkerscript-private-devel = %{version}-%{release}
Provides:       libqtqmlworkerscript5-private-devel = %{version}-%{release}
Provides:       qt5qmlworkerscript-private-devel = %{version}-%{release}
Provides:       qtqmlworkerscript5-private-devel = %{version}-%{release}

%description -n %{libqt5qmlworkerscript_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5qmlworkerscript_d}
%_qt5_libdir/libQt5QmlWorkerScript.prl
%_qt5_libdir/libQt5QmlWorkerScript.so
%_qt5_libdir/pkgconfig/Qt5QmlWorkerScript.pc
%_qt5_libdir/cmake/Qt5QmlWorkerScript/
%_qt5_libdir/metatypes/qt5qmlworkerscript_metatypes.json
%_qt5_includedir/QtQmlWorkerScript/
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmlworkerscript.pri
%_qt5_archdatadir/mkspecs/modules/qt_lib_qmlworkerscript_private.pri

#------------------------------------------------------------------------------

%prep
%autosetup -n qtdeclarative-everywhere-src-%{qtversion} -p1

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
