# Build configuration

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtdoc-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

Name:           qtdoc5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Documentation
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
# Upstream patches
# https://community.kde.org/Qt5PatchCollection
## repo: https://invent.kde.org/qt/qt/qtdoc
## branch: kde/5.15
## git format-patch v5.15.16-lts-lgpl
Patch0001:      0001-Android-keep-only-mandatory-arguments-for-configure-.patch
Patch0002:      0002-Doc-update-some-packages-for-Linux.patch
Patch0003:      0003-Android-update-linux-package-dependencies.patch
Patch0004:      0004-Remove-unneeded-italic-decoration.patch
Patch0005:      0005-Linux-Fix-library-xcb-spelling-errors.patch

BuildRequires:  qtbase5-common-devel
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  qttools5-assistant
BuildRequires:  qttools5

Provides:       qt%{qtmajor}-qtdoc = %{version}-%{release}

BuildArch:      noarch
# Make sure if noarch package is built on a 64bit system that qmake is
# correctly found in the right path
%define qmake_qt5 %{_bindir}/qmake-qt5

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt%{qtmajor} Documentation.

%files
# Need to be splitted ?
%doc %{_qt5_docdir}/qtdoc.qch
%doc %{_qt5_docdir}/qtdoc/
%doc %{_qt5_docdir}/qtcmake.qch
%doc %{_qt5_docdir}/qtcmake/

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtdoc-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build docs

%install
%make_install install_docs INSTALL_ROOT=%{buildroot}

find %{buildroot} -name '*.pro' -delete
