Name:           qtermwidget
Version: 2.1.0
Release:        %mkrel 1
Summary:        Qt terminal widget
License:        GPLv2
Group:          Development/Other
URL:            https://lxqt-project.org/
Source0:        https://github.com/lxqt/qtermwidget/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  cmake(lxqt2-build-tools)

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6LinguistTools)

%description
QTermWidget is an open source project based on KDE4 Konsole application.
The main goal of this project is to provide unicode-enabled,
embeddable QT5 widget for using as a built-in console (or terminal
emulation widget).

%files
%doc AUTHORS
%{_datadir}/%{name}6/

#-----------------------------------------------------------------------

%define libqtermwidget_major 2
%define libqtermwidget %mklibname qtermwidget6_ %libqtermwidget_major

%package -n %libqtermwidget
Summary:        Runtime library for %{name}
Group:          System/Libraries
Requires:       %name = %version-%release

%description -n %libqtermwidget
Librairy files needed by %name.

%files -n %libqtermwidget
%_libdir/libqtermwidget6.so.%{libqtermwidget_major}{,.*}

#-----------------------------------------------------------------------

%define libnamedev %mklibname %name -d

%package -n     %libnamedev
Summary:        Qt terminal widget - devel package
Group:          Development/Other
Requires:       %libqtermwidget >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %libnamedev
This package provides headers files for qtermwidget development.

%files -n %libnamedev
%dir %{_includedir}/%{name}6
%{_includedir}/%{name}6/*.h
%{_libdir}/lib%{name}6.so
%{_libdir}/cmake/%{name}6/
%{_libdir}/pkgconfig/%{name}6.pc

#-----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

