Name:		qtfm
Version:	6.2.1
Release:	%mkrel 1
Summary:	Lightweight file manager based on pure Qt
License:	GPLv2
Group:		File tools
Url:		https://qtfm.eu
Source0:	https://github.com/rodlie/qtfm/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-6.1.8-desktopfile.patch

BuildRequires:	gcc-c++
BuildRequires:	desktop-file-utils
BuildRequires:	qttools5
BuildRequires:	magic-devel
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)

Recommends:	udisks2

%description
qtFM is a small, lightweight file manager for Linux desktops based on pure Qt
and works great with minimal desktop environments like Openbox.

Features:
 * Desktop (theme/applications/mime) integration
 * Customizable interface
 * Powerful custom command system
 * Customizable key bindings
 * Drag & drop functionality
 * Tabs
 * Udisks support
 * System tray daemon

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

rm -rf %{buildroot}%{_docdir}/%{name}-%{version}/

%files
%doc AUTHORS ChangeLog README.md
%license LICENSE
%{_sysconfdir}/xdg/autostart/%{name}-tray.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-tray
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.??g
%{_mandir}/man?/%{name}.1*
%{_mandir}/man?/%{name}-tray.1*
