# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtgraphicaleffects-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

Name:           qtgraphicaleffects5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} GraphicalEffects component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase5-devel = %{version}
BuildRequires:  pkgconfig(Qt5Quick)

Provides:       qt%{qtmajor}-qtgraphicaleffects = %{version}-%{release}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt%{qtmajor} GraphicalEffects component.

%files
%{_qt5_qml}/QtGraphicalEffects/

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtGraphicalEffects%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtGraphicalEffects5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtgraphicaleffects.qch
%{_qt5_docdir}/qtgraphicaleffects//
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtgraphicaleffects-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif
