# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir     qtgrpc-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtgrpc                     %mklibname qt%{qtmajor}grpc %{qtmajor}
%define libqtgrpc_d                   %mklibname qt%{qtmajor}grpc -d

%define libqtgrpcquick                %mklibname qt%{qtmajor}grpcquick %{qtmajor}
%define libqtgrpcquick_d              %mklibname qt%{qtmajor}grpcquick -d

%define libqtprotobuf                 %mklibname qt%{qtmajor}protobuf %{qtmajor}
%define libqtprotobuf_d               %mklibname qt%{qtmajor}protobuf -d

%define libqtprotobufquick            %mklibname qt%{qtmajor}protobufquick %{qtmajor}
%define libqtprotobufquick_d          %mklibname qt%{qtmajor}protobufquick -d

%define libqtprotobufqtcoretypes      %mklibname qt%{qtmajor}protobufqtcoretypes %{qtmajor}
%define libqtprotobufqtcoretypes_d    %mklibname qt%{qtmajor}protobufqtcoretypes -d

%define libqtprotobufqtguitypes       %mklibname qt%{qtmajor}protobufqtguitypes %{qtmajor}
%define libqtprotobufqtguitypes_d     %mklibname qt%{qtmajor}protobufqtguitypes -d

%define libqtprotobufwellknowntypes   %mklibname qt%{qtmajor}protobufwellknowntypes %{qtmajor}
%define libqtprotobufwellknowntypes_d %mklibname qt%{qtmajor}protobufwellknowntypes -d

Name:           qtgrpc6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        gRPC and Protobuf generator and bindings for Qt framework
Group:          Development/KDE and Qt
License:        GPL-3.0-or-later
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Branch Patchs
Patch1:         0001-Adapt-the-generator-code-to-be-compatible-with-protobuf-30.patch
## Trunk Patchs

## Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  cmake(Qt6Core) >= %{version}
BuildRequires:  cmake(Qt6Gui) >= %{version}
BuildRequires:  cmake(Qt6Network) >= %{version}
BuildRequires:  cmake(Qt6QmlNetwork) >= %{version}
BuildRequires:  cmake(Qt6Quick) >= %{version}
BuildRequires:  cmake(Qt6QuickControls2) >= %{version}
BuildRequires:  cmake(Qt6QuickTest) >= %{version}
BuildRequires:  cmake(Qt6Widgets) >= %{version}

BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(grpc++)
BuildRequires:  pkgconfig(libprotobuf-c)
BuildRequires:  pkgconfig(protobuf)

Provides:       qt%{qtmajor}-qtgrpc = %{version}-%{release}

%description
gRPC and Protobuf generator and bindings for Qt framework.

%files
%{_qt6_qmldir}/QtGrpc/
%{_qt6_qmldir}/QtProtobuf/
%{_qt6_archdatadir}/sbom/qtgrpc-%{qtversion}.spdx

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtgRPC%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtgRPC%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/qtgrpc.qch
%{_qt6_docdir}/qtgrpc/
%{_qt6_docdir}/qtprotobuf.qch
%{_qt6_docdir}/qtprotobuf/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtgrpc}
Summary:        Qt%{qtmajor} gRPC Library
Group:          System/Libraries

%description -n %{libqtgrpc}
Qt%{qtmajor} gRPC Component Library.

gRPC and Protobuf generator and bindings for Qt framework.

%files -n %{libqtgrpc}
%license LICENSES/*
%{_qt6_libdir}/libQt6Grpc.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtgrpc_d}
Summary:        Devel files needed to build apps based on QtgRPC
Group:          Development/KDE and Qt
Requires:       %{libqtgrpc} = %version
Provides:       libqtgrpc6-devel = %version
Provides:       libqt6grpc-devel = %version
Provides:       qtgrpc6-devel = %version
Provides:       qt6grpc-devel = %version

Provides:       libqtgrpc6-private-devel = %version
Provides:       libqt6grpc-private-devel = %version
Provides:       qtgrpc6-private-devel = %version
Provides:       qt6grpc-private-devel = %version

%description -n %{libqtgrpc_d}
Devel files needed to build apps based on Qt gRPC.

%files -n %{libqtgrpc_d}
%{_qt6_headerdir}/QtGrpc/
%{_qt6_libdir}/libQt6Grpc.so
%{_qt6_libdir}/libQt6Grpc.prl
%{_qt6_libdir}/cmake/Qt6Grpc/
%{_qt6_libdir}/cmake/Qt6GrpcTools/
%{_qt6_libdir}/cmake/Qt6/FindWrapgRPC.cmake
%{_qt6_libdir}/cmake/Qt6/FindWrapgRPCPlugin.cmake
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_grpc.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_grpc_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6grpc_*_metatypes.json
%{_qt6_libdir}/qt6/modules/Grpc.json
%{_qt6_libdir}/pkgconfig/Qt6Grpc.pc
%if %{with examples}
%{_qt6_examplesdir}/grpc/
%endif
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtGrpcTestsConfig.cmake
%{_qt6_libexecdir}/qtgrpcgen

#------------------------------------------------------------------------------

%package -n     %{libqtgrpcquick}
Summary:        Qt%{qtmajor} gRPC Quick Library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %{libqtgrpcquick}
Qt%{qtmajor} gRPC Quick Component Library.

gRPC and Protobuf generator and bindings for Qt framework.

%files -n %{libqtgrpcquick}
%license LICENSES/*
%{_qt6_libdir}/libQt6GrpcQuick.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtgrpcquick_d}
Summary:        Devel files needed to build apps based on QtgRPCQuick
Group:          Development/KDE and Qt
Requires:       %{libqtgrpcquick} = %version
Provides:       libqtgrpcquick6-devel = %version
Provides:       libqt6grpcquick-devel = %version
Provides:       qtgrpcquick6-devel = %version
Provides:       qt6grpcquick-devel = %version

Provides:       libqtgrpcquick6-private-devel = %version
Provides:       libqt6grpcquick-private-devel = %version
Provides:       qtgrpcquick6-private-devel = %version
Provides:       qt6grpcquick-private-devel = %version

%description -n %{libqtgrpcquick_d}
Devel files needed to build apps based on Qt gRPC Quick.

%files -n %{libqtgrpcquick_d}
%{_qt6_headerdir}/QtGrpcQuick/
%{_qt6_libdir}/cmake/Qt6GrpcQuick/
%{_qt6_libdir}/libQt6GrpcQuick.prl
%{_qt6_libdir}/libQt6GrpcQuick.so
%{_qt6_libdir}/pkgconfig/Qt6GrpcQuick.pc
%{_qt6_libdir}/qt6/metatypes/qt6grpcquick_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_grpcquick.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_grpcquick_private.pri
%{_qt6_libdir}/qt6/modules/GrpcQuick.json
#
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6grpcquick*.cmake

#------------------------------------------------------------------------------

%package -n     %{libqtprotobuf}
Summary:        Qt%{qtmajor} Protobuf Library
Group:          System/Libraries

%description -n %{libqtprotobuf}
Qt%{qtmajor} Protobuf Component Library.

gRPC and Protobuf generator and bindings for Qt framework.

%files -n %{libqtprotobuf}
%license LICENSES/*
%{_qt6_libdir}/libQt6Protobuf.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtprotobuf_d}
Summary:        Devel files needed to build apps based on QtProtobuf
Group:          Development/KDE and Qt
Requires:       %{libqtprotobuf} = %version
Provides:       libqtprotobuf6-devel = %version
Provides:       libqt6protobuf-devel = %version
Provides:       qtprotobuf6-devel = %version
Provides:       qt6protobuf-devel = %version

Provides:       libqtprotobuf6-private-devel = %version
Provides:       libqt6protobuf-private-devel = %version
Provides:       qtprotobuf6-private-devel = %version
Provides:       qt6protobuf-private-devel = %version

%description -n %{libqtprotobuf_d}
Devel files needed to build apps based on Qt Protobuf.

%files -n %{libqtprotobuf_d}
%{_qt6_headerdir}/QtProtobuf/
%{_qt6_libdir}/libQt6Protobuf.so
%{_qt6_libdir}/libQt6Protobuf.prl
%{_qt6_libdir}/cmake/Qt6Protobuf/
%{_qt6_libdir}/cmake/Qt6ProtobufTools/
%{_qt6_libdir}/cmake/Qt6/FindWrapProtobuf.cmake
%{_qt6_libdir}/cmake/Qt6/FindWrapProtoc.cmake
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_protobuf.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_protobuf_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6protobuf_*_metatypes.json
%{_qt6_libdir}/qt6/modules/Protobuf.json
%{_qt6_libdir}/pkgconfig/Qt6Protobuf.pc
%if %{with examples}
%{_qt6_examplesdir}/protobuf
%endif
#
%{_qt6_libexecdir}/qtprotobufgen

#------------------------------------------------------------------------------

%package -n     %{libqtprotobufquick}
Summary:        Qt%{qtmajor} Protobuf Quick Library
Group:          System/Libraries

%description -n %{libqtprotobufquick}
Qt%{qtmajor} Protobuf Quick Component Library.

gRPC and Protobuf generator and bindings for Qt framework.

%files -n %{libqtprotobufquick}
%license LICENSES/*
%{_qt6_libdir}/libQt6ProtobufQuick.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtprotobufquick_d}
Summary:        Devel files needed to build apps based on QtProtobufQuick
Group:          Development/KDE and Qt
Requires:       %{libqtprotobufquick} = %version
Provides:       libqtprotobufquick6-devel = %version
Provides:       libqt6protobufquick-devel = %version
Provides:       qtprotobufquick6-devel = %version
Provides:       qt6protobufquick-devel = %version

Provides:       libqtprotobufquick6-private-devel = %version
Provides:       libqt6protobufquick-private-devel = %version
Provides:       qtprotobufquick6-private-devel = %version
Provides:       qt6protobufquick-private-devel = %version

%description -n %{libqtprotobufquick_d}
Devel files needed to build apps based on Qt Protobuf Quick.

%files -n %{libqtprotobufquick_d}
%{_qt6_headerdir}/QtProtobufQuick/
%{_qt6_libdir}/libQt6ProtobufQuick.so
%{_qt6_libdir}/libQt6ProtobufQuick.prl
%{_qt6_libdir}/cmake/Qt6ProtobufQuick/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_protobufquick.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_protobufquick_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6protobufquick_*_metatypes.json
%{_qt6_libdir}/qt6/modules/ProtobufQuick.json
%{_qt6_libdir}/pkgconfig/Qt6ProtobufQuick.pc
#
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6protobufquickplugin*.cmake

#------------------------------------------------------------------------------

%package -n     %{libqtprotobufqtcoretypes}
Summary:        Qt%{qtmajor} Protobuf Qt Core Types Library
Group:          System/Libraries

%description -n %{libqtprotobufqtcoretypes}
Qt%{qtmajor} Protobuf Qt Core Types Component Library.

gRPC and Protobuf generator and bindings for Qt framework.

%files -n %{libqtprotobufqtcoretypes}
%license LICENSES/*
%{_qt6_libdir}/libQt6ProtobufQtCoreTypes.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtprotobufqtcoretypes_d}
Summary:        Devel files needed to build apps based on QtProtobufQtCoreTypes
Group:          Development/KDE and Qt
Requires:       %{libqtprotobufqtcoretypes} = %version
Provides:       libqtprotobufqtcoretypes6-devel = %version
Provides:       libqt6protobufqtcoretypes-devel = %version
Provides:       qtprotobufqtcoretypes6-devel = %version
Provides:       qt6protobufqtcoretypes-devel = %version

Provides:       libqtprotobufqtcoretypes6-private-devel = %version
Provides:       libqt6protobufqtcoretypes-private-devel = %version
Provides:       qtprotobufqtcoretypes6-private-devel = %version
Provides:       qt6protobufqtcoretypes-private-devel = %version

%description -n %{libqtprotobufqtcoretypes_d}
Devel files needed to build apps based on Qt ProtobufQtCoreTypes.

%files -n %{libqtprotobufqtcoretypes_d}
%{_qt6_headerdir}/QtProtobufQtCoreTypes/
%{_qt6_libdir}/cmake/Qt6ProtobufQtCoreTypes/
%{_qt6_libdir}/libQt6ProtobufQtCoreTypes.so
%{_qt6_libdir}/libQt6ProtobufQtCoreTypes.prl
%{_qt6_libdir}/pkgconfig/Qt6ProtobufQtCoreTypes.pc
%{_qt6_libdir}/qt6/metatypes/qt6protobufqtcoretypes_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_protobufqtcoretypes.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_protobufqtcoretypes_private.pri
%{_qt6_libdir}/qt6/modules/ProtobufQtCoreTypes.json

#------------------------------------------------------------------------------

%package -n     %{libqtprotobufqtguitypes}
Summary:        Qt%{qtmajor} Protobuf Qt Gui Types Library
Group:          System/Libraries

%description -n %{libqtprotobufqtguitypes}
Qt%{qtmajor} Protobuf Qt Gui Types Component Library.

gRPC and Protobuf generator and bindings for Qt framework.

%files -n %{libqtprotobufqtguitypes}
%license LICENSES/*
%{_qt6_libdir}/libQt6ProtobufQtGuiTypes.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtprotobufqtguitypes_d}
Summary:        Devel files needed to build apps based on QtProtobufQtGuiTypes
Group:          Development/KDE and Qt
Requires:       %{libqtprotobufqtguitypes} = %version
Provides:       libqtprotobufqtguitypes6-devel = %version
Provides:       libqt6protobufqtguitypes-devel = %version
Provides:       qtprotobufqtguitypes6-devel = %version
Provides:       qt6protobufqtguitypes-devel = %version

Provides:       libqtprotobufqtguitypes6-private-devel = %version
Provides:       libqt6protobufqtguitypes-private-devel = %version
Provides:       qtprotobufqtguitypes6-private-devel = %version
Provides:       qt6protobufqtguitypes-private-devel = %version

%description -n %{libqtprotobufqtguitypes_d}
Devel files needed to build apps based on Qt ProtobufQtGuiTypes.

%files -n %{libqtprotobufqtguitypes_d}
%{_qt6_headerdir}/QtProtobufQtGuiTypes/
%{_qt6_libdir}/cmake/Qt6ProtobufQtGuiTypes/
%{_qt6_libdir}/libQt6ProtobufQtGuiTypes.so
%{_qt6_libdir}/libQt6ProtobufQtGuiTypes.prl
%{_qt6_libdir}/pkgconfig/Qt6ProtobufQtGuiTypes.pc
%{_qt6_libdir}/qt6/metatypes/qt6protobufqtguitypes_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_protobufqtguitypes.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_protobufqtguitypes_private.pri
%{_qt6_libdir}/qt6/modules/ProtobufQtGuiTypes.json

#------------------------------------------------------------------------------

%package -n     %{libqtprotobufwellknowntypes}
Summary:        Qt%{qtmajor} Protobuf Well Known Types Library
Group:          System/Libraries

%description -n %{libqtprotobufwellknowntypes}
Qt%{qtmajor} Protobuf Well Known Types Component Library.

gRPC and Protobuf generator and bindings for Qt framework.

%files -n %{libqtprotobufwellknowntypes}
%license LICENSES/*
%{_qt6_libdir}/libQt6ProtobufWellKnownTypes.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtprotobufwellknowntypes_d}
Summary:        Devel files needed to build apps based on QtProtobufWellKnownTypes
Group:          Development/KDE and Qt
Requires:       %{libqtprotobufwellknowntypes} = %version
Provides:       libqtprotobufwellknowntypes6-devel = %version
Provides:       libqt6protobufwellknowntypes-devel = %version
Provides:       qtprotobufwellknowntypes6-devel = %version
Provides:       qt6protobufwellknowntypes-devel = %version

Provides:       libqtprotobufwellknowntypes6-private-devel = %version
Provides:       libqt6protobufwellknowntypes-private-devel = %version
Provides:       qtprotobufwellknowntypes6-private-devel = %version
Provides:       qt6protobufwellknowntypes-private-devel = %version

%description -n %{libqtprotobufwellknowntypes_d}
Devel files needed to build apps based on Qt ProtobufWellKnownTypes.

%files -n %{libqtprotobufwellknowntypes_d}
%{_qt6_headerdir}/QtProtobufWellKnownTypes/
%{_qt6_libdir}/cmake/Qt6ProtobufWellKnownTypes/
%{_qt6_libdir}/libQt6ProtobufWellKnownTypes.so
%{_qt6_libdir}/libQt6ProtobufWellKnownTypes.prl
%{_qt6_libdir}/pkgconfig/Qt6ProtobufWellKnownTypes.pc
%{_qt6_libdir}/qt6/metatypes/qt6protobufwellknowntypes_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_protobufwellknowntypes.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_protobufwellknowntypes_private.pri
%{_qt6_libdir}/qt6/modules/ProtobufWellKnownTypes.json

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtgrpc-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif
