# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtimageformats-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtimageformats_d %mklibname qt%{qtmajor}imageformats -d

Name:           qtimageformats5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} ImageFormats component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

# Upstream patches
# https://community.kde.org/Qt5PatchCollection
## repo: https://invent.kde.org/qt/qt/qtimageformats
## branch: kde/5.15
## git format-patch v5.15.16-lts-lgpl
Patch0001:      0001-webp-support-sequential-input-device-if-full-file-is.patch
Patch0002:      0002-Explicitly-include-QVarLengthArray-header.patch

BuildRequires:  qtbase5-devel = %{version}
BuildRequires:  pkgconfig(jasper)
BuildRequires:  pkgconfig(libmng)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libtiff-4)

Provides:       qt%{qtmajor}-qtimageformats = %{version}-%{release}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt%{qtmajor} ImageFormats component.

%files
%_qt5_plugindir/imageformats/*.so

#------------------------------------------------------------------------------

%package -n %{libqtimageformats_d}
Summary:        Devel files needed to build apps based on QtImageFormats
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libqtimageformats_d}
Devel files needed to build apps based on QtImageFormats.

%files -n %{libqtimageformats_d}
%{_qt5_libdir}/cmake/Qt5Gui/*.cmake

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtImageFormats%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtImageFormats%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtimageformats.qch
%{_qt5_docdir}/qtimageformats/
%endif

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtimageformats-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif
