# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 0
%endif

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtimageformats-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtimageformats_d %mklibname qt%{qtmajor}imageformats -d

Name:           qtimageformats6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} ImageFormats component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-devel = %{version}
BuildRequires:  qtbase6-qtpaths

BuildRequires:  pkgconfig(jasper)
BuildRequires:  pkgconfig(libmng)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libtiff-4)

Provides:       qt%{qtmajor}-qtimageformats = %{version}-%{release}

%description
Qt%{qtmajor} ImageFormats component.

%files
%dir %{_qt6_plugindir}/imageformats
%{_qt6_plugindir}/imageformats/*.so
%{_qt6_archdatadir}/sbom/qtimageformats-%{qtversion}.spdx

#------------------------------------------------------------------------------

%package -n %{libqtimageformats_d}
Summary:        Devel files needed to build apps based on QtImageFormats
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       qt%{qtmajor}-qtimageformats-devel = %{version}-%{release}

%description -n %{libqtimageformats_d}
Devel files needed to build apps based on QtImageFormats.

%files -n %{libqtimageformats_d}
%{_qt6_libdir}/cmake/Qt%{qtmajor}/*.cmake
%{_qt6_libdir}/cmake/Qt%{qtmajor}Gui/*.cmake

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtImageFormats%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtImageFormats%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/qtimageformats.qch
%{_qt6_docdir}/qtimageformats/
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtimageformats-everywhere-src-%{qtversion}

%build
%cmake_qt6

%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif
