# Build configuration

%global debug_package %{nil}

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 0
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtlanguageserver-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtlanguageserver_d %mklibname qt%{qtmajor}languageserver -d

Name:           qtlanguageserver6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} language server protocol component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-devel = %{version}
BuildRequires:  qtbase6-qtpaths

Provides:       qt%{qtmajor}-qtlanguageserver = %{version}-%{release}

%description
Qt%{qtmajor} language server protocol defines a set of JSON-RPC request,
response and notification messages which are exchanged using the above base
protocol.

%files
%license LICENSES/*
%{_qt6_archdatadir}/sbom/qtlanguageserver-%{qtversion}.spdx

#------------------------------------------------------------------------------

%package -n %{libqtlanguageserver_d}
Summary:        Devel files needed to build apps based on QtLanguageServer
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-devel-static = %{version}-%{release}
Provides:       qt6languageserver-devel = %{version}
Provides:       qt%{qtmajor}-qtlanguageserver-devel = %{version}-%{release}

%description -n %{libqtlanguageserver_d}
Devel files needed to build apps based on Qt LanguageServer.

%files -n %{libqtlanguageserver_d}
%{_qt6_headerdir}/QtLanguageServer/
%{_qt6_libdir}/libQt%{qtmajor}LanguageServer.a
%{_qt6_libdir}/cmake/Qt%{qtmajor}LanguageServerPrivate/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_languageserver_private.pri
%{_qt6_libdir}/libQt%{qtmajor}LanguageServer.prl
%{_qt6_libdir}/qt6/modules/*.json
#
%{_qt6_headerdir}/QtJsonRpc/
%{_qt6_libdir}/libQt%{qtmajor}JsonRpc.a
%{_qt6_libdir}/cmake/Qt%{qtmajor}JsonRpcPrivate/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_jsonrpc_private.pri
%{_qt6_libdir}/libQt%{qtmajor}JsonRpc.prl
#
%{_qt6_libdir}/cmake/Qt%{qtmajor}BuildInternals/*/*.cmake
%{_qt6_libdir}/qt6/metatypes/qt%{qtmajor}*_metatypes.json

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtLanguageServer%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtLanguageServer%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/qtlanguageserver.qch
%{_qt6_docdir}/qtlanguageserver/
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtlanguageserver-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}

%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif
