# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs         0
%else
%define build_docs         1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtlocation-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtpositioning      %mklibname qt%{qtmajor}positioning %{qtmajor}
%define libqtpositioning_d    %mklibname qt%{qtmajor}positioning -d

%define libqtpositioningquick %mklibname qt%{qtmajor}positioningquick %{qtmajor}

%define libqtlocation         %mklibname qt%{qtmajor}location %{qtmajor}
%define libqtlocation_d       %mklibname qt%{qtmajor}location -d

Name:           qtlocation5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Location component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
# from kde/5.15 P0002->P0004 + P0007
%define mapboxgl_commit 35d566724c48180c9a372c2ed50a253871a51574
Source1:        https://invent.kde.org/qt/qt/qtlocation-mapboxgl/-/archive/%{mapboxgl_commit}/qtlocation-mapboxgl-%{mapboxgl_commit}.tar.gz

# Upstream patches
# https://community.kde.org/Qt5PatchCollection
## repo: https://invent.kde.org/qt/qt/qtlocation
## branch: kde/5.15
## git format-patch v5.15.16-lts-lgpl
Patch0001:      0001-Fix-appendChildNode-call.patch
Source0002:     0002-Update-mapbox-gl-native.patch
Source0003:     0003-Update-mapbox-gl-native.patch
Source0004:     0004-Update-mapbox-gl-native.patch
Patch0005:      0005-Fix-build-of-Qt.labs.location-QML-plugin.patch
Patch0006:      0006-Fix-HereMap-plugin-not-supporting-authentication-via.patch
Source0007:     0007-Update-mapbox-gl-native.patch

BuildRequires:  qtbase5-devel >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(geoclue-2.0)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libssl)

Provides:       qt%{qtmajor}-qtlocation = %{version}-%{release}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt%{qtmajor} Location component.

%files
%{_qt5_qml}/QtLocation/
%{_qt5_qml}/Qt/labs/location/
%{_qt5_examplesdir}/location/
%{_qt5_plugindir}/geoservices/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtLocation%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtLocation%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtlocation.qch
%{_qt5_docdir}/qtlocation/
%{_qt5_docdir}/qtpositioning.qch
%{_qt5_docdir}/qtpositioning/
%endif

#------------------------------------------------------------------------------

%package -n     qtpositioning5
Summary:        Qt%{qtmajor} Positioning Component
Group:          System/Libraries
Requires:       %{libqtpositioning} = %{version}
Provides:       qt5positioning = %{version}

%description -n qtpositioning5
Qt%{qtmajor} Positioning Component.

The Positioning module provides positioning information via QML
and C++ interfaces.

%files -n qtpositioning5
%{_qt5_qml}/QtPositioning/
%{_qt5_plugindir}/position/

#------------------------------------------------------------------------------

%package -n     %{libqtpositioning}
Summary:        Qt%{qtmajor} Positioning Component Library
Group:          System/Libraries

%description -n %{libqtpositioning}
Qt%{qtmajor} Positioning Component Library.

The Positioning module provides positioning information via QML
and C++ interfaces.

%files -n %{libqtpositioning}
%{_qt5_libdir}/libQt5Positioning.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtpositioningquick}
Summary:        Qt%{qtmajor} Positioning Component Library
Group:          System/Libraries

%description -n %{libqtpositioningquick}
Qt%{qtmajor} Positioning Component Library.

The Positioning module provides positioning information via QML
and C++ interfaces.

%files -n %{libqtpositioningquick}
%{_qt5_libdir}/libQt5PositioningQuick.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtpositioning_d}
Summary:        Devel files needed to build apps based on QtPositioning
Group:          Development/KDE and Qt
Requires:       qtpositioning5 = %{version}
Requires:       %{libqtpositioning} = %{version}
Requires:       %{libqtpositioningquick} = %{version}
Provides:       libqtpositioning5-devel = %{version}
Provides:       libqt5positioning-devel = %{version}
Provides:       qtpositioning5-devel = %{version}
Provides:       qt5positioning-devel = %{version}

Provides:       libqtpositioning5-private-devel = %{version}
Provides:       libqt5positioning-private-devel = %{version}
Provides:       qtpositioning5-private-devel = %{version}
Provides:       qt5positioning-private-devel = %{version}

Provides:       libqtpositioningquick5-private-devel = %{version}
Provides:       libqt5positioningquick-private-devel = %{version}
Provides:       qtpositioningquick5-private-devel = %{version}
Provides:       qt5positioningquick-private-devel = %{version}

%description -n %{libqtpositioning_d}
Devel files needed to build apps based on Qt Positioning.

%files -n %{libqtpositioning_d}
%{_qt5_libdir}/libQt5Positioning.prl
%{_qt5_libdir}/libQt5Positioning.so
%{_qt5_libdir}/libQt5PositioningQuick.prl
%{_qt5_libdir}/libQt5PositioningQuick.so
%{_qt5_libdir}/pkgconfig/Qt5Positioning.pc
%{_qt5_libdir}/pkgconfig/Qt5PositioningQuick.pc
%{_qt5_libdir}/cmake/Qt5Positioning/
%{_qt5_libdir}/cmake/Qt5PositioningQuick/
%{_qt5_examplesdir}/positioning
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_positioning.pri
%{_qt5_includedir}/QtPositioning/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_positioning_private.pri
%{_qt5_includedir}/QtPositioningQuick/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_positioningquick.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_positioningquick_private.pri

#------------------------------------------------------------------------------

%package -n     %{libqtlocation}
Summary:        Qt%{qtmajor} Location Component Library
Group:          System/Libraries

%description -n %{libqtlocation}
Qt%{qtmajor} Location Component Library.

The Location module provides location information via QML and C++ interfaces.

%files -n %{libqtlocation}
%{_qt5_libdir}/libQt5Location.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtlocation_d}
Summary:        Devel files needed to build apps based on QtLocation
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}
Requires:       %{libqtlocation} = %{version}
Provides:       libqtlocation5-devel = %{version}
Provides:       libqt5location-devel = %{version}
Provides:       qtlocation5-devel = %{version}
Provides:       qt5location-devel = %{version}

Provides:       libqtlocation5-private-devel = %{version}
Provides:       libqt5location-private-devel = %{version}
Provides:       qtloation5-private-devel = %{version}
Provides:       qt5location-private-devel = %{version}

%description -n %{libqtlocation_d}
Devel files needed to build apps based on Qt Location.

%files -n %{libqtlocation_d}
%{_qt5_libdir}/cmake/Qt5Location
%{_qt5_libdir}/libQt5Location.prl
%{_qt5_libdir}/libQt5Location.so
%{_qt5_libdir}/pkgconfig/Qt5Location.pc
%{_qt5_includedir}/QtLocation/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_location.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_location_private.pri

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtlocation-everywhere-src-%{qtversion} -a1

rm -rf src/3rdparty/mapbox-gl-native/*
mv qtlocation-mapboxgl-%{mapboxgl_commit}/* src/3rdparty/mapbox-gl-native/

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
