%global commit0  5a07df503a6f01280f493cbcc2aace462b9dee57
%define upstream_version 2.4_1

%define major		1
%define libname		%mklibname qt5lockedfile %major
%define develname	%mklibname qt5lockedfile -d

%define libnameqt6	%mklibname qt6lockedfile %major
%define develnameqt6	%mklibname qt6lockedfile -d

%define soname %(echo %{upstream_version} | cut -d '_' -f1)

Summary:	QFile extension with advisory locking functions
Name:		qtlockedfile
Version:	%(echo %{upstream_version} | sed 's,_,.,')
Release:	%mkrel 22
Group:		Development/KDE and Qt
License:	GPLv3 or LGPLv2 with exceptions
URL:		https://docs.huihoo.com/qt/solutions/4/qtlockedfile/qtlockedfile.html
Source0:	https://github.com/qtproject/qt-solutions/archive/%{commit0}.tar.gz#/%{name}-%{commit0}.tar.gz
Source1:	qtlockedfile.prf
Source2:	LICENSE.LGPL
Source3:	LGPL_EXCEPTION
Source4:	LICENSE.GPL3

Patch0:		qtlockedfile-use-current-version.patch
Patch1:		qtlockedfile-dont-build-example.patch

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt6Core)

%description
This class extends the QFile class with inter-process file locking capabilities.
If an application requires that several processes should access the same file,
QtLockedFile can be used to easily ensure that only one process at a time is
writing to the file, and that no process is writing to it while others are
reading it.

#--------------------------------------------------------------------

%package	-n %libname
Summary:	QFile extension with advisory locking functions for Qt5
Group:		Development/KDE and Qt

# drop Qt4 support for mga10
Obsoletes:	%{_lib}qt4lockedfile1 < 2.4.1-22

%description	-n %libname
This class extends the QFile class with inter-process file locking capabilities.
If an application requires that several processes should access the same file,
QtLockedFile can be used to easily ensure that only one process at a time is
writing to the file, and that no process is writing to it while others are
reading it.

This is the Qt5 library package for %{name}.

%files -n %libname
%{_qt5_libdir}/libQt5Solutions_LockedFile*.so.%{major}{,.*}

#--------------------------------------------------------------------

%package        -n %libnameqt6
Summary:        QFile extension with advisory locking functions for Qt6
Group:          Development/KDE and Qt

%description    -n %libnameqt6
This class extends the QFile class with inter-process file locking capabilities.
If an application requires that several processes should access the same file,
QtLockedFile can be used to easily ensure that only one process at a time is
writing to the file, and that no process is writing to it while others are
reading it.

This is the Qt6 library package for %{name}.

%files -n %libnameqt6
%{_qt6_libdir}/libQt6Solutions_LockedFile*.so.%{major}{,.*}

#--------------------------------------------------------------------

%package	-n %develname
Summary:	Development files for Qt5 %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}
Provides:       %{name}5-devel = %{version}
Provides:       qt5lockedfile-devel = %{version}

# drop Qt4 support for mga10
Obsoletes:	%{_lib}qt4lockedfile-devel < 2.4.1-22

%description	-n %develname
This package contains libraries and header files for developing applications
that use Qt5 QtLockedFile.

%files -n %develname
%doc doc example
%{_qt5_libdir}/libQt5Solutions_LockedFile*.so
%{_qt5_includedir}/QtSolutions/
%{_qt5_archdatadir}/mkspecs/features/%{name}.prf

#--------------------------------------------------------------------

%package        -n %develnameqt6
Summary:        Development files for Qt6 %{name}
Group:          Development/KDE and Qt
Requires:       %{libnameqt6} = %{version}-%{release}
Provides:       qt6lockedfile-devel = %{version}

%description    -n %develnameqt6
This package contains libraries and header files for developing applications
that use Qt6 QtLockedFile.

%files -n %develnameqt6
%doc doc example
%{_qt6_libdir}/libQt6Solutions_LockedFile*.so
%{_qt6_includedir}/QtSolutions/
%{_qt6_archdatadir}/mkspecs/features/%{name}.prf

#--------------------------------------------------------------------

%prep
%setup -qn qt-solutions-%{commit0}/%{name}
# use versioned soname
sed -i s,head,%soname, common.pri
mkdir licenses
cp %{SOURCE2} %{SOURCE3} %{SOURCE4} licenses

%build
touch .licenseAccepted
# Does not use GNU configure
./configure -library
mkdir qt5
pushd qt5
	%qmake_qt5 ..
	%make_build
popd

mkdir qt6
pushd qt6
        %qmake_qt6 ..
        %make_build
popd


%install
# libraries
mkdir -p %{buildroot}%{_qt5_libdir}
cp -ap lib/* %{buildroot}%{_qt5_libdir}


# headers
mkdir -p %{buildroot}%{_qt5_includedir}/QtSolutions
cp -a \
    src/qtlockedfile.h \
    src/QtLockedFile \
    %{buildroot}%{_qt5_includedir}/QtSolutions

mkdir -p %{buildroot}%{_qt5_archdatadir}/mkspecs/features
cp -a %{SOURCE1} %{buildroot}%{_qt5_archdatadir}/mkspecs/features/

mkdir -p %{buildroot}%{_qt6_includedir}/QtSolutions
cp -a \
    src/qtlockedfile.h \
    src/QtLockedFile \
    %{buildroot}%{_qt6_includedir}/QtSolutions

mkdir -p %{buildroot}%{_qt6_archdatadir}/mkspecs/features
cp -a %{SOURCE1} %{buildroot}%{_qt6_archdatadir}/mkspecs/features/

