# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir     qtlottie-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

%define libqtbodymovin   %mklibname qt%{qtmajor}bodymovin %{qtmajor}
%define libqtbodymovin_d %mklibname qt%{qtmajor}bodymovin -d

Name:           qtlottie5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Lottie Animation
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase5-devel
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)

Provides:       qt%{qtmajor}-qtlottie = %{version}-%{release}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt%{qtmajor} Lottie Animation provides a QML API for rendering graphics
and animations that are exported in JSON format by the Bodymovin plugin
for Adobe After Effects.

%files
%{_qt5_qmldir}/Qt/labs/lottieqt/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtLottie%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtLottie%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtlottieanimation.qch
%{_qt5_docdir}/qtlottieanimation/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtbodymovin}
Summary:        Qt%{qtmajor} Bodymovin Component Library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libqtbodymovin}
Qt%{qtmajor} Bodymovin Component Library.

%files -n %{libqtbodymovin}
%{_qt5_libdir}/libQt5Bodymovin.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtbodymovin_d}
Summary:        Devel files needed to build apps based on QtBodymovin
Group:          Development/KDE and Qt
Requires:       %{libqtbodymovin} = %{version}
Provides:       libqt5bodymovin-devel = %{version}
Provides:       libqtbodymovin5-devel = %{version}
Provides:       qt5bodymovin-devel = %{version}
Provides:       libqt5lottie-devel = %{version}
Provides:       libqtlottie5-devel = %{version}
Provides:       qt5lottie-devel = %{version}

%description -n %{libqtbodymovin_d}
Devel files needed to build apps based on Qt Bodymovin.

%files -n %{libqtbodymovin_d}
%{_qt5_includedir}/QtBodymovin/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_bodymovin_private.pri
%{_qt5_libdir}/libQt5Bodymovin.prl
%{_qt5_libdir}/libQt5Bodymovin.so
%{_qt5_libdir}/cmake/Qt5Bodymovin/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtlottie-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif
