# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir     qtlottie-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtbodymovin   %mklibname qt%{qtmajor}bodymovin %{qtmajor}
%define libqtbodymovin_d %mklibname qt%{qtmajor}bodymovin -d

Name:           qtlottie6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Lottie Animation
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Branch Patchs

## Trunk Patchs

## Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-qtpaths

BuildRequires:  qtbase6-devel >= %{version}
BuildRequires:  cmake(Qt6Qml) >= %{version}
BuildRequires:  cmake(Qt6QmlIntegration) >= %{version}
BuildRequires:  cmake(Qt6Quick) >= %{version}
BuildRequires:  cmake(Qt6QuickTest) >= %{version}

Provides:       qt%{qtmajor}-qtlottie = %{version}-%{release}

%description
Qt%{qtmajor} Lottie Animation provides a QML API for rendering graphics
and animations that are exported in JSON format by the Bodymovin plugin
for Adobe After Effects.

%files
%{_qt6_qmldir}/Qt/labs/lottieqt/
%{_qt6_archdatadir}/sbom/qtlottie-%{qtversion}.spdx

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtLottie%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtLottie%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/qtlottieanimation.qch
%{_qt6_docdir}/qtlottieanimation/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtbodymovin}
Summary:        Qt%{qtmajor} Bodymovin Library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libqtbodymovin}
Qt%{qtmajor} Bodymovin Component Library.

%files -n %{libqtbodymovin}
%{_qt6_libdir}/libQt6Bodymovin.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtbodymovin_d}
Summary:        Devel files needed to build apps based on QtBodymovin
Group:          Development/KDE and Qt
Requires:       %{libqtbodymovin} = %{version}
Provides:       libqt6bodymovin-devel = %{version}
Provides:       libqtbodymovin6-devel = %{version}
Provides:       qt6bodymovin-devel = %{version}
Provides:       libqt6lottie-devel = %{version}
Provides:       libqtlottie6-devel = %{version}
Provides:       qt6lottie-devel = %{version}
Provides:       qt%{qtmajor}-qtlottie-devel = %{version}-%{release}

%description -n %{libqtbodymovin_d}
Devel files needed to build apps based on Qt Bodymovin.

%files -n %{libqtbodymovin_d}
%{_qt6_includedir}/QtBodymovin/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_bodymovin_private.pri
%{_qt6_libdir}/libQt6Bodymovin.prl
%{_qt6_libdir}/libQt6Bodymovin.so
%{_qt6_libdir}/cmake/Qt6BodymovinPrivate/
%{_qt6_libdir}/qt6/metatypes/qt6bodymovinprivate_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/modules/BodymovinPrivate.json
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtLottieTestsConfig.cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/*.cmake

#------------------------------------------------------------------------------

%prep
%setup -q -n qtlottie-everywhere-src-%{qtversion}

%build
%cmake_qt6
%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif
