%define major		1
%define libname		%mklibname mpris-qt5_ %{major}
%define develname	%mklibname mpris-qt5 -d

Name:		qtmpris
Summary:	Qt and QML MPRIS interface and adaptor
Version:	1.0.6
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/KDE and Qt
URL:		https://git.sailfishos.org/mer-core/qtmpris
Source0:	https://github.com/sailfishos/qtmpris/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Qml)

%description
Qt and QML MPRIS interface and adaptor.

#------------------------------------------------

%package -n	%{libname}
Summary:	Qt and QML MPRIS interface and adaptor
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n	%{libname}
Qt and QML MPRIS interface and adaptor.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	mpris-qt5-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%setup -q

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%dir %{_qt5_qmldir}/org/nemomobile/
%dir %{_qt5_qmldir}/org/nemomobile/mpris/
%{_qt5_qmldir}/org/nemomobile/mpris/libmpris-qt5-qml-plugin.so
%{_qt5_qmldir}/org/nemomobile/mpris/plugins.qmltypes
%{_qt5_qmldir}/org/nemomobile/mpris/qmldir

%files -n %{libname}
%{_qt5_libdir}/libmpris-qt5.so.%{major}{,.*}

%files -n %{develname}
%{_qt5_includedir}/MprisQt/
%{_qt5_libdir}/pkgconfig/*.pc
%{_qt5_libdir}/libmpris-qt5.so
%{_qt5_archdatadir}/mkspecs/features/*.prf
