# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion  %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir  qtmqtt-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtmqtt   %mklibname qt%{qtmajor}mqtt %{qtmajor}
%define libqtmqtt_d %mklibname qt%{qtmajor}mqtt -d

Name:           qtmqtt6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} component to implement MQTT protocol version 3.1 and 3.1.1
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6WebSockets)
BuildRequires:  cmake(Qt6Widgets)

Provides:       qt%{qtmajor}-qtmqtt = %{version}-%{release}

%description
Qt%{qtmajor} module to implement MQTT (Message Queuing Telemetry Transport)
protocol version 3.1 and 3.1.1 in Qt applications.

%files
%{_qt6_archdatadir}/sbom/qtmqtt-%{qtversion}.spdx

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtMqtt%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtMqtt%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/qtmqtt.qch
%{_qt6_docdir}/qtmqtt/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtmqtt}
Summary:        Qt%{qtmajor} Mqtt Library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %{libqtmqtt}
Qt%{qtmajor} module to implement MQTT (Message Queuing Telemetry Transport)
protocol version 3.1 and 3.1.1 in Qt applications.

Qt%{qtmajor} Mqtt Component Library.

%files -n %{libqtmqtt}
%license LICENSES/*
%{_qt6_libdir}/libQt6Mqtt.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtmqtt_d}
Summary:        Devel files needed to build apps based on Qt Mqtt
Group:          Development/KDE and Qt
Requires:       qtmqtt6 = %version
Requires:       %{libqtmqtt} = %version
Provides:       libqtmqtt6-devel = %version
Provides:       libqt6mqtt-devel = %version
Provides:       qtmqtt6-devel = %version
Provides:       qt6mqtt-devel = %version

Provides:       libqtmqtt6-private-devel = %version
Provides:       libqt6mqtt-private-devel = %version
Provides:       qtmqtt6-private-devel = %version
Provides:       qt6mqtt-private-devel = %version

%description -n %{libqtmqtt_d}
Devel files needed to build apps based on Qt Mqtt.

%files -n %{libqtmqtt_d}
%{_qt6_headerdir}/QtMqtt/
%{_qt6_libdir}/libQt6Mqtt.so
%{_qt6_libdir}/libQt6Mqtt.prl
%{_qt6_libdir}/cmake/Qt6Mqtt/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_mqtt*.pri
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/qt6/modules/Mqtt.json
%{_qt6_libdir}/pkgconfig/Qt6Mqtt.pc
%if %{with examples}
%{_qt6_examplesdir}/mqtt/
%endif
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtMqttTestsConfig.cmake

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtmqtt-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif
