# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion  %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtmultimedia-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqt6multimedia          %mklibname qt%{qtmajor}multimedia %{qtmajor}
%define libqt6multimedia_d        %mklibname qt%{qtmajor}multimedia -d

%define libqt6multimedia_p        %mklibname qt%{qtmajor}multimedia-plugins

%define libqt6multimediawidgets   %mklibname qt%{qtmajor}multimediawidgets %{qtmajor}
%define libqt6multimediawidgets_d %mklibname qt%{qtmajor}multimediawidgets -d

%define libqtmultimediaquick      %mklibname qt%{qtmajor}multimediaquick %{qtmajor}
%define libqtmultimediaquick_d    %mklibname qt%{qtmajor}multimediaquick -d

%define libqt6spatialaudio        %mklibname qt%{qtmajor}spatialaudio %{qtmajor}
%define libqt6spatialaudio_d      %mklibname qt%{qtmajor}spatialaudio -d

%define libqt6quick3dspatialaudio %mklibname qt%{qtmajor}quick3dspatialaudio %{qtmajor}
%define libquick3dspatialaudio_d  %mklibname qt%{qtmajor}quick3dspatialaudio -d

%define libgstreamermediaplugin_d %mklibname qt%{qtmajor}gstreamermediapluginimpl -d
%define libffmpegmediaplugin_d    %mklibname qt%{qtmajor}ffmpegmediapluginimpl -d
%define libmultimediatestlib_d    %mklibname qt%{qtmajor}multimediatestlib -d

Name:           qtmultimedia6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Multimedia component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

BuildRequires:  qtbase6-devel = %version

BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(gstreamer-audio-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(gstreamer-bad-audio-1.0)

BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-mainloop-glib)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(xrandr)

BuildRequires:  cmake(Qt6Qml) >= %version
BuildRequires:  cmake(Qt6Quick) >= %version
BuildRequires:  cmake(Qt6ShaderTools) >= %version
BuildRequires:  cmake(Qt6Gui) >= %version
BuildRequires:  cmake(Qt6Network) >= %version
BuildRequires:  cmake(Qt6Svg) >= %version
BuildRequires:  cmake(Qt6Widgets) >= %version
BuildRequires:  cmake(Qt6QuickTest) >= %version
BuildRequires:  cmake(Qt6QuickControls2) >= %version
BuildRequires:  cmake(Qt6Quick3D) >= %version
BuildRequires:  qttools6
BuildRequires:  ninja

Requires:       %{libqt6multimedia_p} = %version

Provides:       qt%{qtmajor}-qtmultimedia = %{version}-%{release}

%description
Qt%{qtmajor} Multimedia component.

%files
%_qt6_qmldir/QtMultimedia/
%_qt6_qmldir/QtQuick3D/SpatialAudio/
%{_qt6_archdatadir}/sbom/qtmultimedia-%{qtversion}.spdx

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtMultimedia%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtMultimedia%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/qtmultimedia.qch
%{_qt6_docdir}/qtmultimedia/
%{_qt6_docdir}/qtspatialaudio.qch
%{_qt6_docdir}/qtspatialaudio/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqt6multimedia}
Summary:        Qt%{qtmajor} Multimedia Library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %{libqt6multimedia}
Qt%{qtmajor} Multimedia Component Library.

%files -n %{libqt6multimedia}
%{_qt6_libdir}/libQt6Multimedia.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt6multimedia_p}
Summary:        Qt%{qtmajor} Multimedia plugins
Group:          System/Libraries

%description -n %{libqt6multimedia_p}
Qt%{qtmajor} Multimedia plugins.

%files -n %{libqt6multimedia_p}
%dir %{_qt6_plugindir}/multimedia/
%{_qt6_plugindir}/multimedia/libgstreamermediaplugin.so
%{_qt6_plugindir}/multimedia/libffmpegmediaplugin.so

#------------------------------------------------------------------------------

%package -n     %{libqt6multimedia_d}
Summary:        Devel files needed to build apps based on QtMultimedia
Group:          Development/KDE and Qt
Requires:       %{libqt6multimedia} = %version
Requires:       %name >= %version
Provides:       libqtmultimedia6-devel = %version
Provides:       libqt6multimedia-devel = %version
Provides:       qtmultimedia6-devel = %version
Provides:       qt6multimedia-devel = %version

Provides:       libqtmultimedia6-private-devel = %version
Provides:       libqt6multimedia-private-devel = %version
Provides:       qtmultimedia6-private-devel = %version
Provides:       qt6multimedia-private-devel = %version

%description -n %{libqt6multimedia_d}
Devel files needed to build apps based on QtMultimedia.

%files -n %{libqt6multimedia_d}
%{_qt6_includedir}/QtMultimedia/
%{_qt6_libdir}/libQt6Multimedia.so
%{_qt6_libdir}/libQt6BundledResonanceAudio.a
%{_qt6_libdir}/cmake/Qt6Multimedia/
%{_qt6_libdir}/libQt6Multimedia.prl
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_multimedia.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_multimedia_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6multimedia_*_metatypes.json
%{_qt6_libdir}/qt6/modules/Multimedia.json
%{_qt6_libdir}/pkgconfig/Qt6Multimedia.pc
%if %{with examples}
%{_qt6_examplesdir}/multimedia/
%endif
#
%{_qt6_libdir}/cmake/Qt6/
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtMultimediaTestsConfig.cmake

#------------------------------------------------------------------------------

%package -n     %{libqt6multimediawidgets}
Summary:        Qt%{qtmajor} Multimedia Widgets Library
Group:          System/Libraries
Requires:       %name >= %version

%description -n %{libqt6multimediawidgets}
Qt%{qtmajor} Multimedia Widgets Component Library.

%files -n %{libqt6multimediawidgets}
%{_qt6_libdir}/libQt6MultimediaWidgets.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt6multimediawidgets_d}
Summary:        Devel files needed to build apps based on QtMultimediaWidget
Group:          Development/KDE and Qt
Requires:       %{libqt6multimediawidgets} = %version
Provides:       libqtmultimediawidgets6-devel = %version
Provides:       libqt6multimediawidgets-devel = %version
Provides:       qtmultimediawidgets6-devel = %version
Provides:       qt6multimediawidgets-devel = %version

Provides:       libqtmultimediawidgets6-private-devel = %version
Provides:       libqt6multimediawidgets-private-devel = %version
Provides:       qtmultimediawidgets6-private-devel = %version
Provides:       qt6multimediawidgets-private-devel = %version

%description -n %{libqt6multimediawidgets_d}
Devel files needed to build apps based on QtMultimediaWidget.

%files -n %{libqt6multimediawidgets_d}
%{_qt6_includedir}/QtMultimediaWidgets/
%{_qt6_libdir}/libQt6MultimediaWidgets.so
%{_qt6_libdir}/cmake/Qt6MultimediaWidgets/
%{_qt6_libdir}/libQt6MultimediaWidgets.prl
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_multimediawidgets.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_multimediawidgets_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6multimediawidgets_*_metatypes.json
%{_qt6_libdir}/qt6/modules/MultimediaWidgets.json
%{_qt6_libdir}/pkgconfig/Qt6MultimediaWidgets.pc

#------------------------------------------------------------------------------

%package -n     %{libqtmultimediaquick}
Summary:        Qt%{qtmajor} Multimedia Quick Library
Group:          System/Libraries
Requires:       %name >= %version

%description -n %{libqtmultimediaquick}
Qt%{qtmajor} Multimedia Quick Component Library.

%files -n %{libqtmultimediaquick}
%{_qt6_libdir}/libQt6MultimediaQuick.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtmultimediaquick_d}
Summary:        Devel files needed to build apps based on QtMultimediaQuick
Group:          Development/KDE and Qt
Requires:       %{libqtmultimediaquick} = %version
Provides:       libqtmultimediaquick6-devel = %version
Provides:       libqt6multimediaquick-devel = %version
Provides:       qt6multimediaquick-devel = %version
Provides:       qtmultimediaquick6-devel = %version

%description -n %{libqtmultimediaquick_d}
Devel files needed to build apps based on QtMultimediaQuick.

%files -n %{libqtmultimediaquick_d}
%{_qt6_includedir}/QtMultimediaQuick/
%{_qt6_libdir}/libQt6MultimediaQuick.so
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/
%{_qt6_libdir}/libQt6MultimediaQuick.prl
%{_qt6_libdir}/cmake/Qt6MultimediaQuickPrivate/
%{_qt6_libdir}/qt6/metatypes/qt6multimediaquickprivate_*_metatypes.json
%{_qt6_libdir}/qt6/modules/MultimediaQuickPrivate.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_multimediaquick_private.pri

#------------------------------------------------------------------------------

%package -n     %{libqt6spatialaudio}
Summary:        Qt%{qtmajor} Spatial Audio Library
Group:          System/Libraries
Requires:       %name >= %version

%description -n %{libqt6spatialaudio}
Qt%{qtmajor} Spatial Audio Component Library.

%files -n %{libqt6spatialaudio}
%{_qt6_libdir}/libQt6SpatialAudio.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt6spatialaudio_d}
Summary:        Devel files needed to build apps based on QtSpatialAudio
Group:          Development/KDE and Qt
Requires:       %{libqt6spatialaudio} = %version
Provides:       libqtspatialaudio6-devel = %version
Provides:       libqt6spatialaudio-devel = %version
Provides:       qt6spatialaudio-devel = %version
Provides:       qtspatialaudio6-devel = %version

%description -n %{libqt6spatialaudio_d}
Devel files needed to build apps based on QtSpatialAudio.

%files -n %{libqt6spatialaudio_d}
%{_qt6_includedir}/QtSpatialAudio/
%{_qt6_libdir}/libQt6SpatialAudio.so
%{_qt6_libdir}/libQt6SpatialAudio.prl
%{_qt6_libdir}/cmake/Qt6SpatialAudio/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_spatialaudio.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_spatialaudio_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6spatialaudio_*_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6SpatialAudio.pc
%{_qt6_libdir}/qt6/modules/SpatialAudio.json
%if %{with examples}
%{_qt6_examplesdir}/spatialaudio/
%endif
#
%{_qt6_libdir}/cmake/Qt6BundledResonanceAudio/

#------------------------------------------------------------------------------

%package -n     %{libqt6quick3dspatialaudio}
Summary:        Qt%{qtmajor} Quick3D Spatial Audio Library
Group:          System/Libraries
Requires:       %name >= %version

%description -n %{libqt6quick3dspatialaudio}
Qt%{qtmajor} Quick3D Spatial Audio Component Library.

%files -n %{libqt6quick3dspatialaudio}
%{_qt6_libdir}/libQt6Quick3DSpatialAudio.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libquick3dspatialaudio_d}
Summary:        Devel files needed to build apps based on QtQuick3DSpatialAudio
Group:          Development/KDE and Qt
Requires:       %{libqt6quick3dspatialaudio} = %version
Provides:       libqtquick3dspatialaudio6-devel = %version
Provides:       libqt6quick3dspatialaudio-devel = %version
Provides:       qt6quick3dspatialaudio-devel = %version
Provides:       qtquick3dspatialaudio6-devel = %version

%description -n %{libquick3dspatialaudio_d}
Devel files needed to build apps based on QtQuick3DSpatialAudio.

%files -n %{libquick3dspatialaudio_d}
%{_qt6_includedir}/QtQuick3DSpatialAudio/
%{_qt6_libdir}/libQt6Quick3DSpatialAudio.so
%{_qt6_libdir}/cmake/Qt6Quick3DSpatialAudioPrivate/
%{_qt6_libdir}/libQt6Quick3DSpatialAudio.prl
%{_qt6_libdir}/qt6/metatypes/qt6quick3dspatialaudioprivate_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quick3dspatialaudio_private.pri
%{_qt6_libdir}/qt6/modules/Quick3DSpatialAudioPrivate.json

#------------------------------------------------------------------------------
# SUPPORT STATIC LIBRARIES
#------------------------------------------------------------------------------

%package -n     %{libgstreamermediaplugin_d}
Summary:        Devel files needed to build apps based on QtGstreamerMediaPluginImpl
Group:          Development/KDE and Qt
Provides:       libqtgstreamermediaplugin6-devel = %version
Provides:       libqt6gstreamermediaplugin-devel = %version
Provides:       qt6gstreamermediaplugin-devel = %version
Provides:       qtgstreamermediaplugin6-devel = %version

Obsoletes:      %{_lib}qt6qgstreamermediaplugin-devel < 6.7.2-2
Obsoletes:      %{_lib}qt6qgstreamermediapluginimpl-devel < 6.8.1-2

%description -n %{libgstreamermediaplugin_d}
Devel files needed to build apps based on QtGstreamerMediaPluginImpl.

%files -n %{libgstreamermediaplugin_d}
%{_qt6_includedir}/QtGstreamerMediaPluginImpl/
%{_qt6_libdir}/cmake/Qt6GstreamerMediaPluginImplPrivate/
%{_qt6_libdir}/libQt6GstreamerMediaPluginImpl.a
%{_qt6_libdir}/libQt6GstreamerMediaPluginImpl.prl
%{_qt6_libdir}/qt6/metatypes/qt6gstreamermediapluginimplprivate_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_gstreamermediapluginimpl_private.pri
%{_qt6_libdir}/qt6/modules/GstreamerMediaPluginImplPrivate.json

#------------------------------------------------------------------------------

%package -n     %{libffmpegmediaplugin_d}
Summary:        Devel files needed to build apps based on QtFFmpegMediaPluginImpl
Group:          Development/KDE and Qt
Provides:       libqtffmpegmediaplugin6-devel = %version
Provides:       libqt6ffmpegmediaplugin-devel = %version
Provides:       qt6ffmpegmediaplugin-devel = %version
Provides:       qtffmpegmediaplugin6-devel = %version

%description -n %{libffmpegmediaplugin_d}
Devel files needed to build apps based on QtFFmpegMediaPluginImpl.

%files -n %{libffmpegmediaplugin_d}
%{_qt6_includedir}/QtFFmpegMediaPluginImpl/
%{_qt6_libdir}/cmake/Qt6FFmpegMediaPluginImplPrivate/
%{_qt6_libdir}/libQt6FFmpegMediaPluginImpl.a
%{_qt6_libdir}/libQt6FFmpegMediaPluginImpl.prl
%{_qt6_libdir}/qt6/metatypes/qt6ffmpegmediapluginimplprivate_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_ffmpegmediapluginimpl_private.pri
%{_qt6_libdir}/qt6/modules/FFmpegMediaPluginImplPrivate.json

#------------------------------------------------------------------------------

%package -n     %{libmultimediatestlib_d}
Summary:        Devel files needed to build apps based on QtMultimediaTestLib
Group:          Development/KDE and Qt
Provides:       libqtmultimediatestlib6-devel = %version
Provides:       libqt6multimediatestlib-devel = %version
Provides:       qt6multimediatestlib-devel = %version
Provides:       qtmultimediatestlib6-devel = %version

%description -n %{libmultimediatestlib_d}
Devel files needed to build apps based on QtMultimediaTestLib.

%files -n %{libmultimediatestlib_d}
%{_qt6_includedir}/QtMultimediaTestLib/
%{_qt6_libdir}/cmake/Qt6MultimediaTestLibPrivate/
%{_qt6_libdir}/libQt6MultimediaTestLib.a
%{_qt6_libdir}/libQt6MultimediaTestLib.prl
%{_qt6_archdatadir}/metatypes/qt6multimediatestlibprivate_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_multimediatestlibprivate_private.pri
%{_qt6_libdir}/qt6/modules/MultimediaTestLibPrivate.json

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtmultimedia-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif

## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt6_libdir}
for prl_file in libQt6*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd
