# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtnetworkauth-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtnetworkauth   %mklibname qt%{qtmajor}networkauth %{qtmajor}
%define libqtnetworkauth_d %mklibname qt%{qtmajor}networkauth -d

Name:           qtnetworkauth5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Network Authenticators
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase5-devel >= %{version}

#Branch Patchs
# CVE-2024-36048 qtnetworkauth: badly seeded PRNG may result in guessable values
Patch1:         qtnetworkauth-fix-data-race-and-poor-seeding-in-generaterandomstring.patch

#Trunk Patchs

#Patch from Mageia

%description
Qt%{qtmajor} Network Authenticators; QtOAuth in particular.

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtNetworkAuth%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtNetworkAuth%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtnetworkauth.qch
%{_qt5_docdir}/qtnetworkauth/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtnetworkauth}
Summary:        Qt%{qtmajor} NetworkAuth Component Library
Group:          System/Libraries

%description -n %{libqtnetworkauth}
Qt%{qtmajor} NetworkAuth Component Library.

Qt Network Authenticators; QtOAuth in particular.

%files -n %{libqtnetworkauth}
%{_qt5_libdir}/libQt5NetworkAuth.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtnetworkauth_d}
Summary:        Devel files needed to build apps based on QtNetworkAuth
Group:          Development/KDE and Qt
Requires:       %{libqtnetworkauth} = %{version}
Provides:       libqt5networkauth-devel = %{version}
Provides:       libqtnetworkauth5-devel = %{version}

%description -n %{libqtnetworkauth_d}
Devel files needed to build apps based on Qt NetworkAuth.

%files -n %{libqtnetworkauth_d}
%{_qt5_includedir}/QtNetworkAuth/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_networkauth.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_networkauth_private.pri
%{_qt5_libdir}/cmake/Qt5NetworkAuth/
%{_qt5_libdir}/libQt5NetworkAuth.prl
%{_qt5_libdir}/libQt5NetworkAuth.so
%{_qt5_libdir}/pkgconfig/Qt5NetworkAuth.pc
%{_qt5_examplesdir}/oauth/

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtnetworkauth-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif
