# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion  %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtnetworkauth-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtnetworkauth   %mklibname qt%{qtmajor}networkauth %{qtmajor}
%define libqtnetworkauth_d %mklibname qt%{qtmajor}networkauth -d

Name:           qtnetworkauth6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Network Authenticators
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Branch Patchs

## Trunk Patchs

## Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-qtpaths

BuildRequires:  qtbase6-devel >= %{version}

Provides:       qt%{qtmajor}-qtnetworkauth = %{version}-%{release}

%description
Qt%{qtmajor} Network Authenticators; QtOAuth in particular.

%files
%{_qt6_archdatadir}/sbom/qtnetworkauth-%{qtversion}.spdx

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtNetworkAuth%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtNetworkAuth%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/qtnetworkauth.qch
%{_qt6_docdir}/qtnetworkauth/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtnetworkauth}
Summary:        Qt%{qtmajor} NetworkAuth Library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libqtnetworkauth}
Qt%{qtmajor} NetworkAuth Component Library.

Qt Network Authenticators; QtOAuth in particular.

%files -n %{libqtnetworkauth}
%{_qt6_libdir}/libQt6NetworkAuth.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtnetworkauth_d}
Summary:        Devel files needed to build apps based on QtNetworkAuth
Group:          Development/KDE and Qt
Requires:       %{libqtnetworkauth} = %{version}
Provides:       libqt6networkauth-devel = %{version}
Provides:       libqtnetworkauth6-devel = %{version}
Provides:       qt6networkauth-devel = %{version}
Provides:       qtnetworkauth6-devel = %{version}
Provides:       qt%{qtmajor}-qtnetworkauth-devel = %{version}-%{release}

%description -n %{libqtnetworkauth_d}
Devel files needed to build apps based on Qt NetworkAuth.

%files -n %{libqtnetworkauth_d}
%{_qt6_includedir}/QtNetworkAuth/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_networkauth.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_networkauth_private.pri
%{_qt6_libdir}/cmake/Qt6NetworkAuth/
%{_qt6_libdir}/libQt6NetworkAuth.prl
%{_qt6_libdir}/libQt6NetworkAuth.so
%{_qt6_libdir}/qt6/modules/NetworkAuth.json
%{_qt6_libdir}/qt6/metatypes/qt6networkauth_relwithdebinfo_metatypes.json
%if %{with examples}
%{_qt6_examplesdir}/oauth/
%endif
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtNetworkAuthTestsConfig.cmake
%{_qt6_libdir}/pkgconfig/Qt6NetworkAuth.pc

#------------------------------------------------------------------------------

%prep
%setup -q -n qtnetworkauth-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif
