Name:           qtoctave
Version:        0.10.1
Release:        %mkrel 10
Summary:        Frontend for Octave
Group:          Sciences/Mathematics
License:        GPLv2+
URL:            https://qtoctave.wordpress.com/
Source0:        https://forja.rediris.es/frs/download.php/744/qtoctave-%{version}.tar.gz
# Debian patches
Patch0:		qtoctave-add_missing_includes.patch
# remove octave-doc: octave comes already with it and qtoctave comes with fixed
# version of octave-doc (so not always the good one)
Patch6:         qtoctave-remove-octave-doc.patch
Patch8:         qtoctave-fix-utils-doc-path.patch
Patch9:         qtoctave-0.10.1-gcc7.patch
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	octave

%description
QtOctave is a frontend for Octave based on Qt4.

%prep
%setup -q -n %{name}-%{version}/
%patch -P 0 -p0
%patch -P 6 -p0
%patch -P 8 -p0
%patch -P 9 -p1
# configure.h was previously removed in a ptch, the other parts o the patch are
# obsolet
%__rm %{_builddir}/%{name}-%{version}/qtoctave/src/configure.h

%{__perl} -pi -e 's/\r$//g' readme.txt

# Desktop file
%{__cat} > %{name}.desktop << EOF
[Desktop Entry]
Name=QtOctave
Comment=Frontend for Octave
Exec=qtoctave
Terminal=false
Icon=qtoctave
Type=Application
Categories=Education;Math;Science;
EOF

%build
%cmake
%__make -C %{_vpath_builddir}

%install
%cmake_install

%if 0
%{__chmod} 0755 %{buildroot}%{_datadir}/%{name}/menus/Analysis/Integrate.m \
                %{buildroot}%{_datadir}/%{name}/menus/Analysis/Integrate
%endif

%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{_bindir}/desktop-file-install --dir %{buildroot}%{_datadir}/applications %{name}.desktop

%files
%doc LICENSE_GPL.txt leeme.txt readme.txt
%{_docdir}/%{name}/qtoctave-utils/
%{_docdir}/%{name}/qtoctave_doc/
%attr(0755,root,root) %{_bindir}/qtoctave
%attr(0755,root,root) %{_bindir}/easy_plot
%attr(0755,root,root) %{_bindir}/qtjs
%attr(0755,root,root) %{_bindir}/qtoctave_pkg
%attr(0755,root,root) %{_bindir}/simplercs
%attr(0755,root,root) %{_bindir}/xmlwidget
%attr(0755,root,root) %{_bindir}/qtoctave-info-reader
%{_iconsdir}/hicolor/64x64/apps/qtoctave.png
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/%{name}/
