%define         srcname         qTox

Name:           qtox
Version:        1.18.3
Release:        %mkrel 2
Summary:        A powerful Tox client that follows the Tox design guidelines
License:        GPLv3
Group:          Networking/Instant messaging

URL:            https://qtox.github.io
Source0:        https://github.com/TokTok/qTox/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(libtoxcore)
BuildRequires:  pkgconfig(openal)
BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libqrencode)
BuildRequires:  pkgconfig(libunwind)
BuildRequires:  pkgconfig(sqlcipher)
BuildRequires:  pkgconfig(vpx)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)


%description
QTox is a Qt client for the Tox communication protocol. It follows the
Tox design guidelines while running on all major platforms and
supports many features such as: one to one chat with friends, group
chats, file transfers, audio calls and video calls.


%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%cmake -DUPDATE_CHECK:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/qtox
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/io.github.qtox.qTox.desktop
%{_metainfodir}/io.github.qtox.qTox.appdata.xml
