Name:           qtpass
Version:        1.4.0
Release:        %mkrel 2
Summary:        Cross-platform GUI for pass
License:        GPLv3
Group:          Security
URL:            https://qtpass.org/
Source0:        https://github.com/IJHack/qtpass/archive/v%{version}/qtpass-%{version}.tar.gz
Patch1:         0001-Fix-build-with-Qt6.patch
Patch2:         0001-Fix-multiple-profiles-issue-for-Qt6.patch
Patch3:         0001-add-missing-QDirIterator-include.patch

BuildRequires:  desktop-file-utils
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  qttools6
# for ownership of hicolor directories
Requires:       hicolor-icon-theme
Requires:       pass
Recommends:     git
Recommends:     gpg2
Recommends:     pwgen

%description
QtPass is a cross-platform GUI for pass, the standard Unix password manager.

%prep
%autosetup -p1 -n QtPass-%{version}

%build
%qmake_qt6 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-install %{name}.desktop
install -Dpm 644 artwork/icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/qtpass-icon.svg
install -Dpm 644 %{name}.appdata.xml %{buildroot}%{_metainfodir}/%{name}.appdata.xml
install -Dpm 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

rm -f %{buildroot}/%{_libdir}/qt5/tests/qtpass/util/tst_util

%files
%doc README.md
%license LICENSE
%{_bindir}/qtpass
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}-icon.svg
%{_mandir}/man1/%{name}.1*
