# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion  %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir       qtpositioning-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtpositioning   %mklibname qt%{qtmajor}positioning %{qtmajor}
%define libqtpositioning_d %mklibname qt%{qtmajor}positioning -d

Name:           qtpositioning6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Positioning component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

BuildRequires:  qtbase6-devel >= %{version}
BuildRequires:  cmake(Qt6Quick) >= %{version}
BuildRequires:  cmake(Qt6Qml) >= %{version}
BuildRequires:  cmake(Qt6SerialPort) >= %{version}
BuildRequires:  pkgconfig(geoclue-2.0)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libssl)
BuildRequires:  ninja
BuildRequires:  qttools6

Provides:       qt%{qtmajor}-qtpositioning = %{version}-%{release}

%description
Qt%{qtmajor} Positioning API provides positioning information via QML and C++ interfaces.

%files
%{_qt6_plugindir}/position/
%{_qt6_archdatadir}/qml/QtPositioning
%{_qt6_archdatadir}/sbom/qtpositioning-%{qtversion}.spdx

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtPositioning%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtPositioning%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/qtpositioning.qch
%{_qt6_docdir}/qtpositioning/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtpositioning}
Summary:        Qt%{qtmajor} Positioning Library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %{libqtpositioning}
Qt%{qtmajor} Positioning Component Library.

The Positioning module provides positioning information via QML
and C++ interfaces.

%files -n %{libqtpositioning}
%{_qt6_libdir}/libQt6Positioning.so.%{qtmajor}{,.*}
%{_qt6_libdir}/libQt6PositioningQuick.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtpositioning_d}
Summary:        Devel files needed to build apps based on QtPositioning
Group:          Development/KDE and Qt
Requires:       qtpositioning6 = %version
Requires:       %{libqtpositioning} = %version
Provides:       libqtpositioning6-devel = %version
Provides:       libqt6positioning-devel = %version
Provides:       qtpositioning6-devel = %version
Provides:       qt6positioning-devel = %version

Provides:       libqtpositioning6-private-devel = %version
Provides:       libqt6positioning-private-devel = %version
Provides:       qtpositioning6-private-devel = %version
Provides:       qt6positioning-private-devel = %version

%description -n %{libqtpositioning_d}
Devel files needed to build apps based on Qt Positioning.

%files -n %{libqtpositioning_d}
%{_qt6_headerdir}/QtPositioning/
%{_qt6_libdir}/libQt6Positioning.so
%{_qt6_libdir}/libQt6Positioning.prl
%{_qt6_libdir}/cmake/Qt6Positioning/
#
%{_qt6_headerdir}/QtPositioningQuick/
%{_qt6_libdir}/libQt6PositioningQuick.so
%{_qt6_libdir}/libQt6PositioningQuick.prl
%{_qt6_libdir}/cmake/Qt6PositioningQuick/
#
%{_qt6_libdir}/pkgconfig/*.pc
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_positioning*.pri
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/qt6/modules/Positioning*.json
%if %{with examples}
%{_qt6_examplesdir}/positioning
%endif
#
%{_qt6_libdir}/cmake/Qt6/*.cmake
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtPositioningTestsConfig.cmake
%dir %{_qt6_libdir}/cmake/Qt6Bundled_Clip2Tri
%{_qt6_libdir}/cmake/Qt6Bundled_Clip2Tri/Qt6Bundled_Clip2TriDependencies.cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/*.cmake

#------------------------------------------------------------------------------

%prep
%setup -q -n qtpositioning-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif
