# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs     0
%else
%define build_docs     1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define qttarballdir qtpurchasing-everywhere-opensource-src-%{qtversion}

# Library names

%define libqtpurchasing   %mklibname qt%{qtmajor}purchasing %{qtmajor}
%define libqtpurchasing_d %mklibname qt%{qtmajor}purchasing -d

Name:           qtpurchasing5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Purchasing component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Concurrent) >= %{version}
BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}

Provides:       qt%{qtmajor}-qtpurchasing = %{version}-%{release}

%description
Qt%{qtmajor} Purchasing component.

%files
%{_qt5_qml}/QtPurchasing/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtPurchasing%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtPurchasing%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtpurchasing.qch
%{_qt5_docdir}/qtpurchasing/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtpurchasing}
Summary:        Qt%{qtmajor} Purchasing Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtpurchasing}
Qt%{qtmajor} Purchasing Component Library.

%files -n %{libqtpurchasing}
%{_qt5_libdir}/libQt5Purchasing.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtpurchasing_d}
Summary:        Devel files needed to build apps based on QtPurchasing
Group:          Development/KDE and Qt
Requires:       %{libqtpurchasing} = %{version}
Provides:       libqtpurchasing5-devel = %{version}
Provides:       libqt5purchasing-devel = %{version}
Provides:       qtpurchasing5-devel = %{version}
Provides:       qt5purchasing-devel = %{version}

%description -n %{libqtpurchasing_d}
Devel files needed to build apps based on Qt Purchasing.

%files -n %{libqtpurchasing_d}
%{_qt5_includedir}/QtPurchasing/
%{_qt5_libdir}/libQt5Purchasing.so
%{_qt5_libdir}/pkgconfig/Qt5Purchasing.pc
%{_qt5_libdir}/cmake/Qt5Purchasing/
%{_qt5_libdir}/*.prl
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/purchasing/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtpurchasing-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif
