# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtquickcontrols2-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtquickcontrols2 %mklibname    qt%{qtmajor}quickcontrols2_ %{qtmajor}
%define libqtquickcontrols2_d %mklibname  qt%{qtmajor}quickcontrols2 -d

%define libqtquicktemplates2 %mklibname   qt%{qtmajor}quicktemplates2_ %{qtmajor}
%define libqtquicktemplates2_d %mklibname qt%{qtmajor}quicktemplates2 -d

Name:           qtquickcontrols25
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} - module with set of QtQuick controls
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

# Upstream patchs
# https://community.kde.org/Qt5PatchCollection
## repo: https://invent.kde.org/qt/qt/qtquickcontrols2
## branch: kde/5.15
## git format-patch v5.15.16-lts-lgpl
Patch0001:      0001-Unset-mouseGrabberPopup-if-it-s-removed-from-childre.patch
Patch0002:      0002-Ensure-we-don-t-crash-when-changing-sizes-after-clea.patch
Patch0003:      0003-implement-a11y-pressing-of-qquickabstractbutton.patch
Patch0004:      0004-Fix-the-popup-position-of-a-Menu.patch
Patch0005:      0005-Accessibility-respect-value-in-attached-Accessible-i.patch

BuildRequires:  qtbase5-devel >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}

Provides:       qtquickcontrols2 = %{version}-%{release}
Provides:       qt%{qtmajor}-qtquickcontrols2 = %{version}-%{release}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
The Qt Quick Controls module provides a set of controls that can be used to
build complete interfaces in Qt Quick.

%files
%_qt5_qml/Qt/labs/calendar
%_qt5_qml/QtQuick/Controls.2
%_qt5_qml/Qt/labs/platform
%_qt5_qml/QtQuick/Templates.2
%_qt5_examplesdir/quickcontrols2

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        Qt%{qtmajor}QuickControls2 APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtQuickControls2 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtlabscalendar.qch
%{_qt5_docdir}/qtlabscalendar/
%{_qt5_docdir}/qtlabsplatform.qch
%{_qt5_docdir}/qtlabsplatform/
%{_qt5_docdir}/qtquickcontrols.qch
%{_qt5_docdir}/qtquickcontrols/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2}
Summary:        Qt%{qtmajor} QuickControls2 Library
Group:          System/Libraries

Provides:       %{_lib}qt5labstemplates5 = %{version}-%{release}

%description -n %{libqtquickcontrols2}
Qt%{qtmajor} QuickControls2 Component Library.

%files -n %{libqtquickcontrols2}
%{_qt5_libdir}/libQt5QuickControls2.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquicktemplates2}
Summary:        Qt%{qtmajor} QuickTemplates2 Library
Group:          System/Libraries

Provides:       %{_lib}qt5quicktemplates5 = %{version}-%{release}

%description -n %{libqtquicktemplates2}
Qt%{qtmajor} QuickTemplates2 Component Library.

%files -n %{libqtquicktemplates2}
%{_qt5_libdir}/libQt5QuickTemplates2.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2_d}
Summary:        Devel files needed to build apps based on QtQuickControls2
Group:          Development/KDE and Qt
Requires:       %{libqtquickcontrols2} = %{version}
Provides:       libqtquickcontrols25-devel = %{version}
Provides:       libqt5quickcontrols2-devel = %{version}
Provides:       qtquickcontrols25-devel = %{version}
Provides:       qt5quickcontrols2-devel = %{version}
Provides:       qt5-qtquickcontrols2-devel = %{version}

Provides:       %{_lib}qt5labstemplates-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2_d}
Devel files needed to build apps based on QtQuickControls2.

%files -n %{libqtquickcontrols2_d}
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2_private.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2.pri
%{_qt5_libdir}/libQt5QuickControls2.so
%{_qt5_libdir}/libQt5QuickControls2.prl
%{_qt5_libdir}/cmake/Qt5QuickControls2/
%{_qt5_libdir}/pkgconfig/Qt5QuickControls2.pc
%{_qt5_includedir}/QtQuickControls2/

#------------------------------------------------------------------------------

%package -n %{libqtquicktemplates2_d}
Summary:        Devel files needed to build apps based on QuickTemplates2
Group:          Development/KDE and Qt
Requires:       %{libqtquicktemplates2} = %{version}
Provides:       libqtquicktemplates5-devel = %{version}
Provides:       qtquicktemplates5-devel = %{version}

Provides:       %{_lib}qt5quicktemplates-devel = %{version}-%{release}

%description -n %{libqtquicktemplates2_d}
Devel files needed to build apps based on QuickTemplates2.

%files -n %{libqtquicktemplates2_d}
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_quicktemplates2.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_quicktemplates2_private.pri
%{_qt5_libdir}/libQt5QuickTemplates2.so
%{_qt5_includedir}/QtQuickTemplates2/
%{_qt5_libdir}/libQt5QuickTemplates2.prl
%{_qt5_libdir}/cmake/Qt5QuickTemplates2/
%{_qt5_libdir}/pkgconfig/Qt5QuickTemplates2.pc

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtquickcontrols2-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

find %{buildroot} -name '*.la' -delete
