# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtquickcontrols-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

Name:           qtquickcontrols5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Quick Controls
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase5-devel = %{version}
BuildRequires:  pkgconfig(Qt5Quick) = %{version}

Provides:       qt%{qtmajor}-qtquickcontrols = %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt%{qtmajor} Quick Controls.

%files
%{_qt5_qml}/QtQuick/Controls
%{_qt5_qml}/QtQuick/Dialogs
%{_qt5_qml}/QtQuick/PrivateWidgets
%{_qt5_qml}/QtQuick/Extras

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtQuickControls%{qtmajor} APIs and tools docs
Group:          Documentation
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant
Provides:       qt%{qtmajor}-qtquickcontrols-doc = %{version}

%description doc
Documentation for APIs and tools in QtQuickControls%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtquickcontrols1.qch
%{_qt5_docdir}/qtquickcontrols1/
%{_qt5_docdir}/qtquickdialogs.qch
%{_qt5_docdir}/qtquickdialogs/
%{_qt5_docdir}/qtquickextras.qch
%{_qt5_docdir}/qtquickextras/
%_qt5_examplesdir/quickcontrols/

%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtquickcontrols-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%else
rm -rf %{buildroot}%{_qt5_examplesdir}
%endif
