# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define qttarballdir qtquicktimeline-everywhere-opensource-src-%{qtversion}

Name:           qtquicktimeline5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Quick Timeline Addon
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase5-devel
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)

Provides:       qt%{qtmajor}-qtquicktimeline = %{version}-%{release}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt%{qtmajor} Quick Timeline module provides QML types to use timelines
and keyframes to animate Qt Quick user interfaces.

%files
%license LICENSE.*
%{_qt5_qmldir}/QtQuick/Timeline

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtQuickTimeline%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtQuickTimeline%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtquicktimeline.qch
%{_qt5_docdir}/qtquicktimeline/
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtquicktimeline-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif
