# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion  %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtquicktimeline-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtquicktimeline     %mklibname qt%{qtmajor}quicktimeline %{qtmajor}
%define libqtquicktimeline_d   %mklibname qt%{qtmajor}quicktimeline -d

%define libqtquicktimelinebt   %mklibname qt%{qtmajor}quicktimelineblendtrees %{qtmajor}
%define libqtquicktimelinebt_d %mklibname qt%{qtmajor}quicktimelineblendtrees -d

Name:           qtquicktimeline6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Quick Timeline Addon
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

## Branch Patchs

## Trunk Patchs

## Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-qtpaths

BuildRequires:  qtbase6-devel >= %{version}
BuildRequires:  cmake(Qt6Qml) >= %{version}
BuildRequires:  cmake(Qt6Quick) >= %{version}

Provides:       qt%{qtmajor}-qtquicktimeline = %{version}-%{release}

%description
Qt%{qtmajor} Quick Timeline module provides QML types to use timelines
and keyframes to animate Qt Quick user interfaces.

%files
%{_qt6_qmldir}/QtQuick/Timeline
%{_qt6_archdatadir}/sbom/qtquicktimeline-%{qtversion}.spdx

#------------------------------------------------------------------------------

%package -n     %{libqtquicktimeline}
Summary:        Qt%{qtmajor} Quick Timeline Library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %{libqtquicktimeline}
Qt%{qtmajor} Quick Timeline Component Library.

%files -n %{libqtquicktimeline}
%{_qt6_libdir}/libQt6QuickTimeline.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtquicktimeline_d}
Summary:        Devel files needed to build apps based on QtQuickTimeline
Group:          Development/KDE and Qt
Requires:       %{libqtquicktimeline} = %{version}
Provides:       libqtquicktimeline6-devel = %{version}
Provides:       libqt6quicktimeline-devel = %{version}
Provides:       qtquicktimeline6-devel = %{version}
Provides:       qt6quicktimeline-devel = %{version}
Provides:       qt%{qtmajor}-qtquicktimeline-devel = %{version}-%{release}

%description -n %{libqtquicktimeline_d}
Devel files needed to build apps based on Qt Quick Timeline.

%files -n %{libqtquicktimeline_d}
%{_qt6_includedir}/QtQuickTimeline/
%{_qt6_libdir}/libQt6QuickTimeline.so
%{_qt6_libdir}/libQt6QuickTimeline.prl
%{_qt6_libdir}/cmake/Qt6QuickTimeline/
%{_qt6_libdir}/pkgconfig/Qt6QuickTimeline.pc
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicktimeline.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicktimeline_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6quicktimeline_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/modules/QuickTimeline.json
#
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/*
%{_qt6_libdir}/cmake/Qt6BuildInternals/*

#------------------------------------------------------------------------------

%package -n     %{libqtquicktimelinebt}
Summary:        Qt%{qtmajor} Quick Timeline Blend Trees Library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %{libqtquicktimelinebt}
Qt%{qtmajor} Quick Timeline Blend Trees Component Library.

%files -n %{libqtquicktimelinebt}
%{_qt6_libdir}/libQt6QuickTimelineBlendTrees.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtquicktimelinebt_d}
Summary:        Devel files needed to build apps based on QtQuickTimelineBlendTrees
Group:          Development/KDE and Qt
Requires:       %{libqtquicktimelinebt} = %{version}
Provides:       libqtquicktimelineblendtrees6-devel = %{version}
Provides:       libqt6quicktimelineblendtrees-devel = %{version}
Provides:       qtquicktimelineblendtrees6-devel = %{version}
Provides:       qt6quicktimelineblendtrees-devel = %{version}
Provides:       qt%{qtmajor}-qtquicktimelineblendtrees-devel = %{version}-%{release}

%description -n %{libqtquicktimelinebt_d}
Devel files needed to build apps based on Qt Quick Timeline Blend Trees.

%files -n %{libqtquicktimelinebt_d}
%{_qt6_includedir}/QtQuickTimelineBlendTrees/
%{_qt6_libdir}/cmake/Qt6QuickTimelineBlendTrees/
%{_qt6_libdir}/libQt6QuickTimelineBlendTrees.prl
%{_qt6_libdir}/libQt6QuickTimelineBlendTrees.so
%{_qt6_libdir}/pkgconfig/Qt6QuickTimelineBlendTrees.pc
%{_qt6_libdir}/qt6/metatypes/qt6quicktimelineblendtrees_relwithdebinfo_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicktimelineblendtrees.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicktimelineblendtrees_private.pri
%{_qt6_libdir}/qt6/modules/QuickTimelineBlendTrees.json

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtQuickTimeline%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtQuickTimeline%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/qtquicktimeline.qch
%{_qt6_docdir}/qtquicktimeline/
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtquicktimeline-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif
