Name:		qtractor
Version:	1.5.4
Release:	%mkrel 1
Summary:	An Audio/MIDI multi-track sequencer
License:	GPLv2+
Group:		Sound/Midi
URL:		https://qtractor.sourceforge.io/
# https://www.rncbc.org/archive/
Source0:	https://sourceforge.net/projects/qtractor/files/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(rubberband)
BuildRequires:	pkgconfig(liblo)
BuildRequires:	pkgconfig(lilv-0) >= 0.24.24
BuildRequires:	pkgconfig(dssi)
BuildRequires:	pkgconfig(suil-0) >= 0.10.20
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(aubio)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	ladspa-devel
BuildRequires:	qttools6
BuildRequires:	cmake

Requires:	dssi
Requires:	ladspa

%description
Qtractor is an Audio/MIDI multi-track sequencer application
written in C++ around the Qt5 or Qt6 toolkit using Qt Designer.

The initial target platform will be Linux, where the Jack Audio
Connection Kit (JACK) for audio, and the Advanced Linux Sound
Architecture (ALSA) for MIDI, are the main infrastructures to
evolve as a fairly-featured Linux Desktop Audio Workstation GUI,
specially dedicated to the personal home-studio.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

desktop-file-install \
	--remove-key="X-SuSE-translate" \
	--remove-key="Version" \
	--set-key=Exec --set-value="%{name}" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%find_lang %{name} --with-man --with-qt

%files -f %{name}.lang
%doc README LICENSE TRANSLATORS ChangeLog
%dir %{_libdir}/%{name}
%{_bindir}/%{name}
%{_libdir}/%{name}/%{name}_plugin_scan
%{_datadir}/%{name}/
%{_datadir}/mime/packages/org.rncbc.%{name}.xml
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/org.rncbc.%{name}.png
%{_iconsdir}/hicolor/scalable/apps/org.rncbc.%{name}.svg
%{_iconsdir}/hicolor/32x32/mimetypes/org.rncbc.%{name}.application-x-%{name}*.png
%{_iconsdir}/hicolor/scalable/mimetypes/org.rncbc.%{name}.application-x-%{name}*.svg
%{_metainfodir}/org.rncbc.%{name}.metainfo.xml
%{_datadir}/man/man1/%{name}.1*
