# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs     0
%else
%define build_docs     1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define qttarballdir         qtremoteobjects-everywhere-opensource-src-%{qtversion}

# Library names

%define libqtremoteobjects   %mklibname qt%{qtmajor}remoteobjects %{qtmajor}
%define libqtremoteobjects_d %mklibname qt%{qtmajor}remoteobjects -d

Name:           qtremoteobjects5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} RemoteObjects component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Network) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}

Provides:       qt%{qtmajor}-qtremoteobjects = %{version}-%{release}

%description
Qt%{qtmajor} Remote Objects module provides an easy to use mechanism for
sharing a QObject's API (Properties/Signals/Slots) between processes.

%files
%{_qt5_bindir}/repc
%{_qt5_qml}/QtQml/RemoteObjects/
%{_qt5_qml}/QtRemoteObjects/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtRemoteObjects%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtRemoteObjects%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtremoteobjects.qch
%{_qt5_docdir}/qtremoteobjects/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtremoteobjects}
Summary:        Qt%{qtmajor} RemoteObjects Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtremoteobjects}
Qt%{qtmajor} RemoteObjects Component Library.

%files -n %{libqtremoteobjects}
%{_qt5_libdir}/libQt5RemoteObjects.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtremoteobjects_d}
Summary:        Devel files needed to build apps based on QtRemoteObjects
Group:          Development/KDE and Qt
Requires:       %{libqtremoteobjects} = %{version}
Provides:       libqtremoteobjects5-devel = %{version}
Provides:       libqt5remoteobjects-devel = %{version}
Provides:       qtremoteobjects5-devel = %{version}
Provides:       qt5remoteobjects-devel = %{version}

%description -n %{libqtremoteobjects_d}
Devel files needed to build apps based on Qt RemoteObjects.

%files -n %{libqtremoteobjects_d}
%{_qt5_includedir}/QtRemoteObjects/
%{_qt5_includedir}/QtRepParser/
%{_qt5_libdir}/libQt5RemoteObjects.so
%{_qt5_libdir}/pkgconfig/Qt5RemoteObjects.pc
%{_qt5_libdir}/pkgconfig/Qt5RepParser.pc
%{_qt5_libdir}/cmake/Qt5RemoteObjects/
%{_qt5_libdir}/cmake/Qt5RepParser/
%{_qt5_libdir}/*.prl
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_archdatadir}/mkspecs/features/*.pri
%{_qt5_archdatadir}/mkspecs/features/*.prf
%{_qt5_examplesdir}/remoteobjects/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtremoteobjects-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif
