# Build configuration

%define bootstrap 0

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%if %bootstrap
%define build_docs 0
%else
%define build_docs 1
%endif
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtscript-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtscripttools   %mklibname qt%{qtmajor}scripttools %{qtmajor}
%define libqtscripttools_d %mklibname qt%{qtmajor}scripttools -d

%define libqtscript        %mklibname qt%{qtmajor}script %{qtmajor}
%define libqtscript_d      %mklibname qt%{qtmajor}script -d

Name:           qtscript5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Script component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase5-devel

## upstream patches

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
The Qt%{qtmajor}Script module provides classes for making Qt applications
scriptable.

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtScript%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtScript5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtscript.qch
%{_qt5_docdir}/qtscript/
%{_qt5_docdir}/qtscripttools.qch
%{_qt5_docdir}/qtscripttools/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtscripttools}
Summary:        Qt%{qtmajor} Component Library
Group:          System/Libraries
Provides:       qtscripttoolslib = %{version}

%description -n %{libqtscripttools}
Qt%{qtmajor} Component Library.

The QtScriptTools module provides additional components for applications
that use Qt Script.

%files -n %{libqtscripttools}
%{_qt5_libdir}/libQt5ScriptTools.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtscripttools_d}
Summary:        Devel files needed to build apps based on QtScriptTools
Group:          Development/KDE and Qt
Requires:       %{libqtscripttools} = %{version}
Requires:       qtbase5-common-devel = %{version}
Provides:       libqtscripttools5-devel = %{version}
Provides:       libqt5scripttools-devel = %{version}
Provides:       qtscripttools5-devel = %{version}
Provides:       qt5scripttools-devel = %{version}

Provides:       libqtscripttools5-private-devel = %{version}
Provides:       libqt5scripttools-private-devel = %{version}
Provides:       qtscripttools5-private-devel = %{version}
Provides:       qt5scripttools-private-devel = %{version}

%description -n %{libqtscripttools_d}
Devel files needed to build apps based on QtScriptTools.

%files -n %{libqtscripttools_d}
%{_qt5_libdir}/libQt5ScriptTools.prl
%{_qt5_libdir}/libQt5ScriptTools.so
%{_qt5_libdir}/pkgconfig/Qt5ScriptTools.pc
%{_qt5_includedir}/QtScriptTools
%{_qt5_libdir}/cmake/Qt5ScriptTools
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_scripttools.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_scripttools_private.pri

#------------------------------------------------------------------------------

%package -n %{libqtscript}
Summary:        Qt%{qtmajor} Component Library
Group:          System/Libraries
Provides:       libqtscript = %{version}

%description -n %{libqtscript}
Qt%{qtmajor} Component Library.

The QtScript module provides classes for making Qt applications
scriptable.

%files -n %{libqtscript}
%{_qt5_libdir}/libQt5Script.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtscript_d}
Summary:        Devel files needed to build apps based on QtScript
Group:          Development/KDE and Qt
Requires:       %{libqtscript} = %{version}
Requires:       qtbase5-common-devel = %{version}
Provides:       libqt5script-devel = %{version}
Provides:       libqtscript5-devel = %{version}
Provides:       qtscript5-devel = %{version}
Provides:       qt5script-devel = %{version}

Provides:       libqtscript5-private-devel = %{version}
Provides:       libqt5script-private-devel = %{version}
Provides:       qtscript5-private-devel = %{version}
Provides:       qt5script-private-devel = %{version}

%description -n %{libqtscript_d}
Devel files needed to build apps based on QtScript.

%files -n %{libqtscript_d}
%{_qt5_libdir}/libQt5Script.prl
%{_qt5_libdir}/libQt5Script.so
%{_qt5_libdir}/pkgconfig/Qt5Script.pc
%dir %{_qt5_includedir}/QtScript
%{_qt5_includedir}/QtScript/QScriptClass
%{_qt5_includedir}/QtScript/QScriptClassPropertyIterator
%{_qt5_includedir}/QtScript/QScriptContext
%{_qt5_includedir}/QtScript/QScriptContextInfo
%{_qt5_includedir}/QtScript/QScriptContextInfoList
%{_qt5_includedir}/QtScript/QScriptEngine
%{_qt5_includedir}/QtScript/QScriptEngineAgent
%{_qt5_includedir}/QtScript/QScriptExtensionInterface
%{_qt5_includedir}/QtScript/QScriptExtensionPlugin
%{_qt5_includedir}/QtScript/QScriptProgram
%{_qt5_includedir}/QtScript/QScriptString
%{_qt5_includedir}/QtScript/QScriptSyntaxCheckResult
%{_qt5_includedir}/QtScript/QScriptValue
%{_qt5_includedir}/QtScript/QScriptValueIterator
%{_qt5_includedir}/QtScript/QScriptValueList
%{_qt5_includedir}/QtScript/QScriptable
%{_qt5_includedir}/QtScript/QtScript
%{_qt5_includedir}/QtScript/QtScriptVersion
%{_qt5_includedir}/QtScript/QtScriptDepends
%{_qt5_includedir}/QtScript/qscriptable.h
%{_qt5_includedir}/QtScript/qscriptclass.h
%{_qt5_includedir}/QtScript/qscriptclasspropertyiterator.h
%{_qt5_includedir}/QtScript/qscriptcontext.h
%{_qt5_includedir}/QtScript/qscriptcontextinfo.h
%{_qt5_includedir}/QtScript/qscriptengine.h
%{_qt5_includedir}/QtScript/qscriptengineagent.h
%{_qt5_includedir}/QtScript/qscriptextensioninterface.h
%{_qt5_includedir}/QtScript/qscriptextensionplugin.h
%{_qt5_includedir}/QtScript/qscriptprogram.h
%{_qt5_includedir}/QtScript/qscriptstring.h
%{_qt5_includedir}/QtScript/qscriptvalue.h
%{_qt5_includedir}/QtScript/qscriptvalueiterator.h
%{_qt5_includedir}/QtScript/qtscriptglobal.h
%{_qt5_includedir}/QtScript/qtscriptversion.h
%{_qt5_includedir}/QtScript/qtscript-config.h

%{_qt5_libdir}/cmake/Qt5Script
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_script.pri
%{_qt5_examplesdir}/script

%dir %{_qt5_includedir}/QtScript/%qtversion
%dir %{_qt5_includedir}/QtScript/%qtversion/QtScript
%dir %{_qt5_includedir}/QtScript/%qtversion/QtScript/private
%{_qt5_includedir}/QtScript/%qtversion/QtScript/private/*.h
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_script_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtscript-everywhere-src-%{qtversion}
%autopatch -p1

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# Fix all buildroot paths
find %{buildroot}%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
