# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtserialport-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtserialport %mklibname   qt%{qtmajor}serialport %{qtmajor}
%define libqtserialport_d %mklibname qt%{qtmajor}serialport -d

Name:           qtserialport5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Serialport component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase5-devel >= %{version}
BuildRequires:  pkgconfig(libudev)

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt%{qtmajor} Serialport component.

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtSerialport%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtSerialport%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtserialport.qch
%{_qt5_docdir}/qtserialport/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtserialport}
Summary:        Qt%{qtmajor} Component Library
Group:          System/Libraries

%description -n %{libqtserialport}
Qt%{qtmajor} Component Library.

Qt Serial Port provides the basic functionality, which includes configuring,
I/O operations, getting and setting the control signals of the RS-232 pinouts.

%files -n %{libqtserialport}
%{_qt5_libdir}/libQt5SerialPort.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtserialport_d}
Summary:        Devel files needed to build apps based on QtSerialport
Group:          Development/KDE and Qt
Requires:       %{libqtserialport} = %{version}
Provides:       libqtserialport5-devel = %{version}
Provides:       libqt5serialport-devel = %{version}
Provides:       qtserialport5-devel = %{version}
Provides:       qt5serialport-devel = %{version}

Provides:       libqtserialport5-private-devel = %{version}
Provides:       libqt5serialport-private-devel = %{version}
Provides:       qtserialport5-private-devel = %{version}
Provides:       qt5serialport-private-devel = %{version}

%description -n %{libqtserialport_d}
Devel files needed to build apps based on Qt Serialport.

%files -n %{libqtserialport_d}
%{_qt5_libdir}/libQt5SerialPort.prl
%{_qt5_libdir}/libQt5SerialPort.so
%{_qt5_libdir}/pkgconfig/Qt5SerialPort.pc
%{_qt5_libdir}/cmake/Qt5SerialPort/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_serialport.pri
%{_qt5_includedir}/QtSerialPort/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_serialport_private.pri
%{_qt5_examplesdir}/serialport

#------------------------------------------------------------------------------

%prep
%setup -q -n qtserialport-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
