# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion  %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtserialport-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtserialport   %mklibname qt%{qtmajor}serialport %{qtmajor}
%define libqtserialport_d %mklibname qt%{qtmajor}serialport -d

Name:           qtserialport6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Serialport component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

BuildRequires:  qtbase6-devel >= %{version}
BuildRequires:  pkgconfig(libudev)
BuildRequires:  ninja
BuildRequires:  qttools6

Provides:       qt%{qtmajor}-qtserialport = %{version}-%{release}

%description
Qt%{qtmajor} Serialport component.

%files
%{_qt6_archdatadir}/sbom/qtserialport-%{qtversion}.spdx

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtSerialport%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtSerialport%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/qtserialport.qch
%{_qt6_docdir}/qtserialport/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtserialport}
Summary:        Qt%{qtmajor} SerialPort Library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libqtserialport}
Qt%{qtmajor} SerialPort Component Library.

Qt Serial Port provides the basic functionality, which includes configuring,
I/O operations, getting and setting the control signals of the RS-232 pinouts.

%files -n %{libqtserialport}
%{_qt6_libdir}/libQt6SerialPort.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtserialport_d}
Summary:        Devel files needed to build apps based on QtSerialport
Group:          Development/KDE and Qt
Requires:       %{libqtserialport} = %version
Provides:       libqtserialport6-devel = %version
Provides:       libqt6serialport-devel = %version
Provides:       qtserialport6-devel = %version
Provides:       qt6serialport-devel = %version

Provides:       libqtserialport6-private-devel = %version
Provides:       libqt6serialport-private-devel = %version
Provides:       qtserialport6-private-devel = %version
Provides:       qt6serialport-private-devel = %version

%description -n %{libqtserialport_d}
Devel files needed to build apps based on Qt Serialport.

%files -n %{libqtserialport_d}
%{_qt6_includedir}/QtSerialPort/
%{_qt6_libdir}/libQt6SerialPort.so
%{_qt6_libdir}/libQt6SerialPort.prl
%{_qt6_libdir}/cmake/Qt6SerialPort/
%{_qt6_libdir}/pkgconfig/Qt6SerialPort.pc
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_serialport.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_serialport_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6serialport_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/modules/SerialPort.json
%if %{with examples}
%{_qt6_examplesdir}/serialport/
%endif
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtSerialPortTestsConfig.cmake

#------------------------------------------------------------------------------

%prep
%setup -q -n qtserialport-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif
