# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 0
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtshadertools-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtshadertools   %mklibname qt%{qtmajor}shadertools %{qtmajor}
%define libqtshadertools_d %mklibname qt%{qtmajor}shadertools -d

Name:           qtshadertools6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Shader Tools component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Branch Patchs

## Trunk Patchs

## Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  cmake(Qt6Core) >= %{version}
BuildRequires:  cmake(Qt6Gui) >= %{version}
BuildRequires:  qtbase6-qtpaths = %{version}

Provides:       qt%{qtmajor}-qtshadertools = %{version}-%{release}

%description
Qt%{qtmajor} shader tools component.

%files
%{_qt6_bindir}/qsb
%{_qt6_archdatadir}/sbom/qtshadertools-%{qtversion}.spdx

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtShaderTools%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtShaderTools%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/qtshadertools.qch
%{_qt6_docdir}/qtshadertools/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtshadertools}
Summary:        Qt%{qtmajor} Shader Tools Library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libqtshadertools}
Qt%{qtmajor} Shader Tools Component Library.

%files -n %{libqtshadertools}
%{_qt6_libdir}/libQt6ShaderTools.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtshadertools_d}
Summary:        Devel files needed to build apps based on QtShaderTools
Group:          Development/KDE and Qt
Requires:       %{libqtshadertools} = %{version}
Provides:       libqt6shadertools-devel = %{version}
Provides:       libqtshadertools6-devel = %{version}
Provides:       qt6shadertools-devel = %{version}
Provides:       qtshadertools6-devel = %{version}
Provides:       qt%{qtmajor}-qtshadertools-devel = %{version}-%{release}

%description -n %{libqtshadertools_d}
Devel files needed to build apps based on Qt ShaderTools.

%files -n %{libqtshadertools_d}
%{_qt6_includedir}/QtShaderTools/
%{_qt6_libdir}/libQt6ShaderTools.so
%{_qt6_libdir}/libQt6ShaderTools.prl
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_shadertools.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_shadertools_private.pri
%{_qt6_libdir}/cmake/Qt6ShaderTools/
%{_qt6_libdir}/cmake/Qt6ShaderToolsTools/
%{_qt6_libdir}/pkgconfig/Qt6ShaderTools.pc
%{_qt6_libdir}/qt6/modules/ShaderTools.json
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtShaderToolsTestsConfig.cmake
%{_qt6_libdir}/qt6/metatypes/qt6shadertools_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%prep
%setup -q -n qtshadertools-everywhere-src-%{qtversion}
%autopatch -p1

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif
