# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion  %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtspeech-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtspeech   %mklibname qt%{qtmajor}speech %{qtmajor}
%define libqtspeech_d %mklibname qt%{qtmajor}speech -d

Name:           qtspeech6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Speech component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

BuildRequires:  ninja
BuildRequires:  qttools6
BuildRequires:  qtbase6-devel >= %{version}

BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Multimedia)
# Optional
BuildRequires:  cmake(Qt6QuickTest)

BuildRequires:  pkgconfig(flite)
BuildRequires:  pkgconfig(speech-dispatcher)

Provides:       qt%{qtmajor}-qtspeech = %{version}-%{release}

%description
Qt%{qtmajor} Speech API provides speech information via QML and C++ interfaces.

%files
%{_qt6_archdatadir}/plugins/texttospeech/libqtexttospeech_flite.so
%{_qt6_archdatadir}/plugins/texttospeech/libqtexttospeech_mock.so
%{_qt6_archdatadir}/plugins/texttospeech/libqtexttospeech_speechd.so
%{_qt6_archdatadir}/qml/QtTextToSpeech/
%{_qt6_archdatadir}/sbom/qtspeech-%{qtversion}.spdx

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtSpeech%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtSpeech%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/qttexttospeech.qch
%{_qt6_docdir}/qttexttospeech/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtspeech}
Summary:        Qt%{qtmajor} Text To Speech Library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %{libqtspeech}
Qt%{qtmajor} Text To Speech Component Library.

The Speech module provides speech information via QML
and C++ interfaces.

%files -n %{libqtspeech}
%{_qt6_libdir}/libQt6TextToSpeech.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtspeech_d}
Summary:        Devel files needed to build apps based on QtSpeech
Group:          Development/KDE and Qt
Requires:       qtspeech6 = %version
Requires:       %{libqtspeech} = %version
Provides:       libqtspeech6-devel = %version
Provides:       libqt6speech-devel = %version
Provides:       qtspeech6-devel = %version
Provides:       qt6speech-devel = %version

Provides:       libqtspeech6-private-devel = %version
Provides:       libqt6speech-private-devel = %version
Provides:       qtspeech6-private-devel = %version
Provides:       qt6speech-private-devel = %version

%description -n %{libqtspeech_d}
Devel files needed to build apps based on Qt Speech.

%files -n %{libqtspeech_d}
%{_qt6_headerdir}/QtTextToSpeech/
%{_qt6_libdir}/libQt6TextToSpeech.so
%{_qt6_libdir}/libQt6TextToSpeech.prl
%{_qt6_libdir}/cmake/Qt6TextToSpeech/
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/qt6/modules/TextToSpeech*.json
%{_qt6_libdir}/pkgconfig/*.pc
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_texttospeech.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_texttospeech_private.pri
%if %{with examples}
%{_qt6_examplesdir}/speech
%endif
#
%{_qt6_libdir}/cmake/Qt6/FindSpeechDispatcher.cmake
%{_qt6_libdir}/cmake/Qt6/FindFlite.cmake
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtSpeechTestsConfig.cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/*.cmake

#------------------------------------------------------------------------------

%prep
%setup -q -n qtspeech-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif
