# Build configuration

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qttranslations-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

Name:           qttranslations5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Translations
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildArch:      noarch

BuildRequires:  qtbase5-common-devel
BuildRequires:  qttools5
BuildRequires:  qmake

# Make sure if noarch package is built on a 64bit system that qmake is
# correctly found in the right path
%define qmake_qt5 %{_bindir}/qmake-qt5

Provides:       qt%{qtmajor}-qttranslations = %{version}-%{release}

# Upstreap patches
# https://community.kde.org/Qt5PatchCollection

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Translation files for Qt Project apps.

%files
%{_qt5_translationdir}

#------------------------------------------------------------------------------

%prep
%setup -q -n qttranslations-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%install
%qmake_install
