# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtwayland-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtwaylandclient %mklibname     qt%{qtmajor}waylandclient %{qtmajor}
%define libqtwaylandcompositor %mklibname qt%{qtmajor}waylandcompositor %{qtmajor}
%define libqtwayland_d %mklibname         qt%{qtmajor}waylandclient -d

Name:           qtwayland5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Wayland platform support and QtCompositor module
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
# Upstream patches
# https://community.kde.org/Qt5PatchCollection
## repo: https://invent.kde.org/qt/qt/qtwayland
## branch: kde/5.15
## git format-patch v5.15.16-lts-lgpl
Patch0001:      0001-Client-Announce-an-output-after-receiving-more-compl.patch
Patch0002:      0002-Fix-issue-with-repeated-window-size-changes.patch
Patch0003:      0003-Client-Connect-drags-being-accepted-to-updating-the-.patch
Patch0004:      0004-Client-Disconnect-registry-listener-on-destruction.patch
Patch0005:      0005-Client-Set-XdgShell-size-hints-before-the-first-comm.patch
Patch0006:      0006-Fix-build.patch
Patch0007:      0007-Fix-remove-listener.patch
Patch0008:      0008-Hook-up-queryKeyboardModifers.patch
Patch0009:      0009-Correctly-detect-if-image-format-is-supported-by-QIm.patch
Patch0010:      0010-Client-Don-t-always-recreate-frame-callbacks.patch
Patch0011:      0011-Client-Always-destroy-frame-callback-in-the-actual-c.patch
Patch0012:      0012-Wayland-client-use-wl_keyboard-to-determine-active-s.patch
Patch0013:      0013-Client-do-not-empty-clipboard-when-a-new-popup-windo.patch
Patch0014:      0014-Client-Implement-DataDeviceV3.patch
Patch0015:      0015-Client-Delay-deletion-of-QDrag-object-until-after-we.patch
Patch0016:      0016-Client-Avoid-processing-of-events-when-showing-windo.patch
Patch0017:      0017-Handle-registry_global-out-of-constructor.patch
Patch0018:      0018-Connect-flushRequest-after-forceRoundTrip.patch
Patch0019:      0019-Move-the-wayland-socket-polling-to-a-separate-event-.patch
Patch0020:      0020-Client-Remove-mWaitingForUpdateDelivery.patch
Patch0021:      0021-client-Simplify-round-trip-behavior.patch
Patch0022:      0022-Client-Fix-opaque-region-setter.patch
Patch0023:      0023-Use-proper-dependencies-in-compile-tests.patch
Patch0024:      0024-Revert-Client-Remove-mWaitingForUpdateDelivery.patch
Patch0025:      0025-Fix-race-condition-on-mWaitingForUpdateDelivery.patch
Patch0026:      0026-use-poll-2-when-reading-from-clipboard.patch
Patch0027:      0027-Reduce-memory-leakage.patch
Patch0028:      0028-Only-close-popup-in-the-the-hierchary.patch
Patch0029:      0029-Check-pointer-for-null-before-use-in-ASSERT.patch
Patch0030:      0030-Use-wl_surface.damage_buffer-on-the-client-side.patch
Patch0031:      0031-Client-clear-focus-on-touch-cancel.patch
Patch0032:      0032-Guard-mResizeDirty-by-the-correctMutex.patch
Patch0033:      0033-Fix-compile-tests.patch
Patch0034:      0034-Call-finishDrag-in-QWaylandDataDevice-dragSourceCanc.patch
Patch0035:      0035-Hold-surface-read-lock-throughout-QWaylandEglWindow-.patch
Patch0036:      0036-Keep-toplevel-windows-in-the-top-left-corner-of-the-.patch
Patch0037:      0037-Client-Add-F_SEAL_SHRINK-seal-to-shm-backing-file.patch
Patch0038:      0038-Client-Call-wl_output_release-upon-QWaylandScreen-de.patch
Patch0039:      0039-Client-Bump-wl_output-version.patch
Patch0040:      0040-Fix-frame-sync-related-to-unprotected-multithread-ac.patch
Patch0041:      0041-Client-Handle-zwp_primary_selection_device_manager_v.patch
Patch0042:      0042-Fixes-the-build-on-CentOS.patch
Patch0043:      0043-client-Avoid-protocol-error-with-invalid-min-max-siz.patch
Patch0044:      0044-Client-Fix-handling-of-Qt-BlankCursor.patch
Patch0045:      0045-client-Force-a-roundtrip-when-an-XdgOutput-is-not-re.patch
Patch0046:      0046-Destroy-frame-queue-before-display.patch
Patch0047:      0047-client-Fix-crash-on-dnd-updates-after-client-facing-.patch
Patch0048:      0048-Convert-cursor-bitmap-to-supported-format.patch
Patch0049:      0049-Replace-scale-with-devicePixelRatio-for-non-integer-.patch
Patch0050:      0050-Client-Fix-buffer-damage.patch
Patch0051:      0051-Client-Commit-the-initial-surface-state-explicitly.patch
Patch0052:      0052-tests-Fix-tst_xdgshell-minMaxSize.patch
Patch0053:      0053-Client-Remove-some-surface-commits.patch
Patch0054:      0054-Client-Avoid-locking-resizing-in-QWaylandShmBackingS.patch
Patch0055:      0055-Client-Fix-enter-event-cursor-position-with-xdg-popu.patch
Patch0056:      0056-client-don-t-cache-one-type-in-QWaylandMimeData.patch
Patch0057:      0057-Fix-race-condition-in-drag-and-drop.patch
Patch0058:      0058-fix-variable-not-initialized.patch
Patch0059:      0059-client-use-current-modifiers-in-repeat-keys.patch

BuildRequires:  qtbase5-devel >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  qt5platformsupport-devel
BuildRequires:  qt5vulkansupport-devel

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5OpenGL)

BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fontconfig)

BuildRequires:  re2c >= 0.11.3

BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(libpci)
BuildRequires:  pkgconfig(nss)

# needed for QtServiceSupport/private/qgenericunixservices_p.h
BuildRequires:  %{_lib}qt5servicesupport-static-devel
# needed for QtFontDatabaseSupport/private/qgenericunixfontdatabase_p.h
BuildRequires:  %{_lib}qt5fontdatabasesupport-static-devel
BuildRequires:  %{_lib}qt5themesupport-static-devel
BuildRequires:  %{_lib}qt5eventdispatchersupport-static-devel
BuildRequires:  %{_lib}qt5eglsupport-static-devel
BuildRequires:  %{_lib}qt5glxsupport-static-devel
BuildRequires:  %{_lib}qt5xkbcommonsupport-static-devel
BuildRequires:  %{_lib}qt5accessibilitysupport-static-devel
BuildRequires:  %{_lib}qt5linuxaccessibilitysupport-static-devel

Provides:       qt%{qtmajor}-qtwayland = %{version}-%{release}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt%{qtmajor} Wayland platform support and QtCompositor module.

%files
%{_qt5_bindir}/qtwaylandscanner
%{_qt5_qml}/QtWayland/
%{_qt5_plugindir}/platforms/*.so
%{_qt5_plugindir}/wayland-decoration-client/
%{_qt5_plugindir}/wayland-graphics-integration-client/
%{_qt5_plugindir}/wayland-graphics-integration-server/
%{_qt5_plugindir}/wayland-shell-integration/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtWayland%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtWayland%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtwayland*.qch
%{_qt5_docdir}/qtwayland*/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtwaylandclient}
Summary:        Qt%{qtmajor} WaylandClient Component Library
Group:          System/Libraries

%description -n %{libqtwaylandclient}
Qt%{qtmajor} WaylandClient Component Library.

%files -n %{libqtwaylandclient}
%{_qt5_libdir}/libQt5WaylandClient.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwaylandcompositor}
Summary:        Qt%{qtmajor} WaylandCompositor Component Library
Group:          System/Libraries

%description -n %{libqtwaylandcompositor}
Qt%{qtmajor} WaylandCompositor Component Library.

%files -n %{libqtwaylandcompositor}
%{_qt5_libdir}/libQt5WaylandCompositor.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwayland_d}
Summary:        Devel files needed to build apps based on QtWayland
Group:          Development/KDE and Qt
Requires:       %{libqtwaylandclient} = %{version}
Requires:       %{libqtwaylandcompositor} = %{version}
Requires:       %{_lib}qt5linuxaccessibilitysupport-static-devel
Requires:       qtwayland5 >= %{version}
Provides:       libqtwayland5-devel = %{version}
Provides:       libqt5wayland-devel = %{version}
Provides:       qtwayland5-devel = %{version}
Provides:       qt5wayland-devel = %{version}

Provides:       libqtwayland-private-devel = %{version}
Provides:       libqtwayland5-private-devel = %{version}
Provides:       libqt5wayland-private-devel = %{version}
Provides:       qtwayland-private-devel = %{version}
Provides:       qt5wayland-private-devel = %{version}

%description -n %{libqtwayland_d}
Devel files needed to build apps based on Qt Wayland.

%files -n %{libqtwayland_d}
%{_qt5_libdir}/libQt5WaylandClient.so
%{_qt5_libdir}/libQt5WaylandCompositor.so
%{_qt5_libdir}/libQt5WaylandClient.prl
%{_qt5_libdir}/libQt5WaylandCompositor.prl
%{_qt5_libdir}/pkgconfig/Qt5WaylandClient.pc
%{_qt5_libdir}/pkgconfig/Qt5WaylandCompositor.pc
%{_qt5_includedir}/QtWaylandClient/
%{_qt5_includedir}/QtWaylandCompositor/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_waylandclient.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_waylandcompositor.pri
%{_qt5_libdir}/cmake/Qt5WaylandClient/
%{_qt5_libdir}/cmake/Qt5WaylandCompositor/
%{_qt5_libdir}/cmake/Qt5Gui/*
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_waylandclient_private.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_waylandcompositor_private.pri
%{_qt5_examplesdir}/wayland/

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtwayland-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# Temporary workaround until an upstream fix
sed -i 's| Qt5LinuxAccessibilitySupport||' %{buildroot}%{_qt5_libdir}/pkgconfig/Qt5WaylandClient.pc
sed -i 's|"Qt5::LinuxAccessibilitySupport;|"|' %{buildroot}%{_qt5_libdir}/cmake/Qt5WaylandClient/Qt5WaylandClientConfig.cmake
sed -i 's|"LinuxAccessibilitySupport;|"|' %{buildroot}%{_qt5_libdir}/cmake/Qt5WaylandClient/Qt5WaylandClientConfig.cmake
