# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtwayland-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtwaylandclient                  %mklibname qt%{qtmajor}waylandclient %{qtmajor}
%define libqtwaylandcompositor              %mklibname qt%{qtmajor}waylandcompositor %{qtmajor}
%define libqtwlshellintegration             %mklibname qt%{qtmajor}wlshellintegration %{qtmajor}
%define libqtwaylandeglclienthwintegration  %mklibname qt%{qtmajor}waylandeglclienthwintegration %{qtmajor}
%define libqtlandeglcompositorhwintegration %mklibname qt%{qtmajor}waylandeglcompositorhwintegration %{qtmajor}
%define libqtwaylandcompositoriviapp        %mklibname qt%{qtmajor}waylandcompositoriviapplication %{qtmajor}
%define libqtwaylandcompositorpresentation  %mklibname qt%{qtmajor}waylandcompositorpresentationtime %{qtmajor}
%define libqtwaylandcompositorwls           %mklibname qt%{qtmajor}waylandcompositorwlshell %{qtmajor}
%define libqtwaylandcompositorxdg           %mklibname qt%{qtmajor}waylandcompositorxdgshell %{qtmajor}

%define libqtwayland_d                      %mklibname qt%{qtmajor}waylandclient -d

Name:           qtwayland6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Wayland platform support and QtCompositor module
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Upstream patches
Patch0:         qtwayland-update-wayland-xml-to-version-1.23.0.patch

## Branch Patchs

## Trunk Patchs

## Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-qtpaths
BuildRequires:  qtbase6-devel >= %{version}

BuildRequires:  cmake(Qt6Core) >= %{version}
BuildRequires:  cmake(Qt6DBus) >= %{version}
BuildRequires:  cmake(Qt6OpenGL) >= %{version}
BuildRequires:  cmake(Qt6Quick) >= %{version}
BuildRequires:  cmake(Qt6Widgets) >= %{version}
# For Adwaita decorations
BuildRequires:  cmake(Qt6Svg) >= %{version}

BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fontconfig)

BuildRequires:  re2c >= 0.11.3

BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(libpci)
BuildRequires:  pkgconfig(nss)

Provides:       qt%{qtmajor}-qtwayland = %{version}-%{release}

%description
Qt%{qtmajor} Wayland platform support and QtCompositor module.

%files
%{_qt6_libexecdir}/qtwaylandscanner
%{_qt6_plugindir}/platforms/*.so
%{_qt6_plugindir}/wayland-decoration-client/
%{_qt6_plugindir}/wayland-graphics-integration-client/
%{_qt6_plugindir}/wayland-graphics-integration-server/
%{_qt6_plugindir}/wayland-shell-integration/
%{_qt6_qmldir}/QtWayland/Client/TextureSharing/
%{_qt6_qmldir}/QtWayland/Compositor/
%{_qt6_archdatadir}/sbom/qtwayland-%{qtversion}.spdx

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtWayland%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtWayland%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/qtwayland*.qch
%{_qt6_docdir}/qtwayland*/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtwaylandclient}
Summary:        Qt%{qtmajor} Wayland Client Library
Group:          System/Libraries

%description -n %{libqtwaylandclient}
Qt%{qtmajor} Wayland Client Component Library.

%files -n %{libqtwaylandclient}
%{_qt6_libdir}/libQt6WaylandClient.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwaylandcompositor}
Summary:        Qt%{qtmajor} Wayland Compositor Library
Group:          System/Libraries

%description -n %{libqtwaylandcompositor}
Qt%{qtmajor} Wayland Compositor Component Library.

%files -n %{libqtwaylandcompositor}
%{_qt6_libdir}/libQt6WaylandCompositor.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwlshellintegration}
Summary:        Qt%{qtmajor} Wayland Shell Integration Library
Group:          System/Libraries

%description -n %{libqtwlshellintegration}
Qt%{qtmajor} Wayland Shell Integration Component Library.

%files -n %{libqtwlshellintegration}
%{_qt6_libdir}/libQt6WlShellIntegration.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwaylandeglclienthwintegration}
Summary:        Qt%{qtmajor} Wayland Egl Client Hw Integration Library
Group:          System/Libraries

%description -n %{libqtwaylandeglclienthwintegration}
Qt%{qtmajor} Wayland Egl Client Hw Integration Component Library.

%files -n %{libqtwaylandeglclienthwintegration}
%{_qt6_libdir}/libQt6WaylandEglClientHwIntegration.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtlandeglcompositorhwintegration}
Summary:        Qt%{qtmajor} Wayland Egl Compositor Hw Integration Library
Group:          System/Libraries

%description -n %{libqtlandeglcompositorhwintegration}
Qt%{qtmajor} Wayland Egl Compositor Hw Integration Component Library.

%files -n %{libqtlandeglcompositorhwintegration}
%{_qt6_libdir}/libQt6WaylandEglCompositorHwIntegration.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwaylandcompositoriviapp}
Summary:        Qt%{qtmajor} Wayland Compositor Iviapplication Library
Group:          System/Libraries

%description -n %{libqtwaylandcompositoriviapp}
Qt%{qtmajor} Wayland Compositor Iviapplication Component Library.

%files -n %{libqtwaylandcompositoriviapp}
%{_qt6_libdir}/libQt6WaylandCompositorIviapplication.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwaylandcompositorpresentation}
Summary:        Qt%{qtmajor} Wayland Compositor Presentation Time Library
Group:          System/Libraries

%description -n %{libqtwaylandcompositorpresentation}
Qt%{qtmajor} Wayland Compositor Presentation Time Component Library.

%files -n %{libqtwaylandcompositorpresentation}
%{_qt6_libdir}/libQt6WaylandCompositorPresentationTime.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwaylandcompositorwls}
Summary:        Qt%{qtmajor} Wayland Compositor WL Shell Library
Group:          System/Libraries

%description -n %{libqtwaylandcompositorwls}
Qt%{qtmajor} Wayland Compositor WL Shell Component Library.

%files -n %{libqtwaylandcompositorwls}
%{_qt6_libdir}/libQt6WaylandCompositorWLShell.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwaylandcompositorxdg}
Summary:        Qt%{qtmajor} Wayland Compositor Xdg Shell Library
Group:          System/Libraries

%description -n %{libqtwaylandcompositorxdg}
Qt%{qtmajor} Wayland Compositor Xdg Shell Component Library.

%files -n %{libqtwaylandcompositorxdg}
%{_qt6_libdir}/libQt6WaylandCompositorXdgShell.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwayland_d}
Summary:        Devel files needed to build apps based on QtWayland
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}
Requires:       %{libqtwaylandclient} = %{version}
Requires:       %{libqtwaylandcompositor} = %{version}
Requires:       %{libqtwlshellintegration} = %{version}
Requires:       %{libqtwaylandeglclienthwintegration} = %{version}
Requires:       %{libqtlandeglcompositorhwintegration} = %{version}
Requires:       %{libqtwaylandcompositoriviapp} = %{version}
Requires:       %{libqtwaylandcompositorpresentation} = %{version}
Requires:       %{libqtwaylandcompositorwls} = %{version}
Requires:       %{libqtwaylandcompositorxdg} = %{version}

Provides:       libqtwayland6-devel = %{version}
Provides:       libqt6wayland-devel = %{version}
Provides:       qtwayland6-devel = %{version}
Provides:       qt6wayland-devel = %{version}
Provides:       qt%{qtmajor}-qtwayland-devel = %{version}-%{release}

Provides:       libqt6wayland-private-devel = %{version}
Provides:       libqtwayland6-private-devel = %{version}
Provides:       qtwayland6-private-devel = %{version}
Provides:       qt6wayland-private-devel = %{version}

%description -n %{libqtwayland_d}
Devel files needed to build apps based on Qt Wayland.

%files -n %{libqtwayland_d}
%{_qt6_includedir}/QtWaylandClient/
%{_qt6_libdir}/libQt6WaylandClient.so
%{_qt6_libdir}/cmake/Qt6WaylandClient/
%{_qt6_libdir}/pkgconfig/Qt6WaylandClient.pc
%{_qt6_libdir}/libQt6WaylandClient.prl
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_waylandclient.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_waylandclient_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6waylandclient_*_metatypes.json
%{_qt6_libdir}/qt6/modules/WaylandClient.json
#
%{_qt6_includedir}/QtWaylandCompositor/
%{_qt6_libdir}/libQt6WaylandCompositor.so
%{_qt6_libdir}/cmake/Qt6WaylandCompositor/
%{_qt6_libdir}/pkgconfig/Qt6WaylandCompositor.pc
%{_qt6_libdir}/libQt6WaylandCompositor.prl
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_waylandcompositor.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_waylandcompositor_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6waylandcompositor_*_metatypes.json
%{_qt6_libdir}/qt6/modules/WaylandCompositor.json
#
%{_qt6_includedir}/QtWaylandEglCompositorHwIntegration/
%{_qt6_libdir}/libQt6WaylandEglCompositorHwIntegration.so
%{_qt6_libdir}/cmake/Qt6WaylandEglCompositorHwIntegrationPrivate/
%{_qt6_libdir}/libQt6WaylandEglCompositorHwIntegration.prl
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_wayland_egl_compositor_hw_integration_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6waylandeglcompositorhwintegrationprivate_*_metatypes.json
%{_qt6_libdir}/qt6/modules/WaylandEglCompositorHwIntegrationPrivate.json
#
%{_qt6_includedir}/QtWaylandEglClientHwIntegration/
%{_qt6_libdir}/libQt6WaylandEglClientHwIntegration.so
%{_qt6_libdir}/cmake/Qt6WaylandEglClientHwIntegrationPrivate/
%{_qt6_libdir}/libQt6WaylandEglClientHwIntegration.prl
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_wayland_egl_client_hw_integration_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6waylandeglclienthwintegrationprivate_*_metatypes.json
%{_qt6_libdir}/qt6/modules/WaylandEglClientHwIntegrationPrivate.json
#
%{_qt6_includedir}/QtWlShellIntegration/
%{_qt6_libdir}/libQt6WlShellIntegration.so
%{_qt6_libdir}/cmake/Qt6WlShellIntegrationPrivate/
%{_qt6_libdir}/libQt6WlShellIntegration.prl
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_wl_shell_integration_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6wlshellintegrationprivate_*_metatypes.json
%{_qt6_libdir}/qt6/modules/WlShellIntegrationPrivate.json
#
%{_qt6_includedir}/QtWaylandGlobal/
%{_qt6_libdir}/cmake/Qt6WaylandGlobalPrivate/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_waylandglobal_private.pri
%{_qt6_libdir}/qt6/modules/WaylandGlobalPrivate.json
#
%{_qt6_headerdir}/QtWaylandCompositorIviapplication/
%{_qt6_libdir}/libQt6WaylandCompositorIviapplication.so
%{_qt6_libdir}/libQt6WaylandCompositorIviapplication.prl
%{_qt6_libdir}/cmake/Qt6WaylandCompositorIviapplication/
%{_qt6_libdir}/pkgconfig/Qt6WaylandCompositorIviapplication.pc
%{_qt6_archdatadir}/metatypes/qt6waylandcompositoriviapplication_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_waylandcompositoriviapplication*.pri
%{_qt6_libdir}/qt6/modules/WaylandCompositorIviapplication.json
#
%{_qt6_headerdir}/QtWaylandCompositorPresentationTime/
%{_qt6_libdir}/libQt6WaylandCompositorPresentationTime.so
%{_qt6_libdir}/libQt6WaylandCompositorPresentationTime.prl
%{_qt6_libdir}/cmake/Qt6WaylandCompositorPresentationTime/
%{_qt6_libdir}/pkgconfig/Qt6WaylandCompositorPresentationTime.pc
%{_qt6_archdatadir}/metatypes/qt6waylandcompositorpresentationtime_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_waylandcompositorpresentationtime*.pri
%{_qt6_libdir}/qt6/modules/WaylandCompositorPresentationTime.json
#
%{_qt6_headerdir}/QtWaylandCompositorWLShell/
%{_qt6_libdir}/libQt6WaylandCompositorWLShell.so
%{_qt6_libdir}/libQt6WaylandCompositorWLShell.prl
%{_qt6_libdir}/cmake/Qt6WaylandCompositorWLShell/
%{_qt6_libdir}/pkgconfig/Qt6WaylandCompositorWLShell.pc
%{_qt6_archdatadir}/metatypes/qt6waylandcompositorwlshell_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_waylandcompositorwlshell*.pri
%{_qt6_libdir}/qt6/modules/WaylandCompositorWLShell.json
#
%{_qt6_headerdir}/QtWaylandCompositorXdgShell/
%{_qt6_libdir}/libQt6WaylandCompositorXdgShell.so
%{_qt6_libdir}/libQt6WaylandCompositorXdgShell.prl
%{_qt6_libdir}/cmake/Qt6WaylandCompositorXdgShell/
%{_qt6_libdir}/pkgconfig/Qt6WaylandCompositorXdgShell.pc
%{_qt6_archdatadir}/metatypes/qt6waylandcompositorxdgshell_*_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_waylandcompositorxdgshell*.pri
%{_qt6_libdir}/qt6/modules/WaylandCompositorXdgShell.json
#
%if %{with examples}
%{_qt6_examplesdir}/wayland/
%endif
#
%{_qt6_libdir}/cmake/Qt6Gui/*.cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6Wayland*
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6qwaylandcompositorplugin*
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtWaylandTestsConfig.cmake
%{_qt6_libdir}/cmake/Qt6WaylandScannerTools/
%{_qt6_libdir}/cmake/Qt6/FindWaylandkms.cmake

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtwayland-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}

%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif
