# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs     0
%else
%define build_docs     1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define qttarballdir   qtwebview-everywhere-opensource-src-%{qtversion}

# Library names

%define libqtwebview   %mklibname qt%{qtmajor}webview %{qtmajor}
%define libqtwebview_d %mklibname qt%{qtmajor}webview -d

Name:           qtwebview5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} WebView component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Positioning) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5WebChannel) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}
# for 5.11, watch progress on
# https://bugreports.qt.io/browse/QTBUG-63137
BuildRequires:  pkgconfig(Qt5WebEngine)

Provides:       qt%{qtmajor}-qtwebview = %{version}-%{release}

%description
Qt%{qtmajor} WebView provides a way to display web content in a QML
application without necessarily including a full web browser stack
by using native APIs where it makes sense.

%files
%{_qt5_qml}/QtWebView/
%{_qt5_plugindir}/webview/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtWebView%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtWebView%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtwebview.qch
%{_qt5_docdir}/qtwebview/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtwebview}
Summary:        Qt%{qtmajor} WebView Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtwebview}
Qt%{qtmajor} WebView Component Library.

%files -n %{libqtwebview}
%{_qt5_libdir}/libQt5WebView.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwebview_d}
Summary:        Devel files needed to build apps based on QtWebView
Group:          Development/KDE and Qt
Requires:       %{libqtwebview} = %{version}
Provides:       libqtwebview5-devel = %{version}
Provides:       libqt5webview-devel = %{version}
Provides:       qtwebview5-devel = %{version}
Provides:       qt5webview-devel = %{version}

%description -n %{libqtwebview_d}
Devel files needed to build apps based on QtWebView.

%files -n %{libqtwebview_d}
%{_qt5_includedir}/QtWebView/
%{_qt5_libdir}/libQt5WebView.so
%{_qt5_libdir}/pkgconfig/Qt5WebView.pc
%{_qt5_libdir}/cmake/Qt5WebView/
%{_qt5_libdir}/*.prl
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/webview/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtwebview-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif
