# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 16
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtx11extras-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtx11extras %mklibname     qt%{qtmajor}x11extras %{qtmajor}
%define libqtx11extras_d %mklibname   qt%{qtmajor}x11extras -d
%define libqtx11extras_p_d %mklibname qt%{qtmajor}x11extras-private -d

Name:           qtx11extras5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} X11Extras component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase5-devel >= %version
BuildRequires:  qt5platformsupport-devel >= %version

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Provides specific APIs for X11.

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtX11Extras%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtX11Extras%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtx11extras.qch
%{_qt5_docdir}/qtx11extras/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtx11extras}
Summary:        Qt%{qtmajor} X11 Extras Component Library
Group:          System/Libraries

%description -n %{libqtx11extras}
Qt%{qtmajor} X11 Extras Component Library.


%files -n %{libqtx11extras}
%{_qt5_libdir}/libQt5X11Extras.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtx11extras_d}
Summary:        Devel files needed to build apps based on QtX11Extras
Group:          Development/KDE and Qt
Requires:       %{libqtx11extras} = %{version}
Provides:       libqtx11extras5-devel = %{version}
Provides:       libqt5x11extras-devel = %{version}
Provides:       qtx11extras5-devel = %{version}
Provides:       qt5x11extras-devel = %{version}

%description -n %{libqtx11extras_d}
Devel files needed to build apps based on QtX11Extras.

%files -n %{libqtx11extras_d}
%{_qt5_includedir}/QtX11Extras/
%{_qt5_libdir}/cmake/Qt5X11Extras/
%{_qt5_libdir}/libQt5X11Extras.prl
%{_qt5_libdir}/libQt5X11Extras.so
%{_qt5_libdir}/pkgconfig/Qt5X11Extras.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_x11extras.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_x11extras_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtx11extras-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# Fix all buildroot paths
find %{buildroot}%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
