%define _disable_ld_no_undefined 1
%define _legacy_common_support 1

# configure options
%define with_snmp	0
%define	with_vtysh	1
%define	with_ospf_te	1
%define	with_opaque_lsa	1
%define	with_tcp_zebra	0
%define	with_vtysh	1
%define	with_pam	1
%define	with_ipv6	1
%define	with_ospfclient	0
%define	with_ospfapi	0
%define	with_irdp	1
%define	with_isisd	1
%define	with_multipath	64
%define	quagga_user	quagga
%define	vty_group	quaggavt

# path defines
%define	zeb_src		%{_builddir}/%{name}-%{version}
%define	zeb_rh_src	%{zeb_src}/redhat
%define	zeb_docs	%{zeb_src}/doc

%define major 0
%define zebra_major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Routing daemon
Name:		quagga
Version:	1.2.4
Release:	%mkrel 7
License:	GPLv2+
Group:		System/Servers
URL:		http://www.quagga.net
Source0:	https://download.savannah.gnu.org/releases/quagga/%{name}-%{version}.tar.gz
Source2:	%{name}-tmpfiles.conf
Source10:	babeld.service
Source11:	ripngd.service
Source12:	ospf6d.service
Source13:	isisd.service
Source14:	ospfd.service
Source15:	ripd.service
Source16:	bgpd.service
Source17:	zebra.service
Source18:	watchquagga.service
BuildRequires:	texinfo
BuildRequires:	texi2html
BuildRequires:	tetex
BuildRequires:	pam-devel
BuildRequires:	libpcap-devel
BuildRequires:	chrpath >= 0.12
BuildRequires:	automake
BuildRequires:	autoconf2.5
BuildRequires:	pkgconfig(libcares)
%if %{with_snmp}
Requires:	net-snmp-mibs
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel
%endif
%if %{with_vtysh}
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)
%endif
Requires(post):   systemd >= %{systemd_required_version}
Requires(pre):    rpm-helper
Requires(post):   rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper
Requires(pre):    ncurses readline pam
Requires:	%{libname} = %{version}

%description
Quagga is a free software that manages TCP/IP based routing
protocol. It takes multi-server and multi-thread approach to resolve
the current complexity of the Internet.

Quagga supports BGP4, BGP4+, OSPFv2, OSPFv3, RIPv1, RIPv2, and RIPng.

Quagga is intended to be used as a Route Server and a Route Reflector. It is
not a toolkit, it provides full routing power under a new architecture.
Quagga by design has a process for each protocol.

Quagga is a fork of GNU Zebra.

%package	contrib
Summary:	Tools for quagga
Group:		System/Servers

%description	contrib
Contributed/3rd party tools which may be of use with quagga.

%package -n	%{libname}
Summary:	Shared %{name} library
Group:		System/Libraries

%description -n	%{libname}
This package provides the shared %{name} library.

%package -n	%{develname}
Summary:	Header and object files for quagga development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Obsoletes:	%{mklibname quagga 0 -d}

%description -n	%{develname}
The quagga-devel package contains the header and object files necessary for
developing OSPF-API and quagga applications.

%prep
%setup  -q
%autopatch -p1

%build
export CFLAGS="%{optflags} -fPIC"

%serverbuild
autoreconf -fi
%configure \
    --sysconfdir=%{_sysconfdir}/quagga \
    --localstatedir=/run/quagga \
%if %{with_ipv6}
    --enable-ipv6 \
%endif
%if %{with_snmp}
    --enable-snmp \
%endif
%if %{with_multipath}
    --enable-multipath=%{with_multipath} \
%endif
%if %{with_tcp_zebra}
    --enable-tcp-zebra \
%endif
%if %{with_opaque_lsa}
    --enable-opaque-lsa \
%endif
%if %{with_ospf_te}
    --enable-ospf-te \
%endif
%if %{with_vtysh}
    --enable-vtysh \
%endif
%if %{with_ospfclient}
    --enable-ospfclient=yes \
%else
    --enable-ospfclient=no\
%endif
%if %{with_ospfapi}
    --enable-ospfapi=yes \
%else
    --enable-ospfapi=no \
%endif
%if %{with_irdp}
    --enable-irdp=yes \
%else
    --enable-irdp=no \
%endif
%if %{with_isisd}
    --enable-isisd \
%else
    --disable-isisd \
%endif
%if %{with_pam}
    --with-libpam \
%endif
    --enable-user=%{quagga_user} \
    --enable-group=%{quagga_user} \
    --enable-vty-group=%{vty_group} \
    --with-cflags="%{optflags}" \
    --enable-netlink \
    --disable-static

%make_build MAKEINFO="makeinfo --no-split"

pushd doc
    texi2html quagga.texi
popd

%install
# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}/var/log/quagga
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -d %{buildroot}%{_infodir}

%make_install

# Remove this file, as it is uninstalled and causes errors when building on RH9
rm -rf %{buildroot}/usr/share/info/dir

mkdir -p %{buildroot}%{_unitdir}

install -m 644 %{SOURCE16} %{buildroot}%{_unitdir}
install -m 644 %{SOURCE17} %{buildroot}%{_unitdir}
install -m 644 %{SOURCE14} %{buildroot}%{_unitdir}
install -m 644 %{SOURCE15} %{buildroot}%{_unitdir}
install -m 644 %{SOURCE18} %{buildroot}%{_unitdir}
%if %{with_ipv6}
install -m 644 %{SOURCE11} %{buildroot}%{_unitdir}
install -m 644 %{SOURCE12} %{buildroot}%{_unitdir}
%endif
%if %{with_isisd}
install -m 644 %{SOURCE13} %{buildroot}%{_unitdir}
%endif

install -m644 %{zeb_rh_src}/quagga.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/quagga
install -m644 %{zeb_rh_src}/quagga.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/quagga

# fix conditional pam config file
install -m644 %{zeb_rh_src}/quagga.pam %{buildroot}%{_sysconfdir}/pam.d/quagga

# nuke rpath
chrpath -d %{buildroot}%{_bindir}/*
chrpath -d %{buildroot}%{_sbindir}/*

%pre
# add vty_group
%_pre_groupadd %{vty_group}
# add quagga user and group
%_pre_useradd %{quagga_user} %{_localstatedir}/lib /sbin/nologin

%post
%_tmpfilescreate %{name}
%_post_service zebra
%_post_service ripd
%if %{with_ipv6}
%_post_service ospf6d
%_post_service ripngd
%endif
%_post_service ospfd
%_post_service bgpd
%_post_service watchquagga


# Create dummy files if they don't exist so basic functions can be used.
if [ ! -e %{_sysconfdir}/quagga/zebra.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/quagga/zebra.conf
	chown %{quagga_user}:%{quagga_user} %{_sysconfdir}/quagga/zebra.conf
	chmod 640 %{_sysconfdir}/quagga/zebra.conf
fi
if [ ! -e %{_sysconfdir}/quagga/vtysh.conf ]; then
	touch %{_sysconfdir}/quagga/vtysh.conf
	chmod 640 %{_sysconfdir}/quagga/vtysh.conf
fi

%preun
%_preun_service zebra
%_preun_service ripd
%if %{with_ipv6}
%_preun_service ripngd
%endif
%_preun_service ospfd
%if %{with_ipv6}
%_preun_service ospf6d
%endif
%_preun_service bgpd
%_preun_service watchquagga


%postun
%_postun_userdel %{quagga_user}

%files
%doc */*.sample* AUTHORS COPYING doc/quagga.html doc/mpls
%doc ChangeLog INSTALL NEWS README REPORTING-BUGS SERVICES TODO

%dir %attr(0751,%{quagga_user},%{quagga_user}) %{_sysconfdir}/quagga
%dir %attr(0750,%{quagga_user},%{quagga_user}) /var/log/quagga
%{_tmpfilesdir}/%{name}.conf

%attr(0640,%{quagga_user},%{vty_group}) %config(noreplace) %{_sysconfdir}/quagga/vtysh.conf*

%config(noreplace) %{_sysconfdir}/pam.d/quagga
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/quagga
%config(noreplace) %{_sysconfdir}/quagga/bgpd.conf*
%config(noreplace) %{_sysconfdir}/quagga/ospf6d.conf*
%config(noreplace) %{_sysconfdir}/quagga/ospfd.conf*
%config(noreplace) %{_sysconfdir}/quagga/ripd.conf*
%config(noreplace) %{_sysconfdir}/quagga/ripngd.conf*
%config(noreplace) %{_sysconfdir}/quagga/zebra.conf*
%config(noreplace) %{_sysconfdir}/quagga/pimd.conf*

%{_unitdir}/*.service

%{_bindir}/bgp_btoa
%{_bindir}/test_igmpv3_join


%{_sbindir}/nhrpd
%{_sbindir}/pimd
%{_sbindir}/bgpd
%{_sbindir}/ospf6d
%if %{with_ospfclient}
%{_sbindir}/ospfclient
%endif
%{_sbindir}/ospfd
%{_sbindir}/ripd
%{_sbindir}/ripngd
%{_sbindir}/watchquagga
%{_sbindir}/zebra

%if %{with_vtysh}
%{_bindir}/vtysh
%attr(0644,root,root) %{_mandir}/man1/vtysh.1*
%endif
#
%if %{with_isisd}
%{_sbindir}/isisd
%attr(0644,root,root) %{_mandir}/man8/isisd.8*
%config(noreplace) %{_sysconfdir}/quagga/isisd.conf*
%endif

%attr(0644,root,root) %{_mandir}/man8/bgpd.8*
%attr(0644,root,root) %{_mandir}/man8/ospf6d.8*
%attr(0644,root,root) %{_mandir}/man8/ospfd.8*
%attr(0644,root,root) %{_mandir}/man8/ripd.8*
%attr(0644,root,root) %{_mandir}/man8/ripngd.8*
%attr(0644,root,root) %{_mandir}/man8/zebra.8*
%if %{with_ospfclient}
%attr(0644,root,root) %{_mandir}/man8/ospfclient.8*
%endif
%attr(0644,root,root) %{_mandir}/man8/watchquagga.8*
%attr(0644,root,root) %{_mandir}/man8/nhrpd.8*
%attr(0644,root,root) %{_mandir}/man8/pimd.8*

%{_infodir}/*info*


%files contrib
%doc tools

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%{_libdir}/*.so.%{zebra_major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/quagga/
