%define major         1
%define libname       %mklibname %{name} %major
%define libname_devel %mklibname %{name} -d

Summary:        The free/open-source library for quantitative finance
Name:           quantlib
Version:        1.37
Release:        %mkrel 1
License:        BSD License
Group:          System/Libraries
URL:            https://www.quantlib.org/
Source0:        https://github.com/lballabio/QuantLib/releases/download/v%{version}/QuantLib-%{version}.tar.gz
Patch1:         Quantlib-1.28-lib-path.patch
Patch2:         Quantlib-1.35-pkgconfig-location.patch
BuildRequires:  boost-devel
BuildRequires:  doxygen
BuildRequires:  graphviz
# Needed to create elisp files
BuildRequires:  emacs
BuildRequires:  libgomp-devel
BuildRequires:  ninja
BuildRequires:  cmake

%description
QuantLib is an open source C++ library for financial quantitative analysts
and developers.

%package -n %libname
Summary:        Shared library for QuantLib
Group:          System/Libraries
Obsoletes:      %{_lib}quantlib1 < 1.2.1-3
Provides:       quantlib = %{version}-%{release}

%description -n %libname
QuantLib is an open source C++ library for financial quantitative analysts
and developers.

Install %{libname} if you are going are using shared libraries with
QuantLib.

%package -n %libname_devel
Summary:        The header files and the static library
Group:          Development/C
Requires:       %libname = %{version}-%{release}
Provides:       quantlib-devel = %{version}-%{release}
Requires:       boost-devel
Conflicts:      %{_lib}quantlib1 < 1.35-2

%description -n %libname_devel
QuantLib is an open source C++ library for financial quantitative analysts
and developers.

Install %{libname_devel} if you are going to develop programs which
will use the QuantLib C++ libraries.

This package contains the intraday patches from the github repo
https://github.com/joequant/quantlib

%package test-suite
Summary:        The test-suite to check the setup of quantlib installation
Group:          System/Libraries

%description test-suite
QuantLib is an open source C++ library for financial quantitative analysts
and developers.

The QuantLib-test-suite will validate the compiled code against
pre-constructed test cases, and helps in validating the library.


%prep
%autosetup -p1 -n QuantLib-%{version}

%build
%cmake -G Ninja \
    -DQL_ENABLE_OPENMP=ON
%cmake_build

# make documentations
# no more valid option
# make_build docs-all -C Docs

%install
%cmake_install

%files -n %libname
%license LICENSE.TXT
%{_libdir}/libQuantLib.so.%{major}{,.*}

%files -n %libname_devel
%doc ChangeLog.txt README.md Contributors.txt News.md
%{_includedir}/ql/
%{_libdir}/cmake/QuantLib/
%{_libdir}/libQuantLib.so
%{_libdir}/pkgconfig/quantlib.pc
%{_bindir}/quantlib-config

%files test-suite
%{_bindir}/quantlib-test-suite
%{_bindir}/quantlib-benchmark
%dir %{_libdir}/QuantLib
%dir %{_libdir}/QuantLib/examples
%{_libdir}/QuantLib/examples/BasketLosses
%{_libdir}/QuantLib/examples/BermudanSwaption
%{_libdir}/QuantLib/examples/Bonds
%{_libdir}/QuantLib/examples/CDS
%{_libdir}/QuantLib/examples/CVAIRS
%{_libdir}/QuantLib/examples/CallableBonds
%{_libdir}/QuantLib/examples/ConvertibleBonds
%{_libdir}/QuantLib/examples/DiscreteHedging
%{_libdir}/QuantLib/examples/EquityOption
%{_libdir}/QuantLib/examples/FRA
%{_libdir}/QuantLib/examples/FittedBondCurve
%{_libdir}/QuantLib/examples/Gaussian1dModels
%{_libdir}/QuantLib/examples/GlobalOptimizer
%{_libdir}/QuantLib/examples/LatentModel
%{_libdir}/QuantLib/examples/MarketModels
%{_libdir}/QuantLib/examples/MulticurveBootstrapping
%{_libdir}/QuantLib/examples/MultidimIntegral
%{_libdir}/QuantLib/examples/Replication
%{_libdir}/QuantLib/examples/Repo
