Name:           qucs-s
Version:        25.1.2
Release:        %mkrel 1
Summary:        Quite universal circuit simulator with SPICE
License:        GPL-2.0-or-later
Group:          Sciences/Other
URL:            https://ra3xdh.github.io/
Source:         https://github.com/ra3xdh/qucs_s/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:  flex
BuildRequires:  gperf
BuildRequires:  cmake(Qt6Charts)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Xml)

Requires:       ngspice

%description
Qucs-S is a circuit simulation program with Qt-based GUI.
Qucs-S is a spin-off of the Qucs cross-platform circuit simulator.
"S" letter indicates SPICE. The purpose of the Qucs-S subproject
is to use free SPICE circuit simulation kernels with the Qucs GUI.
It merges the power of SPICE and the simplicity of the Qucs GUI.
Qucs intentionally uses its own SPICE incompatible simulation kernel
Qucsator. It has advanced RF and AC domain simulation features, but
most of the existing industrial SPICE models are incompatible with it.
Qucs-S is not a simulator by itself, but it requires to use a
simulation backend with it. The schematic document format of Qucs
and Qucs-S are fully compatible.

%prep
%autosetup

%build
%cmake -DWITH_QT6=ON
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS NEWS.md README.md
%license COPYING
%{_bindir}/qucs*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_metainfodir}/io.github.ra3xdh.qucs_s.metainfo.xml
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/qucsator_rf.1.*
%{_mandir}/man1/qucsconv_rf.1.*
