#define prel	rc2
%define rel	1

Name:		qucs
Summary:	Quite Universal Circuit Simulator
Version:	0.0.20
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2+
Group:		Sciences/Other
URL:		https://qucs.sourceforge.net/
Source0:	https://github.com/Qucs/qucs/archive/%{version}%{?prel:-%prel}/qucs-%{version}%{?prel:-%prel}.tar.gz
Patch1:		0001-import-Vadims-qt3-compat-port-compile-fixes.patch
Patch2:		0002-Rewriting-cmake-files-to-Qt5.patch
Patch3:		0003-refactor-Qucs-for-Qt5.patch
Patch4:		0004-build-fixes.patch
BuildRequires:	adms
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Help)
BuildRequires:	cmake(Qt5PrintSupport)
BuildRequires:	cmake(Qt5Script)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5Xml)
BuildRequires:	gperf
Requires:	freehdl
Requires:	freehdl-devel
Requires:	iverilog
Requires:	libtool
Requires:	asco
Requires:	adms

%description
Qucs is a circuit simulator with graphical user interface.  The
software aims to support all kinds of circuit simulation types,
e.g. DC, AC, S-parameter and harmonic balance analysis.

%prep
%autosetup -p1

for i in $(find . -name PLATFORMS); do
  echo "%{_host}" >> $i
done

%build
autoreconf -fi
%configure --with-qt-name=Qt5
%make_build

%install
%make_install

%files
%doc NEWS* README*
%{_bindir}/qucs*
%{_bindir}/ps2sp
%{_datadir}/applications/qucs.desktop
%{_datadir}/qucs/
%{_iconsdir}/hicolor/*/apps/qucs.*
%{_mandir}/man?/qucs*
%{_mandir}/man?/ps2sp*
