%global _smp_build_ncpus 4

#define prel	rc2
%define rel	1

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		qucsator
Summary:	An integrated circuit simulator of the Qucs project
Version:	0.0.20
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2+
Group:		Sciences/Other
URL:		https://qucs.sourceforge.net/
Source0:	https://github.com/Qucs/qucsator/archive/%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.gz
Patch1:		qucs-drop-RPATH.patch
BuildRequires:	adms
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gperf

Requires:	asco
Requires:	adms

Conflicts:	qucs < 0.0.20-0.rc2.5

%description
Qucsator is a command line driven circuit simulator. It takes a
network list in a certain format as input and outputs a Qucs dataset.
It has been programmed for usage in the Qucs project but can also
be used by other applications.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure --enable-debug
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS* README*
%{_bindir}/qucsator
%{_bindir}/qucsconv
%{_datadir}/qucsator/
%{_mandir}/man1/qucsator.1*
%{_mandir}/man1/qucsconv.1*

%files -n %{libname}
%license COPYING
%{_libdir}/libqucsator.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/qucsator/
%{_libdir}/libqucsator.so
