%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           quesoglc
Version:        0.7.2
Release:        %mkrel 13
Summary:        The OpenGL Character Renderer

Group:          System/Libraries
License:        LGPLv2+
URL:            https://quesoglc.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}-free.tar.bz2
Patch0:		quesoglc-0.7.2-drop-glewContext.patch
Patch2:         fribidi.build.patch
Patch3:         quesoglc-0.7.2-buildfix.patch

BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xi)
BuildRequires:  doxygen

%description
The OpenGL Character Renderer (GLC) is a state machine that provides OpenGL
programs with character rendering services via an application programming
interface (API).

%package -n	%{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n	%{libname}
The OpenGL Character Renderer (GLC) is a state machine that provides OpenGL
programs with character rendering services via an application programming
interface (API).

%package -n	%{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package provides the libraries, include files, and other resources needed
for developing GLC applications.

%prep
%setup -q
%autopatch -p1

rm -f include/GL/{glxew,wglew,glew}.h
rm -f src/glew.c
ln -s %{_includedir}/GL/{glxew,wglew,glew}.h include/GL/
rm -fr src/fribidi

%build
%configure --disable-static --with-glew --with-fribidi
%make_build

cd docs
doxygen
cd ../

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libGLC.so.%{major}{,.*}
%doc AUTHORS ChangeLog COPYING README THANKS docs/html

%files -n %{develname}
%{_includedir}/GL/glc.h
%{_libdir}/libGLC.so
%{_libdir}/pkgconfig/quesoglc.pc


