#
# spec file for quilt - patch management scripts
#

Name:		quilt
Version:	0.68
Release:	%mkrel 1
Summary:	Scripts for working with series of patches
License:	GPLv2
Group:		Development/Other
URL:		https://savannah.nongnu.org/projects/quilt
Source:		https://download.savannah.gnu.org/releases/quilt/%{name}-%{version}.tar.gz
Patch1:		dep3_headers.patch
BuildArch:	noarch
# sendmail-command is needed for testing purpose
BuildRequires:	sendmail-command
BuildRequires:	diffstat
BuildRequires:	procmail
BuildRequires:	gettext
# ed command required for the test suite
BuildRequires:	ed

Requires:	coreutils
Requires:	diffutils
Requires:	patch
Requires:	gzip
Requires:	bzip2
Requires:	perl
Requires:	mktemp
Requires:	diffstat
Requires:	procmail
Requires:	perl(Locale::gettext)

%description
The scripts allow to manage a series of patches by keeping
track of the changes each patch makes. Patches can be
applied, un-applied, refreshed, etc.

The scripts are heavily based on Andrew Morton's patch scripts
formerly at http://www.zip.com.au/~akpm/linux/patches/.


%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
	--with-sendmail=%{_sbindir}/sendmail \
	--with-diffstat=%{_bindir}/diffstat
%make_build

%install
%make_install BUILD_ROOT=%{buildroot}

%{find_lang} %{name}

%check
%__make check

%files -f %{name}.lang
%doc AUTHORS NEWS
%config(noreplace) %{_sysconfdir}/bash_completion.d/quilt
%config(noreplace) %{_sysconfdir}/quilt.quiltrc
%{_bindir}/*
%{_datadir}/emacs/site-lisp/quilt.el
%{_datadir}/%{name}/
%{_mandir}/man1/guards.*
%{_mandir}/man1/quilt.*
%doc %{_datadir}/doc/%{name}/*
