Name:		quimup
Version:	2.1.0
Release:	%mkrel 1
Summary:	A client for the music player daemon (MPD)
License:	GPLv2+
Group:		Sound/Players
Url:		https://sourceforge.net/projects/quimup/
Source0:	https://sourceforge.net/projects/quimup/files/Quimup-%{version}.source.tar.gz
Patch0:		quimup-2.1.0-use-system-qtsingleapplication.patch
Patch1:		quimup-2.1.0-mga-install.patch
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(libmpdclient)
BuildRequires:	pkgconfig(taglib) >= 1.11
BuildRequires:	qtsingleapplication-qt6-devel

Requires:	mpd

%description
QUIMUP is a client for the music player daemon (MPD) written in C++ and QT.

The program can be used with most Linux desktops (KDE, GNOME, XFCE) and is
covered by the General Public License: it is free and 'open source'.
The clean interface makes controlling MPD's many features easy and intuitive.
The focus is on mouse handling: playlist management is done entirely by
drag-&-drop; playback functions are directly accessible from the system tray.
Quimup turns MPD into a perfect desktop music player.

%prep
%autosetup -p1 -n Quimup-%{version}.source

%build
%qmake_qt6 %{name}.pro

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc changelog description faq readme
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*
