# filter out bogus dependency
%global __requires_exclude ^typelib\\(GtkosxApplication\\)

Summary:        Advanced, elegant jukebox style music player
Name:           quodlibet
Version:        4.6.0
Release:        %mkrel 3
License:        GPLv2+
Group:          Sound/Players
URL:            https://quodlibet.readthedocs.io/en/latest/
Source0:        https://github.com/quodlibet/quodlibet/releases/download/release-%{version}/%{name}-%{version}.tar.gz
Patch0:         quodlibet-4.6.0-mga-remove-unity-integration.patch
Patch1:		0001-Port-to-Ayatana-AppIndicator.patch
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  intltool

Requires:       zsh
# for Replay Gain plugin
Requires:       vorbisgain
# for CDDB plugin
Requires:       python3dist(dbus-python)
Requires:       python3dist(feedparser)
Requires:       python3dist(pygobject)
Requires:       exfalso = %{version}
Requires:       quodlibet-be = %{version}
Recommends:     python3dist(pyinotify)
Recommends:     python3dist(musicbrainzngs)
Recommends:     zeitgeist

Obsoletes:      quodlibet-plugins < 1:3.1.2-8
Provides:       quodlibet-plugins

%description
Quod Libet is a GTK+-based audio player written in Python. It's designed
around the idea that you know better than we do how to organize your music.
It lets you make playlists based on regular expressions (don't worry,
regular searches work too). It lets you display and edit any tags you want
in the file.

It supports Ogg Vorbis and MP3 by default, but other formats (FLAC, Musepack,
Wavepack, MPEG-4/AAC and MOD are available through gstreamer0.10 plugins.

Quod Libet easily scales to libraries of thousands of songs. It also supports
most of the features you expect from a modern media player, like Unicode
support, gapless playback, multimedia keys, and an OSD.

%package -n exfalso
Summary:    Tag editor for musical files
Group:      Sound/Utilities
Requires:   python3
Requires:   python3dist(mutagen)
Requires:   quodlibet >= %{version}
# for musicbrainz plugin
Requires:   python3dist(musicbrainzngs)
Conflicts:  exfaslo < %{version}

%description -n exfalso
Ex Falso is a program that uses the same tag editing back-end as Quod Libet,
but isn't connected to an audio player. If you're perfectly happy with your
favorite player and just want something that can handle tagging, Ex Falso
is for you.

%package gstbe
Summary:    GStreamer backend for quodlibet
Group:      Sound/Utilities
Requires:   quodlibet >= %{version}
Recommends: gstreamer1.0-plugins-good
Recommends: gstreamer1.0-plugins-bad
Provides:   quodlibet-be = %{version}

%description gstbe
This meta package installs necessary packages to provide gstreamer back-end support.

%package xinebe
Summary:    Xine backend for quodlibet
Group:      Sound/Utilities
Requires:   quodlibet >= %{version}
Requires:   xine1.2-common
Provides:   quodlibet-be = %{version}

%description xinebe
This meta package installs necessary packages to provide xine back-end support.

%prep
%setup -q
%autopatch -p1

%build
%py3_build

%install
%py3_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS.rst README.rst
%{_bindir}/%{name}
%{_bindir}/operon
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}*.egg-info
%{_datadir}/applications/io.github.%{name}.QuodLibet.*
%{_datadir}/appdata/io.github.%{name}.QuodLibet.appdata.xml
%{_datadir}/gnome-shell/search-providers/io.github.%{name}.QuodLibet-search-provider.ini
%{_datadir}/dbus-1/services/net.sacredchao.QuodLibet.service
%{_datadir}/zsh/site-functions/_quodlibet
%{_datadir}/bash-completion/completions/operon
%{_datadir}/bash-completion/completions/quodlibet
%{_datadir}/icons/hicolor/*/apps/io.github.%{name}.QuodLibet*.*
%{_mandir}/man1/quodlibet.*
%{_mandir}/man1/operon.*

%files -n exfalso
%{_bindir}/exfalso
%{_datadir}/applications/io.github.%{name}.ExFalso.desktop
%{_datadir}/appdata/io.github.%{name}.ExFalso.appdata.xml
%{_mandir}/man1/exfalso.*
%{_datadir}/icons/hicolor/*/apps/*ExFalso*.*

%files gstbe

%files xinebe
