%define upstream_name qView
%define _empty_manifest_terminate_build 0

Name:           qview
Version:        6.1
Release:        %mkrel 1
Summary:        Simple Qt-based image viewer
License:        GPLv3+
Group:          Graphics/Viewers
URL:            https://interversehq.com/qview
Source0:        https://github.com/jurplel/qView/releases/download/%{version}/%{upstream_name}-%{version}.tar.gz

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  qttools6

%description
Qt-based image viewer designed to be practical and minimal.

%prep
%autosetup -n %{upstream_name}

%build
%qmake_qt6 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/com.interversehq.qView.desktop
%{_metainfodir}/com.interversehq.qView.appdata.xml
%{_iconsdir}/hicolor/symbolic/apps/com.interversehq.qView-symbolic.svg
%{_iconsdir}/hicolor/scalable/apps/com.interversehq.qView.svg
%{_iconsdir}/hicolor/*x*/apps/com.interversehq.qView.png
