Name:		qxgedit
Version:	1.0.1
Release:	%mkrel 1
Summary:	Qt XG Editor
License:	GPLv2+
Group:		Sound/Midi
URL:		https://qxgedit.sourceforge.io/
Source0:	https://downloads.sourceforge.net/qxgedit/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(alsa)

%description
QXGEdit is a Qt GUI for editing MIDI System Exclusive files
for XG devices (eg. Yamaha DB50XG).

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

# menu
desktop-file-install \
	--remove-key="X-SuSE-translate" \
	--remove-key="Version" \
	--set-key=Exec --set-value="%{name}" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%files
%doc ChangeLog README
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_qt6_plugindir}/styles/libskulpturestyle.so
%{_datadir}/applications/org.rncbc.qxgedit.desktop
%{_metainfodir}/org.rncbc.qxgedit.metainfo.xml
%{_iconsdir}/*/*/*/*.png
%{_iconsdir}/*/*/*/*.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*
