%define major		1
%define libname		%mklibname qxlsxqt6_ %{major}
%define develname	%mklibname qxlsx-qt6 -d
%define fname		QXlsx

Name:		qxlsx
Version:	1.5.0
Release:	%mkrel 1
Summary:	Excel/XLSX file reader/writer library for Qt
Group:		Databases
License:	MIT
URL:		https://github.com/QtExcel/QXlsx
Source0:	https://github.com/QtExcel/QXlsx/archive/v%{version}/QtXslx-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	pkgconfig(xkbcommon)

%description
QXlsx is a reader/writer library for Excel files (*.xlsx).

%package -n %{libname}
Summary:	Library for QXlsx (Qt6)
Group:		System/Libraries

%description -n %{libname}
QXlsx is a reader/writer library for Excel files (*.xlsx).

%package -n %{develname}
Summary:	Development files for QtXslx Qt6
Group:		Development/KDE and Qt
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-qt6-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{develname}
QXlsx is a reader/writer library for Excel files (*.xlsx).

This package contains the development files of QXlsx for Qt6.

%prep
%autosetup -p1 -n %{fname}-%{version}

%build
%cmake QXlsx \
	-DQT_VERSION_MAJOR:STRING=6
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%{_libdir}/libQXlsxQt6.so.%{major}
%{_libdir}/libQXlsxQt6.so.%{version}

%files -n %{develname}
%license LICENSE
%doc README*
%{_libdir}/libQXlsxQt6.so
%{_includedir}/QXlsxQt6/
%{_libdir}/cmake/QXlsxQt6/
