Name:           qxmledit
Version:        0.9.18
Release:        %mkrel 2
Summary:        Simple XML editor and XSD viewer
Group:          Editors
License:        LGPLv2 and LGPLv3
URL:            https://qxmledit.org/
Source:         https://sourceforge.net/projects/qxmledit/files/QXmlEdit-%{version}/%{name}-%{version}-src.tgz
Patch0:         qxmledit-0.9.18-mga-install-files.patch
BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Scxml)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  pkgconfig(freeglut)

%description
QXmlEdit is a simple XML editor written in Qt5. Its main features are unusual
data visualization modes, nice XML manipulation and presentation.
It can split very big XML files into fragments, and compare XML files.
It is one of the few graphical Open Source XSD viewers.

%prep
%autosetup -p1

%build
%qmake_qt5  \
    QXMLEDIT_INST_DATA_DIR=%{_datadir} \
    QXMLEDIT_INST_TRANSLATIONS_DIR=%{_datadir}/%{name}/translations \
    QXMLEDIT_INST_DIR=%{_bindir} \
    QXMLEDIT_INST_DOC_DIR=%{_docdir}/%{name} \
    QXMLEDIT_INST_LIB_DIR=%{_libdir} \
    QXMLEDIT_INST_INCLUDE_DIR=%{_includedir}/%{name} \
    QXMLEDIT_INST_ICON_DIR=%{_iconsdir}/hicolor/32x32/apps \
    QXMLEDIT_INST_DESKTOPINFO_DIR=%{_datadir}/applications \
    QXMLEDIT_INST_METAINFO_DIR=%{_metainfodir} \
    QXMLEDIT_INST_USE_C11=y

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

rm -fr %{buildroot}%{_includedir} %{buildroot}%{_libdir}/*.so

install -Dm 0644 ./src/images/icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

mv %{buildroot}%{_datadir}/applications/QXmlEdit.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS DISTRIBUTING NEWS README ROADMAP TODO doc/QXmlEdit_manual.pdf
%license COPYING GPLV3.txt LGPLV3.txt
%{_bindir}/%{name}
%{_libdir}/libQXmlEdit*.so.*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/QXmlEdit.appdata.xml
%{_iconsdir}/hicolor/*/*/%{name}.*
%{_mandir}/man1/%{name}.1.*
