%define major			5
%define libname_qt5		%mklibname %{name}qt5_ %{major}
%define libname_omemo_qt5	%mklibname %{name}omemoqt5_ %{major}
%define devname_qt5		%mklibname %{name}qt5 -d

%define libname_qt6		%mklibname %{name}qt6_ %{major}
%define libname_omemo_qt6	%mklibname %{name}omemoqt6_ %{major}
%define devname_qt6		%mklibname %{name}qt6 -d

%bcond_without	qt5
%bcond_without	qt6

Name:		qxmpp
Version:	1.10.3
Release:	%mkrel 1
Summary:	XMPP client and server library based on Qt
License:	LGPLv2+
Group:		System/Libraries
Url:		https://invent.kde.org/libraries/qxmpp
Source0:	%{url}/-/archive/v%{version}/qxmpp-v%{version}.tar.gz
### Qt5 build dependencies
%if %{with qt5}
BuildRequires:	cmake(Qca-qt5)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Xml)
%endif
### Qt6 build dependencies
%if %{with qt6}
BuildRequires:	cmake(Qca-qt6)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Xml)
%endif
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(libomemo-c)

%description
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

QXmpp strives to be as easy to use as possible, the underlying TCP socket,
the core XMPP RFCs (RFC3920 and RFC3921) and XMPP extensions have been
nicely encapsulated into classes. QXmpp comes with full API
documentation, automatic tests and many examples.

QXmpp uses Qt extensively, and as such users need to a have working knowledge
of C++ and Qt basics (Signals and Slots and Qt data types).

Qt is the only third party library which is required to build QXmpp, but
libraries such as speex, vpx and theora enable additional features.

#----------------------------------------------------
### Qt5 ###

%package -n	%{libname_qt5}
Summary:	XMPP client and server library based on Qt5
Group:		System/Libraries

%description -n	%{libname_qt5}
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

QXmpp strives to be as easy to use as possible, the underlying TCP socket,
the core XMPP RFCs (RFC3920 and RFC3921) and XMPP extensions have been
nicely encapsulated into classes. QXmpp comes with full API
documentation, automatic tests and many examples.

QXmpp uses Qt extensively, and as such users need to a have working knowledge
of C++ and Qt basics (Signals and Slots and Qt data types).

Qt is the only third party library which is required to build QXmpp, but
libraries such as speex, vpx and theora enable additional features.

%files -n %{libname_qt5}
%doc AUTHORS CHANGELOG.md README.md
%license LICENSES/*
%{_libdir}/libQXmppQt5.so.%{major}
%{_libdir}/libQXmppQt5.so.%{version}

#----------------------------------------------------

%package -n	%{libname_omemo_qt5}
Summary:	XMPP client and server library based on Qt5
Group:		System/Libraries

%description -n	%{libname_omemo_qt5}
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

QXmpp strives to be as easy to use as possible, the underlying TCP socket,
the core XMPP RFCs (RFC3920 and RFC3921) and XMPP extensions have been
nicely encapsulated into classes. QXmpp comes with full API
documentation, automatic tests and many examples.

QXmpp uses Qt extensively, and as such users need to a have working knowledge
of C++ and Qt basics (Signals and Slots and Qt data types).

Qt is the only third party library which is required to build QXmpp, but
libraries such as speex, vpx and theora enable additional features.

%files -n %{libname_omemo_qt5}
%doc AUTHORS CHANGELOG.md README.md
%license LICENSES/*
%{_libdir}/libQXmppOmemoQt5.so.%{major}
%{_libdir}/libQXmppOmemoQt5.so.%{version}

#----------------------------------------------------

%package -n	%{devname_qt5}
Summary:	Development files for QXmpp (Qt5)
Group:		Development/C++
Requires:	%{libname_qt5} = %{version}-%{release}
Requires:	%{libname_omemo_qt5} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-qt5-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-qt5-devel = %{version}-%{release}

Obsoletes:	%{_lib}qxmpp-devel < 1.4.0-4

%description -n	%{devname_qt5}
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

The %{devname_qt5} package contains libraries and header files for
developing applications that use %{name} with Qt5.

%files -n %{devname_qt5}
%doc AUTHORS CHANGELOG.md README.md
%license LICENSES/*
%{_includedir}/QXmppQt5/
%{_libdir}/libQXmppQt5.so
%{_libdir}/libQXmppOmemoQt5.so
%{_libdir}/cmake/QXmpp/
%{_libdir}/cmake/QXmppQt5/
%{_libdir}/cmake/QXmppOmemoQt5/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/QXmppQt5.pc

### End Qt5 ###

#----------------------------------------------------
### Qt6 ###

%package -n	%{libname_qt6}
Summary:	XMPP client and server library based on Qt6
Group:		System/Libraries

%description -n	%{libname_qt6}
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

QXmpp strives to be as easy to use as possible, the underlying TCP socket,
the core XMPP RFCs (RFC3920 and RFC3921) and XMPP extensions have been
nicely encapsulated into classes. QXmpp comes with full API
documentation, automatic tests and many examples.

QXmpp uses Qt extensively, and as such users need to a have working knowledge
of C++ and Qt basics (Signals and Slots and Qt data types).

Qt is the only third party library which is required to build QXmpp, but
libraries such as speex, vpx and theora enable additional features.

%files -n %{libname_qt6}
%doc AUTHORS CHANGELOG.md README.md
%license LICENSES/*
%{_libdir}/libQXmppQt6.so.%{major}
%{_libdir}/libQXmppQt6.so.%{version}

#----------------------------------------------------

%package -n	%{libname_omemo_qt6}
Summary:	XMPP client and server library based on Qt6
Group:		System/Libraries

%description -n	%{libname_omemo_qt6}
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

QXmpp strives to be as easy to use as possible, the underlying TCP socket,
the core XMPP RFCs (RFC3920 and RFC3921) and XMPP extensions have been
nicely encapsulated into classes. QXmpp comes with full API
documentation, automatic tests and many examples.

QXmpp uses Qt extensively, and as such users need to a have working knowledge
of C++ and Qt basics (Signals and Slots and Qt data types).

Qt is the only third party library which is required to build QXmpp, but
libraries such as speex, vpx and theora enable additional features.

%files -n %{libname_omemo_qt6}
%doc AUTHORS CHANGELOG.md README.md
%license LICENSES/*
%{_libdir}/libQXmppOmemoQt6.so.%{major}
%{_libdir}/libQXmppOmemoQt6.so.%{version}

#----------------------------------------------------

%package -n	%{devname_qt6}
Summary:	Development files for QXmpp (Qt6)
Group:		Development/C++
Requires:	%{libname_qt6} = %{version}-%{release}
Requires:	%{libname_omemo_qt6} = %{version}-%{release}
Provides:	%{name}-qt6-devel = %{version}-%{release}
Provides:	lib%{name}-qt6-devel = %{version}-%{release}

%description -n	%{devname_qt6}
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

The %{devname_qt6} package contains libraries and header files for
developing applications that use %{name} with Qt6.

%files -n %{devname_qt6}
%doc AUTHORS CHANGELOG.md README.md
%license LICENSES/*
%{_includedir}/QXmppQt6/
%{_libdir}/libQXmppQt6.so
%{_libdir}/libQXmppOmemoQt6.so
%{_libdir}/cmake/QXmppQt6/
%{_libdir}/cmake/QXmppOmemoQt6/
%{_libdir}/pkgconfig/QXmppQt6.pc

### End Qt6 ###

#----------------------------------------------------

%package	doc
Summary:	Library documentation for QXmpp
Group:		Documentation
BuildArch:	noarch

%description	doc
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

This package contains library documentation for QXmpp.

%files doc
%doc AUTHORS CHANGELOG.md README.md SECURITY.md
%{_docdir}/%{name}/

#----------------------------------------------------

%prep
%autosetup -n qxmpp-v%{version}

%build
### Build Qt5 ###
%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_qt5 \
	-DQT_VERSION_MAJOR=5 \
	-DBUILD_DOCUMENTATION=ON \
	-DWITH_GSTREAMER=ON \
	-DBUILD_OMEMO=ON
%cmake_build
%endif

### Build Qt6 ###
%if %{with qt6}
%define _vpath_builddir build-qt6
%cmake_qt6 \
	-DQT_VERSION_MAJOR=6 \
	-DBUILD_DOCUMENTATION=OFF \
	-DWITH_GSTREAMER=ON \
	-DBUILD_OMEMO=ON
%cmake_build
%endif

%install
%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_install
%endif

%if %{with qt6}
%define _vpath_builddir build-qt6
%cmake_install
%endif
