%bcond_without buildtex

%global jarname   rabbitmq-client

%global failjava  true
%global failjunit no
#global failjunit yes

Name:          rabbitmq-java-client
Version:       3.6.5
Release:       %mkrel 2
Group:         Development/Java
Summary:       Java Advanced Message Queue Protocol client library
License:       ASL 2.0 and GPLv2+ and MPLv1.1
URL:           https://www.rabbitmq.com/java-client.html
Source0:       https://www.rabbitmq.com/releases/%{name}/v%{version}/%{name}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: maven-local mvn(commons-cli:commons-cli) mvn(commons-io:commons-io) mvn(junit:junit)
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: java-headless
BuildRequires: python2-devel >= 2.6
BuildRequires: python2-simplejson

%if 0%{?with buildtex}
BuildRequires: texi2html
BuildRequires: %{_bindir}/pdflatex
%endif

# for tests execution
BuildRequires:  rabbitmq-server
BuildRequires:  hostname
BuildRequires:  procps-ng

Recommends:     rabbitmq-server
Recommends:     activemq


%description
The library allows Java code to interface to AMQP servers.
Please see the specification page for more information on AMQP
inter-operation and standards-conformance

You will need an AMQP server, such as our very own RabbitMQ server,
to use with the client library.


%package doc
Summary:       Documentation for %{name}
Requires:      %{name} = %{version}-%{release}

%description doc
This package contains additional documentation for %{name}.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.


%prep
%setup -q
find . -name "*.bat" -delete
find . -name "*.class" -delete
find . -name "*.jar" -print -delete
# use ant only
rm Makefile

ln -sf $(build-classpath commons-cli) lib/
ln -sf $(build-classpath commons-io) lib/
ln -sf $(build-classpath junit) lib/

# Disable Spring bundlor support
sed -i "s|, bundlor.do||" build.xml
sed -i "s|, test-bundlor.do||" build.xml

#sed -i 's,\(\"jar.name\" value=\"\).*\",\1%{jarname}\",' build.xml
sed -i 's,\(\"haltOnFailureJunit\" value=\"\).*\",\1%{failjunit}\",' build.xml
sed -i 's,\(\"haltOnFailureJava\" value=\"\).*\",\1%{failjava}\",' build.xml

%mvn_file com.rabbitmq:amqp-client %{name} %{jarname} amqp-client


%build
%ant -Dimpl.version=%{version} -Dpython.bin=%{__python2} maven-bundle

# distribute documentation
cd doc/channels
%if 0%{?with buildtex}
find . -name \*.tex -print -exec 'texi2html {} ; pdflatex {}' \; -delete
%endif
find . -not -name channels.\* -delete


%install
%mvn_artifact build/bundle/amqp-client-%{version}.pom build/bundle/amqp-client-%{version}.jar
%mvn_install -J build/doc/api


%check
ant test-jar

#ant test-suite
#ant -Dtest=testDoubleDeletionExchange test-single
ant test-server

# client tests need a mock server, ugly hackery :)
export RABBITMQ_LOG_BASE=.
export RABBITMQ_MNESIA_BASE=.
%{_prefix}/lib/rabbitmq/bin/rabbitmq-server start -detached
pgrep -cf rabbitmq_server && ant test-client

# FIXME functional tests failure ahead!
#ant test-functional
#ant test-functional-and-server-with-ha

pkill -f rabbitmq_server ||:


%files -f .mfiles
%license LICENSE*
%doc README*

%files doc
%doc doc/*

%files javadoc -f .mfiles-javadoc
%license LICENSE*


