%define _legacy_common_support 1

Name:           raceintospace
Version:        1.1
Release:        %mkrel 8
Summary:        A turn based space race strategy game
Group:          Games/Strategy
License:        GPLv2+
Url:            https://www.raceintospace.org/
Source0:        https://download.sourceforge.net/raceintospace/%{name}-%{version}.tar.gz

# Does not manage to allocate memory on 64bit:
# https://sourceforge.net/p/raceintospace/discussion/438959/thread/543f0184/
ExclusiveArch:  %ix86
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(theora)

%description
Race Into Space is the free software version of the Liftoff! board game
by Fritz Bronner, originally developed by Strategic Visions and published
by Interplay in 1993 and 1994 as Buzz Aldrin's Race Into Space.

%prep
%setup -q

sed -i '/Version/d' debian/%{name}.desktop

%build
%configure --datadir=%{_gamesdatadir}
%make_build

%install
%makeinstall bindir=%{buildroot}%{_gamesbindir} \
             datadir=%{buildroot}%{_gamesdatadir}

mv %{buildroot}%{_gamesdatadir}/doc %{buildroot}%{_docdir}

install -D -m644 debian/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 os_linux/%{name}.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%files
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_docdir}/%{name}/README
%{_mandir}/man6/%{name}.6*
