%global checkout 602hg

Name:           rachota
Version:        2.4
Release:        %mkrel 0.%{checkout}.1
Summary:        Straightforward timetracking
Group:          Development/Java

License:        CDDL-1.0
URL:            https://rachota.sourceforge.net/en/index.html
## Upstream does not provide any source tarball.
## We have to check them out via mercurial.
# hg clone http://hg.code.sf.net/p/rachota/code rachota
# cd rachota
# hg update -c 602
# cd ..
# tar caf rachota.tar.gz rachota
Source0:        %{name}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  jpackage-utils

BuildRequires:  junit

BuildRequires:  maven-local

BuildRequires:  desktop-file-utils

Requires:       jpackage-utils

Requires:       java

%description
Rachota is a portable application for timetracking different projects. It runs
everywhere. It displays time data in diagram form, creates customized reports
and invoices or analyses measured data and suggests hints to improve user's
time usage. The totally portable yet personal timetracker. 

%package javadoc
Summary:        Javadocs for %{name}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

%build
%mvn_build

%install
%mvn_install

%jpackage_script org.cesilko.rachota.gui.MainWindow "" "" %{name} %{name} true

install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}



%files -f .mfiles
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files javadoc -f .mfiles-javadoc
