# comment out if not a git snapshot
#define git		git20190309

%define uname		cutter

# Translation files are in a separate project
# https://github.com/radareorg/cutter-translations
%define tr_commit	8358f174d519bbf0d6cf4e1ccbe586308c009f85

%define rel 4

%global toolchain clang

Name:		radare2-cutter
Epoch:		1
Version:	2.3.4
Release:	%mkrel %{?git:0.%git.}%{rel}
Summary:	A Qt and C++ GUI for radare2 reverse engineering framework
License:	GPLv3+
Group:		Development/Tools
Url:		https://www.radare.org/
Source0:	https://github.com/rizinorg/cutter/archive/v%{version}/%{uname}-%{version}.tar.gz
Source1:	https://github.com/rizinorg/cutter-translations/archive/%{tr_commit}.tar.gz
Patch1:		pyside-6.7.patch
Patch2:		0001-Fix-build-failure-against-PySide-6.8.patch

BuildRequires:	pkgconfig(capstone)
BuildRequires:	pkgconfig(libgvc)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(r_core)
BuildRequires:	pkgconfig(rz_core) >= 0.7.0

BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6SvgWidgets)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(PySide6)
BuildRequires:	cmake(Shiboken6)
#BuildRequires:	cmake(KF6SyntaxHighlighting)

BuildRequires:	cmake
%if "%{toolchain}" == "clang"
BuildRequires:	clang
%endif

Requires:	radare2
Requires:	rizin-common
Provides:	%{uname} = %epoch:%{version}-%{release}
Provides:	cutter = %epoch:%{version}-%{release}

%description
A Qt and C++ GUI for radare2 reverse engineering framework
(originally named Iaito).

Cutter is not aimed at existing radare2 users. It instead focuses
on those whose are not yet radare2 users because of the learning
curve, because they don't like CLI applications or because of the
difficulty/instability of radare2.

#------------------------------------------------------------------------------

%package devel
Summary:	Development files for the rizin package
Group:		Development/Tools
Requires:	%{name}%{?_isa} >= %epoch:%{version}-%{release}

%description devel
Development files for the rizin package. See rizin package for more
information.

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{uname}-%{version} -a1

# Prepare translation files
mv cutter-translations-%{tr_commit}/* src/translations/

%build
export LLVM_INSTALL_DIR="%{_prefix}"
%cmake -DCUTTER_QT6=ON \
       -DCUTTER_USE_BUNDLED_RIZIN=OFF \
       -DCUTTER_USE_ADDITIONAL_RIZIN_PATHS=OFF \
       -DCUTTER_ENABLE_PYTHON=ON \
       -DCUTTER_ENABLE_PYTHON_BINDINGS=ON \
       -DPYSIDE_INCLUDE_DIRS=%{_includedir}/PySide6 \
       -DPYSIDE_TYPESYSTEMS=%{_datadir}/PySide6/typesystems
%if 0
pushd src
%{_qt6_bindir}/lrelease translations/*.ts
popd
%endif
%cmake_build

%install
%cmake_install

%files
%doc CONTRIBUTING.md README.md docs/*
%license COPYING
%{_bindir}/cutter
%{_datadir}/applications/re.rizin.cutter.desktop
%{_iconsdir}/hicolor/scalable/apps/cutter.svg
%{_datadir}/rizin/cutter/

%files devel
%_includedir/cutter/
%{_libdir}/cmake/Cutter/
