%define major	%{version}
%define libname	%mklibname %{name}_ %{major}
%define devname	%mklibname %{name} -d

Name:		radare2
Version:	5.9.8
Release:	%mkrel 3
Summary:	Reverse engineering framework and commandline tools security
License:	GPLv3+ and LGPLv3+
Group:		System/Libraries
Url:		https://www.radare.org/
Source0:	https://github.com/radareorg/radare2/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch1:		CVE-2025-1378.patch
# CVE-2024-56737
Patch2:		radare2-5.9.8-hfs-cve.patch
# CVE-2025-1744
Patch3:		radare2-5.9.8-zlib-cve.patch
# CVE-2025-1864
Patch4:		radare2-5.9.8-magic-cve.patch

BuildRequires:	meson
BuildRequires:	gmp-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(capstone)
BuildRequires:	pkgconfig(libuv)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(libmagic)
BuildRequires:	pkgconfig(libxxhash)
BuildRequires:	pkgconfig(libzip)
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	pkgconfig(zlib)

%description
Radare2 is a rewrite from scratch of radare in order to provide a set
of libraries and tools to work with binary files.

Radare project started as a forensics tool, a scriptable commandline
hexadecimal editor able to open disk files, but later support for
analyzing binaries, disassembling code, debugging programs, attaching
to remote gdb servers, ...

#------------------------------------------------

%package -n	%{libname}
Summary:	Reverse engineering framework and commandline tools security
Group:		System/Libraries

%description -n	%{libname}
Radare2 is a rewrite from scratch of radare in order to provide a set
of libraries and tools to work with binary files.

Radare project started as a forensics tool, a scriptable commandline
hexadecimal editor able to open disk files, but later support for
analyzing binaries, disassembling code, debugging programs, attaching
to remote gdb servers, ...

#------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Header files for development with %{name}.

#------------------------------------------------


%prep
%autosetup -p1

%build
# Whereever possible use the system-wide libraries instead of bundles
%meson \
    -Duse_sys_magic=true \
    -Duse_sys_zip=true \
    -Duse_sys_zlib=true \
    -Duse_sys_lz4=true \
    -Duse_sys_xxhash=true \
    -Duse_sys_openssl=true \
    -Duse_libuv=true \
    -Duse_sys_capstone=true
%meson_build

%install
%meson_install

%files
%doc CONTRIBUTING.md DEVELOPERS.md
%doc %{_docdir}/%{name}/
%license COPYING
%{_bindir}/r2
%{_bindir}/r2agent
%{_bindir}/r2pm
%{_bindir}/r2r
%{_bindir}/rabin2
%{_bindir}/radare2
%{_bindir}/radiff2
%{_bindir}/rafind2
%{_bindir}/ragg2
%{_bindir}/rahash2
%{_bindir}/rarun2
%{_bindir}/rasign2
%{_bindir}/rasm2
%{_bindir}/ravc2
%{_bindir}/rax2
%{_datadir}/%{name}/
%{_datadir}/zsh/site-functions/_r*
%{_mandir}/man1/r*.1.*
%{_mandir}/man7/esil.7.*

%files -n %{libname}
%license COPYING
%{_libdir}/libr*.so.%{major}

%files -n %{devname}
%license COPYING
%{_includedir}/libr/
%{_libdir}/libr*.so
%{_libdir}/pkgconfig/*.pc
