%define oname	Radicale

Summary:	Simple Calendar and Contact Server
Name:		radicale
Version:	3.3.3
Release:	%mkrel 2
License:	GPLv3+
Group:		System/Servers
URL:		https://pypi.org/project/Radicale/
Source0:	https://pypi.python.org/packages/source/R/%{oname}/%{name}-%{version}.tar.gz
Source1:	radicale.service
Source2:	radicale.logrotate
Source3:	radicale.tmpfiles
# Patch0: config adjustments for systemwide installation
Patch0:		radicale-3.3.3-systemwide.patch
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires(pre):	rpm-helper >= %{rpmhelper_required_version}
Requires(preun):rpm-helper >= %{rpmhelper_required_version}
Requires(post):	rpm-helper >= %{rpmhelper_required_version}
Recommends:	python3-OpenSSL
Recommends:	python3-passlib
Recommends:	python3-requests

%description
The Radicale Project is a complete CalDAV (calendar) and CardDAV (contact)
server solution.

Calendars and address books are available for both local and remote access,
possibly limited through authentication policies. They can be viewed and
edited by calendar and contact clients on mobile phones or computers.

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} %{_sbindir}/nologin
%_pre_groupadd %{name}

%post
%create_ghostfile %{_logdir}/%{name}/%{name}.log %{name} %{name} 0600
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%{_bindir}/%{name}
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %attr(640, radicale, radicale) %{_sysconfdir}/%{name}/config
%dir %attr(700, radicale, radicale) %{_localstatedir}/lib/%{name}/
%dir %attr(700, radicale, radicale) %{_localstatedir}/lib/%{name}/collections/
%dir %attr(700, radicale, radicale) %{_logdir}/%{name}/
%ghost %attr(600, radicale, radicale) %{_logdir}/%{name}/%{name}.log
%dir %ghost %attr(0755, radicale, radicale) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/radicale.pid
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}.dist-info

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install

#dir for collections
install -dm0755 %{buildroot}%{_localstatedir}/lib/%{name}/collections

#config
install -Dm0640 config %{buildroot}%{_sysconfdir}/%{name}/config

#logrotate
install -Dm0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

#systemd service file
install -Dm0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

#tmpfile
install -Dm0644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/%{name}.conf

#for ghost file
mkdir -p %{buildroot}%{_logdir}/%{name}
touch %{buildroot}%{_logdir}/%{name}/%{name}.log

