Name:		radiotray-ng
Version:	0.2.8
Release:	%mkrel 19
Summary:	An Internet radio player for Linux
License:	GPLv3+
Group:		Sound/Players
URL:		https://github.com/ebruck/radiotray-ng
Source0:	https://github.com/ebruck/radiotray-ng/archive/v%{version}/%{name}-%{version}.tar.gz
# From https://github.com/ebruck/radiotray-ng/pull/203
Patch1:		0001-update-wxFont-and-friends-for-libwxgtk32-1-deprecation-warnings.patch
# Others
Patch50:         0001-Add-French-radio-stations.patch
Patch51:         0001-Don-t-treat-warnings-as-errors.patch
Patch52:         0001-Fix-missing-include.patch
Patch53:         0001-Fix-appindicator-deprecations.patch

BuildRequires:	git-core
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	boost-devel
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(libxdg-basedir)
BuildRequires:	pkgconfig(libbsd)
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(glibmm-2.4)
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-soup
Requires:	python-lxml
Obsoletes:	radiotray < 0.7.3-12
Provides:	radiotray

%description
Radiotray-NG runs in the system tray allowing you to select and play
configured radio stations.

%prep
%autosetup -p1 -Sgit_am

# fix distributor
sed -i -e '/DISTRIBUTOR_ID/s/fedora/%{_real_vendor}/g' package/CMakeLists.txt

%build
%cmake \
	-DCONFIGURED_ONCE:BOOL=YES
%cmake_build

%install
%cmake_install

# fix .desktop file
desktop-file-edit %{buildroot}%{_datadir}/applications/radiotray-ng.desktop \
	--set-comment="Internet Radio Player" \
	--set-icon=radiotray-ng-on

# another .desktop file with bad icon
desktop-file-edit %{buildroot}%{_datadir}/applications/rtng-bookmark-editor.desktop \
	--set-icon=radiotray-ng-on

# yet another .desktop file with bad icon
desktop-file-edit %{buildroot}%{_sysconfdir}/xdg/autostart/radiotray-ng.desktop \
        --set-icon=radiotray-ng-on

# install better app icons from ubuntu-mono-light
rm -rf %{buildroot}%{_iconsdir}/hicolor/*/apps/radiotray-ng-{on,off}.png
install -Dpm644 data/themes/ubuntu-mono-light/apps/24/radiotray-ng-off.svg \
	%{buildroot}%{_iconsdir}/hicolor/scalable/apps/radiotray-ng-off.svg
install -Dpm644 data/themes/ubuntu-mono-light/apps/24/radiotray-ng-on.svg \
        %{buildroot}%{_iconsdir}/hicolor/scalable/apps/radiotray-ng-on.svg

# we don't want these
rm -rf %{buildroot}%{_iconsdir}/ubuntu*

# handle docs in files section
rm -rf %{buildroot}%{_docdir}
rm -rf %{buildroot}%{_datadir}/licences

%files
%license COPYING
%doc README.md AUTHORS
%{_bindir}/radiotray-ng
%{_bindir}/rt2rtng
%{_bindir}/rtng-bookmark-editor
%{_datadir}/radiotray-ng/
%{_datadir}/applications/radiotray-ng.desktop
%{_datadir}/applications/rtng-bookmark-editor.desktop
%{_sysconfdir}/xdg/autostart/radiotray-ng.desktop
%{_iconsdir}/{hicolor,Yaru}/*/apps/radiotray-ng*.{png,svg}
%{_iconsdir}/breeze/apps/*/radiotray-ng*.{png,svg}
%{_datadir}/metainfo/radiotray-ng.appdata.xml
