%define	major 2
%define libname %mklibname radiusclient-ng %{major}
%define develname %mklibname %{name} -d

Summary:	Radiusclient library and tools
Name:		radiusclient-ng
Version:	0.5.6
Release:	%mkrel 12
License:	BSD
Group:		System/Servers
URL:		https://sourceforge.net/projects/radiusclient-ng.berlios
Source0:	https://sourceforge.net/projects/radiusclient-ng.berlios/files/%{name}-%{version}.tar.gz

%description
Radiusclient is a /bin/login replacement which gets called by a getty to log in
a user and to setup the user's login environment. Normal login programs just
check the login name and password which the user entered against the local
password file (/etc/passwd, /etc/shadow). In contrast to that Radiusclient also
uses the RADIUS protocol to authenticate the user.

%package	conf
Summary:	Radiusclient configuration files
Group:		System/Libraries

%description 	conf
Configuration files required for Radiusclient

%package -n	%{libname}
Summary:	Radiusclient library
Group:          System/Libraries
Requires:	%{name}-conf = %{version}

%description -n	%{libname}
Libraries required for Radiusclient

%package -n	%{develname}
Summary:	Header files and development documentation for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel
Obsoletes:	%mklibname %{name} 2 -d

%description -n	%{develname}
Header files and development documentation for %{name}.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static \
    --enable-shadow \
    --enable-scp

%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

# rename these to prevent file clashes with the old package
cd %{buildroot}%{_sbindir}
for i in *; do mv ${i} ${i}-ng; done
cd -

%files
%doc BUGS CHANGES README* doc/*.html
%{_sbindir}/*

%files conf
%dir %{_sysconfdir}/%{name}
%attr(0644,root,root) %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}/*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/*
