%define	major 0
%define libname	%mklibname radius %{major}
%define develname %mklibname radius -d

Summary:	Radiusclient library and tools
Name:		radiusclient
Version:	0.3.2
Release:	%mkrel 23
License:	BSD
Group:		System/Libraries
URL:		ftp://ftp.cityline.net/pub/radiusclient/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-am_ac.patch
Patch1:		radiusclient-0.3.2-automake-1.13.patch

%description
Radiusclient is a /bin/login replacement which gets called by a getty
to log in a user and to setup the user's login environment. Normal
login programs just check the login name and password which the user
entered against the local password file (/etc/passwd, /etc/shadow). In
contrast to that Radiusclient also uses the RADIUS protocol to
authenticate the user.

%package -n	%{name}-utils
Summary:	Radiusclient library
Group:          System/Servers

%description -n	%{name}-utils
Radiusclient is a /bin/login replacement which gets called by a getty
to log in a user and to setup the user's login environment. Normal
login programs just check the login name and password which the user
entered against the local password file (/etc/passwd, /etc/shadow). In
contrast to that Radiusclient also uses the RADIUS protocol to
authenticate the user.

%package -n	%{libname}
Summary:	Radiusclient library
Group:          System/Libraries

%description -n	%{libname}
Libraries required for Radiusclient

%package -n	%{develname}
Summary:	Header files and development documentation for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libradius-devel = %{version}-%{release}
Obsoletes:	%{_lib}radius0-devel < 0.3.2-12

%description -n	%{develname}
Header files and development documentation for %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure \
    --disable-static \
    --enable-shadow \
    --enable-scp

%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{name}-utils
%doc BUGS CHANGES README* doc/*.html
%dir %{_sysconfdir}/%{name}
%config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}/*
%{_sbindir}/*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/*
