Summary:	The IPv6 Router Advertisement Daemon
Name:		radvd
Version:	2.20
Release:	%mkrel 1
License:	BSD
Group:		System/Servers
URL:		http://v6web.litech.org/radvd/
Source0:	http://v6web.litech.org/radvd/dist/%{name}-%{version}.tar.gz
Source2:	radvd.conf
Source3:	radvd.sysconfig
Source4:	radvd.service
Requires(post):	systemd >= %{systemd_required_version}
Requires(post):	rpm-helper
Requires(preun): rpm-helper
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	pkgconfig(libbsd)
BuildRequires:	pkgconfig(libdaemon)

%description
IPv6 has a lot more support for auto configuration than IPv4. But
for this auto configuration to work on the hosts of a network, the
routers of the local network have to run a program which answers
the auto configuration requests of the hosts.

On Linux this program is called radvd, which stands for Router
ADVertisement Daemon. This daemon listens to router solicitations (RS)
and answers with router advertisement (RA). Furthermore unsolicited
RAs are also send from time to time.

These RAs contain information, which is used by hosts to configure
their interfaces. This information includes address prefixes, the MTU of
the link and information about default routers.


%prep
%autosetup -p1

%build
%serverbuild
%configure --with-pidfile=%{_rundir}/%{name}/%{name}.pid
%make_build

%install
%make_install

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}

install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/radvd.conf
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/radvd
install -D -m0644 %{SOURCE4} %{buildroot}%{_unitdir}/radvd.service

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF >%{buildroot}%{_tmpfilesdir}/radvd.conf
d %{_rundir}/radvd 0755 radvd radvd -
EOF

%pre
%_pre_useradd radvd / %{_sbindir}/nologin

%post
%_tmpfilescreate %{name}
%_post_service radvd

%preun
%_preun_service radvd

%files
%doc CHANGES COPYRIGHT README TODO INTRO.html radvd.conf.example
%config(noreplace) %{_sysconfdir}/radvd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/radvd
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/radvd.conf
%{_sbindir}/*
%{_mandir}/*/*
