%define build_manual	0

Name:           ragel
Version:        6.10
Release:        %mkrel 4
Summary:        Finite state machine compiler
Group:          Development/Other
# aapl/ is the LGPLv2+
License:        GPLv2+ and LGPLv2+
URL:            https://www.colm.net/open-source/ragel/
Source0:        https://www.colm.net/files/ragel/%{name}-%{version}.tar.gz
%if %{build_manual}
BuildRequires:  transfig
BuildRequires:  texlive
BuildRequires:  texlive-texmf
%endif

%description
Ragel compiles finite state machines from regular languages into executable C,
C++, Objective-C, D, Java or Ruby code.

Ragel state machines can not only recognize byte sequences as regular
expression machines do, but can also execute code at arbitrary points in the
recognition of a regular language.

Code embedding is done using inline operators that do not disrupt the regular
language syntax.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
%if %{build_manual}
	--enable-manual \
%endif
	RUBY=ruby \
	JAVAC=javac \
	GMCS=gmcs
%make_build

%install
%make_install

%files
%doc ragel.vim
%doc examples
%doc doc/ragel-guide.pdf
%doc CREDITS ChangeLog
%{_bindir}/ragel
%{_mandir}/man1/ragel.*
