Name:		range-v3
Summary:	Range library for C++14/17/20, basis for C++20's std::ranges
Version:	0.12.0
Release:	%mkrel 1
License:	Boost and MIT
Group:		Development/C++
Url:		https://github.com/ericniebler/range-v3
Source0:	https://github.com/ericniebler/range-v3/archive/%{version}/range-v3-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	doxygen
BuildRequires:	git-core
BuildRequires:	boost-devel

%description
Ranges are an extension of the Standard Template Library that makes its
iterators and algorithms more powerful by making them composable. Unlike other
range-like solutions which seek to do away with iterators, in range-v3 ranges
are an abstraction layer on top of iterators.

%prep
%autosetup -p1

%build
%cmake -GNinja \
  -DCMAKE_BUILD_TYPE=Release \
  -DCMAKE_INSTALL_LIBDIR=share \
  -DRANGE_V3_EXAMPLES=OFF \
  -DRANGE_V3_TESTS=OFF \
  -DRANGE_V3_PERF=OFF \
  -DRANGE_V3_DOCS=OFF
%cmake_build

%install
%cmake_install

%files
%license LICENSE*
%doc CREDITS* README* TODO*
%{_includedir}/concepts/
%{_includedir}/range/
%{_includedir}/meta/
%{_includedir}/std/
%{_includedir}/module.modulemap
%{_datadir}/cmake/range-v3/
