%define commit 136416c7e2ecc27315fe2354ecadfe09202df7dd
%define gitrel  %(c=%{commit}; echo ${c:0:7})
%define date 20230823
%define rel 3

%global __brp_mangle_shebangs /usr/bin/true

Name:           ranger
Version:        1.9.4
Release:        %mkrel -c %{date}git.%{gitrel} %{rel}
Summary:        A flexible console file manager

Group:          File tools
License:        GPLv3+
URL:            https://ranger.github.io/
Source0:        https://api.github.com/repos/ranger/ranger/tarball/%{gitrel}#/ranger-1.9.4-git.%{date}.%{gitrel}.tar.gz 

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Ranger is a free console file manager that gives you greater flexibility and a
good overview of your files without having to leave your *nix console. It
visualizes the directory tree in two dimensions: the directory hierarchy on
one, lists of files on the other, with a preview to the right so you know where
you'll be going.

%prep
%setup -q -n ranger-ranger-%{gitrel}
sed -i -e '1d;2i#!/usr/bin/python3' %{name}.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ranger

mv %{buildroot}%{_docdir}/%{name} rpmdocs
find rpmdocs -type f -exec chmod -v -R -X '{}' \;


%files -f %{pyproject_files}
%doc rpmdocs/*
%{_bindir}/ranger
%{_bindir}/rifle
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/ranger.1.*
%{_mandir}/man1/rifle.1.*
