%define debug_package %nil

# filter out bogus auto-requires
%global __requires_exclude ^typelib\\(Unity\\)

Summary:	Images downloader for external devices
Name:		rapid-photo-downloader
Version:	0.9.36
Release:	%mkrel 2
License:	GPLv3+
Group:		Graphics/Photography
URL:		https://damonlynch.net/rapid
Source0:	https://launchpad.net/rapid/pyqt/%{version}/+download/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	gobject-introspection

Requires:	exiv2
Requires:	exif
Requires:	hicolor-icon-theme
Requires:	ffmpegthumbnailer
Requires:	libmediainfo
Requires:	libnotify
Requires:	%{_lib}gexiv2_2
Requires:	libraw-tools
Requires:	udisks2
Requires:	qtimageformats5
Requires:	python3-qt5
Requires:	python3dist(pygobject)
Requires:	python3dist(requests)
Requires:	python3dist(python-distutils-extra)
Requires:	python3dist(tenacity)
Requires:	perl(Image::ExifTool)
Recommends:	gstreamer1.0-plugins-good
Recommends:	gstreamer1.0-libav

%description
Rapid Photo Downloader is written by a photographer for professional
and amateur photographers. Released under the GNU GPL license, it is
designed for use on the Linux Desktop. It can download photos from
multiple cameras, memory cards, and Portable Storage Devices
simultaneously. It provides many options for subfolder
creation, image renaming and backup.

%files -f %{name}.lang
%doc CHANGES.md README.md RELEASE_NOTES.md
%license LICENSE
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}/
%{_iconsdir}/hicolor/*x*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_metainfodir}/net.damonlynch.rapid_photo_downloader.metainfo.xml
%{_datadir}/solid/actions/*.desktop
%{python3_sitelib}/raphodo/
%{python3_sitelib}/*.egg-info
%{_mandir}/man1/*

#---------------------------------------------------------------------

%prep
%autosetup -p1

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
#build_icons and build_translations simply stage those files for install (data_files) in setup.py
%{__python3} setup.py build_icons build_translations install -O1 --skip-build --root=%{buildroot}

%__install -d %{buildroot}%{_iconsdir}/%{name}
cp -a data/icons/* %{buildroot}%{_iconsdir}/%{name}/

%find_lang %{name}
