%define major     0
%define libname   %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

Summary:        Raptor RDF Parser Toolkit for Redland
Name:           raptor2
Version:        2.0.16
Release:        %mkrel 5
License:        GPLv2 LGPLv2
Group:          Development/Other
URL:            https://librdf.org/raptor/
Source0:        https://download.librdf.org/source/%{name}-%{version}.tar.gz
# https://github.com/dajobe/raptor/pull/58
Patch0:         raptor-libxml2-2.11-support.patch
Patch1:         raptor-CVE-2024-57823.patch

BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  icu-devel

Obsoletes:      raptor < 1.4.21-17

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%files
%doc AUTHORS ChangeLog NEWS README
%license COPYING COPYING.LIB LICENSE.txt
%{_mandir}/man1/rap*
%{_mandir}/man3/libraptor2.3*
%{_bindir}/rapper

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

Obsoletes:      %{_lib}raptor1 < 1.4.21-17

%description -n %{libname}
Dynamic libraries from %{name}.

%files -n %{libname}
%{_libdir}/libraptor2.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n     %{develname}
Summary:        Header files and static libraries from %{name}
Group:          Development/C
Requires:       %{libname} >= %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

Obsoletes:      %{_lib}raptor-devel < 1.4.21-17

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/raptor2/
%{_libdir}/libraptor2.so
%{_libdir}/pkgconfig/raptor2.pc
%{_includedir}/raptor2/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure --disable-static --with-icu-config=%{_bindir}/icu-config
%make_build

%install
%make_install
