%define major      0
%define libname    %mklibname %name %major
%define libnamedev %mklibname %name -d

%define xmlcatalog %{_sysconfdir}/xml/catalog

Summary:	Cataloging system for documentation on open systems
Name:		rarian
Version:	0.8.6
Release:	%mkrel 1
License:	GPLv2+
Group:		Publishing
Url:		https://rarian.freedesktop.org/
Source0:	https://gitlab.freedesktop.org/rarian/rarian/-/releases/%{version}/downloads/assets/%{name}-%{version}.tar.bz2
Source1:	scrollkeeper-omf.dtd
# gw https://bugs.freedesktop.org/show_bug.cgi?id=11779
Patch0:		rarian-0.5.4-mv.patch
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(tinyxml2)

Provides:	scrollkeeper = %version-%release
Requires(post):	libxml2-utils sgml-common util-linux-ng coreutils
Requires(preun): libxml2-utils sgml-common


%description
Rarian is a cataloging system for the installed documentation.

Rarian is designed to be a replacement for scrollkeeper.  It is
currently undergoing heavy development.  As of writing, rarian can be
installed in place of scrollkeeper and everything will work okay.

%package -n	%libname
Group:		System/Libraries
Summary:	Rarian cataloging system library

%description -n	%libname
Rarian is a cataloging system for the installed documentation.

Rarian is designed to be a replacement for scrollkeeper.  It is
currently undergoing heavy development.  As of writing, rarian can be
installed in place of scrollkeeper and everything will work okay.

%package -n	%libnamedev
Group:		Development/C
Summary:	Rarian cataloging system - development files
Requires:	%libname = %version
Provides:	%name-devel = %version-%release
Provides:	lib%name-devel = %version-%release
Provides:	scrollkeeper-devel = %version-%release

%description -n	%libnamedev
Rarian is a cataloging system for the installed documentation.

Rarian is designed to be a replacement for scrollkeeper.  It is
currently undergoing heavy development.  As of writing, rarian can be
installed in place of scrollkeeper and everything will work okay.

%prep
%autosetup -p1

%build
%configure --disable-skdb-update \
           --disable-static
%make_build

%install
%make_install

mkdir -p %{buildroot}/var/lib/rarian
touch %{buildroot}/var/lib/rarian/rarian-update-mtimes
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd

# (doktor5000) filetrigger was useless as /usr/bin/rarian-sk-update script doesn't do anything as skip_omf_translate=1 is defined - it will simply quit with exit 0

%post
  if [ "$1" = "1" ]; then
%{_bindir}/rarian-sk-update
%{_bindir}/xmlcatalog --noout --add "public" \
        "-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" \
        "%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" %xmlcatalog
fi
%{_bindir}/rarian-sk-rebuild > /dev/null || true

%preun
if [ "$1" = "0" -a -f %xmlcatalog -a -x %{_bindir}/xmlcatalog ] ; then
  %{_bindir}/xmlcatalog --noout --del \
	"%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" %xmlcatalog
fi

%postun
if [ "$1" = "0" ]; then
  # rarian is being removed, not upgraded.  
  rm -f %{_datadir}/help/*.document
fi

%files
%license COPYING COPYING.LIB COPYING.UTILS
%doc README ChangeLog NEWS AUTHORS
%{_bindir}/rarian*
%{_bindir}/scrollkeeper*
%dir %{_datadir}/help/
%{_datadir}/help/rarian.document
%{_datadir}/librarian/
%dir %{_datadir}/xml/scrollkeeper/
%dir %{_datadir}/xml/scrollkeeper/dtds/
%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd
%dir /var/lib/rarian
%ghost /var/lib/rarian/rarian-update-mtimes

%files -n %libname
%{_libdir}/librarian.so.%{major}{,.*}

%files -n %libnamedev
%doc ChangeLog TODO
%{_includedir}/rarian/
%{_libdir}/librarian.so
%{_libdir}/pkgconfig/rarian.pc
