%define	oname   RasMol

Name:           rasmol
Version:        2.7.3
Release:        %mkrel 12
Summary:        Molecular Graphics Visualization Tool
License:        GPL
Group:          Sciences/Chemistry
URL:            http://www.bernstein-plus-sons.com/software/rasmol/
Source0:        http://www.rasmol.org/software/%{oname}_%{version}.tar.gz
Source1:        rasmol16.png
Source2:        rasmol32.png
Source3:        rasmol48.png

BuildRequires:  gccmakedep
BuildRequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)

Provides:       RasMol

%description
RasMol is an X Window System tool intended for the visualization of
proteins and nucleic acids. It reads Brookhaven Protein Database (PDB)
files and interactively renders them in a variety of formats on either
an 8-bit or 24/32-bit color display.

%prep
%autosetup -n %{oname}_%{version}

rm -rf doc/RCS
find ./ -name ".DS_Store" -exec rm -f {} \;
chmod 644 NOTICE PROJECTS *.html *.shtml *.txt html_graphics/* data/* doc/*
# This script is mac-specific, we don't need it
rm -f data/RSML_fixup.csh

%build
pushd src
xmkmf -a
%make_build EXTRA_LDOPTIONS="%{ldflags}" CCOPTIONS="%{optflags}"
popd

%install
make -C src "DESTDIR=%{buildroot}" install
make -C src "DESTDIR=%{buildroot}" install.man

cp -a data %{buildroot}%{_libdir}/%{name}

install -D -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{oname}
Comment=Molecular Graphics Visualization Tool
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Science;Chemistry;
EOF

%files
%doc NOTICE PROJECTS TODO* README* RASLIC ChangeLog.* history.html index.shtml html_graphics
%doc doc/*.gz doc/*.html doc/*.hlp
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
