%define major	3
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name: 	 	rasqal
Summary: 	RDF querying library
Group:		Databases
Version: 	0.9.33
Release: 	%mkrel 5
License:	LGPL
URL:		https://librdf.org/rasqal/
Source:		https://download.librdf.org/source/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(raptor2) >= 2.0.4
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	flex 
BuildRequires:	bison

%description
Rasqal handles Resource Description Framework (RDF) query syntaxes, query
construction and query execution returning result bindings. The supported
query languages are RDQL and SPARQL.  Rasqal was designed to work closely
with the Redland RDF library but is entirely separate. It is intended to be
a portable library working across many POSIX systems (Unix, GNU/Linux,
BSDs, OSX, cygwin) win32 and others.

%files
%doc AUTHORS COPYING* ChangeLog LICENSE* NEWS* NOTICE README*
%{_bindir}/roqet
%{_mandir}/man1/roqet*

#--------------------------------------------------------------------
%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.

%files -n %{libname}
%{_libdir}/librasqal.so.%{major}{,.*}

#--------------------------------------------------------------------
%package -n 	%{develname}
Summary: 	Header files and static libraries from %{name}
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Provides:	lib%{name}-devel = %{version}-%{release} 

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%files -n %{develname}
%{_bindir}/%{name}-config
%multiarch %{multiarch_bindir}/%{name}-config
%{_includedir}/rasqal
%{_libdir}/librasqal.so
%{_libdir}/pkgconfig/rasqal.pc
%{_mandir}/man1/rasqal-config.*
%{_mandir}/man3/librasqal.*
%{_datadir}/gtk-doc/html/%{name}/

#--------------------------------------------------------------------
%prep
%setup -q

%build
%configure \
    --disable-static
%make_build
										
%install
%make_install

%multiarch_binaries %{buildroot}/%{_bindir}/%{name}-config

rm -fr %{buildroot}%{_libdir}/librasqal.la
