%define major   3
%define libname %mklibname lur %{major}
%define devname %mklibname lur -d

Name:           ratbagd
Version:        0.18
Release:        %mkrel 2
Summary:        A DBus daemon to configure input devices, mainly gaming mice
Group:          System/Configuration
License:        MIT

URL:            https://github.com/libratbag/libratbag
Source0:        https://github.com/libratbag/libratbag/archive/v%{version}/libratbag-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  swig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libevdev)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  unistring-devel
BuildRequires:  python3-evdev
BuildRequires:  pkgconfig(python3)

#needed for testsuite
BuildRequires:  valgrind
BuildRequires:  pkgconfig(check)
BuildRequires:  python3-lxml
BuildRequires:  python3-gobject

Requires:       python3-evdev
Requires:       python3-gobject

#GUI for configuration
Recommends:     piper >= 0.8

%description
Ratbagd is a DBus daemon which allow access to the various
features exposed by mainly gaming mice such as profiles, LED, resolution,
extra buttons, etc.

It abstracts away hardware-specific and kernel-specific quirks.

Ratbagd currently supports devices from:
  - Logitech
  - Etekcity
  - GSkill
  - Roccat
  - Steelseries

See the device files or the wiki page for a complete list of supported devices:
https://github.com/libratbag/libratbag/wiki/Devices

Users interact through a GUI like Piper. For developers, the ratbagctl tool is
the prime tool for debugging.

%package -n %{libname}
Summary:        Logitech Unifying Receiver configuration library
Group:          System/Libraries
Conflicts:      %{name} < 0.16-2

%description -n %{libname}
Logitech Unifying Receiver configuration library.

%package -n %{devname}
Summary:        Development headers for Logitech Unifying Receiver configuration library
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       liblur-devel = %{version}-%{release}
Conflicts:      %{name} < 0.16-2

%description -n %{devname}
Development headers and libraries for Logitech Unifying Receiver configuration library.

%prep
%autosetup -p1 -n libratbag-%{version}

%build
%meson \
  -Dsystemd-unit-dir=%{_unitdir}
%meson_build

%check
%meson_test

%install
%meson_install

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%{_bindir}/lur-command
%{_bindir}/ratbagctl
%{_sbindir}/ratbagd
%{_datadir}/dbus-1/system-services/org.freedesktop.ratbag1.service
%{_datadir}/dbus-1/system.d/org.freedesktop.ratbag1.conf
%{_datadir}/libratbag/
%{_mandir}/man?/*
%{_unitdir}/%{name}.service

%files -n %{libname}
%{_libdir}/liblur.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/liblur.h
%{_libdir}/pkgconfig/liblur.pc
%{_libdir}/liblur.so
