Name:		rawtherapee
Version:	5.11
Release:	%mkrel 1
Summary:	Raw image processing software

Group:		Graphics/Photography
License:	GPLv3 and MIT and IJG
URL:		https://www.rawtherapee.com/
Source0:	https://github.com/Beep6581/RawTherapee/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch2:		rawtherapee-5.2-CVE-2017-14348.patch
Patch3:		rawtherapee-5.2-CVE-2017-14265.patch
Patch4:		rawtherapee-5.2-CVE-2017-13735.patch
Patch6:		rawtherapee-mga-fix-building-with-libtiff-4.5.patch
BuildRequires:	bzip2-devel
BuildRequires:	cmake >= 2.8.8
BuildRequires:	libatomic-devel
BuildRequires:	libgomp-devel
BuildRequires:	mercurial
BuildRequires:	pkgconfig(expat) >= 2.0
BuildRequires:	pkgconfig(exiv2) >= 0.24
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fftw3f)
BuildRequires:	pkgconfig(gio-2.0) >= 2.16
BuildRequires:	pkgconfig(giomm-2.4) >= 2.12
BuildRequires:	pkgconfig(glib-2.0) >= 2.16
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.16
BuildRequires:	pkgconfig(gobject-2.0) >= 2.16
BuildRequires:	pkgconfig(gthread-2.0) >= 2.16
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.24.3
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.16
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(lensfun)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libiptcdata)
BuildRequires:	pkgconfig(libjpeg) 
BuildRequires:	pkgconfig(libjxl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.52
BuildRequires:	pkgconfig(libtiff-4) >= 4.0.4
BuildRequires:	pkgconfig(sigc++-2.0)
Requires:	hicolor-icon-theme
Requires:	lensfun

%description
Rawtherapee is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture before finally exporting it
to some common image format.

%prep
%setup -q
%autopatch -p1

%build
export CXXFLAGS="%{optflags} -O3"
%cmake -DBUILD_SHARED_LIBS=OFF
%cmake_build

%install
%cmake_install

# These file are taken from the root already
rm -rf %{buildroot}%{_datadir}/doc/rawtherapee

%files
%doc AUTHORS.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/com.rawtherapee.RawTherapee.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*
