%define major	1
%define libname	%mklibname razer %{major}

Name:		razercfg
Version:	0.42
Release:	%mkrel 7
Summary:	Razer device configuration tool
Group:		System/Configuration
License:	GPLv2
URL:		https://bues.ch/cms/hacking/razercfg.html
Source0:	https://bues.ch/releases/razercfg/%{name}-%{version}.tar.xz
Source1:	razerd.service
Patch0:		libdir_64_fix.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3-qt5-devel

Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-network
Requires:	python3-qt5-widgets

%description
This is the next generation Razer device configuration tool
bringing the Razer gaming experience to the free open source world.
This utility is a replacement for the old deathaddercfg tool.
The tool architecture is based on "razerd", which is a background
daemon doing all of the lowlevel privileged hardware accesses.
The user interface tools are "razercfg", a commandline tool;
and "qrazercfg", a QT5 based graphical device configuration tool.

%package -n %{libname}
Summary:        Razer device configuration tool
Group:          System/Libraries
Conflicts:      %{name} < 0.39-4
Obsoletes:      %{_lib}%{name}1 < 0.39-3

%description -n %{libname}
This is the next generation Razer device configuration tool
bringing the Razer gaming experience to the free open source world.
This utility is a replacement for the old deathaddercfg tool.
The tool architecture is based on "razerd", which is a background
daemon doing all of the lowlevel privileged hardware accesses.
The user interface tools are "razercfg", a commandline tool;
and "qrazercfg", a QT5 based graphical device configuration tool.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

install -Dpm 0755 %{SOURCE1} -D %{buildroot}%{_unitdir}/razerd.service
install -d %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/razerd %{buildroot}%{_sbindir}/razerd

rm -f %{buildroot}%{_libdir}/*.so

%post
%_tmpfilescreate razerd
%_post_service razerd

%preun
%_preun_service razerd

%files
%doc COPYING README* HACKING*
%{_bindir}/*
%{_sbindir}/razerd
%{_unitdir}/razerd.service
%{_sysconfdir}/pm/sleep.d/50-razer
%{_udevrulesdir}/80-razer.rules
%{python3_sitelib}/*
%{_datadir}/applications/razercfg.desktop
%{_iconsdir}/hicolor/*/apps/razercfg*
%dir %ghost %attr(0755, root, root) %{_rundir}/razerd
%{_tmpfilesdir}/razerd.conf

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}
