%define debug_package %{nil}
%global goipath         github.com/rclone/rclone

Name:		rclone
Version:	1.68.1
Release:	%mkrel 1
%gometa
Summary:	A cloud storage cloning tool
Group:		Networking/File transfer
License:	MIT
URL:		https://github.com/rclone/rclone
Source0:	https://github.com/rclone/rclone/archive/v%{version}/%{name}-%{version}.tar.gz
# Make this tar file by going into BUILD/rclone* and launch:
# export GO111MODULE=on
# go mod vendor 
# tar cvfz ../../SOURCES/rclone-%%{version}-vendor.tar.gz vendor/
# remove file from sha1.lst and re-issue mgarepo sync -d
Source1:	%{name}-%{version}-vendor.tar.gz
BuildRequires:  golang >= 1.20

%description
rclone is a "rsync for cloud storage" - Google Drive, Amazon Drive, S3,
Dropbox, Backblaze B2, One Drive, Swift, Hubic, Cloudfiles,
Google Cloud Storage, Yandex Files 
https://rclone.org

%prep
%goprep
mkdir -p src/github.com/rclone
ln -s $(pwd) src/github.com/rclone/%{name}
tar xfz %{SOURCE1}

%build
# If you have a build error here due to download of modules, then rebuild the vendor.tgz file as described above
export GOPATH=$(pwd)/_build:%{gopath}
go env -w GO111MODULE=off
go build -o bin/rclone

%install
install -D bin/%{name} ${RPM_BUILD_ROOT}/%{_bindir}/%{name}
install -D %{name}.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1/%{name}.1

%files
%doc COPYING README.md MANUAL.md MANUAL.html docs/content/*.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
