Name:           rcs
Summary:        Revision Control System (RCS) file version management tools
Version:        5.10.1
Release:        %mkrel 1
License:        GPLv3+
Group:          Development/Tools
URL:            https://www.gnu.org/software/rcs/rcs.html
Source0:        https://ftp.gnu.org/gnu/rcs/%{name}-%{version}.tar.lz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  groff
BuildRequires:  ghostscript
BuildRequires:  ed
BuildRequires:  texinfo
BuildRequires:  lzip
Requires:       diffutils >= 2.7

# for bundled(gnulib) see https://fedorahosted.org/fpc/ticket/174
Provides:       bundled(gnulib)

%description
The Revision Control System (RCS) is a system for managing multiple
versions of files.  RCS automates the storage, retrieval, logging,
identification and merging of file revisions.  RCS is useful for text
files that are revised frequently (for example, programs,
documentation, graphics, papers and form letters).

The rcs package should be installed if you need a system for managing
different versions of files.


%prep
%autosetup -p1

%build
%configure --with-diffutils

%make_build

%install
%make_install

install -m 755 src/rcsfreeze %{buildroot}%{_bindir}

rm -f %{buildroot}%{_infodir}/dir

%check
%make_build check

%files
%doc ChangeLog COPYING THANKS NEWS README
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man[15]/*
