# comment out if not git snapshot
#define         date 20181108
#define         gitcommit 1f13bf5

# release for bumping
%define		rel 7

Name:           rdesktop
Version:        1.9.0
Release:        %mkrel %{?date:0.%{date}_git%{gitcommit}.}%{rel}
Summary:        X client for remote desktop into Windows Terminal Server
Group:          Networking/Remote access
License:        GPLv2+
URL:            http://www.rdesktop.org/
Source0:        https://github.com/rdesktop/rdesktop/archive/v%{version}/%{name}-%{version}%{?date:-%date-git%gitcommit}.tar.gz
# Fix segfault in utils_cert_handle_exception
# https://bugzilla.redhat.com/show_bug.cgi?id=2008044
# https://github.com/rdesktop/rdesktop/pull/394
Patch0:         https://patch-diff.githubusercontent.com/raw/rdesktop/rdesktop/pull/394.patch
Patch2:         rdesktop-configure-c99.patch
# Upstream fix: use correct modulus and exponent in rdssl_rkey_get_exp_mod
Patch3:         https://github.com/rdesktop/rdesktop/commit/53ba87dc174175e98332e22355ad8662c02880d6.patch

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(ao)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libpcsclite)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(libgssglue)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(krb5-gssapi)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(libtasn1)
BuildRequires:  pkgconfig(nettle)
BuildRequires:  pkgconfig(gnutls)
Recommends:     xclip

%description
rdesktop is an open source client for Windows NT Terminal Server and Windows
2000 Terminal Services, capable of natively speaking Remote Desktop Protocol
(RDP) in order to present the user's NT desktop. Unlike Citrix ICA, no server
extensions are required.

rdesktop currently runs on most UNIX based platforms with the X Window System,
and other ports should be fairly straightforward.

%prep
%autosetup -p1 -n %{name}-%{version}

# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .

%build
export STRIP="/bin/true"
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"
export CPPFLAGS="%{optflags} -fPIC"
autoreconf -vfi
%configure \
    --with-ipv6 \
    --with-x \
    --enable-smartcard \
    --with-openssl=%{_prefix}
%make_build

chmod 644 doc/*

%install
%make_install

%files
%doc README.md COPYING doc/{AUTHORS,ChangeLog,HACKING,TODO,*.txt}
%{_bindir}/rdesktop
%{_datadir}/rdesktop
%{_mandir}/man1/*
