# comment out if not pre rel
#global prel	b0

# rel for bumping
%define rel	2

%bcond_without	tests

Name:		rdiff-backup
Summary:	Convenient and transparent local/remote incremental mirror/backup
Epoch:		1
Version:	2.2.6
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2+
Group:		Networking/Other
URL:		https://rdiff-backup.net/
Source0:	https://github.com/%{name}/%{name}/releases/download/v%{version}%{?prel:.beta}/%{name}-%{version}%{?prel}.tar.gz
BuildRequires:	librsync-devel >= 0.9.6
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)
%if %{with tests}
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(pytest-cov)
BuildRequires:	python3dist(flake8)
BuildRequires:	python3dist(bandit)
BuildRequires:	python3dist(psutil)
BuildRequires:	python3dist(tox)
%endif
#recommended runtime dependencies
Requires:	python3dist(pylibacl)
Requires:	python3dist(pyxattr)

%description
rdiff-backup is a script, written in Python, that backs up one
directory to another and is intended to be run periodically
(nightly from cron for instance). The target directory ends up
a copy of the source directory, but extra reverse diffs are
stored in the target directory, so you can still recover files
lost some time ago. The idea is to combine the best features of
a mirror and an incremental backup. rdiff-backup can also operate
in a bandwidth efficient manner over a pipe, like rsync. Thus you
can use rdiff-backup and ssh to securely back a hard drive up to
a remote location, and only the differences from the previous
backup will be transmitted.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rdiff_backup rdiffbackup

# Remove doc files so we package them with rpmbuild
rm -rf %{buildroot}%{_docdir}/*

%check
%pyproject_check_import

%if %{with tests}
# Unsatisfied dependencies
rm -v testing/{test_with_profiling.py,utils_simpleps_test.py}
%pytest
%endif

%files -f %{pyproject_files}
%doc CHANGELOG.adoc README.adoc
%doc docs/credits.adoc docs/DEVELOP.adoc docs/examples.adoc
%doc docs/FAQ.adoc docs/migration.adoc
%license COPYING
%{_bindir}/rdiff-backup
%{_bindir}/rdiff-backup-statistics
%{_bindir}/rdiff-backup-delete
%{_datadir}/bash-completion/completions/rdiff-backup
%{_mandir}/man1/rdiff-backup*
