Summary:	Maintains identical copies of files on multiple machines
Name:		rdist
Version:	6.1.5
Release:	%mkrel 37
# On Feb 17, 2011, Michael A. Cooper gave permission via email for all of his
# copyrighted work in rdist to be relicensed to the same BSD as the rest of
# rdist. This is done in Patch15. Documentation of this is in Source3.
License:	BSD
Group:		Networking/File transfer
URL:		https://www.magnicomp.com/rdist/
Source0:	ftp://ftp.sunet.se/pub/unix/admin/mirror-magnicomp/download/rdist/rdist-%{version}.tar.bz2
# This link is defunct 2024Q4
Source1: http://people.redhat.com/pknirsch/src/rdist-v1.1.tar.bz2
# http://www.magnicomp.com/rdist/rdist-eu-license.shtml
Source2: rdist-eu-license.txt
Source3: rdist-licensing-email.txt
Patch0: rdist-6.1.5-linux.patch
Patch1: rdist-6.1.5-links.patch
Patch2: rdist-6.1.5-oldpath.patch
Patch3: rdist-6.1.5-hardlink.patch
Patch4: rdist-6.1.5-bison.patch
Patch5: rdist-6.1.5-varargs.patch
Patch6: rdist-6.1.5-maxargs.patch
Patch7: rdist-6.1.5-lfs.patch
Patch8: rdist-6.1.5-cleanup.patch
Patch9: rdist-6.1.5-svr4.patch
Patch10: rdist-6.1.5-ssh.patch
Patch11: rdist-6.1.5-mkstemp.patch
Patch12: rdist-6.1.5-stat64.patch
Patch13: rdist-6.1.5-re_args.patch
Patch14: rdist-6.1.5-fix-msgsndnotify-loop.patch
Patch15: rdist-6.1.5-license-fix.patch
Patch16: rdist-6.1.5-fpic.patch
Patch17: rdist-c99.patch
Patch18: rdist-wait-union.patch
BuildRequires:	bison

%description
The rdist program maintains identical copies of files on multiple hosts. If
possible, rdist will preserve the owner, group, mode and mtime of files and it
can update programs that are executing.

%prep
%setup -q
%setup -q -T -D -a 1

cp %{SOURCE2} .
cp %{SOURCE3} .

# apply patch15 first due to #840419
%patch 15 -p1 -b .license-fix
%patch -P 0 -p1 -b .linux
%patch -P 1 -p1 -b .links
%patch -P 2 -p1 -b .oldpath
%patch -P 3 -p1 -b .hardlink
%patch -P 4 -p1 -b .bison
%patch -P 5 -p1 -b .varargs
%patch -P 6 -p1 -b .maxargs
%patch -P 7 -p1 -b .lfs
%patch -P 8 -p1 -b .cleanup
%patch -P 9 -p1 -b .svr4
%patch -P 10 -p1 -b .ssh
%patch -P 11 -p1 -b .mkstemp
%patch -P 12 -p1 -b .stat64
%patch -P 13 -p1 -b .re_args
%patch -P 14 -p1 -b .fix-msgsndnotify-loop
%patch -P 16 -p1 -b .pic
%patch -P 17 -p1 -b .c99
%patch -P 18 -p1 -b .union

%build
%set_build_flags
%__make

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/{man1,man8}

install -m 0755 src/rdist %{buildroot}%{_bindir}
install -m 0755 src/rdistd %{buildroot}%{_sbindir}
ln -sf ../sbin/rdistd %{buildroot}%{_bindir}/rdistd

install -m0644 doc/rdist.man %{buildroot}%{_mandir}/man1/rdist.1
install -m0644 doc/rdistd.man %{buildroot}%{_mandir}/man8/rdist.8

%files
%doc README
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*
