Summary:	A tool for generating C-based recognizers from regular expressions
Name:		re2c
Version:	4.1
Release:	%mkrel 1
License:	Public Domain
Group:		Development/Other
URL:		https://re2c.org/
Source0:	https://github.com/skvadrik/re2c/releases/download/%{version}/re2c-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	cmake

%description
re2c is a great tool for writing fast and flexible lexers. It has served many
people well for many years and it deserves to be maintained more actively. re2c
is on the order of 2-3 times faster than a flex based scanner, and its input
model is much more flexible.

%prep
%autosetup -p1

%build
%cmake

%cmake_build

%install
%cmake_install

%check
make check -C build

%files
%license LICENSE
%doc CHANGELOG README.md
%doc examples/
%{_bindir}/re2c
%{_bindir}/re2d
%{_bindir}/re2go
%{_bindir}/re2hs
%{_bindir}/re2java
%{_bindir}/re2js
%{_bindir}/re2ocaml
%{_bindir}/re2py
%{_bindir}/re2rust
%{_bindir}/re2v
%{_bindir}/re2zig
%{_datadir}/re2c/
%{_mandir}/man1/re2c.1*
%{_mandir}/man1/re2d.1*
%{_mandir}/man1/re2go.1*
%{_mandir}/man1/re2hs.1*
%{_mandir}/man1/re2java.1*
%{_mandir}/man1/re2js.1*
%{_mandir}/man1/re2ocaml.1*
%{_mandir}/man1/re2py.1*
%{_mandir}/man1/re2rust.1*
%{_mandir}/man1/re2v.1*
%{_mandir}/man1/re2zig.1*
