%define git_url git://git.fedorahosted.org/readahead

Summary:        Read a preset list of files into memory
Name:           readahead
Version:        1.5.7
Release:        %mkrel 14
Group:          System/Boot and Init
License:        GPLv2+
URL:		https://hosted.fedoraproject.org/readahead
Source0:	readahead-%{version}.tar.bz2
Source1:	readahead_early
Source2:	default.early
# (fc) 1.4.6-2mdv default values for Mageia
Patch0:		readahead-default.patch
# (fc) 1.4.6-2mdv create a temp file to detect if collector is running, autodelect collector enabling file at end of collection
Patch1:		readahead-1.5.6-autocollector.patch
Patch2:		readahead-1.5.7-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(audit)
BuildRequires:	auparse-devel
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	gettext-devel
Requires(post):    chkconfig
Requires(pre):     chkconfig
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires:	procps
Requires:	gawk
Requires:	util-linux-ng

%description
readahead reads the contents of a list of files into memory,
which causes them to be read from cache when they are actually
needed. Its goal is to speed up the boot process.

%prep
%setup -q
%patch -P 0 -p1 -b .default
%patch -P 1 -p1 -b .autocollector
%patch -P 2 -p1 -b .gcc14
install -m644 %{SOURCE2} lists/

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-rpath

%make_build

make rpm-lists-rebuild FILES="default.early" RPM_LIB="%{_lib}" RPM_ARCH="%{_arch}"

%install
%make_install unitdir=%{_unitdir}
%find_lang %{name}

mkdir -p %{buildroot}%{_sbindir}
install -m755 %{SOURCE1} %{buildroot}%{_sbindir}/readahead_early
install -m755 %{SOURCE1} %{buildroot}%{_sbindir}/readahead_later
sed -i -e 's/early/later/g' %{buildroot}%{_sbindir}/readahead_later

mkdir -p %{buildroot}%{_var}/lib/readahead
install -m644 lists/default.early %{buildroot}%{_var}/lib/readahead

# we don't use upstart
rm -rf %{buildroot}/etc/event.d
rm -rf %{buildroot}%{_sysconfdir}/init

# (bor) disable for now, it is done in rc.sysinit
rm -rf %{buildroot}%{_unitdir}/default.target.wants

%pre
if [ -f /etc/rc.d/init.d/readahead_early ]; then
  /sbin/chkconfig --del readahead_early > /dev/null 2>&1
  /sbin/chkconfig --del readahead_later
fi

%post
if [ "$1" = "1" ]; then
 touch /.readahead_collect
fi

%files -f %{name}.lang
%doc README lists/README.lists
%{_sbindir}/readahead
%{_sbindir}/readahead-collector
%{_sbindir}/readahead_early
%{_sbindir}/readahead_later
%{_sysconfdir}/cron.daily/readahead.cron
%{_sysconfdir}/cron.monthly/readahead-monthly.cron
%config(noreplace) %{_sysconfdir}/sysconfig/readahead
%config(noreplace) %{_sysconfdir}/readahead.conf
%dir %{_var}/lib/readahead
%attr(0644,root,root) %{_var}/lib/readahead/default.early
/lib/readahead/%{name}-*.sh
# (bor) disable for now, it is done in rc.sysinit
#/lib/systemd/system/default.target.wants/readahead-*.service
%{_unitdir}/readahead-*.service
