%define major     8
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Library for reading lines from a terminal
Name:		readline
Version:	8.2
Release:	%mkrel 3
License:	GPLv3
Group:		System/Libraries
Url:		https://tiswww.case.edu/php/chet/readline/rltop.html
Source0:	https://ftp.gnu.org/gnu/readline/%{name}-%{version}.tar.gz
Source1:	https://ftp.gnu.org/gnu/readline/%{name}-%{version}.tar.gz.sig
Patch0:		readline-4.3-no_rpath.patch
Patch1:		readline-4.1-outdated.patch
Patch2:		rl-header.patch
Patch3:		rl-attribute.patch
# Official upstream patches
# Patches are converted to apply with '-p1'
Patch31:	readline-8.2-patch-1.patch

BuildRequires:	pkgconfig(ncursesw)

%description
The "readline" library will read a line from the terminal and return it,
allowing the user to edit the line with the standard emacs editing keys.
It allows the programmer to give the user an easier-to-use and more
intuitive interface.

%package -n %{libname}
Summary:	Shared libraries for readline
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked to readline.

%package doc
Summary:	Readline documentation in GNU info format
Group:		Documentation
Requires:	%{libname} = %{version}-%{release}

%description doc
This package contains readline documentation in the GNU info format.

%package -n %{develname}
Summary:	Files for developing programs that use the readline library
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	ncursesw-devel
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The "readline" library will read a line from the terminal and return it,
using prompt as a prompt.  If prompt is null, no prompt is issued.  The
line returned is allocated with malloc(3), so the caller must free it when
finished.  The line returned has the final newline removed, so only the
text of the line remains.

%prep
%setup -q
%patch -P 0 -p1 -b .no_rpath
%patch -P 1 -p1 -b .outdated
%patch -P 2 -p1 -b .header
%patch -P 3 -p1 -b .attribute
%patch -P 31 -p1

# Fix upstream perm Bug #3053
chmod 644 examples/rlfe/ChangeLog

%build
%configure \
	--disable-static \
	--disable-install-examples \
	--with-curses \
	--enable-multibyte
%make_build SHLIB_LIBS="-lncursesw"

%install
%make_install

rm -rf %{buildroot}%{_docdir}/%{name}/

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files doc
%{_infodir}/*info*

%files -n %{develname}
%doc CHANGELOG CHANGES MANIFEST README USAGE
%doc doc examples support
%{_includedir}/readline/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/history.pc
%{_mandir}/man3/*.3*
