Name:		reaver
Version:	1.6.6
Release:	%mkrel 2
Summary:	Brute force attack against Wifi Protected Setup
License:	GPLv2+
Group:		Networking/Other
URL:		https://github.com/t6x/reaver-wps-fork-t6x
Source:		https://github.com/t6x/reaver-wps-fork-t6x/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch0:		reaver-lwe-unbundle.patch
BuildRequires:	libiw-devel
BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig(sqlite3)

%description
Reaver implements a brute force attack against Wifi Protected Setup (WPS)
registrar PINs in order to recover WPA/WPA2 passphrases, as described in
http://sviehb.files.wordpress.com/2011/12/viehboeck_wps.pdf.

Reaver has been designed to be a robust and practical attack against WPS, and
has been tested against a wide variety of access points and WPS
implementations.

On average Reaver will recover the target AP's plain text WPA/WPA2 passphrase
in 4-10 hours, depending on the AP. In practice, it will generally take half
this time to guess the correct WPS pin and recover the passphrase.

%prep
%autosetup -p1

# Unbundle wireless-tools
rm -rf src/lwe

%build
cd src
%configure
%make_build

%install
%make_install -C src

mkdir -p %{buildroot}%{_mandir}/man1
install -pm0644 docs/reaver.1 %{buildroot}%{_mandir}/man1/
touch %{buildroot}%{_localstatedir}/lib/reaver/reaver.db

%files
%doc docs/README docs/README.REAVER docs/README.WASH
%license docs/LICENSE
%{_bindir}/reaver
%{_bindir}/wash
%ghost %{_localstatedir}/lib/reaver/reaver.db
%{_mandir}/man1/*.1*
