%define libmajor  1
%define libname   %mklibname %{name} %{libmajor}
%define develname %mklibname %{name} -d

Name:           recastnavigation
Version:        1.6.0
Release:        %mkrel 1
Summary:        Navigation-mesh Toolset for Games
Group:          System/Libraries
License:        zlib
URL:            https://github.com/recastnavigation/recastnavigation
Source0:        https://github.com/recastnavigation/recastnavigation/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake

%description
Recast is state of the art navigation mesh construction toolset for games.

%package -n %{libname}
Summary:        Navigation mesh construction library
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
Recast is state of the art navigation mesh construction library for games.

%package -n %{develname}
Summary:        Development headers for the mesh construction library
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Development headers for Recast navigation mesh construction library.

%prep
%autosetup

%build
%cmake \
	-DRECASTNAVIGATION_DEMO=OFF \
	-DRECASTNAVIGATION_TESTS=OFF \
	-DRECASTNAVIGATION_EXAMPLES=OFF

%cmake_build

%install
%cmake_install

%files -n %{libname}
%license License.txt
%{_libdir}/lib*.so.%{version}
%{_libdir}/lib*.so.%{libmajor}

%files -n %{develname}
%doc CONTRIBUTING.md README.md
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/lib*.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
