%define major     3
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:        Utility for converting between character sets
Name:           recode
Version:        3.7.15
Release:        %mkrel 1
Group:          Text tools
License:        GPLv3+
URL:            https://github.com/rrthomas/recode
Source0:        https://github.com/rrthomas/recode/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  flex
BuildRequires:  texinfo
BuildRequires:  gettext-devel

%description
The GNU recode utility converts files between various character sets.

%package -n     %{libname}
Summary:        Shared GNU recode library
Group:          System/Libraries

%description -n %{libname}
The GNU recode utility converts files between various character sets.

This package provides the shared recode library.

%package -n     %{develname}
Summary:        Development files for the %{libname} library
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for the %{libname} library.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -D_REENTRANT -fPIC"
%configure \
     --disable-static \
     --without-included-gettext
%make_build

%install
%make_install

%find_lang %{name}

# house cleansing
rm -f %{buildroot}%{_infodir}/dir

%files -f %{name}.lang
%doc COPYING NEWS README
%doc THANKS doc
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc contrib
%{_libdir}/*.so
%{_includedir}/*.h
