Summary:        A Free, Casual Arena Shooter
Name:           redeclipse
Group:          Games/Shooter
Version:        2.0.0
Release:        %mkrel 2

# Game engine is zlib
# Icon and trademark info is CC-BY-SA
# Logo and name covered by "trademark guidelines" see trademark.txt
License:        zlib and CC-BY-SA
URL:            https://www.redeclipse.net/

#Source0:        https://downloads.sourceforge.net/%%{name}/%%{name}_%%{version}_nix.tar.bz2
Source0:        %{name}-%{version}-fs.tar.xz
# Upstream tarball contains some non-free and superfluous content,
# it is removed in the Mageia sources using:
# sh redeclipse-generate-tarball.sh <version>
Source1:        %{name}-generate-tarball.sh

Patch0:         redeclipse-build-with-system-enet.patch
Patch1:         redeclipse-system-sqlite3.patch
Patch2:         redeclipse-fix-cube2font-install.patch

BuildRequires:  ed
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)

Requires:       %{name}-data >= %{version}-%{release}


%description
Red Eclipse is a fun-filled new take on the casual first person arena
shooter, built as a total conversion of Cube Engine 2, which lends
itself toward a balanced gameplay, with a general theme of agility in a
variety of environments.

Features:
* Balanced gameplay, with a general theme of agility in a variety of
  environments
* Parkour, impulse boosts, dashing, sliding, and other tricks
* Favourite game modes with tons of mutators and variables
* Available for Windows, Linux/BSD and Mac OSX
* Builtin editor lets you create your own maps cooperatively online


%package data
Summary:        Data for the Red Eclipse FPS game
# Game scripts are zlib
# Trademark info is CC-BY-SA
# Game data is mixed (per-directory readme.txt), by default CC-BY-SA
# See the included file 'doc/all-licenses.txt' for license breakdown
# Logo and name covered by "trademark guidelines" see trademark.txt
License:        zlib and CC-BY-SA and CC-BY and Public Domain and OFL
BuildArch:      noarch


%description data
This package contains the data content, e.g. maps, models, textures,
sounds, etc. for the Red Eclipse FPS game.


%package server
Summary:        Server for the Red Eclipse FPS game
# Game engine is zlib
# Trademark info is CC-BY-SA
# Name covered by "trademark guidelines" see trademark.txt
License:        zlib and CC-BY-SA
Requires:       %{name}-data >= %{version}-%{release}


%description server
This package contains the dedicated server for the Red Eclipse FPS game,
it also includes some example scripts for configuring the server.


%package -n cube2font
Summary:        Utility program for creating font bitmaps for Cube Engine games
License:        zlib


%description -n cube2font
cube2font is a utility program designed to create font bitmaps for Cube
Engine games, it works by taking a Truetype font and building it into a
set of coordinates in an image. cube2font is an improved version of the
previous TTF2Font, supporting a much larger range of characters.


%prep
%autosetup -p1


%build
%set_build_flags
%make_build -C src/ \
    client server cube2font


%install
# Not using `make install` as it installs genkey
make DESTDIR=%{buildroot} -C src/ \
    prefix=%{_prefix} \
    libexecdir=%{buildroot}%{_libexecdir} \
    system-install system-install-cube2font

# We package this in server docs
rm -rf %{buildroot}%{_docdir}/%{name}/examples


%files
%doc readme.txt doc/announce.txt doc/guidelines.txt
%license doc/license.txt doc/trademark.txt
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/%{name}.png
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/%{name}
%{_mandir}/man6/%{name}.6*


%files data
%license doc/license.txt doc/all-licenses.txt doc/trademark.txt
%{_datadir}/%{name}/
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/config
%{_libexecdir}/%{name}/data
%{_libexecdir}/%{name}/doc


%files server
%doc doc/examples/servinit.cfg
%license doc/license.txt doc/trademark.txt
%{_bindir}/%{name}-server
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/%{name}-server
%{_mandir}/man6/%{name}-server.6*


%files -n cube2font
%{_bindir}/cube2font
%{_mandir}/man1/cube2font.1*
