%define major	0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name: redland
Version: 1.0.17
Release: %mkrel 10
License: LGPL
Summary: Redland RDF Application Framework
Group: Development/Other
Source: https://download.librdf.org/source/%{name}-%{version}.tar.gz
Patch0: redland-1.0.17-link.patch
URL: https://librdf.org/
BuildRequires: pkgconfig(libcares)
BuildRequires: db5-devel
BuildRequires: pkgconfig(gnutls)
BuildRequires: gtk-doc
BuildRequires: libtool
BuildRequires: libtool-devel
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: mysql-devel
BuildRequires: postgresql-devel
BuildRequires: pkgconfig(raptor2)
BuildRequires: pkgconfig(rasqal)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: virtuoso-opensource
BuildRequires: pkgconfig(libiodbc)
BuildRequires: swig
Conflicts: %{develname} < 1.0.14
Requires: rasqal
Requires: raptor2

%description
Redland is a library that provides a high-level interface for RDF
(Resource Description Framework) implemented in an object-based API.
It is modular and supports different RDF/XML parsers, storage
mechanisms and other elements. Redland is designed for applications
developers to provide RDF support in their applications as well as
for RDF developers to experiment with the technology.


%package -n %{libname}
Summary: Dynamic libraries from %{name}
Group: System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.


%package -n %{develname}
Summary: Header files and static libraries from %{name}
Group: Development/Other
Requires: %{libname} >= %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel
Obsoletes: %{mklibname -d %{name} 0}

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.


%prep
%setup -q
%autopatch -p0

%build
%configure --disable-static \
	--with-mysql \
	--with-postgresql \
	--with-raptor=system \
	--with-rasqal=system

%make_build

%install
%make_install

find %{buildroot} -name *.la | xargs rm

%multiarch_binaries %{buildroot}%{_bindir}/redland-config

%files
%doc AUTHORS COPYING COPYING.LIB ChangeLog
%doc README NEWS LICENSE.txt
%doc *.html
%{_bindir}/redland-db-upgrade
%{_bindir}/rdfproc
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}
%{_libdir}/librdf.so.%{major}{,.*}

%files -n %{develname}
%multiarch %{multiarch_bindir}/redland-config
%{_bindir}/redland-config
%{_includedir}/redland.h
%{_includedir}/librdf.h 
%{_includedir}/rdf_*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/*/*
