Name:		rednotebook
Version:	2.35
Release:	%mkrel 2
Summary:	Daily journal with calendar, templates and keyword searching
Group:		Office/Utilities
License:	GPLv2+
URL:		https://github.com/jendrikseipp/rednotebook/
Source0:	https://github.com/jendrikseipp/rednotebook/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	python3dist(setuptools)
BuildRequires:	desktop-file-utils

Requires:	python3dist(pyyaml)
Requires:	python3dist(pygobject)
Requires:	python3dist(chardet)
Recommends:	python3dist(pyenchant)
Recommends:	python3dist(pygtkspellcheck)

%description
RedNotebook is a modern desktop journal. It lets you format, tag and
search your entries. You can also add pictures, links and customizable
templates, spell check your notes, and export to plain text, HTML,
Latex or PDF.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install

desktop-file-install \
	--add-category="Calendar" \
	--dir=%{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}.dist-info/
