Name:		redshift
Version:	1.12
Release:	%mkrel 15
Summary:	Adjusts the color temperature of your screen according to time of day
Group:		Graphical desktop/Other
Url:		http://jonls.dk/redshift/
License:	GPLv3+
Source0:	https://github.com/jonls/redshift/releases/download/v%{version}/redshift-%{version}.tar.xz
# From https://github.com/jonls/redshift/pull/753
Patch101:	0001-Set-redshift-to-run-after-graphical-sesion.target.patch
Patch102:	0002-Change-services-to-by-wanted-by-graphical-session.patch
# From https://github.com/jonls/redshift/pull/757/
Patch103:	0001-redshift-gtk-use-Ayatana-AppIndicator3-instead-of-Ap.patch
# Mageia patches
Patch501:	0001-Make-redshift-gtk-systemd-unit-file-to-conflict-with.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	python3-devel
BuildRequires:	pkgconfig(libsystemd)
Requires:	geoclue
Requires:	%{name}-common = %{version}-%{release}

%description
Redshift adjusts the color temperature of your screen according to your
surroundings. This may help your eyes hurt less if you are working in
front of the screen at night.

The color temperature is set according to the position of the sun. A
different color temperature is set during night and daytime. During
twilight and early morning, the color temperature transitions smoothly
from night to daytime temperature to allow your eyes to slowly
adapt.

%package gtk
Summary:	GTK integration for Redshift
Group:		Graphical desktop/Other
Requires:	python3-gobject3
Requires:	python3-pyxdg
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%description gtk
GTK integration for Redshift, a screen color temperature adjustment
program.

%package common
Summary:	Common data files for redshift
Group:		Graphical desktop/Other
BuildArch:	noarch
Conflicts:	%{name} < 1.11-2
Conflicts:	%{name}-gtk < 1.11-2

%description common
Internationalization and locale data and icons for redshift.

%prep
%setup -q
%autopatch -p1

# breaks build with python >= 3.12
rm -rf py-compile

%build
autoreconf -fi
%configure \
	--enable-geoclue2 \
	--disable-rpath \
	--with-systemduserunitdir=%{_userunitdir} \
	--enable-gui
%make_build

%install
%make_install

%find_lang %{name}

%post
%systemd_user_post %{name}.service

%post gtk
%systemd_user_post %{name}-gtk.service

%preun
%systemd_user_preun %{name}.service

%preun gtk
%systemd_user_preun %{name}-gtk.service

%files
%doc NEWS DESIGN README*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*
%{_userunitdir}/%{name}.service

%files gtk
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/appdata/%{name}-gtk.appdata.xml
%{python3_sitelib}/%{name}_gtk/
%{_userunitdir}/%{name}-gtk.service

%files common -f %{name}.lang
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
