%define enable_debug 0
%define _disable_ld_no_undefined 1

%define api       2.0
%define major     5
%define libname   %mklibname reiser4-%{api}_ %{major}
%define libname_m %mklibname reiser4-minimal-%{api}_ %{major}
%define libname_r %mklibname repair-%{api}_ %{major}
%define devname   %mklibname reiser4 -d

Name:           reiser4progs
Version:        2.0.5
Release:        %mkrel 3
Summary:        Utilities for reiser4 filesystems
License:        GPL-2.0-only
Group:          System/Kernel and hardware
URL:            https://sourceforge.net/projects/reiser4
Source0:        https://sourceforge.net/projects/reiser4/files/v5-unstable/progs/%{name}-%{version}.tar.gz
Patch0:         reiser4progs-1.1.0-strfmt.patch
Patch1:         reiser4progs-1.2.1-nostatic.patch
Patch2:         reiser4progs-2.0.5-linking.patch
Patch3:         autoconf-2.72.patch
BuildRequires:  glibc-static-devel
BuildRequires:  libaal-devel
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(uuid)

%description
Utilities for manipulating reiser4 filesystems.

#------------------------------------------------

%package -n     %{libname}
Summary:        Reiser4 filesystem library
Group:          System/Libraries

Conflicts:      reiser4progs < 2.0.0-5

%description -n %{libname}
Reiser4 support library implementing the main filesystem logic for
the reiser4progs utilities.

#------------------------------------------------

%package -n     %{libname_m}
Summary:        Minimal version of the Reiser4 filesystem library
Group:          System/Libraries

Conflicts:      reiser4progs < 2.0.0-5

%description -n %{libname_m}
libreiser4-minimal is a variant of the Reiser4 filesystem library
that uses a reduced footprint and which has certain features disabled
(plugin check, FNV1 hash, Rupasov hash, TEA hash and DEG hash). The
maximum supported path length in -minimal is 256 instead of 1024.

#------------------------------------------------

%package -n     %{libname_r}
Summary:        Repair library for the Reiser4 filesystem
Group:          System/Libraries

Conflicts:      reiser4progs < 2.0.0-5

%description -n %{libname_r}
Reiser4 support library implementing filesystem repair logic.

#------------------------------------------------

%package -n     %{devname}
Summary:        Development libraries and headers for developing reiser4 tools
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_m} = %{version}-%{release}
Requires:       %{libname_r} = %{version}-%{release}
Provides:       reiser4-devel = %{version}-%{release}
Provides:       repair-devel = %{version}-%{release}
Provides:       reiser4progs-devel = %{version}-%{release}
Obsoletes:      reiser4progs-devel < 2.0.0-5

%description -n %{devname}
Development libraries and headers for developing reiser4 tools.

%prep
%autosetup -p1

%build
autoreconf -vfi
export CFLAGS="%{optflags} -fpermissive"
%configure \
%if %{enable_debug}
        --enable-debug \
%else
        --disable-debug \
%endif
        --disable-static \
        --enable-libminimal \
        --disable-fnv1-hash \
        --disable-rupasov-hash \
        --disable-tea-hash \
        --disable-deg-hash

%make_build

%install
%make_install

%files
%doc AUTHORS BUGS CREDITS NEWS README THANKS TODO
%license COPYING
%{_sbindir}/debugfs.reiser4
%{_sbindir}/fsck.reiser4
%{_sbindir}/make_reiser4
%{_sbindir}/measurefs.reiser4
%{_sbindir}/mkfs.reiser4
%{_sbindir}/volume.reiser4
%{_mandir}/man8/*reiser4*.8*

%files -n %{libname}
%license COPYING
%{_libdir}/libreiser4-%{api}.so.%{major}{,.*}

%files -n %{libname_m}
%license COPYING
%{_libdir}/libreiser4-minimal-%{api}.so.%{major}{,.*}

%files -n %{libname_r}
%license COPYING
%{_libdir}/librepair-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc README
%{_includedir}/reiser4/
%{_includedir}/repair/
%{_datadir}/aclocal/libreiser4.m4
%{_libdir}/libreiser4-minimal.so
%{_libdir}/libreiser4.so
%{_libdir}/librepair.so
