%define major 0
%define libname %mklibname %{name} %{major}
%define devel %mklibname %{name} -d

Summary:	The utilities to create reiserfs volumes
Name:		reiserfsprogs
Version:	3.6.27
Epoch:		1
Release:	%mkrel 4
License:	GPLv2 with exceptions
Group:		System/Kernel and hardware
Url:		https://www.kernel.org/pub/linux/kernel/people/jeffm/reiserfsprogs/
Source0:	https://mirrors.edge.kernel.org/pub/linux/kernel/people/jeffm/reiserfsprogs/v%{version}/%{name}-%{version}.tar.xz
Patch1:		reiserfsprogs-3.6.2-make-the-force-option-works-in-resize_reiserfs.patch
Patch3:		reiserfsprogs-3.6.23-uuid.patch
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(com_err)
BuildRequires:	acl-devel
Obsoletes:	reiserfs-utils
Provides:	reiserfs-utils

%description
This package contains tools for reiserfs filesystems.
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms.

%package -n %{libname}
Summary:        The utilities to create reiserfs volumes
Group:          System/Kernel and hardware

%description -n %{libname}
This package contains tools for reiserfs filesystems.
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms.

%package -n %{devel}
Summary:	Development files for reiserfs
Group:		Development/C

%description -n %{devel}
This package contains tools for reiserfs filesystems.
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms.

%prep
%setup -q
#patch -P 1 -p0 -b .make-the-force-option-works-in-resize_reiserfs
#patch -P 3 -p1 -b .uuid

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE"
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot}%{_libdir} -name "*.*a" -delete

%files
%doc README ChangeLog
%{_sbindir}/*
%{_mandir}/*/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devel}
%{_includedir}/reiserfs/
%{_libdir}/*.so
%{_libdir}/pkgconfig/reiserfscore.pc
