Name:           remind
Version:        05.02.02
Release:        %mkrel 1
Summary:        A sophisticated calendar and alarm program

Group:          Office/Organizer
License:        GPLv2
URL:            https://dianne.skoll.ca/projects/remind/
Source0:        https://dianne.skoll.ca/projects/remind/download/remind-%{version}.tar.gz
BuildRequires:  perl-Cairo
BuildRequires:  perl-Pango
BuildRequires:  perl-JSON-MaybeXS
Requires:       tcl

%description
Remind is a sophisticated calendar and alarm program. It includes the following
features:
  * A sophisticated scripting language
  * Plain-text, PostScript and HTML output
  * Timed reminders and pop-up alarms

%package gui
Group:          Office/Organizer
Summary:        A graphical front-end for remind using Tcl/Tk
Requires:       tk > 8.0
Requires:       remind = %{version}-%{release}
Requires:       tcl-tcllib

%description gui
The remind-gui package contains a (self-described) "cheesy" graphical front
end for Remind using Tcl/Tk.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%check
cd src
if ! make test; then
  set +x
  for f in `find .. -name \*.diff -type f -print`; do
    echo "TEST FAILURE: $f --"
    cat "$f"
    echo "-- $f result ends."
  done
  set -x
fi

%files
%{_bindir}/rem2html
%{_bindir}/rem2pdf
%{_bindir}/rem2ps
%{_bindir}/remind
%{_bindir}/rem
%{_datadir}/remind/
%{perl_vendorlib}/Remind/
%{_mandir}/man1/rem2html.1.*
%{_mandir}/man1/rem2pdf.1.*
%{_mandir}/man1/rem2ps.1.*
%{_mandir}/man1/remind.1.*
%{_mandir}/man1/rem.1.*
%{_mandir}/man3/Remind*.3*

%doc COPYRIGHT docs/README.UNIX docs/WHATSNEW examples www

%files gui
%{_bindir}/tkremind
%{_datadir}/applications/tkremind.desktop
%{_datadir}/pixmaps/tkremind.png
%{_mandir}/man1/tkremind.1.*
