Name:		remmina
Version:	1.4.40
Release:	%mkrel 1
Summary:	GTK+ remote desktop client
Group:		Networking/Remote access
License:	GPLv2+
URL:		https://remmina.org/
Source0:	https://gitlab.com/Remmina/Remmina/-/archive/v%{version}/Remmina-v%{version}.tar.gz
Patch0:		remmina-1.3.7-fix-desktop-file.patch
Patch1:		remmina-1.4.27-icons-apps-dir.patch
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	cups-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libsodium)
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(avahi-client) >= 0.6.3
BuildRequires:	pkgconfig(avahi-ui-gtk3) >= 0.6.30
BuildRequires:	pkgconfig(spice-client-gtk-3.0)
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(libvncserver)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(zlib)

%description
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

Remmina supports multiple network protocols in an integrated and consistent
user interface. Currently RDP, VNC, XDMCP and SSH are supported.

Please don't forget to install the plugins for the protocols you want to use.

#----------------------------------------------------------------------------

%package	devel
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains header files for developing plugins for
%{name}.

#----------------------------------------------------------------------------

%package	plugins-common
Summary:	Common files for Remmina Remote Desktop Client plugins
Group:		Networking/Remote access
Requires:	%{name} = %{version}-%{release}

%description	plugins-common
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains files shared among all plugins for the Remmina remote
desktop client.

#----------------------------------------------------------------------------

%package	plugins-exec
Summary:	External execution plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}

%description    plugins-exec
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the plugin to execute external processes (commands or
applications) from the Remmina window.

#----------------------------------------------------------------------------

%package	plugins-kwallet
Summary:	KDE Wallet plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}
BuildRequires:	cmake(KF5Wallet)

%description    plugins-kwallet
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the KDE Wallet plugin for the Remmina remote
desktop client.

#----------------------------------------------------------------------------

%package	plugins-secret
Summary:	Keyring integration for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(libsecret-1)
Requires:	%{name}-plugins-common = %{version}-%{release}

Provides:	remmina-plugins-gnome = %{version}-%{release}

%description	plugins-secret
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the plugin with keyring support for the Remmina remote
desktop client.

#----------------------------------------------------------------------------

%package	plugins-rdp
Summary:	RDP plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	freerdp3
BuildRequires:	pkgconfig(freerdp3) >= 3.0
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	freerdp3 >= 3.0

%description	plugins-rdp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the Remote Desktop Protocol (RDP) plugin for the Remmina
remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-spice
Summary:	SPICE plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-spice
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the SPICE plugin for the Remmina remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-www
Summary:	WWW plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}

Provides:	remmina-plugins-telepathy = %{version}-%{release}

%description	plugins-www
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the WWW plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%package	plugins-vnc
Summary:	VNC plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libvncserver)
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-vnc
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the VNC plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%prep
%setup -qn Remmina-v%{version}
%autopatch -p1

%build
%cmake -DWITH_APPINDICATOR=ON  \
       -DWITH_KIOSK_SESSION=ON \
       -DWITH_PYTHONLIBS=ON    \
       -DWITH_KF5WALLET=ON \
       -DWITH_FREERDP3=ON
%cmake_build

%install
%cmake_install

%find_lang %{name}

desktop-file-install \
	--remove-category="X-GNOME-NetworkSettings" \
	--dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.%{name}.Remmina.desktop

%files -f %{name}.lang
%doc AUTHORS CHANGELOG.md README.md THANKS.md
%license COPYING LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-gnome
%{_bindir}/%{name}-file-wrapper
%{_bindir}/gnome-session-%{name}
%{_datadir}/%{name}/
%{_datadir}/gnome-session/sessions/%{name}-gnome.session
%{_datadir}/xsessions/%{name}-gnome.desktop
%{_datadir}/applications/org.%{name}.Remmina.desktop
%{_datadir}/applications/org.%{name}.Remmina-file.desktop
%{_datadir}/applications/%{name}-gnome.desktop
%{_datadir}/metainfo/org.%{name}.Remmina.appdata.xml
%{_datadir}/mime/packages/org.%{name}.Remmina-mime.xml
%{_iconsdir}/hicolor/*/apps/*%{name}*.svg
%{_iconsdir}/hicolor/*/apps/*%{name}*.png
%{_iconsdir}/hicolor/*/status/*%{name}*.svg
%{_iconsdir}/hicolor/*/actions/org.%{name}.Remmina-*.svg
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-sftp-*.svg
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-ssh-*.svg
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-tool-*.svg
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-status-*.svg
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-gnome.1.*
%{_mandir}/man1/%{name}-file-wrapper.1.*
%{_mandir}/man1/gnome-session-%{name}.1.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files plugins-common
%doc AUTHORS CHANGELOG.md README.md THANKS.md
%license COPYING LICENSE
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/

%files plugins-exec
%{_libdir}/%{name}/plugins/%{name}-plugin-exec.so
%{_libdir}/%{name}/plugins/%{name}-plugin-python_wrapper.so

%files plugins-kwallet
%{_libdir}/%{name}/plugins/%{name}-plugin-kwallet.so

%files plugins-secret
%{_libdir}/%{name}/plugins/%{name}-plugin-secret.so

%files plugins-rdp
%{_libdir}/%{name}/plugins/%{name}-plugin-rdp.so
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-rdp-*.svg

%files plugins-spice
%{_libdir}/%{name}/plugins/%{name}-plugin-spice.so
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-spice-*.svg

%files plugins-vnc
%{_libdir}/%{name}/plugins/%{name}-plugin-vnc.so
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-vnc-*.svg

%files plugins-www
%{_libdir}/%{name}/plugins/%{name}-plugin-www.so
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-www-*.svg

