%global __requires_exclude perl\\(.*[.]pl\\)|^perl\\(vboxService\\)
%global __provides_exclude ^perl\\(vboxService\\)

%define oname   RemoteBox

Name:           remotebox
Version:        3.4
Release:        %mkrel 1
Summary:        Open Source VirtualBox Client with Remote Management
License:        GPLv2
Group:          Emulators
URL:            https://remotebox.knobgoblin.org.uk/
Source0:        https://remotebox.knobgoblin.org.uk/downloads/%{oname}-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:  appstream-util
BuildRequires:  desktop-file-utils

Requires:       perl
Requires:       perl(SOAP::Lite)
Requires:       perl-Gtk2
Requires:       perl-libwww-perl
Requires:       freerdp3
Requires:       rdesktop
Requires:       xdg-utils

%description
VirtualBox is traditionally considered to be a virtualization solution aimed 
at the desktop as opposed to other solutions such as KVM, Xen and VMWare ESX 
which are considered more server oriented solutions. While it is certainly 
possible to install VirtualBox on a server, it offers few remote management 
features beyond using the vboxmanage command line. RemoteBox aims to fill 
this gap by providing a graphical VirtualBox client which is able to 
communicate with and manage a VirtualBox server installation. 

RemoteBox achieves this by using the vboxwebsrv feature of VirtualBox that 
allows its API to be accessed using a protocol called SOAP, even across a 
network. RemoteBox is very similar in look and feel to the native VirtualBox 
interface and allows you to perform most of the same tasks, including 
accessing the display of guests – completely remotely.

%prep
%setup -q -n %{oname}-%{version}

# We need to tell RemoteBox where to find it's files
sed -i 's|\$Bin/docs|%{_docdir}/%{name}|g' remotebox
sed -i 's|\$Bin/share/remotebox|%{_datadir}/%{name}|g' remotebox
sed -i 's|\$Bin/|%{_prefix}/|g' share/remotebox/*.pl

%build
# Nothing to build.

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_bindir}

cp -ar share/remotebox/* %{buildroot}%{_datadir}/%{name}/
install -pm 0755 remotebox %{buildroot}%{_bindir}

# Appdata file
mkdir -p %{buildroot}%{_metainfodir}
install -pm 0644 packagers-readme/remotebox.appdata.xml %{buildroot}%{_metainfodir}

# Desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications packagers-readme/%{name}.desktop

# Icon for .desktop
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -pm 0644 share/remotebox/icons/remotebox.png %{buildroot}%{_datadir}/pixmaps

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/remotebox.appdata.xml

%files
%doc docs/*
%{_bindir}/remotebox
%{_metainfodir}/remotebox.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/remotebox.png
%{_datadir}/%{name}/
