Name:		remove-old-kernels
Version:	1.0.0
Release:	%mkrel 1
Summary:	Remove old kernels safely and cleanly using urpme
Group:		System/Kernel and hardware
License:	GPLv2+
Url:		https://github.com/barjac/remove-old-kernels
Source0:	https://github.com/barjac/%{name}/archive/refs/tags/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

Requires:	urpmi
Requires:	gettext

%description
Remove old kernels safely and cleanly using urpme.

Once installed it may be left to do it's job without user intervention.

It is run by cron.weekly to retain a minimum number of installed kernels
of each flavour. (Default is three)
This may be adjusted or disabled using simple command line options if desired.

There is also an advanced mode with some expert features.

It may also be run manually in interactive mode from the desktop menu, under
Tools -> System tools.

Running as normal user from the command line will display the current status
of installed kernels but will not allow removal.

For more information see: 'man %{name}' or 'man rok' in a terminal.

%prep
%setup -q -n %{name}-%{version}

%build
# Nothing to do here

%install
install -d -m 755 %{buildroot}/%{_sbindir}
install -m 755 %{name} %{buildroot}/%{_sbindir}/
install -m 755 %{name}-pkexec %{buildroot}/%{_sbindir}/
install -d -m 755 %{buildroot}/%{_sysconfdir}
install -m 644 %{name}.cfg %{buildroot}/%{_sysconfdir}/
install -d -m 755 %{buildroot}/%{_sysconfdir}/cron.weekly
install -m 755 %{name}.cron %{buildroot}/%{_sysconfdir}/cron.weekly/
install -d -m 755 %{buildroot}/%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}/%{_datadir}/applications/
install -d -m 755 %{buildroot}/%{_iconsdir}/hicolor/scalable/apps
install -m 644 %{name}.svg %{buildroot}/%{_iconsdir}/hicolor/scalable/apps/
install -d -m 755 %{buildroot}/%{_datadir}/polkit-1/actions
install -m 644 org.mageia.%{name}.policy %{buildroot}/%{_datadir}/polkit-1/actions/
install -d -m 755 %{buildroot}/%{_mandir}/man1
install -m 644 %{name}.1 %{buildroot}/%{_mandir}/man1/
pushd %{buildroot}/%{_sbindir}
ln -sf %{name} rok
popd
pushd %{buildroot}/%{_mandir}/man1
ln -sf %{name}.1 rok.1
popd

# Install available translations
pushd locale
	for lang in *; do
		mkdir -p %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
		cp -r $lang/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
	done
popd

%find_lang %{name}

%files -f %{name}.lang
%doc README.urpmi %{name}_N.cfg.template
%{_sbindir}/%{name}
%{_sbindir}/rok
%{_sbindir}/%{name}-pkexec
%config(noreplace) %{_sysconfdir}/%{name}.cfg
%{_sysconfdir}/cron.weekly/%{name}.cron
%{_datadir}/applications/%{name}.desktop
%{_datadir}/polkit-1/actions/org.mageia.%{name}.policy
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/rok.1*
