# Commit hash should be updated manually at each release,
# it's included in the build version.
%define renderdoc_hash e6905876838977faf2f70958a4b5cfc5558f2527
%define swig_version renderdoc-modified-7

Name:           renderdoc
Version:        1.36
Release:        %mkrel 2
Summary:        Stand-alone graphics API debugging tool for Vulkan and OpenGL
Group:          Development/Tools
License:        MIT
URL:            https://renderdoc.org
Source0:        https://github.com/baldurk/renderdoc/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/baldurk/swig/archive/%{swig_version}/swig-%{swig_version}.tar.gz
Patch0:         renderdoc-swig-pcre2-1.patch
Patch1:         renderdoc-swig-pcre2-2.patch

# (akien) plthook embedded library does not support ARM (as of June 2017)
# and upstream considers ARM support is not needed for this package
# (daviddavid) upstream says that only x86-64 is supported on linux
# "x86-64 is the only architecture that I officially support on linux"
# https://github.com/baldurk/renderdoc/issues/1991
ExclusiveArch:  x86_64 aarch64

BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-keysyms)


%description
RenderDoc is a free MIT licensed stand-alone graphics debugger that allows
quick and easy single-frame capture and detailed introspection of any
application using Vulkan, D3D11, OpenGL or D3D12 across Windows 7-10, Linux
or Android.

%prep
%setup -q -b 1
%patch -p1 -d %{_builddir}/swig-%{swig_version} 0
%patch -p1 -d %{_builddir}/swig-%{swig_version} 1

%build
%cmake \
  -DBUILD_VERSION_HASH="%{renderdoc_hash}" \
  -DBUILD_VERSION_DIST_NAME="%{_vendor}" \
  -DBUILD_VERSION_DIST_VER="%{version}-%{release}" \
  -DBUILD_VERSION_DIST_CONTACT="https://madb.mageia.org/package/show/name/renderdoc" \
  -DBUILD_VERSION_STABLE=ON \
  -DRENDERDOC_SWIG_PACKAGE="%{_builddir}/swig-%{swig_version}"
%cmake_build

%install
%cmake_install

# Debian-specific
rm -rf %{buildroot}%{_datadir}/menu

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}cmd
%{_bindir}/q%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}-capture.xml
%{_datadir}/pixmaps/%{name}-icon-{16x16,32x32}.xpm
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-%{name}-capture.svg
%{_includedir}/%{name}_app.h
%{_libdir}/lib%{name}.so
%{_sysconfdir}/vulkan/implicit_layer.d/%{name}_capture.json
