Name:       reprepro
Version:    5.4.4
Release:    %mkrel 1
Group:      System/Servers
Summary:    Tool to handle local repositories of Debian packages
# filecntl.c, md5.c, md5.h are Public Domain
# dpkgversions.c is GPLv2+
# docs/sftp.py is MIT
# Rest is GPLv2
License:    GPLv2 and GPLv2+ and MIT
URL:        http://mirrorer.alioth.debian.org/
# We use the Ubuntu URL here because upstream has not posted the latest release
# to alioth, and it's not clear if they will ever do so.
Source0:    https://deb.debian.org/debian/pool/main/r/reprepro/%{name}_%{version}.orig.tar.xz
BuildRequires: db5-devel
BuildRequires: pkgconfig(zlib)
BuildRequires: gpgme-devel
BuildRequires: pkgconfig(bzip2)
BuildRequires: pkgconfig(libarchive)
BuildRequires: pkgconfig(liblzma)

%description
reprepro is a tool to manage a repository of Debian packages (.deb).  It
stores files either being injected manually or downloaded from some other
repository (partially) mirrored into one pool/ hierarchy.  Managed packages
and files are stored in a Berkeley DB, so no database server is needed.
Checking signatures of mirrored repositories and creating signatures of the
generated Package indexes is supported.

%prep
%setup -q

# files in docs should not have executable permissions
find docs -type f -exec chmod -x {} +

%build
autoreconf -vfi
%configure

%make_build

%install
%make_install

pushd docs

# Shell completion files
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
mv reprepro.bash_completion %{buildroot}%{_datadir}/bash-completion/completions/reprepro
mkdir -p %{buildroot}%{_datadir}/zsh/site-functions/
mv reprepro.zsh_completion %{buildroot}%{_datadir}/zsh/site-functions/_reprepro

rm Makefile{,.am,.in} changestool.1 rredtool.1 reprepro.1

# Note: Upstream sources contain tests/test.sh, but Fedora lacks some
# dependencies to run this.

%files
%license COPYING
%doc docs/ AUTHORS README NEWS
%{_mandir}/man1/changestool.1*
%{_mandir}/man1/reprepro.1*
%{_mandir}/man1/rredtool.1*
%{_bindir}/changestool
%{_bindir}/reprepro
%{_bindir}/rredtool
%{_datadir}/bash-completion/completions/reprepro
%{_datadir}/zsh/site-functions/_reprepro
