%define commit d99792547250a059854b36aeaa8b6783e20e303b
%define commitdate 20220220
Name:           repsnapper
Version:        2.5a5
Release:        %mkrel 9.0%commitdate.1
Summary:        RepRap control software

# repsnapper is GPLv2 as noted in licensing.txt
#
# arcball.cpp and arcball.h are
#      (C) 1999-2003 Tatewake.com and licensed under the MIT license
#      as noted in licensing.txt
#
# Several functions in slicer/geometry.cpp are licensed with non stock MIT-like license
#      as noted in licensing.txt
#      and attached e-mail
#
# Icon is CC-BY, infile metadata
License:        GPLv2 and MIT and softSurfer and CC-BY
Group:          Graphics/Editors and Converters
URL:            https://github.com/timschmidt/repsnapper
# Use QT branch, the only one updated
Source0:        https://github.com/timschmidt/repsnapper/archive/d99792547250a059854b36aeaa8b6783e20e303b.tar.gz
Source1:        %{name}-softsurfer-copyright-email.txt
Patch0:         repsnapper-qt-fix-installation-path.patch
BuildRequires:  amftools-devel
BuildRequires:  cairomm-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  gettext
BuildRequires:  glibmm2.4-devel
BuildRequires:  glib2-devel
BuildRequires:  gtkglext-devel
BuildRequires:  gtkglextmm-devel >= 1.2
BuildRequires:  gtkmm2.4-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(muparser)
BuildRequires:  pkgconfig(polyclipping) >= 5.1
BuildRequires:  pkgconfig(poly2tri)
BuildRequires:  rapidxml-devel
BuildRequires:  qtbase5-common-devel
BuildRequires:  cmake(Qt5SerialPort)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)

%description
RepSnapper is a host software for controlling the RepRap 3D printer.

%prep
%setup -q -n repsnapper-%{commit}
%autopatch -p1

cp %SOURCE1 .


# Remove license information of bundled libs
rm -f licenses/{BSL-1.0.txt,LGPL-2.0.txt}

# Move it to Graphics category
sed -i 's/Utility;/Graphics;/' %{name}.desktop.in
sed -i 's/_Name=%{name}/_Name=RepSnapper/' %{name}.desktop.in

%build
pushd RepsnapperQt
%qmake_qt5
%make_build
popd

%install
pushd RepsnapperQt
%qmake_install
popd


%files
%doc HACKING licensing.txt README.asciidoc TODO todo.txt
%doc %{name}-softsurfer-copyright-email.txt
%license licenses
# %dir %{_sysconfdir}/xdg/%{name}
# %config(noreplace) %{_sysconfdir}/xdg/%{name}/%{name}.conf
%{_bindir}/RepsnapperQt
# %{_datadir}/%{name}/
# %{_datadir}/appdata/repsnapper.appdata.xml
# %{_datadir}/applications/%{name}.desktop
# %{_iconsdir}/hicolor/scalable/apps/%{name}.svg
