Summary:        Nameserver information handler
Name:           resolvconf
Version:        1.79
Release:        %mkrel 9
License:        GPLv2+
Group:          Networking/Other
Url:            https://packages.debian.org/unstable/net/resolvconf
Source0:        ftp://ftp.debian.org/debian/pool/main/r/resolvconf/%{name}_%{version}.tar.xz
Source1:        list-by-metric
Source2:        resolvconf.service
Source3:        %{name}-tmpfiles.conf
# The dhclient hook is necessary for the network-up initscript to work
# when NetworkManager is disabled.
# We need to patch the dhclient hook to:
# - run only if resolvconf is actually enabled
# - use "<interface>" instead of "<interface>.dhclient" files, as expected by our initscripts
Patch0:         resolvconf-1.79-dhclient-mga.patch
# allow /run/resolvconf/resolv.conf to be a symlink
Patch1:         resolvconf-1.74-symlink.patch
Patch2:         resolvconf-1.74-metric.patch
# use same level for eth* ath* wlan* ppp*, to sort them by metric
Patch3:         resolvconf-1.74-notypeorder.patch
BuildArch:      noarch
Requires(pre):   filesystem >= 2.1.9-18
Requires(post):  systemd-units >= %{systemd_required_version}
Requires(preun): systemd-units >= %{systemd_required_version}

%description
Resolvconf is a framework for keeping track of the system's
information about currently available nameservers. It sets itself up
as the intermediary between programs that supply nameserver
information and programs that use nameserver information. Examples of
programs that supply nameserver information are: ifupdown, DHCP
clients, the PPP daemon and local nameservers. Examples of programs
that use this information are: DNS caches, resolver libraries and the
programs that use them.

%prep
%autosetup -p1

%build

%install
install -d %{buildroot}%{_sysconfdir}
cp -a etc/%{name} %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sysconfdir}/%{name}/update-libc.d
# remove patch backup files
rm -f %{buildroot}%{_sysconfdir}/%{name}/interface-order.*
rm -f %{buildroot}%{_sysconfdir}/%{name}/update.d/*.*

touch %{buildroot}%{_sysconfdir}/%{name}/resolv.conf.d/tail

install -d %{buildroot}/sbin
install bin/%{name} %{buildroot}/sbin
install -d %{buildroot}/lib/%{name}
install bin/list-records %{buildroot}/lib/%{name}
install -m 755 %{SOURCE1} %{buildroot}/lib/%{name}/list-by-metric
ln -s /run/%{name} %{buildroot}%{_sysconfdir}/%{name}/run

install -d %{buildroot}%{_unitdir}
install -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service

install -d %{buildroot}%{_sysconfdir}/dhclient-enter-hooks.d/
install -m 644 ./%{_sysconfdir}/dhcp/dhclient-enter-hooks.d/%{name} %{buildroot}%{_sysconfdir}/dhclient-enter-hooks.d/%{name}

# create tmpfiles directory
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/%{name}.conf

install -d %{buildroot}%{_mandir}/man{5,8}
install -m 644 man/interface-order.5 %{buildroot}%{_mandir}/man5
install -m 644 man/resolvconf.8 %{buildroot}%{_mandir}/man8

%triggerpostun -- resolvconf == 1.68-1.mga3
# tranform resolv.conf from a symlink back to a file
if [ -L /etc/resolv.conf ] && [ "$(readlink /etc/resolv.conf)" = "/run/resolvconf/resolv.conf" ]; then
   rm -f /etc/resolv.conf
   mv /run/resolvconf/resolv.conf /etc/resolv.conf
fi

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README
%license COPYING
/sbin/%{name}
/lib/%{name}
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}.service
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/run
%config(noreplace) %{_sysconfdir}/%{name}/interface-order
%dir %{_sysconfdir}/%{name}/resolv.conf.d
%config(noreplace) %{_sysconfdir}/%{name}/resolv.conf.d/*
%dir %{_sysconfdir}/%{name}/update.d
%{_sysconfdir}/%{name}/update.d/*
%dir %{_sysconfdir}/%{name}/update-libc.d
%{_mandir}/man?/*
%dir %{_sysconfdir}/dhclient-enter-hooks.d/
%{_sysconfdir}/dhclient-enter-hooks.d/%{name}
%dir %ghost %attr(0755, root, root) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/%{name}.pid
%dir %ghost %attr(0755, root, root) %{_rundir}/%{name}/interface
%dir %ghost %attr(0644, root, root) %{_rundir}/%{name}/enable-updates
