Name:		resource-agents
Version:	4.14.0
Release:	%mkrel 1
Summary:	Open Cluster Framework (OCF) resource agents
Group:		System/Kernel and hardware
License:	GPLv2
URL:		https://github.com/ClusterLabs/resource-agents
Source:		https://github.com/ClusterLabs/resource-agents/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		resource-agents-3.9.2-automake-1.13.patch
Patch1:		ldirectord-var-run-to-run.patch
Conflicts:	cman < 3.0.0
BuildRequires:	pkgconfig(nss)
BuildRequires:	docbook-style-xsl
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libqb)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	cluster-glue-devel
BuildRequires:	xsltproc
Requires(post):	systemd >= %{systemd_required_version}

%description
This repository contains resource agents (RAs) compliant
with the Open Cluster Framework (OCF) specification.

%package -n ldirectord
Summary:	Daemon to monitor remote services and control Linux Virtual Server
Group:		System/Kernel and hardware
License:	GPLv2+
Requires:	logrotate
Requires:	ipvsadm
Requires(post):		systemd >= %{systemd_required_version}
Requires(preun):	systemd >= %{systemd_required_version}

%description -n ldirectord
ldirectord is a daemon to monitor and administer real servers in a
cluster of load balanced virtual servers.

%package devel
Summary:	Development file for %name
Group:		System/Kernel and hardware
License:	GPLv2+
Requires:	%name = %version-%release

%description devel
Development file for %name.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
	--disable-fatal-warnings \
	--without-initdir \
	--with-rsctmpdir=%{_rundir}/resource-agents \
	PYTHON="%{__python3}"
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/ldirectord.conf
d /run/ldirectord 0755 root root
EOF


%post
%_tmpfilescreate %{name}

%post -n ldirectord
%_tmpfilescreate ldirectord
%_post_service ldirectord

%preun -n ldirectord
%_preun_service ldirectord

%files
%doc AUTHORS ChangeLog
%doc doc/README.webapps
%license COPYING COPYING.GPLv3 COPYING.LGPL
%dir %{_sysconfdir}/ha.d
%{_sysconfdir}/ha.d/shellfuncs
#%%dir %%{_logdir}/cluster
%{_tmpfilesdir}/%{name}.conf
%{_includedir}/heartbeat
%{_mandir}/man7/ocf_heartbeat_*.7*
%{_mandir}/man8/ocf-tester.8*
%{_mandir}/man8/sfex_init.8*
#%%{_datadir}/cluster
%{_datadir}/resource-agents
%{_libexecdir}/heartbeat
%{_sbindir}/ocf-tester
%{_sbindir}/ocft
#%%{_sbindir}/rhev-check.sh
%{_sbindir}/sfex_init
%{_sbindir}/sfex_stat
%{_usr}/lib/ocf
%{_unitdir}/resource-agents-deps.target
%dir %ghost %attr(1755, root, root) %{_rundir}/%{name}

%files -n ldirectord
%dir %{_sysconfdir}/ha.d/resource.d
%config(noreplace) %{_sysconfdir}/ha.d/resource.d/ldirectord
%config(noreplace) %{_sysconfdir}/logrotate.d/ldirectord
%{_sbindir}/ldirectord
%{_mandir}/man8/ldirectord.8*
%{_unitdir}/ldirectord.service
%{_tmpfilesdir}/ldirectord.conf
%dir %ghost %attr(0755, root, root) %{_rundir}/ldirectord
%ghost %attr(0660, -, -) %{_rundir}/ldirectord/ldirectord.pid

%files devel
%{_datadir}/pkgconfig/resource-agents.pc
