%define	api		1.0
%define	major		0
%define	libname		%mklibname %{name} %{api} %{major}
%define gi_libname	%mklibname %{name}-gir %{api}
%define develname	%mklibname -d %{name} %{api}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_with soup2

Name:          rest
Version:       0.9.1
Release:       %mkrel 3
Summary:       A library for access to RESTful web services

Group:         System/Libraries
License:       LGPLv2
URL:           https://www.gnome.org/
Source0:       https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Fix some crash paths exposed by the libsoup3 port, including a
# crash on suspend/resume with Google accounts:
# https://gitlab.gnome.org/GNOME/librest/-/merge_requests/30
Patch0:        0001-rest_proxy_call_sync-bail-out-if-no-payload.patch
Patch1:        0002-Handle-some-potential-problems-in-parsing-oauth2-acc.patch
BuildRequires: meson
BuildRequires: gi-docgen
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gtksourceview-5)
BuildRequires: pkgconfig(libadwaita-1)
%if %{with soup2}
BuildRequires: pkgconfig(libsoup-2.4)
%else
BuildRequires: pkgconfig(libsoup-3.0)
%endif
BuildRequires: pkgconfig(libxml-2.0)

%description
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n %{libname}
Summary:	A library for access to RESTful web services
Group:		System/Libraries

%description -n %{libname}
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n %{gi_libname}
Summary:	GObject introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_libname}
GObject introspection interface library for %{name}.

%package -n %{develname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gi_libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Files for development with %{name}.

%package -n librest-demo
Summary:	Librest Demo

%description -n librest-demo
Tour of the features in Librest.

%prep
%autosetup -p1 -S gendiff

%build
%meson -Dsoup2=%{?with_soup2:true}%{?!with_soup:false}
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc AUTHORS README*
%{_libdir}/librest-%{api}.so.%{major}
%{_libdir}/librest-%{api}.so.%{major}.*
%{_libdir}/librest-extras-%{api}.so.%{major}
%{_libdir}/librest-extras-%{api}.so.%{major}.*

%files -n %{gi_libname}
%{_libdir}/girepository-1.0/Rest-%{api}.typelib
%{_libdir}/girepository-1.0/RestExtras-%{api}.typelib

%files -n %{develname}
%doc %{_docdir}/librest-%{api}/
%{_includedir}/%{name}-%{api}/
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-extras-%{api}.pc
%{_libdir}/librest-%{api}.so
%{_libdir}/librest-extras-%{api}.so
%{_datadir}/gir-1.0/Rest-%{api}.gir
%{_datadir}/gir-1.0/RestExtras-%{api}.gir

%files -n librest-demo
%{_bindir}/librest-demo
%{_datadir}/applications/org.gnome.RestDemo.desktop
