%global debug_package %nil

%global c_std	C++17

Name:		restinio
Summary:	RESTinio is a header-only %{c_std} library that gives you an embedded HTTP/Websocket server
Version:	0.7.2
Release:	%mkrel 3
License:	BSD
Group:		Development/C++
Url:		https://github.com/Stiffstream/restinio
Source0:	https://github.com/Stiffstream/restinio/releases/download/v.%{version}/restinio-%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:	cmake(catch2)
BuildRequires:	cmake(expected-lite)
BuildRequires:  cmake(fmt)
BuildRequires:	cmake(llhttp)
BuildRequires:	doxygen
BuildRequires:	asio-devel
BuildRequires:	boost-devel
BuildRequires:	openssl-devel
BuildRequires:	pcre2-devel
Provides:	restinio-devel = %{version}-%{release}
Requires:	asio-devel
Requires:	cmake(catch2)
Requires:	cmake(expected-lite)
Requires:	cmake(fmt)
Requires:	cmake(llhttp)
Requires:	pcre2-devel
Requires:	zlib-devel

%description
RESTinio is a header-only %{c_std} library that gives you an embedded HTTP/Websocket server. It
is based on standalone version of ASIO and targeted primarily for asynchronous processing of
HTTP-requests. Boost::ASIO is also supported.

%prep
%autosetup -p1

%build
%global _vpath_srcdir dev
%cmake \
    -DRESTINIO_TEST:BOOL=OFF \
    -DRESTINIO_SAMPLE:BOOL=OFF \
    -DRESTINIO_BENCHMARK:BOOL=OFF \
    -DRESTINIO_WITH_SOBJECTIZER:BOOL=OFF \
    -DRESTINIO_DEP_STANDALONE_ASIO:STRING="system" \
    -DRESTINIO_DEP_BOOST_ASIO:STRING="system" \
    -DRESTINIO_DEP_LLHTTP:STRING="system" \
    -DRESTINIO_DEP_FMT:STRING="system" \
    -DRESTINIO_DEP_EXPECTED_LITE:STRING="system" \
    -DRESTINIO_DEP_CATCH2:STRING="find" \
    -DRESTINIO_ASIO_SOURCE:STRING="standalone"

%cmake_build

pushd dev
   doxygen -u
   doxygen
popd

%install
%cmake_install

%files
%license LICENSE*
%doc README.md
%doc dev/doc/html
%{_includedir}/restinio/
%{_libdir}/cmake/restinio/
