%define plugins 0
%define oname  RetroShare

%if 0%{?plugins} 
	%define qmake_parameter "CONFIG+=retroshare_plugins"
%endif
Name:       retroshare
Version:    0.6.5
Release:    %mkrel 1
Summary:    Private and secure decentralized communication platform
License:    GPLv2
Group:      Networking/Other
URL:        https://retroshare.github.io/
Source0:    https://github.com/RetroShare/RetroShare/archive/v%{version}/RetroShare-%{version}.tar.gz
Patch0:     retroshare-0.6.5-ffmpeg-4.0.patch

BuildRequires:  miniupnpc-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(libupnp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libmicrohttpd)
BuildRequires:  pkgconfig(sqlcipher)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(protobuf)
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libssh)
BuildRequires:  pkgconfig(libmicrohttpd)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  rapidjson
Requires:       %{name}-data
Requires:       sqlcipher
Requires:       openssl
Requires:       tcl
%if 0%{?plugins}
BuildRequires:  pkgconfig(libavcodec)
Recommends:     retroshare-voip
Recommends:     retroshare-feedreader
%endif
Obsoletes:  retroshare-feedreader < 0.6.5-1
Obsoletes:  retroshare-voip < 0.6.5-1

%description
Lets you to securely chat and share files with your friends
and family, using a web-of-trust to authenticate peers and OpenSSL to encrypt
all communication.
RetroShare provides file-sharing, chat, messages, forums and channels.

%package nogui
Summary:    Private and secure decentralized communication platform without GUI
Requires:   %{name}-data

%description nogui
Version Without GUI for making relay server.
Lets you to securely chat and share files with your friends
and family, using a web-of-trust to authenticate peers and OpenSSL to encrypt
all communication.
RetroShare provides file-sharing, chat, messages, forums and channels.

%package data
Summary:    Data files needed for %{name} and %{name}-nogui
BuildArch:  noarch

%description data
This package contains data files needed for %{name} and %{name}-nogui.

%if 0%{?plugins} 
%package voip
Summary:        VOIP plugin for %{name}
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(speexdsp)
Requires:       retroshare

%description voip
VOIP plugin for %{name}.

%package feedreader
Summary:        Plugin for %{name}
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libcurl)
Requires:       retroshare

%description feedreader
RSS feed reader for %{name}.
%endif

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%qmake_qt5 -recursive "CONFIG+=debug" RS_UPNP_LIB=miniupnpc

%make_build

%install
%qmakeinstall_std

%files
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%files nogui
%{_bindir}/%{name}-nogui

%files data
%{_datadir}/%{name}

%if 0%{?plugins}
%files voip
%{_libdir}/%{name}/%{extensions_dir}/libVOIP.so*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{extensions_dir}

%files feedreader
%{_libdir}/%{name}/%{extensions_dir}/libFeedReader.so*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{extensions_dir}
%endif
