%global _exclude_files_from_autoreq ^%{_libdir}/%{vname}/%{extensions_dir}/
%define number	0.6.0
%define oname	RetroShare
%define over	06
%define extensions_dir	extensions6
%define vname	retroshare
%define voname	%{oname}%{over}

Name:		%{vname}%{over}
Version:	%{number}
Release:	%mkrel 1
Summary:	Private and secure decentralized communication platform
License:	GPLv2
Group:		Networking/Other
Source0:	https://sourceforge.net/projects/retroshare/files/RetroShare/%{version}/%{oname}-%{number}.tar.gz
URL:		https://retroshare.sourceforge.net/
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(libupnp)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	%{_lib}microhttpd-devel
BuildRequires:	%{_lib}sqlcipher-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	speex-devel
BuildRequires:	chrpath
Requires:       sqlcipher
Requires:	openssl
Suggests:	retroshare-VOIP
Suggests:	retroshare-feedreader

%description
Lets you to securely chat and share files with your friends
and family, using a web-of-trust to authenticate peers and OpenSSL to encrypt
all communication.
RetroShare provides file-sharing, chat, messages, forums and channels.

%package nogui
Summary:	Private and secure decentralized communication platform without GUI

%description nogui
Version Without GUI for making relay server.
Lets you to securely chat and share files with your friends
and family, using a web-of-trust to authenticate peers and OpenSSL to encrypt
all communication.
RetroShare provides file-sharing, chat, messages, forums and channels.

%package voip
Summary:	VOIP plugin for %{name} %{number}
BuildRequires:	opencv-devel
BuildRequires:  speexdsp-devel
Requires:	retroshare06

%description voip
VOIP plugin for %{name} %{number}

%package feedreader
Summary:	Plugin for %{name} %{number}
BuildRequires:	libxslt-devel
BuildRequires:	curl-devel
Requires:	retroshare06

%description feedreader
RSS feed reader for %{name} %{number}

%prep
%setup -q -n %{oname}-%{number}


%build
cd libbitdht/src
%qmake_qt4

%make
cd ../../openpgpsdk/src
%qmake_qt4
%make
cd ../../libresapi/src
%qmake_qt4
%make

cd ../../supportlibs/pegmarkdown/
%qmake_qt4
%make
cd ../../libretroshare/src
%qmake_qt4
%make
cd ../../retroshare-gui/src
%qmake_qt4
%make


cd ../../retroshare-nogui/src
%qmake_qt4
%make

cd ../../plugins
qmake
make


%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/applications
install -d %{buildroot}%{_datadir}/%{voname}/webui
install -d %{buildroot}%{_datadir}/pixmaps
install -d %{buildroot}%{_datadir}/icons/hicolor/24x24/apps
install -d %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
install -d %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
install -m 755 retroshare-gui/src/%{voname} %{buildroot}%{_bindir}/%{voname}
install -m 644 data/24x24/apps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/
install -m 644 data/48x48/apps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -m 644 data/64x64/apps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
install -m 644 data/%{name}.desktop %{buildroot}%{_datadir}/applications/
install -m 644 data/%{name}.xpm %{buildroot}%{_datadir}/pixmaps/
install -m 644 libresapi/src/webfiles/* %{buildroot}%{_datadir}/%{voname}/webui/
install -d %{buildroot}%{_bindir}/%{name}
install -m 755 retroshare-nogui/src/%{voname}-nogui %{buildroot}%{_bindir}/%{name}-nogui
chrpath -d %{buildroot}%{_bindir}/%{name}-nogui
chrpath -d %{buildroot}%{_bindir}/%{voname}

install -d %{buildroot}%{_libdir}/%{vname}/%{extensions_dir}/
install -m 644 libbitdht/src/bitdht/bdboot.txt %{buildroot}%{_datadir}/%{voname}/
install -m 755 plugins/VOIP/libVOIP.so %{buildroot}%{_libdir}/%{vname}/%{extensions_dir}/
install -m 755 plugins/FeedReader/libFeedReader.so %{buildroot}%{_libdir}/%{vname}/%{extensions_dir}/
cd %{buildroot}%{_libdir}/%{vname}/%{extensions_dir}/

ln -sf ./libVOIP.so ./libVOIP.so.1
ln -sf ./libVOIP.so ./libVOIP.so.1.0
ln -sf ./libVOIP.so ./libVOIP.so.1.0.0
ln -sf ./libFeedReader.so ./libFeedReader.so.1
ln -sf ./libFeedReader.so ./libFeedReader.so.1.0
ln -sf ./libFeedReader.so ./libFeedReader.so.1.0.0
chrpath -d ./libVOIP.so*



%files 
%{_bindir}/%{voname}
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{voname}/bdboot.txt
%{_datadir}/%{voname}/webui/*

%files nogui
%{_bindir}/%{name}-nogui
%{_datadir}/%{voname}/bdboot.txt
%{_datadir}/%{voname}/webui/*


%files voip
%{_libdir}/%{vname}/%{extensions_dir}/libVOIP.so*

%files feedreader
%{_libdir}/%{vname}/%{extensions_dir}/libFeedReader.so*
