# https://github.com/fsfe/reuse-tool

Name:           reuse
Version:        5.0.2
Release:        %mkrel 2
Summary:        A tool for compliance with the REUSE recommendations
Group:          File tools
License:        GPLv3+ and CC-BY-SA and ASL 2.0
Url:            https://reuse.software/
Source0:        %pypi_source
Source1:        https://raw.githubusercontent.com/fsfe/reuse-tool/main/CONTRIBUTING.md
Patch0:         reuse-fix-reqs.patch
Patch1:         0001-Use-importlib-mode-for-pytest.patch
BuildArch:      noarch

# Build
BuildRequires:  pyproject-rpm-macros
BuildRequires:  gettext
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
# Test
BuildRequires:  git
BuildRequires:  mercurial
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(freezegun)
# Dependencies
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(binaryornot)
BuildRequires:  python3dist(boolean-py)
BuildRequires:  python3dist(license-expression)
BuildRequires:  python3dist(python-debian)
BuildRequires:  python3dist(requests)
# Documentation
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(sphinx-autodoc-typehints)
BuildRequires:  python3dist(sphinxcontrib-apidoc)
BuildRequires:  python3dist(furo)
BuildRequires:  python3dist(myst-parser)

Recommends:     git
Recommends:     mercurial

Provides:       reusetool = %{version}-%{release}

%description
A tool for compliance with the REUSE recommendations. Essentially,
it is a linter that checks for a project's compliance, and a compiler that
generates a project's bill of materials.

%prep
%autosetup -p1

cp -a %{S:1} .

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

pushd docs
PBR_VERSION=%{version} sphinx-build-%{python3_version} . html
PBR_VERSION=%{version} sphinx-build-%{python3_version} -b man . manpages
rm -rf {html,man}/.{doctrees,buildinfo}
popd

%install
%pyproject_install

%pyproject_save_files reuse

install -p -m0644 -Dt "%{buildroot}%{_mandir}/man1" docs/manpages/*.1

%check
#pytest

%files -f %{pyproject_files}
%license LICENSES/*.txt
%doc README.md CHANGELOG.md docs/html/
%{_bindir}/%{name}
%{_mandir}/man1/reuse.1*
%{_mandir}/man1/reuse-*.1*
