%define djblets_version 0.9
%define oname ReviewBoard

Name:           reviewboard
Version:        2.5.2
Release:        %mkrel 4
Summary:        Web-based code review tool
Group:          Development/Tools
License:        MIT
URL:            http://www.review-board.org
Source0:        https://downloads.reviewboard.org/releases/%{oname}/2.5/%{oname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  python-django16
BuildRequires:  python-djblets >= %{djblets_version}
BuildRequires:  python-django-evolution >= 0.7.6
BuildRequires:  python-django-haystack >= 2.3.1
BuildRequires:  python-mimeparse
BuildRequires:  python-sphinx
BuildRequires:  python-recaptcha-client
BuildRequires:  python-pysvn
BuildRequires:  python-pygments >= 1.4
BuildRequires:  python-nose
BuildRequires:  python-pytz
BuildRequires:  python-paramiko >= 1.12
BuildRequires:  python-dateutil15
BuildRequires:  python-mimeparse >= 0.1.3
BuildRequires:  python-markdown >= 2.4.0
BuildRequires:  python-docutils
BuildRequires:  uglify-js
BuildRequires:  gettext
BuildRequires:  python-memcached
BuildRequires:  python-pycrypto >= 2.6
BuildRequires:  python-django16-multiselectfield
BuildRequires:  python-whoosh

Requires:       apache
Requires:       python-pillow
Requires:       apache-mod_wsgi
Requires:       patch
Requires:       patchutils
Requires:       python-flup
Requires:       python-nose

# Pull in the client libraries for all of the supported databases
Recommends:     python-mysql
Recommends:     python-psycopg2

# Pull in the tools for working with common repositories
Recommends:     git
Recommends:     subversion
Recommends:     python-pysvn
Recommends:     mercurial

# There are several workarounds for easy_install in the requires.txt
# that are not needed for (and interfere with) RPM packaging.
Patch1001: mga-soften-dependencies.patch
# The cache file belongs in /var/cache according to guidelines
Patch1002: mga-change-default-paths-to-match-mga-policies.patch


%description
Review Board is a powerful web-based code review tool that offers
developers an easy way to handle code reviews. It scales well from small
projects to large companies and offers a variety of tools to take much
of the stress and time out of the code review process.

%prep
%setup -q -n %{oname}-%{version}

%patch -P 1001 -p1
%patch -P 1002 -p1

# Remove packaged egg-info so it's regenerated by setup.py
rm -rf ReviewBoard*.egg-info


%build
%py2_build

%install
%py2_install

# These scripts have a shebang and are meaningful to run; make them executable:
chmod +x $RPM_BUILD_ROOT/%{python2_sitelib}/reviewboard/manage.py
chmod +x $RPM_BUILD_ROOT/%{python2_sitelib}/reviewboard/cmdline/rbssh.py
chmod +x $RPM_BUILD_ROOT/%{python2_sitelib}/reviewboard/cmdline/rbsite.py

# Remove test data from the installed packages
rm -Rf $RPM_BUILD_ROOT/%{python2_sitelib}/reviewboard/diffviewer/testdata \
       $RPM_BUILD_ROOT/%{python2_sitelib}/reviewboard/scmtools/testdata

# Make sure the sites file exists in the buildroot for file tests
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/reviewboard/
touch  $RPM_BUILD_ROOT/%{_sysconfdir}/reviewboard/sites

# Create directory for installed sites
mkdir -p $RPM_BUILD_ROOT/%{_sharedstatedir}/reviewboard/sites

%check



%files
%doc AUTHORS COPYING INSTALL NEWS
%{_bindir}/rb-site
%{_bindir}/rbssh
%ghost %config(noreplace) %{_sysconfdir}/reviewboard/sites
%dir %{_sharedstatedir}/reviewboard
%dir %{_sharedstatedir}/reviewboard/sites

%{python2_sitelib}/reviewboard/
%{python2_sitelib}/ReviewBoard*.egg-info/


