%define	oname	Li-ri

Summary:	A toy wood train kit game
Name:		ri-li
Version:	3.1.4
Release:	%mkrel 1
License:	GPLv2 or GPLv3
Group:		Games/Arcade
URL:		https://github.com/petitlapin/Li-Ri
Source0:	https://github.com/petitlapin/Li-Ri/archive/v%{version}/Li-Ri-%{version}.tar.gz
# Additional sources
Source1:	https://github.com/brofield/simpleini/archive/v4.22/simpleini-4.22.tar.gz
Patch0:		li-ri-mga-fix-install.patch
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	cmake

Provides:	Ri-li = %{version}
Provides:	Li-ri = %{version}
Provides:	li-ri = %{version}

%description
Li-Ri is a fork of Ri-li (http://www.ri-li.org).
You drive a toy wood engine in many levels and you must
collect all the coaches to win. Full-featured, 19 languages: Arabic,
Breton, Chinese, English, Esperanto, French, German, Italian, Japanese,
Korean, Portuguese, Russian, Slovak, Spanish, Swedish, Polish, Turkish,
Hungarian and Dutch.
Colorful animated wood engine, 50 levels in this first version and 3 beautiful
musics and many sound effects.

%prep
%autosetup -p1 -n Li-Ri-%{version} -a1

# Copy the source archives from the sources folder into the
# dedicated _deps folder of the build directory.
mkdir -p %{_vpath_builddir}/_deps
cp -a simpleini-4.22/* %{_vpath_builddir}/_deps/

%build
%cmake -DLIRI_DATA_DIR=%{_gamesdatadir}/%{oname}
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}{%{_includedir},%{_datadir}/cmake}

%files
%doc README.md AUTHORS NEWS*
%license COPYING COPYING.Music
%{_gamesbindir}/%{oname}
%{_gamesdatadir}/%{oname}/
%{_datadir}/applications/io.github.petitlapin.Li-ri.desktop
%{_iconsdir}/hicolor/*/apps/io.github.petitlapin.Li-ri.png
%{_metainfodir}/io.github.petitlapin.Li-ri.appdata.xml
