Name:           rigelengine
Version:        0.9.1
Release:        %mkrel 2
Summary:        A modern reimplementation of the game Duke Nukem II
License:        GPL-2.0-only
Group:          Games/Arcade
URL:            https://github.com/lethal-guitar/RigelEngine
Source:         https://github.com/lethal-guitar/RigelEngine/archive/v%{version}/RigelEngine-%{version}.tar.xz
Patch0:         RigelEngine-fix-build-with-gcc13.patch
Patch1:         RigelEngine-fix-build-with-gcc14.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(sdl2)

%description
A modern reimplementation of the game Duke Nukem II,
originally released in 1993 for MS-DOS by Apogee Software.

You need the original game's data files in order to play,
e.g. the freely available shareware version.

%prep
%autosetup -p1 -n RigelEngine-%{version}

%build
%cmake \
%ifarch %arm aarch64
        -DUSE_GL_ES=1 \
%endif
        -DBUILD_TESTS=ON

%cmake_build

%install
install -D -m0755 build/src/RigelEngine %{buildroot}%{_bindir}/RigelEngine

install -D -m0644 dist/linux/rigelengine.metainfo.xml %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

install -D -m0644 dist/linux/rigelengine_128.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

install -D -m0644 dist/linux/rigelengine.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%check
%ctest

%files
%license LICENSE.md
%doc AUTHORS.md README.md
%{_bindir}/RigelEngine
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_metainfodir}/%{name}.metainfo.xml
