Name:          rinutils
Version:       0.10.3
Release:       %mkrel 2
Summary:       Shlomi Fish's gnu11 C Library of Random headers
License:       MIT
Group:         Development/C
URL:           https://github.com/shlomif/rinutils/
Source0:       https://github.com/shlomif/rinutils/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0:        rinutils-ARCH_INDEPENDENT.patch
# Header only pkg
BuildArch:     noarch

BuildRequires: cmake
BuildRequires: cmake(cmocka)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Env::Path)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Inline)
BuildRequires: perl(Inline::C)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::RunValgrind)
BuildRequires: perl(Test::TrailingSpace)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildRequires: python3
BuildRequires: valgrind

%description
Shlomi Fish's gnu11 C Library of Random headers.

%package devel
Summary:       Shlomi Fish's gnu11 C Library of Random headers
Group:         Development/C
Provides:      %{name}-devel = %{version}-%{release}
Provides:      lib%{name}-devel = %{version}-%{release}
Obsoletes:     librinutils-devel < 0.8.0-4
Obsoletes:     lib64rinutils-devel < 0.8.0-4
Obsoletes:     rinutils < 0.8.0-4
Provides:      %{name} = %{version}-%{release}

%description devel
Shlomi Fish's gnu11 C Library of Random headers.

%prep
%autosetup -p1

%build
%cmake -DLOCALE_INSTALL_DIR=%{_datadir}/locale \
       -DINSTALL_TO_DATADIR=ON \
       -DWITH_TEST_SUITE=ON
%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%license LICENSE
%doc README.asciidoc NEWS.asciidoc
%{_includedir}/rinutils/
%{_datadir}/pkgconfig/*.pc
%{_datadir}/cmake/Rinutils/
