%bcond_without check

Name:           ripgrep
Version:        14.1.0
Release:        %mkrel 2
Summary:        Recursively search directories for a regex pattern
Group:          Text tools
License:        Public Domain and MIT
URL:            https://github.com/BurntSushi/ripgrep/
Source0:        %{crates_source}
BuildRequires:  cargo-rpm-macros >= 24

# Automatically generated patch to strip dependencies and normalize metadata
Patch:          ripgrep-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop unsupported SIMD feature
Patch:          ripgrep-fix-metadata.diff

%description
ripgrep is a line-oriented search tool that recursively searches your current
directory for a regex pattern. By default, ripgrep will respect your
.gitignore and automatically skip hidden files/directories and binary files.
ripgrep has first class support on Windows, macOS and Linux, with binary
downloads available for every release. ripgrep is similar to other popular
search tools like The Silver Searcher, ack and grep.

The command is "rg" (/usr/bin/rg).

%package bash-completion
Summary:       Bash completion for ripgrep
Requires:      ripgrep = %{version}-%{release}

%description bash-completion
This is the BASH completion file for ripgrep

%package fish-completion
Summary:       Fish completion for ripgrep
Requires:      ripgrep = %{version}-%{release}

%description fish-completion
This is the fish completion file for ripgrep

%package zsh-completion
Summary:       Zsh completion for ripgrep
Requires:      ripgrep = %{version}-%{release}

%description zsh-completion
This is the zsh completion file for ripgrep

%prep
%autosetup -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

mkdir -p %{buildroot}/%{_mandir}/man1/
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
mkdir -p %{buildroot}%{_datadir}/fish/vendor_completions.d
mkdir -p %{buildroot}%{_datadir}/zsh/site-functions

./target/release/rg --generate man > %{buildroot}/%{_mandir}/man1/rg.1
./target/release/rg --generate complete-bash > %{buildroot}%{_datadir}/bash-completion/completions/rg.bash
./target/release/rg --generate complete-fish > %{buildroot}%{_datadir}/fish/vendor_completions.d/rg.fish
./target/release/rg --generate complete-zsh  > %{buildroot}%{_datadir}/zsh/site-functions/_rg

%if %{with check}
%check
%cargo_test -a
%endif

%files
%license COPYING UNLICENSE LICENSE-MIT
%doc README.md FAQ.md GUIDE.md
%{_bindir}/rg
%{_mandir}/man1/rg.1*

%files bash-completion
%{_datadir}/bash-completion/completions/rg.bash

%files fish-completion
%{_datadir}/fish/vendor_completions.d/rg.fish

%files zsh-completion
%{_datadir}/zsh/site-functions/_rg
