%define	major		1
%define libname		%mklibname ripmime %{major}
%define develname	%mklibname ripmime -d

Summary:	Extracts attachments out of mailpack format emails
Name:		ripmime
Version:	1.4.1.0
Release:	%mkrel 1
License:	BSD
Group:		Networking/Mail
# https://www.pldaniels.com/ripmime/
URL:		https://github.com/inflex/ripMIME
Source0:	https://github.com/inflex/ripMIME/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		ripmime-shared.patch
Patch1:		ripmime-1.4.1.0-buffer_overflow.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ripole-devel

%description
ripMIME is a small program which has been developed as part of the
commercial Xamime development (http://www.xamime.com).

ripMIME has been written with one sole purpose in mind, to extract
the attached files out of a MIME encoded email package.

%package -n	%{libname}
Summary:	Shared %{name} library
Group:          System/Libraries

%description -n	%{libname}
ripMIME is a small program which has been developed as part of the
commercial Xamime development (http://www.xamime.com).

ripMIME has been written with one sole purpose in mind, to extract
the attached files out of a MIME encoded email package.

This package provides the shared %{name} library.

%package -n	%{develname}
Summary:	Development files for the %{name} library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} >= %{version}

%description -n	%{develname}
ripMIME is a small program which has been developed as part of the
commercial Xamime development (http://www.xamime.com).

ripMIME has been written with one sole purpose in mind, to extract
the attached files out of a MIME encoded email package.

This package provides development files for the %{name} library.

%prep
%autosetup -p1 -n ripMIME-%{version}

%build
%make_build \
    CFLAGS="%{optflags}" \
    LDFLAGS="%{ldflags}"

%install
%make_install libdir=%{_libdir}

# cleanups
find %{buildroot} -name '*.a' -delete
find %{buildroot} -name '*.la' -delete

%files
%doc CHANGELOG CONTRIBUTORS README
%license LICENSE
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%license LICENSE
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc TODO
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/*.so
