%define commit 0e6d6e052ed23dc15d515bf662abc73f92d191ec

Name:          rkrlv2
Version:       git20210112
Release:       %mkrel 6
Summary:       Rakarrack effects ported to LV2 plugins
Group:         Sound/Midi
License:       GPLv2
URL:           https://github.com/ssj71/rkrlv2
Source0:       https://github.com/ssj71/rkrlv2/archive/%{name}-%{commit}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(fftw3)

Requires:       lv2

%description
This package is the rakarrack effects ported to LV2 plugins: Lineal EQ,
Compressor, Distortion, Echo, Chorus, Analog Phaser, Reverb, Parametric EQ,
Cabinet Emulation, AutoPan/Stereo Expander, Harmonizer, Musical Delay,
WahWah, AlienWah, Derelict, Valve, Dual Flange, Ring, Exciter, DistBand,
Arpie, Expander, Shuffle, Synthfilter, VaryBand, MuTroMojo, Echoverse,
CoilCrafter, ShelfBoost, Vocoder, Sustainer, Sequence, Shifter, StompBox,
Reverbtron, Echotron, StereoHarm, CompBand, Opticaltrem, Vibe, Infinity.

%prep
%setup -q -n %{name}-%{commit}

%ifarch %{arm} aarch64
sed -i -e '/CMAKE_CXX_FLAGS/s/-msse -msse2 -mfpmath=sse//' ./lv2/CMakeLists.txt
%endif

#fix libdir
sed -i -e 's/LV2_INSTALL_DIR lib\//LV2_INSTALL_DIR %{_lib}\//' lv2/CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README AUTHORS COPYING
%{_libdir}/lv2/*
%{_datadir}/rkr.lv2/
