Name:		rkward
Version:	0.8.0
Release:	%mkrel 1
Summary:	RKWard aims to provide an easily extensible, easy to use IDE/GUI for R-language
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		https://rkward.kde.org/
Source0:	https://download.kde.org/stable/rkward/%{version}/%{name}-%{version}.tar.gz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:	aarch64 x86_64

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6TextEditor)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6Parts)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6BreezeIcons)
BuildRequires:	cmake(KF6Crash)

BuildRequires:	R-base

Requires:	R-base
Requires:	plasma-workspace

%description
RKWard is meant to become an easy to use, transparent front-end to
the R-language, a very powerful, yet hard-to-get-into scripting-language
with a strong focus on statistic functions. It will not only provide a
convenient user-interface, however, but also take care of seamless
integration with an office-suite. Practical statistics is not just about
calculating, after all, but also about documenting and ultimately
publishing the results.

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --with-man --all-name

# FIXME create symlinks for rkward.frontend and rkward.backend so that they can be found
ln -st %{buildroot}%{_kf6_bindir} %{_libexecdir}/rkward.frontend
ln -st %{buildroot}%{_kf6_bindir} %{_libexecdir}/rkward.rbackend

%files -f %{name}.lang
%{_kf6_bindir}/%{name}*
%{_kf6_iconsdir}/hicolor/*/*/%{name}.png
%{_kf6_iconsdir}/hicolor/scalable/*/%{name}.svgz
%{_kf6_datadir}/%{name}/
%{_kf6_datadir}/ktexteditor_snippets/
%{_kf6_libdir}/librkward.rbackend.lib.so
%{_kf6_datadir}/kio/servicemenus/rkward.protocol
%{_kf6_applicationsdir}/org.kde.%{name}*.desktop
%{_libexecdir}/%{name}.*
%{_kf6_mandir}/man1/%{name}.*
%{_kf6_datadir}/mime/packages/vnd.%{name}.r.xml
%{_kf6_metainfodir}/org.kde.%{name}.metainfo.xml
%{_kf6_datadir}/mime/packages/vnd.kde.rkward-output.xml
%{_kf6_datadir}/mime/packages/vnd.kde.rmarkdown.xml
