%define major		5
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Summary: 	Runtime Logging for C++
Name: 		rlog
Version: 	1.4
Release:	%mkrel 14
License:	LGPLv2+
Group:		Development/C++
Source:		http://rlog.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		rlog-autoconf.patch
URL:		https://www.arg0.net/rlog

%description
RLog provides a flexible message logging facility for C++ programs and
libraries. It is designed to be fast enough to use in production code.

%package -n 	%{libname}
Summary:	Libraries for rlog
Group:		Development/C++

%description -n	%{libname}
Libraries for rlog.

%package -n	%{libnamedev}
Summary:	Header files and development libraries for librlog1
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}rlog5-devel < 1.4-5

%description -n	%{libnamedev}
Header files and development libraries for librlog1.

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libnamedev}
%doc docs/html/
%doc docs/latex/*.pdf
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/librlog.pc
