%global _hardened_build 1
%global _sbindir /sbin

Summary:        Random number generator related utilities
Name:           rng-tools
Version:        6.17
Release:        %mkrel 1
Group:          System/Base
License:        GPLv2+
URL:            https://github.com/nhorman/rng-tools
Source0:        https://github.com/nhorman/rng-tools/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        rngd.service

BuildRequires:  gettext
BuildRequires:  libgcrypt-devel
BuildRequires:  libsysfs-devel
BuildRequires:  pkgconfig(jansson)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libp11)
BuildRequires:  pkgconfig(librtlsdr)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  systemd-units
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
Hardware random number generation tools.

%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install

# install systemd unit file
mkdir -p %{buildroot}%{_unitdir}
install -m 644 %{SOURCE1} %{buildroot}%{_unitdir}

%post
%_post_service rngd

%preun
%_preun_service rngd

%postun
%_postun_service rngd

%files
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/randstat
%{_bindir}/rngtest
%{_sbindir}/rngd
%{_mandir}/man1/rngtest.1.*
%{_mandir}/man8/rngd.8.*
%attr(0644,root,root) %{_unitdir}/rngd.service
