%global _legacy_common_support 1

Name:		roadmap
Version:	1.2.1
Release:	%mkrel 23
Summary:	GPS Tracker
Group:		Sciences/Geosciences
License:	GPLv2+
URL:		https://roadmap.sourceforge.net/
Source0:	https://downloads.sourceforge.net/roadmap/%{name}-%{version}-src.tar.gz
Patch2:		roadmap-1.2.1-mdv-fix-paths.patch
Patch3:		roadmap-1.2.1-mga-use-gpsd3.patch
Requires:	gpsd
BuildRequires:	pkgconfig(shapelib)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(popt)
# To resolve /usr/bin/php file dep at build time
BuildRequires:	php-cli
# due to .php file in /bin/...:
%global __requires_exclude osmgetbmapcore.php

%description
A navigation system that displays US street maps (from the US Census Bureau)
and tracks a vehicle using GPS. Specific areas can be displayed by selecting
a street address (street number & name, city, and state).
RoadMap can run on iPAQ and Zaurus.


%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -ffast-math -I%{_includedir}/libshp"
export LDFLAGS="%{ldflags}"

make -C src \
	DESKTOP=GTK2 \
	SHAPEFILES=yes

%install
%make_install -C src \
	DESKTOP=GTK2 \
	INSTALLDIR=%{_prefix} \
	desktopdir=%{buildroot}%{_datadir}/applications

install -m755 src/gtk2/gtkroadgps -D %{buildroot}%{_bindir}/roadgps
install -m755 src/gtk2/gtkroadmap -D %{buildroot}%{_bindir}/roadmap
pushd src/icons/
install -m644 roadmap-16.png -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 roadmap-32.png -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 roadmap-48.png -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 roadmap-64.png -D %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
popd

# not needed
rm -rf doc/Installation

%files
%doc README doc/*
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*.1*
