# need boost static libs
# * libboost_unit_test_framework.so.1.xx.x (shared, Boost_USE_STATIC_LIBS=ON)
%bcond_with tests

Name:           robin-map
Version:        1.3.0
Release:        %mkrel 2
Summary:        C++ implementation of a fast hash map and hash set using robin hood hashing
Group:          Development/C++
License:        MIT
URL:            https://github.com/Tessil/robin-map
Source0:        https://github.com/Tessil/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# Header only pkg
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  boost-devel

%description
The robin-map library is a C++ implementation of a fast hash map and hash set
using open-addressing and linear robin hood hashing with backward shift
deletion to resolve collisions.

*** This is a header only library. ***
The package you want is %{name}-devel.


%package devel
Summary:        C++ implementation of a fast hash map and hash set using robin hood hashing
Group:          Development/C++

%description devel
The robin-map library is a C++ implementation of a fast hash map and hash set
using open-addressing and linear robin hood hashing with backward shift
deletion to resolve collisions.

Four classes are provided: tsl::robin_map, tsl::robin_set, tsl::robin_pg_map
and tsl::robin_pg_set. The first two are faster and use a power of two growth
policy, the last two use a prime growth policy instead and are able to cope
better with a poor hash function. Use the prime version if there is a chance of
repeating patterns in the lower bits of your hash (e.g. you are storing
pointers with an identity hash function). See GrowthPolicy for details.

A benchmark of tsl::robin_map against other hash maps may be found here. This
page also gives some advices on which hash table structure you should try for
your use case (useful if you are a bit lost with the multiple hash tables
implementations in the tsl namespace).


%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%if %{with tests}
%check
pushd tests
%cmake
%cmake_build
./%{_vpath_builddir}/tsl_robin_map_tests
%endif

%files devel
%license LICENSE
%doc README.md
%{_datadir}/cmake/tsl-%{name}/
%{_includedir}/tsl/
