%define major     9
%define libname   %mklibname rocksdb %{major}
%define develname %mklibname rocksdb -d

Name:       rocksdb
Version:    9.10.0
Release:    %mkrel 1
Summary:    A Persistent Key-Value Store for Flash and RAM Storage
Group:      Databases
License:    BSD
URL:        https://github.com/facebook/rocksdb
Source0:    https://github.com/facebook/rocksdb/archive/v%{version}/%{name}-%{version}.tar.gz
#(wally) use system gtest
Patch2:     rocksdb-gtest.patch
# From Fedora
Patch10:    disable-static.patch
# From Alpine Linux via Fedora
Patch11:    shared-liburing.patch
# From Debian via Fedora
Patch13:    no_rpath.patch

BuildRequires: cmake
BuildRequires: pkgconfig(gtest)
BuildRequires: pkgconfig(gflags)
BuildRequires: pkgconfig(liburing)
# for compression
BuildRequires: pkgconfig(bzip2)
BuildRequires: pkgconfig(liblz4)
BuildRequires: pkgconfig(snappy)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libzstd)

ExcludeArch: %{arm}

%description
Rocksdb is a library that forms the core building block for a fast key value
server, especially suited for storing data on flash drives. It has a
Log-Structured-Merge-Database (LSM) design with flexible trade offs between
Write-Amplification-Factor (WAF), Read-Amplification-Factor (RAF) and
Space-Amplification-Factor (SAF). It has multithreaded compaction, making it
specially suitable for storing multiple terabytes of data in a single database.

%package -n %{libname}
Summary:    A Persistent Key-Value Store for Flash and RAM Storage
Group:      Databases
Provides:   %{name} = %{version}-%{release}
Obsoletes:  %{_lib}rocksdb8 < 8.11.3-4
Obsoletes:  %{_lib}rocksdb9.5 < 9.5.2-2

%description -n %{libname}
Rocksdb is a library that forms the core building block for a fast key value
server, especially suited for storing data on flash drives. It has a
Log-Structured-Merge-Database (LSM) design with flexible trade offs between
Write-Amplification-Factor (WAF), Read-Amplification-Factor (RAF) and
Space-Amplification-Factor (SAF). It has multithreaded compaction, making it
specially suitable for storing multiple terabytes of data in a single database.

%package -n %{develname}
Summary:    Development files for rocksdb
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Provides:   rocksdb-devel = %{version}-%{release}
Provides:   librocksdb-devel = %{version}-%{release}

%description -n %{develname}
Development files for rocksdb.

%prep
%autosetup -p1

rm -rf third-party/gtest-*
rm java/benchmark/src/main/java/org/rocksdb/benchmark/DbBenchmark.java
rm build_tools/gnu_parallel

%build
#(eatdirt) RTTI necessary for ceph
%cmake -DPORTABLE=ON \
       -DUSE_RTTI=ON \
       -DFAIL_ON_WARNINGS=OFF \
       -DROCKSDB_BUILD_SHARED=ON \
       -DWITH_TOOLS=OFF \
       -DWITH_TRACE_TOOLS=OFF \
       -DWITH_ALL_TESTS=OFF \
       -DWITH_BZ2=ON \
       -DWITH_SNAPPY=ON \
       -DWITH_LZ4=ON \
       -DWITH_ZSTD=ON \
       -DWITH_ZLIB=ON

%cmake_build

%install
%cmake_install


%files -n %{libname}
%{_libdir}/librocksdb.so.%{major}{,.*}
%license COPYING LICENSE.Apache LICENSE.leveldb


%files -n %{develname}
%doc README.md HISTORY.md LANGUAGE-BINDINGS.md
%{_libdir}/librocksdb.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/rocksdb
