# bitcode has no debuginfo
%global debug_package %{nil}

%global forgeurl    https://github.com/RadeonOpenCompute/rocm-cmake
%global install_prefix %{_libdir}/rocm
%global _cmake_moduledir %{_libdir}/cmake/rocm

Name:           rocm-cmake
Version:        5.7.1
Release:        %mkrel 1
Summary:        ROCm CMake Modules
License:        MIT
Group:          Development/Other
URL:            %{forgeurl}
Source0:        %{forgeurl}/archive/rocm-%{version}.tar.gz#/%{name}-rocm-%{version}.tar.gz

# PATCH-FIX-UPSTREAM 0001-fix-hardcoded-paths.patch luc14n0@opensuse.org
# Install CMake modules under %%{_libdir}/cmake/rocm/ rather than %%{_datadir}/rocm/cmake
Patch0:         rocm-cmake-5.7.1-fix-hardcoded-paths.patch

BuildRequires:  cmake >= 3.6

Requires:       cmake

%description
ROCM CMake modules for common build tasks needed by the ROCm software stack.

%prep
%autosetup -p1 -n %{name}-rocm-%{version}

%build
%cmake \
    -Wno-dev \
    -B build \
    -S "." \
    -DCMAKE_INSTALL_PREFIX=%{install_prefix} \
    -DCMAKE_MODULES_INSTALL_DIR=%{_cmake_moduledir}

%cmake_build

%install
%cmake_install

%files
%license LICENSE
%exclude %{install_prefix}/share/doc/rocm-cmake/LICENSE
%doc README.md
%dir %{_cmake_moduledir}
%{_cmake_moduledir}/ROCMAnalyzers.cmake
%{_cmake_moduledir}/ROCMCheckTargetIds.cmake
%{_cmake_moduledir}/ROCMChecks.cmake
%{_cmake_moduledir}/ROCMClangTidy.cmake
%{_cmake_moduledir}/ROCMClients.cmake
%{_cmake_moduledir}/ROCMConfig.cmake
%{_cmake_moduledir}/ROCMConfigVersion.cmake
%{_cmake_moduledir}/ROCMCppCheck.cmake
%{_cmake_moduledir}/ROCMCreatePackage.cmake
%{_cmake_moduledir}/ROCMDocs.cmake
%{_cmake_moduledir}/ROCMDoxygenDoc.cmake
%{_cmake_moduledir}/ROCMHeaderWrapper.cmake
%{_cmake_moduledir}/ROCMInstallSymlinks.cmake
%{_cmake_moduledir}/ROCMInstallTargets.cmake
%{_cmake_moduledir}/ROCMPackageConfigHelpers.cmake
%{_cmake_moduledir}/ROCMProperty.cmake
%{_cmake_moduledir}/ROCMSetupVersion.cmake
%{_cmake_moduledir}/ROCMSphinxDoc.cmake
%{_cmake_moduledir}/ROCMTest.cmake
%{_cmake_moduledir}/ROCMUtilities.cmake
%{_cmake_moduledir}/header_template.h.in

