%global somajor 1
%global sominor 11.0

%define libname    %mklibname %{name} %{somajor}
%define devel_name %mklibname %{name} -d

%global install_prefix %{_libdir}/rocm

Name:       rocm-runtime
Version:    5.7.1
Release:    %mkrel 2
Summary:    ROCm Runtime Library
Group:      System/Libraries
License:    NCSA
URL:        https://github.com/RadeonOpenCompute/ROCR-Runtime
Source0:    https://github.com/RadeonOpenCompute/ROCR-Runtime/archive/refs/tags/rocm-%{version}.tar.gz#/ROCR-Runtime-rocm-%{version}.tar.gz

#aarch64 might be useful but neither ROCm-OpenCL nor HIP support it
ExclusiveArch:  x86_64

BuildRequires:  rocm-cmake = %{version}
BuildRequires:  rocm-llvm-devel = %{version}
BuildRequires:  hsakmt-devel(rocm) = %{version}
BuildRequires:  pkgconfig(libelf)
BuildRequires:  pkgconfig(libdrm_amdgpu)
BuildRequires:  pkgconfig(libffi)
BuildRequires:  rocm-device-libs = %{version}
BuildRequires:  vim-common

%description
The ROCm Runtime Library is a thin, user-mode API that exposes the necessary
interfaces to access and interact with graphics hardware driven by the AMDGPU
driver set and the AMDKFD kernel driver. Together they enable programmers to
directly harness the power of AMD discrete graphics devices by allowing host
applications to launch compute kernels directly to the graphics hardware.


%package -n %{libname}
Summary:    AMD ROCm Runtime Library
Group:      System/Libraries
Requires:   rocm-device-libs = %{version}
Requires:   hsakmt(rocm) = %{version}
Provides:   %{name} = %{version}-%{release}

%description -n %{libname}
Libraries for %{name}.


%package -n %{devel_name}
Summary:    ROCm Runtime development files
Group:      Development/Other
Requires:   %{libname} = %{version}-%{release}
Requires:   hsakmt-devel(rocm) = %{version}
#For easier update
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devel_name}
ROCm Runtime development files


%prep
%autosetup -n ROCR-Runtime-rocm-%{version} -p1

#rocm-device-libs cannot be found due to change of installation location
sed -i "s|\({CLANG_ARG_LIST}\)|\1 --hip-device-lib-path=%{_libdir}/amdgcn/bitcode|" \
	src/image/blit_src/CMakeLists.txt \
	src/core/runtime/trap_handler/CMakeLists.txt

%build
#to help lld finding amdgpu_ functions
export LDFLAGS="$LDFLAGS -ldrm"

%cmake \
    -Wno-dev \
    -B build \
    -S "./src" \
    -DINCLUDE_PATH_COMPATIBILITY=OFF \
    -DClang_DIR=%{install_prefix}/llvm/lib/cmake/clang \
    -DLLD_DIR=%{install_prefix}/llvm/lib/cmake/lld

%cmake_build


%install
%cmake_install

echo '%{_libdir}' > %{name}.conf
install -Dm644 %{name}.conf %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf

%files -n %{libname}
%doc README.md
%license LICENSE.txt
%exclude %{_datadir}/doc/hsa-runtime64/LICENSE.md
%{_libdir}/libhsa-runtime64.so.%{somajor}
%{_libdir}/libhsa-runtime64.so.%{somajor}.%{sominor}
%{_sysconfdir}/ld.so.conf.d/%{name}.conf

%files -n %{devel_name}
%{_includedir}/hsa{,.*}
%{_libdir}/libhsa-runtime64.so
%{_libdir}/cmake/hsa-runtime64{,.*}
