#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           rocs
Summary:        Graph Editor and a Programming Environment
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Education
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/rocs/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
# Branch patches 100->200

# Trunk patches 200->300

# Mageia patches 500->600

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5ScriptTools)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5DocTools)

BuildRequires:  boost-devel
BuildRequires:  cmake(Grantlee5)


%description
Rocs aims to be a Graph Theory IDE for helping professors to show the results
of a graph algorithm and also helping students to do the algorithms.
Rocs has a scripting module, done in Qt Script, that interacts with the drawn
graph and every change in the graph with the script is reflected on the drawn
one.

%files -f %name.lang
%_kf5_bindir/rocs
%_kf5_applicationsdir/*.desktop
%_kf5_metainfodir/org.kde.rocs.appdata.xml
%_kf5_datadir/config.kcfg/rocs.kcfg
%_kf5_datadir/rocs
%_kf5_iconsdir/hicolor/scalable/apps/rocs.svgz
%_qt5_plugindir/rocs
%_kf5_iconsdir/*/*/*/*

#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %name >= %{version}-%{release}

%description handbook
This package provides %name handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/%name

#------------------------------------------------------------------------------

%define rocsgraphtheory_major 0
%define librocsgraphtheory %mklibname rocsgraphtheory %{rocsgraphtheory_major}

%package -n %librocsgraphtheory
Summary:        Runtime library for Rocs
Group:          System/Libraries

%description -n %librocsgraphtheory
Runtime library for Rocs.

%files -n %librocsgraphtheory
%_kf5_libdir/librocsgraphtheory.so.%{rocsgraphtheory_major}{,.*}

#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %librocsgraphtheory = %version

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_includedir/rocs
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
