Name:           rosegarden
Version:        24.12
Release:        %mkrel 1
Summary:        Midi, audio sequencer and notation editor
License:        GPLv2+
Group:          Sound/Midi
URL:            https://www.rosegardenmusic.com/
Source0:        https://download.sourceforge.net/rosegarden/%{name}-%{version}.tar.xz
Patch0:         rosegarden-24.12-mga-fix-desktop-file.patch
BuildRequires:  cmake
BuildRequires:  qttools6
BuildRequires:  subversion
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6CoreTools)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6GuiTools)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WidgetsTools)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(lrdf)
BuildRequires:  pkgconfig(dssi)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(lilv-0)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(liblircclient0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  ladspa-devel

Requires:       flac
Requires:       libsndfile-progs
# For sndfile-resample, see https://bugzilla.novell.com/show_bug.cgi?id=443543
# - AdamW 2008/12
Requires:       libsamplerate-progs
Requires:       xterm
Recommends:     lilypond

%description
Rosegarden is a music composition and editing environment based around a MIDI
sequencer that features a rich understanding of music notation and includes
basic support for digital audio.

Rosegarden is an easy-to-learn, attractive application that runs on Linux,
ideal for composers, musicians, music students, and small studio or home
recording environments.

%prep
%autosetup -p1

%build
%cmake_qt6 -DUSE_QT6=ON

# run make twice to work around:
# make[2]: *** No rule to make target 'src/svnversion.h', needed by 'src/CMakeFiles/rosegardenprivate_autogen'.  Stop.
%cmake_build || true
%cmake_build

%install
%cmake_install

# install some extra files
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr \
        data/autoload \
        data/chords \
        data/examples \
        data/fonts \
        data/library \
        data/pixmaps \
        data/presets \
        data/profile \
        data/styles \
        data/templates \
        %{buildroot}%{_datadir}/%{name}

%files
%doc AUTHORS CHANGELOG CONTRIBUTING README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/lib%{name}private.so
%{_datadir}/applications/com.rosegardenmusic.%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_metainfodir}/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/*/*%{name}*.png
