%global __requires_exclude pear\\(vendor/autoload.php\\)|pear\\(xmlapi.php\\)
## pear(xmlapi.php) may need to be packaged, but for the time being a bug has been filed

# Paths. Do not include trailing slash
%global roundcube %{_datadir}/roundcubemail
%global roundcube_plugins %{roundcube}/plugins
%global roundcube_conf %{_sysconfdir}/roundcubemail
%global roundcube_log %{_logdir}/roundcubemail
%global roundcube_lib %{_localstatedir}/lib/roundcubemail

# disable python byte compiler
%global _python_bytecompile_extra 0
# skip dependancy
%define __requires_exclude TinyCPConnector.php 

Name:		roundcubemail
Version:	1.6.10
Release:	%mkrel 1
Summary:	Round Cube Webmail is a browser-based multilingual IMAP client
Group:		System/Servers
License:	GPLv3
# Use the -dep tarballs. These use system copies of the PHP stuff
# rather than including them, which is better for our purposes.
# - AdamW 2007/07
URL:		https://www.roundcube.net/
Source0:	https://github.com/roundcube/roundcubemail/releases/download/%{version}/%{name}-%{version}-complete.tar.gz
Source1:        roundcubemail.conf
Source2:	roundcubemail.logrotate
Source3:	roundcubemail-README.mageia
Patch1:		py2-fix.patch
Epoch:		1
Requires:	php-webinterface
Requires: php-curl
Requires: php-dom
Requires: php-fileinfo
Requires: php-filter
Requires: php-gd
Requires: php-hash
Requires: php-iconv
Requires: php-intl
Requires: php-json
Requires: php-ldap
Requires: php-mbstring
Requires: php-openssl
Requires: php-pcre
Requires: php-pdo
Requires: php-session
Requires: php-simplexml
Requires: php-sockets
Requires: php-xml
Requires: php-pear            >= 1.10.1
Requires: php-pear-Auth_SASL  >= 1.1.0
Requires: php-pear-Console_CommandLine
Requires: php-pear-Crypt_GPG  >= 1.6.0
Requires: php-pear-Net_Socket >= 1.2.1
Requires: php-pear-Mail_Mime  >= 1.10.0
Requires: php-pear-Net_SMTP   >= 1.7.1
Requires: php-pear-Net_Sieve  >= 1.4.0
Requires: php-pear-Net_LDAP2  >= 2.2.0
Requires(pre):	php-pear >= 1.9.0
Requires: php-exif
Suggests: php-zip
Suggests: php-enchant
Provides:	roundcubemail-skin-larry
Provides:	roundcubemail-skin-classic
Provides:	roundcubemail-plugin-jqueryui
Provides:	roundcubemail-plugin-acl 
BuildArch:	noarch
BuildRequires:	mercurial

%description
RoundCube Webmail is a browser-based multilingual IMAP client with an 
application-like user interface. It provides full functionality you 
expect from an e-mail client, including MIME support, address book, 
folder manipulation, message searching and spell checking.
RoundCube Webmail is written in PHP and requires a database: MariaDB,
PostgreSQL and SQLite are known to work.
The user interface is fully skinnable using XHTML and CSS 2.

%prep
%autosetup -S hg

find . -type f -name \.htaccess -print | xargs rm -f
find . -type f -name '*.orig' -print | xargs rm -f

# Wipe bbcode plugin from bundled TinyMCE to make doubleplus sure we cannot
# be vulnerable to CVE-2012-4230, unaddressed upstream
echo "CVE-2012-4230: removing tinymce bbcode plugin, check path if this fails."
test -d program/js/*mce/plugins/bbcode && rm -rf program/js/*mce/plugins/bbcode || exit 1

%build

%install
install -d %{buildroot}%{roundcube}
cp -pr ./* %{buildroot}%{roundcube}

mkdir -p %{buildroot}%{_webappconfdir}
cp -pr %SOURCE1 %{buildroot}%{_webappconfdir}


mkdir -p %{buildroot}%{roundcube_conf}
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp -pr %SOURCE2 %{buildroot}%{_sysconfdir}/logrotate.d/roundcubemail

mkdir -p %{buildroot}%{roundcube_lib}/plugins/enigma
mkdir -p %{buildroot}%{roundcube_log}

# use dist files as config files
mv %{buildroot}%{roundcube}/config/config.inc.php.sample \
    %{buildroot}%{roundcube_conf}/config.inc.php
mv %{buildroot}%{roundcube}/config/defaults.inc.php \
    %{buildroot}%{roundcube_conf}/defaults.inc.php
# keep any other config files too
mv %{buildroot}%{roundcube}/config/* %{buildroot}%{roundcube_conf}/
rm -rf %{buildroot}%{roundcube}/config
rm -rf %{buildroot}%{roundcube}/logs
rm -rf %{buildroot}%{roundcube}/temp

pushd %{buildroot}%{roundcube}
ln -s ../../..%{roundcube_conf} config
ln -s ../../..%{roundcube_log} logs
ln -s ../../..%{roundcube_lib} temp
popd

# Enigma
mv %{buildroot}%{roundcube_plugins}/enigma/config.inc.php.dist %{buildroot}%{roundcube_conf}/enigma.inc.php
rm -rf %{buildroot}%{roundcube_plugins}/enigma/{config.inc.php,tests}
pushd %{buildroot}%{roundcube_plugins}/enigma
ln -s ../../../../..%{roundcube_conf}/enigma.inc.php config.inc.php
rm -rf home/
ln -s ../../../../..%{roundcube_lib}/plugins/enigma/ home
popd
mkdir -p %{buildroot}%{roundcube_lib}/plugins/enigma

# ACL plugin
mv %{buildroot}%{roundcube_plugins}/acl/config.inc.php.dist %{buildroot}%{roundcube_conf}/acl.inc.php
rm -rf %{buildroot}%{roundcube_plugins}/acl/{config.inc.php,tests}
pushd %{buildroot}%{roundcube_plugins}/acl/
ln -s ../../../../..%{roundcube_conf}/acl.inc.php config.inc.php
popd

# Managesieve plugin
mv %{buildroot}%{roundcube_plugins}/managesieve/config.inc.php.dist %{buildroot}%{roundcube_conf}/managesieve.inc.php
rm -rf %{buildroot}%{roundcube_plugins}/managesieve/tests
pushd %{buildroot}%{roundcube_plugins}/managesieve/
ln -s ../../../../..%{roundcube_conf}/managesieve.inc.php config.inc.php
popd

# Password plugin
mv %{buildroot}%{roundcube_plugins}/password/config.inc.php.dist %{buildroot}%{roundcube_conf}/password.inc.php
rm -rf %{buildroot}%{roundcube_plugins}/password/tests
pushd %{buildroot}%{roundcube_plugins}/password/
ln -s ../../../../..%{roundcube_conf}/password.inc.php config.inc.php
popd

# clean up the buildroot
rm -f %{buildroot}%{roundcube}/{CHANGELOG,INSTALL,LICENSE,README.md,UPGRADING}
rm -f %{buildroot}%{roundcube}/composer.json-dist

#
# Exclude the following external libraries
#
rm -rf %{buildroot}/%{roundcube}/vendor/pear/net_idna2
rm -rf %{buildroot}/%{roundcube}/vendor/pear/net_ldap2
rm -rf %{buildroot}/%{roundcube}/vendor/pear/net_smtp
rm -rf %{buildroot}/%{roundcube}/vendor/pear/net_socket
rm -rf %{buildroot}/%{roundcube}/vendor/pear/net_sieve
rm -rf %{buildroot}/%{roundcube}/vendor/pear/pear-core-minimal
rm -rf %{buildroot}/%{roundcube}/vendor/pear/mail_mime
rm -rf %{buildroot}/%{roundcube}/vendor/pear/auth_sasl
rm -rf %{buildroot}/%{roundcube}/vendor/pear/console_commandline

%pre
# needed if you have kolab installed
if [ -f "/etc/roundcubemail/kolab.inc.php" ]; then
    mv /etc/roundcubemail/kolab.inc.php /etc/roundcubemail/libkolab.inc.php
fi

if [ -L %{roundcube_plugins}/enigma/home -a ! -d %{roundcube_plugins}/enigma/home ]; then
    rm -rf %{roundcube_plugins}/enigma/home >/dev/null 2>&1 || :
fi

%post
if [ "$1" = 1 ]; then
    # replace default des string in config file for better security
    chars=(0 1 2 3 4 5 6 7 8 9 a b c d e f g h i j k l m n o p q r s t u v w x y z A
    B C D E F G H I J K L M N O P Q R S T U V W X Y Z)

    max=${#chars[*]}

    for i in `seq 1 24`; do
        let rand=${RANDOM}%%${max}
        key="${key}${chars[$rand]}"
    done

    sed -i \
        -e "s/\$config\['des_key'\] = '[^']\+';/\$config['des_key'] = '$key';/" \
        -e "/YOUR KEY MUST BE DIFFERENT/d" \
        /etc/roundcubemail/config.inc.php || : &> /dev/null
fi

%files
%doc INSTALL LICENSE README.md SQL UPGRADING
%{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
%attr(0755,apache,apache)%{_logdir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
# Lets write out them specifically, so we can see when additional files are added (or deleted)
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/acl.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/defaults.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/config.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/enigma.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/managesieve.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/mimetypes.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/password.inc.php
%config(noreplace) %{_webappconfdir}/%{name}.conf
%attr(0755,apache,apache) %dir %{_localstatedir}/lib/roundcubemail
%attr(0750,apache,apache) %dir %{_localstatedir}/lib/roundcubemail/plugins
%attr(0750,apache,apache) %dir %{_localstatedir}/lib/roundcubemail/plugins/enigma

