%define major		0
%define libname		%mklibname routino %{major}
%define develname	%mklibname routino -d

Summary:	Router for OpenStreetMap Data
Name:		routino
Version:	3.4.2
Release:	%mkrel 1
License:	AGPLv3+
Group:		File tools
URL:		https://www.routino.org/
Source0:	https://www.routino.org/download/routino-%{version}.tgz
# https://github.com/sharkcz/routino/commits/fedora
Patch0:		routino-3.4-fedora.patch
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(zlib)
# xz-devel > pkgconfig(liblzma)
BuildRequires:	pkgconfig(liblzma)

%description
Routino is a command-line application for finding a route between two points
using the dataset of topographical information collected by OpenStreetMap. It
can be used as a routing tool in Marble.

%package -n	%{libname}
Summary:	Shared routino library
Group:		System/Libraries

%description -n	%{libname}
Routino is a command-line application for finding a route between two points
using the dataset of topographical information collected by OpenStreetMap. It
can be used as a routing tool in Marble.

This package provides the shared %{name} library.

%package -n	%{develname}
Summary:	Development files for the %{name} library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} >= %{version}-%{release}

%description -n	%{develname}
Routino is a command-line application for finding a route between two points
using the dataset of topographical information collected by OpenStreetMap. It
can be used as a routing tool in Marble.

This package contains development files for the %{name} library.

%prep
%setup -q
%patch -P 0 -p1 -b .fedora

# cleanup
rm -f INSTALL*.txt doc/INSTALL*.txt doc/html/installation.html

# The web stuff needs more work to be packaged. The makefiles will copy things
# into the web directory if it's present, so get rid of it now.
rm -rf web

# Upstream builds but does not install extras. Don't waste build time, nor
# bother fixing the parallel make breakage there.
rm -rf extras

%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"

%make_build

%install
%make_install libdir=%{_libdir}

%files
%license agpl-3.0.txt
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}-*
%{_datadir}/%{name}/

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
