%global pppver	%(rpm -q --queryformat "%{VERSION}" ppp-devel)

Summary:	ADSL/PPPoE userspace driver
Name:		rp-pppoe
Version:	3.12
Release:	%mkrel 6
Source0:	http://www.roaringpenguin.com/files/download/%{name}-%{version}.tar.gz
Source3:	https://www.luigisgro.com/sw/rp-pppoe-3.8.patch/README-first-session-packet-lost.txt
Source10:	pppoe-server.service
Patch0:		rp-pppoe-3.8-CAN-2004-0564.patch
Patch1:		rp-pppoe-3.10-lsb.patch
Url:		http://www.roaringpenguin.com/pppoe
License:	GPLv2+
Group:		System/Servers
Requires:	ppp >= %{pppver}
BuildRequires:	autoconf2.5
BuildRequires:	ppp-devel

%package	gui
Group:		System/Servers
Summary:	GUI front-end for rp-pppoe
Requires:	rp-pppoe >= %{version}
Requires:	tk

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

The client is a user-mode program and does not require any kernel
modifications. It is fully compliant with RFC 2516, the official PPPoE
specification.

It has been tested with many ISPs, such as the Canadian Sympatico HSE (High
Speed Edition) service.

%description	gui
This package contains the graphical frontend (tk-based) for rp-pppoe.

Install this if you wish to have a graphical frontend for pppoe.

%prep
%setup -q
%autopatch -p1

%build
%serverbuild
cd src
autoconf
export CFLAGS="$CFLAGS -D_GNU_SOURCE"
%configure --docdir=%{_docdir}/%{name} \
	--disable-plugin

%make_build

%install
install -m 644 %{SOURCE3} ./README-first-session-packet-lost.txt

pushd src
%make_install
popd

rm -f %{buildroot}%{_initrddir}/pppoe

install -D -m 0644 %{SOURCE10} %{buildroot}%{_unitdir}/pppoe-server.service

pushd gui
%make_install
popd

# This is necessary for the gui to work, but it shouldn't be done here !
mkdir -p %{buildroot}%{_sysconfdir}/ppp/rp-pppoe-gui

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-rp-pppoe-gui.desktop <<EOF
[Desktop Entry]
Name=TkPPPoE
Comment=Frontend for rp-pppoe
Exec=tkpppoe
Icon=remote_access_section
Terminal=false
Type=Application
Categories=Network;RemoteAccess;Dialup;
EOF

rm -rf %{buildroot}/usr/share/doc

rm -rf %{buildroot}%{_sysconfdir}/ppp/plugins

# backward compatibility links
for i in connect start stop setup status; do
	ln -sf %{_sbindir}/pppoe-$i %{buildroot}%{_sbindir}/adsl-$i
	ln -sf pppoe-$i.8 %{buildroot}%{_mandir}/man8/adsl-$i.8
done

%files
%doc doc/* README SERVPOET
%doc README-first-session-packet-lost.txt
%config(noreplace) %{_sysconfdir}/ppp/pppoe.conf
%config(noreplace) %{_sysconfdir}/ppp/pppoe-server-options
%config(noreplace) %{_sysconfdir}/ppp/firewall-masq
%config(noreplace) %{_sysconfdir}/ppp/firewall-standalone
%{_sbindir}/pppoe
%{_sbindir}/pppoe-connect
%{_sbindir}/pppoe-relay
%{_sbindir}/pppoe-server
%{_sbindir}/pppoe-setup
%{_sbindir}/pppoe-sniff
%{_sbindir}/pppoe-start
%{_sbindir}/pppoe-status
%{_sbindir}/pppoe-stop
%{_sbindir}/adsl-connect
%{_sbindir}/adsl-setup
%{_sbindir}/adsl-start
%{_sbindir}/adsl-status
%{_sbindir}/adsl-stop
%{_mandir}/man[58]/*
%{_unitdir}/pppoe-server.service

%files gui
%{_bindir}/tkpppoe
%{_sbindir}/pppoe-wrapper
%{_mandir}/man1/*
%{_datadir}/applications/*
%dir %{_datadir}/tkpppoe
%dir %{_sysconfdir}/ppp/rp-pppoe-gui
%{_datadir}/tkpppoe/*
