Name:		rpcbind
Version:	1.2.6
Release:	%mkrel 2
Summary:	Universal Addresses to RPC Program Number Napper
License:	BSD
Group:		System/Servers
URL:		https://rpcbind.sourceforge.net/
Source0:	https://downloads.sourceforge.net/rpcbind/%{name}-%{version}.tar.bz2
Source1:	rpcbind.sysconfig

Patch100: rpcbind-0.2.3-systemd-envfile.patch
Patch101: rpcbind-0.2.3-systemd-tmpfiles.patch
Patch102: rpcbind-0.2.4-runstatdir.patch
Patch103: rpcbind-0.2.4-systemd-service.patch
Patch104: rpcbind-0.2.4-systemd-rundir.patch

BuildRequires:	pkgconfig(libtirpc) >= 0.1.7
BuildRequires:	quota-devel
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	wrap-devel
Conflicts:	apparmor-profiles < 2.1-1.961.4md
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
The rpcbind utility is a server that converts RPC program numbers into
universal addresses.  It must be running on the host to be able to make RPC
calls on a server on that machine.

%prep
%setup -q
%autopatch -p1

%build
%serverbuild
autoreconf -fi
%configure \
    --enable-warmstarts \
    --with-statedir="/run/rpcbind" \
    --with-rpcuser="rpc" \
    --with-nss-modules="files altfiles" \
    --sbindir=%{_bindir} \
    --enable-debug

%make_build

%install
%make_install
install -d %{buildroot}%{_localstatedir}/lib/%{name}

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/rpcbind

install -d %{buildroot}%{_sbindir}
pushd %{buildroot}/%{_sbindir}
ln -sf ../bin/rpcbind
ln -sf ../bin/rpcinfo
popd

%pre
%_pre_useradd rpc %{_localstatedir}/lib/%{name} /sbin/nologin

%post 
%_post_service %{name}
# restart running services depending on portmapper
for service in amd autofs bootparamd clusternfs mcserv \
		nfs-common nfs-server \
		ypserv ypbind yppasswdd ypxfrd; do
	if [ -f /var/lock/subsys/$service ]; then
		/sbin/service $service restart > /dev/null 2>/dev/null || :
	fi
done

%preun
%_preun_service %{name}

%files
%doc AUTHORS ChangeLog README
%{_unitdir}/rpcbind.service
%{_unitdir}/rpcbind.socket
%config(noreplace) %{_sysconfdir}/sysconfig/rpcbind
%{_bindir}/rpcbind
%{_bindir}/rpcinfo
%{_sbindir}/rpcbind
%{_sbindir}/rpcinfo
%{_mandir}/man8/*
%{_tmpfilesdir}/%{name}.conf
