Name:           rpmdevtools
Version:        9.6
Release:        %mkrel 4
Summary:        RPM Development Tools
Group:          Development/Other
# rpmdev-setuptree is GPLv2, everything else GPLv2+
License:        GPLv2+ and GPLv2
URL:            https://pagure.io/rpmdevtools
Source0:        https://releases.pagure.org/rpmdevtools/%{name}-%{version}.tar.xz

BuildArch:      noarch
# help2man, pod2man, python for creating man pages
BuildRequires:  bash-completion
BuildRequires:  help2man
# python dependencies for spectool
# spectool is executed for creating man page
BuildRequires:  python3-devel
BuildRequires:  python3dist(progressbar2)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(rpm)
Requires:       curl
Requires:       diffutils
Requires:       fakeroot
Requires:       file
Requires:       gawk
Requires:       python3
Requires:       python3dist(argcomplete)
Requires:       python3dist(progressbar2)
Requires:       python3dist(requests)
Requires:       python3dist(rpm)
Requires:       rpm-build

%description
This package contains scripts and (X)Emacs support files to aid in
development of RPM packages.
rpmdev-setuptree    Create RPM build tree within user's home directory
rpmdev-diff         Diff contents of two archives
rpmdev-newspec      Creates new .spec from template
rpmdev-rmdevelrpms  Find (and optionally remove) "development" RPMs
rpmdev-checksig     Check package signatures using alternate RPM keyring
rpminfo             Print information about executables and libraries
rpmdev-md5/sha*     Display checksums of all files in an archive file
rpmdev-vercmp       RPM version comparison checker
rpmdev-spectool     Expand and download sources and patches in specfiles
rpmdev-wipetree     Erase all files within dirs created by rpmdev-setuptree
rpmdev-extract      Extract various archives, "tar xvf" style
rpmdev-bumpspec     Bump revision in specfile
...and many more.


%prep
%autosetup -p1

# Switch to py3
grep -lF "%{_bindir}/python " * \
| xargs sed -i -e "s|%{_bindir}/python |%{__python3} |"

%build
%configure --libdir=%{_prefix}/lib
%make_build

%install
%make_install

# For backwards compatibility
ln -sr %{buildroot}%{_bindir}/rpmdev-spectool %{buildroot}%{_bindir}/spectool
echo ".so man1/rpmdev-spectool.1" > %{buildroot}%{_mandir}/man1/spectool.1

%files
%doc NEWS
%license COPYING
%config(noreplace) %{_sysconfdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/bash-completion/completions/{rpm*,spectool}
%{_bindir}/{rpm*,spectool}
%{_mandir}/man1/{rpm*,spectool}.1*
%{_mandir}/man8/rpmdev-rmdevelrpms.8*
