%global __requires_exclude perl\\(Rpmdrake::widgets\\)

Name: rpmdrake
Version: 6.32
Release: %mkrel 3
License: GPL
Source0: https://gitweb.mageia.org/software/rpmdrake/snapshot/%{name}-%{version}.tar.xz
Patch0:	 rpmdrake-disable-backports-media.patch
Summary: %_vendor graphical front end for software installation/removal
Requires: perl-MDK-Common >= 1.1.18-2
Requires: urpmi >= 7.30
Requires: perl-URPM >= 3.07-2
Requires: drakxtools >= 16.2
Requires: perl-Gtk3
Requires: perl-Locale-gettext >= 1.05-6
Requires: gurpmi >= 7.30
# lazy load modules:
Requires: typelib(GtkSource) = 3.0
Requires: perl-File-MimeInfo
# for translations:
Recommends: mdv-rpm-summary
Requires: polkit
# for icons:
Requires: desktop-common-data
BuildRequires: gettext
BuildRequires: perl-devel
BuildRequires: intltool
BuildRequires: perl_checker
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildArch: noarch
Group: System/Packaging
URL: https://www.mageia.org/

%description
This package contains the %_vendor graphical software manipulation
tools.

Rpmdrake provides a simple interface that makes it easy to install
and remove software.

%{_vendor}Update is a single-purpose application for keeping your system
up to date with the latest official updates.

There is also a tool for configuring package sources (medias), which can
be run independently or accessed from within rpmdrake.

%prep
%autosetup -p1

%build
make OPTIMIZE="$RPM_OPT_FLAGS -Wall" PREFIX=%{_prefix} INSTALLDIRS=vendor

%install
%make_install PREFIX=%{buildroot}%{_prefix}

%find_lang rpmdrake

mkdir -p %{buildroot}{%{_miconsdir},%{_liconsdir},%{_iconsdir}/hicolor,%{_iconsdir}/hicolor/{16x16,32x32,48x48},%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps}
for i in rpmdrake mageiaupdate edit-urpm-sources; do
  cp pixmaps/${i}16.png %{buildroot}%{_miconsdir}/${i}.png
  cp pixmaps/${i}32.png %{buildroot}%{_iconsdir}/${i}.png
  cp pixmaps/${i}48.png %{buildroot}%{_liconsdir}/${i}.png
  cp pixmaps/${i}16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/${i}.png
  cp pixmaps/${i}32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/${i}.png
  cp pixmaps/${i}48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/${i}.png
done

export DONT_CHECK_DESKTOP_FILES=1

%files -f rpmdrake.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/drakrpm
%{_bindir}/drakrpm-update
%{_bindir}/drakrpm-editmedia
%{_bindir}/drakrpm-addmedia
%{_bindir}/MageiaUpdate
%{_bindir}/edit-urpm-sources.pl
%{_bindir}/drakrpm-edit-media
%{_bindir}/gurpmi.addmedia
%{_bindir}/rpmdrake
%{_libexecdir}/drakrpm
%{_libexecdir}/drakrpm-update
%{_libexecdir}/drakrpm-editmedia
%{_libexecdir}/drakrpm-addmedia
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/%{name}
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Rpmdrake
%{_datadir}/mimelnk/application/x-urpmi-media.desktop
%{_datadir}/mime/packages/urpmi-media.xml
%{_datadir}/applications/*.desktop
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/hicolor/16x16/apps/*.png
%{_iconsdir}/hicolor/32x32/apps/*.png
%{_iconsdir}/hicolor/48x48/apps/*.png
