Name:		rpmlint
Version:	1.11
Release:	%mkrel 10
Summary:	RPM correctness checker
License:	GPLv2+
Group:		System/Packaging
URL:		https://github.com/rpm-software-management/rpmlint
Source0:	%{url}/archive/%{name}-%{version}.tar.gz
Source1:	%{name}.config

# Backports from upstream
# https://github.com/rpm-software-management/rpmlint/pull/199
Patch199:       rpmlint-1.10-suppress-locale-error.patch
# https://github.com/rpm-software-management/rpmlint/pull/212
Patch212:       rpmlint-1.11-rpm4.15.patch
# https://github.com/rpm-software-management/rpmlint/pull/1066
Patch213:       rpmlint-1.11-rpm4.19.patch
# https://github.com/rpm-software-management/rpmlint/pull/208
Patch214:	0001-Use-configparser.read_file-instead-deprecated-readfp.patch

# Mageia specific patches
Patch1001:	1001-Add-some-licenses-allowed-in-Fedora-as-they-are-allo.patch
Patch1002:	1002-Throw-an-error-with-a-deprecation-notice-for-apply_p.patch

BuildRequires:	python3-devel
BuildRequires:	python3-rpm
BuildRequires:	bash-completion

Requires:	python3-rpm
Requires:	python3dist(file-magic)
Requires:	python3-enchant
Requires:	appstream-util
Requires:	cpio
Requires:	binutils
Requires:	desktop-file-utils
Requires:	gzip
Requires:	bzip2
Requires:	xz
# Needed for man page check in FilesCheck.py
Requires:	groff-for-man
Recommends:	rpmlint-mageia-policy
Recommends:	hunspell-en
BuildArch:	noarch

%description
Rpmlint is a tool to check common errors on rpm packages.
Binary and source packages can be checked.


%prep
%autosetup -n %{name}-%{name}-%{version} -p1

# TODO, take upstream (RPM 4.15 related)
sed -i "s/'wb'/'w'/" PostCheck.py

cp -p config config.example
install -pm 644 %{SOURCE1} config


%build
%make_build COMPILE_PYC=1 PYTHON=%{__python3}


%install
%make_install ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} \
  LIBDIR=%{_datadir}/rpmlint BINDIR=%{_bindir} PYTHON=%{__python3}

mkdir -p %{buildroot}%{_datadir}/rpmlint/config.d/


%files
%license COPYING
%doc README.md config.example
%{_bindir}/*
%{_datadir}/rpmlint/
%{_mandir}/man1/rpmlint.1*
%{_mandir}/man1/rpmdiff.1*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config
%{_datadir}/bash-completion/completions/rpmlint
%{_datadir}/bash-completion/completions/rpmdiff
