Name:           rpmorphan
Version:        1.19
Release:        %mkrel 3
Summary:        List packages that have no dependencies (like deborphan)
Group:          System/Packaging
License:        GPLv2+
URL:            https://rpmorphan.sourceforge.net/
Source:         https://downloads.sf.net/rpmorphan/%{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       logrotate
Requires:       perl
Requires:       rpm
# rpmorphan can also use tk or curses but it is optional
Recommends:     perl-Tk
Recommends:     perl-Curses-UI
# to speed up rpm query, use RPM2.pm perl package
Recommends:     perl-RPM2

%description
rpmorphan finds orphaned packages on your system. It determines
which packages have no other packages depending on their installation,
and shows you a list of these packages.It intends to be clone of
deborphan Debian tools for RPM packages.

Several tools are also provided:
* rpmusage - display rpm packages last use date
* rpmdep - display the full dependency of an installed rpm package
* rpmduplicates - find packages with several version installed
* rpmextra - find installed packages not in distribution

%prep
%autosetup -p1

%build
# Nothing to build

%install
%make_install

%files
%doc rpmorphan.lsm Authors COPYING Changelog NEWS Todo Readme Readme.fr rpmorphanrc.sample
%{_bindir}/grpmorphan
%{_bindir}/rpm*
%{_prefix}/lib/%{name}/
%{_mandir}/man1/rpm*.1*
%ghost %{_localstatedir}/log/%{name}.log
%dir %{_localstatedir}/lib/%{name}
%config(noreplace) %{_localstatedir}/lib/%{name}/keep
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}rc
