%global __brp_check_rpaths %{nil}
%define major		8
%define libname		%mklibname rrdtool %{major}
%define develname	%mklibname rrdtool  -d

Summary:	Round Robin Database Tool to store and display time-series data
Name:		rrdtool
Version:	1.7.2
Release:	%mkrel 19
License:	GPLv2+
Group:		Networking/Other
URL:		https://oss.oetiker.ch/rrdtool/
Source0:	https://oss.oetiker.ch/rrdtool/pub/%{name}-%{version}.tar.gz
Source1:	rrdcached.service
Source2:	rrdcached.socket
Source3:	rrdcached.sysconfig
Source4:	rrdcached.tmpfiles
Patch1:		rrdtool-1.2.23-fix-examples.patch
Patch2:		rrdtool-1.4.1-avoid-version.diff
# Install tcl bindings to correct location as per policy (the upstream
# conditional that should nearly do this doesn't work) - AdamW 2008/12
Patch3:		rrdtool-1.4.8-tcl_location.diff
Patch4:		rrdtool-1.6.0-ruby-2-fix.patch
Patch5:		rrdtool-1.7.2-python3.patch
Patch9:		rrdtool-1.5.5-socket_dir.diff
Requires:	fonts-ttf-dejavu
BuildRequires:	cairo-devel
BuildRequires:	chrpath
BuildRequires:	dbi-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	groff
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libart_lgpl-devel
BuildRequires:	libgd-devel
BuildRequires:	pkgconfig(lua)
BuildRequires:	pango-devel
BuildRequires:	perl-devel
BuildRequires:	png-devel >= 1.0.3
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	tcl
BuildRequires:	tcl-devel
BuildRequires:	zlib-devel

%description
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). It stores the data in a very compact way that will not
expand over time, and it presents useful graphs by processing the data to
enforce a certain data density. It can be used either via simple wrapper
scripts (from shell or Perl) or via frontends that poll network devices and
put a friendly user interface on it.

%package -n	rrdcached
Summary:	Data caching daemon for RRDtool
Group:		System/Servers
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires:	%{name} >= %{version}-%{release}

%description -n	rrdcached
rrdcached is a daemon that receives updates to existing RRD files, accumulates
them and, if enough have been received or a defined time has passed, writes the
updates to the RRD file. The daemon was written with big setups in mind which
usually runs into I/O related problems. This daemon was written to alleviate
these problems.

%package -n	%{libname}
Summary:	RRDTool - round robin database shared libraries
Group:		System/Libraries

%description -n	%{libname}
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). This package allow you to use this library directly.

%package -n	%{develname}
Summary:	Development libraries and headers for %{libname}
Group:		Development/Other
Requires:	%{libname} >= %{version}-%{release}
Requires:	perl-devel
Requires:	libgd-devel
Requires:	zlib-devel
Requires:	freetype-devel
Requires:	libart_lgpl-devel
Provides:	rrdtool-devel = %{version}-%{release}
Provides:	librrdtool-devel = %{version}-%{release}
Obsoletes:	rrdtool-devel
Conflicts:	%{mklibname rrdtool 0 -d}
Conflicts:	%{mklibname rrdtool 2 -d}

%description -n	%{develname}
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average).

This package provides development libraries and headers for %{libname}.

%package -n	perl-%{name}
Summary:	RRD Tool Perl interface
Group:		Development/Perl
Requires:	%{name} >= %{version}-%{release}

%description -n	perl-%{name}
The RRD Tools Perl modules.

%package -n	python3-%{name}
Summary:	RRD Tool Python 3 interface
Group:		Development/Python
Requires:	%{name} >= %{version}-%{release}
Requires:	python3

Obsoletes:	python-rrdtool < 1.7.2-3
Provides:	python-rrdtool = %{version}-%{release}

%description -n	python3-%{name}
The RRD Tools Python 3 modules.

%package -n	tcl-%{name}
Summary:	RRD Tool TCL interface
Group:		Development/Other
Requires:	%{name} >= %{version}-%{release}
Requires:	tcl

%description -n	tcl-%{name}
The RRD Tools TCL modules.

%package -n	lua-%{name}
Summary:	RRD Tool LUA interface
Group:		Development/Other
Requires:	%{name} >= %{version}-%{release}
Requires:	lua%{lua_version}

%description -n	lua-%{name}
The RRD Tools LUA module.

%prep

%setup -q
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1 -b .tcl_location
%patch -P 4 -p1 -b .ruby-2-fix
%patch -P 5 -p1 -b .python3
%patch -P 9 -p1 -b .socket_dir

%build
export PYTHON=%{__python3}
autoreconf -fi

%configure \
    --disable-rpath \
    --disable-static \
    --with-pic \
    --with-perl-options="INSTALLDIRS=vendor" \
    --with-tcllib=%{_libdir} \
    --enable-tcl-site \
    --disable-ruby \
    --with-systemdsystemunitdir=%{_unitdir}

%make_build

%install
%make_install

# equivalent of "make site-perl-install" except for the PREFIX
# "make site-perl-install" is not done by "make install"
%make_install -C bindings/perl-piped install_vendor
%make_install -C bindings/perl-shared install_vendor

%{__install} -d %{buildroot}%{_sbindir}

# now create include and files
%{__install} -d %{buildroot}%{_includedir}
%{__install} -m644 src/rrd*.h %{buildroot}%{_includedir}/

# moving the docs in the right place (another approach)
rm -rf installed_docs
mkdir -p installed_docs/{html,pod,txt,examples/rrdcached}
cp doc/*.txt installed_docs/txt/
cp doc/*.pod installed_docs/pod/
cp doc/*.html installed_docs/html/
cp examples/*.{cgi,pl} installed_docs/examples/
cp examples/rrdcached/*.{pm,pl} installed_docs/examples/rrdcached/
# fix attribs
find installed_docs -type f | xargs chmod 644

#removing things installed in the wrong place
%{__rm} -rf %{buildroot}%{_prefix}/lib/perl/*.pm
%{__rm} -rf %{buildroot}%{_prefix}/lib/perl/auto/RRDs/RRDs*
%{__rm} -rf %{buildroot}%{_prefix}/lib/perl5/site_perl
%{__rm} -rf %{buildroot}%{_prefix}/shared
%{__rm} -rf %{buildroot}%{_datadir}/doc/%{name}*

# icky ntmake.pl
%{__rm} -f %{buildroot}%{perl_vendorarch}/ntmake.pl

# I've tried and tried and tried to get rid of the rpath.
# It only appears after you do a make install, so I have
# no idea what is doing it but this gets rid of it...
#chrpath -d %%{buildroot}%%{_bindir}/*

# the problem has now moved to the perl stuff...
find %{buildroot}/%{_libdir}/perl* -name "*.so" | xargs chmod u+w
find %{buildroot}/%{_libdir}/perl* -name "*.so" | xargs chrpath -d

# and the tcl stuff
chrpath -d %{buildroot}%{_libdir}/tclrrd%{version}.so

# remove .in/.am files
find %{buildroot} -name "*.in" | xargs %{__rm} -f
find %{buildroot} -name "*.am" | xargs %{__rm} -f

# remove .la file
rm -f %{buildroot}%{_libdir}/*.la

# install rrdcached files
install -d %{buildroot}/var/lib/rrdcached

install -D -m 755 %{SOURCE1} %{buildroot}%{_unitdir}/rrdcached.service
install -D -m 755 %{SOURCE2} %{buildroot}%{_unitdir}/rrdcached.socket
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/rrdcached
install -D -m 644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/rrdcached.conf

%find_lang %{name}

# cleanup
rm -f %{buildroot}%{_libdir}/lua/*/*.*a
rm -rf %{buildroot}%{_datadir}/rrdtool

%pre -n rrdcached
%_pre_useradd rrdcached /var/lib/rrdcached /sbin/nologin

%post -n rrdcached
%_tmpfilescreate rrdcached
%_post_service rrdcached

%preun -n rrdcached
%_preun_service rrdcached

%postun -n rrdcached
%_postun_userdel rrdcached


%files -f %{name}.lang
%doc CONTRIBUTORS COPYRIGHT NEWS THREADS TODO
%doc installed_docs/txt installed_docs/html
%{_bindir}/rrdcgi
%{_bindir}/rrdcreate
%{_bindir}/rrdinfo
%{_bindir}/rrdtool
%{_bindir}/rrdupdate
%exclude %{_mandir}/man1/rrdcached.1*
%{_mandir}/man1/*

%files -n rrdcached
%{_unitdir}/rrdcached.service
%{_unitdir}/rrdcached.socket
%config(noreplace) %{_sysconfdir}/sysconfig/rrdcached
%{_tmpfilesdir}/rrdcached.conf
%{_bindir}/rrdcached
%attr(0755,rrdcached,rrdcached) %dir /var/lib/rrdcached
%{_mandir}/man1/rrdcached*

%files -n %{libname}
%doc COPYRIGHT
%{_libdir}/librrd.so.%{major}
%{_libdir}/librrd.so.%{major}.*
%{_mandir}/man3/librrd.3*

%files -n %{develname}
%doc COPYRIGHT
%exclude %{_libdir}/tclrrd%{version}.so
%{_libdir}/*.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/librrd.pc

%files -n perl-%{name}
%doc installed_docs/pod installed_docs/examples
%{perl_vendorarch}/*.pm
%{perl_vendorlib}/*.pm
%dir %{perl_vendorarch}/auto/RRDs
%{perl_vendorarch}/auto/RRDs/RRDs.so
%{_mandir}/man3*/RRDp.3*
%{_mandir}/man3*/RRDs.3*

%files -n python3-%{name}
%doc bindings/python/COPYING bindings/python/README.md
%{python3_sitearch}/*

%files -n tcl-%{name}
%doc bindings/tcl/README
%{_libdir}/tclrrd%{version}.so
%{tcl_sitearch}/tclrrd

%files -n lua-%{name}
%doc bindings/lua/README
%{lua_libdir}/rrd.so
