%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           rsibreak
Version:        0.12.15
Release:        %mkrel 1
Summary:        Assists in the Recovery and Prevention of Repetitive Strain Injury
License:        GPLv2 and GFDL
Group:          Accessibility
URL:            https://userbase.kde.org/RSIBreak
Source0:        https://download.kde.org/stable/rsibreak/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros
BuildRequires:  qttools5
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IdleTime)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  gettext

Obsoletes:      plasma-applet-rsibreak < 0.11-8
Obsoletes:      plasma-engine-rsibreak < 0.11-8

%description
Repetitive Strain Injury is an illness which can occur as a result of
working with a mouse and keyboard. This utility can be used to remind
you to take a break now and then.

%files  -f %{name}.lang
%doc AUTHORS NEWS ChangeLog TODO
%license LICENSES/
%{_kf5_bindir}/%{name}
%{_kf5_knotificationsdir}/%{name}.notifyrc
%{_kf5_sysconfdir}/xdg/autostart/rsibreak_autostart.desktop
%{_kf5_iconsdir}/hicolor/*/*/*
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/dbus-1/interfaces/org.%{name}.rsiwidget.xml

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html
