Name:           rss2email
Version:        3.14
Release:        %mkrel 1
Summary:        Forward RSS feeds to your email address, community maintained
Group:          Networking/News
License:        GPLv3
URL:            https://github.com/rss2email/rss2email
Source0:        %{pypi_source}
# Migration tool (rss2email 2.x to rss2email 3.x) from https://github.com/emillon/rss2email-debian
Source1:        r2e-migrate
Source2:        r2e-migrate.1
Source3:        README.migrate
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

Recommends:     python3dist(beautifulsoup4)
#Recommends:     esmtp
# r2e-migrate
Requires:       python3dist(pyxdg)

%description
rss2email lets you subscribe to a list of XML newsfeeds (RSS or Atom). It can
parse them regularly with the help of cron and send new items to you by email.

A HTML-mail will be sent in the default configuration to the local smtp server.
See the man page r2e for details on how to set rss2email up.

%prep
%autosetup -p1

# drop bundled egg-info
rm -rf *.egg-info/

install -Dpm644 %{SOURCE3} README.urpmi.update

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

# man pages
install -D -m 644 -p r2e.1 %{buildroot}%{_mandir}/man1/r2e.1

# migrate scripts
install -D -m 755 -p %{SOURCE1} %{buildroot}%{_bindir}/r2e-migrate
install -D -m 644 -p %{SOURCE2} %{buildroot}%{_mandir}/man1/r2e-migrate.1

%files -f %{pyproject_files}
%license COPYING
%doc AUTHORS CHANGELOG README*
%{_bindir}/r2e
%{_bindir}/r2e-migrate
%{_mandir}/man1/r2e.1*
%{_mandir}/man1/r2e-migrate.1*
