Name: rstart
Version: 1.0.6
Release: %mkrel 1
Summary: A sample implementation of a Remote Start rsh helper
Group: Development/X11
Source: https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz
License: MIT

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
Rstart is a simple implementation of a Remote Start client as defined in "A
Flexible Remote Execution Protocol Based on rsh". It uses rsh as its
underlying remote execution mechanism.

This package includes both the client and server sides of rstart.

It has been deprecated in favor of the X11 forwarding provided in common ssh
implementations.

%prep
%setup -q

# make autoreconf more happy
mkdir -p m4

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%{_bindir}/rstartd
%{_bindir}/rstart
%{_libdir}/X11/rstart/rstartd.real
%{_libdir}/X11/rstart/config
%{_libdir}/X11/rstart/commands/@List
%{_libdir}/X11/rstart/commands/x11r6/Terminal
%{_libdir}/X11/rstart/commands/x11r6/@List
%{_libdir}/X11/rstart/commands/x11r6/LoadMonitor
%{_libdir}/X11/rstart/commands/ListGenericCommands
%{_libdir}/X11/rstart/commands/ListContexts
%{_libdir}/X11/rstart/contexts/default
%{_libdir}/X11/rstart/contexts/@List
%{_libdir}/X11/rstart/contexts/x11r6
%{_libdir}/X11/rstart/*/x11
%{_libdir}/X11/rstart/*/x
%{_mandir}/man1/rstartd.*
%{_mandir}/man1/rstart.*
