Name:           rsync-bpc
Version:        3.1.3.0
Release:        %mkrel 3
Summary:        A customized version of rsync that is used as part of BackupPC
License:        GPLv3+
Group:          Networking/File transfer
URL:            https://github.com/backuppc/rsync-bpc
Source0:        https://github.com/backuppc/rsync-bpc/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch1:         rsync-bpc-configure-c99.patch
BuildRequires:  libacl-devel
BuildRequires:  libattr-devel
BuildRequires:  popt-devel

Provides:       bundled(rsync) = 3.1.3

%description
Rsync-bpc is a customized version of rsync that is used as part of
BackupPC, an open source backup system.

The main change to rsync is adding a shim layer (in the subdirectory
backuppc, and in bpc_sysCalls.c) that emulates the system calls for
accessing the file system so that rsync can directly read/write files
in BackupPC's format.

Rsync-bpc is fully line-compatible with vanilla rsync, so it can talk
to rsync servers and clients.

Rsync-bpc serves no purpose outside of BackupPC.


%prep
%autosetup -p1

# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .

%build
%configure
%make_build

%install
%make_install

%files
%doc NEWS README
%license COPYING
%{_bindir}/rsync_bpc
