#define pre pre2

%define rel 1

Summary:	A program for synchronizing files over a network
Name:		rsync
Version: 	3.4.1
Release:	%mkrel %{?pre:0.%{pre}.%{rel}}%{?!pre:%{rel}}
Group:		Networking/File transfer
License:	GPLv3+
URL:		https://rsync.samba.org/
Source0:	https://download.samba.org/pub/rsync/%{?pre:src-previews}/%{name}-%{version}%{?pre}.tar.gz
Source1:	https://download.samba.org/pub/rsync/rsync.html
Source2:	https://download.samba.org/pub/rsync/rsyncd.conf.html
Source4:	https://download.samba.org/pub/rsync/%{?pre:src-previews}/%{name}-%{version}%{?pre}.tar.gz.asc
Source5:	https://download.samba.org/pub/rsync/%{?pre:src-previews}/%{name}-patches-%{version}%{?pre}.tar.gz
Source6:	https://download.samba.org/pub/rsync/%{?pre:src-previews}/%{name}-patches-%{version}%{?pre}.tar.gz.asc
Source12:	rsyncd.socket
Source13:	rsyncd.service
Source14:	rsyncd.conf
Source15:	rsyncd.sysconfig
Source16:	rsyncd@.service
BuildRequires:	pkgconfig(libxxhash)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(popt)
BuildRequires:	libacl-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	acl
Recommends:	openssh-clients

%define backup_patches 1

%{?_with_patches:%define backup_patches 1}
%{?_without_patches:%define backup_patches 0}

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

Install rsync if you need a powerful mirroring program.
%if %backup_patches
This rpm has patches applied from rsync tree to add these options:
  --backup-deleted
  --backup-dir-dels=DIR
  --suffix-dels=SUFFIX

Rebuild the source rpm with `--without patches' if you don't  want these patches
%endif

%prep
%if %backup_patches
%setup -q -D -b 5 -n %{name}-%{version}%{?pre}
%__patch -p1 -b -z .deleted < patches/backup-deleted.diff
%__patch -p1 -b -z .dir-del < patches/backup-dir-dels.diff
%else
%setup -q -n %{name}-%{version}%{?pre}
%endif

%build
%serverbuild
autoreconf -vfi
rm -f config.h

%configure \
	--enable-ipv6 \
	--enable-acl-support \
	--without-included-zlib \
	--with-nobody-group=nogroup \
	--disable-simd

%make_build reconfigure

#make sure we use external zlib
rm -rf zlib

%make_build proto
%make_build

%check
rm -f testsuite/devices-fake.test
touch testsuite/devices-fake.test
rm -f testsuite/devices.test
rm -f testsuite/backup.test
%__make test

%install
%make_install

install -m644 %{SOURCE1} %{SOURCE2} .

install -D -m644 %{SOURCE12} %{buildroot}%{_unitdir}/rsyncd.socket
install -D -m644 %{SOURCE13} %{buildroot}%{_unitdir}/rsyncd.service
install -D -m644 %{SOURCE14} %{buildroot}%{_sysconfdir}/rsyncd.conf
install -D -m644 %{SOURCE15} %{buildroot}%{_sysconfdir}/sysconfig/rsyncd
install -D -m644 %{SOURCE16} %{buildroot}%{_unitdir}/rsyncd@.service

%files
%doc tech_report.tex README.md *html NEWS.md
%doc support/rrsync
%{_bindir}/rsync*
%{_mandir}/man1/rsync*.1*
%{_mandir}/man5/rsyncd.conf.5*
%config(noreplace) %{_sysconfdir}/rsyncd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/rsyncd
%{_unitdir}/rsyncd.socket
%{_unitdir}/rsyncd.service
%{_unitdir}/rsyncd@.service
