%define _with_systemd 1
%define _libdir /%{_lib}

%define         journalcfgdir    %{_sysconfdir}/systemd

Summary:	Enhanced system logging and kernel message trapping daemons
Name:		rsyslog
Version:	8.2412.0
Release:	%mkrel 1
License:	GPLv3
Group:		System/Kernel and hardware
URL:		https://www.rsyslog.com/
Source0:	https://www.rsyslog.com/files/download/%{name}/%{name}-%{version}.tar.gz
Source1:	rsyslog.service
Source2:	rsyslog.sysconfig
Source3:	rsyslog.conf
Source4:	00_common.conf
Source5:	01_mysql.conf
Source6:	02_pgsql.conf
Source7:	03_gssapi.conf
Source8:	04_relp.conf
Source9:	05_dbi.conf
Source10:	06_snmp.conf
Source11:	sysklogd.conf
Source12:	07_rsyslog.log
Source13:	08_gnutls.conf
Source14:	09_journald.conf

# (eatdirt) bash script to switch on and off ForwardToSyslog in systemd journal
#configuration file
Source15:	rsyslog_switchfwd

BuildRequires:	autoconf
BuildRequires:	automake
%ifnarch %arm %mips
%endif
BuildRequires:	krb5-devel
BuildRequires:	pkgconfig(dbi)
BuildRequires:	libtool
BuildRequires:	mysql-devel >= 4.0
BuildRequires:	net-snmp-devel
BuildRequires:	postgresql-devel
BuildRequires:	pkgconfig(relp)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libestr)
BuildRequires:	pkgconfig(liblogging-stdlog)
BuildRequires:	pkgconfig(libfastjson)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	python3dist(docutils)

Requires:	logrotate
Provides:	syslog-daemon

Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires(post): chkconfig
Requires(post): coreutils

Conflicts:	syslog-ng
Obsoletes:	rsyslog-docs < 8.2.2


%description
Rsyslog is an enhanced multi-threaded syslogd supporting, among others, MySQL,
PostgreSQL, syslog/tcp, RFC 3195, permitted sender lists, filtering on any
message part, and fine grain output format control. It is quite compatible to
stock sysklogd and can be used as a drop-in replacement. Its advanced features
make it suitable for enterprise-class, encryption protected syslog relay chains
while  at the same time being very easy to setup for the novice user.

 o lmnet.so     - Implementation of network related stuff.
 o lmregexp.so  - Implementation of regexp related stuff.
 o lmtcpclt.so  - This is the implementation of TCP-based syslog clients.
 o lmtcpsrv.so  - Common code for plain TCP based servers.
 o imtcp.so     - This is the implementation of the TCP input module.
 o imudp.so     - This is the implementation of the UDP input module.
 o imuxsock.so  - This is the implementation of the Unix sockets input module.
 o imklog.so    - The kernel log input module for Linux.
 o immark.so    - This is the implementation of the build-in mark message input
                  module.
 o imfile.so    - This is the input module for reading text file data.
 o imjournal.so - An input module to import systemd journal logs

%package	mysql
Summary:	MySQL support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	mysql
The rsyslog-mysql package contains a dynamic shared object that will add
MySQL database support to rsyslog.

 o ommysql.so - This is the implementation of the build-in output module for
                MySQL.

%package	pgsql
Summary:	PostgreSQL support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	pgsql
The rsyslog-pgsql package contains a dynamic shared object that will add
PostgreSQL database support to rsyslog.

 o ompgsql.so - This is the implementation of the build-in output module for
                PgSQL.

%package	gssapi
Summary:	GSS-API support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	gssapi
The rsyslog-gssapi package contains dynamic shared objects that will add
GSS-API support to rsyslog.

 o lmgssutil.so - This is a miscellaneous helper class for gss-api features.
 o imgssapi.so  - This is the implementation of the GSSAPI input module.
 o omgssapi.so  - This is the implementation of the build-in forwarding output
                  module.

%package	relp
Summary:	RELP support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	relp
The rsyslog-relp package contains a dynamic shared object that will add
RELP support to rsyslog.

 o imrelp.so - This is the implementation of the RELP input module.
 o omrelp.so - This is the implementation of the RELP output module.

%package	dbi
Summary:	Dbi support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	dbi
The rsyslog-dbi package contains a dynamic shared object that will add
dbi driver support to rsyslog.

 o omlibdbi.so - This is the implementation of the dbi output module.

%package	snmp
Summary:	SNMP support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	snmp
The rsyslog-snmp package contains a dynamic shared object that will add
SNMP support to rsyslog.

 o omsnmp.so - This module sends an snmp trap.

%package	gnutls
Summary:	GnuTLS support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	gnutls
The rsyslog-gnutls package contains a dynamic shared object that will add
GnuTLS support to rsyslog.

 o lmnsd_gtls.so - This is the implementation of the GnuTLS module.

%package	crypto
Summary:	Encryption support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	crypto
This package contains a module providing log file encryption and a
command line tool to process encrypted logs.

%package	elasticsearch
Summary:	ElasticSearch output module for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	elasticsearch
This module provides the capability for rsyslog to feed logs directly into
Elasticsearch.

%package	journald
Summary:	Systemd journal support for rsyslog
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description journald
Provides the ability to import structured log messages from systemd
journal to rsyslog (and conversely). Note that this module reads the
journal database, what is considered a relatively performance-intense
operation. As such, the performance of a configuration utilizing this
module may be notably slower. Some versions of systemd journal have
problems with database corruption, which leads to the journal to
return the same data endlessly in a tight loop. It is strongly
recommended to use this plugin only if there is hard need to do so.


%prep
%autosetup -p1

mkdir -p Mageia
cp %{SOURCE4} Mageia/00_common.conf
cp %{SOURCE5} Mageia/01_mysql.conf
cp %{SOURCE6} Mageia/02_pgsql.conf
cp %{SOURCE7} Mageia/03_gssapi.conf
cp %{SOURCE8} Mageia/04_relp.conf
cp %{SOURCE9} Mageia/05_dbi.conf
cp %{SOURCE10} Mageia/06_snmp.conf
cp %{SOURCE13} Mageia/08_gnutls.conf
cp %{SOURCE14} Mageia/09_journald.conf

%build
%serverbuild

export CFLAGS="%{optflags} -Wno-error"

%configure \
%if %{_with_systemd}
    --with-systemdsystemunitdir=%{_unitdir} \
%endif
    --disable-static \
    --sbindir=/sbin \
    --enable-largefile \
    --enable-regexp \
    --enable-gssapi-krb5 \
    --enable-klog \
    --enable-inet \
    --enable-mysql \
    --enable-pgsql \
    --enable-libdbi \
    --enable-snmp \
    --enable-rsyslogd \
    --enable-mail \
    --enable-relp \
    --enable-imfile \
    --enable-gnutls \
    --enable-elasticsearch \
    --enable-generate-man-pages \
    --enable-usertools \
    --enable-libgcrypt \
    --enable-imjournal \
    --enable-omjournal
%make_build

%install
%make_install

install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -d -m 755 %{buildroot}%{_unitdir}
install -d -m 755 %{buildroot}%{_sysconfdir}/rsyslog.d
install -d -m 755 %{buildroot}%{_sysconfdir}/pki
install -d -m 755 %{buildroot}%{_sysconfdir}/pki/tls
install -d -m 755 %{buildroot}%{_sysconfdir}/pki/tls/certs
install -d -m 755 %{buildroot}%{_sysconfdir}/pki/tls/private

install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/rsyslog.service
install -p -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/rsyslog
install -p -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/rsyslog.conf
install -p -m 644 %{SOURCE11} %{buildroot}%{_sysconfdir}/syslog.conf
install -p -m 644 %{SOURCE12} %{buildroot}%{_sysconfdir}/logrotate.d/rsyslog
install -p -m 644 Mageia/*_*.conf %{buildroot}%{_sysconfdir}/rsyslog.d/

install -p -m 644 contrib/gnutls/ca.pem \
	%{buildroot}%{_sysconfdir}/pki/tls/certs/rsyslog-ca.crt
install -p -m 644 contrib/gnutls/cert.pem \
	%{buildroot}%{_sysconfdir}/pki/tls/certs/rsyslog.crt
install -p -m 600 contrib/gnutls/key.pem \
	%{buildroot}%{_sysconfdir}/pki/tls/private/rsyslog.key
# (eatdirt)
%__install -D -p -m 755 %{SOURCE15} %{buildroot}%{_sbindir}/rsyslog_switchfwd

# cleanup
rm -f %{buildroot}%{_libdir}/rsyslog/imtemplate.so

%post

# (eatdirt)
# switch ForwardToSyslog=yes in /etc/systemd/journald.conf + backup
%{_sbindir}/rsyslog_switchfwd %{journalcfgdir} on
# restart systemd-journal
/bin/systemctl try-restart systemd-journald || :

%_post_service rsyslog
# (cg) Handle a quirk of syslog service installations
if [ -f %{_sysconfdir}/systemd/system/multi-user.target.wants/%{name}.service -a ! -f %{_sysconfdir}/systemd/system/syslog.service ]; then
  cp -a %{_sysconfdir}/systemd/system/multi-user.target.wants/%{name}.service %{_sysconfdir}/systemd/system/syslog.service
fi

for n in /var/log/{messages,secure,maillog,spooler}; do
    [ -f $n ] && continue
    umask 066 && touch $n
done

%preun
%_preun_service rsyslog

#(eatdirt)
#restore the previously saved /etc/systemd/journald.conf file
if [ "$1" -eq "0" ]; then
  %{_sbindir}/rsyslog_switchfwd %{journalcfgdir} off

# restart systemd-journal
  /bin/systemctl try-restart systemd-journald || :
fi

%postun
if [ "$1" -ge "1" ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post mysql
/bin/systemctl try-restart rsyslog.service || :

%preun mysql
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post pgsql
    /bin/systemctl try-restart rsyslog.service || :

%preun pgsql
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post gssapi
/bin/systemctl try-restart rsyslog.service || :

%preun gssapi
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post relp
/bin/systemctl try-restart rsyslog.service || :

%preun relp
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post dbi
/bin/systemctl try-restart rsyslog.service || :

%preun dbi
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post snmp
/bin/systemctl try-restart rsyslog.service || :

%preun snmp
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post gnutls
/bin/systemctl try-restart rsyslog.service || :

%preun gnutls
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%post journald
/bin/systemctl try-restart rsyslog.service || :

%preun journald
if [ "$1" = 0 ]; then
    /bin/systemctl try-restart rsyslog.service || :
fi

%files
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/rsyslog.conf
%config(noreplace) %{_sysconfdir}/syslog.conf
%config(noreplace) %{_sysconfdir}/sysconfig/rsyslog
%config(noreplace) %{_sysconfdir}/logrotate.d/rsyslog
%dir %{_sysconfdir}/rsyslog.d
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_common.conf
%if %{_with_systemd}
%{_unitdir}/rsyslog.service
%endif
/sbin/rsyslogd
%{_sbindir}/rsyslog_switchfwd
%dir %{_libdir}/rsyslog
%{_libdir}/rsyslog/imfile.so
%{_libdir}/rsyslog/imklog.so
%{_libdir}/rsyslog/immark.so
%{_libdir}/rsyslog/imtcp.so
%{_libdir}/rsyslog/imudp.so
%{_libdir}/rsyslog/imuxsock.so
%{_libdir}/rsyslog/lmnet.so
%{_libdir}/rsyslog/lmnetstrms.so
%{_libdir}/rsyslog/lmnsd_ptcp.so
%{_libdir}/rsyslog/lmregexp.so
%{_libdir}/rsyslog/lmtcpclt.so
%{_libdir}/rsyslog/lmzlibw.so
%{_libdir}/rsyslog/lmtcpsrv.so
%{_libdir}/rsyslog/mmexternal.so
%{_libdir}/rsyslog/omtesting.so
%{_libdir}/rsyslog/ommail.so
%{_libdir}/rsyslog/fmhttp.so
%{_libdir}/rsyslog/fmhash.so
%{_mandir}/*/*

%files mysql
%doc plugins/ommysql/createDB.sql
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_mysql.conf
%{_libdir}/rsyslog/ommysql.so

%files pgsql
%doc plugins/ompgsql/createDB.sql
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_pgsql.conf
%{_libdir}/rsyslog/ompgsql.so

%files gssapi
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_gssapi.conf
%{_libdir}/rsyslog/omgssapi.so
%{_libdir}/rsyslog/imgssapi.so
%{_libdir}/rsyslog/lmgssutil.so

%files relp
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_relp.conf
%{_libdir}/rsyslog/imrelp.so
%{_libdir}/rsyslog/omrelp.so

%files dbi
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_dbi.conf
%{_libdir}/rsyslog/omlibdbi.so

%files snmp
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_snmp.conf
%{_libdir}/rsyslog/omsnmp.so

%files gnutls
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_gnutls.conf
%config(noreplace) %{_sysconfdir}/pki/tls/certs/rsyslog-ca.crt
%config(noreplace) %{_sysconfdir}/pki/tls/certs/rsyslog.crt
%config(noreplace) %{_sysconfdir}/pki/tls/private/rsyslog.key
%{_libdir}/rsyslog/lmnsd_gtls.so

%files crypto
%{_bindir}/rscryutil
%{_mandir}/man1/rscryutil.1.*
%{_libdir}/rsyslog/lmcry_gcry.so

%files elasticsearch
%{_libdir}/rsyslog/omelasticsearch.so

%files journald
%config(noreplace) %{_sysconfdir}/rsyslog.d/*_journald.conf
%{_libdir}/rsyslog/omjournal.so
%{_libdir}/rsyslog/imjournal.so
