Summary:	Programs that test various rt-features
Name:		rt-tests
Version:	1.0
Release:	%mkrel 7
License:	GPLv2
Group:		Development/Other
URL:		https://wiki.linuxfoundation.org/realtime/documentation/howto/tools/rt-tests
Source0:	%{name}-%{version}.tar.xz
Patch0:		rt-tests-1.0-git-python3.patch
ExcludeArch:	%{arm}
BuildRequires:	python3
BuildRequires:	numa-devel

%description
A set of programs that test and measure various components of "realtime"
kernel behavior, such as timer latency, signal latency and the functioning
of priority-inheritance mutexes.

%prep
%autosetup -p1
sed -i 's|/usr/bin/python|%{python3}|' src/hwlatdetect/hwlatdetect.py

%build
%set_build_flags
%make_build CC=gcc

%install
%make_install prefix=%{_prefix}

%files
%doc README.markdown
%license COPYING
%{_bindir}/cyclictest
%{_bindir}/hackbench
%{_bindir}/pip_stress
%{_bindir}/pi_stress
%{_bindir}/pmqtest
%{_bindir}/ptsematest
%{_bindir}/rt-migrate-test
%{_bindir}/sendme
%{_bindir}/signaltest
%{_bindir}/hwlatdetect
%{_bindir}/sigwaittest
%{_bindir}/svsematest
%{_mandir}/man4/*.4.*
%{_mandir}/man8/*.8.*
%{python3_sitelib}/hwlatdetect.py*
%{python3_sitelib}/__pycache__/hwlatdetect*
%{_usrsrc}/backfire/Makefile
%{_usrsrc}/backfire/backfire.c
