%define name rt2870-firmware
%define rtname RT2870_Firmware
%define version 22
%define release %mkrel 2

Summary: Firmware for the RT2870 chip
Name: %{name}
Version: %{version}
Release: %{release}
# https://www.ralinktech.com.tw/data/drivers/%{rtname}_V%{version}.zip
# (Repackaged as tar.xz because of unzip warnings that makes build fail)
Source: %{rtname}_V%{version}.tar.xz
License: Redistributable, no modification permitted
Group: System/Kernel and hardware
Url: https://www.ralinktech.com/
BuildArch: noarch
Conflicts: kernel-firmware-extra < 20110730-1

%description
This package contains the firmware files for the RT2870 chip.

%prep
%setup -q -n %{rtname}_V%{version}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 rt*.bin %{buildroot}/lib/firmware
# add 3070 symlink as they use same hw
ln -s rt2870.bin %{buildroot}/lib/firmware/rt3070.bin

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.ralink-firmware.txt
/lib/firmware/rt*.bin
