Name:          rtkit
Version:       0.13
Release:       %mkrel 3
Summary:       Realtime Policy and Watchdog Daemon
Group:         System/Libraries
License:       GPLv3+ and BSD
URL:           https://github.com/heftig/rtkit
Source0:       https://github.com/heftig/rtkit/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch1:        0001-Install-rtkitctl-to-sbin.patch
Patch2:        0002-Fix-rt-library-dependency.patch
Patch3:        0003-meson-use-option-systemd_systemunitdir.patch
#
# https://github.com/heftig/rtkit/issues/22
# from https://github.com/heftig/rtkit/pull/33/commits/ad649ee491ed1a41537774ad11564a208e598a09.patch
Patch10:       rtkit-daemon-dont-log-debug-messages-by-default.patch
# from opensuse
Patch20:       harden_rtkit-daemon.service.patch
# from gentoo
Patch30:       rtkit-0.13_meson_xxd_optional.patch
#
#
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(libcap)
BuildRequires: pkgconfig(polkit-agent-1)
BuildRequires: systemd-units
BuildRequires: meson
# for /usr/bin/xxd
BuildRequires: vim-common
Requires:      polkit >= 0.93
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
RealtimeKit is a D-Bus system service that changes the
scheduling policy of user processes/threads to SCHED_RR (i.e. realtime
scheduling mode) on request. It is intended to be used as a secure
mechanism to allow real-time scheduling to be used by normal user
processes.

%prep
%setup -q
%autopatch -p1

%build
%meson -Dsystemd_systemunitdir=%{_unitdir}
%meson_build

./build/rtkit-daemon --introspect > org.freedesktop.RealtimeKit1.xml

%install
%meson_install

%post
%systemd_post rtkit-daemon.service
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig >/dev/null 2>&1 || :

%pre
%_pre_useradd rtkit /proc /sbin/nologin

%preun
%systemd_preun rtkit-daemon.service

%postun
%systemd_postun rtkit-daemon.service
%_postun_userdel rtkit

%files
%doc README rtkit.c rtkit.h
%attr(0755,root,root) %{_sbindir}/rtkitctl
%attr(0755,root,root) %{_libexecdir}/rtkit-daemon
%{_libexecdir}/installed-tests/rtkit/
%{_datadir}/dbus-1/system-services/org.freedesktop.RealtimeKit1.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.RealtimeKit1.xml
%{_datadir}/polkit-1/actions/org.freedesktop.RealtimeKit1.policy
%{_mandir}/man*/rtkitctl.*
%{_datadir}/dbus-1/system.d/org.freedesktop.RealtimeKit1.conf
%{_unitdir}/rtkit-daemon.service
