%define modname rtlwifi

Name: 		rtl8192ce_se_de
Summary: 	RealTek PCIE Wireless LAN NIC
Group: 		System/Configuration/Hardware
Version: 	0004.0816.2011
Release: 	%mkrel 2
License: 	GPLv2
URL:		https://www.realtek.com/
Source0:	92ce_se_de_linux_mac80211_0004.0816.2011.tar.gz

%description
Realtek Linux mac80211 based driver:
    -This driver supports following RealTek PCIE Wireless LAN NICs:
	RTL8188CE/RTL8192CE
	RTL8191SE/RTL8192SE
	RTL8192DE

#--------------------------------------------------------------------
%package -n dkms-%{name}
Summary:	DKMS-ready for RealTek PCIE Wireless kernel module
Group:		System/Kernel and hardware
BuildArch:	noarch
Requires(post):	dkms
Requires(preun):dkms
Requires:	kernel-firmware-extra >= 20110817-1

%description -n dkms-%{name}
DKMS-ready RealTek PCIE Wireless LAN NIC.
    -This driver supports following RealTek PCIE Wireless LAN NICs:
	RTL8188CE/RTL8192CE
	RTL8191SE/RTL8192SE
	RTL8192DE

%files -n dkms-%{name}
%doc readme release_note
%{_usrsrc}/%{name}-%{version}-%{release}/

%post -n dkms-%{name}
dkms add --rpm_safe_upgrade -m %{name} -v %{version}-%{release} || :
dkms build --rpm_safe_upgrade -m %{name} -v %{version}-%{release} || :
dkms install --rpm_safe_upgrade -m %{name} -v %{version}-%{release} --force || :

# rmmod any old driver if present and not in use
rmmod %{modname} > /dev/null 2>&1 || true
exit 0

%preun -n dkms-%{name}
dkms --rpm_safe_upgrade remove -m %{name} -v %{version}-%{release} --all || :

# rmmod any old driver if present and not in use
rmmod %{modname} > /dev/null 2>&1 || true
exit 0


#--------------------------------------------------------------------
%prep
%setup -qn rtl_92ce_92se_92de_linux_mac80211_0004.0816.2011

%install
rm -fr %{buildroot}

# DKMS stuff
mkdir -p -m755 %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}
cp -a * %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}
# Configuration for dkms
cat > %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}/dkms.conf << 'EOF'
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}-%{release}
BUILT_MODULE_NAME[0]="%{modname}"
BUILT_MODULE_NAME[1]="rtl8192ce"
BUILT_MODULE_NAME[2]="rtl8192se"
BUILT_MODULE_NAME[3]="rtl8192de"
BUILT_MODULE_LOCATION[0]=""
BUILT_MODULE_LOCATION[1]="rtl8192ce/"
BUILT_MODULE_LOCATION[2]="rtl8192se/"
BUILT_MODULE_LOCATION[3]="rtl8192de/"
DEST_MODULE_LOCATION[0]="/kernel/drivers/net/wireless/%{name}"
DEST_MODULE_LOCATION[1]="/kernel/drivers/net/wireless/%{name}"
DEST_MODULE_LOCATION[2]="/kernel/drivers/net/wireless/%{name}"
DEST_MODULE_LOCATION[3]="/kernel/drivers/net/wireless/%{name}"
MAKE[0]="make -j `getconf _NPROCESSORS_ONLN` all"
REMAKE_INITRD="no"
AUTOINSTALL=yes
EOF

