%define uname	RTLSDR-Airband

Name:		rtlsdr-airband
Version:	5.1.1
Release:	%mkrel 1
Summary:	CLI airband receiver using RTL-SDR dongle
Group:		Communications/Radio
License:	GPLv3
# https://github.com/szpajder/RTLSDR-Airband.git
Url:		https://github.com/szpajder/%{uname}
Source0:	https://github.com/szpajder/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
Source1:	rtl_airband-mageia.sh
Source2:	rtl_airband.default
Source3:	rtl_airband.unit
Source4:	README.Mageia

BuildRequires:	cmake
BuildRequires:	lame-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(librtlsdr)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(shout)
BuildRequires:	%{_lib}soapy-sdr-devel
BuildRequires:	pkgconfig(vorbis)

%description
A CLI airband/scanning receiver using an RTL-SDR dongle.
Features:
    Multichannel mode - decode up to eight AM or NFM channels per dongle
    (within bandwidth frequency range).
    Scanner mode - decode unlimited number of AM and/or NFM channels with
    frequency hopping and no frequency range limitations.
    Decode multiple dongles simultaneously.
    Auto squelch and Automatic Gain Control.
    MP3 encoding.
    Stream to Icecast or SHOUTcast server.
    Record to local MP3 files (continuously or skipping silence periods).
    Multiple streaming/recording destinations per channel.
    Mixing several channels into a single audio stream (both mono and stereo
    mixing is supported).

For quick start guide see /usr/share/doc/rtlsdr-airband/README.Mageia

%prep
%autosetup -n %{uname}-%{version} -p1

sed -i "s:CMAKE_COMPILE_WARNING_AS_ERROR ON:CMAKE_COMPILE_WARNING_AS_ERROR OFF:" CMakeLists.txt

%build
%cmake -DPLATFORM=native \
       -DNFM=1 \
       -DPULSE=1

%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}/etc/init.d
install -D %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/rtl_airband
install -D %{SOURCE2} %{buildroot}%{_sysconfdir}/default/rtl_airband
mkdir -p %{buildroot}%{_docdir}/%{name}
cp -f config/* %{buildroot}%{_docdir}/%{name}/
cp -f %{SOURCE4} %{buildroot}%{_docdir}/%{name}/
mkdir -p %{buildroot}%{_unitdir}
cp -f %{SOURCE3} %{buildroot}%{_unitdir}/rtl_airband.service

%files
%doc %{_docdir}/%{name}/*
%{_bindir}/rtl_airband
%{_sysconfdir}/init.d/rtl_airband
%config(noreplace) %{_sysconfdir}/default/rtl_airband
%{_unitdir}/rtl_airband.service
