#
# This rpm is based on the git tree from:
# git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
# version is date of the youngest commit
#

Summary:	Non-free rtlwifi firmware files for the Linux kernel
Name:   	rtlwifi-firmware
Version:	20120421
Release:	%mkrel 1
License:	Freeware
Group:  	System/Kernel and hardware
URL:    	https://www.kernel.org/
# kernel-firmware tarball is generated from the git tree mentioned
# above, by simply cloning it and doing:
# git archive --prefix=linux-firmware/ origin/master | xz > linux-firmware-20110601.tar.xz
# use gen-free-firmware-tarball.sh script in kernel-firmware to split firmware tarball
# into free and nonfree and rtlwifi-firmware
Source: 	rtlwifi-firmware-%{version}.tar.xz
Obsoletes:	rt61-firmware
Obsoletes:	rt2860-firmware
Obsoletes:	rt2870-firmware
Obsoletes:	rt3090-firmware
Obsoletes:	rt73-firmware
Conflicts:	kernel-firmware-extra < %{version}-1
Conflicts:	kernel-firmware-nonfree < %{version}-1
BuildArch:	noarch

%description
This package contains all the rtlwifi wireless firmware files
previously shipped in separate rt61-, rt2860-, rt2870-,
rt3090-, rt73-, and kernel-firmware-extra/nonfree packages.

%prep
%setup -q -n rtlwifi-firmware-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
cp -avf * %{buildroot}/lib/firmware
rm -f %{buildroot}/lib/firmware/{LICENCE.*,WHENCE}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENCE.*
/lib/firmware/*
