%define snap	20160101
%define rel	11

%define major	1
%define libname	%mklibname rtmp %{major}
%define devname	%mklibname rtmp -d

%define build_crypto 0

%bcond_with plf

%if "%distro_section"=="tainted"
%bcond_without plf
%endif

%if %with plf
%define build_crypto 1
%endif

%if !%{build_crypto}
%define notice This version does not contain RTMPE / RTMPS / SWF verification support.
%else
%if %with plf
%define notice This package is in the Tainted section because it contains \
support for the RTMPE protocol which some people may consider to be a DRM \
protection mechanism.
%else
%define notice %{nil}
%endif
%endif

Summary:	Toolkit for RTMP streams
Name:		rtmpdump
Version:	2.4
%if %{snap}
Release:	%mkrel 0.git%{snap}.%{rel}
%else
Release:	%mkrel %{rel}
%endif
License:	GPLv2+
Group:		Video/Utilities
URL:		https://rtmpdump.mplayerhq.hu/
%if %{snap}
# rm -rf rtmpdump && git clone git://git.ffmpeg.org/rtmpdump && cd rtmpdump/
# git archive --prefix=rtmpdump-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../rtmpdump-$(date +%Y%m%d).tar.xz
Source0:	%{name}-%{snap}.tar.xz
%else
Source:		https://rtmpdump.mplayerhq.hu/download/%{name}-%{version}.tgz
%endif
# fix pkgconfig issues
Patch0:		rtmpdump-2.4-mga-pkgconfig-private.patch
# these do not belong to sbindir
Patch1:		rtmpdump-2.4-mga-no-sbindir.patch
# fix pkgconfig private reqs for gnutls build
Patch2:		rtmpdump-gnutls.patch
BuildRequires:	zlib-devel
%if %{build_crypto}
BuildRequires:	pkgconfig(gnutls)
%endif
Requires:	%{libname} >= %{version}
Obsoletes:	flvstreamer < %{version}
Provides:	flvstreamer = %{version}

%description
rtmpdump is a toolkit for RTMP streams.

%notice

%package -n	%{libname}
Summary:	Shared library: librtmp
Group:		System/Libraries

%description -n	%{libname}
Shared library for handling RTMP streams.

%notice

%package -n	%{devname}
Summary:	Development files for librtmp
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	rtmp-devel = %{version}-%{release}
Provides:	librtmp-devel = %{version}-%{release}

%description -n	%{devname}
The development files that are needed to build software depending
on librtmp.

%prep
%if %{snap}
%setup -q -n %{name}-%{snap}
%else
%setup -q
%endif
%autopatch -p1

%build
%make_build XCFLAGS="%optflags" LDFLAGS="%ldflags" \
%if %{build_crypto}
	CRYPTO=GNUTLS
%else
	CRYPTO=
%endif
# empty line

%install
%make_install prefix=%{_prefix} libdir=%{_libdir} mandir=%{_mandir}

# Add compatibility symlink
ln -s rtmpdump %{buildroot}%{_bindir}/flvstreamer

rm %{buildroot}%{_libdir}/librtmp.a

%files
%doc README ChangeLog
%{_bindir}/flvstreamer
%{_bindir}/rtmpdump
%{_bindir}/rtmpgw
%{_bindir}/rtmpsrv
%{_bindir}/rtmpsuck
%{_mandir}/man1/rtmpdump.1*
%{_mandir}/man8/rtmpgw.8*

%files -n %{libname}
%{_libdir}/librtmp.so.%{major}{,.*}

%files -n %{devname}
%dir %{_includedir}/librtmp
%{_includedir}/librtmp/*.h
%{_libdir}/librtmp.so
%{_libdir}/pkgconfig/librtmp.pc
%{_mandir}/man3/librtmp.3*
