Name:		rubber
Summary:	An automated system for building LaTeX documents
Version:	1.6.7
Release:	%mkrel 2
License:	GPLv2
Group:		Publishing
URL:		https://gitlab.com/latex-rubber/rubber
Source0:	https://gitlab.com/latex-rubber/rubber/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	texinfo-tex

Requires:	tetex

%description
This is a building system for LaTeX documents. It is based on a routine that
runs just as many compilations as necessary. The module system provides a
great flexibility that virtually allows support for any package with no user
intervention, as well as pre- and post-processing of the document. The
standard modules currently provide support for bibtex, dvips, dvipdfm, pdftex,
makeindex. A good number of standard packages are supported, including
graphics/graphicx (with automatic conversion between various formats and
Metapost compilation).

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rubber

%find_lang %{name} --with-man --all-name

%files -f %{name}.lang -f %{pyproject_files}
%doc NEWS README.md
%license COPYING
%doc %{_docdir}/rubber/*
%{_bindir}/*
%{_datadir}/zsh/site-functions/_rubber
%{_mandir}/man1/*
