%define         major        3
%define         libname      %mklibname %{name} %{major}
%define         develname    %mklibname %{name} -d

Summary:        Audio time-stretching and pitch-shifting library
Name:           rubberband
Version:        4.0.0
Release:        %mkrel 3
License:        GPLv2
Group:          Sound/Editors and Converters
URL:            https://www.breakfastquay.com/rubberband/
Source0:        https://breakfastquay.com/files/releases/%{name}-%{version}.tar.bz2
Source1:        https://www.breakfastquay.com/rubberband/usage.txt
Patch1:		rubberband-link-with-shared-lib.patch

BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  meson
BuildRequires:  ladspa-devel
BuildRequires:  vamp-plugin-sdk-devel
BuildRequires:  boost-devel

%description
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n ladspa-plugins-rubberband
Summary:	Audio time-stretching and pitch-shifting library - LADSPA plugin
Provides:	%{name}-ladspa%{?_isa} = %{version}-%{release}
Provides:	%{name}-ladspa = %{version}-%{release}
Conflicts:	%{_lib}rubberband3 < 4.0.0-2
Conflicts:	%{_lib}rubberband2 < 4.0.0-2
Obsoletes:	ladspa-plugin-rubberband < 4.0.0-3

%description -n ladspa-plugins-rubberband
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n lv2-rubberband
Summary:	Audio time-stretching and pitch-shifting library - LV2 plugin
Provides:	%{name}-lv2%{?_isa} = %{version}-%{release}
Provides:	%{name}-lv2 = %{version}-%{release}
Conflicts:	%{_lib}rubberband3 < 4.0.0-2
Conflicts:	%{_lib}rubberband2 < 4.0.0-2

%description -n lv2-rubberband
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n vamp-rubberband
Summary:	Audio time-stretching and pitch-shifting library - VAMP plugin
Provides:	%{name}-vamp%{?_isa} = %{version}-%{release}
Provides:	%{name}-vamp = %{version}-%{release}
Conflicts:	%{_lib}rubberband3 < 4.0.0-2
Conflicts:	%{_lib}rubberband2 < 4.0.0-2

%description -n vamp-rubberband
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{libname}
Summary:        Audio time-stretching and pitch-shifting library
Group:          System/Libraries

%description -n %{libname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{develname}
Summary:        Development files for rubberband
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another. This
package contains files needed to develop with the rubberband library.

%prep
%autosetup -p1
cp %{SOURCE1} .

%build
%meson \
  -Ddefault_library=shared \
  -Djni=disabled \
  -Dfft=fftw \
  -Dresampler=libsamplerate
%meson_build

%install
%meson_install

%files
%doc usage.txt CHANGELOG
%{_bindir}/rubberband*

%files -n %{libname}
%{_libdir}/librubberband.so.%{major}{,.*}

%files -n ladspa-plugins-rubberband
%{_libdir}/ladspa/*.cat
%{_libdir}/ladspa/*.so
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf

%files -n lv2-rubberband
%dir %{_libdir}/lv2/rubberband.lv2/
%{_libdir}/lv2/rubberband.lv2/*.so
%{_libdir}/lv2/rubberband.lv2/*.ttl

%files -n vamp-rubberband
%{_libdir}/vamp/*.cat
%{_libdir}/vamp/*.so

%files -n %{develname}
%{_includedir}/rubberband/
%{_libdir}/*.so
%{_libdir}/pkgconfig//rubberband.pc
