%define rname	RubyGems
%define	oname	rubygems

%define rubygems_dir %{_datadir}/rubygems
%define gem_dir %{_datadir}/gems
%define gem_extdir %{_exec_prefix}/lib{,64}/gems

Summary:	Ruby package manager
Name:		ruby-%{rname}
Version:	2.6.14
Release:	%mkrel 5
License:	GPLv2+
Group:		Development/Ruby
URL:		http://docs.rubygems.org/
Source0:	http://production.cf.rubygems.org/rubygems/%{oname}-%{version}.tgz
Source1:	operating_system.rb
Source2:	rubygems.macros
Source3:	rubygems.attr
Source4:	rubygems.req
Source5:	rubygems.prov
Patch0:		rubygems-276-for-ruby24.patch
# https://www.ruby-lang.org/en/news/2019/03/05/multiple-vulnerabilities-in-rubygems/
Patch1:         56c0bbb69e4506bda7ef7f447dfec5db820df20b.patch

BuildArch:	noarch
BuildRequires:	ruby
BuildRequires:	locales-en
BuildRequires:	rubygem(rdoc)
# Not directly required but current package is missing the dependency
BuildRequires:	rubygem(psych)
# For tests
BuildRequires:	ruby-rake > 10.5
BuildRequires:	ruby-minitest > 4.0
BuildRequires:	ruby-json
BuildRequires:	rubygem(rdoc) > 3.0
BuildRequires:	rubygem(hoe)
Requires:	locales
Requires:	ruby
Requires:	rootcerts
Requires:	rubygem(json)
Requires:	rubygem(openssl)
Requires:	rubygem(psych)
Requires:	rubygem(rdoc)
Provides:	%{oname} = %{version}
Provides:	ruby(rubygems) = %{version}-%{release}
Conflicts:	rpm-mageia-setup-build < 2.17
Conflicts:	ruby < 2.4.1-10

%description
RubyGems is the Ruby standard for publishing and managing third party
libraries.

%prep
%setup -q -n rubygems-%{version}
%autopatch -p1

%install
LANG=en_US.UTF-8 GEM_HOME=%{buildroot}/%{gem_dir} \
    ruby setup.rb --prefix=/\
        --rdoc --ri \
        --destdir=%{buildroot}/%{rubygems_dir}/

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}/%{rubygems_dir}/bin/gem %{buildroot}/%{_bindir}/gem
rm -rf %{buildroot}/%{rubygems_dir}/bin

mv %{buildroot}/%{rubygems_dir}/lib/* %{buildroot}/%{rubygems_dir}/.
# No longer needed
rmdir %{buildroot}%{rubygems_dir}/lib

# Install the rpm macros
mkdir -p %buildroot%{_sysconfdir}/rpm/macros.d
cp %{SOURCE2} %buildroot%{_sysconfdir}/rpm/macros.d

# Install dependency generators.
mkdir -p %{buildroot}%{_rpmconfigdir}/fileattrs
install -m 644 %{SOURCE3} %{buildroot}%{_rpmconfigdir}/fileattrs
install -m 755 %{SOURCE4} %{buildroot}%{_rpmconfigdir}
install -m 755 %{SOURCE5} %{buildroot}%{_rpmconfigdir}

# Install custom operating_system.rb.
mkdir -p %{buildroot}%{rubygems_dir}/rubygems/defaults
install -cpm 0644 %{SOURCE1} %{buildroot}%{rubygems_dir}/rubygems/defaults/

# Kill bundled cert.pem
mkdir -p %{buildroot}%{rubygems_dir}/rubygems/ssl_certs/
ln -sf %{_sysconfdir}/pki/tls/cert.pem \
	%{buildroot}%{rubygems_dir}/rubygems/ssl_certs/ca-bundle.pem

# Create gem folders.
mkdir -p %{buildroot}%{gem_dir}/{cache,gems,specifications,doc}
mkdir -p %{buildroot}%{gem_extdir}
mkdir -p %{buildroot}%{_exec_prefix}/lib{,64}/gems/%{name}

%files
%doc README* 
%doc History.txt
%doc MIT.txt LICENSE.txt
%dir %{gem_dir}
%dir %{gem_dir}/build_info
%dir %{gem_dir}/cache
%dir %{gem_dir}/doc
%dir %{gem_dir}/extensions
%dir %{gem_dir}/gems
%dir %{gem_dir}/specifications
%{_bindir}/gem
%{gem_dir}/doc/rubygems-%{version}

%dir %{rubygems_dir}
%{rubygems_dir}/rubygems
%{rubygems_dir}/rubygems.rb
%{rubygems_dir}/ubygems.rb

%dir %{_exec_prefix}/lib/gems
%dir %{_exec_prefix}/lib64/gems

%{_sysconfdir}/rpm/macros.d/rubygems.macros
%{_rpmconfigdir}/fileattrs/rubygems.attr
%{_rpmconfigdir}/rubygems.req
%{_rpmconfigdir}/rubygems.prov
