%define oname   ZenTest

Name:       ruby-%{oname}
Version:    4.12.2
Release:    %mkrel 1
Summary:    ZenTest provides zentest, unit_diff, autotest, and multiruby
Group:      Development/Ruby
License:    MIT
URL:        https://www.zenspider.com/ZSS/Products/ZenTest/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
Conflicts:  rubygem(autotest)
Obsoletes:  ruby-zentest < %{version}
BuildArch:  noarch

%description
ZenTest provides 4 different tools: zentest, unit_diff, autotest, and
multiruby.

ZenTest scans your target and unit-test code and writes your missing
code based on simple naming rules, enabling XP at a much quicker
pace. ZenTest only works with Ruby and Test::Unit. Nobody uses this
tool anymore but it is the package namesake, so it stays.

unit_diff is a command-line filter to diff expected results from
actual results and allow you to quickly see exactly what is wrong.

autotest is a continuous testing facility meant to be used during
development. As soon as you save a file, autotest will run the
corresponding dependent tests.

multiruby runs anything you want on multiple versions of ruby. Great
for compatibility checking! Use multiruby_setup to manage your
installed versions.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Obsoletes:	ruby-zentest-doc < %{version}
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

rm -fr %{buildroot}%{gem_instdir}/{articles,test}

# fix shebang
ruby -pi -e 'sub(/\/usr\/local\/bin\/ruby/, "/usr/bin/env ruby")' %{buildroot}%{gem_instdir}/bin/*

%files
%{_bindir}/multigem
%{_bindir}/multiruby
%{_bindir}/unit_diff
%{_bindir}/zentest
%{gem_instdir}/
%{gem_spec}
%doc History.txt Manifest.txt README.txt articles/ example.txt
