%define oname   arel

Name:       ruby-%{oname}
Version:    9.0.0
Release:    %mkrel 4
Summary:    Ruby SQL AST manager
Group:      Development/Ruby
License:    MIT
URL:        http://www.rubyonrails.org
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: locales-en
BuildArch:  noarch

%description
Arel is a SQL AST manager for Ruby. It 1. Simplifies the generation of complex
SQL queries 2. Adapts to various RDBMS systems It is intended to be a framework
framework; that is, you can build your own ORM with it, focusing on innovative
object and collection modeling as opposed to database compatibility and query
generation.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
find "$RPM_BUILD_ROOT" -name '*%*' -type f | perl -lne 'my $s = $_; $s =~ tr/%/_/; rename ($_, $s);'

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc History.txt README.md
#check
# rake test_sqlite3
# 
# # start an unprivileged instance of mysql
# mysql_install_db --datadir=$PWD/var/lib/mysql/ --user=$USER
# /usr/sbin/mysqld --datadir=$PWD/var/lib/mysql \
#   --socket $PWD/var/lib/mysql.sock \
#   --pid-file $PWD/var/lib/mysqld.pid &
# export MYSQL_SOCK=$PWD/var/lib/mysql.sock
# # FIXME: add a delay so that mysql is fully started when running other commands
# sleep 10
# # create the test databases
# echo "create database activerecord_unittest character set utf8;" | mysql --socket $PWD/var/lib/mysql.sock
# echo "create database activerecord_unittest2;" | mysql --socket $PWD/var/lib/mysql.sock
# # create the rails user
# echo "create user 'rails'@'localhost';
# grant all privileges on activerecord_unittest.*  to 'rails'@'localhost';
# grant all privileges on activerecord_unittest2.* to 'rails'@'localhost';" | mysql --socket $PWD/var/lib/mysql.sock
# # fix socket for the test
# sed -i '/:username.*/a \
#     :socket => "var/lib/mysql.sock",' test/connections/native_mysql/connection.rb
# rake test_mysql
# kill `cat $PWD/var/lib/mysqld.pid`

# start postgresql
#mkdir -p $PWD/var/log/postgres/
#initdb -D $PWD/var/lib/pgsql/data --locale=UTF-8
#pg_ctl start -l $PWD/var/log/postgres/postgresql \
#    -D $PWD/var/lib/pgsql/data
# FIXME: add a delay so that pgsql is fully started when running other commands
#sleep 20
#create the test database
#createdb -E UTF-8 activerecord_unittest
#createdb -E UTF-8 activerecord_unittest2
#rake test_postgresql
#pg_ctl stop -D $PWD/var/lib/pgsql/data -m "fast"

