%define oname   atomic

Name:       ruby-%{oname}
Version:    1.1.101
Release:    %mkrel 8
Summary:    An atomic reference implementation for JRuby, Rubinius, and MRI
Group:      Development/Ruby
License:    ASL 2.0
URL:        https://github.com/headius/ruby-atomic
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
This library provides:

* an Atomic class that guarantees atomic updates to its contained value

The Atomic class provides accessors for the contained "value" plus two
update methods:

* update will run the provided block, passing the current value and
  replacing it with the block result iff the value has not been changed
  in the mean time. It may run the block repeatedly if there are other
  concurrent updates in progress.
* try_update will run the provided block, passing the current value and
  replacing it with the block result. If the value changes before the
  update can happen, it will throw Atomic::ConcurrentUpdateError.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext

%files
%{gem_instdir}/
%{gem_extdir_mri}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
