%define oname   daemons

Name:       ruby-%{oname}
Version:    1.4.1
Release:    %mkrel 1
Summary:    A toolkit to create and control daemons in different ways
License:    BSD and Ruby License
Group:      Development/Ruby
URL:        http://daemons.rubyforge.org
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Daemons provides an easy way to wrap existing ruby scripts (for example
a self-written server) to be run as a daemon and to be controlled by simple
start/stop/restart commands. You can also call blocks as daemons and
control them from the parent or just daemonize the current process. Besides
this basic functionality, daemons offers many advanced features like
exception backtracing and logging (in case your ruby script crashes) and
monitoring and automatic restarting of your processes if they crash.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_instdir}/.yardoc

%files
%{gem_instdir}/
%doc README.md
%{gem_spec}

%files          doc
%doc examples
%doc %{gem_docdir}
%doc Releases
