Name:       ruby-dict
Version:    0.9.4
Release:    %mkrel 16
Summary:    Ruby/DICT library
License:    GPLv2+
Group:      Development/Ruby
URL:        https://caliban.org/ruby/
Source:     https://caliban.org/files/ruby/%{name}-%{version}.tar.gz
Patch0:     ruby-dict-ruby19.patch
Patch1:     ruby-dict-ruby22.patch
BuildArch:  noarch
BuildRequires: ruby

%description
Ruby/DICT is an RFC 2229 compliant client-side library implementation of the
DICT protocol, written in the Ruby programming language. It can be used to
write clients that access dictionary definitions from a set of natural
language dictionary databases.

In addition, rdict, a dictionary client built on Ruby/DICT, is included.


%prep
%setup -q
%autopatch -p1

# make should not regenerate the docs, they need rdtool
touch doc/*

%build
ruby install.rb config --prefix=%{buildroot}%{_prefix} --site-ruby=%{buildroot}%{ruby_vendorlibdir} --bin-dir=%{buildroot}%{_bindir}
make setup

%install
make install ROOT=%{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_mandir}/man{1,3}
install doc/dict.3 %{buildroot}%{_mandir}/man3/dict.3
install doc/rdict.1 %{buildroot}%{_mandir}/man1/rdict.1

%files
%doc Changelog COPYING doc/dict.html doc/rdict.html doc/rfc2229.txt README TODO
%{_bindir}/rdict
%{ruby_vendorlibdir}/dict.rb
%{_mandir}/man1/rdict.1.*
%{_mandir}/man3/dict.3.*
