%define oname   diff-lcs

Name:       ruby-%{oname}
Version:    1.5.1
Release:    %mkrel 1
Summary:    Provides a list of changes
Group:      Development/Ruby
License:    GPLv2+
URL:        http://rubyforge.org/projects/ruwiki/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 2.12
#BuildRequires: rubygem(rspec) >= 2.0
BuildArch:  noarch

%description
Diff::LCS is a port of Algorithm::Diff that uses the McIlroy-Hunt longest
common subsequence (LCS) algorithm to compute intelligent differences
between two sequenced enumerable containers. The implementation is based on
Mario I. Wolczko's SmallTalk version (1.2, 1993) and Ned Konz's Perl version
(Algorithm::Diff).

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_instdir}/.yardoc

# Fix Wrong interpreter
sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/diff/{lcs/*.rb,lcs.rb}

%files
%{_bindir}/ldiff
%{_bindir}/htmldiff
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc docs/COPYING.txt
%doc README.rdoc
%doc Manifest.txt
