%define oname   digest-crc


Name:       ruby-%{oname}
Version:    0.7.0
Release:    %mkrel 1
Summary:    A Cyclic Redundancy Check (CRC) library for Ruby
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/postmodern/digest-crc#readme
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: ruby-rake

%description
Adds support for calculating Cyclic Redundancy Check (CRC) to the Digest
module.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build
find . -name *.so | while read so; do
	echo $so | grep -q %{gem_instdir}/ext || continue
	sodest=$(echo $so | sed "s|%{gem_instdir}/ext|%{gem_extdir_mri}|")
	mkdir -p $(dirname $sodest)
	mv $so $sodest
done

%install
%gem_install

%files
%doc LICENSE.txt
%doc README.md
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}
%doc ChangeLog.md

