%define oname   grpc

Name:       ruby-%{oname}
Version:    1.71.0
Release:    %mkrel 1
Summary:    GRPC system in Ruby
License:    BSD
Group:      Development/Ruby
URL:        https://github.com/google/grpc/tree/master/src/ruby
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: libstdc++-static-devel

%description
Send RPCs from Ruby using GRPC.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup
%autopatch -p1
sed -i 's/strip_tool = /strip_tool = "echo " + /' src/ruby/ext/grpc/extconf.rb

%build
%gem_build

%install
%gem_install
mkdir examples
cp -a %{buildroot}%{gem_instdir}/src/ruby/bin/* examples
cp -a %{buildroot}%{gem_instdir}/src/ruby/spec/ .
rm -rf %{buildroot}%{gem_instdir}/third_party
rm -rf %{buildroot}%{gem_instdir}/src/core
rm -rf %{buildroot}%{gem_instdir}/src/ruby/ext

%files
%{gem_instdir}
%{gem_extdir_mri}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc examples
%doc spec
