%define oname   newgem

Name:       ruby-%{oname}
Version:    1.5.3
Release:    %mkrel 5
Summary:    Quickly bundle any Ruby libraries into a RubyGem
License:    MIT
Group:      Development/Ruby
URL:        http://newgem.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems

%description
Quickly bundle any Ruby libraries into a RubyGem and share it with the
world, your colleagues, or perhaps just with yourself amongst your projects.
RubyGems are centrally stored, versioned, and support dependencies between
other gems, so they are the ultimate way to bundle libraries, executables,
associated tests, examples, and more.
Within this gem, you get one thing - <code>newgem</code> - an executable to
create your own gems. Your new gems will include designated folders for Ruby
code, test files, executables, and even a default website page for you to
explain your project, and which instantly uploads to RubyForge website
(which looks just like this one by default)

%files
%{_bindir}/newgem
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc History.txt
%doc Manifest.txt
%doc PostInstall.txt
%doc app_generators/newgem/templates/History.txt
%doc app_generators/newgem/templates/PostInstall.txt
%doc newgem_generators/install_website/templates/website/index.txt
%doc newgem_theme_generators/long_box_theme/templates/website/index.txt
%doc rubygems_generators/extconf/templates/README.txt
%doc website/index.txt
%doc website/rubyforge.txt
%doc website/version-raw.txt
%doc website/version.txt
#-------------------------------------------------------------------------------

%prep
%gem_setup
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install
