%define oname   nokogiri

Name:       ruby-%{oname}
Version:    1.18.5
Release:    %mkrel 1
Summary:    An HTML, XML, SAX, and Reader parser
Group:      Development/Ruby
License:    MIT
URL:        https://nokogiri.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(libxslt)
BuildRequires: rubygem(hoe)
BuildRequires: rubygem(mini_portile2) >= 2.8.0
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rake-compiler)
BuildRequires: rubygem(racc)
BuildRequires: rubygem(rdoc)
# Merged into nokogiri
Obsoletes: ruby-nokogumbo < 2.0.4-4

%description
Nokogiri is an HTML, XML, SAX, and Reader parser.  Among Nokogiri's
many features is the ability to search documents via XPath or CSS3
selectors. XML is like violence - if it doesn't solve your problems,
you are not using enough of it.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

# remove bundled external libraries
sed -i \
	-e 's|, "ports/archives/[^"][^"]*"||g' \
	-e 's|, "ports/patches/[^"][^"]*"||g' \
	../%{oname}-%{version}.gemspec
# Not needed when using system libraries
%gemspec_remove_dep -s ../%{gem_name}-%{version}.gemspec -g mini_portile2

sed -i -e 's|header_directory = .*|header_directory = "%{gem_extdir_mri}"|' lib/nokogiri/version/info.rb

%build
export NOKOGIRI_USE_SYSTEM_LIBRARIES=1
%gem_build

%install
export NOKOGIRI_USE_SYSTEM_LIBRARIES=1
cp -a .%{gem_dir}/gems/%{gem_name}-%{version}/ext/nokogiri/*.h .%{gem_extdir_mri}/
%gem_install

%files
%{_bindir}/nokogiri
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}
