%define oname   pg

Name:       ruby-%{oname}
Version:    1.4.3
Release:    %mkrel 3
Summary:    A Ruby interface to the PostgreSQL RDBMS
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        https://bitbucket.org/ged/ruby-pg/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     rubygem-pg-1.3.0-remove-rpath.patch
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: postgresql-devel
Provides:      rubygem-pg = %version-%release

%description
This is the extension library to access a PostgreSQL database from Ruby.
This library works with PostgreSQL 7.4 and later.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

# fix shebang
sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/pg.rb

%files
%{gem_spec}
%{gem_instdir}
%{gem_extdir_mri}

%files          doc
%doc LICENSE POSTGRES BSDL
%doc *.rdoc
%doc %{gem_docdir}
