%define oname   rubyforge

Name:       ruby-%{oname}
Version:    2.0.4
Release:    %mkrel 15
Summary:    A script which automates a limited set of rubyforge operations
Group:      Development/Ruby
License:    MIT
URL:        http://codeforpeople.rubyforge.org/rubyforge/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 2.6.2
BuildRequires: rubygem(json)
BuildRequires: rubygem(minitest)
BuildArch:  noarch

%description
A script which automates a limited set of rubyforge operations.

* Run 'rubyforge help' for complete usage.
* Setup: For first time users AND upgrades to 0.4.0:
  * rubyforge setup (deletes your username and password, so run sparingly!)
  * edit ~/.rubyforge/user-config.yml
  * rubyforge config
* For all rubyforge upgrades, run 'rubyforge config' to ensure you have
latest.

%files
%{_bindir}/rubyforge
%dir %{gem_instdir}/
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_instdir}/History.txt
%{gem_instdir}/Manifest.txt
%{gem_instdir}/README.txt
%{gem_instdir}/Rakefile
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

#fix shebang
sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/rubyforge.rb
