%define oname   rugged

Name:       ruby-%{oname}
Version:    1.9.0
Release:    %mkrel 2
Summary:    Rugged is a Ruby binding to the libgit2 linkable library
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/libgit2/rugged
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
# https://github.com/libgit2/rugged/pull/985
Patch:         985.patch
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: cmake
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libgit2)
#Provides:      bundled(libgit2) = 1.7.2

%description
Rugged is a Ruby bindings to the libgit2 linkable C Git library. This is
for testing and using the libgit2 library in a language that is awesome.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

%prep
%gem_setup
%autopatch -p1

rm -vrf vendor
# Remove the bundled libraries from gemspec
sed -i -e 's\, "vendor[^,]*"\\g' ../%{gem_name}-%{version}.gemspec

# The build system requires libgit2's version.h to be present, and defaults to
# using the vendor'd copy. Use the system copy instead.
sed -i -e 's|LIBGIT2_DIR = .*|LIBGIT2_DIR = "%{_prefix}"|' ext/rugged/extconf.rb

%build
export CONFIGURE_ARGS="--with-cflags='%{optflags}' --use-system-libraries"
%gem_build

%install
%gem_install
