%define oname   sass

Name:       ruby-%{oname}
Version:    3.7.4
Release:    %mkrel 2
Summary:    CSS Generator
License:    GPLv2+
Group:      Development/Ruby
URL:        http://haml-lang.com/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
# to run the tests
BuildRequires: ruby-minitest
BuildArch:  noarch

%description
Sass makes CSS fun again. Sass is an extension of CSS3, adding nested rules,
variables, mixins, selector inheritance, and more. It's translated to
well-formatted, standard CSS using the command line tool or a web-framework
plugin.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build 

%install
%gem_install
rm -rf %{buildroot}%{gem_instdir}/.yardoc
cp -a VERSION* %{buildroot}%{gem_instdir}/

# FIXME: those files contain the buildroot inside them, remove them for now
# ruby gem installation should be fixed so this doesn't happen
rm -f %{buildroot}%{gem_docdir}/rdoc/js/{searcher,navigation,search_index}.js.gz

%check
pushd %{buildroot}%{gem_instdir}
ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%{_bindir}/sass
%{_bindir}/sass-convert
%{_bindir}/scss
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
