%define oname   selenium-webdriver

Name:       ruby-%{oname}
Version:    4.27.0
Release:    %mkrel 1
Summary:    The next generation developer focused tool for automated testing of web-apps
License:    Apache License
Group:      Development/Ruby
URL:        https://selenium.dev
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
# `selenium-manager` stub replacing the bundled binary blobs.
Source3:    selenium-manager
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygem(ffi)
BuildRequires: rubygem(pry)
BuildRequires: rubygem(rack)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(rubyzip)
BuildRequires: rubygem(webmock)
BuildArch: noarch

%description
WebDriver is a tool for writing automated tests of websites. It aims to
mimic the behavior of a real user, and as such interacts with the HTML of
the application.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

# Drop the original selenium-manager binaries as long as we cannot recreate
# them from source. Their purpose is described here:
# https://www.selenium.dev/documentation/selenium_manager/
# and they are included from this repo:
# https://github.com/SeleniumHQ/selenium_manager_artifacts
# TODO: Try to build them from source:
# https://github.com/SeleniumHQ/selenium/tree/trunk/rust
# https://www.selenium.dev/documentation/selenium_manager/#building-a-custom-selenium-manager
# BTW: python-selenium package is struggling with the same issue:
# https://bugzilla.redhat.com/show_bug.cgi?id=2278096#c13
%gemspec_remove_file Dir.glob('bin/{windows,macos}/selenium-manager{,.exe}')
# Provide minimal `selenium-manager` stub.
cp %{SOURCE3} bin/linux/

%build
%gem_build

%install
%gem_install

%files
%doc CHANGES README.md
%license LICENSE
%{gem_instdir}
%{gem_spec}
