%define oname   sqlite3

Name:       ruby-%{oname}
Version:    2.6.0
Release:    %mkrel 1
Summary:    Allows Ruby programs to interface with the SQLite3 database engine
Group:      Development/Ruby
License:    BSD-like
URL:        https://github.com/luislavena/sqlite3-ruby
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(sqlite3) >= 3.6.16
BuildRequires: rubygem(mini_portile2)
BuildRequires: rubygem(minitest)
# Add provides for dbd-sqlite3
Provides:   rubygem(sqlite3-ruby) = %{version}-%{release}
Requires: %{_lib}sqlite3_0 >= 3.6.16

%description
This module allows Ruby programs to interface with the SQLite3
database engine (http://www.sqlite.org).  You must have the
SQLite engine installed in order to build this module.
Note that this module is NOT compatible with SQLite 2.x.

%files
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}
%{gem_dir}/build_info/%{oname}-%{version}.info

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:	noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build -- --enable-system-libraries

%install
%gem_install

%check
pushd .%{gem_instdir}
ruby -I$(dirs +1)%{gem_extdir_mri}:lib:test -e 'Dir.glob "./test/test_*.rb", &method(:require)'
popd
