%define oname   tokyocabinet

Name:           ruby-%{oname}
Version:        1.32.0
Release:        %mkrel 9
Summary:        Tokyo Cabinet: a modern implementation of DBM
License:        LGPLv2.1
Group:          Development/Ruby
URL:            https://tokyocabinet.sourceforge.net/
Source0:        https://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:		incompatible-pointer-types.patch
BuildRequires:  rubygems
BuildRequires:  pkgconfig(ruby)
BuildRequires:  pkgconfig(tokyocabinet)

%description
Tokyo Cabinet is a library of routines for managing a database.  The
database is a simple data file containing records, each is a pair of a key
and a value.  Every key and value is serial bytes with variable length. 
Both binary data and character string can be used as a key and a value. 
There is neither concept of data tables nor data types.  Records are
organized in hash table, B+ tree, or fixed-length array.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}
