%define oname   zoom

Name:       ruby-%{oname}
Version:    0.5.0
Release:    %mkrel 14
Summary:    Ruby Zoom Handler
Group:      Development/Ruby
License:    MIT
URL:        http://tmail.rubyforge.org
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: ruby-power_assert
BuildRequires: ruby-test-unit
BuildRequires: ruby-rake
BuildRequires: pkgconfig(yaz)

%description
Ruby/ZOOM provides a Ruby binding to the Z40.50 Object-Orientation 
Model (ZOOM), an abstract object-oriented programming interface to 
a subset of the services specified by the Z39.50 standard, also 
known as the international standard ISO 23950.

%files
%{gem_instdir}/
%doc %{gem_instdir}/sample
%doc %{gem_instdir}/test
%doc %{gem_docdir}
%{gem_spec}
%doc ChangeLog README.md
%{gem_extdir_mri}

#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

%check
# Other tests require internet
ruby -r test/unit -Iext -I%buildroot%{gem_extdir_mri} -r zoom test/package_test.rb

