%define prerel rc3

Name:		rubyripper
Summary:	A high precision CD ripper
Version:	0.8.0
Release:	%mkrel %{?prerel:0.%prerel.}1
Url:		https://github.com/bleskodev/%{name}
License:	GPLv3+
Group:		Sound/Editors and Converters
Source0:	https://github.com/bleskodev/rubyripper/archive/refs/tags/v%{version}%{?prerel:%prerel}.tar.gz
Requires:	cdparanoia
Requires:	ruby
Requires:	ruby-gettext
# for cd-discid
Requires:	abcde
Requires:	vorbis-tools vorbisgain
BuildRequires:	cdparanoia
BuildRequires:	ruby-gettext
BuildArch:	noarch

Recommends:	rubyripper-gtk
Recommends:	mp3gain
Recommends:	flac
Recommends:	normalize

%description
Rubyripper is a digital audio extraction algorithm that uses cdparanoia
error correcting power and it's own secure ripping algorithm to make
sure that a CD rip is done successfully and accurately.

%files
%_bindir/rrip_cli
%doc README.md
%dir %{_usr}/lib/%{name}
 %{_usr}/lib/%{name}/

#--------------------------------------------------------------------
%package -n rubyripper-gtk
Summary:	GTK frontend for rubyripper
Group:		Graphical desktop/GNOME
Requires:	rubyripper
Requires:	ruby-gtk3

%description -n rubyripper-gtk
GTK2 frontend for rubyripper

%files -n rubyripper-gtk
%_bindir/rrip_gui
%_iconsdir/hicolor/*/apps/%{name}.png
%_datadir/applications/%{name}.desktop

#--------------------------------------------------------------------
%prep
%setup -q -n rubyripper-%{version}%{?prel:%prerel}

# set prefix to / as bindir and ruby directory already contain /usr and it appends prefix
%configure \
--enable-lang-all \
--enable-cli \
--enable-gtk3 \
--prefix=/ \
--ruby=%{ruby_vendorlibdir} \
--locale=%{_datadir}/locale \
--icondir=%{_iconsdir}/hicolor/128x128/apps \
--desktop=%{_datadir}/applications/

%install
make install DESTDIR=%{buildroot}/usr

chmod -x README.md

