# Generated by rust2rpm 24
%bcond_without check

%define major   3
%define libname %mklibname dovi %{major}
%define devname %mklibname dovi -d

%global crate dolby_vision

Name:           rust-dolby_vision
Version:        3.2.0
Release:        %mkrel 1
Summary:        Dolby Vision metadata parsing and writing
Group:          System/Libraries
License:        MIT
URL:            https://crates.io/crates/dolby_vision
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
# * explicitly mark library as a "cdylib" type to fix spec generation
Patch1:         dolby_vision-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  cargo-c

%description
Dolby Vision metadata parsing and writing.

%package     -n %{libname}
Summary:        Dolby Vision metadata parsing and writing
Group:          System/Libraries
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
License:        MIT AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{libname}
Dolby Vision metadata parsing and writing.

This package contains the C library.

%files -n %{libname}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_libdir}/libdovi.so.%{major}{,.*}


%package     -n %{devname}
Summary:        Development files for the %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       dovi-devel = %{version}-%{release}

%description -n %{devname}
This package contains the C library development files.

%files -n %{devname}
%{_libdir}/libdovi.so
%{_libdir}/pkgconfig/dovi.pc
%dir %{_includedir}/libdovi
%{_includedir}/libdovi/rpu_parser.h


%package        devel
Summary:        Dolby Vision metadata parsing and writing
BuildArch:      noarch

%description    devel
This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/


%package     -n %{name}+default-devel
Summary:        Dolby Vision metadata parsing and writing
BuildArch:      noarch

%description -n %{name}+default-devel
This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml


%package     -n %{name}+capi-devel
Summary:        Dolby Vision metadata parsing and writing
BuildArch:      noarch

%description -n %{name}+capi-devel
This package contains library source intended for building other packages which
use the "capi" feature of the "%{crate}" crate.

%files       -n %{name}+capi-devel
%ghost %{crate_instdir}/Cargo.toml


%package     -n %{name}+libc-devel
Summary:        Dolby Vision metadata parsing and writing
BuildArch:      noarch

%description -n %{name}+libc-devel
This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml


%package     -n %{name}+roxmltree-devel
Summary:        Dolby Vision metadata parsing and writing
BuildArch:      noarch

%description -n %{name}+roxmltree-devel
This package contains library source intended for building other packages which
use the "roxmltree" feature of the "%{crate}" crate.

%files       -n %{name}+roxmltree-devel
%ghost %{crate_instdir}/Cargo.toml


%package     -n %{name}+serde-devel
Summary:        Dolby Vision metadata parsing and writing
BuildArch:      noarch

%description -n %{name}+serde-devel
This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml


%package     -n %{name}+xml-devel
Summary:        Dolby Vision metadata parsing and writing
BuildArch:      noarch

%description -n %{name}+xml-devel
This package contains library source intended for building other packages which
use the "xml" feature of the "%{crate}" crate.

%files       -n %{name}+xml-devel
%ghost %{crate_instdir}/Cargo.toml


%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a
%cargo_cbuild -a
%{cargo_license_summary -a}
%{cargo_license -a} > LICENSE.dependencies

%install
%cargo_install -a
%cargo_cinstall -a

rm %{buildroot}%{_libdir}/libdovi.a

%if %{with check}
%check
# * skip tests that require files that are not included in published crates
%cargo_test -a -- -- --skip rpu::generate::tests::config_with_frame_edits --skip xml::tests::parse
%endif
