# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate dsa

Name:           rust-dsa
Version:        0.6.3
Release:        %mkrel 1
Summary:        Pure Rust implementation of the Digital Signature Algorithm

Group:          Development/Rust
BuildArch:      noarch

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/dsa
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * relax dsa dependency to allow versions >= 2.3
Patch:          dsa-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Pure Rust implementation of the Digital Signature Algorithm (DSA) as
specified in FIPS 186-4 (Digital Signature Standard), providing RFC6979
deterministic signatures as well as support for added entropy.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

