# Generated by rust2rpm 26
%bcond_without check

%global crate fd-find

%{!?bash_completions_dir: %global bash_completions_dir %{_datadir}/bash-completion/completions}
%{!?fish_completions_dir: %global fish_completions_dir %{_datadir}/fish/vendor_completions.d}
%{!?zsh_completions_dir: %global zsh_completions_dir %{_datadir}/zsh/site-functions}

Name:           rust-fd-find
Version:        10.1.0
Release:        %mkrel 3
Summary:        Fd is a simple, fast and user-friendly alternative to find
Group:          Development/Rust

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/fd-find
Source:         %{crates_source}
Source1:        %{crate}-%{version}-vendor.tar.xz
# Manually created patch for downstream crate metadata changes
# * drop jemallocator dependency
Patch:          fd-find-fix-metadata.diff
# * drop jemallocator from code
Patch2:         0001-remove-references-to-jemalloc.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Fd is a simple, fast and user-friendly alternative to find.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
Group:          File tools
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown
Provides:       rust-fd-find = %{version}-%{release}
Obsoletes:      rust-fd-find < 10.1.0-3
Obsoletes:      rust-fd-find-bash-completion < 10.1.0-3
Obsoletes:      rust-fd-find-fish-completion < 10.1.0-3
Obsoletes:      rust-fd-find-zsh-completion < 10.1.0-3

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc README.md
%{_bindir}/fd
%{_mandir}/man1/fd.1*
%{bash_completions_dir}/fd.bash
%{fish_completions_dir}/fd.fish
%{zsh_completions_dir}/_fd

%prep
%autosetup -n %{crate}-%{version} -p1 -a1
%cargo_prep -v vendor

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
# generate shell completions
./target/release/fd --gen-completions bash > fd.bash
./target/release/fd --gen-completions fish > fd.fish
./target/release/fd --gen-completions zsh > fd.zsh

%install
%cargo_install
# install manpage
install -Dpm 644 doc/fd.1 -t %{buildroot}/%{_mandir}/man1/
# install shell completions
install -Dpm 0644 fd.bash %{buildroot}/%{bash_completions_dir}/fd.bash
install -Dpm 0644 fd.fish %{buildroot}/%{fish_completions_dir}/fd.fish
install -Dpm 0644 fd.zsh %{buildroot}/%{zsh_completions_dir}/_fd

%if %{with check}
%check
%cargo_test
%endif
