# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate ipnet

Name:           rust-ipnet
Version:        2.8.0
Release:        %mkrel 1
Summary:        Provides types and useful methods for working with IP prefixes
Group:          Development/Rust
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/ipnet
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Provides types and useful methods for working with IPv4 and IPv6 network
addresses, commonly called IP prefixes. The new `IpNet`, `Ipv4Net`, and
`Ipv6Net` types build on the existing `IpAddr`, `Ipv4Addr`, and
`Ipv6Addr` types already provided in Rust's standard library and align
to their design to stay consistent. The module also provides useful
traits that extend `Ipv4Addr` and `Ipv6Addr` with methods for `Add`,
`Sub`, `BitAnd`, and `BitOr` operations. The module only uses stable
feature so it is guaranteed to compile using the stable toolchain.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASES.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

