# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate libz-sys

Name:           rust-libz-sys
Version:        1.1.20
Release:        %mkrel 1
Summary:        Low-level bindings to the system libz library (also known as zlib)

Group:		Development/Rust
BuildArch:      noarch

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/libz-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop features for zlib-ng support and statically linking libz
Patch:          libz-sys-fix-metadata.diff
# * remove code related to building vendored zlib / zlib-ng sources
# * unconditionally use pkg-config to link with system libz
Patch:          0001-unconditionally-use-pkg-config-to-link-with-system-z.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(zlib)

%global _description %{expand:
Low-level bindings to the system libz library (also known as zlib).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(zlib)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+stock-zlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stock-zlib-devel %{_description}

This package contains library source intended for building other packages which
use the "stock-zlib" feature of the "%{crate}" crate.

%files       -n %{name}+stock-zlib-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# remove bundled zlib and zlib-ng sources
rm -r src/zlib/
rm -r src/zlib-ng/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

