# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate nettle-sys

Name:           rust-nettle-sys
Version:        2.3.0
Release:        %mkrel 1
Summary:        Low-level Rust bindings for the Nettle cryptographic library

Group:          Development/Rust
BuildArch:      noarch

License:        LGPL-3.0 OR GPL-2.0 OR GPL-3.0
URL:            https://crates.io/crates/nettle-sys
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          nettle-sys-fix-metadata-auto.diff
# * drop two elliptic curves that are disabled in nettle in Fedora:
#   - nettle_get_secp_192r1
#   - nettle_get_secp_224r1
Patch:          0001-build-drop-unavailable-ECC-functions.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  rust-bindgen0.63-devel

%global _description %{expand:
Low-level Rust bindings for the Nettle cryptographic library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(nettle)
Requires:       rust-bindgen0.63-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-GPL2
%license %{crate_instdir}/LICENSE-GPL3
%license %{crate_instdir}/LICENSE-LGPL3
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(nettle)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

