# Generated by rust2rpm 24
# * missing dev-dependencies: fehler, subplot-build, subplotlib
%bcond_with check

%global crate sequoia-sq

Name:           rust-sequoia-sq
Version:        0.26.0
Release:        %mkrel 1
Summary:        Command-line frontends for Sequoia
Group:          Development/Rust
License:        GPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-sq
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
Patch:          sequoia-sq-fix-metadata.diff
# * exclude files that are only useful for upstream development
# * prevent manpages from getting installed twice
# * drop automated generation of upstream integration tests
# * bump sequoia-autocrypt to 0.25
# * bump sequoia-net to 0.27
Patch:          0001-build-remove-automated-integration-test-generation.patch

BuildRequires:  rust-packaging >= 23
BuildRequires:  crate(clap/default) < 3
BuildRequires:  crate(itertools/default) < 0.10
BuildRequires:  crate(itertools/default) >= 0.9
BuildRequires:  crate(rpassword/default) < 7

%global _description %{expand:
Command-line frontends for Sequoia.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSL-1.0
# GPL-2.0-or-later
# LGPL-2.0-or-later
# LGPL-3.0 OR GPL-2.0 OR GPL-3.0
# LGPL-3.0+
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        GPL-2.0-or-later AND Apache-2.0 AND BSL-1.0 AND LGPL-3.0 AND MIT AND Unicode-DFS-2016

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%{_bindir}/sq
%{_mandir}/man1/sq*

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# remove integration tests (assert-cli is broken during RPM builds)
rm -r tests
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install manual pages
mkdir -p %{buildroot}/%{_mandir}/man1
cp -pav man-sq-net-autocrypt/* %{buildroot}/%{_mandir}/man1/

%if %{with check}
%check
%cargo_test
%endif

