# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate tokio-rustls

Name:           rust-tokio-rustls
Version:        0.26.0
Release:        %mkrel 1
Summary:        Asynchronous TLS/SSL streams for Tokio using Rustls

Group:          Development/Rust
BuildArch:      noarch

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/tokio-rustls
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * default to "ring" crypto backend and drop "aws-lc-rs" backend
Patch:          tokio-rustls-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Asynchronous TLS/SSL streams for Tokio using Rustls.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+early-data-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+early-data-devel %{_description}

This package contains library source intended for building other packages which
use the "early-data" feature of the "%{crate}" crate.

%files       -n %{name}+early-data-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+logging-devel %{_description}

This package contains library source intended for building other packages which
use the "logging" feature of the "%{crate}" crate.

%files       -n %{name}+logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ring-devel %{_description}

This package contains library source intended for building other packages which
use the "ring" feature of the "%{crate}" crate.

%files       -n %{name}+ring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls12-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls12-devel %{_description}

This package contains library source intended for building other packages which
use the "tls12" feature of the "%{crate}" crate.

%files       -n %{name}+tls12-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that require internet access
# * skip tests that fail due to expired certificates
%cargo_test -- -- --exact --skip common::test_stream::stream_handshake_regression_issues_77 --skip test_modern --skip test_tls12 --skip test_tls12_vectored --skip test_modern_vectored --skip common::test_stream::stream_bad --skip common::test_stream::stream_buffered_handshake --skip common::test_stream::stream_eof --skip common::test_stream::stream_good --skip common::test_stream::stream_good_vectored --skip common::test_stream::stream_handshake --skip pass --skip test_lazy_config_acceptor
%endif

