#filter out plugin .so provides
%global __provides_exclude_from ^%{_libdir}/%{name}-%{api}/.*\\.so

%define api		2.8
%define major		0
%define libname		%mklibname %{name} %{api} %{major}

%define girapi		2.8
%define girname		%mklibname %{name}-gir %{girapi}

%define devname		%mklibname %{name} -d

%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		rygel
Version:	0.44.2
Release:	%mkrel 1
Summary:	A UPnP v2 Media Server
Group:		Sound/Utilities
License:	LGPLv2+
URL:		https://wiki.gnome.org/Rygel
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gssdp-1.6)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gst-editing-services-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gupnp-1.6)
BuildRequires:	pkgconfig(gupnp-av-1.0)
BuildRequires:	pkgconfig(gupnp-dlna-2.0)
BuildRequires:	pkgconfig(gupnp-dlna-gst-2.0)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libmediaart-2.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(tinysparql-3.0)
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	vala >= 0.20.0
#BuildRequires:	valadoc
BuildRequires:	tracker-vala
# for man pages
BuildRequires:	xsltproc
Requires:	shared-mime-info
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-libav
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-ugly

%description
Rygel is an implementation of the UPnP MediaServer V 2.0 specification that is
specifically designed for GNOME. It is based on GUPnP and is written (mostly)
in Vala language. The project was previously known as gupnp-media-server.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface library for %{name}.

%package -n %{devname}
Summary:	Development package for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Files for development with %{name}.

%package tracker
Summary:	Tracker plugin for %{name}
Group:		Sound/Utilities
Requires:	%{name} = %{version}-%{release}
Requires:	tracker

%description tracker
A plugin for rygel to use tracker to locate media on the local machine.

%prep
%autosetup -p1

%build
%meson \
	-Dapi-docs=false \
	-Dplugins=external,gst-launch,media-export,mpris,playbin,ruih,tracker3
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %name.lang
%license COPYING
%doc AUTHORS NEWS README*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-preferences
%{_libexecdir}/%{name}/mx-extract
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*
%{_iconsdir}/*/*/*/*
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service
%{_userunitdir}/%{name}.service
%{_mandir}/man?/%{name}*

#plugins
%dir %{_libdir}/%{name}-%{api}
%dir %{_libdir}/%{name}-%{api}/plugins
%{_libdir}/%{name}-%{api}/plugins/*media-export.*
%{_libdir}/%{name}-%{api}/plugins/*external.*
%{_libdir}/%{name}-%{api}/plugins/*playbin.*
%{_libdir}/%{name}-%{api}/plugins/*mpris.*
%{_libdir}/%{name}-%{api}/plugins/*gst-launch.*
%{_libdir}/%{name}-%{api}/plugins/*ruih.*
%{_libdir}/%{name}-%{api}/plugins/*example-*.*
%{_libdir}/%{name}-%{api}/engines/*media-engine-simple.*
%{_libdir}/%{name}-%{api}/engines/*media-engine-gst.*

%files tracker
%{_libdir}/%{name}-%{api}/plugins/*tracker{,3}.*

%files -n %{libname}
%{_libdir}/librygel-core-%{api}.so.%{major}{,.*}
%{_libdir}/librygel-db-%{api}.so.%{major}{,.*}
%{_libdir}/librygel-renderer-%{api}.so.%{major}{,.*}
%{_libdir}/librygel-renderer-gst-%{api}.so.%{major}{,.*}
%{_libdir}/librygel-server-%{api}.so.%{major}{,.*}
%{_libdir}/librygel-ruih-%{api}.so.%{major}{,.*}

%files -n %{girname}
#typelibs
%{_libdir}/girepository-1.0/RygelCore-%{girapi}.typelib
%{_libdir}/girepository-1.0/RygelRendererGst-%{girapi}.typelib
%{_libdir}/girepository-1.0/RygelRenderer-%{girapi}.typelib
%{_libdir}/girepository-1.0/RygelServer-%{girapi}.typelib

%files -n %{devname}
#%%doc %%{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-core-%{api}.pc
%{_libdir}/pkgconfig/%{name}-renderer-%{api}.pc
%{_libdir}/pkgconfig/%{name}-renderer-gst-%{api}.pc
%{_libdir}/pkgconfig/%{name}-ruih-%{api}.pc
%{_libdir}/pkgconfig/%{name}-server-%{api}.pc
%{_includedir}/%{name}-%{api}/
%{_datadir}/vala/vapi/*
%{_datadir}/gir-1.0/RygelCore-%{girapi}.gir
%{_datadir}/gir-1.0/RygelRendererGst-%{girapi}.gir
%{_datadir}/gir-1.0/RygelRenderer-%{girapi}.gir
%{_datadir}/gir-1.0/RygelServer-%{girapi}.gir
