Name:           s3fs-fuse
Version:        1.95
Release:        %mkrel 2
Summary:        FUSE-based file system backed by Amazon S3
Group:          Networking/Remote access
License:        GPL-2.0-or-later
URL:            https://github.com/s3fs-fuse/s3fs-fuse
Source0:        https://github.com/s3fs-fuse/s3fs-fuse/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        passwd-s3fs

BuildRequires:  automake
BuildRequires:  pkgconfig(fuse) >= 2.8.4
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(openssl)

# Fuse is required to be able to use mount command, /etc/fstab or mount via systemd
Requires:       fuse >= 2.8.4
# To identify the mime-types
Requires:       mailcap

%description
s3fs is a FUSE file system that allows you to mount an Amazon
S3 bucket as a local file system. It stores files natively
and transparently in S3 (i.e., you can use other programs to
access the same files). Maximum file size is 5 TB when
using multipart upload.

s3fs is stable and is being used in number of production
environments, e.g., rsync backup to s3.

%prep
%autosetup -p1

cp -p %{SOURCE1} passwd-s3fs

%build
./autogen.sh
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS README.md ChangeLog passwd-s3fs
%license COPYING
%{_bindir}/s3fs
%{_mandir}/man1/s3fs.1*
