Name:		sakura
Summary:	A lightweight terminal emulator with very few dependencies
Version:	3.8.8
Release:	%mkrel 1
License:	GPLv2
Group:		Terminals
Url:		https://launchpad.net/sakura
Source0:	https://launchpad.net/sakura/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
Patch0:		0001-Add-Keywords-field-to-desktop-file.patch
BuildRequires:	pkgconfig(glib-2.0) >= 2.20
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	cmake
BuildRequires:	gettext

%description
Sakura is a terminal emulator based on GTK and VTE. It's a terminal emulator
with few dependencies, so you don't need a full GNOME desktop installed to have
a decent terminal emulator. Current terminal emulators based on VTE are
gnome-terminal, XFCE Terminal, TermIt and a small sample program included in
the vte sources. The differences between sakura and the last one are that it
uses a notebook to provide several terminals in one window and adds a
contextual menu with some basic options. No more no less. 

%prep
%autosetup -p1

%build
%cmake \
	-DLIB_INSTALL_DIR=%{_libdir}
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_docdir}/%{name}/INSTALL
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/terminal-tango.svg
%{_mandir}/man1/%{name}.1*
