# rpmbuild --rebuild --with testsuite --without clustering samba.src.rpm
#
# The testsuite is disabled by default. Set --with testsuite or bcond_without
# to run the Samba torture testsuite.
%bcond_with testsuite
# ctdb is enabled by default, you can disable it with: --without clustering
%bcond_without clustering

%define _disable_ld_no_undefined %{nil}
%global __brp_check_rpaths %nil

%define nssmajor       2

%define major          1
%define libname        %mklibname %{name} %{major}
%define develname      %mklibname %{name} -d

%define wbclientmajor  0
%define libwbclient    %mklibname wbclient %{wbclientmajor}
%define wbclientdevel  %mklibname wbclient -d

%define smbclientmajor 0
%define libsmbclient   %mklibname smbclient %{smbclientmajor}
%define smbclientdevel %mklibname smbclient -d

%define testmajor      0
%define libtest        %mklibname %{name}-test %{testmajor}
%define testdevel      %mklibname %{name}-test -d

%define dcmajor        0
%define libsdc         %mklibname %{name}-dc %{dcmajor}

%define ldbmajor       2
%define libldb         %mklibname ldb %{ldbmajor}
%define ldbdevel       %mklibname ldb -d

# filter out some bogues devel() requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}devel\\(lib.*-samba

# filter out some bogus requires/provides
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libdir}/libnss_win.*\\.so
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_libdir}/libnss_win.*\\.so

# filter out perl requirements pulled in from examples in the docdir.
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_docdir}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}/\[^/\]*/\[^M\]
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(VMS|^perl\\(Win32|^perl\\(DB\\)|^perl\\(UNIVERSAL\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(VMS|^perl\\(Win32

%global cups_serverbin /usr/lib/cups

%define rel 1

%define talloc_version 2.4.3
%define ntdb_version 1.0
%define tdb_version 1.4.13
%define tevent_version 0.16.2
%define ldb_version 2.10.0
# This should be rc1 or %%nil
%define pre_release %nil

%if "x%{?pre_release}" != "x"
%define tardir rc
%define samba_release 0.%{pre_release}.%{rel}
%else
%define tardir stable
%define samba_release %{rel}
%endif

%global with_libsmbclient 1
%global with_libwbclient 1

%global with_internal_talloc 0
%global with_internal_tevent 0
%global with_internal_tdb 0
%global with_internal_ntdb 0
# upstream stop providing separate ldb pkg since 4.21 series
%global with_internal_ldb 1

%global with_profiling 1

%global with_vfs_cephfs 0

%global with_vfs_glusterfs 0


%global with_mitkrb5 1
%global with_dc 1

%if %{with testsuite}
# The testsuite only works with a full build right now.
%global with_mitkrb5 0
%global with_dc 1
%endif

%global with_clustering_support 0

%if %{with clustering}
%global with_clustering_support 1
%endif

%ifarch aarch64 x86_64
%bcond_without lmdb
%else
%bcond_with lmdb
%endif

Name:       samba
Version:    4.22.0
Release:    %mkrel %{samba_release}

Summary:    Server and Client software to interoperate with Windows machines
License:    GPLv3+ and LGPLv3+
Group:      System/Servers
URL:        https://www.samba.org/
Source0:    https://download.samba.org/pub/samba/%{tardir}/samba-%{version}%{pre_release}.tar.gz

# Red Hat specific replacement-files
Source1: samba.log
Source2: samba.xinetd
# For classic NT4-style domains
Source4: smb.conf.default
Source5: pam_winbind.conf
Source6: samba.pamd
Source15: usershares.conf.vendor
Source16: samba-systemd-sysusers.conf
Source17: samba-usershares-systemd-sysusers.conf

Source200: README.dc
Source201: README.downgrade

Requires(pre):    rpm-helper >= %{rpmhelper_required_version}
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}
Requires(postun): rpm-helper >= %{rpmhelper_required_version}


Requires(pre):	%{name}-common = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
%endif

Requires: pam

Provides: 	%{name}-server = %{version}-%{release}

BuildRequires: pkgconfig(avahi-core)
BuildRequires: cups-devel
BuildRequires: pkgconfig(dbus-1)
BuildRequires: docbook-style-xsl
BuildRequires: e2fsprogs-devel
BuildRequires: gawk
BuildRequires: krb5-devel >= 1.20.1
BuildRequires: krb5-server
BuildRequires: libacl-devel
BuildRequires: libaio-devel
BuildRequires: pkgconfig(libarchive)
BuildRequires: pkgconfig(libattr)
BuildRequires: pkgconfig(libcap)
BuildRequires: pkgconfig(libtirpc)
BuildRequires: pkgconfig(uuid)
BuildRequires: pkgconfig(libxslt)
BuildRequires: lmdb-devel
BuildRequires: pkgconfig(ncurses)
BuildRequires: openldap-devel
BuildRequires: pam-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Parse::Yapp)
BuildRequires: pkgconfig(popt)
BuildRequires: pkgconfig(python3)
BuildRequires: python3-iso8601
BuildRequires: python3-tevent >= 1:%{tevent_version}
BuildRequires: python3-markdown
BuildRequires: python3-dnspython
BuildRequires: quota-devel
BuildRequires: pkgconfig(readline)
BuildRequires: rpcgen
BuildRequires: rpcsvc-proto-devel
BuildRequires: sed
BuildRequires: pkgconfig(libtasn1)
BuildRequires: libtasn1-tools
BuildRequires: xfsprogs-devel
BuildRequires: pkgconfig(zlib) >= 1.2.3
BuildRequires: xsltproc
BuildRequires: pkgconfig(gpgme)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(libbsd)
BuildRequires: pkgconfig(cmocka)
BuildRequires: pkgconfig(jansson)
%ifnarch %{arm}
BuildRequires: pkgconfig(liburing)
%endif
# spotlight support
BuildRequires: bison
BuildRequires: flex
BuildRequires: icu-devel
#BuildRequires: pkgconfig(tinysparql-3.0)

%if %{with_vfs_glusterfs}
BuildRequires: 	pkgconfig(glusterfs-api)
%endif
%if %{with_vfs_cephfs}
BuildRequires: libcephfs1-devel
%endif
%if %{with_dc}
BuildRequires: pkgconfig(gnutls)
%endif

%if %{with pidl}
# pidl requirements
BuildRequires: perl(Parse::Yapp)
%endif

%if ! %{with_internal_talloc}
BuildRequires: 	pkgconfig(talloc) >= %{talloc_version}
BuildRequires: 	pytalloc-util-devel >= %{talloc_version}
BuildRequires: 	python3-talloc >= 1:%{talloc_version}
%endif

%if ! %{with_internal_tevent}
BuildRequires: 	pkgconfig(tevent) >= %{tevent_version}
BuildRequires: 	python3-tevent >= 1:%{tevent_version}
%endif

%if ! %{with_internal_ldb}
BuildRequires: 	ldb-devel >= 1:%ldb_version
BuildRequires: 	pyldb-util-devel >= 1:%{ldb_version}
BuildRequires:  python3-ldb >= 1:%{ldb_version}
%endif

%if ! %{with_internal_tdb}
BuildRequires: 	pkgconfig(tdb) >= %{tdb_version}
BuildRequires:  python3-tdb >= 1:%{tdb_version}
BuildRequires: 	tdb-utils
%endif

%if %{with testsuite}
BuildRequires: 	ldb-utils
%endif

### SAMBA
%description
Samba is the standard Windows interoperability suite of programs
for Linux and Unix.

### CLIENT
%package client
Summary: 	Samba client programs
Group: 		Networking/Other
Requires: 	%{name}-common = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Recommends:     cifs-utils
%if %{with_libsmbclient}
Requires: 	%{libsmbclient} = %{version}-%{release}
%endif
# virtual provides for drakxtools-backend
Provides:	smb-client = %{version}-%{release}

Requires(post):   chkconfig
Requires(postun): chkconfig

%description client
The samba4-client package provides some SMB/CIFS clients to complement
the built-in SMB/CIFS filesystem in Linux. These clients allow access
of SMB/CIFS shares and printing to SMB/CIFS printers.

### COMMON
%package common
Summary: Files used by both Samba servers and clients
Group: 		System/Servers
Requires: 	%{libname} = %{version}-%{release}
Requires:	%{libsdc} = %{version}-%{release}
%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
%endif

%description common
samba-common provides files necessary for both the server and client
packages of Samba.

### DC
%package dc
Summary: 	Samba AD Domain Controller
Group: 		System/Servers
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{libsdc} = %{version}-%{release}
Requires: 	python3-samba = %{version}-%{release}

%description dc
The samba-dc package provides AD Domain Controller functionality

### DC-LIBS
%package -n %{libsdc}
Summary: 	Samba AD Domain Controller Libraries
Group: 		System/Servers
Requires: 	%{name}-common = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}kdc-samba4_2 < 4.16.1-3
Obsoletes:	%{_lib}heimntlm-samba4_1 < 4.16.1-3

%description -n %{libsdc}
The samba4-dc-libs package contains the libraries needed by the DC to
link against the SMB, RPC and other protocols.

### DEVEL
%package -n %{develname}
Summary: 	Developer tools for Samba libraries
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides:	libsamba-devel = %{version}-%{release}
Provides:	samba-devel = %{version}-%{release}

%description -n %{develname}
The samba4-devel package contains the header files for the libraries
needed to develop programs that link against the SMB, RPC and other
libraries in the Samba suite.

### CEPH
%if %{with_vfs_cephfs}
%package vfs-cephfs
Summary: 	Samba VFS module for Ceph distributed storage system
Group: 		Applications/System
Requires: 	libcephfs1
Requires: 	%{name} = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}

%description vfs-cephfs
Samba VFS module for Ceph distributed storage system integration.
%endif

### GLUSTER
%if %{with_vfs_glusterfs}
%package vfs-glusterfs
Summary: 	Samba VFS module for GlusterFS
Group: 		System/Libraries
Requires: 	glusterfs-api >= 3.4.0.16
Requires: 	glusterfs >= 3.4.0.16
Requires: 	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}


%description vfs-glusterfs
Samba VFS module for GlusterFS integration.
%endif

### KRB5-PRINTING
%package krb5-printing
Summary: 	Samba CUPS backend for printing with Kerberos
Group: 		Networking/Remote access
Requires(pre): 	%{name}-client

Requires(post):   chkconfig
Requires(postun): chkconfig

%description krb5-printing
If you need Kerberos for print jobs to a printer connection to cups via the SMB
backend, then you need to install that package. It will allow cups to access
the Kerberos credentials cache of the user issuing the print job.

### LIBS
%package -n %{libname}
Summary: 	Samba libraries
Group: 		System/Libraries
Requires: 	krb5-libs >= 1.10
%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
%endif
Conflicts:      samba < 4.16.1-2
Conflicts:	python3-ldb < 1:4.21.2-4

%description -n %{libname}
The samba4-libs package contains the libraries needed by programs that
link against the SMB, RPC and other protocols provided by the Samba suite.

### LIBSMBCLIENT
%if %{with_libsmbclient}
%package -n %{libsmbclient}
Summary: 	The SMB client library
Group: 		System/Libraries
Requires: 	%{name}-common = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
# for gnome-vfs2
Provides:       libsmbclient = %{version}-%{release}

%description -n %{libsmbclient}
The libsmbclient contains the SMB client library from the Samba suite.

%package -n %{smbclientdevel}
Summary: 	Developer tools for the SMB client library
Group: 		Development/C
Requires: 	%{libsmbclient} = %{version}-%{release}
Provides:	libsmbclient-devel = %{version}-%{release}
Provides:	smbclient-devel = %{version}-%{release}

%description -n %{smbclientdevel}
The libsmbclient-devel package contains the header files and libraries needed to
develop programs that link against the SMB client library in the Samba suite.
%endif
# with_libsmbclient

### LIBWBCLIENT
%if %{with_libwbclient}
%package -n %{libwbclient}
Summary: 	The winbind client library
Group: 		System/Libraries
Requires: 	%{libname} = %{version}-%{release}

%description -n %{libwbclient}
The libwbclient package contains the winbind client library
from the Samba suite.

%package -n %{wbclientdevel}
Summary: 	Developer tools for the winbind library
Group: 		Development/C
Requires: 	%{libwbclient} = %{version}-%{release}
Provides:	libwbclient-devel = %{version}-%{release}
Provides:	wbclient-devel = %{version}-%{release}

%description -n %{wbclientdevel}
The libwbclient-devel package provides developer tools for
the wbclient library.
%endif
# with_libwbclient

### PYTHON
%package -n python3-samba
Summary: 	Samba Python libraries
Group: 		System/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Requires: 	python3-cryptography
Requires: 	python3-dns
Requires: 	python3-requests
Requires: 	python3-tevent
Requires: 	python3-tdb
Requires: 	python3-ldb
Requires: 	python3-talloc

%description -n python3-samba
The samba4-python package contains the Python libraries needed by programs
that use SMB, RPC and other Samba provided protocols in Python programs.

%if %{with pidl}
### PIDL
%package pidl
Summary:	Perl IDL compiler
Group:		Development/Tools
Requires:	perl(Parse::Yapp)
BuildArch:	noarch


%description pidl
The %{name}-pidl package contains the Perl IDL compiler used by Samba
and Wireshark to parse IDL and similar protocols
%endif

### TEST
%package test
Summary: 	Testing tools for Samba servers and clients
Group: 		Networking/Other
Requires: 	%{name} = %{version}-%{release}
Requires: 	%{name}-common = %{version}-%{release}
Requires: 	%{name}-winbind = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}

%if %{with_dc}
Requires: 	%{libsdc} = %{version}-%{release}
%endif

%if %{with_libsmbclient}
Requires: 	%{libsmbclient} = %{version}-%{release}
%endif

%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
%endif

%description test
%{name}-test provides testing tools for both the server and client
packages of Samba.

### TEST-LIBS
%package -n %{libtest}
Summary: 	Libraries need by the testing tools for Samba servers and clients
Group: 		Networking/Remote access
Requires: 	%{libname} = %{version}-%{release}

%description -n %{libtest}
%{name}-test-libs provides libraries required by the testing tools.

### TEST-DEVEL
%package -n %{testdevel}
Summary: 	Testing devel files for Samba servers and clients
Group: 		Development/C
Requires: 	%{libtest} = %{version}-%{release}

%description -n %{testdevel}
samba-test-devel provides testing devel files for both the server and client
packages of Samba.

### USERSHARES
%package usershares
Summary:	Provides support for non-root user shares
Group:		Networking/Other
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%description usershares
Installing this package will provide a configuration file, group and
directories to support non-root user shares. You can configure them
as a user using the `net usershare` command.

### WINBIND
%package winbind
Summary: 	Samba winbind
Group: 		System/Libraries
Requires: 	%{name}-common = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{name}-winbind-modules = %{version}-%{release}
Provides:	samba4-winbind = %{version}-%{release}
Provides:	nss_wins = %{version}-%{release}

%description winbind
The samba-winbind package provides the winbind NSS library, and some
client tools.  Winbind enables Linux to be a full member in Windows
domains and to use Windows user and group accounts on Linux.

### WINBIND-CLIENTS
%package winbind-clients
Summary: 	Samba winbind clients
Group: 		System/Libraries
Requires: 	%{name}-common = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{name}-winbind = %{version}-%{release}
%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
%endif

Provides: 	samba4-winbind-clients = %{version}-%{release}

%description winbind-clients
The samba-winbind-clients package provides the wbinfo and ntlm_auth
tool.

### WINBIND-KRB5-LOCATOR
%package winbind-krb5-locator
Summary: 	Samba winbind krb5 locator
Group: 		Networking/Remote access
%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
Requires: 	%{name}-winbind = %{version}-%{release}
%else
Requires: 	%{libname} = %{version}-%{release}
%endif
Provides: 	samba4-winbind-krb5-locator = %{version}-%{release}

# Handle winbind_krb5_locator.so as alternatives to allow
# IPA AD trusts case where it should not be used by libkrb5
# The plugin will be diverted to /dev/null by the FreeIPA
# freeipa-server-trust-ad subpackage due to higher priority
# and restored to the proper one on uninstall
Requires(post):   chkconfig
Requires(postun): chkconfig
Requires(preun):  chkconfig

%description winbind-krb5-locator
The winbind krb5 locator is a plugin for the system kerberos library to allow
the local kerberos library to use the same KDC as samba and winbind use

### WINBIND-MODULES
%package winbind-modules
Summary: 	Samba winbind modules
Group: 		System/Libraries
Requires: 	%{libname} = %{version}-%{release}
%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
%endif
Requires: 	pam

%description winbind-modules
The samba-winbind-modules package provides the NSS library and a PAM
module necessary to communicate to the Winbind Daemon

### CTDB
%if %{with_clustering_support}
%package -n ctdb
Summary: A Clustered Database based on Samba's Trivial Database (TDB)
Group: System/Cluster

Requires: coreutils
#Requires: fileutils
# for ps and killall
Requires: psmisc
Requires: sed
Requires: tdb-utils
Requires: gawk
# for pkill and pidof:
Requires: procps-ng
# for netstat:
Requires: net-tools
Requires: ethtool
# for ip:
Requires: iproute2
Requires: iptables
# for flock, getopt, kill:
Requires: util-linux

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description -n ctdb
CTDB is a cluster implementation of the TDB database used by Samba and other
projects to store temporary data. If an application is already using TDB for
temporary data it is very easy to convert that application to be cluster aware
and use CTDB instead.

### CTDB-DEVEL
%package -n ctdb-devel
Summary: CTDB clustered database development package
Group: Development/Other

Requires: ctdb = %{version}-%{release}

%description -n ctdb-devel
Libraries, include files, etc you can use to develop CTDB applications.
CTDB is a cluster implementation of the TDB database used by Samba and other
projects to store temporary data. If an application is already using TDB for
temporary data it is very easy to convert that application to be cluster aware
and use CTDB instead.

%if %{with testsuite}
### CTDB-TEST
%package -n ctdb-tests
Summary: CTDB clustered database test suite
Group: Development/Other

Requires: ctdb = %{version}-%{release}
Requires: nmap

%description -n ctdb-tests
Test suite for CTDB.
CTDB is a cluster implementation of the TDB database used by Samba and other
projects to store temporary data. If an application is already using TDB for
temporary data it is very easy to convert that application to be cluster aware
and use CTDB instead.
#endif with selftest
%endif
# with_clustering_support
%endif

%if %{with_internal_ldb}
### LIBLDB
# our current separate ldb pkg contains an epoch 1
%define ldb_epoch 1

%package -n %{libldb}
Epoch:         %{ldb_epoch}
Group:         System/Libraries
Summary:       Library implementing Samba's embedded database

%description -n %{libldb}
Library implementing Samba's embedded database.

### LDB-TOOLS
%package -n ldb-utils
Epoch:         %{ldb_epoch}
Summary:       Tools for backing up, restoring, and manipulating Samba's embedded database
Group:         Databases

%description -n ldb-utils
Tools for backing up, restoring, and manipulating Samba's embedded database.

### LIBLDB-DEVEL
%package -n %{ldbdevel}
Epoch:         %{ldb_epoch}
Summary:       Devel stuff for %{name}
Group:         Development/C
Requires:      %{libldb} = %{epoch}:%{version}-%{release}
Provides:      ldb-devel = %{epoch}:%{version}-%{release}

%description -n %{ldbdevel}
Header files needed to develop programs that link against the LDB library.

### PYTHON3-LDB
%package -n python3-ldb
Epoch:         %{ldb_epoch}
Summary:       Python 3 bindings for the LDB library
Group:         Development/Python
Requires:      python3-tdb%{?_isa} >= %{tdb_version}
%{?python_provide:%python_provide python3-ldb}

%description -n python3-ldb
Python 3 bindings for the LDB library.
%endif

%prep
%autosetup -p1 -n samba-%{version}%{pre_release}

# TODO Make sure we do not build with heimdal code
#rm -rfv third_party/heimdal

%build
%serverbuild

%if ! %{with_internal_talloc}
%global _talloc_lib ,!talloc,!pytalloc,!pytalloc-util
%else
%global _talloc_lib ,talloc,pytalloc,pytalloc-util
%endif

%if ! %{with_internal_tevent}
%global _tevent_lib ,!tevent,!pytevent
%else
%global _tevent_lib ,tevent,pytevent
%endif

%if ! %{with_internal_tdb}
%global _tdb_lib ,!tdb,!pytdb
%else
%global _tdb_lib ,tdb,pytdb
%endif

%if ! %{with_internal_ldb}
%global _ldb_lib ,!ldb,!pyldb
%else
%global _ldb_lib ,ldb,pyldb,pyldb-util
%endif

%global _samba_bundled_libraries heimdal,!zlib,!popt%{_talloc_lib}%{_tevent_lib}%{_tdb_lib}

%global _samba4_idmap_modules idmap_ad,idmap_rid,idmap_ldap,idmap_hash,idmap_tdb2
%global _samba4_pdb_modules pdb_tdbsam,pdb_ldap,pdb_smbpasswd,pdb_wbc_sam,pdb_samba4

%if %{with testsuite}
%global _samba4_auth_modules auth_wbc,auth_unix,auth_server,auth_samba4,auth_skel
%global _samba4_vfs_modules vfs_dfs_samba4,vfs_fake_dfq
%else
%global _samba4_auth_modules auth_wbc,auth_unix,auth_server,auth_samba4
%global _samba4_vfs_modules vfs_dfs_samba4
%endif

%global _samba_modules %{_samba4_idmap_modules},%{_samba4_pdb_modules},%{_samba4_auth_modules},%{_samba4_vfs_modules}

%global _libsmbclient %nil
%global _libwbclient %nil

%if ! %{with_libsmbclient}
%global _libsmbclient smbclient,
%endif

%if ! %{with_libwbclient}
%global _libwbclient wbclient,
%endif

%global _default_private_libraries !ldb,!dcerpc-samr,!samba-policy,!tevent-util,!dcerpc,!samba-hostconfig,!samba-credentials,!dcerpc_server,!samdb,

%global _samba_private_libraries %{_default_private_libraries}%{_libsmbclient}%{_libwbclient}

# TODO: resolve underlinked python modules
export python_LDFLAGS="$(echo %{__global_ldflags} | sed -e 's/-Wl,-z,defs//g')"

%configure \
        --enable-fhs \
        --localstatedir=%{_localstatedir} \
        --with-piddir=/run \
        --with-sockets-dir=/run/samba \
        --with-modulesdir=%{_libdir}/samba \
        --with-pammodulesdir=%{_libdir}/security \
        --with-lockdir=/var/lib/samba/lock \
        --with-statedir=/var/lib/samba \
        --with-cachedir=/var/lib/samba \
        --disable-rpath-install \
        --with-shared-modules=%{_samba_modules} \
        --bundled-libraries=%{_samba_bundled_libraries} \
        --private-libraries=%{_samba_private_libraries} \
        --with-pam \
        --with-pie \
        --with-relro \
        --without-fam \
%if %{with_mitkrb5}
        --with-system-mitkrb5 \
%if %{with_dc}
        --with-experimental-mit-ad-dc \
%endif
%endif
%if ! %{with_dc}
        --without-ad-dc \
%endif
%if ! %{with_vfs_glusterfs}
        --disable-glusterfs \
%endif
%if %{with_clustering_support}
        --with-cluster-support \
%endif
%if %{with_profiling}
        --with-profiling-data \
%endif
%if %{with testsuite}
        --enable-selftest \
%endif
        --with-quotas \
        --with-systemd \
        --systemd-install-services

%make_build

%install
%make_install

install -d -m 0755 %{buildroot}/usr/{sbin,bin}
install -d -m 0755 %{buildroot}%{_libdir}/security
install -d -m 0755 %{buildroot}/var/lib/samba
install -d -m 0755 %{buildroot}/var/lib/samba/drivers
install -d -m 0755 %{buildroot}/var/lib/samba/lock
install -d -m 0755 %{buildroot}/var/lib/samba/private
install -d -m 0755 %{buildroot}/var/lib/samba/scripts
install -d -m 0755 %{buildroot}/var/lib/samba/sysvol
install -d -m 0755 %{buildroot}/var/lib/samba/usershares
install -d -m 0755 %{buildroot}/var/lib/samba/winbindd_privileged
install -d -m 0755 %{buildroot}/var/log/samba/old
install -d -m 0755 %{buildroot}/var/spool/samba
install -d -m 0755 %{buildroot}/run/samba
install -d -m 0755 %{buildroot}/run/winbindd
install -d -m 0755 %{buildroot}/%{_libdir}/samba
install -d -m 0755 %{buildroot}/%{_libdir}/samba/ldb
install -d -m 0755 %{buildroot}/%{_libdir}/pkgconfig

# Move smbspool_krb5_wrapper
#install -d -m 0755 %%{buildroot}%%{_libexecdir}/samba
#mv %%{buildroot}%%{_bindir}/smbspool_krb5_wrapper %%{buildroot}%%{_libexecdir}/samba

# Install other stuff
install -d -m 0755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/samba

install -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/samba/smb.conf

install -m 0644 %{SOURCE15} %{buildroot}%{_sysconfdir}/samba/usershares.conf

install -d -m 0755 %{buildroot}%{_sysconfdir}/security
install -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/security/pam_winbind.conf

install -d -m 0755 %{buildroot}%{_sysconfdir}/pam.d
install -m 0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/pam.d/samba

echo 127.0.0.1 localhost > %{buildroot}%{_sysconfdir}/samba/lmhosts

# openLDAP database schema
install -d -m 0755 %{buildroot}%{_sysconfdir}/openldap/schema
install -m644 examples/LDAP/samba.schema %{buildroot}%{_sysconfdir}/openldap/schema/samba.schema

install -m 0744 packaging/printing/smbprint %{buildroot}%{_bindir}/smbprint

install -d -m 0755 %{buildroot}%{_tmpfilesdir}/
echo "d /run/samba  755 root root" >> %{buildroot}%{_tmpfilesdir}/samba.conf
%if %{with_clustering_support}
echo "d /run/ctdb 755 root root" >> %{buildroot}%{_tmpfilesdir}/ctdb.conf
%endif

install -d -m 0755 %{buildroot}%{_sysusersdir}
install -m 0644 %{SOURCE16} %{buildroot}%{_sysusersdir}/samba.conf
install -m 0644 %{SOURCE17} %{buildroot}%{_sysusersdir}/samba-usershares.conf

%if %{with_clustering_support}
#install -m 0644 ctdb/config/ctdb.sysconfig %%{buildroot}%%{_sysconfdir}/sysconfig/ctdb
%endif

install -m 0644 %{SOURCE201} packaging/README.downgrade

%if ! %{with_dc}
install -m 0644 %{SOURCE200} packaging/README.dc
install -m 0644 %{SOURCE200} packaging/README.dc-libs
%endif

# Fix systemd daemon
sed -i "s:'systemd-daemon':'systemd':g" -i lib/util/wscript_configure

# NetworkManager online/offline script
#{__install} -d -m 0755 %%{buildroot}%%{_sysconfdir}/NetworkManager/dispatcher.d/
#{__install} -m 0755 packaging/NetworkManager/30-winbind-systemd \
#            %%{buildroot}%%{_sysconfdir}/NetworkManager/dispatcher.d/30-winbind

# winbind krb5 locator
install -d -m 0755 %{buildroot}%{_libdir}/krb5/plugins/libkrb5
touch %{buildroot}%{_libdir}/krb5/plugins/libkrb5/winbind_krb5_locator.so

mkdir -p %{buildroot}/var/lib/samba/msg

%if ! %{with_internal_talloc}
rm -f %{buildroot}%{_libdir}/samba/libpytalloc-util.cpython-*.so.*
rm -f %{buildroot}%{python3_sitearch}/talloc.cpython-*.so
%endif

%if %{with testsuite}
%check
TDB_NO_FSYNC=1 %make_build test
%endif

%pre
%_pre_useradd %{name} /dev/null /bin/false

%post
%_post_service smb
%_post_service nmb

%post dc
%_post_service samba

%preun
%_preun_service smb
%_preun_service nmb

%preun dc
%_preun_service samba

%postun
%_postun_userdel %{name}
%_postun_service smb
%_postun_service nmb

%postun dc
%_postun_service samba

%pre common
%_pre_groupadd printadmin

%post common
%_tmpfilescreate %{name}
if [ -d /var/cache/samba ]; then
    mv /var/cache/samba/netsamlogon_cache.tdb /var/lib/samba/ 2>/dev/null
    mv /var/cache/samba/winbindd_cache.tdb /var/lib/samba/ 2>/dev/null
    rm -rf /var/cache/samba/
    ln -sf /var/cache/samba /var/lib/samba/
fi

%postun common
%_postun_groupdel printadmin

### CLIENT
%post client
%{_sbindir}/update-alternatives --install %{_libexecdir}/samba/cups_backend_smb \
	cups_backend_smb \
	%{_bindir}/smbspool 10

%postun client
if [ $1 -eq 0 ] ; then
   %{_sbindir}/update-alternatives --remove cups_backend_smb %{_libexecdir}/samba/smbspool
fi

# Clean up alternatives from 3.x dropped with 4.x:
%triggerpostun client -- samba-client < 4.10.9
%{_sbindir}/update-alternatives --remove smbclient %{_bindir}/smbclient3 || :
# There seems to be no other way to do this:
rm -f /var/lib/alternatives/smbclient

### KRB5-PRINTING
%post krb5-printing
%{_sbindir}/update-alternatives --install %{_libexecdir}/samba/cups_backend_smb \
	cups_backend_smb \
	%{_libexecdir}/samba/smbspool_krb5_wrapper 50

%postun krb5-printing
if [ $1 -eq 0 ] ; then
   %{_sbindir}/update-alternatives --remove cups_backend_smb %{_libexecdir}/samba/smbspool_krb5_wrapper
fi

%pre usershares
%_pre_groupadd sambashares

%postun usershares
%_postun_groupdel sambashares

%pre winbind
%_pre_groupadd wbpriv

%postun winbind
%_postun_groupdel wbpriv


### SAMBA
%files
%doc COPYING README.md WHATSNEW.txt
%doc examples/autofs examples/LDAP examples/misc
%doc examples/printer-accounting examples/printing
%doc packaging/README.downgrade
%{_bindir}/smbstatus
%{_sbindir}/eventlogadm
%{_sbindir}/nmbd
%{_sbindir}/smbd
%dir %{_libdir}/samba/auth
%{_libdir}/samba/auth/unix.so

%dir %{_libdir}/samba/vfs
%{_libdir}/samba/vfs/acl_tdb.so
%{_libdir}/samba/vfs/acl_xattr.so
%{_libdir}/samba/vfs/aio_fork.so
%{_libdir}/samba/vfs/aio_pthread.so
%{_libdir}/samba/vfs/audit.so
%{_libdir}/samba/vfs/btrfs.so
%{_libdir}/samba/vfs/cap.so
%{_libdir}/samba/vfs/catia.so
%{_libdir}/samba/vfs/commit.so
%{_libdir}/samba/vfs/crossrename.so
%{_libdir}/samba/vfs/default_quota.so
%if %{with dc}
%{_libdir}/samba/vfs/dfs_samba4.so
%endif
%{_libdir}/samba/vfs/dirsort.so
%{_libdir}/samba/vfs/expand_msdfs.so
%{_libdir}/samba/vfs/extd_audit.so
%{_libdir}/samba/vfs/fake_perms.so
%{_libdir}/samba/vfs/fileid.so
%{_libdir}/samba/vfs/fruit.so
%{_libdir}/samba/vfs/full_audit.so
%{_libdir}/samba/vfs/glusterfs_fuse.so
%{_libdir}/samba/vfs/gpfs.so
%{_libdir}/samba/vfs/io_uring.so
%{_libdir}/samba/vfs/linux_xfs_sgid.so
%{_libdir}/samba/vfs/media_harmony.so
%{_libdir}/samba/vfs/offline.so
%{_libdir}/samba/vfs/preopen.so
%{_libdir}/samba/vfs/readahead.so
%{_libdir}/samba/vfs/readonly.so
%{_libdir}/samba/vfs/recycle.so
%{_libdir}/samba/vfs/shadow_copy.so
%{_libdir}/samba/vfs/shadow_copy2.so
%{_libdir}/samba/vfs/snapper.so
%{_libdir}/samba/vfs/streams_depot.so
%{_libdir}/samba/vfs/streams_xattr.so
%{_libdir}/samba/vfs/syncops.so
%{_libdir}/samba/vfs/time_audit.so
%{_libdir}/samba/vfs/virusfilter.so
%{_libdir}/samba/vfs/widelinks.so
%{_libdir}/samba/vfs/worm.so
%{_libdir}/samba/vfs/xattr_tdb.so

%{_libexecdir}/samba/samba-bgqd
%{_libexecdir}/samba/samba-dcerpcd
%{_libexecdir}/samba/rpcd_classic
%{_libexecdir}/samba/rpcd_epmapper
%{_libexecdir}/samba/rpcd_fsrvp
%{_libexecdir}/samba/rpcd_lsad
%{_libexecdir}/samba/rpcd_mdssvc
%{_libexecdir}/samba/rpcd_spoolss
%{_libexecdir}/samba/rpcd_winreg
%{_libexecdir}/samba/rpcd_witness

%dir %{_datadir}/samba
%dir %{_datadir}/samba/mdssvc
%{_datadir}/samba/mdssvc/elasticsearch_mappings.json

%{_unitdir}/nmb.service
%{_unitdir}/smb.service
%{_unitdir}/samba-bgqd.service
%attr(1777,root,root) %dir /var/spool/samba
%dir %{_sysconfdir}/openldap/schema
%{_sysconfdir}/openldap/schema/samba.schema
%{_sysconfdir}/pam.d/samba
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man8/eventlogadm.8*
%{_mandir}/man8/samba-bgqd.8*
%{_mandir}/man8/samba-dcerpcd.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/vfs_acl_tdb.8*
%{_mandir}/man8/vfs_acl_xattr.8*
%{_mandir}/man8/vfs_aio_fork.8*
%{_mandir}/man8/vfs_aio_pthread.8*
%{_mandir}/man8/vfs_audit.8*
%{_mandir}/man8/vfs_btrfs.8*
%{_mandir}/man8/vfs_cap.8*
%{_mandir}/man8/vfs_catia.8*
%{_mandir}/man8/vfs_commit.8*
%{_mandir}/man8/vfs_crossrename.8*
%{_mandir}/man8/vfs_default_quota.8*
%{_mandir}/man8/vfs_dirsort.8*
%{_mandir}/man8/vfs_extd_audit.8*
%{_mandir}/man8/vfs_fake_perms.8*
%{_mandir}/man8/vfs_fileid.8*
%{_mandir}/man8/vfs_fruit.8*
%{_mandir}/man8/vfs_full_audit.8*
%{_mandir}/man8/vfs_glusterfs_fuse.8*
%{_mandir}/man8/vfs_gpfs.8*
%{_mandir}/man8/vfs_io_uring.8*
%{_mandir}/man8/vfs_expand_msdfs.8.*
%{_mandir}/man8/vfs_linux_xfs_sgid.8*
%{_mandir}/man8/vfs_media_harmony.8*
%{_mandir}/man8/vfs_preopen.8*
%{_mandir}/man8/vfs_readahead.8*
%{_mandir}/man8/vfs_readonly.8*
%{_mandir}/man8/vfs_recycle.8*
%{_mandir}/man8/vfs_shadow_copy.8*
%{_mandir}/man8/vfs_shadow_copy2.8*
%{_mandir}/man8/vfs_snapper.8*
%{_mandir}/man8/vfs_streams_depot.8*
%{_mandir}/man8/vfs_streams_xattr.8*
%{_mandir}/man8/vfs_syncops.8*
%{_mandir}/man8/vfs_time_audit.8*
%{_mandir}/man8/vfs_virusfilter.8*
%{_mandir}/man8/vfs_widelinks.8*
%{_mandir}/man8/vfs_worm.8*
%{_mandir}/man8/vfs_xattr_tdb.8*

%attr(775,root,printadmin) %dir /var/lib/samba/drivers

### CLIENT
%files client
%{_bindir}/cifsdd
%{_bindir}/mdsearch
%{_bindir}/mvxattr
%{_bindir}/dbwrap_tool
%{_bindir}/dumpmscat
%{_bindir}/nmblookup
%{_bindir}/oLschema2ldif
%{_bindir}/regdiff
%{_bindir}/regpatch
%{_bindir}/regshell
%{_bindir}/regtree
%{_bindir}/rpcclient
%{_bindir}/samba-regedit
%{_bindir}/sharesec
%{_bindir}/smbcacls
%{_bindir}/smbclient
%{_bindir}/smbcquotas
%{_bindir}/smbget
%{_bindir}/smbprint
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/smbtree
%{_bindir}/wspsearch
%dir %{_libexecdir}/samba
%ghost %{_libexecdir}/samba/cups_backend_smb
%{_mandir}/man1/mdsearch.1*
%{_mandir}/man1/mvxattr.1*
%{_mandir}/man1/dbwrap_tool.1*
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/oLschema2ldif.1*
%{_mandir}/man1/regdiff.1*
%{_mandir}/man1/regpatch.1*
%{_mandir}/man1/regshell.1*
%{_mandir}/man1/regtree.1*
%{_mandir}/man1/log2pcap.1*
%{_mandir}/man1/rpcclient.1*
%{_mandir}/man1/sharesec.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/smbcquotas.1*
%{_mandir}/man1/smbget.1*
## we don't build it for now
%if %{with_internal_ntdb}
%{_mandir}/man3/ntdb.3*
%{_mandir}/man8/ntdbbackup.8*
%{_mandir}/man8/ntdbdump.8*
%{_mandir}/man8/ntdbrestore.8*
%{_mandir}/man8/ntdbtool.8*
%endif
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/smbtree.1*
%{_mandir}/man1/wspsearch.1*
%{_mandir}/man8/samba-regedit.8*
%{_mandir}/man8/smbspool.8*
%{_mandir}/man8/cifsdd.8*
%{_mandir}/man8/vfs_offline.8*

## we don't build it for now
%if %{with_internal_ntdb}
%{_bindir}/ntdbbackup
%{_bindir}/ntdbdump
%{_bindir}/ntdbrestore
%{_bindir}/ntdbtool
%endif

%if %{with_internal_tdb}
%{_bindir}/tdbbackup
%{_bindir}/tdbdump
%{_bindir}/tdbrestore
%{_bindir}/tdbtool
%{_mandir}/man8/tdbbackup.8*
%{_mandir}/man8/tdbdump.8*
%{_mandir}/man8/tdbrestore.8*
%{_mandir}/man8/tdbtool.8*
%endif

%if %{with_internal_ldb}
%dir %{_libdir}/samba/ldb
%{_libdir}/samba/ldb/asq.so
%{_libdir}/samba/ldb/ldap.so
%{_libdir}/samba/ldb/ldb.so
%if %{with lmdb}
%{_libdir}/samba/ldb/mdb.so
%endif
%{_libdir}/samba/ldb/dsdb_notification.so
%{_libdir}/samba/ldb/paged_searches.so
%{_libdir}/samba/ldb/rdn_name.so
%{_libdir}/samba/ldb/sample.so
%{_libdir}/samba/ldb/server_sort.so
%{_libdir}/samba/ldb/skel.so
%{_libdir}/samba/ldb/tdb.so
%endif

### COMMON
%files common
%{_tmpfilesdir}/samba.conf
%{_sysusersdir}/samba.conf
%dir %{_sysconfdir}/logrotate.d/
%config(noreplace) %{_sysconfdir}/logrotate.d/samba
%attr(0700,root,root) %dir /var/log/samba
%attr(0700,root,root) %dir /var/log/samba/old
%ghost %dir /run/samba
%ghost %dir /run/winbindd
%dir /var/lib/samba
%attr(700,root,root) %dir /var/lib/samba/private
%attr(755,root,root) %dir /var/lib/samba/msg
%dir /var/lib/samba/lock
%attr(755,root,root) %dir %{_sysconfdir}/samba
%config(noreplace) %{_sysconfdir}/samba/smb.conf
%config(noreplace) %{_sysconfdir}/samba/lmhosts
%config(noreplace) %{_sysconfdir}/sysconfig/samba
%{_bindir}/net
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/smbcontrol
%{_bindir}/smbpasswd
%{_bindir}/testparm
%{_mandir}/man1/profiles.1*
%{_mandir}/man1/smbcontrol.1*
%{_mandir}/man1/testparm.1*
%{_mandir}/man5/lmhosts.5*
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man7/samba.7*
%{_mandir}/man7/traffic*.7*
%{_mandir}/man8/net.8*
%{_mandir}/man8/pdbedit.8*
%{_mandir}/man8/smbpasswd.8*

%dir %{_libdir}/samba/pdb
%{_libdir}/samba/pdb/ldapsam.so
%{_libdir}/samba/pdb/smbpasswd.so
%{_libdir}/samba/pdb/tdbsam.so

### DC
%files dc

%if %{with_dc}
%{_unitdir}/samba.service
%{_bindir}/samba-tool
%{_sbindir}/samba
%{_sbindir}/samba_kcc
%{_sbindir}/samba_dnsupdate
%{_sbindir}/samba_downgrade_db
%{_sbindir}/samba_spnupdate
%{_sbindir}/samba_upgradedns
%{_sbindir}/samba-gpupdate
%{_libdir}/krb5/plugins/kdb/samba.so
%{_libdir}/samba/auth/samba4.so
%attr(770,root,named) %dir /var/lib/samba/bind-dns
%dir %{_libdir}/samba/bind9
%{_libdir}/samba/bind9/dlz_bind9_10.so
%{_libdir}/samba/bind9/dlz_bind9_11.so
%{_libdir}/samba/bind9/dlz_bind9_12.so
%{_libdir}/samba/bind9/dlz_bind9_14.so
%{_libdir}/samba/bind9/dlz_bind9_16.so
%{_libdir}/samba/bind9/dlz_bind9_18.so
%dir %{_libdir}/samba/gensec
%{_libdir}/samba/gensec/krb5.so
%{_libdir}/samba/ldb/acl.so
%{_libdir}/samba/ldb/aclread.so
%{_libdir}/samba/ldb/anr.so
%{_libdir}/samba/ldb/audit_log.so
%{_libdir}/samba/ldb/count_attrs.so
%{_libdir}/samba/ldb/descriptor.so
%{_libdir}/samba/ldb/dirsync.so
%{_libdir}/samba/ldb/dsdb_notification.so
%{_libdir}/samba/ldb/encrypted_secrets.so
%{_libdir}/samba/ldb/extended_dn_in.so
%{_libdir}/samba/ldb/extended_dn_out.so
%{_libdir}/samba/ldb/extended_dn_store.so
%{_libdir}/samba/ldb/group_audit_log.so
%{_libdir}/samba/ldb/ildap.so
%{_libdir}/samba/ldb/instancetype.so
%{_libdir}/samba/ldb/lazy_commit.so
%{_libdir}/samba/ldb/ldbsamba_extensions.so
%{_libdir}/samba/ldb/linked_attributes.so
%{_libdir}/samba/ldb/new_partition.so
%{_libdir}/samba/ldb/objectclass.so
%{_libdir}/samba/ldb/objectclass_attrs.so
%{_libdir}/samba/ldb/objectguid.so
%{_libdir}/samba/ldb/operational.so
%{_libdir}/samba/ldb/paged_results.so
%{_libdir}/samba/ldb/partition.so
%{_libdir}/samba/ldb/password_hash.so
%{_libdir}/samba/ldb/ranged_results.so
%{_libdir}/samba/ldb/repl_meta_data.so
%{_libdir}/samba/ldb/resolve_oids.so
%{_libdir}/samba/ldb/rootdse.so
%{_libdir}/samba/ldb/samba3sam.so
%{_libdir}/samba/ldb/samba3sid.so
%{_libdir}/samba/ldb/samba_dsdb.so
%{_libdir}/samba/ldb/samba_secrets.so
%{_libdir}/samba/ldb/samldb.so
%{_libdir}/samba/ldb/schema_data.so
%{_libdir}/samba/ldb/schema_load.so
%{_libdir}/samba/ldb/secrets_tdb_sync.so
%{_libdir}/samba/ldb/show_deleted.so
%{_libdir}/samba/ldb/subtree_delete.so
%{_libdir}/samba/ldb/subtree_rename.so
%{_libdir}/samba/ldb/unique_object_sids.so
%{_libdir}/samba/ldb/update_keytab.so
%{_libdir}/samba/ldb/vlv.so
%{_libdir}/samba/ldb/wins_ldb.so
%{_libdir}/samba/ldb/dns_notify.so
%{_libdir}/samba/ldb/tombstone_reanimate.so
%{_libdir}/samba/vfs/posix_eadb.so
%dir /var/lib/samba/sysvol
%{_datadir}/samba/setup
%{_datadir}/samba/admx
%{_mandir}/man8/samba.8*
%{_mandir}/man8/samba_downgrade_db.8*
%{_mandir}/man8/samba-tool.8*
%{_mandir}/man8/samba-gpupdate.8*
%else
# with_dc
%doc packaging/README.dc
%exclude %{_mandir}/man8/samba.8*
%exclude %{_mandir}/man8/samba_downgrade_db.8*
%exclude %{_mandir}/man8/samba-tool.8*
%exclude %{_libdir}/samba/ldb/ildap.so
%exclude %{_libdir}/samba/ldb/ldbsamba_extensions.so

%endif
# with_dc

### DC-LIBS
%files -n %{libsdc}

%if %{with_dc}
%{_libdir}/samba/libpac-private-samba.so
%{_libdir}/samba/libprocess-model-private-samba.so
%{_libdir}/samba/libservice-private-samba.so
%dir %{_libdir}/samba/process_model
%{_libdir}/samba/process_model/*.so
%dir %{_libdir}/samba/service
%{_libdir}/samba/service/cldap.so
%{_libdir}/samba/service/dcerpc.so
%{_libdir}/samba/service/dns.so
%{_libdir}/samba/service/dns_update.so
%{_libdir}/samba/service/drepl.so
%{_libdir}/samba/service/kcc.so
%{_libdir}/samba/service/kdc.so
%{_libdir}/samba/service/ldap.so
%{_libdir}/samba/service/nbtd.so
%{_libdir}/samba/service/ntp_signd.so
%{_libdir}/samba/service/s3fs.so
%{_libdir}/samba/service/winbindd.so
%{_libdir}/samba/service/wrepl.so
%{_libdir}/libdcerpc-server.so.%{dcmajor}
%{_libdir}/libdcerpc-server.so.%{dcmajor}.*
%{_libdir}/libdcerpc-server-core.so.%{dcmajor}
%{_libdir}/libdcerpc-server-core.so.%{dcmajor}.*
%{_libdir}/samba/libad-claims-private-samba.so
%{_libdir}/samba/libauthn-policy-util-private-samba.so
%{_libdir}/samba/libclidns-private-samba.so
%{_libdir}/samba/libdfs-server-ad-private-samba.so
%{_libdir}/samba/libdnsserver-common-private-samba.so
%{_libdir}/samba/libdsdb-module-private-samba.so
%{_libdir}/samba/libposix-eadb-private-samba.so
%else
%doc packaging/README.dc-libs
%exclude %{_libdir}/samba/libdfs-server-ad-private-samba.so
%exclude %{_libdir}/samba/libdnsserver-common-private-samba.so
%endif
# with_dc

### DEVEL
%files -n %{develname}
%dir %{_includedir}/samba-4.0
%{_includedir}/samba-4.0/charset.h
%dir %{_includedir}/samba-4.0/core
%{_includedir}/samba-4.0/core/doserr.h
%{_includedir}/samba-4.0/core/error.h
%{_includedir}/samba-4.0/core/hresult.h
%{_includedir}/samba-4.0/core/ntstatus.h
%{_includedir}/samba-4.0/core/ntstatus_gen.h
%{_includedir}/samba-4.0/core/werror.h
%{_includedir}/samba-4.0/core/werror_gen.h
%{_includedir}/samba-4.0/credentials.h
%{_includedir}/samba-4.0/dcerpc.h
%{_includedir}/samba-4.0/dcesrv_core.h
%{_includedir}/samba-4.0/domain_credentials.h
%dir %{_includedir}/samba-4.0/gen_ndr
%{_includedir}/samba-4.0/gen_ndr/atsvc.h
%{_includedir}/samba-4.0/gen_ndr/auth.h
%{_includedir}/samba-4.0/gen_ndr/claims.h
%{_includedir}/samba-4.0/gen_ndr/dcerpc.h
%{_includedir}/samba-4.0/gen_ndr/krb5pac.h
%{_includedir}/samba-4.0/gen_ndr/lsa.h
%{_includedir}/samba-4.0/gen_ndr/misc.h
%{_includedir}/samba-4.0/gen_ndr/nbt.h
%{_includedir}/samba-4.0/gen_ndr/drsblobs.h
%{_includedir}/samba-4.0/gen_ndr/drsuapi.h
%{_includedir}/samba-4.0/gen_ndr/ndr_drsblobs.h
%{_includedir}/samba-4.0/gen_ndr/ndr_drsuapi.h
%{_includedir}/samba-4.0/gen_ndr/ndr_atsvc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_dcerpc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_krb5pac.h
%{_includedir}/samba-4.0/gen_ndr/ndr_misc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_nbt.h
%{_includedir}/samba-4.0/gen_ndr/ndr_samr.h
%{_includedir}/samba-4.0/gen_ndr/ndr_samr_c.h
%{_includedir}/samba-4.0/gen_ndr/ndr_svcctl.h
%{_includedir}/samba-4.0/gen_ndr/ndr_svcctl_c.h
%{_includedir}/samba-4.0/gen_ndr/netlogon.h
%{_includedir}/samba-4.0/gen_ndr/samr.h
%{_includedir}/samba-4.0/gen_ndr/security.h
%{_includedir}/samba-4.0/gen_ndr/server_id.h
%{_includedir}/samba-4.0/gen_ndr/svcctl.h
%{_includedir}/samba-4.0/ldb_wrap.h
%{_includedir}/samba-4.0/lookup_sid.h
%{_includedir}/samba-4.0/machine_sid.h
%{_includedir}/samba-4.0/ndr.h
%dir %{_includedir}/samba-4.0/ndr
%{_includedir}/samba-4.0/ndr/ndr_dcerpc.h
%{_includedir}/samba-4.0/ndr/ndr_drsblobs.h
%{_includedir}/samba-4.0/ndr/ndr_krb5pac.h
%{_includedir}/samba-4.0/ndr/ndr_drsuapi.h
%{_includedir}/samba-4.0/ndr/ndr_svcctl.h
%{_includedir}/samba-4.0/ndr/ndr_nbt.h
%{_includedir}/samba-4.0/netapi.h
%{_includedir}/samba-4.0/param.h
%{_includedir}/samba-4.0/passdb.h
%{_includedir}/samba-4.0/policy.h
%{_includedir}/samba-4.0/rpc_common.h
%dir %{_includedir}/samba-4.0/samba/
%{_includedir}/samba-4.0/samba/session.h
%{_includedir}/samba-4.0/samba/version.h
%{_includedir}/samba-4.0/share.h
%{_includedir}/samba-4.0/smbconf.h
%{_includedir}/samba-4.0/smb2_lease_struct.h
%{_includedir}/samba-4.0/smb3posix.h
%{_includedir}/samba-4.0/smb_ldap.h
%{_includedir}/samba-4.0/smbldap.h
%{_includedir}/samba-4.0/tdr.h
%{_includedir}/samba-4.0/tsocket.h
%{_includedir}/samba-4.0/tsocket_internal.h
%dir %{_includedir}/samba-4.0/util
%{_includedir}/samba-4.0/util/attr.h
%{_includedir}/samba-4.0/util/blocking.h
%{_includedir}/samba-4.0/util/data_blob.h
%{_includedir}/samba-4.0/util/debug.h
%{_includedir}/samba-4.0/util/discard.h
%{_includedir}/samba-4.0/util/fault.h
%{_includedir}/samba-4.0/util/idtree.h
%{_includedir}/samba-4.0/util/idtree_random.h
%{_includedir}/samba-4.0/util/signal.h
%{_includedir}/samba-4.0/util/substitute.h
%{_includedir}/samba-4.0/util/tevent_ntstatus.h
%{_includedir}/samba-4.0/util/tevent_unix.h
%{_includedir}/samba-4.0/util/tevent_werror.h
%{_includedir}/samba-4.0/util/tfork.h
%{_includedir}/samba-4.0/util/time.h
%{_includedir}/samba-4.0/util_ldb.h
%{_includedir}/samba-4.0/util/genrand.h
%{_libdir}/libdcerpc-binding.so
%{_libdir}/libdcerpc-samr.so
%{_libdir}/libdcerpc.so
%{_libdir}/libndr-krb5pac.so
%{_libdir}/libndr-nbt.so
%{_libdir}/libndr-standard.so
%{_libdir}/libndr.so
%{_libdir}/libnetapi.so
%{_libdir}/libsamba-credentials.so
%{_libdir}/libsamba-hostconfig.so
%{_libdir}/libsamba-util.so
%{_libdir}/libsamdb.so
%{_libdir}/libsmbconf.so
%{_libdir}/libtevent-util.so
%{_libdir}/pkgconfig/dcerpc.pc
%{_libdir}/pkgconfig/dcerpc_samr.pc
%{_libdir}/pkgconfig/ndr.pc
%{_libdir}/pkgconfig/ndr_krb5pac.pc
%{_libdir}/pkgconfig/ndr_nbt.pc
%{_libdir}/pkgconfig/ndr_standard.pc
%{_libdir}/pkgconfig/netapi.pc
%{_libdir}/pkgconfig/samba-credentials.pc
%{_libdir}/pkgconfig/samba-hostconfig.pc
%{_libdir}/pkgconfig/samba-util.pc
%{_libdir}/pkgconfig/samdb.pc
%{_libdir}/libsamba-passdb.so
%{_libdir}/libsmbldap.so
%{_libdir}/libsamba-errors.so

%if %{with_dc}
%{_includedir}/samba-4.0/dcerpc_server.h
%{_libdir}/libdcerpc-server.so
%{_libdir}/libdcerpc-server-core.so
%{_libdir}/pkgconfig/dcerpc_server.pc

%{_libdir}/libsamba-policy.so
%{_libdir}/pkgconfig/samba-policy.pc
%endif

%if %{with_internal_talloc}
%{_includedir}/samba-4.0/pytalloc.h
%endif

%if ! %{with_libsmbclient}
%{_includedir}/samba-4.0/libsmbclient.h
%endif
# ! with_libsmbclient

%if ! %{with_libwbclient}
%{_includedir}/samba-4.0/wbclient.h
%endif
# ! with_libwbclient

### VFS-CEPHFS
%if %{with_vfs_cephfs}
%files vfs-cephfs
%{_libdir}/samba/vfs/ceph.so
%{_mandir}/man8/vfs_ceph.8*
%endif

### VFS-GLUSTERFS
%if %{with_vfs_glusterfs}
%files vfs-glusterfs
%{_libdir}/samba/vfs/glusterfs.so
%{_mandir}/man8/vfs_glusterfs.8*
%endif

### KRB5-PRINTING
%files krb5-printing
%attr(0700,root,root) %{_libexecdir}/samba/smbspool_krb5_wrapper
%{_mandir}/man8/smbspool_krb5_wrapper.8*

### LIBS
%files -n %{libname}
%{_libdir}/libdcerpc-samr.so.*
%{_libdir}/libsamba-policy.so.*
# libraries needed by the public libraries
%{_libdir}/samba/libMESSAGING-private-samba.so
%{_libdir}/samba/libMESSAGING-SEND-private-samba.so
%{_libdir}/samba/libLIBWBCLIENT-OLD-private-samba.so
%{_libdir}/samba/libauth4-private-samba.so
%{_libdir}/samba/libauth-unix-token-private-samba.so
%{_libdir}/samba/libcommon-auth-private-samba.so
%{_libdir}/samba/libdcerpc-samba4-private-samba.so
%{_libdir}/samba/libprinter-driver-private-samba.so
%{_libdir}/samba/libsamba-net*-private-samba.so
%{_libdir}/samba/libsamba-python.*-private-samba.so
%{_libdir}/samba/libshares-private-samba.so
%{_libdir}/samba/libsmbpasswdparser-private-samba.so
%{_libdir}/samba/libxattr-tdb-private-samba.so
%{_libdir}/samba/libstable-sort-private-samba.so

%if %{with_dc}
%{_libdir}/samba/libdb-glue-private-samba.so
%endif
%{_libdir}/libdcerpc-binding.so.*
%{_libdir}/libndr.so.*
%{_libdir}/libndr-krb5pac.so.*
%{_libdir}/libndr-nbt.so.*
%{_libdir}/libndr-standard.so.*
%{_libdir}/libnetapi.so.*
%{_libdir}/libsamba-credentials.so.*
%{_libdir}/libsamba-passdb.so.*
%{_libdir}/libsamba-util.so.*
%{_libdir}/libsamba-hostconfig.so.*
%{_libdir}/libsamdb.so.*
%{_libdir}/libsmbconf.so.*
%{_libdir}/libsmbldap.so.*
%{_libdir}/libtevent-util.so.*
%{_libdir}/libdcerpc.so.*
%{_libdir}/libsamba-errors.so.*

%dir %{_libdir}/samba
%{_libdir}/samba/libCHARSET3-private-samba.so
%{_libdir}/samba/libREG-FULL-private-samba.so
%{_libdir}/samba/libRPC-SERVER-LOOP-private-samba.so
%{_libdir}/samba/libRPC-WORKER-private-samba.so
%{_libdir}/samba/libaddns-private-samba.so
%{_libdir}/samba/libads-private-samba.so
%{_libdir}/samba/libasn1util-private-samba.so
%{_libdir}/samba/libauth-private-samba.so
%{_libdir}/samba/libauthkrb5-private-samba.so
%{_libdir}/samba/libcli-cldap-private-samba.so
%{_libdir}/samba/libcli-ldap-common-private-samba.so
%{_libdir}/samba/libcli-ldap-private-samba.so
%{_libdir}/samba/libcli-nbt-private-samba.so
%{_libdir}/samba/libcli-smb-common-private-samba.so
%{_libdir}/samba/libcli-spoolss-private-samba.so
%{_libdir}/samba/libcliauth-private-samba.so
%{_libdir}/samba/libcluster-private-samba.so
%{_libdir}/samba/libcmdline-private-samba.so
%{_libdir}/samba/libcmdline-contexts-private-samba.so
%{_libdir}/samba/libdbwrap-private-samba.so
%{_libdir}/samba/libdcerpc-pkt-auth-private-samba.so
%{_libdir}/samba/libdcerpc-samba-private-samba.so
%{_libdir}/samba/libscavenge-dns-records-private-samba.so
%{_libdir}/samba/libdsdb-garbage-collect-tombstones-private-samba.so
%{_libdir}/samba/libevents-private-samba.so
%{_libdir}/samba/libflag-mapping-private-samba.so
%{_libdir}/samba/libgpext-private-samba.so
%{_libdir}/samba/libgpo-private-samba.so
%{_libdir}/samba/libgse-private-samba.so
%{_libdir}/samba/libhttp-private-samba.so
%{_libdir}/samba/libinterfaces-private-samba.so
%{_libdir}/samba/libkrb5samba-private-samba.so
%{_libdir}/samba/libldbsamba-private-samba.so
%{_libdir}/samba/liblibcli-lsa3-private-samba.so
%{_libdir}/samba/liblibcli-netlogon3-private-samba.so
%{_libdir}/samba/liblibsmb-private-samba.so
%{_libdir}/samba/libmsrpc3-private-samba.so
%{_libdir}/samba/libndr-samba-private-samba.so
%{_libdir}/samba/libndr-samba4-private-samba.so
%{_libdir}/samba/libnet-keytab-private-samba.so
%{_libdir}/samba/libnetif-private-samba.so
%{_libdir}/samba/libnpa-tstream-private-samba.so
%{_libdir}/samba/libprinting-migrate-private-samba.so
%{_libdir}/samba/libreplace-private-samba.so
%{_libdir}/samba/libsamba-cluster-support-private-samba.so
%{_libdir}/samba/libsamba-debug-private-samba.so
%{_libdir}/samba/libsamba-modules-private-samba.so
%{_libdir}/samba/libsamba-security-private-samba.so
%{_libdir}/samba/libsamba-sockets-private-samba.so
%{_libdir}/samba/libsamba3-util-private-samba.so
%{_libdir}/samba/libsamdb-common-private-samba.so
%{_libdir}/samba/libsecrets3-private-samba.so
%{_libdir}/samba/libserver-role-private-samba.so
%{_libdir}/samba/libsmb-transport-private-samba.so
%{_libdir}/samba/libsmbd-base-private-samba.so
%{_libdir}/samba/libsmbd-shim-private-samba.so
%{_libdir}/samba/libsmbldaphelper-private-samba.so
%{_libdir}/samba/libsocket-blocking-private-samba.so
%{_libdir}/samba/libtdb-wrap-private-samba.so
%{_libdir}/samba/libutil-crypt-private-samba.so
%{_libdir}/samba/libutil-reg-private-samba.so
%{_libdir}/samba/libutil-setid-private-samba.so
%{_libdir}/samba/libutil-tdb-private-samba.so
%{_libdir}/samba/libgenrand-private-samba.so
%{_libdir}/samba/libiov-buf-private-samba.so
%{_libdir}/samba/libmessages-dgm-private-samba.so
%{_libdir}/samba/libmessages-util-private-samba.so
%{_libdir}/samba/libmscat-private-samba.so
%{_libdir}/samba/libmsghdr-private-samba.so
%{_libdir}/samba/libserver-id-db-private-samba.so
%{_libdir}/samba/libsys-rw-private-samba.so
%{_libdir}/samba/libtalloc-report-private-samba.so
%{_libdir}/samba/libtalloc-report-printf-private-samba.so
%{_libdir}/samba/libtime-basic-private-samba.so
%{_libdir}/samba/vfs/shell_snap.so
%{_libdir}/samba/vfs/unityed_media.so

%{_libdir}/samba/libgensec-private-samba.so
%{_libdir}/samba/libregistry-private-samba.so
%{_libdir}/samba/libsmbclient-raw-private-samba.so
%{_libdir}/samba/libtorture-private-samba.so

%{_mandir}/man8/vfs_shell_snap.8.*
%{_mandir}/man8/vfs_unityed_media.8.*

%if ! %{with_libwbclient}
%{_libdir}/samba/libwbclient.so.*
%endif
# ! with_libwbclient

%if ! %{with_libsmbclient}
%{_libdir}/samba/libsmbclient.so.*
%{_mandir}/man7/libsmbclient.7*
%endif
# ! with_libsmbclient

%if %{with_internal_ntdb}
%{_libdir}/samba/libntdb.so.1
%{_libdir}/samba/libntdb.so.%{ntdb_version}
%endif

%if %{with_internal_talloc}
%{_libdir}/samba/libtalloc.so.2
%{_libdir}/samba/libtalloc.so.%{talloc_version}
%{_libdir}/samba/libpytalloc-util.so.2
%{_libdir}/samba/libpytalloc-util.so.%{talloc_version}
%{_mandir}/man3/talloc.3*
%endif

%if %{with_internal_tevent}
%{_libdir}/samba/libtevent.so.0
%{_libdir}/samba/libtevent.so.%{tevent_version}
%endif

%if %{with_internal_tdb}
%{_libdir}/samba/libtdb.so.1
%{_libdir}/samba/libtdb.so.%{tdb_version}
%endif

%if %{with_internal_ldb}
%{_libdir}/samba/libldb-key-value-private-samba.so
%if %{with lmdb}
%{_libdir}/samba/libldb-mdb-int-private-samba.so
%endif
%{_libdir}/samba/libldb-tdb-err-map-private-samba.so
%{_libdir}/samba/libldb-tdb-int-private-samba.so
%{_libdir}/samba/libpyldb-util.cpython-*-private-samba.so
%endif

### LIBSMBCLIENT
%if %{with_libsmbclient}
%files -n %{libsmbclient}
%{_libdir}/libsmbclient.so.%{smbclientmajor}{,.*}


### LIBSMBCLIENT-DEVEL
%files -n %{smbclientdevel}
%{_includedir}/samba-4.0/libsmbclient.h
%{_libdir}/libsmbclient.so
%{_libdir}/pkgconfig/smbclient.pc
%{_mandir}/man7/libsmbclient.7*
%endif
# with_libsmbclient

### LIBWBCLIENT
%if %{with_libwbclient}
%files -n %{libwbclient}
%{_libdir}/libwbclient.so.%{wbclientmajor}{,.*}

### LIBWBCLIENT-DEVEL
%files -n %{wbclientdevel}
%dir %{_includedir}/samba-4.0
%{_includedir}/samba-4.0/wbclient.h
%{_libdir}/libwbclient.so
%{_libdir}/pkgconfig/wbclient.pc
%endif
# with_libwbclient

### PIDL
%if %{with pidl}
%files pidl
%attr(755,root,root) %{_bindir}/pidl
%dir %{perl_vendorlib}/Parse
%{perl_vendorlib}/Parse/Pidl.pm
%dir %{perl_vendorlib}/Parse/Pidl
%{perl_vendorlib}/Parse/Pidl/CUtil.pm
%{perl_vendorlib}/Parse/Pidl/Samba4.pm
%{perl_vendorlib}/Parse/Pidl/Expr.pm
%{perl_vendorlib}/Parse/Pidl/ODL.pm
%{perl_vendorlib}/Parse/Pidl/Typelist.pm
%{perl_vendorlib}/Parse/Pidl/IDL.pm
%{perl_vendorlib}/Parse/Pidl/Compat.pm
%dir %{perl_vendorlib}/Parse/Pidl/Wireshark
%{perl_vendorlib}/Parse/Pidl/Wireshark/Conformance.pm
%{perl_vendorlib}/Parse/Pidl/Wireshark/NDR.pm
%{perl_vendorlib}/Parse/Pidl/Dump.pm
%dir %{perl_vendorlib}/Parse/Pidl/Samba3
%{perl_vendorlib}/Parse/Pidl/Samba3/ServerNDR.pm
%{perl_vendorlib}/Parse/Pidl/Samba3/ClientNDR.pm
%dir %{perl_vendorlib}/Parse/Pidl/Samba4
%{perl_vendorlib}/Parse/Pidl/Samba4/Header.pm
%dir %{perl_vendorlib}/Parse/Pidl/Samba4/COM
%{perl_vendorlib}/Parse/Pidl/Samba4/COM/Header.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/COM/Proxy.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/COM/Stub.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/Python.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/Template.pm
%dir %{perl_vendorlib}/Parse/Pidl/Samba4/NDR
%{perl_vendorlib}/Parse/Pidl/Samba4/NDR/Server.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/NDR/Client.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/NDR/Parser.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/TDR.pm
%{perl_vendorlib}/Parse/Pidl/NDR.pm
%{perl_vendorlib}/Parse/Pidl/Util.pm
%{_mandir}/man1/pidl*
%{_mandir}/man3/Parse::Pidl*
%endif

### PYTHON
%files -n python3-samba
%{python3_sitearch}/*
# ldb part
%exclude %{python3_sitearch}/ldb.cpython-*.so
%exclude %{python3_sitearch}/_ldb_text.py
%exclude %{python3_sitearch}/__pycache__/_ldb_text.cpython-*.py*

### TEST
%files test
%{_bindir}/gentest
%{_bindir}/locktest
%{_bindir}/masktest
%{_bindir}/ndrdump
%{_bindir}/smbtorture
%{_mandir}/man1/gentest.1*
%{_mandir}/man1/locktest.1*
%{_mandir}/man1/masktest.1*
%{_mandir}/man1/ndrdump.1*
%{_mandir}/man1/smbtorture.1*

%if %{with testsuite}
# files to ignore in testsuite mode
%{_libdir}/samba/libnss-wrapper.so
%{_libdir}/samba/libsocket-wrapper.so
%{_libdir}/samba/libuid-wrapper.so
%endif

### TEST-LIBS
%files -n %{libtest}
%if %{with_dc}
%{_libdir}/samba/libdlz-bind9-for-torture-private-samba.so
%else
%{_libdir}/samba/libdsdb-module-private-samba.so
%endif

### USERSHARES
%files usershares
%config(noreplace) %{_sysconfdir}/samba/usershares.conf
%attr(1770,root,sambashares) %dir /var/lib/samba/usershares
%{_sysusersdir}/samba-usershares.conf

### WINBIND
%files winbind
%{_libdir}/samba/idmap
%{_libdir}/samba/nss_info
%{_libdir}/samba/libnss-info-private-samba.so
%{_libdir}/samba/libidmap-private-samba.so
%{_sbindir}/winbindd
%attr(750,root,wbpriv) %dir /var/lib/samba/winbindd_privileged
%{_unitdir}/winbind.service
%{_bindir}/samba-log-parser
%{_mandir}/man1/samba-log-parser.1*
%{_mandir}/man8/winbindd.8*
%{_mandir}/man8/idmap_*.8*

### WINBIND-CLIENTS
%files winbind-clients

%{_bindir}/ntlm_auth
%{_bindir}/wbinfo
%{_libdir}/samba/krb5/winbind_krb5_localauth.so
%{_mandir}/man1/ntlm_auth.1.*
%{_mandir}/man1/wbinfo.1*
%{_mandir}/man8/winbind_krb5_localauth.8*

### WINBIND-KRB5-LOCATOR
%files winbind-krb5-locator
%ghost %{_libdir}/krb5/plugins/libkrb5/winbind_krb5_locator.so
%dir %{_libdir}/samba/krb5
%{_libdir}/samba/krb5/winbind_krb5_locator.so
%{_libdir}/samba/krb5/async_dns_krb5_locator.so
%{_mandir}/man8/winbind_krb5_locator.8*

### WINBIND-MODULES
%files winbind-modules
%{_libdir}/libnss_winbind.so.%{nssmajor}
%{_libdir}/libnss_wins.so.%{nssmajor}
%{_libdir}/security/pam_winbind.so
%config(noreplace) %{_sysconfdir}/security/pam_winbind.conf
%{_mandir}/man5/pam_winbind.conf.5*
%{_mandir}/man8/pam_winbind.8*

%if %{with_clustering_support}
%files -n ctdb
%config(noreplace) %{_sysconfdir}/ctdb/*.sh
%config(noreplace) %{_sysconfdir}/ctdb/functions
%dir %{_localstatedir}/lib/ctdb/
%{_tmpfilesdir}/%{name}.conf

%{_unitdir}/ctdb.service

%dir %{_sysconfdir}/ctdb
%{_sysconfdir}/ctdb/statd-callout
%{_sysconfdir}/ctdb/events/notification/README
%dir %{_sysconfdir}/ctdb/nfs-checks.d
%{_sysconfdir}/ctdb/nfs-checks.d/00.portmapper.check
%{_sysconfdir}/ctdb/nfs-checks.d/10.status.check
%{_sysconfdir}/ctdb/nfs-checks.d/20.nfs.check
%{_sysconfdir}/ctdb/nfs-checks.d/30.nlockmgr.check
%{_sysconfdir}/ctdb/nfs-checks.d/40.mountd.check
%{_sysconfdir}/ctdb/nfs-checks.d/50.rquotad.check
%{_sysconfdir}/ctdb/nfs-checks.d/README
%{_sysconfdir}/ctdb/nfs-linux-kernel-callout

%ghost %dir /run/ctdb

%{_tmpfilesdir}/ctdb.conf
%{_sbindir}/ctdbd
%{_bindir}/ctdb
%{_bindir}/ping_pong
%{_bindir}/ltdbtool
%{_bindir}/ctdb_diagnostics
%{_bindir}/onnode

%{_libexecdir}/ctdb/ctdb_*
%{_libexecdir}/ctdb/ctdb-*
%{_libexecdir}/ctdb/statd_callout
%{_libexecdir}/ctdb/statd_callout_helper
%{_libexecdir}/ctdb/tdb_mutex_check

%{_libdir}/samba/libctdb-event-client-private-samba.so

%dir %{_datadir}/ctdb/events
%{_datadir}/ctdb/events/*
%dir %{_datadir}/ctdb/scripts
%{_datadir}/ctdb/scripts/winbind_ctdb_updatekeytab.sh

%{_mandir}/man1/ctdb*.1*
%{_mandir}/man1/onnode.1*
%{_mandir}/man1/ltdbtool.1*
%{_mandir}/man1/ping_pong.1*
%{_mandir}/man5/ctdb*.5*
%{_mandir}/man7/ctdb*.7*

%if %{with testsuite}
%files -n ctdb-tests
%doc ctdb/tests/README
%{_bindir}/ctdb_local_daemons
%{_bindir}/ctdb_run_tests
%{_bindir}/ctdb_run_cluster_tests
%%dir %{_datadir}/ctdb/tests
%{_datadir}/ctdb/tests/*
%%dir %{_libexecdir}/ctdb/tests
%{_libexecdir}/ctdb/tests/*
%endif

%endif
# with_clustering_support

### LIBLDB
%if %{with_internal_ldb}
%files -n %{libldb}
%license lib/ldb/LICENSE
%{_libdir}/libldb.so.%{ldbmajor}{,.*}

%files -n %{ldbdevel}
%dir %{_includedir}/samba-4.0
%{_includedir}/samba-4.0/ldb_module.h
%{_includedir}/samba-4.0/ldb_handlers.h
%{_includedir}/samba-4.0/ldb_errors.h
%{_includedir}/samba-4.0/ldb_version.h
%{_includedir}/samba-4.0/ldb.h
%{_libdir}/libldb.so
%{_libdir}/pkgconfig/ldb.pc
%{_mandir}/man3/ldb*.3*

%files -n ldb-utils
%{_bindir}/ldbadd
%{_bindir}/ldbdel
%{_bindir}/ldbedit
%{_bindir}/ldbmodify
%{_bindir}/ldbrename
%{_bindir}/ldbsearch
%{_libdir}/samba/libldb-cmdline-private-samba.so
%{_mandir}/man1/ldbadd.1.*
%{_mandir}/man1/ldbdel.1.*
%{_mandir}/man1/ldbedit.1.*
%{_mandir}/man1/ldbmodify.1.*
%{_mandir}/man1/ldbrename.1.*
%{_mandir}/man1/ldbsearch.1.*

%files -n python3-ldb
%{python3_sitearch}/ldb.cpython-*.so
%{python3_sitearch}/_ldb_text.py
%{python3_sitearch}/__pycache__/_ldb_text.cpython-*.py*
%endif
