Name:       samplv1
Version:    1.3.1
Release:    %mkrel 1
Summary:    An old-school polyphonic sampler
License:    GPLv2+
Group:      Sound/Midi
URL:        https://samplv1.sourceforge.io/
Source0:    https://download.sourceforge.net/samplv1/%{name}-%{version}.tar.gz
Patch0:     samplv1-0.9.27-fix-libdir-path.patch

BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  libasan-devel

%description
%{name} is an old-school polyphonic sampler synthesizer
with stereo effects. This package provides the standalone application.

%files -f %{name}.lang
%doc ChangeLog README
%license LICENSE
%{_bindir}/%{name}_jack
%{_datadir}/%{name}/
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_metainfodir}/org.rncbc.%{name}.metainfo.xml
%{_datadir}/mime/packages/org.rncbc.%{name}.xml
%{_iconsdir}/hicolor/32x32/apps/org.rncbc.%{name}.png
%{_iconsdir}/hicolor/32x32/mimetypes/*.png
%{_iconsdir}/hicolor/scalable/apps/org.rncbc.%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/org.rncbc.%{name}.application-x-%{name}-*.svg
%{_mandir}/man1/%{name}*.1*

#--------------------------------------------------------------------

%define lv2name lv2-%{name}

%package -n %{lv2name}
Summary:        synthv1 sampler synthesizer LV2 plugin
Group:          Sound/Midi
Requires:       %{name} = %{version}

%description -n %{lv2name}
%{name} is an old-school polyphonic sampler synthesizer
with stereo effects. This package provides the LV2 plugin.

%files -n %{lv2name}
%{_libdir}/lv2/%{name}.lv2/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6 -DCMAKE_BUILD_TYPE=Debug

%cmake_build

%install
%cmake_install

desktop-file-install \
    --remove-key="X-SuSE-translate" \
    --remove-key="Version" \
    --set-key=Exec --set-value="%{name}_jack" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%find_lang %{name} --with-man
