%define major	1
%define libname	%mklibname %{name} %{major}

Name:		sane-airscan
Version:	0.99.33
Release:	%mkrel 1
Summary:	Tools for the SANE backend for AirScan (eSCL) and WSD document scanners
License:	GPLv2+ with SANE exceptions
Group:		Graphics/Scanning
URL:		https://github.com/alexpevzner/sane-airscan
Source:		%{URL}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	meson
BuildRequires:	pkgconfig(avahi-core)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sane-backends)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)

Requires:	%{libname} = %{version}-%{release}

%description
This package contains a tool for discovering MultiFunctionPrinters (MFP) 
or document scanners that implements either eSCL (AirScan/AirPrint scanning) 
or WSD "driverless" scanning protocol.

%files
%doc README.md
%license LICENSE COPYING
%{_bindir}/airscan-discover
%{_mandir}/man1/airscan-discover.1.*

%package -n %{libname}
Summary:	SANE backend for AirScan (eSCL) and WSD document scanners
License:	GPLv2+ with SANE exceptions
Requires:	sane-backends

%description -n %{libname}
This package contains a SANE backend for MFP and document scanners that
implements either eSCL (AirScan/AirPrint scanning) or WSD "driverless"
scanning protocol.

%files -n %{libname}
%doc README.md
%license LICENSE COPYING
%dir %{_libdir}/sane
%{_libdir}/sane/libsane-airscan.so.1
%dir %{_sysconfdir}/sane.d
%config(noreplace) %{_sysconfdir}/sane.d/airscan.conf
%dir %{_sysconfdir}/sane.d/dll.d
%config %{_sysconfdir}/sane.d/dll.d/airscan
%{_mandir}/man5/sane-airscan.5.*

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

rm -f %{buildroot}%{_libdir}/sane/libsane-airscan.so

%check
%meson_test
