%define beta    %{nil}
%define commit  5c148771d25f1a32e0f7f9c3b339aad4189d31ea
#-beta1
%bcond_with gimpplugin
%define abi_version 3.0

Name:           sane-frontends
Version:        1.0.14
Release:        %mkrel 30.git20241023.1
Summary: 	Graphical frontend to SANE
License: 	GPLv2+
Group:		Graphics/Scanning
URL:       	http://www.sane-project.org/
#Source:    	ftp://ftp.sane-project.org/pub/sane/sane-frontends-%%{version}/%%{name}-%%{version}%%{beta}.tar.bz2
Source0:	https://gitlab.com/sane-project/frontends/-/archive/%{commit}/%{name}-%{commit}.tar.bz2
Source1:	sane-frontends16.png
Source2:	sane-frontends32.png
Source3:	sane-frontends48.png
Patch0:		sane-frontends-1.0.14-segfault.patch
# https://gitlab.com/sane-project/frontends/-/issues/45
Patch1:		sane-frontends-fix-disable-gimp.patch
%if %{with gimpplugin}
BuildRequires:	pkgconfig(gimp-3.0)
%endif
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(sane-backends) >= %{version}
BuildRequires:	pkgconfig(libusb)
Requires: 	sane >= %{version}

%description
This is the xscanimage program, used to scan images using SANE,
%if %{with gimpplugin}
either standalone or as a gimp plugin. Also includes xcam and scanadf.
%else
and also includes xcam and scanadf.
%endif

%prep
%autosetup -p1 -n frontends-%{commit}

%build
autoreconf -vfi
%configure %{!?with_gimpplugin:--disable-gimp}
%make_build

%install
%make_install

%if %{with gimpplugin}
mkdir -p %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins
ln -s %{_bindir}/xscanimage %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins
%endif

# menu icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 0644 %SOURCE1 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/sane-frontends.png
install -m 0644 %SOURCE2 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/sane-frontends.png
install -m 0644 %SOURCE3 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/sane-frontends.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-xscanimage.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XScanImage
Comment=A simple frontend for the SANE scanning system
Exec=%{_bindir}/xscanimage
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Graphics;Scanning;
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-xcam.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XCam
Comment=A SANE-based frontend for webcams
Exec=%{_bindir}/xcam
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;AudioVideo;Video;
EOF

%files
%doc NEWS README AUTHORS
%{_bindir}/*
%{_datadir}/sane/sane-style.rc
%if %{with gimpplugin}
# own gimp directories - in case gimp is not installed (Anssi 08/2012)
%dir %{_libdir}/gimp
%dir %{_libdir}/gimp/%{abi_version}
%dir %{_libdir}/gimp/%{abi_version}/plug-ins
%{_libdir}/gimp/%{abi_version}/plug-ins/xscanimage
%endif
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
