Name:		sar2
Version:	2.6.0
Release:	%mkrel 1
Summary:	An open source helicopter simulator
Group:		Games/Simulation
# Code is GPLv2+
# Content is either GPLv2+ or Public Domain
License:	GPLv2+
URL:		https://searchandrescue2.github.io/sar2/
Source0:	https://github.com/SearchAndRescue2/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		sar2-games-path.patch
BuildRequires:	desktop-file-utils
BuildRequires:	scons
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(freealut)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xpm)

%description
Search and Rescue II is a rescue helicopter simulator for Linux. It features
several missions in which the player pilots a helicopter in order to rescue
people in distress. There are several scenarios and helicopter models.

Search and Rescue II has a strong focus on realistic physics and low graphics
requirements. It is a fork of the game "Search and Rescue"
(http://searchandrescue.sf.net), originally developed by Wolfpack
Entertainment.

%prep
%autosetup -p1

%build
%scons \
	--optflags="%{optflags}" \
	--ldflags="%{ldflags}"

%install
%scons_install --optflags="%{optflags}" --ldflags="%{ldflags}" --prefix=%{buildroot}%{_prefix}

install -D -pm0644 extra/sar2.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png
install -D -pm0644 extra/sar2.appdata.xml %{buildroot}%{_metainfodir}/%{name}.appdata.xml
desktop-file-install --dir=%{buildroot}%{_datadir}/applications extra/%{name}.desktop

%files
%doc AUTHORS CHANGELOG.md HACKING README.md
%license LICENSE
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/sar2.xpm
%{_metainfodir}/%{name}.appdata.xml
%{_mandir}/man6/%{name}.6.*
