Summary:	A statically linked shell, including some built-in basic commands
Name:		sash
Version:	3.8
Release:	%mkrel 12
License:	LGPLv2+
Group:		Shells
Url:		https://members.canb.auug.org.au/~dbell/
Source0:	https://members.tip.net.au/~dbell/programs/%{name}-%{version}.tar.gz
Patch5:		sash-3.8-scriptarg.patch
Patch6:		sash-pwdfunc.patch
Patch7:		sash-3.7-segfault.patch
Patch8:		sash-3.8-special-script-call-esp-for-glibc-post.patch
Patch9:		sash-3.8-mga-nostrip.patch
Conflicts:	glibc < 6:2.3.3-2
BuildRequires:	e2fsprogs-devel
BuildRequires:	glibc-static-devel 
BuildRequires:	zlib-static-devel

%description
Sash is a simple, standalone, statically linked shell which includes
simplified versions of built-in commands like ls, dd and gzip.  Sash
is statically linked so that it can work without shared libraries, so
it is particularly useful for recovering from certain types of system
failures.  Sash can also be used to safely upgrade to new versions of
shared libraries.

%prep
%setup -q
%patch -P 5 -p1 -b .scriptarg
%patch -P 6 -p1 -b ".pwd"
%patch -P 7 -p1 -b ".segf"
%patch -P 8 -p1 -b ".scriptarg" -z .pix
%patch -P 9 -p1 -b ".nostrip"

%build
%__make OPT="%{optflags}"

%install
install -D sash %{buildroot}/sbin/sash
install -D sash.1 %{buildroot}%{_mandir}/man8/sash.8

%files
/sbin/sash
%{_mandir}/*/*
