Name:		satyr
Version:	0.43
Release:	%mkrel 2
Summary:	Tools to create anonymous, machine-friendly problem reports
Group:		Development/Tools
License:	GPLv2+
URL:		https://github.com/abrt/satyr
Source0:	https://github.com/abrt/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	gcc-c++
BuildRequires:	gdb
BuildRequires:	gperf
BuildRequires:	libtool
BuildRequires:	binutils-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libdw)
BuildRequires:	pkgconfig(libelf)
BuildRequires:	pkgconfig(nettle)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(rpm)
BuildRequires:	python3-sphinx

Requires:	nettle

%description
Satyr is a library that can be used to create and process microreports.
Microreports consist of structured data suitable to be analyzed in a fully
automated manner, though they do not necessarily contain sufficient information
to fix the underlying problem. The reports are designed not to contain any
potentially sensitive data to eliminate the need for review before submission.
Included is a tool that can create microreports and perform some basic
operations on them.

%files
%doc README.md NEWS
%license COPYING
%{_bindir}/satyr
%{_mandir}/man1/%{name}.1*

#--------------------------------------------------------------------

%define major	4
%define libname	%mklibname %{name} %{major}

%package -n %{libname}
Summary:	Tools to create anonymous, machine-friendly problem reports
Group:		System/Libraries

%description -n %{libname}
Satyr is a library that can be used to create and process microreports.
Microreports consist of structured data suitable to be analyzed in a fully
automated manner, though they do not necessarily contain sufficient information
to fix the underlying problem. The reports are designed not to contain any
potentially sensitive data to eliminate the need for review before submission.
Included is a tool that can create microreports and perform some basic
operations on them.

%files -n %libname
%{_libdir}/lib%{name}.so.%{major}{,.*}

#--------------------------------------------------------------------

%define lib_name_devel %mklibname %{name} -d

%package -n %{lib_name_devel}
Summary:	Development libraries for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development libraries and headers for %{name}.

%files -n %{lib_name_devel}
# The complex pattern below (instead of simlpy *) excludes Makefile{.am,.in}:
%doc apidoc/html/*.{html,png,css,js}
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

#--------------------------------------------------------------------

%package -n python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Python 3 bindings for %{name}.

%files -n python3-%{name}
%dir %{python3_sitearch}/%{name}
%{python3_sitearch}/%{name}/*

#--------------------------------------------------------------------

%prep
%setup -q

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
        --with-python3 \
        --disable-static \
        --enable-doxygen-docs

%make_build

%install
%make_install

# Remove all libtool archives (*.la) from modules directory.
find %{buildroot} -name "*.la" -delete

%check
%__make check|| {
    # find and print the logs of failed test
    # do not cat tests/testsuite.log because it contains a lot of bloat
    find tests/testsuite.dir -name "testsuite.log" -print -exec cat '{}' \;
    exit 1
}
