%define upload_date 2020_11_29

Name:           sauerbraten
Version:        2020_12_29
Release:        %mkrel 1
Summary:        A free multi-player/single-player first person shooter game
License:        zlib/libpng License
Group:          Games/Shooter
Url:            http://sauerbraten.org/
Source0:        https://sourceforge.net/projects/sauerbraten/files/sauerbraten/%{upload_date}/%{name}_%{version}_linux.tar.bz2
# from gentoo:
# Respect CXXFLAGS, LDFLAGS
Patch1:         sauerbraten-2020.12.27-respect-FLAGS-don-t-strip-symbols.patch
# Patch Makefile to use system enet instead of bundled
Patch2:         sauerbraten-2020.12.27-unbundle-enet.patch
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libenet) >= 1.3.5
BuildRequires:  imagemagick
Requires:       %{name}-data = %{version}

%description
Cube 2: Sauerbraten is a free multi-player/single-player first person shooter, 
built as a major redesign of the Cube FPS.

Much like the original Cube, the aim of this game is not necessarily to 
produce the most features & eye-candy possible, but rather to allow 
map/geometry editing to be done dynamically in-game, to create fun game-play 
and an elegant engine.

%package server
Summary:        Standalone server
Group:          Games/Arcade

%description server
Sauerbraten standalone server.

%package data
Summary:        Game data files
Requires:       %{name} >= %{version}
BuildArch:      noarch

%description data
Data files for Sauerbraten.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
rm -r bin_unix
mkdir -p bin_unix
cd src
%set_build_flags
%serverbuild
%make_build

%install
cd src
%make_install

cd ../bin_unix
mv *client client
mv *server server
cd ..
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a bin_unix %{buildroot}%{_libexecdir}/%{name}
mkdir -p %{buildroot}%{_bindir}
cat <<EOT >%{buildroot}%{_bindir}/%{name}
#!/bin/sh
CUBE_DIR=\$HOME/.cube
if test ! -e \$CUBE_DIR ; then
    mkdir \$CUBE_DIR
    ln -s %{_libexecdir}/%{name}/* \$CUBE_DIR
fi
cd \$CUBE_DIR
exec bin_unix/client "\$@"
EOT
chmod 755 %{buildroot}%{_bindir}/%{name}
ln -sf %{_libexecdir}/%{name}/bin_unix/server %{buildroot}%{_bindir}/%{name}-server

# copy data files
cp -a data/ packages/ %{buildroot}%{_libexecdir}/%{name}/
# fix incorrect permissions of non-executable files
chmod 644 %{buildroot}%{_libexecdir}/%{name}/packages/models/cleaner/gutter_45_big/{license.txt,obj.cfg}

# create desktop file
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
convert -scale 128x128 %{buildroot}%{_libexecdir}/%{name}/data/cube.png  %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert -scale 64x64 %{buildroot}%{_libexecdir}/%{name}/data/cube.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 48x48 %{buildroot}%{_libexecdir}/%{name}/data/cube.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32x32 %{buildroot}%{_libexecdir}/%{name}/data/cube.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16x16 %{buildroot}%{_libexecdir}/%{name}/data/cube.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Cube 2: Sauerbraten
Comment=An FPS like game based on the Cube 2 engine
GenericName= First Person Shooter like game
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF


%files
%{_bindir}/%{name}
%dir %{_libexecdir}/%{name}
%dir %{_libexecdir}/%{name}/bin_unix
%{_libexecdir}/%{name}/bin_unix/client
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop

%files server
%{_bindir}/%{name}-server
%dir %{_libexecdir}/%{name}/bin_unix
%{_libexecdir}/%{name}/bin_unix/server

%files data
%doc docs/*
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/data
%{_libexecdir}/%{name}/packages
