# comment out when not stable release
%define stab	stable1

# comment out when not pre-release
#define prel	beta1

%define rel	3

Name:		sayonara
Version:	1.10.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	A lightweight Qt Audio player
License:	GPLv3+
Group:		Sound/Players
URL:		https://sayonara-player.com/
Source0:	https://gitlab.com/luciocarreras/sayonara-player/-/archive/%{version}%{?stab:-%stab}%{?prel:-%prel}/%{name}-player-%{version}%{?stab:-%stab}%{?prel:-%prel}.tar.bz2
ExcludeArch:	%{arm32} %{ix86}
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(taglib)

Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-soundtouch

%description
Sayonara is a small, clear, not yet platform-independent music player.
Low CPU usage, low memory consumption and no long loading times are only
three benefits of this player. Sayonara should be easy and intuitive to use
and therefore it should be able to compete with the most popular music players.

%prep
%autosetup -p1 -n %{name}-player-%{version}%{?stab:-%stab}%{?prel:-%prel}

%build
%cmake_qt5 \
	-DWITH_SYSTEM_TAGLIB=ON \
	-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now"

%cmake_build

%install
%cmake_install

# remove menu dir, because it's not necessary
rm -rf %{buildroot}%{_datadir}/menu

%files
%doc MANUAL README.md
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-ctl
%{_bindir}/%{name}-query
%{_datadir}/%{name}/
%{_datadir}/applications/com.%{name}-player.Sayonara.desktop
%{_metainfodir}/com.%{name}-player.Sayonara.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-ctl.1.*
%{_mandir}/man1/%{name}-query.1.*
