%define major 1
%define libname %mklibname %{name} %{major}
%define libnamedevel %mklibname -d %{name}

Name:		sbc
Version:	2.0
Release:	%mkrel 2
Summary:	Bluetooth SBC utilities

Group:		Communications/Mobile
License:	GPLv2+
Source0:	https://www.kernel.org/pub/linux/bluetooth/sbc-%{version}.tar.xz
Url:		https://www.bluez.org/
#
# from upstream (https://git.kernel.org/pub/scm/bluetooth/sbc.git)
#

# from debian
Patch0100:	0001-Add-config.h-in-sbc-sbc_primitives.h.patch
# from omv (avoid -fgcse-after-reload)
Patch0101:	sbc-1.2-clang-build-flags.patch

BuildRequires:	glib2-devel
BuildRequires:	dbus-devel
BuildRequires:	bluez-devel
BuildRequires:	libsndfile-devel

%description
Bluetooth SBC utilities.

%package -n %{libname}
Summary:	Bluetooth SBC library
Group:		System/Libraries

%description -n %{libname}
Bluetooth SBC library.

%package -n %{libnamedevel}
Summary:	Bluetooth SBC development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedevel}
Bluetooth SBC development files.


%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static --enable-high-precision
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/sbcdec
%{_bindir}/sbcenc
%{_bindir}/sbcinfo

%files -n %{libname}
%{_libdir}/libsbc.so.%{major}{,.*}

%files -n %{libnamedevel}
%{_includedir}/%{name}
%{_libdir}/libsbc.so
%{_libdir}/pkgconfig/%{name}.pc
