%global _legacy_common_support 1

Name:          scamp
Version:       2.10.0
Release:       %mkrel 3
Summary:       Astrometric calibration and photometric homogenization
Group:         Sciences/Astronomy
License:       GPLv3

URL:           https://www.astromatic.net/software/%{name}
Source0:       https://github.com/astromatic/scamp/archive/v%{version}/%{name}-%{version}.tar.gz
# fix build on 32 bits arches
Patch0:        0001-scamp-fix-define-with-pointer-size-varying-according.patch
#
Patch1:        0001-Fix-sprintf-and-fprintf-format-strings.patch
BuildRequires: blas-devel
BuildRequires: lapack-devel
BuildRequires: fftw-devel
BuildRequires: cdsclient
BuildRequires: pkgconfig(plplot)
BuildRequires: openblas-devel
BuildRequires: pkgconfig(libcurl)

Requires:      cdsclient
#needs font contain in plplot package (in addition to the lib)
Requires:      plplot

%description
SCAMP reads SExtractor catalogs and computes astrometric and
photometric solutions for any arbitrary sequence of FITS images in a
completely automatic way.

%prep
%autosetup -p1


%build
autoreconf -fi
%configure --enable-openblas
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/manx/%{name}.x.*
%{_datadir}/%{name}/*.ahead
%{_datadir}/%{name}/*.xsl

