%define major 1
%define libname	%mklibname scanmem %{major}
%define devname %mklibname scanmem -d

Summary:        Memory scanner
Name:           scanmem
Version:        0.17
Release:        %mkrel 7
License:        GPLv3
Group:          Development/Tools
URL:            https://github.com/scanmem/scanmem
Source0:        https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  readline-devel

%description
scanmem is a simple interactive debugging utility, used to locate the address
of a variable in an executing process. This can be used for the analysis or
modification of a hostile process on a compromised machine, reverse
engineering, or as a "pokefinder" to cheat at video games.

%package -n %{libname}
Summary:	memory scanner library
License:	LGPLv3
Group:		System/Libraries
Conflicts:	%{name} < 0.17-3

%description -n %{libname}
scanmem is a simple interactive debugging utility, used to locate the address
of a variable in an executing process. This can be used for the analysis or
modification of a hostile process on a compromised machine, reverse
engineering, or as a "pokefinder" to cheat at video games.

%package -n %{devname}
Summary:        Development files for memory scanner library
License:	LGPLv3
Group:          Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 0.17-3

%description -n %{devname}
scanmem is a simple interactive debugging utility, used to locate the address
of a variable in an executing process. This can be used for the analysis or
modification of a hostile process on a compromised machine, reverse
engineering, or as a "pokefinder" to cheat at video games.

%package -n gameconqueror
Summary:        CheatEngline-alike interface for scanmem
License:	GPLv3
Group:          Development/Tools
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  appstream-util
BuildRequires:	pkgconfig(python3)
Requires:	%{libname} = %{version}-%{release}
Requires:	python3-gobject3
Requires:	polkit

%description -n gameconqueror
Game Conqueror is a graphical game cheating tool under Linux, a frontend for
scanmem.

%prep
%autosetup

sed -i -e "1s|.*|#!%{__python3}|" gui/GameConqueror.py

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
	--disable-static \
	--enable-gui
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# handle docs in files section
rm -rf %{buildroot}%{_datadir}/doc/%{name}/

%find_lang GameConqueror

%check
make check
desktop-file-validate %{buildroot}%{_datadir}/applications/GameConqueror.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/GameConqueror.appdata.xml

%files
%doc ChangeLog README TODO
%license COPYING
%{_mandir}/man1/scanmem.1*
%{_bindir}/scanmem

%files -n %{devname}
%{_includedir}/scanmem/
%{_libdir}/libscanmem.so

%files -n %{libname}
%license lgpl-3.0.txt
%{_libdir}/libscanmem.so.%{major}{,.*}

%files -n gameconqueror -f GameConqueror.lang
%license gui/COPYING
%doc gui/README*
%{_datadir}/appdata/GameConqueror.appdata.xml
%{_datadir}/applications/GameConqueror.desktop
%{_mandir}/man1/gameconqueror.1*
%{_datadir}/gameconqueror/
%{_datadir}/icons/hicolor/*/apps/GameConqueror.png
%{_datadir}/polkit-1/actions/*.policy
%{_bindir}/gameconqueror
