Name:		scantailor
Version:	1.0.19
Release:	%mkrel 1
Summary:	Scan processing software
License:	GPLv3+ or LGPLv2+
Group:		Graphics/Scanning
Url:		https://scantailor.org/
# https://github.com/scantailor/scantailor/releases
Source0:	https://github.com/ScanTailor-Advanced/scantailor-advanced/archive/v%{version}/%{name}-%{version}.tar.gz
Source3:	%{name}.1
Source4:	%{name}-cli.1
Patch0:		scantailor-advanced-1.0.19-fix-desktop-file.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

%description
Scan Tailor is an interactive post-processing tool for scanned pages. It
performs operations such as page splitting, deskewing, adding/removing borders,
and others. You give it raw scans, and you get pages ready to be printed
or assembled into a PDF or DJVU file. Scanning, optical character recognition,
and assembling multi-page documents are out of scope of this project.

%prep
%autosetup -p1 -n %{name}-advanced-%{version}

%build
%cmake_qt6 -DEXTRA_LIBS=Xrender

%cmake_build

%install
%cmake_install

install -pm644 -D %{SOURCE3} %{buildroot}%{_mandir}/man1/%{name}.1
#install -pm644 -D %%{SOURCE4} %%{buildroot}%%{_mandir}/man1/%%{name}-cli.1

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%dir %{_datadir}/%{name}-advanced
%{_datadir}/%{name}-advanced/translations
%{_datadir}/mime/packages/%{name}-project.xml
%{_mandir}/man1/%{name}*
