Summary:    An interactive packet manipulation tool and network scanner
Name:       scapy
Version:    2.6.1
Release:    %mkrel 2
Group:      Networking/Other
License:    GPLv2+
URL:        https://scapy.net/
Source:     https://github.com/secdev/scapy/archive/v%{version}/%name-%version.tar.gz
BuildArch:  noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tox)
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description
Scapy is a powerful interactive packet manipulation program built on top
of the Python interpreter. It can be used to forge or decode packets of
a wide number of protocols, send them over the wire, capture them, match
requests and replies, and much more.

%package -n python3-%{name}
Summary:        Interactive packet manipulation tool and network scanner
Provides:       %{name}

%description -n python3-%{name}
Scapy is a powerful interactive packet manipulation program built on top
of the Python interpreter. It can be used to forge or decode packets of
a wide number of protocols, send them over the wire, capture them, match
requests and replies, and much more.

%prep
%setup -q

# Remove shebang
# https://github.com/secdev/scapy/pull/2332
SHEBANGS=$(find ./scapy -name '*.py' -print | xargs grep -l -e '^#!.*env python')
for FILE in $SHEBANGS ; do
    sed -i.orig -e 1d "${FILE}"
    touch -r "${FILE}.orig" "${FILE}"
    rm "${FILE}.orig"
done

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

make -C doc/scapy html BUILDDIR=_build_doc SPHINXBUILD=sphinx-build-3
rm -f doc/scapy/_build_doc/html/.buildinfo
rm -f doc/scapy/_build_doc/html/_static/_dummy

%install
%pyproject_install
%pyproject_save_files scapy

install -Dp -m0644 doc/scapy.1 %{buildroot}%{_mandir}/man1/scapy.1
rm -f %{buildroot}%{python3_sitelib}/*dist-info/requires.txt

%files -n python3-%{name} -f %{pyproject_files}
%doc LICENSE
%doc doc/scapy/_build_doc/html
%{_bindir}/scapy
%{_mandir}/man1/scapy.1*
%exclude %{python3_sitelib}/test/
