Name:		schedtool
Version:	1.3.0
Release:	%mkrel 12
Summary:	Tool for setting and querying scheduling parameters
License:	GPLv2
Group:		System/Kernel and hardware
Url:		https://freequaos.host.sk/schedtool/
Source:		https://freequaos.host.sk/schedtool/%name-%version.tar.bz2
Patch0:		schedtool-1.3.0-cflags.patch
Patch1:		schedtool-c99.patch

%description
schedtool can set all scheduling parameters Linux is capable of or dis-
play information for given processes.

Long-running, non-interactive tasks may benefit from SCHED_BATCH as
time-slices are longer, less system-time is wasted by computing the next
runnable process and the caches stay stable.

Audio/video or other near-realtime applications may run with less skip-
ping if set to SCHED_RR.  Use the static priority-switch -p to fine- tune
inter-process-hierarchies.

schedtool now supports setting the CPU-affinity introduced in Linux 2.5.8.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
install -m755 -d %{buildroot}/%_bindir/
install -m755  %name %{buildroot}/%_bindir/%name
install -m755 -d %{buildroot}/%{_mandir}/man8/
install -m611  %name.8 %{buildroot}/%{_mandir}/man8/%name.8

%files
%doc CHANGES PACKAGERS README SCHED_DESIGN TUNING
%license LICENSE
%_bindir/*
%{_mandir}/man8/%name.*
