%define reltag 20250202

Name:          schismtracker
Version:       %{reltag}
Release:       %mkrel 1
Summary:       Schism Tracker is a free and open-source reimplementation of Impulse Tracker
Group:         Sound/Utilities
License:       GPLv2

URL:           https://schismtracker.org/
Source0:       https://github.com/schismtracker/%{name}/archive/%{reltag}/%{name}-%{reltag}.tar.gz
Source1:       schism.desktop

# from opensuse
# Patch0:        schism-deptrack.patch
# Patch1:        schism-alsa.patch
#
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(libutf8proc)
BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(xv)
BuildRequires: git


%description
Schism Tracker is a free and open-source reimplementation of
Impulse Tracker, a program used to create high quality music
without the requirements of specialized, expensive equipment,
and with a unique "finger feel" that is difficult to replicate
in part. The player is based on a highly modified version of the
ModPlug engine, with a number of bug fixes and changes to improve
IT playback.
The songs for Schism Tracked are called modules. There is
modarchive.org site with thousandths of modules, which you can
listen and take the samples/instruments for the first time.


%prep
%autosetup -p1 -n %{name}-%{reltag}

%build
autoreconf -fiv
%configure
%make_build


%install
%make_install

# override the default .desktop file as it contains entries identified as
# invalid by the rpm's spec-helper/check_desktop_files.
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/schism.desktop

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/schism.desktop
%{_datadir}/pixmaps/schism-icon-128.png
