Name:		scidavis
Version:	2.9.0
Release:	%mkrel 6
Summary:	An application for Scientific Data Analysis and Visualization
License:	GPLv3+
Group:		Sciences/Other
Url:		https://scidavis.sourceforge.net/
Source0:	https://github.com/SciDAVis/scidavis/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		scidavis-build_w_system_qwtplot3d.patch
# (https://github.com/SciDAVis/scidavis/issues/30)
Patch1:		scidavis-fix_building_w_liborigin302.patch
# https://github.com/SciDAVis/scidavis/pull/32
Patch2:         scidavis-add_minigzip_includes.patch

BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	doxygen
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(liborigin)
BuildRequires:	pkgconfig(muparser)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(qwt5-qt5)
BuildRequires:	python3-qt5-devel
BuildRequires:	qwtplot3d-qt5-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	python3dist(pyqt-builder)
BuildRequires:	python3dist(sip)
BuildRequires:	python3-pyqt5-sip
Requires:	python3-qt5
Recommends:	python3-%{name}

%description
SciDAVis is a free interactive application aimed at data analysis and
publication-quality plotting. It combines a shallow learning curve and
an intuitive, easy-to-use graphical user interface with powerful
features such as scriptability and extensibility.

%files
%doc ChangeLog.md README.md gpl.txt scidavis.css manual/
%doc scidavis-logo.png scidavis-logo.svg
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/locolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}.1*

#---------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for SciDAVis
Group:		Sciences/Other
Requires:	%{name}%{?_isa} = %{version}-%{release}
 
%description -n	python3-%{name}
This module provides SciDAVis bindings to the Python3 programming
language.

%files -n python3-%{name}
%{python3_sitearch}/%{name}/

#---------------------------------------------

%prep
%autosetup -p1

sed -i 's|VERSION 2.3.0|VERSION %{version}|' CMakeLists.txt

# Set the correct python paths
sed -i 's+pythonconfig.path = "$$INSTALLBASE/../etc"+pythonconfig.path = "$$INSTALLBASE/..%{python3_sitearch}/scidavis"+g' config.pri
sed -i 's+pythonutils.path = "$$INSTALLBASE/share/scidavis"+pythonutils.path = "$$INSTALLBASE/..%{python3_sitearch}/scidavis"+g' config.pri
sed -i 's+set(PYTHON_SCRIPTDIR etc+set(PYTHON_SCRIPTDIR %{python3_sitearch}/scidavis+g' scidavis/CMakeLists.txt
sed -i 's+FILES scidavisrc.py ${CMAKE_CURRENT_BINARY_DIR}/$<CONFIG>/scidavisrc.pyc DESTINATION+FILES scidavisrc.py DESTINATION+g' scidavis/CMakeLists.txt
sed -i 's+FILES scidavisrc.py ${CMAKE_CURRENT_BINARY_DIR}/scidavisrc.pyc DESTINATION+FILES scidavisrc.py DESTINATION+g' scidavis/CMakeLists.txt
sed -i 's+FILES scidavisUtil.py DESTINATION share/scidavis+FILES scidavisUtil.py DESTINATION ${PYTHON_SCRIPTDIR}+g' scidavis/CMakeLists.txt
sed -i 's+PYTHON_CONFIG_PATH="${CMAKE_INSTALL_PREFIX}/etc"+PYTHON_CONFIG_PATH="%{python3_sitearch}/scidavis"+g' libscidavis/CMakeLists.txt
sed -i 's+PYTHON_UTIL_PATH="${CMAKE_INSTALL_PREFIX}/share/scidavis"+PYTHON_UTIL_PATH="%{python3_sitearch}/scidavis"+g' libscidavis/CMakeLists.txt

%build
# Set python version to 3
export PYTHON=python3

%cmake_qt5 -DSEARCH_FOR_UPDATES=OFF \
           -DDOWNLOAD_LINKS=OFF \
           -DSCRIPTING_MUPARSER=ON \
           -DSCRIPTING_PYTHON=ON \
           -DORIGIN_IMPORT=ON
%cmake_build

%install
%cmake_install

# KDE3 remnant - upstream is aware
rm -rf %{buildroot}%{_datadir}/mimelnk/

# fix desktop file
desktop-file-install \
       %{buildroot}%{_datadir}/applications/%{name}.desktop

rm -f %{buildroot}%{_docdir}/%{name}/license.rtf
