%define	oname	scid_vs_pc
%define	rname	scid

Summary:	Chess database
Name:		scidvspc
Version:	4.25
Release:	%mkrel 1
Group:		Games/Boards
License:	GPLv2
URL:		https://scidvspc.sourceforge.net
Source0:	https://sourceforge.net/projects/scidvspc/files/source/%{oname}-%{version}.tgz
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(zlib)
#Conflicts:	%%{rname}

%description
Scid (Shane's Chess Information Database) is a free chess database
application for Unix and Microsoft Windows operating systems.

Scid converts to and from PGN (Portable Game Notation) format, which
is the standard for text-based chess information exchange, but uses
its own fast compact format for storing files.

%prep
%autosetup -p1 -n %{oname}-%{version}

# Limit files permissions.
sed -e "s| -m 666| -m 664|g" -e "s|install ./engines|install -s -m 755 ./engines|g" \
    -i Makefile.conf
# Avoid conflict with system phalanx
sed -e "s|phalanx/phalanx \$(BINDIR)|phalanx/phalanx \$(BINDIR)/phalanx-%{name}|g" \
    -i Makefile.conf
sed -e "s|Name Phalanx|Name Phalanx-%{name}|g;s|Cmd .*phalanx|Cmd  phalanx-%{name}|g" \
    -i tcl/tools/analysis.tcl

%build
%set_build_flags
./configure BINDIR=%{_gamesbindir} SHAREDIR=%{_gamesdatadir}/%{name} CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS"
%make_build

%install
%make_install BINDIR=%{buildroot}%{_gamesbindir} SHAREDIR=%{buildroot}%{_gamesdatadir}/%{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/128x128/apps
cp icons/%{rname}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

find %{buildroot}%{_gamesdatadir}/%{name} -type d -exec chmod 755 {} +

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Scid vs. PC
Comment=Chess games database
Exec=%{_gamesbindir}/%{rname}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;BoardGame;
EOF

# Licenses:
cp engines/phalanx/COPYING COPYING_phalanx
cp engines/toga/copying.txt COPYING_toga
cp src/polyglot/copying.txt COPYING_polyglot
cp src/tkdnd/license.terms COPYING_tkdnd
cp tcl/contrib/ezsmtp/license.txt COPYING_ezsmtp

%files
%license COPYING{,_phalanx,_toga,_polyglot,_tkdnd,_ezsmtp}
%doc doc/ChangeLog doc/CHANGES doc/README doc/THANKS doc/TODO doc/progref.html
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
