%define scim_version 1.4.7

Name:         scim-bridge
Summary:      Yet another IM client of SCIM
Version:      0.4.17
Release:      %mkrel 3
Group:        System/Internationalization
License:      GPLv2+
URL:          https://sourceforge.net/projects/scim/
Source0:      https://downloads.sourceforge.net/scim/%{name}-%{version}.tar.gz
Patch0:		scim-bridge-0.4.17-qt4dir.patch
Requires:        scim >= %{scim_version}
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.4.0
BuildRequires: pkgconfig(gtk+-2.0) >= 2.4.0
BuildRequires: pkgconfig(pango) >= 1.1.0
BuildRequires: pkgconfig(QtCore) >= 4.0
BuildRequires: pkgconfig(QtGui) >= 4.0
BuildRequires: pkgconfig(scim) >= 1.4.6
Provides:        scim-client = %{scim_api}
Recommends:        %name-gtk = %{version}-%{release}

%description
Scim-bridge is yet another IM client of SCIM.
It solves SCIM's C++ ABI problems.

%package gtk
Summary:    Scim-bridge gtk immodule
Group:      System/Internationalization
Obsoletes:   %mklibname scim-bridge 0

%description gtk
scim-bridge gtk immodule.

%package    qt4
Summary:    Scim-bridge for qt4
Group:      System/Internationalization
Requires:   %{name} = %{version}

%description qt4
scim-bridge for qt4.

%prep
%setup -q -n scim-bridge-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure --enable-agent --enable-gtk2-immodule --disable-qt3-immodule --enable-qt4-immodule
%make_build

%install
%make_install

# remove unnecessary files
rm -f %{buildroot}/%{_libdir}/gtk-2.0/immodules/*.{a,la}
rm -f %{buildroot}/%{qt4plugins}/inputmethods/im-scim-bridge.{a,la}

%files
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/scim-bridge

%files gtk
%{_libdir}/gtk-2.0/immodules/*.so

%files qt4
%{qt4plugins}/inputmethods/*.so


