%define apiver 1.0
%define scim_api 1.4.0
%define major 8
%define libname %mklibname %{name} %apiver %major
%define develname %mklibname -d %{name}

Name:		scim
Summary:	Smart Common Input Method platform
Version:	1.4.18
Release:	%mkrel 7
Group:		System/Internationalization
License:	LGPLv2+
# alt URL:	https://sourceforge.net/projects/scim/
URL:		https://www.scim-im.org/
Source0:	https://downloads.sourceforge.net/scim/%{name}-%{version}.tar.gz
# change hot keys per locale (from fedora)
Source1:	scim-system-config
# add scim dir macros
Source2:	macros.scim
# https://sourceforge.net/p/scim/patches/12
Source3:	ru.po
# Upstream patches
Patch1:		0001-Fix-some-spelling-errors-in-the-source.patch
Patch2:		0002-configure.ac-Makefile.am-patch-out-Qt-clients.patch
Patch3:		0003-extras-immodules-client-qt-Start-porting-to-Qt5.patch
Patch4:		0004-extras-immodules-client-qt-build-with-Qt5.patch
Patch5:		0005-build-Fix-undefined-X11-references.patch
Patch6:		0006-add-GTK4-IM-module.patch
Patch7:		0007-Add-QT5-support.patch

BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.4.0
BuildRequires: pkgconfig(gthread-2.0) >= 2.0.0
BuildRequires: pkgconfig(gtk+-2.0) >= 2.4.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires: pkgconfig(gtk4)
BuildRequires: pkgconfig(pango) >= 1.1.0
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(xcb-keysyms)
BuildRequires: qtbase5-common-devel
BuildRequires: cmake(Qt5X11Extras)
BuildRequires: cmake(Qt5Widgets)

BuildRequires: intltool
BuildRequires: gettext-devel
BuildRequires: libltdl-devel

Requires:	%{name}-common = %version-%release
# fwang: in fact, scim could interact with gtk2 apps via xim
Recommends:	%{name}-gtk
Conflicts:	%{libname} < 1.4.7-8
Conflicts:	%{mklibname scim 8} < 1.4.7-8

%description
SCIM is a developing platform to significant reduce the difficulty of
input method development.

%files
%doc AUTHORS COPYING README ChangeLog TODO
%{_bindir}/scim

#----------------------------------------------------------------------
%package -n %{libname}
Summary:	SCIM library
Group:		System/Internationalization
Requires:	%name-common = %version
Obsoletes:	%mklibname scim 0
Obsoletes:	%mklibname scim 8
Conflicts:	%{name} < 1.4.7-8

%description -n %{libname}
SCIM library.

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

#----------------------------------------------------------------------
%package common
Summary:        SCIM common files
Group:          System/Internationalization
Requires:       %{libname} = %version-%release
Conflicts:      %{libname} < 1.4.7-8
Conflicts:	%{mklibname scim 8} < 1.4.7-8
Conflicts:	%{name} < 1.4.7-10

%description common
Common files for scim input method.

%files common -f %name.lang
%{_bindir}/scim-im-agent
%{_bindir}/scim-setup
%{_bindir}/scim-config-agent
%dir %{_sysconfdir}/scim
%config(noreplace) %{_sysconfdir}/scim/*
%{_libdir}/scim-1.0/scim-helper-launcher
%{_libdir}/scim-1.0/scim-helper-manager
%{_libdir}/scim-1.0/scim-launcher
%{_libdir}/scim-1.0/scim-panel-gtk
%dir %{_libdir}/scim-1.0/%{scim_api}
%{_libdir}/scim-1.0/%{scim_api}/Filter
%{_libdir}/scim-1.0/%{scim_api}/FrontEnd
%{_libdir}/scim-1.0/%{scim_api}/Helper
%dir %{_libdir}/scim-1.0/%{scim_api}/IMEngine
%{_libdir}/scim-1.0/%{scim_api}/IMEngine/socket.so
%{_libdir}/scim-1.0/%{scim_api}/IMEngine/rawcode.so
%{_libdir}/scim-1.0/%{scim_api}/SetupUI
%{_libdir}/scim-1.0/%{scim_api}/Config
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/control-center-2.0/capplets/scim-setup.desktop

#----------------------------------------------------------------------
%package gtk
Summary:        SCIM Gtk IM module
Group:          System/Internationalization
Requires:       %libname = %version-%release
Conflicts:      %{libname} < 1.4.7-8
Conflicts:	%{mklibname scim 8} < 1.4.7-8

%description gtk
This package provides a GTK input method module for SCIM.

%files gtk
%{_libdir}/gtk-2.0/*/immodules/im-scim.so

#----------------------------------------------------------------------
%package gtk3
Summary:        SCIM Gtk3 IM module
Group:          System/Internationalization
Requires:       %libname = %version-%release

%description gtk3
This package provides a GTK3 input method module for SCIM.

%files gtk3
%{_libdir}/gtk-3.0/*/immodules/im-scim.so

#----------------------------------------------------------------------
%package gtk4
Summary:        SCIM GTK4 IM module
Group:          System/Internationalization
Requires:	%libname = %version-%release

%description gtk4
This package provides a GTK4 input method module for SCIM.

%files gtk4
%{_libdir}/gtk-4.0/*/immodules/libim-scim.so

#----------------------------------------------------------------------
%package qt5
Summary:        SCIM Qt5 IM module
Group:          System/Internationalization

%description qt5
This package provides a Qt5 input method module for SCIM.

%files qt5
%{_qt5_plugindir}/platforminputcontexts/libscimplatforminputcontextplugin.so

#----------------------------------------------------------------------
%package -n %{develname}
Summary:	Headers of SCIM for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d scim 0
Obsoletes:	%mklibname -d scim 8

%description -n %{develname}
Headers of %{name} for development.

%files -n %{develname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/scim-1.0
%{_rpmmacrodir}/macros.scim
#----------------------------------------------------------------------

%prep
%autosetup -p1

# update the config file
mv configs/config{,.orig}
cp -p %{SOURCE1} configs/config

cp -f %{SOURCE3} ./po/

%build
autoreconf -fi
%configure --disable-static --enable-ld-version-script
%make_build

%install
%make_install

# remove unneeded files
find %{buildroot} -name '*.la' | xargs rm

# install scim.macros
install -D -m0644 %SOURCE2 %buildroot%{_rpmmacrodir}/macros.scim

%find_lang %{name}
