%define major   3
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define scintillaver %(echo %{version} | sed -e 's/\\.//g')

Summary:        Free source code editing component
Name:           scintilla
Version:        3.7.6
Release:        %mkrel 4
License:        BSD
Group:          Editors
Url:            https://www.scintilla.org/index.html
Source0:        https://www.scintilla.org/%{name}%{scintillaver}.tgz
Source1:        scintilla376.cmake
Source2:        scintilla.pc.cmake

BuildRequires:  cmake
BuildRequires:  pkgconfig(gtk+-3.0)

%description
Scintilla is a free source code editing component. As well as features
found in standard text editing components, Scintilla includes features
especially useful when editing and debugging source code. These include
support for syntax styling, error indicators, code completion and call
tips.

%package -n     %{libname}
Summary:        Scintilla shared libraries
Group:          System/Servers

%description -n %{libname}
This package contains scintilla shared libraries.

%package -n     %{develname}
Group:          Development/C
Summary:        Headers and static lib for scintilla development
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Install this package if you want do compile applications using the
scintilla library.

%prep
%setup -q -n %{name}
cp %{SOURCE1} %{_builddir}/scintilla/CMakeLists.txt
cp %{SOURCE2} %{_builddir}/scintilla/scintilla.pc.cmake

sed -i -e 's/\@scintilla_VERSION\@/%{version}/' %{_builddir}/scintilla/scintilla.pc.cmake

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n       %{develname}
%doc doc/* License.txt
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
