%define _version	%(echo %{version} | tr -d '.')

%define major   %(cut -d. -f1 <<< %{version})
%define libname %mklibname scintilla %{major}
%define develname %mklibname scintilla -d
%define liblexname %mklibname lexilla %{major}
%define devellexname %mklibname lexilla -d

Name:		scite
Version:	5.5.2
Release:	%mkrel 1
Summary:	SCIntilla based GTK+3 text editor
Group:		Editors
License:	MIT
Url:		https://www.scintilla.org/SciTE.html
Source0:	https://download.sourceforge.net/scintilla/%{name}%{_version}.tgz
Patch0:		scite-5.2.1-mga-desktop-file.patch
Patch1:		0001-scite-552-fix-rpath.patch
Patch2:		0001-scite-add-soname.patch
BuildRequires:	pkgconfig(gtk+-3.0)

%description
SciTE is a SCIntilla based Text Editor. Originally built to demonstrate
Scintilla, it has grown to be a generally useful editor with facilities for
building and running programs.

%package -n     %{libname}
Summary:        Scintilla shared libraries
Group:          System/Servers

%description -n %{libname}
Scintilla is a free source code editing component. As well as features
found in standard text editing components, Scintilla includes features
especially useful when editing and debugging source code. These include
support for syntax styling, error indicators, code completion and call
tips.

%package -n     %{develname}
Group:          Development/C
Summary:        Headers and static lib for scintilla development
Requires:       %{libname} = %{version}-%{release}
Provides:       scintilla-devel = %{version}-%{release}

%description -n %{develname}
Install this package if you want do compile applications using the
scintilla library.


%package -n     %{liblexname}
Summary:          Lexillia shared libraries
Group:          System/Servers

%description -n %{liblexname}
Scintilla is a free source code editing component. As well as features
found in standard text editing components, Scintilla includes features
especially useful when editing and debugging source code. These include
support for syntax styling, error indicators, code completion and call
tips.


%package -n     %{devellexname}
Group:          Development/C
Summary:        Headers and static lib for scintilla development
Requires:       %{liblexname} = %{version}-%{release}
Provides:       lexilla-devel = %{version}-%{release}

%description -n %{devellexname}
Install this package if you want do compile applications using the
lexilla library.

%prep
%setup -q -c
%autopatch -p1

%build
%set_build_flags
%make_build GTK3=1 SOMAJOR=%{major} -C scintilla/gtk shared
%make_build GTK3=1 SOMAJOR=%{major} -C lexilla/src shared
%make_build libdir=%{_libdir} GTK3=1 SOMAJOR=%{major} -C scite/gtk

%install
%make_install libdir=%{_libdir} GTK3=1 SOMAJOR=%{major} -C scite/gtk

ln -s SciTE %{buildroot}%{_bindir}/scite

# move and rename icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
mv %{buildroot}%{_datadir}/pixmaps/Sci48M.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# include files
for d in scintilla lexilla; do
  mkdir -p %{buildroot}%{_includedir}/$d
  install -pm644 $d/include/*.h %{buildroot}%{_includedir}/$d/
done

%files
%doc scite/README scite/License.txt
%{_bindir}/SciTE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/SciTE.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files -n       %{libname}
%{_libdir}/libscintilla.so.%{major}
%doc scintilla/doc/*
%doc scintilla/License.txt

%files -n       %{develname}
%{_includedir}/scintilla/
%{_libdir}/libscintilla.so
# %{_libdir}/pkgconfig/scintilla.pc

%files -n       %{liblexname}
%{_libdir}/liblexilla.so.%{major}
%doc lexilla/doc/*
%doc lexilla/License.txt

%files -n       %{devellexname}
%{_includedir}/lexilla/
%{_libdir}/liblexilla.so
# %{_libdir}/pkgconfig/lexilla.pc
