Summary:	Utilities for alternative packaging
Name:		scl-utils
Version:	20140127
Release:	%mkrel 9
License:	GPLv2+
Group:		System/Base
URL:		https://fedorahosted.org/SoftwareCollections/
Source0:	https://fedorahosted.org/released/scl-utils/%{name}-%{version}.tar.gz
Source1:	macros.scl-filesystem
Patch0: 	0001-Added-Provides-scl-package-scl-for-metapackage-and-b.patch
Patch1: 	0002-Added-scl-runtime-requirement-for-all-subpackages.patch
Patch2: 	0003-Modified-the-behavior-of-debuginfo-generation-proces.patch
Patch3: 	0004-Changed-scl_prefix-macro-that-now-accepts-a-parameter.patch
Patch4: 	0005-Changed-command-description-in-scl-man-pages.patch
Patch5: 	0006-Added-conditional-dependencies-for-main-metapackage.patch

Patch100:       scl-utils-20140127-adapt-for-mageia.patch

%description
Run-time utility for alternative packaging.

%package build
Summary:	RPM build macros for alternative packaging
Group:		System/Base
Requires:	iso-codes
#Requires:	redhat-rpm-config

%description build
Essential RPM build macros for alternative packaging.

%prep
%setup -q
%patch -P 0 -p1 -b .provides-scl-package
%patch -P 1 -p1 -b .requires-scl-package
%patch -P 2 -p1 -b .scl-prefix-old
%patch -P 3 -p1 -b .debuginfo-old
%patch -P 4 -p1 -b .man-pages-old
%patch -P 5 -p1 -b .conditional-deps

%patch -P 100 -p1

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"

%install
mkdir -p %buildroot%{_sysconfdir}/rpm
mkdir -p %buildroot%{_sysconfdir}/scl/prefixes
pushd %buildroot%{_sysconfdir}/scl
ln -s prefixes conf
popd
mkdir -p %buildroot/opt/mga
install -d -m 755 %buildroot%{_mandir}/man1
make install DESTDIR=%buildroot
cat %SOURCE1 >> %buildroot%{_sysconfdir}/rpm/macros.scl

%files
#dir /opt/mga
%{_sysconfdir}/scl/conf
%dir %{_sysconfdir}/scl/prefixes
%{_bindir}/scl
%{_bindir}/scl_enabled
%{_bindir}/scl_source
%{_mandir}/man1/*
%{_sysconfdir}/bash_completion.d/scl.bash
%doc LICENSE

%{!?_rpmconfigdir:%global _rpmconfigdir /usr/lib/rpm}
%files build
%{_bindir}/sclbuild
%{_sysconfdir}/rpm/macros.scl
%{_rpmconfigdir}/scldeps.sh
%{_rpmconfigdir}/fileattrs/scl.attr
%{_rpmconfigdir}/brp-scl-compress
%{_rpmconfigdir}/brp-scl-python-bytecompile


