%define uname   SCons

Name:           scons
Epoch:          1
Version:        4.9.1
Release:        %mkrel 1
Summary:        Open Source software construction tool
License:        MIT
Group:          Development/Other
URL:            https://www.scons.org
Source0:        https://download.sourceforge.net/scons/%{uname}-%{version}.tar.gz
Source1:        scons.macros
Patch0:         scons-fix-manpage-dir.patch

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

Provides:       python3-scons = %{epoch}:%{version}-%{release}

%description
SCons is an Open Source software construction tool--that is, a build
tool; an improved substitute for the classic Make utility; a better way
to build software. SCons is based on the design which won the Software
Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax. SCons maintains a global view of
all dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines. SCons
uses MD5 signatures to rebuild only when the contents of a file have
really changed, not just when the timestamp has been touched. SCons
supports side-by-side variant builds, and is easily extended with user-
defined Builder and/or Scanner objects.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files SCons

# Kept for compatibility with scripts which might expect `scons-3`.
# The other aliases were removed as not really useful now that we don't have py2 variants.
ln -fs %{_bindir}/%{name} %{buildroot}%{_bindir}/%{name}-3

# install scons rpm macro helper
install -D -p -m 0644 %{_sourcedir}/%{name}.macros \
  %{buildroot}%{_rpmmacrodir}/macros.%{name}

%files -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-3
%{_bindir}/%{name}-configure-cache
%{_bindir}/%{name}ign
%{_mandir}/man1/%{name}*.1*
%{_rpmmacrodir}/macros.%{name}
