%define	oname	Scorched3D

Summary:	3D artillery game similar to Scorched Earth
Name:		scorched3d
Version:	44
Release:	%mkrel 18
License:	GPLv2+ and CC-BY-SA
Group:		Games/Strategy
URL:		http://www.scorched3d.co.uk
Source0:	https://downloads.sourceforge.net/scorched3d/%{oname}-%{version}-src.tar.gz
# openal-soft does not provide openal-config, so fake it
Source1:	openal-config

# Patches sourced from Fedora or Debian.
Patch0:		scorched3d-syslibs.patch
Patch1:		scorched3d-help.patch
Patch2:		scorched3d-freetype-buildfix.patch
Patch3:		scorched3d-sys-lua.patch
Patch4:		scorched3d-returntype.patch
Patch5:		scorched3d-wx3.0.patch
Patch6:		scorched3d-lua54.patch
Patch7:		scorched3d-fix-hang-on-fast-machines.patch

BuildRequires:	imagemagick
BuildRequires:	libtool
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(freealut)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(zlib)

# (akien) Not compatible with wxgtk > 3.0.
BuildRequires:	wxgtk3.0-devel
BuildConflicts:	wxgtk3.1-devel

%description
Scorched is a game loosely-based on the classic DOS game Scorched
Earth, "The Mother Of All Games", with fully destructible 3D landscapes
and stunning visual effects.

"Scorched Earth is a simple, yet exciting artillery combat game,
based on an auspicious history of artillery games."
(Review of Scorched Earth at ClassicGaming.com)

In its simplest form Scorched is an artillery game.
Tanks take turns to earn money by destroying opponents in an arena.
Scorched attempts to recreate the simple yet addictive game play
of the original game, adding amongst other new features a 3D island
environment and LAN and internet play.

%prep
%autosetup -p1 -n scorched
install -m 755 %{_sourcedir}/openal-config .

# ensure we use the system versions of these
rm -f src/common/common/snprintf.c
rm -f src/common/lua/l*.{cpp,h}
rm -f src/common/lua/print.cpp

%build
touch NEWS AUTHORS ChangeLog
autoreconf -vfi
export OPENAL_CONFIG=$PWD/openal-config
%configure \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}/%{name} \
	--disable-openaltest

%make_build

%install
%make_install

rm -rf %{buildroot}%{_gamesdatadir}/%{name}/documentation

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Scorched3D
GenericName=Artillery game
Comment=3D artillery game similar to Scorched Earth
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;StrategyGame;
EOF

# Extract 48x48 icon
convert data/images/tank2.ico tank2.png
install -D -m 644 tank2-0.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files
%doc README documentation/*
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
