Summary:	A screen manager that supports multiple logins on one terminal
Name:		screen
Version:	5.0.0
Release: 	%mkrel 1
License:	GPLv2+
Group:		Terminals
URL:		https://www.gnu.org/software/screen/
Source0:	https://ftp.gnu.org/gnu/screen/screen-%{version}.tar.gz
Source1:	screen.pam
# correct the location of various files in man page and info page
# not sent upstream
Patch0:		screen-5.0.0-fix-utmp.patch
# add U as default binding to switch to utf8, in /etc/screenrc
# not to send upstream
Patch1:		screen-4.0.2-screenrc-utf8-switch.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	utempter-devel
BuildRequires:	texinfo
BuildRequires:	pam-devel

%description
The screen utility allows you to have multiple logins on just one
terminal.  Screen is useful for users who telnet into a machine or
are connected via a dumb terminal, but want to use more than just
one login.

Install the screen package if you need a screen manager that can
support multiple logins on one terminal.

%prep
%autosetup -p1

%build
autoreconf -fi
# 5 is tty group
%configure --enable-colors256 \
           --enable-pam \
           --with-pty-mode=0620 \
           --with-pty-group=5 \
           --enable-telnet \
           --with-sys-screenrc=%{_sysconfdir}/screenrc \
           --with-socket-dir=%{_rundir}/screen

perl -pi -e 's|.*#undef HAVE_BRAILLE.*|#define HAVE_BRAILLE 1|' config.h

perl -pi -e 's|/usr/local/etc/screenrc|%{_sysconfdir}/screenrc|' etc/etcscreenrc doc/*
perl -pi -e 's|/local/etc/screenrc|%{_sysconfdir}/screenrc|' doc/*

%make_build

%install
%make_install SCREENENCODINGS=%{_datadir}/screen/utf8encodings/

( cd %{buildroot}%{_bindir} && {
	rm -f screen.old screen
	mv screen-%{version} screen
  }
)
mkdir -p %{buildroot}%{_sysconfdir}/skel
install -c -m 0644 etc/etcscreenrc %{buildroot}%{_sysconfdir}/screenrc
install -c -m 0644 etc/screenrc %{buildroot}%{_sysconfdir}/skel/.screenrc

# pam.d config
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/screen

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/screen.conf
# screen needs directory in /run
d %{_rundir}/screen 0775 root screen
EOF

%pre
%_pre_groupadd %{name}

%post
%_tmpfilescreate %{name}

%files
%doc README doc/FAQ doc/README.DOTSCREEN ChangeLog
%license COPYING
%attr(2755,root,screen) %{_bindir}/screen
%{_infodir}/screen.info*
%config(noreplace) %{_sysconfdir}/screenrc
%config(noreplace) %{_sysconfdir}/pam.d/screen
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/skel/.screenrc
%{_tmpfilesdir}/screen.conf
%{_datadir}/screen/
%{_mandir}/man1/screen.1*
