%define _disable_ld_no_undefined 1

Name:		screengrab
Version:	2.9.0
Release: 	%mkrel 2
Summary:	Screen grabber
Group:		Graphical desktop/Other
License:	GPLv2+
URL:		https://lxqt-project.org/
Source:		https://github.com/lxqt/screengrab/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(qt6xdg)

%description
ScreenGrab -- program getting screenshots working in Linux and Windows.
The program uses Qt6 and is independent from any desktop environment.
Main features:
    * grab screenshot of desktop
    * working on Window and Linux operating systems
    * save screenshots in PNG and JPEG format
    * grab screenshot with delay (1 - 90 sec)
    * hide its window
    * minimize to system tray and work from at (tray menu)

%prep
%autosetup -p1

find . -type f | xargs chmod 644

%build
%cmake_qt6 \
    -DBUILD_SHARED_LIBS:BOOL=OFF \
    -DCMAKE_SKIP_RPATH=ON
%cmake_build


%install
%cmake_install

rm -f %{buildroot}%{_libdir}/libextedit.so

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_iconsdir}/hicolor/*/*/%{name}.svg
%{_datadir}/%{name}/
