Name:		scribus
Version:	1.7.0
Release:	%mkrel 4
Summary:	Open Source Page Layout
License:	GPLv2+
Group:		Publishing
URL:		https://www.scribus.net/
Source0:	https://downloads.sourceforge.net/scribus/scribus-%{version}.tar.xz
Patch50:	scribus-1.5.7-build-without-scripts.patch
Patch51:	scribus-system-qtadvanceddocking.patch
Patch52:	scribus-1.7.0-poppler-25.02.0.patch
Patch53:	0001-Fix-warning-in-slaoutput.cpp-caused-by-nodiscard-bei.patch
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	cmake(qtadvanceddocking-qt6)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	pkgconfig(openscenegraph)
BuildRequires:	pkgconfig(poppler-cpp)
BuildRequires:	pkgconfig(poppler-qt6)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(libcdr-0.1)
BuildRequires:	pkgconfig(libfreehand-0.1)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libmspub-0.1)
BuildRequires:	pkgconfig(libpagemaker-0.0)
BuildRequires:	pkgconfig(libpodofo)
BuildRequires:	pkgconfig(libqxp-0.0)
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libvisio-0.1)
BuildRequires:	pkgconfig(libzmf-0.0)
BuildRequires:	pkgconfig(GraphicsMagick)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	boost-devel
BuildRequires:	cups-devel

Requires:	tkinter3
Requires:	ghostscript

%description
Scribus is a desktop open source page layout program with the aim of
producing commercial grade output in PDF and Postscript, primarily,
though not exclusively, for Linux.

While the goals of the program are ease of use and simple
easy-to-understand tools, Scribus offers support for professional
publishing features, such as CMYK colors, easy PDF creation,
Encapsulated Postscript import and export, and creation of color
separations.

%files -f %{name}.lang
%doc %{_datadir}/doc/%{name}*
%{_bindir}/*
%{_libdir}/scribus/
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/scribus/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/*%{name}*.png
%{_mandir}/man1/*.1.*

%prep
%autosetup -p1

rm -rf OSX-package

# Don't add (Development) to name in program menu, it makes no sense for users
sed -i -e "s/\s\+(Development)//" scribus.desktop.in

# Drop bundled qtadvanceddocking-qt6
rm -rf scribus/third_party/Qt-Advanced-Docking-System

%build
export CXXFLAGS="%{build_cxxflags} -Wno-template-id-cdtor"
%cmake_qt6 \
	-DWANT_HUNSPELL:BOOL=ON \
	-DWANT_GRAPHICSMAGICK:BOOL=ON \
	-DWANT_SCRIPTS:BOOL=ON \
	-DWANT_DISTROBUILD:BOOL=ON
%cmake_build

%install
%cmake_install

install -d %{buildroot}%{_datadir}/applications
desktop-file-install --vendor='' \
	--dir %{buildroot}%{_datadir}/applications/ \
	--remove-category='Graphics' \
	--add-category='Office' \
	--add-category='X-Mageia-CrossDesktop'\
	%{name}.desktop

%find_lang %{name} --with-man

# No need to ship headers and static libraries for something not used anywhere else
rm -rf \
	%{buildroot}%{_includedir} \
	%{buildroot}%{_prefix}/lib/*.a \
	%{buildroot}%{_prefix}/lib/cmake

# Or stuff in weird places
rm -rf %{buildroot}%{_prefix}/license
