Name:           scummvm
Version:        2.9.0
Release:        %mkrel 2
Summary:        An implementation of Lucas Arts' SCUMM interpreter
Group:          Games/Adventure
License:        GPLv2+ and LGPLv2+
Url:            https://www.scummvm.org/
Source0:        https://downloads.scummvm.org/frs/scummvm/%{version}/%{name}-%{version}.tar.xz
Patch0005:      scummvm-2.1.1-ftbfs-use-bfd-linker-on-x86.patch
BuildRequires:  nasm
BuildRequires:  giflib-devel
BuildRequires:  pkgconfig(discord-rpc)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libmikmod)
BuildRequires:  pkgconfig(speech-dispatcher)
BuildRequires:  pkgconfig(libmpeg2)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_net)
BuildRequires:  pkgconfig(sonivox)
BuildRequires:  pkgconfig(sndio)
BuildRequires:  pkgconfig(theoradec)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vpx)
BuildRequires:  pkgconfig(zlib)

%description
ScummVM is an implementation of LucasArts S.C.U.M.M.
(Script Creation Utility for Maniac Mansion) interpreter, used in games
such as Monkey Island, Indiana Jones, Day Of The Tentacle, Sam and Max,
and many more. Some things are still missing, and some games cannot
be completed yet. There are quite a few known bugs. Regardless of
the bugs it is still possible to play some games all the way through
to the end.

Some of these games have been released as freeware by their
developers, install e.g. beneath-a-steel-sky or
flight-of-the-amazon-queen packages to play.

%prep
%autosetup -p1

%build
# workaround FTBFS on i386
%ifarch %{ix86}
export LDFLAGS="%{ldflags} -fuse-ld=bfd"
%endif

# The configure script shall ignore the parameter for the --host option
# passed by %%configure.
export CONFIGURE_NO_HOST=true

%configure \
  --bindir=%{_gamesbindir} \
  --datadir=%{_gamesdatadir}/%{name} \
  --enable-all-engines \
  --enable-release \
  --enable-freetype2 \
  --enable-text-console \
  --with-freetype2-prefix=%{_prefix}

%make_build

%install
%make_install

%files
%doc %{_docdir}/%{name}
%{_datadir}/applications/org.scummvm.%{name}.desktop
%{_gamesdatadir}/%{name}/
%{_metainfodir}/org.scummvm.%{name}.metainfo.xml
%{_gamesbindir}/%{name}
%{_datadir}/pixmaps/org.scummvm.%{name}.xpm
%{_iconsdir}/hicolor/scalable/apps/org.scummvm.%{name}.svg
%{_mandir}/man6/%{name}.6*
