##NOTE Push to core AND nonfree with:
# $ mgarepo submit sdcc --define section=core/release
# $ mgarepo submit sdcc --define section=nonfree/release
%define nonfree 0
%if "%distro_section" == "nonfree"
%define nonfree 1
%endif

Name:		sdcc
Version:	4.5.0
Release:	%mkrel 1
Summary:	Small Device C Compiler
Group:		Development/Other
License:	GPLv2 GPLv3 GPLv2+LE
URL:		https://sdcc.sourceforge.net/
Source0:	https://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-src-%{version}.tar.bz2
Source1:	https://sourceforge.net/projects/%{name}/files/%{name}-doc/%{version}/%{name}-doc-%{version}.tar.bz2

Patch0:		sdcc-3.4.0-mga-pic14devices.txt.patch
Patch1:		sdcc-4.4.0-mga-autoconf-2.72.patch
Patch2:		sdcc-4.4.0-mga-remove_VERBOSE.patch

BuildRequires:	bison
BuildRequires:	boost-devel
BuildRequires:	flex
BuildRequires:	gputils
BuildRequires:	libgc-devel
BuildRequires:	texinfo

Requires:		gputils

%description
SDCC is a retargetable, optimizing ANSI-C compiler that targets the
Intel 8051, Maxim 80DS390, Zilog Z80 and the Motorola 68HC08 based
MCUs. Work is in progress on supporting the Microchip PIC16 and
PIC18 series.
%if %{nonfree}
This package is in non-free because it includes some non-free content.
%else
A package including support for more devices is available in the non-free
repository.
%endif

%prep
%autosetup -p1 -b 1

# make autoreconf happy
rm -rf support/sdbinutils/config/override.m4
sed -i -e '/config\/override.m4/d' support/sdbinutils/configure.ac

# fix build on aarch64
for d in $(find . -name "config.sub"); do
  cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} $(dirname $d)
done

%build
# update autofoo files
autoreconf -vfi

%configure \
	--disable-doc  \
	--enable-libgc \
%if %{nonfree}
	--enable-non-free
%else
	--disable-non-free
%endif
%make_build

%install
%make_install
rm -f %{buildroot}%{_includedir}/*
rm -f %{buildroot}%{_libdir}/*
rm -rf %{buildroot}%{_docdir}/*

mkdir %{buildroot}%{_docdir}/%{name}
cp -rf ../doc/* %{buildroot}%{_docdir}/%{name}/
find %{buildroot} -name INSTALL.txt -delete
# bfd.info.xz is provided by binutils
rm -rf %{buildroot}%{_infodir}/
sed -i 's:python:python3:' %{buildroot}%{_bindir}/as2gbmap

%files
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*.1.*
%{_libexecdir}/%{name}/
