Name:           sddm-conf
Version:        0.3.0
Release:        %mkrel 1
Summary:        SDDM configuration editor
License:        MIT
Group:          Graphical desktop/Other
URL:            https://github.com/qtilities/sddm-conf
Source0:        %{URL}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake(ECM)
BuildRequires:  cmake(Qtilitools)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Widgets)

Requires:       polkit

Obsoletes:      sddm-config-editor < 0.1.r8246144-7
Provides:       sddm-config-editor = %{version}-%{release}

%description
Configuration editor for SDDM similar to sddm-config-editor, but written in
C++.

%prep
%autosetup -p1

%build
%cmake_qt6 -DPROJECT_QT_VERSION=6
%cmake_build

%install
%cmake_install

desktop-file-edit --add-category=System\;Settings\; \
	%{buildroot}%{_datadir}/applications/sddm_conf.desktop

%find_lang %{name} --with-qt

%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/sddm_conf.desktop
%{_metainfodir}/sddm_conf.appdata.xml
