#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        SDDM KDE configuration module
Name:           sddm-kcm
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickWidgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Service)

BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcursor)

%description
This is a System Settings configuration module for configuring the
SDDM Display Manager.

%files -f %{name}6.lang
%_kf6_bindir/sddmthemeinstaller
%_kf6_libexecdir/kauth/kcmsddm_authhelper
%_kf6_datadir/knsrcfiles/sddmtheme.knsrc
%_kf6_datadir/dbus-1/system.d/org.kde.kcontrol.kcmsddm.conf
%_kf6_datadir/dbus-1/system-services/org.kde.kcontrol.kcmsddm.service
%_kf6_datadir/polkit-1/actions/org.kde.kcontrol.kcmsddm.policy
%_qt6_plugindir/plasma/kcms/systemsettings/kcm_sddm.so
%_kf6_applicationdir/kcm_sddm.desktop

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}6 --all-name

