%define _name sdlBasic
%undefine _hardened_build
%global _legacy_common_support 1

Name:		sdlbasic
Version:	2007.07.14
Release:	%mkrel 19
URL:		https://sdlbasic.sourceforge.net/
Source0:	%{_name}-src-%{version}.tgz
License:	LGPLv2
Group:		Development/Basic
Summary:	A small, efficient and multiplatform basic interpreter
Patch1:         scintilla-makefile-flags.patch
Patch2:         scite-makefile.patch
# fix missing DESTDIR
Patch3:		sdlbasic-makefile-install.patch
Patch4:		sdlbrt-makefile-install.patch
# fix SciteDefaultHome
Patch5:		sdlBasic-properties.patch
Patch6:		sdlbasic-exporters.patch
Patch7:		sdlbasic-link.patch
Patch8:		sdlbrt-drop-fonts.patch
Patch9:		sdlbasic-nostrip.diff
Patch10:	sdlBasic-build-flags.patch
Patch11:	sdlBasic-strfmt.patch
Patch12:	sdlBasic-build-flags-vol2.patch
Patch13:	sdlBasic-gcc14.patch
BuildRequires:	gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:	pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  pkgconfig(SDL_net)
BuildRequires:  smpeg-devel
BuildRequires:  desktop-file-utils

Requires:	sdlbrt = %{version}-%{release}

%package -n sdlbrt
Summary:	%{_name} runtime interpreter
Group:		Development/Basic
Requires:	fonts-ttf-dejavu

%description
An easy basic in order to make games in 2d style amos for linux and windows.
The basic it comprises a module runtime, ide examples and games.

%description -n sdlbrt
%{_name} runtime interpreter.

%prep
%setup -q -n usr/src/%{_name}
sed -i -e 's|/opt/sdlBasic|%{_prefix}|' -e 's|-o root -g root||' src/*/makefile src/*/*/makefile src/sdlBasic/gtk/sdlBasic.desktop 
sed -i 's|/opt/sdlBasic|%{_prefix}|' src/sdlBasic/gtk/sdlBasic.desktop 
sed -i 's|(guint)data|(unsigned long)data|' src/sdlBasic/gtk/SciTEGTK.cxx
sed -i 's|SYSCONF_PATH=$(prefix)/share/sdlBasic|SYSCONF_PATH=%{_sysconfdir}/sdlbasic|' src/sdlBasic/gtk/makefile
# fixes dejavu font dir
sed -i -e 's|fonts/ttf|fonts/TTF|' src/*/makefile src/*/*/makefile

%patch -P 1
%patch -P 2
%patch -P 3
%patch -P 4
%patch -P 5
%patch -P 6
%patch -P 7 -p0
%patch -P 8 -p4 -b .dropfonts
%patch -P 10 -p4
%patch -P 11 -p4
%patch -P 12 -p4
%patch -P 13 -p4

# due to patch5
sed -i -e 's|@BASEDIR@|%{_prefix}|' -e 's|@SDLBRT_PATH@|%{_bindir}/sdlBrt|' share/sdlBasic/sdlBasic.properties

# drop rpath
sed -i -e 's/-Wl,-rpath,//g' $(find . -name "makefile")

%__cat > src/sdlBasic/gtk/sdlBasic.desktop << EOF
[Desktop Entry]
Categories=Development;IDE;
Comment=sdlBasic IDE
Comment[fr]=IDE sdlBasic
Comment[it]=IDE per sdlBasic
Exec=sdlbasic
GenericName=Editor for sdlBasic language
GenericName[fr]=Éditeur pour le langage sdlBasic
GenericName[it]=Editor per il linguaggio sdlBasic
Icon=sdlbasic
Name=sdlBasic
Name[fr]=sdlBasic
Name[it]=sdlBasic
StartupNotify=true
Terminal=false
Type=Application

EOF

# related to patch8
find . -type f -name "*.ttf" -delete

%build
cd src
OPTFLAGS="%{optflags}" LDFLAGS="%{ldflags}" STRIP=/bin/true ./compile.sh
cd ..

%install
%make_install -C src/sdlBasic/gtk OPTFLAGS="%{optflags}" LDFLAGS="%{ldflags}" STRIP=/bin/true
%make_install os=linux -C src/sdlBrt OPTFLAGS="%{optflags}" LDFLAGS="%{ldflags}" STRIP=/bin/true
cp -r share/* %{buildroot}%{_datadir}
ln -s -f %{_name} %{buildroot}%{_bindir}/%{name}
ln -s -f sdlBrt %{buildroot}%{_bindir}/sdlbrt

install -m 755 -D src/sdlBasic/gtk/sdlBIDE48M.png %{buildroot}%{_iconsdir}/sdlbasic.png

desktop-file-install --vendor="" \
                     --dir="%{buildroot}%{_datadir}/applications" \
                     ./src/sdlBasic/gtk/sdlBasic.desktop

%files
%{_bindir}/%{name}
%{_bindir}/%{_name}
%dir %{_datadir}/doc/%{_name}
%dir %{_datadir}/%{_name}
%dir %{_sysconfdir}/%{name}
%{_datadir}/doc/%{_name}/*
%{_datadir}/%{_name}/*
%exclude %{_datadir}/%{_name}/*.properties
%{_sysconfdir}/%{name}/*
%exclude %{_sysconfdir}/%{name}/*.api
%{_iconsdir}/sdlbasic.png
%{_datadir}/applications/sdlBasic.desktop

%files -n sdlbrt
%{_bindir}/sdlBrt
%{_bindir}/sdlbrt
