%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		seafile
Version:	9.0.12
Release:	%mkrel 2
Summary:	Open source cloud storage system with features on privacy protection and teamwork
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://github.com/haiwen/seafile
Source0:	https://github.com/haiwen/seafile/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libargon2)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(uuid) >= 2.0
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libsearpc)
BuildRequires:	pkgconfig(libwebsockets)
BuildRequires:	pkgconfig(python3)
BuildRequires:	vala >= 0.26

Requires:	python3dist(seafile) = %{version}-%{release}

%description
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Provides:	python3dist(seafile) = %{version}-%{release}
Provides:	python%{python3_version}dist(seafile) = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}
Obsoletes:	python2-seafile < 7.0.2-2

%description -n	python3-%{name}
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.
This package contains the python 3 bindings for %{name}.

#----------------------------------------------------

%prep
%autosetup -p1

sed -i -e /\(DESTDIR\)/d lib/libseafile.pc.in

NOCONFIGURE=1 ./autogen.sh

%build
export PYTHON=%{__python3}
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# python shebang
%py3_shebang_fix %{buildroot}%{_bindir}/*

%files
%doc README.markdown
%license LICENSE.txt
%{_bindir}/seaf-cli
%{_bindir}/seaf-daemon
%{_mandir}/man1/*.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.markdown
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files -n python3-%{name}
%doc README.markdown
%{python3_sitearch}/%{name}/
