Name:		seahorse
Summary:	GNOME frontend to GnuPG
Version:	47.0.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Seahorse
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Upstream patches
Patch1:		0001-build-Fix-symbolic-icon-name.patch
Patch2:		0001-Port-to-GTK4-and-gcr4.patch
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:  pkgconfig(gck-2)
BuildRequires:	pkgconfig(gcr-4) >= 4.3.90.3
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(pwquality)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	gnupg2
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	libldap-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	imagemagick
BuildRequires:	libxslt-proc
BuildRequires:	desktop-file-utils
BuildRequires:	vala
BuildRequires:	openssh-clients
BuildRequires:	meson

Provides:	gnome-keyring-manager
Requires(post): update-alternatives
Requires(postun): update-alternatives
Requires:       gnupg2

# Ported to gcr4, but seems that gcr3 is still needed:
# (org.gnome.seahorse.Application:1985): GLib-GIO-ERROR **: 14:18:26.183:
# Settings schema 'org.gnome.crypto.pgp' is not installed
Requires:	gcr

%description
Seahorse is a GNOME frontend for the GNU Privacy Guard encryption tool. It can
be used for file encryption and decryption and for digitally signing files and
for verifying those signatures. Key management options are also included.

%prep
%autosetup -p1

# (ovitters) forcefullly break any included subprojects; this should be provided by the distro
#            by adding the relevant BuildRequires
rm -rf subprojects

%build
%meson -Dmanpage=true
%meson_build

%install
%meson_install

%{find_lang} %{name} --all-name --with-gnome

# (wally) 2019-03-12
# make /usr/libexec/openssh/ available for post script without requiring openssh-server
# which owns it. we also own this dir, which is not technically 100% correct,
# but without having it post scriptlet fails
mkdir -p %{buildroot}%{_libexecdir}/openssh/

%post
update-alternatives --install %{_libexecdir}/openssh/ssh-askpass ssh-askpass %{_libexecdir}/seahorse/ssh-askpass 15
update-alternatives --install %{_bindir}/ssh-askpass bssh-askpass %{_libexecdir}/%{name}/ssh-askpass 15

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove ssh-askpass %{_libexecdir}/%{name}/ssh-askpass
update-alternatives --remove bssh-askpass %{_libexecdir}/%{name}/ssh-askpass

# handle path change for those executables
%triggerpostun -- seahorse < 3.29.91-2
update-alternatives --remove ssh-askpass %{_libdir}/%{name}/%{name}-ssh-askpass
update-alternatives --remove bssh-askpass %{_libdir}/%{name}/%{name}-ssh-askpass

%files -f %{name}.lang
%doc NEWS README.md
%{_bindir}/seahorse
%dir %{_libexecdir}/openssh/
%ghost %{_libexecdir}/openssh/ssh-askpass
%dir %{_libexecdir}/seahorse/
%{_libexecdir}/seahorse/ssh-askpass
%{_libexecdir}/seahorse/xloadimage
%{_mandir}/man1/*
%{_datadir}/applications/org.gnome.seahorse.Application.desktop
%{_datadir}/seahorse/
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/dbus-1/services/org.gnome.seahorse.Application.service
%{_datadir}/gnome-shell/search-providers/seahorse-search-provider.ini
%{_metainfodir}/org.gnome.seahorse.Application.appdata.xml
