# (kamil) make the .spec portable over systems with non-GNU sed
%bcond_with gnuprefix

%define _bindir /bin

Summary:	A GNU stream text editor
Name:		sed
Version:	4.9
Release:	%mkrel 2
License:	GPL
Group:		Text tools
Url:		https://www.gnu.org/software/sed/
Source0:	https://ftp.gnu.org/gnu/sed/%{name}-%{version}.tar.xz
BuildRequires:	texinfo

%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor.  Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text.  The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.

%prep
%setup -q
%autopatch -p1

sed -e 's/1729576/EPERM/' \
    -i gnulib-tests/test-{strerror_r,perror2}.c

%build
%configure \
%if %{with gnuprefix}
	       --program-prefix=g
%endif

%make_build
%make_build html

%install
%make_install
rm -f %{buildroot}%{_docdir}/sed.html

%find_lang %{name}

%check
# Single thread check
%__make check

%files -f %{name}.lang
%doc BUGS NEWS README doc/sed.html
%{_bindir}/*sed 
%{_infodir}/sed.info*
%{_mandir}/man1/*sed.1*
