%define major     0
%define libname   %mklibname %name %major
%define develname %mklibname -d %name

%define url_ver   %(echo %{version}|cut -d. -f1,2)

Name:          seed
Version:       3.8.1
Release:       %mkrel 8
Summary:       GObject JavaScriptCore bridge
License:       LGPLv3+ and GPLv3+
Group:         Development/Other
Url:           https://wiki.gnome.org/Seed
Source0:       https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:        seed-3.8.1-fix-str-fmt.patch
Patch1:        seed-3.8.1-linkage.patch
Patch2:	       seed-webkit2.patch

BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gnome-js-common)
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.6.3
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libffi)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(webkit2gtk-4.0)
BuildRequires: readline-devel
BuildRequires: mpfr-devel
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: gettext-devel

%description
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.

%package -n    %libname
Group:         System/Libraries
Summary:       GObject JavaScriptCore bridge - shared library

%description -n %libname
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.

%package -n    %develname
Summary:       GObject JavaScriptCore bridge - development library
Group:         Development/C
Requires:      %libname = %version-%release
Provides:      %name-devel = %version-%release
Provides:      lib%name-devel = %version-%release

%description -n %develname
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.

%prep
%setup -q
%autopatch -p1

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure \
     --enable-gtk-doc \
     --disable-static \
     --with-webkit=4.0
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc README AUTHORS
%{_docdir}/%{name}/
%_bindir/seed
%_datadir/seed-gtk3
%_mandir/man1/seed.1*
%_libdir/seed-gtk3

%files -n %libname
%_libdir/libseed-gtk3.so.%{major}*

%files -n %develname
%doc ChangeLog
%_libdir/libseed-gtk3.so
%_libdir/pkgconfig/seed.pc
%_includedir/seed-gtk3
%_datadir/gtk-doc/html/seed
