Name:		semantik
Summary:	Mindmapping-like tool
Epoch:		1
Version:	1.2.11
Release:	%mkrel 2
Group:		Office/Utilities
License:	GPLv3
# https://gitlab.com/ita1024/semantik
URL:		https://waf.io/semantik.html
Source0:	https://waf.io/%{name}-%{version}.tar.bz2
# Upstream patches

BuildRequires:	waf

BuildRequires:	kf5-rpm-macros
BuildRequires:	cmake(KF5Auth)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KDELibs4Support)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)

BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Positioning)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5TextToSpeech)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	cmake(Qt5DesignerComponents)
BuildRequires:	cmake(Qt5EglFSDeviceIntegration)
BuildRequires:	cmake(Qt5XcbQpa)

BuildRequires:	pkgconfig(python3)

Requires:	plasma-workspace

%description
Semantik (previously Kdissert) is a mindmapping-like tool to help
students to produce complicated documents very quickly and efficiently:
presentations, dissertations, thesis, reports. While targetted mostly
at students, Kdissert can also help teachers, decision maker, engineers
and businessmen. Semantik is also available exclusively for Linux and
other free operating systems.

%prep
%autosetup -p1

%build
%waf
%waf_build --verbose

%install
%waf_install --nomimes --noldconfig --nogtkicons

install -Dm 0644 src/data/%{name}.svg %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -m 0644 src/data/%{name}-d.svg %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}-d.svg

# fix rpmlint complaints
chmod a+rx %{buildroot}%{_kf5_datadir}/%{name}/templates/pdflatex/wscript
chmod a+rx %{buildroot}%{_kf5_datadir}/%{name}/templates/beamer/wscript
chmod a+rx %{buildroot}%{_kf5_datadir}/%{name}/filters/*.py
chmod a+rx %{buildroot}%{_kf5_datadir}/%{name}/sembind.py

# install man page
install -D -m 0644 src/data/%{name}.1 %{buildroot}%{_kf5_mandir}/man1/%{name}.1

# python shebangs
%py3_shebang_fix %{buildroot}%{_kf5_datadir}/%{name}/*
%py3_shebang_fix %{buildroot}%{_kf5_datadir}/%{name}/templates/pdflatex/wscript
%py3_shebang_fix %{buildroot}%{_kf5_datadir}/%{name}/templates/beamer/wscript

# remove unneeded devel files
find %{buildroot} -name '*.so' -delete

%find_lang %{name}
%find_lang %{name}-d

%files -f %{name}.lang -f %{name}-d.lang
%doc ChangeLog README TODO
%license LICENSE
%{_kf5_bindir}/%{name}
%{_kf5_bindir}/%{name}-d
%{_kf5_libdir}/lib%{name}.so*
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/kxmlgui5/%{name}-d/
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_applicationsdir}/%{name}-d.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_datadir}/mime/packages/%{name}.xml
%{_kf5_mandir}/man1/%{name}.1*
