%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		serd
Version:	0.32.4
Release:	%mkrel 1
Summary:	Lightweight RDF syntax library
License:	ISC License (ISC)
Group:		System/Libraries
URL:		https://drobilla.net/software/serd/
Source0:	https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires:	mandoc
BuildRequires:	meson
BuildRequires:	doxygen
BuildRequires:	python3-sphinx
BuildRequires:	python3-sphinx-lv2-theme
BuildRequires:	python3-sphinxygen

%description
Lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples. Serd is not intended to be a Swiss army
knife of RDF syntax, but rather is suited to resource limited or
performance critical applications, or situations where a simple
reader/writer with minimal dependencies is ideal
(e.g. in LV2 hosts or plugins).


%package -n %{lib_name}
Summary:	Lightweight RDF syntax library
Group:		System/Libraries

%description -n %{lib_name}
Lightweight C library for RDF syntax which supports reading
and writing Turtle and NTriples. Serd is not intended to be a Swiss-army
knife of RDF syntax, but rather is suited to resource limited or
performance critical applications, or situations where a simple
reader/writer with minimal dependencies is ideal
(e.g. in LV2 hosts or plugins).


%package -n %{lib_name_devel}
Summary:	Headers for the Lightweight RDF syntax library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against serd.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install


%files -n %{name}
%doc NEWS README.md
%{_bindir}/serdi
%{_mandir}/man1/serdi.*
%{_docdir}/%{name}-%{lib_api}/

%files -n %{lib_name}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc
