%define api 2
%define	major 2
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} %{api} -d
%define snapshot 20170921

Summary:	A high-performance asynchronous HTTP client library
Name:		serf
Version:	1.4.0
Release:	%mkrel 0.8
License:	Apache License
Group:		System/Libraries
URL:		https://serf.apache.org/
Source0:	https://archive.apache.org/dist/serf/%{name}-%{snapshot}.tar.bz2
#
# Fedora patches:
#
Patch0:		libserf-norpath.patch
# remove use of some deprecated openssl APIs
# one of those causes a test program to go into an infinite loop
Patch1:		serf-openssl.patch
Patch2:		libserf-1.3.9-bio-ctrl.patch
Patch3:         libserf-1.3.9-errgetfunc.patch
#
# Mageia Patches:
#
# the test for revoked certificate(s) returns an additional error flag
# make the test less strict so it does not fail
Patch22:		serf-revoked-test-failure.patch
Patch23:		serf-scons-python3.patch
BuildRequires:	pkgconfig(apr-1)
BuildRequires:	pkgconfig(apr-util-1)
BuildRequires:	db-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	scons

%description
The serf library is a C-based HTTP client library built upon the Apache
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.

%package -n	%{libname}
Summary:	A high-performance asynchronous HTTP client library
Group:		System/Libraries
Obsoletes:	%{_lib}serf2 < 1.4.0-0.3

%description -n	%{libname}
The serf library is a C-based HTTP client library built upon the Apache
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.


%package -n	%{develname}
Summary:	Development libraries and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}serf-devel < 1.4.0-3

%description -n	%{develname}
The serf library is a C-based HTTP client library built upon the Apache
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.

This package contains all of the development files that you will need in order
to compile %{name} applications.


%prep
%autosetup -p1 -n serf-trunk

%build

scons \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
    APR=%{_prefix} \
    OPENSSL=%{_prefix} \
    ZLIB=%{_prefix} \
    DEBUG=yes \
    CFLAGS="%{optflags}" \
    LINKFLAGS="%{ldflags}" \
    APR_STATIC=no

%scons

%check
%scons \
    CFLAGS="%{optflags}" \
    check || true

%install
%scons install --install-sandbox=%{buildroot}

# enable strip and debug packages
chmod 755 %{buildroot}%{_libdir}/libserf*.so*

# Don't ship static libs
rm -fR %{buildroot}%{_libdir}/*.a
rm -fR %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc CHANGES LICENSE NOTICE README design-guide.txt
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/serf-%{api}/
%{_includedir}/serf-%{api}/*.h
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
