Summary:    A set of system configuration and setup files
Name:       setup
Version:    2.7.25
Release:    %mkrel 3
License:    Public Domain
Group:      System/Base
Url:        https://gitweb.mageia.org/software/setup
# https://gitweb.mageia.org/software/setup
# NO PATCH ALLOWED, COMMIT IN GIT!!!!
Source0:     %{name}-%{version}.tar.xz
BuildArch: noarch
BuildRequires: bash tcsh perl
# prevent the shell to fail running post script:
Requires(posttrans): glibc
# for backward compatibility, to remove when other packages correctly require run-parts directly:
Requires:   run-parts

%description
The setup package contains a set of very important system
configuration and setup files, such as passwd, group,
profile and more.

You should install the setup package because you will
find yourself using its many features for system
administration.


%prep
%setup -q
./shadowconvert.sh

%check
# Run any sanity checks.
%__make check

%install
%make_install

%files
%doc NEWS
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/passwd
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/group
%verify(not md5 size mtime) %attr(0440,root,shadow) %config(noreplace) %{_sysconfdir}/shadow
%verify(not md5 size mtime) %attr(0440,root,shadow) %config(noreplace) %{_sysconfdir}/gshadow
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/subuid
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/subgid
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/fstab
%config(noreplace) %{_sysconfdir}/services
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/resolv.conf
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/hosts
%config(noreplace) %{_sysconfdir}/filesystems
%config(noreplace) %{_sysconfdir}/host.conf
%config(noreplace) %{_sysconfdir}/hosts.allow
%config(noreplace) %{_sysconfdir}/hosts.deny
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/motd
%config(noreplace) %{_sysconfdir}/printcap
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/inputrc
%config(noreplace) %{_sysconfdir}/protocols
%config(noreplace) %{_sysconfdir}/profile
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/shells
%attr(0644,root,root) %config(missingok,noreplace) %{_sysconfdir}/securetty
%config(noreplace) %{_sysconfdir}/csh.login
%config(noreplace) %{_sysconfdir}/csh.cshrc
%config(noreplace) %{_sysconfdir}/networks
%ghost %verify(not md5 size mtime) /var/log/lastlog

%posttrans -p <lua>
-- fix owner group as there is no shadow group available during the initial installation
shadowfiles = {'shadow', 'shadow-', 'gshadow', 'gshadow-'}
for i, file in ipairs(shadowfiles) do
  if posix.access("/etc/" .. file, "f") then
    f = posix.stat("/etc/" .. file)
    if f.gid ~= "shadow" then
      posix.chown("/etc/" .. file, "root", "shadow")
    end
  end
end

cfgfiles = {'fstab', 'group', 'gshadow', 'hosts', 'passwd', 'resolv.conf', 'shadow'}
for i, file in ipairs(cfgfiles) do
  if posix.stat("/etc/" .. file .. ".rpmnew") then
    os.remove("/etc/" .. file .. ".rpmnew")
  end
end

if posix.access("/usr/sbin/nscd", "x") then
  rpm.execute("nscd", "-i", "passwd", "-i", "group")
end
