%global gittag 06e065e5fd43d706476cd0d596a54746293c98e6
%global gitdate 20240411
Name:          sextractor
Version:       2.25.0
Release:       %mkrel 11.git%{gitdate}
Summary:       Extract catalogs of sources from astronomical images

Group:         Sciences/Astronomy
License:       GPLv3
URL:           https://astromatic.net/software/sextractor

Source0:       https://github.com/astromatic/sextractor/archive/06e065e5fd43d706476cd0d596a54746293c98e6.tar.gz

#prefer fputs
Patch0:        sextractor-2.19.5-security-fprintf.patch
#force "%s" in sprintf calls
Patch1:        sextractor-2.19.5-security-sprintf.patch


BuildRequires: fftw-devel >= 3.1
BuildRequires: pkgconfig(cfitsio)
BuildRequires: openblas-devel

%description
SExtractor is a program that builds a catalogue of objects from an
astronomical image. Although it is particularly oriented towards
reduction of large scale galaxy-survey data, it performs rather
well on moderately crowded star fields.

%prep
%autosetup -n sextractor-%{gittag} -p1


%build
# fix build on aarch64
autoreconf -vfi
export CFLAGS="%{optflags} -fcommon"
%configure --enable-openblas

%make_build

%install
%make_install
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
install -m 644 -p config/*.conv %{buildroot}%{_datadir}/%{name}
install -m 644 -p config/default.nnw %{buildroot}%{_datadir}/%{name}

%files
%doc AUTHORS BUGS COPYRIGHT HISTORY README.md THANKS config/default.sex config/default.param
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/manx/*
%{_datadir}/%{name}/
