%define soname  2.5
%define libname %mklibname %{name} %{soname}
%define devname %mklibname %{name} -d

Name:           sfml
Version:        2.5.1
Release:        %mkrel 4
Summary:        Multimedia C++ API providing access to graphics, input, audio, etc
Group:          Development/C++
License:        zlib
URL:            https://www.sfml-dev.org/
# Repacked to get rid of ./extlibs dir containing Windows and Mac binaries
# mv extlibs/headers/stb_image . && rm -rf extlibs
# mkdir -p extlibs/headers && mv stb_image extlibs/headers
#Source0:        https://www.sfml-dev.org/files/SFML-%{version}-sources.zip
Source0:        SFML-%{version}.tar.xz

Patch0:         sfml-2.5.0-window-link-pthread.patch

Obsoletes:      sfml2 < 2.1-9

BuildRequires:  cmake
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xrandr)

%description
SFML is a portable and easy to use multimedia API written in C++.
You can see it as a modern, object-oriented alternative to SDL.

#----------------------------------------------------------------------

%package -n %{libname}
Summary:    Dynamic libraries from %{name}
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}

%description -n %{libname}
SFML is a portable and easy to use multimedia API written in C++.
You can see it as a modern, object-oriented alternative to SDL.

SFML is composed of several packages to perfectly suit your needs.
You can use SFML as a minimal windowing system to interface with OpenGL,
or as a fully-featured multimedia library for building games or
interactive programs.

%files -n %{libname}
%{_libdir}/libsfml-*.so.%{soname}{,.*}

#----------------------------------------------------------------------

%package -n %{devname}
Summary:    Development files for %{name}
Group:      Development/C++
Requires:   %{libname} = %{version}-%{release}
#--- Previous devel packages from SFML 1.6
Obsoletes:  %{_lib}sfml-audio-devel < 1.6-11
Obsoletes:  %{_lib}sfml-graphics-devel < 1.6-11
Obsoletes:  %{_lib}sfml-network-devel < 1.6-11
Obsoletes:  %{_lib}sfml-system-devel < 1.6-11
Obsoletes:  %{_lib}sfml-window-devel < 1.6-11
Obsoletes:  %{_lib}csfml-audio-devel < 1.6-11
Obsoletes:  %{_lib}csfml-graphics-devel < 1.6-11
Obsoletes:  %{_lib}csfml-network-devel < 1.6-11
Obsoletes:  %{_lib}csfml-system-devel < 1.6-11
Obsoletes:  %{_lib}csfml-window-devel < 1.6-11
Obsoletes:  %{_lib}sfml-devel < 1.6-11
Obsoletes:  %{_lib}csfml-devel < 1.6-11
Provides:   sfml-audio-devel
Provides:   sfml-graphics-devel
Provides:   sfml-network-devel
Provides:   sfml-system-devel
Provides:   sfml-window-devel
Provides:   csfml-audio-devel
Provides:   csfml-graphics-devel
Provides:   csfml-network-devel
Provides:   csfml-system-devel
Provides:   csfml-window-devel
Provides:   csfml-devel
#---
Obsoletes:  %{_lib}sfml2-devel < 2.1-9
Provides:   %{_lib}sfml2-devel = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devname}
Includes files for developing programs based on %{name}

%files -n %{devname}
%doc changelog.md readme.md examples/
%license license.md
%{_includedir}/SFML/
%{_libdir}/libsfml-*.so
%{_libdir}/cmake/SFML/
%{_libdir}/pkgconfig/sfml-*.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1 -n SFML-%{version}

sed -i cmake/Macros.cmake -e 's|lib/cmake|%{_lib}/cmake|'

%build
%cmake -DSFML_INSTALL_PKGCONFIG_FILES=TRUE
%cmake_build

%install
%cmake_install

# doc, we packaged it in %%files
rm -rf %{buildroot}%{_datadir}/SFML
