%define	major		2
%define libname		%mklibname sgutils 2 %{major}
%define develname	%mklibname sgutils -d

Summary:	Utils for Linux's SCSI generic driver devices + raw devices
Name:		sg3_utils
Version:	1.48
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://sg.danny.cz/sg/sg3_utils.html
Source0:	https://sg.danny.cz/sg/p/%{name}-%{version}.tar.xz
Patch0:		sg3_utils-remove-release-from-libname.patch

%description
Collection of tools for SCSI devices that use the Linux SCSI
generic (sg) interface. Includes utilities to copy data based on
"dd" syntax and semantics (called sg_dd, sgp_dd and sgm_dd); check
INQUIRY data and associated pages (sg_inq); check mode and log
pages (sg_modes and sg_logs); spin up and down disks (sg_start);
do self tests (sg_senddiag); and various other functions. See the
README and CHANGELOG files. Requires the lk 2.4 series or better.
[In the lk 2.5 development series many of these utilities can be
used on the primary block device name (e.g. /dev/sda).]

Warning: Some of these tools access the internals of your system
and the incorrect usage of them may render your system inoperable.

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the shared library for %{name}.

%package -n	%{develname}
Summary:	Development library and header files for the sgutils library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libsgutils-devel = %{version}-%{release}
Provides:	sgutils2-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
This package contains the sgutils development library and its header
files.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure \
	--disable-static \
	--bindir=%{_sbindir}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc ChangeLog COVERAGE CREDITS README README.sg_start
%{_sbindir}/*
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/libsgutils2.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/scsi/*.h
%{_libdir}/*.so
