%global xmlxsdver 2009/01

Name:		sgml-common
Version:	0.6.3
Release:	%mkrel 29
Group:		Publishing
Summary:	Base ISO character entities and utilities for SGML and XML
License:	GPL
URL:		https://www.w3.org/2003/entities/
BuildArch:	noarch
Source0:	ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%{name}-%{version}.tgz
# Following 4 from openjade/pubtext - same maintainer as in SGML-common, so up2date:
Source1:    xml.dcl
Source2:    xml.soc
Source3:    html.dcl
Source4:    html.soc
Source5:    https://www.w3.org/%{xmlxsdver}/xml.xsd
Patch0: sgml-common-umask.patch
Patch1: sgml-common-xmldir.patch
Patch2: sgml-common-quotes.patch

Requires: coreutils grep
Requires: libxml2-utils >= 2.4.8-2
BuildRequires: libxml2-utils >= 2.4.8-2
Requires(pre):  libxml2-utils

Obsoletes: xml-common
Provides: xml-common
# ease upgrade mga6 -> mga7 (mga#24846)
Conflicts: openjade < 1.3.3-0.pre1.18

%description
The ISO standardization organization has normalized a set of characters
symbolic names ("character entities") used by SGML documents of many types.
There are character entities for Latin languages, math symbols, Greek,
Cyrillic, etc. This package also includes very basic utilities to allow
SGML catalogs manipulation.

%prep
%setup -q
%autopatch -p1

# replace bogus links with files
automakedir=`ls -1d /usr/share/automake* | head -n +1`
for file in COPYING INSTALL install-sh missing mkinstalldirs; do
   rm $file
   cp -p $automakedir/$file .
done

%build
%configure
%make_build

%install
%__make install DESTDIR="$RPM_BUILD_ROOT" htmldir='%{_datadir}/doc' INSTALL='install -p'

%__mkdir %{buildroot}%{_sysconfdir}/xml
%__mkdir_p %{buildroot}%{_sysconfdir}/sgml/docbook
%__mkdir_p %{buildroot}%{_datadir}/sgml/docbook

# Touch SGML catalog
touch %{buildroot}%{_sysconfdir}/sgml/catalog
# Create an empty XML catalog.
XMLCATALOG=%{buildroot}%{_sysconfdir}/xml/catalog
%{_bindir}/xmlcatalog --noout --create $XMLCATALOG
# ...and add xml.xsd in it
for type in system uri ; do
	for path in 2001 %{xmlxsdver} ; do
		%{_bindir}/xmlcatalog --noout --add $type \
			"http://www.w3.org/$path/xml.xsd" \
			"file://%{_datadir}/xml/xml.xsd" $XMLCATALOG
	done
done
# Now put the common DocBook entries in it
%{_bindir}/xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//ENTITIES DocBook XML" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
%{_bindir}/xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//DTD DocBook XML" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
%{_bindir}/xmlcatalog --noout --add "delegatePublic" \
	"ISO 8879:1986" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
%{_bindir}/xmlcatalog --noout --add "delegateSystem" \
	"http://www.oasis-open.org/docbook/" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
%{_bindir}/xmlcatalog --noout --add "delegateURI" \
	"http://www.oasis-open.org/docbook/" \
	"file://%{_sysconfdir}/sgml/docbook/xmlcatalog" $XMLCATALOG
# Also create the common DocBook catalog
%{_bindir}/xmlcatalog --noout --create \
	%{buildroot}%{_sysconfdir}/sgml/docbook/xmlcatalog
ln -sf %{_sysconfdir}/sgml/docbook/xmlcatalog\
	%{buildroot}%{_datadir}/sgml/docbook/xmlcatalog

rm -f %{buildroot}%{_datadir}/sgml/xml.dcl
%__install -p -m0644 %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} \
	%{buildroot}%{_datadir}/sgml
rm -rf %{buildroot}%{_datadir}/xml/*
%__install -p -m0644 %{SOURCE5} %{buildroot}%{_datadir}/xml

# remove installed doc file and prepare installation with %%doc
rm %{buildroot}%{_datadir}/doc/*.html
rm -rf __dist_doc/html/
%__mkdir_p __dist_doc/html/
cp -p doc/HTML/*.html __dist_doc/html/

%pre
if [ $1 -gt 1 ] && [ -e %{_sysconfdir}/xml/catalog ]; then
	for type in system uri ; do
		for path in 2001 %{xmlxsdver} ; do
			%{_bindir}/xmlcatalog --noout --add $type \
				"http://www.w3.org/$path/xml.xsd" \
				"file://%{_datadir}/xml/xml.xsd" \
				%{_sysconfdir}/xml/catalog
		done
	done
fi

%files
%doc doc/HTML/*.html
%dir %{_sysconfdir}/sgml
%config(noreplace) %{_sysconfdir}/sgml/sgml.conf
%ghost %config(noreplace) %{_sysconfdir}/sgml/catalog
%config(noreplace) %{_sysconfdir}/sgml/docbook/xmlcatalog
%dir %{_sysconfdir}/xml
%config(noreplace) %{_sysconfdir}/xml/catalog
%dir %{_datadir}/sgml
%dir %{_datadir}/sgml/sgml-iso-entities-8879.1986
%{_datadir}/sgml/sgml-iso-entities-8879.1986/*
%{_datadir}/sgml/xml.dcl
%{_datadir}/sgml/xml.soc
%{_datadir}/sgml/html.dcl
%{_datadir}/sgml/html.soc
%dir %{_datadir}/sgml/docbook
%{_datadir}/sgml/docbook/xmlcatalog
%dir %{_datadir}/xml
%{_datadir}/xml/xml.xsd
%{_bindir}/sgmlwhich
%{_bindir}/install-catalog
%{_mandir}/man8/install-catalog.8*
