%define major	0
%define libname	%mklibname shairplay %major
%define devname	%mklibname shairplay -d

%define snap	20180824
%define rel	4

Summary:	Apple AirPlay server implementation
Name:		shairplay
Version:	0.9.0
Release:	%mkrel 0.git%snap.%rel
# library: LGPLv2+
# application: MIT
License:	MIT
Group:		Networking/Other
URL:		https://github.com/juhovh/shairplay
# git archive --prefix shairplay-20120111/ master | xz > shairplay-20120111.tar.xz
Source:		https://github.com/juhovh/shairplay/archive/refs/heads/master.tar.gz#/%{name}-%{version}%{?snap:-git%{snap}}.tar.gz
BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(avahi-compat-libdns_sd)
BuildRequires:	libavahi-common-devel
Requires:	%{libname} = %{version}-%{release}

%description
Server for the Apple RAOP protocol, emulating an AirPort Express for the
purpose of streaming music from iTunes and compatible iPods.

%package -n %libname
Summary:	Shared library of shairplay
Group:		System/Libraries

%description -n %libname
Shairplay is an Apple RAOP protocol server, emulating an AirPort Express
for the purpose of streaming music from iTunes and compatible iPods.

This package contains the library needed to run programs dynamically
linked with libshairplay.

%package -n %devname
Summary:	Headers for libshairplay development
Group:		Development/C
Requires:	%libname = %version
Provides:	shairplay-devel = %version-%release

%description -n %devname
Shairplay is an Apple RAOP protocol server.

This package contains the headers that are needed to compile
applications that use libshairplay.

%prep
%setup -q -n %name-master

sed -i 's|dns_sd.h|avahi-compat-libdns_sd/dns_sd.h|' configure.ac

# avoid static libs
sed -i 's|-static-libtool-libs||' src/Makefile.am

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

find %{buildroot} -name '*.la' | xargs rm
find %{buildroot} -name '*.a' | xargs rm

%files
%doc README.md LICENSE
%{_bindir}/%{name}

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}

%files -n %devname
%{_libdir}/*.so
%dir %{_includedir}/shairplay
%{_includedir}/shairplay/*.h
