%define	major		4
%define	libname		%mklibname shp %{major}
%define	develname	%mklibname shp -d

%bcond_without	tests

Summary:	C Library for Shapefile handling
Name:		shapelib
Version:	1.6.1
Release:	%mkrel 1
# The core library is dual-licensed LGPLv2 or MIT.
# Some contributed files have different licenses:
# - contrib/csv2shp.c: GPLv2+
# - contrib/dbfinfo.c: Public domain
# - contrib/dbfcat.c:  Public domain
License:	(LGPLv2+ or MIT) and GPLv2+ and Public Domain
Group:		Sciences/Geosciences
URL:		http://shapelib.maptools.org/
Source0:	https://download.osgeo.org/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
%if %{with tests}
BuildRequires:	pkgconfig(gtest)
%endif

%description
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%package -n %{libname}
Summary:	C Library for Shapefile handling
Group:		System/Libraries

%description -n	%{libname}
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%package -n %{develname}
Summary:	Development files and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%prep
%autosetup -p1

# Set path for shapelib CMake-config files
sed -i -e "s|CMAKEDIR share\/.*|CMAKEDIR \${CMAKE_INSTALL_LIBDIR}\/cmake\/\${PROJECT_NAME}|" CMakeLists.txt

%if %{with tests}
sed -i -e "/FetchContent_MakeAvailable/d" tests/CMakeLists.txt
%endif

%build
%cmake -DUSE_RPATH:BOOL=OFF \
       -DEG_DATA=%{_builddir}/%{name}-%{version}/tests/shape_eg_data \
       -DBUILD_TESTING:BOOL=%{?with_tests:ON}%{!?with_tests:OFF}
%cmake_build

%install
%cmake_install

%if %{with tests}
%check
# Sometimes, in parallel runs only, tests "test3" and "contrib" fail
%ctest -j1 || :
%endif

%files
%license LICENSE*
%doc README README.tree web/*.html
%{_bindir}/*

%files -n %{develname}
%{_includedir}/shapefil.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libshp.so
%{_libdir}/cmake/%{name}/

%files -n %{libname}
%{_libdir}/libshp.so.%{major}
%{_libdir}/libshp.so.%{version}
