%define pkg_home         /var/lib/%{name}

Name:           shellinabox
Version:        2.10
Release:        %mkrel 2
Summary:        AJAX/Web based terminal emulator
License:        GPLv2
Group:          Productivity/Networking/Web/Utilities
URL:            https://code.google.com/p/shellinabox/
Source0:        %{name}-%{version}.tar.bz2
Source1:        rc%{name}
Patch0:         %{name}-%{version}-opensuse-fix-possible-buffer-overwrite-error-in-launcher.patch

BuildRequires:  libopenssl-devel 
BuildRequires:  pam-devel
BuildRequires:  zlib-devel
Requires:       pam
Requires:       openssl
Requires:       libopenssl-devel

AutoReqProv:    on

%description
Shell In A Box implements a web server that can export arbitrary command line
tools to a web based terminal emulator. This emulator is accessible to any
JavaScript and CSS enabled web browser and does not require any additional
browser plugins.

All client-server communications are encrypted, if SSL/TLS certificates hav
been installed.


%prep
%setup -q
%patch -P 0 -p0
%configure

%build
%make

%install
%makeinstall
install -d -m 0755 %{buildroot}%{pkg_home}/ %{buildroot}%{_sbindir}

#
# init script
#
install -D -m 0755 -T %{_sourcedir}/rc%{name} %{buildroot}%{_sysconfdir}/init.d/%{name}
ln -s -f %{_sysconfdir}/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}
#

# configure certificates
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/cert

%post
%fillup_and_insserv

%pre
/usr/sbin/groupadd -r %{name} &>/dev/null ||:
/usr/sbin/useradd -g %{name} -s /bin/false -r -c "user for %{name}" -d %{pkg_home} %{name} &>/dev/null ||:


# ---------------------------------------------------------------------------------
%preun
%stop_on_removal
/sbin/chkconfig --del shellinabox

# ---------------------------------------------------------------------------------
# Cleanup after install
# ---------------------------------------------------------------------------------
%postun
%insserv_cleanup
test -e /var/run/shellinabox.pid  || rm -rf /var/run/shellinabox.pid && :

%files
%attr(-,%{name},%{name}) %dir %{pkg_home}
%doc /usr/share/doc/shellinabox
%{_bindir}/shellinaboxd
%dir %{_sysconfdir}/%{name}/
%dir %{_sysconfdir}/%{name}/cert
%{_initrddir}/%{name}
%{_sbindir}/rc%{name}
%{_mandir}/man?/*
