Name:       shflags
Version:    1.2.3
Release:    %mkrel 3
Summary:    Simple handling of command-line flags in Bourne based Unix scripts

Group:      Development/Other
License:    ASL 2.0
URL:        https://github.com/kward/shflags
Source0:    https://github.com/kward/shflags/archive/v%{version}.tar.gz

BuildArch:  noarch

Requires:       util-linux

%description
Shell Flags (shFlags) is a library written to greatly simplify the handling of
command-line flags in Bourne based Unix shell scripts (bash, dash, ksh, sh,
zsh) on many Unix OSes (Linux, Solaris, Mac OS X, etc.).

Most shell scripts use getopt for flags processing, but the different versions
of getopt on various OSes make writing portable shell scripts difficult.
shFlags instead provides an API that doesn't change across shell and OS
versions so the script writer can be confident that the script will work.

shFlags is a port of the google-gflags C++/Python library.

%prep
%setup -q

# Make the examples non-executable.. we're putting them in /usr/share.
chmod -x examples/*.sh

%build
# This section is mostly empty because this package ccontains shell scripts
# to be sourced: there's nothing to build
rm -f doc/LGPL-2.1 doc/LICENSE.shunit2

%check
pushd .
sh shflags_defines_test.sh
sh shflags_parsing_test.sh
sh shflags_public_test.sh
sh shflags_private_test.sh
popd

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -p shflags %{buildroot}/%{_datadir}/%{name}/.

%files
%doc README.md doc/ examples/
%{_datadir}/%{name}

