%define revdns		org.shotcut.Shotcut
%define mltmajor	7

Name:           shotcut
Version:        25.03.29
Release:        %mkrel 1
Summary:        A free, open source, cross-platform video editor
Group:          Video/Editors and Converters
# The entire source code is GPLv3+ except mvcp/ which is LGPLv2+
License:        GPLv3+ and LGPLv2+
URL:            https://www.shotcut.org
Source0:        https://github.com/mltframework/shotcut/archive/v%{version}/%{name}-%{version}.tar.gz
# Disable update checks, won't work on packaged version
Patch0:         shotcut-18.05.08-mga-disable-upgrade-check.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(mlt++-%{mltmajor})
BuildRequires:  pkgconfig(mlt-framework-%{mltmajor})
BuildRequires:  cmake(Qt6Charts)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6WebSockets)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  qttools6
# (akien) Not packaged yet in Mageia
#BuildRequires:  webvfx-devel

# Apparently dependencies are dlopen()'ed
# To be confirmed, but for now requiring to avoid issues
Requires:       frei0r
Requires:       gstreamer1.0-plugins-bad
Requires:       gstreamer1.0-plugins-good
Requires:       gstreamer1.0-plugins-ugly
Requires:       ladspa
Requires:       lame
Requires:       ffmpeg
Requires:       mlt
Requires:       qtmultimedia6
Requires:       qtdeclarative6
Recommends:     bigsh0t-shotcut

%description
Shotcut is a free and open-source cross-platform video editing application for
Windows, OS X, and Linux.

Shotcut supports many video, audio, and image formats via FFmpeg and screen,
webcam, and audio capture. It uses a time-line for non-linear video editing of
multiple tracks that may be composed of various file formats. Scrubbing and
transport control are assisted by OpenGL GPU-based processing and a number of
video and audio filters are available.

%prep
%autosetup -p1

# Postmortem debugging tools for MinGW.
rm -rf drmingw

%build
%cmake_qt6 \
       -DSHOTCUT_VERSION=%{version} \
       -DDEFINES+=SHOTCUT_NOUPGRADE
%cmake_build

%install
%cmake_install

# List language files
for path in %{buildroot}%{_datadir}/%{name}/translations/*; do
  file=$(basename $path)
  lang=$(echo $file | sed -e "s/shotcut_\([A-Za-z_]*\)\.qm/\1/")
  path=$(echo $path | sed -e "s|%{buildroot}||")
  echo "%lang($lang) $path" >> "%{name}.lang"
done

%files -f %{name}.lang
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%exclude %{_datadir}/%{name}/translations
%{_libdir}/libCuteLogger.so
%{_datadir}/applications/%{revdns}.desktop
%{_datadir}/metainfo/%{revdns}.metainfo.xml
%{_datadir}/mime/packages/%{revdns}.xml
%{_iconsdir}/hicolor/*/apps/%{revdns}.png
%{_mandir}/man1/%{name}.1*
