#
# git clone git://git.gnome.org/shotwell
# cd shotwell
# git archive --format=tar --prefix=shotwell-20160310/ master | xz > ../shotwell-20160310.tar.xz
#
%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%define Werror_cflags %nil

Name:		shotwell
Version:        0.32.10
Release:	%mkrel 3
Summary:	A photo organizer designed for GNOME
License:	LGPLv2+ and CC-BY-SA
Group:		Graphics/Photography
Url:		http://www.yorba.org/shotwell/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	appstream-util
BuildRequires:	locales-en
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	pkgconfig(vapigen) >= 0.18.0
BuildRequires:	pkgconfig(atk)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gexiv2) >= 0.11.0
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libexif) >= 0.4.90
BuildRequires:	pkgconfig(libgphoto2)
BuildRequires:  pkgconfig(libportal-gtk3) >= 0.5
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libwebpdemux)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(rest-0.7)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(gcr-ui-3)
Obsoletes:	f-spot
Provides:	f-spot

%description
Shotwell is a digital photo organizer designed for the GNOME desktop
environment. It allows you to import photos from disk or camera,
organize them in various ways, view them in full-window or fullscreen
mode, and export them to share with others.

%prep
%autosetup -p1 -n %{name}-%{?gdate}%{!?gdate:%version}

%build
%meson
%meson_build

%install
# otherwise gettext always returns English text regardless of LANGUAGE asked
export LANG=en_US.utf8
%meson_install || :

# we don't want these
find %{buildroot} -name 'lib%{name}-plugin-common.so' -delete

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%doc AUTHORS README.md NEWS THANKS
%license COPYING
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_libdir}/%{name}/
%exclude %{_libdir}/libshotwell-plugin-dev-1.0.so
%{_libdir}/libshotwell-plugin-dev-1.0.so.0{,.*}
%{_libdir}/lib%{name}-plugin-common.so.0{,.*}
%exclude %{_libdir}/lib%{name}-authenticator.so
%{_libdir}/lib%{name}-authenticator.so.0{,.*}
%{_datadir}/applications/*.desktop
%{_datadir}/apport/package-hooks/shotwell.py*
%{_metainfodir}/org.gnome.Shotwell.appdata.xml
%{_iconsdir}/hicolor/*/apps/*.*
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}*.gschema.xml
%{_datadir}/glib-2.0/schemas/org.yorba.shotwell.gschema.xml
%{_datadir}/glib-2.0/schemas/org.yorba.shotwell-extras.gschema.xml
%{_mandir}/man1/%{name}.1*
