%global __requires_exclude perl\\(Shutter::.*\\)
%global __provides_exclude perl\\(.*\\)

Summary:	Feature-rich screenshot application
Name:		shutter
Version:	0.99.4
Release:	%mkrel 2
License:	GPLv3+ and GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://shutter-project.org/
Source:		https://github.com/shutter-project/shutter/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		shutter-0.99.4-mga-fix-utf8-locale.patch
Patch10:	0001-Update-version.patch
BuildArch:	noarch
Requires:	typelib(GooCanvas)
Requires:	typelib(Wnck) = 3.0
Recommends:	perl-Image-ExifTool

%description
Shutter is a feature-rich screenshot program. You can take a screenshot of a
specific area, window, your whole screen, or even of a website - apply
different effects to it, draw on it to highlight points, and then upload
to an image hosting site, all within one window.

%prep
%setup -q
# Please DO NOT convert to %%autopatch - I dislike it, and it prevents from
# using the -b flag. -- Shlomi Fish
%patch -P 1 -p1
%patch -P 10 -p1

# Confuses the shutter installer.
rm -f $(find . -name '*.LEFT_BRACE_WARN')
rm -f $(find . -name '*.UTF8_LOCALE_')

%build
%make_build

%install
# Remove non-standard groups
perl -i -ln -e 'print unless m{\A\[(Select|Screen|Window|Active) Shortcut Group\]\s*\z}..m{\A\s*\z}' share/applications/%{name}.desktop

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 bin/shutter %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_datadir}
cp -pr share/* %{buildroot}%{_datadir}

%find_lang %{name} --all-name

%files -f %{name}.lang
%license COPYING
%doc README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_metainfodir}/%{name}.metainfo.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*/*/apps/shutter{,-panel}.{png,svg}
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/shutter.1*
