Name:           siege
Version:        4.1.7
Release:        %mkrel 1
Summary:        HTTP regression testing and benchmarking utility
Group:          Networking/Other
License:        GPLv2+
URL:            https://www.joedog.org/JoeDog/Siege
Source0:        https://download.joedog.org/siege/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)

%description
Siege is an HTTP regression testing and benchmarking utility.
It was designed to let web developers measure the performance of their code
under duress, to see how it will stand up to load on the internet.
Siege supports basic authentication, cookies, HTTP and HTTPS protocols.
It allows the user hit a web server with a configurable number of concurrent
simulated users. Those users place the web-server "under siege."

%prep
%setup -q

# Better default for log file (Bug 644631)
sed -i.orig doc/siegerc.in -e 's/^# logfile = *$/logfile = ${HOME}\/siege.log/'

%build
%configure --sysconfdir=%{_sysconfdir}/siege
%make_build

%install
mkdir -p %{buildroot}%{_sysconfdir}/siege
# Create /etc/siege/urls.txt
%make_install

%files
%doc AUTHORS ChangeLog README.md
%license COPYING
%{_bindir}/bombardment
%{_bindir}/siege
%{_bindir}/siege.config
%{_bindir}/siege2csv.pl
%{_mandir}/man*/*
%dir %{_sysconfdir}/siege
%config(noreplace) %{_sysconfdir}/siege/urls.txt
%config(noreplace) %{_sysconfdir}/siege/siegerc
