Name:		sigal
Version:	2.4
Release:	%mkrel 2
Summary:	Yet another simple static gallery generator
License:	MIT
Group:		Development/Python
URL:		https://sigal.saimon.org/
Source0:	https://pypi.io/packages/source/s/sigal/sigal-%{version}.tar.gz
Patch1:		0001-Add-data-files-for-themes-and-plugins-using-setuptools-package-data.patch
Patch2:		0001-Require-Python-3.9_run-tests-with-3.12.patch
BuildArch:	noarch

BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)
BuildRequires:	python3dist(blinker)
BuildRequires:	python3dist(brotli)
BuildRequires:	python3dist(click)
BuildRequires:	python3dist(cryptography)
BuildRequires:	python3dist(feedgenerator)
BuildRequires:	python3dist(jinja2)
BuildRequires:	python3dist(markdown)
BuildRequires:	python3dist(natsort)
BuildRequires:	python3dist(pilkit)
BuildRequires:	python3dist(pillow)
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(zopfli)
BuildRequires:	ffmpeg

Requires:	ffmpeg
Recommends:	python3dist(boto)
Recommends:	python3dist(brotli)
Recommends:	python3dist(cryptography)
Recommends:	python3dist(feedgenerator)
Recommends:	python3dist(zopfli)

%description
Sigal is a static gallery generator written in Python with the following
features:

* Generates HTML pages using jinja2 templates.
* Emits relative links for a portable output.
* Supports themes, videos, EXIF tags, and ZIP downloading.
* Processes directories recursively and files in parallel.

The idea behind Sigal is to ease the use of the JavaScript libraries like
galleria_. These libraries display the images, Sigal on the other hand does
image resizing, thumbnail creation and HTML page generation.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sigal

%check
%pytest tests -k "not (test_generate_video_fit or test_generate_video_fit_height or test_generate_video_fit_width or test_generate_video_dont_enlarge)"

%files -f %{pyproject_files}
%license LICENSE
%doc AUTHORS README.rst
%{_bindir}/sigal
