Name:		signing-party
Summary:	Various OpenPGP related tools
Version:	2.11
Release:	%mkrel 3
Group:		File tools
URL:		http://pgp-tools.alioth.debian.org/
Source:		https://ftp.debian.org/debian/pool/main/s/signing-party/signing-party_%{version}.orig.tar.gz
# remove pgpring as it is already provided by mutt
# patch from :
# https://pkgs.fedoraproject.org/gitweb/?p=pgp-tools.git;a=blob_plain;f=pgp-tools-2.4-drop-pgpring.patch;hb=HEAD
Patch0:		pgp-tools-2.4-drop-pgpring.patch
License:	GPLv2+ and GPLv2 and MIT

# required for pgpring
Requires:	mutt
Requires:	sendmail-command
Requires:	gnupg
Requires:	perl
Requires:	perl-GnuPG-Interface
Requires:	perl-MIME-tools
Requires:	perl-MailTools
Requires:	perl-Text-Template
Requires:	qprint


%description
signing-party is a collection for all kinds of PGP/GnuPG related things,
including tools for signing keys, keyring analysis, and party preparation.
 * caff: CAcr - Fire and Forget signs and mails a key
 * pgp-clean: removes all non-self signatures from key
 * pgp-fixkey: removes broken packets from keys
 * gpg-mailkeys: simply mail out a signed key to its owner
 * gpg-key2ps: generate PostScript file with fingerprint paper strips
 * gpgdir: recursive directory encryption tool
 * gpglist: show who signed which of your UIDs
 * gpgsigs: annotates list of GnuPG keys with already done signatures
 * keylookup: ncurses wrapper around gpg --search
 * gpgparticipants: create list of party participants for the organiser
 * gpgwrap: a passphrase wrapper
 * keyanalyze: minimum signing distance (MSD) analysis on keyrings
 * sig2dot: converts a list of GnuPG signatures to a .dot file
 * springgraph: creates a graph from a .dot file


%prep
%setup -q
# fix gpgdir library path lookup as we're using system-provided libraries
sed -i -e "s,/usr/lib/gpgdir,," gpgdir/gpgdir
%patch -P 0 -p0


%build
%set_build_flags
%make_build CFLAGS="$CFLAGS"


%install
%make_install || :
# apps with no 'make install'
install -m 755 caff/caff caff/pgp-clean caff/pgp-fixkey %{buildroot}%{_bindir}
install -m 755 gpg-key2ps/gpg-key2ps %{buildroot}%{_bindir}/
install -m 755 gpgdir/gpgdir %{buildroot}%{_bindir}/
install -m 755 gpglist/gpglist %{buildroot}%{_bindir}/
install -m 755 gpgwrap/bin/gpgwrap %{buildroot}%{_bindir}/
install -m 755 gpg-mailkeys/gpg-mailkeys %{buildroot}%{_bindir}/
install -m 755 gpgparticipants/gpgparticipants %{buildroot}%{_bindir}/

# nuke apps creating their own docs dir
rm -rf %{buildroot}/usr/share/doc
# find all manpages wherever they are hiding
DIRS="$(find . -maxdepth 1 -type d | sed -e 's:^.$::' -e 's:^./::')"
for man in `find $DIRS -type f -name "*.1" -print`
do
    install -m644 $man %{buildroot}%{_mandir}/man1
done

# nuke our copy of pgpring manpage
rm %{buildroot}%{_mandir}/man1/pgpring.1

rm -rf __mageia_docs
mkdir __mageia_docs
cp -a $DIRS __mageia_docs/

#  cleanup to leave docs only...
find __mageia_docs/ -type f \( -perm /0111 -o -name Makefile -o -name "*.[1-9]" \) -print | xargs rm -f
find __mageia_docs -type d -name src -exec rm -rf \{\} \; || :
rm -rf __mageia_docs/keyanalyze/pgpring
rm -rf __mageia_docs/keyanalyze/*.[cho]
rm -rf __mageia_docs/gpgdir/INSTALL
rm -rf __mageia_docs/gpgdir/packaging
rm -rf __mageia_docs/gpgdir/test
rm -rf __mageia_docs/gpgwrap/{bin,doc}
rm -rf __mageia_docs/gpglist
rm -rf __mageia_docs/gpgparticipants
mv __mageia_docs/keylookup/COPYING .


%files
%{_bindir}/caff
%{_bindir}/gpg-key2ps
%{_bindir}/gpg-mailkeys
%{_bindir}/gpgdir
%{_bindir}/gpglist
%{_bindir}/gpgparticipants
%{_bindir}/gpgsigs
%{_bindir}/gpgwrap
%{_bindir}/keyanalyze
%{_bindir}/keylookup
%{_bindir}/pgp-clean
%{_bindir}/pgp-fixkey
%{_bindir}/process_keys
%{_bindir}/sig2dot
%{_bindir}/springgraph
%{_mandir}/man1/*
%doc README COPYING
%doc __mageia_docs/*
