%define major            1
%define libextension     %mklibname signon-extension %major
%define libpluginscommon %mklibname signon-plugins-common %major
%define libplugins       %mklibname signon-plugins %major
%define libqt            %mklibname signon-qt6_ %major
%define libqt5           %mklibname signon-qt5_ %major

%define develextension   %mklibname signon-extension -d
%define develplugins     %mklibname signon-plugins-common -d
%define develqt          %mklibname signon-qt6 -d
%define develqt5         %mklibname signon-qt5 -d
%define develd           %mklibname signond -d

%define tag0    VERSION_%{version}
%define commit0 5b34c5bbc45eedf55bf553675595b3fcb5c156a8

%bcond_without  qt5

Name:           signon
Version:        8.61
Release:        %mkrel 4
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials
License:        LGPLv2
URL:            https://gitlab.com/accounts-sso/signond
Source0:        https://gitlab.com/accounts-sso/signond/-/archive/%{tag0}/%{name}-%{version}.tar.gz
Source1:        https://gitlab.com/accounts-sso/signon-dbus-specification/-/archive/master/signon-dbus-specification-master.tar.gz
Patch0:         signon-8.57-no_static.patch
Patch1:         0001-signond-install-does-not-require-superuser-anymore.patch
# Qt6 branch of Nicolas Fella's fork https://gitlab.com/nicolasfella/signond
# https://gitlab.com/accounts-sso/signond/-/merge_requests/36
Patch2:         0001-Add-Qt6-support-#36.patch

BuildRequires:  doxygen
BuildRequires:  gcc-c++

# Qt5
%if %{with qt5}
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Test)
%endif
# Qt6
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)

Requires:       %{name}d = %{version}

%description
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libextension}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libextension}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libpluginscommon}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libpluginscommon}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libplugins}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libplugins}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libqt}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libqt}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%if %{with qt5}
%package -n %{libqt5}
Group:          System/Libraries
Summary:        A Qt5 framework for centrally storing authentication credentials

%description -n %{libqt5}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.
%endif

%package -n %{develextension}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libextension} = %{version}-%{release}

%description -n %{develextension}
The %{develextension} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{develplugins}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libpluginscommon} = %{version}-%{release}
Requires:       %{libplugins} = %{version}-%{release}

%description -n %{develplugins}
The %{develplugins} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{develqt}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libqt} = %{version}-%{release}

%description -n %{develqt}
The %{develqt} package contains libraries and header files for
developing applications that use %{name}.

%if %{with qt5}
%package -n %{develqt5}
Summary:        Development files for %{name} (Qt5)
Group:          Development/C
Requires:       %{libqt5} = %{version}-%{release}

%description -n %{develqt5}
The %{develqt5} package contains libraries and header files for
developing applications that use %{name}.
%endif

%package -n %{name}d
Summary:        A framework for centrally storing authentication credentials
Group:          System/Libraries

%description -n %{name}d
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{develd}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name}d = %{version}

%description -n %{develd}
The %{develd} package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n signond-%{tag0}-%{commit0} -a1
%autopatch -p1

mv signon-dbus-specification-master/* lib/signond/interfaces/

mkdir qt5
mv $(ls -1 |grep -vE '^qt5$') .* qt5/
cp -a qt5 qt6

%build
# Qt5
%if %{with qt5}
pushd qt5
%qmake_qt5 signon.pro LIBDIR=%{_libdir}
%make_build
popd
%endif

# Qt6
pushd qt6
%qmake_qt6 signon.pro LIBDIR=%{_libdir}
%make_build
popd

%install
%if %{with qt5}
%make_install INSTALL_ROOT=%{buildroot} -C qt5
%endif

%make_install INSTALL_ROOT=%{buildroot} -C qt6

%files
%{_sysconfdir}/signond.conf
%{_bindir}/signonpluginprocess
%dir %{_libdir}/signon
%{_libdir}/signon/*.so
%{_datadir}/dbus-1/services/*.service

%files -n %{libextension}
%{_libdir}/libsignon-extension.so.%{major}{,.*}

%files -n %{develextension}
%{_libdir}/libsignon-extension.so
%{_libdir}/pkgconfig/SignOnExtension.pc
%{_includedir}/signon-extension/

%files -n %{libpluginscommon}
%{_libdir}/libsignon-plugins-common.so.%{major}{,.*}

%files -n %{libplugins}
%{_libdir}/libsignon-plugins.so.%{major}{,.*}

%files -n %{develplugins}
%{_libdir}/libsignon-plugins-common.so
%{_libdir}/libsignon-plugins.so
%{_libdir}/pkgconfig/signon-plugins-common.pc
%{_libdir}/pkgconfig/signon-plugins.pc
%{_includedir}/signon-plugins/

%files -n %{libqt}
%{_libdir}/libsignon-qt6.so.%{major}{,.*}

%files -n %{develqt}
%{_libdir}/libsignon-qt6.so
%{_libdir}/pkgconfig/libsignon-qt6.pc
%{_includedir}/signon-qt6/
%{_libdir}/cmake/SignOnQt6/

%if %{with qt5}
%files -n %{libqt5}
%{_libdir}/libsignon-qt5.so.%{major}{,.*}

%files -n %{develqt5}
%{_libdir}/libsignon-qt5.so
%{_libdir}/pkgconfig/libsignon-qt5.pc
%{_includedir}/signon-qt5/
%{_libdir}/cmake/SignOnQt5/
%endif

%files -n %{name}d
%{_bindir}/signond
%{_datadir}/dbus-1/interfaces/*.xml

%files -n %{develd}
%{_libdir}/pkgconfig/signond.pc
%{_includedir}/signond/

%files doc
%{_docdir}/libsignon-qt/
%{_docdir}/signon/
%{_docdir}/signon-plugins/
%{_docdir}/signon-plugins-dev/
