%define api_version 1.1
%define silcmajor 4
%define clientmajor 4
%define silclibname %mklibname silc %{api_version} %{silcmajor}
%define silclibname_orig %mklibname silc %{api_version}
%define clientlibname %mklibname silcclient %{api_version} %{clientmajor}
%define clientlibname_orig %mklibname silcclient %{api_version}

Summary:	SILC toolkit
Name:		silc-toolkit
Version:	1.1.12
Release:	%mkrel 8
License:	GPLv2
Group:		Networking/Instant messaging
URL:		http://silcnet.org/
Source0:	https://download.sourceforge.net/silc/%{name}-%{version}.tar.bz2
Patch2:		silc-toolkit-1.1.5-docinst.patch
Requires:	%{silclibname} = %{version}-%{release}
BuildRequires:	libtool
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel
BuildRequires:	nasm

%description
SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as IRC.
Other than that they are nothing alike.  Major differences are that SILC
is secure what IRC is not in any way.  The network model is also entirely
different compared to IRC.

This package provides development related files for any application that
has SILC support.

%package -n %{silclibname}
Summary:	SILC library
Group:		System/Libraries
Provides:	%{silclibname_orig} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description -n %{silclibname}
SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as IRC.
Other than that they are nothing alike.  Major differences are that SILC
is secure what IRC is not in any way.  The network model is also entirely
different compared to IRC.

This is the library implementing SILC protocol, including core components,
cryptographic algorithms and utility functions.

%package -n %{clientlibname}
Summary:	SILC client library
Group:		System/Libraries
Provides:	%{clientlibname_orig} = %{version}-%{release}

%description -n %{clientlibname}
SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as IRC.
Other than that they are nothing alike.  Major differences are that SILC
is secure what IRC is not in any way.  The network model is also entirely
different compared to IRC.

The SILC Client library. Implementation of the SILC Client without
the user interface.  The library provides an interface for user
interface designers.

%package devel
Summary:	SILC toolkit
Group:		Development/C
# rpmlint wants that, so be it
Requires:	%{name} = %{version}-%{release}
Provides:	%{clientlibname_orig}-devel = %{version}-%{release}
Requires:	%{clientlibname} = %{version}-%{release}
Provides:	%{silclibname_orig}-devel = %{version}-%{release}
Requires:	%{silclibname} = %{version}-%{release}
Obsoletes:	%{_lib}client1-devel
Provides:	%{_lib}client1-devel = %{version}-%{release}
Obsoletes:	%{_lib}silc-client1-devel
Provides:	%{_lib}silc-client1-devel = %{version}-%{release}

%description devel
SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as IRC.
Other than that they are nothing alike.  Major differences are that SILC
is secure what IRC is not in any way.  The network model is also entirely
different compared to IRC.

This package contains all development related files for developing or 
compiling applications using SILC protocol.

%prep
%setup -q
%patch -P 2 -p1 -b .docinst

find -type f | xargs file | grep -v script | cut -d: -f1 | xargs chmod -x
autoreconf -fi

%build

%configure \
	--with-simdir=%{_libdir}/silc/modules \
	--enable-ipv6 \
	--enable-shared --disable-static \
	--includedir=%{_includedir}/silc

# parallel will succeed but produce broken library
%make_build -j1 LIBTOOL=%_bindir/libtool

%install
%make_install LIBTOOL=%_bindir/libtool
rm -f %{buildroot}%{_libdir}/*.{a,la}

%files
%doc README* ChangeLog TODO
%{_libdir}/silc

%files -n %{silclibname}
%{_libdir}/libsilc-%{api_version}.so.%{silcmajor}{,.*}

%files -n %{clientlibname}
%{_libdir}/libsilcclient-%{api_version}.so.%{clientmajor}{,.*}

%files devel
%doc %{_docdir}/%{name}
%{_includedir}/silc
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
