#(eatdirt) LTS releases have the second digit >=3: like 2020.3.*,
#etc.. Preview versions have the second digit <=2. I guess we
#should try to target a LTS release for a Mageia release
#

#define         gitsnap  rc4
#define         rel   	 2

Summary:	Basic tools for Simulation
Name:		simgear
Version:	2024.1.1
Release:	%mkrel 3
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		https://www.flightgear.org/
Source0:	https://gitlab.com/flightgear/simgear/%{name}-%{version}.tar.gz

Patch0000:	simgear-2.6.0-fedora-check-for-%n-in-format-string.patch

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	libgomp-devel
BuildRequires:	jpeg-devel
BuildRequires:	udns-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gdal)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openthreads)
BuildRequires:	pkgconfig(openscenegraph)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libavcodec)

#(eatdirt) let's try again, agressive vectorization were hidden in
#previous versions
###ExclusiveArch:  x86_64

%description
All the basic routines required for the flight simulator as well as for
building scenery. Needed for FlightGear, for example.

%package devel
Summary:	Headers/misc for developing programs that will use %{name}
Group:		Development/C++
Requires:	simgear = %{version}-%{release}
Provides:	SimGear-devel = %{version}-%{release}
Obsoletes:	%{_lib}simgear-devel < 3.2.0-2

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}, for example FlightGear.

%prep
%autosetup -p1

%build
export CXXFLAGS="%{optflags} -fopenmp"
%cmake	-DSIMGEAR_SHARED:BOOL=ON \
	-DSYSTEM_UDNS:BOOL=ON \
	-DSYSTEM_EXPAT:BOOL=ON \
	-DBUILD_TESTING=OFF \
	-DENABLE_TESTS:BOOL=OFF \
	-DENABLE_VIDEO_RECORD=ON \
	-DENABLE_GDAL=ON \
	-DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
%ifnarch %{arm} %{ix86}
	-DENABLE_SIMD=ON \
%else
	-DENABLE_SIMD=OFF \
%endif
	-DCMAKE_BUILD_TYPE="Release"
%cmake_build

%install
%cmake_install

#fix an include path
sed -i "s+\${_IMPORT_PREFIX}/include\;++" %{buildroot}%{_libdir}/cmake/SimGear/SimGearTargets.cmake

%files
%doc COPYING AUTHORS NEWS
%{_libdir}/libSimGearCore.so.%{version}
%{_libdir}/libSimGearScene.so.%{version}

%files devel
%{_includedir}/%{name}/
%{_libdir}/cmake/SimGear/
%{_libdir}/libSimGearCore.so
%{_libdir}/libSimGearScene.so
