%define _legacy_common_support 1
%define tarver	%{expand:%(echo %{version}|rev|sed 's/\\\./\-/'|rev)}

Name:		simh
Summary:	A collection of simulators of historically significant data processing systems
Version:	3.12.2
Release:	%mkrel 1
License:	MIT
Group:		Emulators
# Note only use open-simh sources.
Url:		https://github.com/open-simh/simh
Source0:	https://github.com/open-%{name}/%{name}/archive/refs/tags/v%{version}/%{name}-%{tarver}.tar.gz

BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(vdeplug)

%description
This package contains simulators of the following systems:
* Data General Nova, Eclipse
* Digital Equipment Corporation PDP-1, PDP-4, PDP-7, PDP-8, PDP-9, PDP-10,
  PDP-11, PDP-15, VAX
* GRI Corporation GRI-909, GRI-99
* IBM 1401, 1620, 7090/7094, System 3
* Interdata (Perkin-Elmer) 16b and 32b systems
* Hewlett-Packard 2114, 2115, 2116, 2100, 21MX, 1000
* Honeywell H316/H516
* MITS Altair 8800, with both 8080 and Z80
* Royal-Mcbee LGP-30, LGP-21
* Scientific Data Systems SDS 940

%prep
%setup -q -n %{name}-%{tarver}

%build
%set_build_flags
# Parallel build is unreliable
make CFLAGS_G="$CFLAGS"

%install
rm -rf BIN/buildtools

pushd BIN
for i in *; do
    mv ${i} %{name}-${i}
done
popd

mkdir -p %{buildroot}%{_bindir}
install -m 755 BIN/* %{buildroot}%{_bindir}

%files
%doc *.txt */*txt
%{_bindir}/%{name}-*
