Name:          simple-mtpfs
Version:       0.3.0
Release:       %mkrel 2
Summary:       Fuse-based MTP driver
Group:         Networking/File transfer
License:       GPLv2+
URL:           https://github.com/phatina/simple-mtpfs
Source0:       https://github.com/phatina/simple-mtpfs/archive/simple-mtpfs-%{version}.tar.gz

BuildRequires: pkgconfig(fuse) >= 2.7.3
BuildRequires: pkgconfig(libmtp)

%description
SIMPLE-MTPFS (Simple Media Transfer Protocol FileSystem) is a file system for
Linux (and other operating systems with a FUSE implementation, such as Mac OS X
or FreeBSD) capable of operating on files on MTP devices attached via USB to
local machine. On the local computer where the SIMPLE-MTPFS is mounted, the
implementation makes use of the FUSE (Filesystem in Userspace) kernel module.
The practical effect of this is that the end user can seamlessly interact with
MTP device files.

%prep
%autosetup -n simple-mtpfs-simple-mtpfs-%{version}
NOCONFIGURE=1 ./autogen.sh

%build
%configure --with-tmpdir=/var/tmp
%make_build 

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc COPYING README.md
%{_bindir}/simple-mtpfs
%{_mandir}/man1/simple-mtpfs*

