%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:			simple-scan
Version:		46.0
Release:		%mkrel 1
Summary:		Simple scanning utility
Group:			Graphics/Scanning
License:		GPLv3+
URL:			https://launchpad.net/simple-scan
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:			simple-scan-44.0-mga-add-qt-kde-to-desktop-file.patch
BuildRequires:		pkgconfig(cairo)
BuildRequires:		pkgconfig(colord)
BuildRequires:		pkgconfig(gdk-pixbuf-2.0)
BuildRequires:		pkgconfig(gmodule-export-2.0)
BuildRequires:		pkgconfig(gthread-2.0)
BuildRequires:		pkgconfig(gtk4)
BuildRequires:		pkgconfig(gudev-1.0)
BuildRequires:		pkgconfig(packagekit-glib2)
BuildRequires:		pkgconfig(zlib)
BuildRequires:		pkgconfig(libadwaita-1)
BuildRequires:		gettext
BuildRequires:		pkgconfig(vapigen) >= 0.18.0
BuildRequires:		pkgconfig(libjpeg)
BuildRequires:		pkgconfig(libwebp)
BuildRequires:		pkgconfig(libwebpmux)
BuildRequires:		pkgconfig(colord)
BuildRequires:		pkgconfig(sane-backends)
BuildRequires:		itstool
BuildRequires:		meson
BuildRequires:		libxml2-utils

Requires:		adwaita-icon-theme
Requires:		sane-backends
Requires:		xdg-utils
Requires:		yelp
Provides:		scanner-gui

%description
Simple Scan is an easy-to-use application, designed to let users connect their
scanner and quickly have the image/document in an appropriate format.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-man --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc NEWS README.md
%license COPYING
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/org.gnome.SimpleScan*.svg
%{_metainfodir}/org.gnome.SimpleScan.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.SimpleScan.gschema.xml
