%define uname   ssr
%define libname %mklibname %{uname}-glinject

Name:           simplescreenrecorder
Version:        0.4.4
Release:        %mkrel 2
Summary:        A feature-rich screen recorder that supports X11 and OpenGL
Group:          Video/Utilities
License:        GPLv3+
URL:            https://www.maartenbaert.be/simplescreenrecorder
Source0:        https://github.com/MaartenBaert/ssr/archive/%{version}/%{uname}-%{version}.tar.gz
Patch0:         simplescreenrecorder-ffmpeg-5.0.patch
Patch1:         simplescreenrecorder-ffmpeg-7-compat.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)

Provides:       %{uname} = %{version}-%{release}
Recommends:     %{libname} = %{version}-%{release}
%ifarch x86_64
# 32-bit version of the library is required to record 32-bit OpenGL applications
Recommends:     lib%{uname}-glinject
%endif

%description
SimpleScreenRecorder is a Linux program that was created to record programs
and games.

The original goal was to create a program that was just really simple to
use, the result is actually a pretty powerful program. It's 'simple' in
the sense that it's easier to use than ffmpeg/avconv or VLC, because it
has a straightforward user interface.

%files
%doc *.txt README.md data/resources/about.htm
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{uname}-glinject
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.metainfo.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{uname}-glinject.1*

#----------------------------------------------------------------------------

%ifnarch %{arm} aarch64
%package -n     %{libname}
License:        GPLv3+
Summary:        A feature-rich screen recorder library
Group:          System/Libraries

%description -n %{libname}
This package provides SimpleScreenRecorder's library.

%files -n       %{libname}
%{_libdir}/libssr-glinject.so
%endif

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{uname}-%{version}

# The BS doesn't like %% in filenames
pushd data/output-profiles
  mv High\%20Quality\%20Intermediate.conf HighQualityIntermediate.conf
  mv Live\%20Stream\%20\%281000kbps\%29.conf LiveStream1000kbps.conf
  mv Live\%20Stream\%20\%282000kbps\%29.conf LiveStream2000kbps.conf
  mv Live\%20Stream\%20\%283000kbps\%29.conf LiveStream3000kbps.conf
popd

%build
%cmake \
%ifarch %{arm} aarch64
    -DENABLE_X86_ASM=FALSE \
    -DWITH_GLINJECT=FALSE \
%endif
    -DWITH_QT5=TRUE

%cmake_build

%install
%cmake_install
