%define url_ver %(echo %version|sed -e 's/\\./-/g')
%define Werror_cflags %nil

Name:		simutrans
Version:	124.3
Release:	%mkrel 1
Summary:	Transport and Economic Simulation Game
License:	Artistic
Group:		Games/Strategy
Url:		https://www.simutrans.com/
Source0:	https://github.com/simutrans/simutrans/archive/%{version}/simutrans-%{version}.tar.gz
# https://downloads.sourceforge.net/simutrans/simutrans-src-%%{url_ver}.zip
Source1:	%{name}.desktop
Source10:	config.patch
Patch1:		path-for-game-data.patch
Patch2:		settings-folder.patch
Patch3:		simutrans-metainfo-fix.patch
BuildRequires:	cmake
BuildRequires:	dos2unix
BuildRequires:	imagemagick
BuildRequires:	subversion
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(miniupnpc)
BuildRequires:	pkgconfig(zlib)

Requires:	simutrans-pak

%description
Simutrans is a freeware transportation simulator that runs under
Windows, Linux, and a few other operating systems (Apple Macintosh
with Intel processors, BEOS). It's similar to Transport Tycoon,
Transport Tycoon Deluxe and Transport Giant.

You take on the role of operating a transportation company, and your
goal is to get goods of various kinds, as well as passengers and mail,
from one place to the next.

Don't be fooled by the tile-based graphics - this is a very complex
game, and it is constantly evolving, with new features being added. It
is a living game, and consistently being made better and better.

%prep
%autosetup -p1

# Some files are distributed in DOS format
find . -type f -exec dos2unix -q '{}' \;

%build
%cmake -DCMAKE_DISABLE_FIND_PACKAGE_CCache=ON \
       -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
       -DUSE_GAMES_DATADIR=ON \
       -DSIMUTRANS_USE_REVISION=1
%cmake_build

%install
%cmake_install

install -Dm644 %{SOURCE1} %{buildroot}%{_datadir}/applications/simutrans.desktop

%files
%doc simutrans/*.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/*.desktop
%{_metainfodir}/*.xml
