%define tarname		SIMVoleon

%define major		40
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Name:			simvoleon
Version:		2.1.0
Release:		%mkrel 3
Summary:		Volume rendering library for Coin
License:		GPLv2
Group:			System/Libraries
URL:			https://coin3d.github.io/
Source0:		https://github.com/coin3d/simvoleon/releases/download/simvoleon-%{version}/%{name}-%{version}-src.tar.gz
# bash-4 compatibility bugfix
Patch0:			SIMVoleon-2.0.1-bash4.0.patch
Patch1:			0001-Fix-for-CMake-3.19.1-regression.patch
BuildRequires:		cmake
BuildRequires:		doxygen
BuildRequires:		pkgconfig(Coin) >= 4.0.0
BuildRequires:		pkgconfig(glu)

%description
SIM Voleon is a software development system, in the form of an add-on library
to Coin3D. SIM Voleon complements Coin's capabilities for polygon-based
rendering with visualization of volumetric data sets, by providing so-called
"volume rendering" technology.

%package -n %{libname}
Summary:		Main library for SIMVoleon
Group:			System/Libraries
Provides:		%{name} = %{version}-%{release}

%description -n %{libname}
SIM Voleon is a software development system, in the form of an add-on library
to Coin3D. SIM Voleon complements Coin's capabilities for polygon-based
rendering with visualization of volumetric data sets, by providing so-called
"volume rendering" technology.

%package -n %{libnamedev}
Summary:		Headers for developing programs that will use SIMVoleon
Group:			Development/C++
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{tarname}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use SIMVoleon.


%prep
%autosetup -n %{name} -p1

chmod +x cfg/doxy4win.pl

%build
%cmake -DSIMVOLEON_BUILD_DOCUMENTATION=TRUE \
       -DSIMVOLEON_BUILD_TESTS=FALSE \
       -DSIMVOLEON_BUILD_DOC_MAN=TRUE

%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING README NEWS
%{_libdir}/libSIMVoleon*.so.%{major}
%{_libdir}/libSIMVoleon*.so.%{version}

%files -n %{libnamedev}
%{_docdir}/%{tarname}/
%{_includedir}/VolumeViz/
%{_libdir}/libSIMVoleon*.so
%{_mandir}/man3/*
%{_libdir}/cmake/%{tarname}-%{version}/
%{_libdir}/pkgconfig/%{tarname}.pc
%{_infodir}/SIMVoleon2/
