Summary:	A SIP masquerading proxy with RTP support
Name:		siproxd
Version:	0.8.3
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Servers
URL:		https://siproxd.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	siproxd.service
Source2:	%{name}-tmpfiles.conf
Patch0:		siproxd-fix-build.patch
BuildRequires:	libosip2-devel >= 3.0.3
BuildRequires:	libtool
BuildRequires:	autoconf
BuildRequires:	libltdl-devel
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd42-sgml
BuildRequires:	pkgconfig(sqlite3)

Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description
Siprox is an proxy/masquerading daemon for the SIP protocol.
It handles registrations of SIP clients on a private IP network
and performs rewriting of the SIP message bodies to make SIP
connections possible via an masquerading firewall.
It allows SIP clients (like kphone, linphone) to work behind
an IP masquerading firewall or router.

#----------------------------------------------------------------

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static --with-libosip-prefix=%{_includedir}
%make_build

%install
%make_install

find %{buildroot} -name *.la -delete

install -d %{buildroot}%{_localstatedir}/lib/%{name}
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_rundir}

install -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}

install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# fix config
install -m0644 doc/siproxd.conf.example %{buildroot}%{_sysconfdir}/siproxd.conf
install -m0644 doc/siproxd_passwd.cfg %{buildroot}%{_sysconfdir}/siproxd_passwd.cfg
perl -pi -e "s|^user =.*|user = %{name}|g" %{buildroot}%{_sysconfdir}/siproxd.conf
perl -pi -e "s|^plugindir=.*|plugindir=%{_libdir}/%{name}/|g" %{buildroot}%{_sysconfdir}/siproxd.conf

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/false

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc AUTHORS ChangeLog README RELNOTES TODO
%doc doc/FLI4L_HOWTO.txt doc/KNOWN_BUGS doc/RFC3261_compliance.txt doc/sample_cfg_budgetone.txt
%doc doc/sample_cfg_x-lite.txt doc/siproxd_guide.sgml
%doc doc/html/*.html
%{_unitdir}/%{name}.service
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0640,root,root) %{_sysconfdir}/%{name}.conf.example
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}_passwd.cfg
%{_sbindir}/%{name}
%{_libdir}/%{name}/
%attr(0750,%{name},%{name}) %dir %{_localstatedir}/lib/%{name}
%{_tmpfilesdir}/%{name}.conf
%dir %ghost %attr(0750, siproxd, siproxd) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/%{name}.pid
