%define srcname SiriKali

%bcond_with  bundle_lxqtwallet

Name:           sirikali
Version:        1.8.1
Release:        %mkrel 1
Summary:        GUI front end to encfs,cryfs,gocryptfs and securefs
# generally GPLv2+, BSD for tasks and NetworkAccessManager folders
License:        GPLv2+ and BSD
Group:          Security
URL:            https://mhogomchungu.github.io/sirikali
Source0:        https://github.com/mhogomchungu/%{name}/releases/download/%{version}/%{srcname}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  libgcrypt-devel
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(pwquality)
%if %{with bundle_lxqtwallet}
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6Notifications)
Provides:       bundled(lxqt-wallet) = 3.2.0
%else
BuildRequires:  pkgconfig(lxqt-wallet) >= 4.0.0
%endif

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)

Recommends:     cryfs
Recommends:     encfs

%description
SiriKali is a Qt/C++ GUI front end to encfs, cryfs, gocryptfs
and securefs.


%prep
%autosetup -p1 -n %{srcname}-%{version}

# collect licenses
cp -p src/3rdParty/tasks/LICENSE LICENSE-tasks

# unbundle
%if ! %{with bundle_lxqtwallet}
rm -rv src/3rdParty/lxqt_wallet
%endif

%build
%cmake \
%if %{with bundle_lxqtwallet}
       -DINTERNAL_LXQT_WALLET=true \
%else
       -DINTERNAL_LXQT_WALLET=false \
%endif
       -DBUILD_WITH_QT6=true

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt --all-name

%files -f %{name}.lang
%doc README.md ABOUT* changelog
%license COPYRIGHT LICENSE* GPLv*
%{_bindir}/%{name}*
%{_datadir}/applications/io.github.mhogomchungu.%{name}.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/polkit-1/actions/*.policy
%{_metainfodir}/*.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/%{name}.png
%{_mandir}/man1/%{name}*.1*
