Name:		siril
Version:	1.2.5
Release:	%mkrel 2
Summary:	Astronomical image (pre-)processing program
Group:		Sciences/Astronomy
License:	GPLv3+
URL:		https://siril.org/
Source0:	https://free-astro.org/download/%{name}-%{version}.tar.bz2
#squidf: fix opencv test version for MGA
Patch0:		siril-fix-opencv-version.patch
Patch1:		siril-skip-update-check.patch
BuildRequires:	appstream-util
#squidf: log complains about it otherwise
BuildRequires:	cmake
BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(ffms2)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(gtk+-3.0)
#squidf: added based on Gitlab doc
BuildRequires:	pkgconfig(gtkextra-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libheif)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(libswresample)
BuildRequires:	pkgconfig(libswscale)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(opencv)
BuildRequires:	pkgconfig(rtprocess)
BuildRequires:	pkgconfig(wcslib)

Recommends:	gnuplot

%description
Siril is an image processing tool specially tailored for noise reduction and
improving the signal/noise ratio of an image from multiple captures, as
required in astronomy. Siril can align automatically or manually, stack and
enhance pictures from various file formats, even images sequences (movies and
SER files).

%prep
%autosetup -p1

%build
# override build directory, the default "build" is a regular source directory
%define _vpath_builddir build-%{_build_arch}

%meson -D enable-libcurl=yes \
       -D libconfig=true
%meson_build

%install
%meson_install

%find_lang %{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 0644 pixmaps/siril.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/siril.svg

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.siril.Siril.appdata.xml

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
#squidf: license complement
%license LICENSE.md LICENSE_sleef.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}/
%{_datadir}/applications/org.siril.Siril.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_metainfodir}/org.siril.Siril.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/*.svg
%{_iconsdir}/hicolor/symbolic/apps/org.siril.Siril-symbolic.svg
%{_iconsdir}/hicolor/*/apps/org.siril.Siril.svg
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-cli.1*
#squidf: licenses are packaged with %%license
%exclude %{_docdir}/%{name}/LICENSE.md
%exclude %{_docdir}/%{name}/LICENSE_sleef.txt
