Name:		sitecopy
Version:	0.16.6
Release:	%mkrel 16
Summary:	Tool for easily maintaining remote web sites
License:	GPLv2+
Group:		Networking/File transfer
Source0:	http://www.lyra.org/sitecopy/sitecopy-%{version}.tar.bz2
Source1:	%{name}.bash-completion
Patch0:		configure-0.16.6.patch
URL:		https://www.manyfish.co.uk/sitecopy/
BuildRequires:	pkgconfig(neon)

%description
sitecopy allows you to easily maintain remote Web sites.  The program
will upload files to the server which have changed locally, and delete
files from the server which have been removed locally, to keep the
remote site synchronized with the local site, with a single
command. sitecopy will also optionally try to spot files you move
locally, and move them remotely.  FTP and WebDAV servers are
supported.

%prep
%autosetup -p1


%build
export CFLAGS="%optflags -fPIE"
export LDFLAGS="%ldflags -pie"
%configure \
	--enable-debug \
	--with-ssl \
	--with-neon \
	--disable-rsh
%make_build

%install
%make_install

%find_lang %{name}

# (sb) remove fr man pages
rm -fr %{buildroot}%{_mandir}/fr

# fix doc file permissions
chmod 0644 COPYING ChangeLog NEWS README* THANKS TODO

# (sb) installed but unpackaged files
rm -fr %{buildroot}%{_prefix}/doc

install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%files -f %{name}.lang
%license COPYING
%doc ChangeLog NEWS README* THANKS TODO
%{_bindir}/sitecopy
%{_mandir}/man1/*
%{_datadir}/sitecopy
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
