
Name:          sitemesh
Version:       2.4.1
Release:       %mkrel 1
Summary:       A web-page layout and decoration framework
Group:         Development/Java
License:       OpenSymphony Software License (ASL style)
Url:           http://www.opensymphony.com/sitemesh/
Source0:       http://java.net/downloads/%{name}/SiteMesh%20%{version}/%{name}-%{version}.zip
Source1:       sitemesh-%{version}.pom
Source2:       sitemesh-2.4.1-api.css
# from Debian
Patch0:        sitemesh-2.4.1-disable_tapestry.patch
Patch1:        sitemesh-2.4.1-build_with_system_jars.patch
Patch2:        sitemesh-2.4.1-update_lexer.patch
Patch3:        sitemesh-2.4.1-add_compatability_with_servlet24.patch
Patch4:        sitemesh-2.4.1-add_compatability_with_velocity-tools20.patch
Patch5:        sitemesh-2.4.1-crosslink.patch
Patch6:        sitemesh-2.4.1-add_classpath_to_manifest.patch

Patch7:        sitemesh-2.4.1-java_cup.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: java-javadoc
BuildRequires: ant
BuildRequires: freemarker
BuildRequires: java_cup
BuildRequires: jflex
BuildRequires: junit
BuildRequires: tomcat6-jsp-2.1-api
BuildRequires: tomcat6-servlet-2.5-api
BuildRequires: velocity
BuildRequires: velocity-tools

Requires:      freemarker
Requires:      tomcat6-jsp-2.1-api
Requires:      tomcat6-servlet-2.5-api
Requires:      velocity
Requires:      velocity-tools

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
SiteMesh is framework that aids in creating large sites consisting of
many web pages and applications for which a consistent look/feel,
navigation and layout scheme is required.

SiteMesh is built with Java servlet, JSP and XML technologies. This
makes it ideal for use with Java EE applications, however it can be
integrated with server-side web architectures that are not Java
based.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documents for %{name}

%description manual
This package contains documents for %{name}.

%prep
%setup -q -c
%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p0
%patch -P 3 -p0
%patch -P 4 -p1
%patch -P 5 -p0
%patch -P 6 -p0
%patch -P 7 -p0

rm -f docs/api.css
cp -p %SOURCE2 docs/api.css
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build

%ant dist

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
# dist/sitemesh-blank.war
# dist/sitemesh-example.war

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/docs/api/* %{buildroot}%{_javadocdir}/%{name}
rm -r dist/docs/api

mkdir -p %{buildroot}%{_docdir}/%{name}
cp -pr dist/docs/* %{buildroot}%{_docdir}/%{name}
cp -pr LICENSE.txt %{buildroot}%{_docdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc %{_docdir}/%{name}/LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}

%files manual
%doc %{_docdir}/%{name}/CHANGES.txt
%doc %{_docdir}/%{name}/README.txt
%doc %{_docdir}/%{name}/cache.jsp.txt
%doc %{_docdir}/%{name}/style.jsp.txt
%doc %{_docdir}/%{name}/*.html
%doc %{_docdir}/%{name}/*.jsp
%doc %{_docdir}/%{name}/*.xml
%doc %{_docdir}/%{name}/dtd/*
%doc %{_docdir}/%{name}/images/*