%define pkgname Sjeng-Free
%define _legacy_common_support 1

Name:           sjeng-free
Version:        11.2
Release:        %mkrel 22
Summary:        Chess program that plays many variants
License:        GPLv2
Group:          Games/Boards

URL:		https://sjeng.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/sjeng/%{pkgname}-%{version}.tar.bz2
Source1:	sjeng.6.bz2
Source2:	sjeng-README.bz2

Patch0:		sjeng-11.2-cleanup.patch
Patch1:		sjeng-11.2-fhs.patch
Patch2:         sjeng-11.2-mga-fix-build-with-automake-1.13.patch

BuildRequires:	gdbm-devel

%description
Sjeng is a chess program that plays normal chess and many variants
like crazyhouse, bughouse, suicide (aka giveaway or anti-chess) and
losers. It can also play variants which have the same rules as normal
chess, but a different starting position. It uses the XBoard/WinBoard
interface by Tim Mann, so it can be used with xboard or eboard. It
is also capable of playing on internet chess servers.

%prep
%setup -q -n %{pkgname}-%{version}
%patch -P 0 -p1 -b .cleanup
%patch -P 1 -p1 -b .fhs
%patch -P 2 -p0

autoreconf -fiv

bzip2 -dc %{SOURCE2} > README.debian

# (Abel) supress annoying rpmlint warning message
perl -pi -e 's/\r//g' [[:upper:]][[:upper:]]* ChangeLog

%build
%configure \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_mandir}/man6
bzip2 -dc %{SOURCE1} > %{buildroot}%{_mandir}/man6/sjeng.6

%files
%doc AUTHORS BUGS ChangeLog NEWS README README.debian
%{_gamesbindir}/*
%{_mandir}/man6/sjeng.6*
