#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		skanlite
Version: 25.04.0
Release:	%mkrel %{rel}
Summary:        An image scanning application
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://apps.kde.org/skanlite/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KSaneWidgets6) >= 24.01

BuildRequires:	pkgconfig(libpng)

Recommends:	%{name}-handbook
Provides:	scanner-gui

%description
Skanlite is an image scanning application that does nothing more than
scan and save images. It is based on libksane, a KDE interface for SANE
library to control flat scanners.

%files -f %{name}.lang
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_iconsdir}/hicolor/*/apps/org.kde.%{name}.svg

#------------------------------------------------

%package	handbook
Summary:	Skanlite Handbook
Group:		Documentation
BuildArch:	noarch

%description	handbook
This package provides Skanlite handbook.

%files handbook
%{_kf6_docdir}/HTML/*/%{name}/

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}
