#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1
%define module skanpage

Summary:        Utility to scan images and multi-page documents
Name:           skanpage
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/skanpage/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{module}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Pdf)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)

BuildRequires:  cmake(KSaneCore6) >= 24.01
BuildRequires:  cmake(KQuickImageEditor) >= 0.3.0

BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(lept)
BuildRequires:  pkgconfig(tesseract)

Requires:       kirigami
Requires:       kquickimageeditor
Requires:       purpose
Requires:       tesseract


%description
Skanpage is a simple scanning application designed for multi-page
scanning and saving of documents and images.

Features:

  ° Scanning from flatbed and ADF scanners
  ° Configurable options for scanning device
  ° Reordering, rotation and deletion of scanned pages
  ° Saving to multi-page PDF documents and image files

%files -f %{name}.lang
%{_kf6_categoriesdir}/%{name}.categories
%{_kf6_bindir}/%{name}
%{_kf6_applicationdir}/org.kde.%{name}.desktop
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %module-%version

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
