#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           skladnik
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        An implementation of the Japanese warehouse keeper game Sokoban
Group:          Games/Strategy
License:        GPLv2+ GFDL BSD
Url:            https://apps.kde.org/skladnik/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KDEGames6)
BuildRequires:  povray


%description
Skladnik is an implementation of the Japanese warehouse keeper
game “sokoban”.

The idea is that you are a warehouse keeper trying to push
crates to their proper locations in a warehouse. The problem
is that you cannot pull the crates or step over them. If you
are not careful, some of the crates can get stuck in wrong
places and/or block your way.

%prep
%autosetup -p1

%build
%cmake_kf6 -DKDE_INSTALL_BINDIR=%{_gamesbindir} \
           -DKDE_INSTALL_DATADIR=%{_gamesdatadir}
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --with-man --all-name

%files -f %{name}.lang
%doc AUTHORS README
%license LICENSES/*
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_kf6_applicationsdir}/org.kde.skladnik.desktop
%{_kf6_metainfodir}/org.kde.skladnik.metainfo.xml
%{_kf6_iconsdir}/hicolor/*/apps/skladnik.png
%{_kf6_mandir}/man6/%{name}.6.*
