%define rel 2

Name:           skrooge
Version:        25.1.0
Release:        %mkrel %{rel}
Summary:        Personal Finance Management Tool
License:        GPLv3+
Group:          Office/Finance
Url:            https://skrooge.org/
Source0:        https://download.kde.org/stable/skrooge/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Designer)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6QuickWidgets)
%ifarch aarch64 x86_64
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuffCore)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Notifications)

BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6TextTemplate)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(KF6Runner)

BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(libofx)
BuildRequires:  pkgconfig(sqlcipher)


%description
Skrooge is a personal finance management tool for KDE, with the aim of
being highly intuitive, while providing powerful functions such as
graphics, persistent Undo/Redo, infinite category levels, and much more...

%files -f %{name}.lang
%{_kf6_bindir}/*
%{_kf6_datadir}/skrooge/
%{_kf6_datadir}/skrooge_import_backend/
%{_kf6_datadir}/skrooge_source/
%{_kf6_datadir}/mime/packages/*.xml
%{_kf6_datadir}/config.kcfg/*.kcfg
%{_kf6_iconsdir}/*/*/*/*
%dir %{_qt6_plugindir}/skg_gui
%{_qt6_plugindir}/skg_gui/*.so
%{_qt6_plugindir}/skrooge_import/
%{_qt6_plugindir}/sqldrivers/*.so
#{_qt6_plugindir}/designer/*.so*
%{_kf6_plugindir}/ktexttemplate/grantlee_skgfilters.so
%{_kf6_datadir}/knsrcfiles/skrooge_unit.knsrc
%{_kf6_datadir}/knsrcfiles/skrooge_monthly.knsrc
%{_kf6_metainfodir}/org.kde.skrooge.appdata.xml
%{_kf6_applicationsdir}/org.kde.skrooge.desktop
%{_kf6_knotificationsdir}/skrooge.notifyrc
%{_kf6_datadir}/kxmlgui5/skg*
%{_kf6_datadir}/kxmlgui5/skrooge*

#-----------------------------------------------------------------------------

%define libskgbankgui_major 2
%define libskgbankgui %mklibname skgbankgui %{libskgbankgui_major}

%package -n     %{libskgbankgui}
Summary:        Bank GUI library for %{name}
Group:          System/Libraries

%description -n %{libskgbankgui}
Bank GUI library for %{name}.

%files -n %{libskgbankgui}
%{_kf6_libdir}/libskgbankgui.so.%{libskgbankgui_major}
%{_kf6_libdir}/libskgbankgui.so.%{version}

#-----------------------------------------------------------------------------

%define libskgbankmodeler_major 2
%define libskgbankmodeler %mklibname skgbankmodeler %{libskgbankmodeler_major}

%package -n     %{libskgbankmodeler}
Summary:        Bank modeler library for %{name}
Group:          System/Libraries

%description -n %{libskgbankmodeler}
Bank modeler library for %{name}.

%files -n %{libskgbankmodeler}
%{_kf6_libdir}/libskgbankmodeler.so.%{libskgbankmodeler_major}
%{_kf6_libdir}/libskgbankmodeler.so.%{version}

#-----------------------------------------------------------------------------

%define libskgbasegui_major 2
%define libskgbasegui %mklibname skgbasegui %{libskgbasegui_major}

%package -n     %{libskgbasegui}
Summary:        Base GUI library for %{name}
Group:          System/Libraries

%description -n %{libskgbasegui}
Base GUI library for %{name}.

%files -n %libskgbasegui
%{_kf6_libdir}/libskgbasegui.so.%{libskgbasegui_major}
%{_kf6_libdir}/libskgbasegui.so.%{version}

#-----------------------------------------------------------------------------

%define libskgbasemodeler_major 2
%define libskgbasemodeler %mklibname skgbasemodeler %{libskgbasemodeler_major}

%package -n     %{libskgbasemodeler}
Summary:        Base modeler library for %{name}
Group:          System/Libraries

%description -n %{libskgbasemodeler}
Base modeler library for %{name}.

%files -n %{libskgbasemodeler}
%{_kf6_libdir}/libskgbasemodeler.so.%{libskgbasegui_major}
%{_kf6_libdir}/libskgbasemodeler.so.%{version}

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 \
%ifarch %{ix86} %{arm32}
           -DSKG_WEBENGINE=OFF \
%endif
           -DQT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html
