%define upstream_name    App-Sky
%define upstream_version 0.4.2

Name:       sky
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Uploader that gives back a URL
License:    MIT
Group:      Networking/WWW
Url:        https://www.shlomifish.org/open-source/projects/sky/
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moo)
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late) >= 0.10.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl
BuildArch:  noarch

Obsoletes:  perl-App-Sky <= 0.0.7

%description
sky is a wrapper around uploaders such as rsync, which uploads a file to a
remote host with a web service, and gives you a URL that will allow other
people to download it immediately.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/App/*
%{_mandir}/*/*
%{_bindir}/*
