%define		wx_ver 3.2
%define		realname SLADE

# comment out if not prerel
#define prel	b4

# rel for bumping
%define rel	3

Summary:	An editor for DOOM maps and WAD/PK3 archives
Name:		slade
Version:	3.2.6
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2+
Group:		Games/Arcade
Url:		https://github.com/sirjuddington/SLADE
Source0:	https://github.com/sirjuddington/%{realname}/archive/%{version}%{?prel:_%prel}/%{name}-%{version}%{?prel:_%prel}.tar.gz

Patch0:		basepk3.diff
Patch1:		slade-cmakelists.patch
# A simple patch to fix the build with luaopen_bit32
Patch3:		luaopen_utf8.patch

BuildRequires:	cmake
BuildRequires:	imagemagick
BuildRequires:	lua5.1-devel
BuildRequires:	lua5.1-bit32
BuildRequires:	p7zip
BuildRequires:	dumb-devel
BuildRequires:	freeimage-devel
BuildRequires:	wxgtk%{wx_ver}-devel
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(fmt)
BuildRequires:	pkgconfig(ftgl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(sfml-all)
BuildRequires:	pkgconfig(x11)
BuildRequires:	libstdc++-static-devel

# The name is SLADE, so provide it just in case
# 2019-12-02 - kekepower
Provides:	SLADE = %{version}-%{release}
Provides:	SLADE3 = %{version}-%{release}

ExclusiveArch:	%{ix86} x86_64

%description
SLADE3 is a modern editor for Doom-engine based games and source ports.
It has the ability to view, modify, and write many different game-specific
formats, and even convert between some of them, or from/to other generic
formats such as PNG.

%files
%doc README.md
%license LICENSE
%{_bindir}/slade
%{_datadir}/slade3/
%{_iconsdir}/hicolor/scalable/apps/net.mancubus.SLADE.svg
%{_datadir}/applications/net.mancubus.SLADE.desktop
%{_metainfodir}/net.mancubus.SLADE.metainfo.xml


#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{realname}-%{version}%{?prel:_%prel}

sed -i '/#include <FreeImage.h>/a #undef _WINDOWS_ ' src/common.h

# std::filesystem components can be used without -lstdc++fs with gcc >= 9
sed -i -e '/lstdc++fs/d' src/CMakeLists.txt

%build
%cmake \
	-DUSE_WEBKIT_STARTPAGE:BOOL=ON \
	-DUSE_WX_EXCEPTION_HANDLER=0 \
	-DWX_GTK3=ON \
	-DNO_WEBVIEW=ON \
	-DwxWidgets_CONFIG_EXECUTABLE=%{_bindir}/wx-config-%{wx_ver} \
	-DUSE_SYSTEM_DUMB=ON \
	-DUSE_SYSTEM_FMT=ON \
	-DBUILD_PK3=ON
%cmake_build

%install
%cmake_install

pushd misc
for txtfile in detect_functions.txt old-simage-formats.txt stuff.txt udmf11.txt \
		udmf_zdoom.txt usdf.txt usdf_zdoom.txt
do
	install -Dm644 $txtfile %{buildroot}%{_datadir}/slade3/misc/${txtfile}
done
popd

