%global gittagdate 20210217
%global gittagcommit 33a7322d

# Disable debuginfo because it is of no use to us.
%global debug_package %{nil}

%if 0%{?mageia:1}
%define cross 1
%endif

%global gittag qemu-slof-%{gittagdate}

Name:           slof
Version:        0.1.git%{gittagdate}
Release:        %mkrel 6
Summary:        Slimline Open Firmware
Group:		Emulators

License:        BSD
URL:            https://www.openfirmware.info/SLOF

Source0:        https://github.com/aik/SLOF/archive/qemu-slof-%{gittagdate}.tar.gz


%if 0%{?cross:1}
BuildArch:      noarch
BuildRequires:  gcc-powerpc64-linux-gnu
%else
ExclusiveArch:  ppc64le
BuildArch:      noarch
%endif

BuildRequires:  gcc
BuildRequires:  perl
BuildRequires:  perl(Getopt::Std)
BuildRequires:  perl(Data::Dumper)
Provides:	SLOF
Conflicts:	qemu < 2.6.0


%description
Slimline Open Firmware (SLOF) is initialization and boot source code
based on the IEEE-1275 (Open Firmware) standard, developed by
engineers of the IBM Corporation.

The SLOF source code provides illustrates what's needed to initialize
and boot Linux or a hypervisor on the industry Open Firmware boot
standard.

Note that you normally wouldn't need to install this package
separately.  It is a dependency of qemu-system-ppc64.


%prep
%setup -q -n SLOF-qemu-slof-%{gittagdate}
%autopatch -p1

%build
%if 0%{?cross:1}
export CROSS="powerpc64-linux-gnu-"
%endif


%make_build qemu V=2


%install
mkdir -p %{buildroot}%{_datadir}/qemu
cp -a boot_rom.bin %{buildroot}%{_datadir}/qemu/slof.bin


%files
%doc LICENSE
%doc README
%dir %{_datadir}/qemu
%{_datadir}/qemu/slof.bin


