%define major	%{version}
%define libname	%mklibname slopy %{major}
%define devname	%mklibname slopy -d

Name:		slop
Version:	7.6
Release:	%mkrel 4
Summary:	Command line tool to perform region SeLect OPeration with mouse
Group:		Development/Tools
License:	GPLv3
URL:		https://github.com/naelstrof/slop
Source0:	https://github.com/naelstrof/slop/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glm)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrender)

%description
slop (Select Operation) is an application that queries for a selection
from the user and prints the region to stdout.

%package -n	%{libname}
Summary:	Library to perform region SeLect OPeration with mouse
Group:		System/Libraries

%description -n	%{libname}
slop (Select Operation) is an application that queries for a selection
from the user and prints the region to stdout.

This sub-package contains libslopy library.

%package -n	%{devname}
Summary:	Library to perform region SeLect OPeration with mouse
Group:		Development/Tools
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	slopy-devel = %{version}-%{release}

%description -n	%{devname}
slop (Select Operation) is an application that queries for a selection
from the user and prints the region to stdout.

This sub-package contains development files for libslopy library.

%prep
%autosetup -p1

# use C++17 and fix build with ICU >= 76
sed -i -e 's/CXX_STANDARD\s\+[0-9]\+/CXX_STANDARD 17/' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%check
ctest -V %{?_smp_mflags}

%files
%doc README.md
%license COPYING license.txt
%{_bindir}/slop
%{_mandir}/man1/slop.1.*

%files -n %{libname}
%{_libdir}/libslopy.so.%{version}

%files -n %{devname}
%{_libdir}/libslopy.so
%{_includedir}/slop.hpp
