Name:		smartmontools
Version:	7.4
Release:	%mkrel 1
Summary:	For monitoring S.M.A.R.T. disks and devices
License:	GPLv2
Group:		System/Kernel and hardware
URL:		https://www.smartmontools.org/
Source0:	https://sourceforge.net/projects/smartmontools/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:	smartd.conf
Source3:	smartd.sysconfig
Source4:	smartd.service
BuildRequires:	systemd-devel
BuildRequires:	systemd-units
BuildRequires:	pkgconfig(libcap-ng)
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun):rpm-helper >= 0.24.8-1

%description
SMARTmontools controls and monitors storage devices using the Self-Monitoring,
Analysis and Reporting Technology System (S.M.A.R.T.) built into ATA and SCSI
Hard Drives. This is used to check the reliability of the hard drive and
predict drive failures. The suite contains two utilities. The first, smartctl,
is a command-line utility designed to perform simple S.M.A.R.T. tasks. The
second, smartd, is a daemon that periodically monitors smart status and
reports errors to syslog. The package is compatible with the ATA/ATAPI-5
specification. Future releases will be compatible with the ATA/ATAPI-6 and
ATA/ATAPI-7 specifications. The package is intended to incorporate as much
"vendor specific" and "reserved" information as possible about disk drives.
man smartctl and man smartd will provide more information.

%prep
%setup -q

# fix file-not-utf8
iconv -f iso8859-1 -t utf-8 ChangeLog-5.0-6.0 > ChangeLog-5.0-6.0.conv && mv -f ChangeLog-5.0-6.0.conv ChangeLog-5.0-6.0

%build
%configure \
	--with-libcap-ng=yes \
	--with-drivedbdir=yes \
	--with-systemdenvfile=%{_sysconfdir}/sysconfig/smartd

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_unitdir}

install %{SOURCE1} %{buildroot}%{_sysconfdir}/smartd.conf
install %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/smartd
#install %{SOURCE4} %{buildroot}%{_unitdir}/smartd.service

rm -f %{buildroot}%{_initrddir}/smartd
rm -f %{buildroot}%{_docdir}/%{name}/INSTALL

%post
%_post_service smartd

%preun
%_preun_service smartd

%files
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/smartd.conf
%attr(0755,root,root) %config(noreplace) %{_sysconfdir}/smartd_warning.sh
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/smartd
%attr(0644,root,root) %{_unitdir}/smartd.service
%{_sbindir}/*
%{_mandir}/man?/*
%{_docdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/drivedb.h
# these files are not included in source tarball but created if
# users update the smart database with 'update-smart-drivedb' command.
%ghost %{_datadir}/%{name}/drivedb.h.error
%ghost %{_datadir}/%{name}/drivedb.h.lastcheck
%ghost %{_datadir}/%{name}/drivedb.h.old
