Name:		smb4k
Version:	4.0.0
Release:	%mkrel 1
Summary:	A KDE SMB share browser
License:	GPLv2+
Group:		Networking/Other
Url:		https://smb4k.sourceforge.io/
Source0:	https://downloads.sourceforge.net/smb4k/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Auth)
BuildRequires:	cmake(KF6Completion)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6DNSSD)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6JobWidgets)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6Solid)
BuildRequires:	cmake(KF6StatusNotifierItem)
BuildRequires:	cmake(KF6Wallet)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6XmlGui)

BuildRequires:	cmake(Qt6Keychain)
BuildRequires:	cmake(Plasma)
BuildRequires:	cmake(KF6Kirigami)
BuildRequires:	cmake(KDSoap-qt6)
BuildRequires:	cmake(KDSoapWSDiscoveryClient)

BuildRequires:	pkgconfig(smbclient)

Requires:	samba-client

%description
An SMB network and share browser for Plasma.

%files -f %{name}.lang
%{_kf6_bindir}/%{name}*
%{_kf6_datadir}/dbus-1/system-services/org.kde.%{name}.mounthelper.service
%{_kf6_datadir}/dbus-1/system.d/org.kde.%{name}.mounthelper.conf
%{_kf6_datadir}/polkit-1/actions/org.kde.%{name}.mounthelper.policy
%{_qt6_plugindir}/*.so
%{_kf6_libexecdir}/kauth/mounthelper
%{_kf6_qmldir}/org/kde/%{name}/
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_datadir}/plasma/plasmoids/org.kde.smb4kqml/
%{_kf6_datadir}/config.kcfg/%{name}.kcfg
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_iconsdir}/*/*/*/*
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_metainfodir}/org.kde.%{name}qml.appdata.xml
%{_kf6_libdir}/libsmb4kcore.so
%{_kf6_libdir}/libsmb4kdialogs.so

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --all-name
