Summary:	User & Group administration tools for Samba-OpenLDAP
Name:		smbldap-tools
Version:	0.9.11
Release:	%mkrel 1
Group:		System/Servers
License:	GPLv2+
URL:		https://github.com/fumiyas/smbldap-tools
Source0:	https://github.com/fumiyas/smbldap-tools/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	mkntpwd.tar.bz2
Patch0:		smbldap-tools-mdvconfig.diff
Patch1:		smbldap-tools-gcc14.patch

%description
Smbldap-tools is a set of perl scripts written by Idealx. Those scripts are
designed to help managing users and groups in a ldap directory server and
can be used both by users and administrators of Linux systems:
. users can change their password in a way similar to the standard
  "passwd" command,
. administrators can perform users and groups management

Scripts are described in the Smbldap-tools User Manual
(http://samba.idealx.org/smbldap-tools.en.html) which also give command
line examples.
You can download the latest version on Idealx web site
(http://samba.idealx.org/dist/).
Comments and/or questions can be sent to the smbldap-tools mailing list
(http://lists.idealx.org/lists/samba).

%prep
%setup -q -a1
%patch -P 0 -p0 -b .mdvconf
%patch -P 1 -p1 -b .gcc14

# nuke that IDEALX stuff from the code
for i in `find -type f`; do
    perl -pi -e "s|/etc/opt/IDEALX/smbldap-tools/|%{_sysconfdir}/smbldap-tools/|g; \
    s|/opt/IDEALX/bin:||g; \
    s|/opt/IDEALX/sbin|%{_sbindir}|g" $i
done

%build
autoreconf -vfi
# Command from build/autogen.sh
sed -n \
	-e "s/^/ /;s/$/ /;s/'/ ' /" \
	-e "/^ ac_subst_vars=/,/'/s/^.* \([A-Za-z_][A-Za-z0-9_]*\) .*/\1=@\1@/p" \
	configure > build/subst.vars.in

%configure
%make_build

pushd mkntpwd
%make_build OPTIMIZE="%optflags %ldflags"
popd

%install
make DESTDIR=%{buildroot} install

install -m0755 mkntpwd/mkntpwd %{buildroot}%{_sbindir}/

mkdir -p %{buildroot}%{_sysconfdir}/smbldap-tools
install -m0644 smbldap.conf %{buildroot}%{_sysconfdir}/smbldap-tools/
install -m0600 smbldap_bind.conf %{buildroot}%{_sysconfdir}/smbldap-tools/

mkdir -p %{buildroot}%{_mandir}/man8/
install -m0644 *.8 %{buildroot}%{_mandir}/man8/

%triggerpostun -- %{name} < 0.9.7
if [ "$1" -eq "2" ]; then ## Upgrade
    %{__perl} %{_datadir}/doc/%{name}/smbldap-upgrade-0.9.6.pl
fi

%files
%doc CONTRIBUTORS COPYING ChangeLog INFRA INSTALL README TODO
%doc smbldap-upgrade-0.9.6.pl
%dir %{_sysconfdir}/smbldap-tools
%config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap.conf
%config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap_bind.conf
%{_sbindir}/*
%{perl_vendorlib}/smbldap_tools.pm
%{_mandir}/man8/*
