Name:           smokinguns
Summary:        A semi-realistic simulation of the "Old West's" great atmosphere FPS game
Version:        1.0
Release:        %mkrel 12
Group:          Games/Shooter
License:        GPLv2+
URL:            https://www.smokin-guns.org/
Source0:        %{name}.sh
Source1:        %{name}.autodlrc
Source2:        %{name}.desktop
Source3:        %{name}.png
BuildRequires:  desktop-file-utils
Requires:       ioquake3 >= 1.36-7.svn2102
Requires:       opengl-games-utils
BuildArch:      noarch


%description
Smokin' Guns is intended to be a semi-realistic simulation of the "Old West's"
great atmosphere & was developed on Id Software's Quake III Arena Engine.

This total conversion includes completely new weapons created with historically
correct information about damage, rate of fire, reload time, etc. It also
includes new game types and maps inspired mostly by movies. And to increase the
feeling of a "gunslingers atmosphere" we also created music tracks and sounds
adapted to this time period.

Smokin' Guns uses the GPL licensed ioquake3 engine, however the Smokin' Guns
data files are not freely redistributable. This package will install an Smokin'
Guns menu entry, which will automatically download the necessary data files
(350 MB!) the first time you start Smokin' Guns.


%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ioquake3

install -p -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/ioquake3

# below is the desktop file and icon stuff.
desktop-file-install --vendor mageia            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE2}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps
install -p -m 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps


%files
%{_bindir}/%{name}
%{_datadir}/ioquake3/%{name}.autodlrc
%{_datadir}/applications/mageia-%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
