%define	api 0.4
%define major 0
%define	libname %mklibname %name %{api} %{major}
%define develname %mklibname %{name} -d

Summary:	SDL MPEG Library
Name:		smpeg
Version:	0.4.5
Release:	%mkrel 13
License:	LGPLv2
Group:		Video/Utilities
URL:		https://icculus.org/smpeg/
Source0:	%{name}-%{version}.tar.xz
Patch0:		smpeg-0.4.5-libsupc++.patch
Patch1:		smpeg-0.4.5-fix-header.patch
Patch2:		smpeg-0.4.4-format_not_a_string_literal_and_no_format_arguments.diff
Patch3:		smpeg-0.4.5-link.patch
BuildRequires:	mesa-common-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(slang)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(gtk+-2.0)

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder and SPLAY,
an mpeg audio decoder created by Woo-jae Jung. We have completed the
initial work to wed these two projects in order to create a general
purpose MPEG video/audio player for the Linux OS.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
#gw smpeg-config calls sdl-config
Requires:	pkgconfig(sdl)

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package 	player
Summary:	Simple MPEG player based on %{name} library
Group:		Video/Players

%description player
This package contains a MPEG player based on %{name}.

%prep
%setup -q
%patch -P 0 -p1 -b .libsupc++
%patch -P 1 -p1 -b .header
%patch -P 2 -p0 -b .format_not_a_string_literal_and_no_format_arguments
%patch -P 3 -p0 -b .link

touch NEWS AUTHORS ChangeLog
pushd acinclude
rm -f lt*.m4 libtool.m4
popd

%build
export CFLAGS="%{optflags} -Wno-error=narrowing"
autoreconf -fi -Iacinclude
%configure --disable-rpath --disable-static \
%ifarch x86
	--disable-mmx \
%endif

%make_build

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/smpeg-config

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files player
%doc README
%{_bindir}/plaympeg
%{_bindir}/glmovie
%{_bindir}/gtv
%{_mandir}/*/*

%files -n %{libname}
%doc README
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*

%files -n %{develname}
%doc CHANGES COPYING README
%{_bindir}/smpeg-config
%multiarch %{multiarch_bindir}/smpeg-config
%{_includedir}/*
%{_libdir}/lib*.so
%{_datadir}/aclocal/smpeg.m4
