Summary:	Complete front-end for mplayer written in Qt5
Name:		smplayer
Version:	24.5.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Video/Players
Url:		https://www.smplayer.info/
Source0:	https://downloads.sourceforge.net/smplayer/%{name}-%{version}.tar.bz2
Patch0:		%{name}-17.2.0-optflags.patch
Patch2:		%{name}-16.8.0-use-system-qtsingleapplication.patch

BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	pkgconfig(xext)

Requires:	mplayer		>= 1.0-1.rc1
Requires:	mpv
Recommends:	smplayer-skins
Recommends:	smplayer-themes
Recommends:	yt-dlp

%description
SMPlayer intends to be a complete front-end for MPlayer,
from basic features like playing videos, DVDs, and VCDs
to more advanced features like support for MPlayer filters and more.

SMPlayer supports themes which can be found in smplayer-themes package.

%prep
%autosetup -p1

# fix wrong-file-end-of-line-encoding
sed -i 's/\r//' *.txt

%build
%set_build_flags
%make_build PREFIX=%{_prefix} QMAKE=%{_qt5_bindir}/qmake LRELEASE=%{_qt5_bindir}/lrelease

%install
%make_install PREFIX=%{_prefix}

# add translation lang tags
(cd %{buildroot} && find . -name '*.qm') | sed -e 's|^.||' | sed -e \
's:\(.*/translations/smplayer_\)\([a-z_A-Z]\+\)\(.*qm$\):%lang(\2) \1\2\3:' \
	>> %{name}.lang

%files -f %{name}.lang
%doc %{_docdir}/%{name}/
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/shortcuts
%dir %{_datadir}/%{name}/translations
%{_bindir}/%{name}
%{_bindir}/simple_web_server
%{_datadir}/%{name}/*.conf
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/shortcuts/*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.*
