%define oldlib	%mklibname %{name}
%define olddev	%mklibname %{name} -d

Summary:	Script-driven sound processing toolkit
Name:		snack
Version:	2.2.10
Release:	%mkrel 27
License:	BSD
Group:		Sound/Utilities
URL:		https://www.speech.kth.se/snack/
Source0:	https://www.speech.kth.se/~kare/%{name}%{version}.tar.bz2
# Fix underlinking
Patch0:		snack-2.2.10-underlinking.patch
Patch1:		snack-2.2.10-unity-linux-fix-roundf.patch
Patch2:		snack-2.2.10-unity-linux-gcc44.patch
Patch3:		snack-2.2.10-mdv-fix-string-format.patch
Patch4:		tcl-snack-2.2.10-CVE-2012-6303-fix.patch
Patch5:		snack-2.2.10-suse-alsa.patch
Patch8:		tcl-snack-configure-c99.patch
Patch9:		tcl-snack-sigproc2-c99.patch
Patch11:	snack2.2.10-const-fix.patch

BuildRequires:	tcl
BuildRequires:	tk
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(x11)
BuildRequires:	dos2unix
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)

%description
Snack is a sound processing toolkit designed as an extension
to a scripting language. Snack currently works with the scripting
languages Tcl/Tk, Python, and Ruby.

Snack has commands to play, record, process, and visualize sound.
Snack provides high level sound objects, with flexible storage management,
and streaming support. It handles most common sound file formats.
The visualization canvas item types update in real-time and can output
postscript. The same scripts run on Unix (Linux, Solaris, HP-UX, IRIX,
FreeBSD, NetBSD), Macintosh, and Windows 95/98/NT/2000/XP.

%package -n	tcl-%{name}
Summary:	Snack Sound Toolkit for Tcl
Group:		Sound/Utilities
Requires:	tcl

%description -n tcl-%{name}
Snack Sound Toolkit for Tcl.

%prep
%setup -q -n %{name}%{version}
%patch -P 0 -p1 -b .underlink
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p0
%patch -P 4 -p1
%patch -P 5 -p0
%patch -P 8 -p1 -b .configure-c99
%patch -P 9 -p1 -b .sigproc2-c99
%patch -P 11 -p1 -b .const-fix

chmod 644 COPYING README changes

%build
pushd unix
%configure \
	--with-tcl=%{_libdir} \
	--with-tk=%{_libdir} \
	--with-ogg-include=%{_includedir}/ogg \
	--with-ogg-lib=%{_libdir} \
	--enable-alsa
%make_build TCL_INCPATH=%{_includedir} TK_INCPATH=%{_includedir} CC="gcc %{optflags}" LDFLAGS="%{ldflags}"
%make_build TCL_INCPATH=%{_includedir} TK_INCPATH=%{_includedir} CC="gcc %{optflags}" LDFLAGS="%{ldflags}" libsnackogg.so
popd

%install
chmod 644 doc/*
chmod 644 demos/tcl/*
chmod 755 demos/tcl/*.tcl
dos2unix demos/tcl/*.txt
rm -f demos/tcl/tclkit-linux-x86

pushd unix
mkdir -p %{buildroot}%{tcl_sitearch}/%{name}%{version}
cp *.so %{buildroot}%{tcl_sitearch}/%{name}%{version}
install -m 0755 *.tcl %{buildroot}%{tcl_sitearch}/%{name}%{version}
popd

%files -n tcl-%{name}
%doc changes doc/tcl-man.html demos/tcl/* doc/A* doc/C* doc/F* README doc/S*
%license COPYING
%{tcl_sitearch}/%{name}%{version}/
