%define major     1
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           snappy
Version:        1.2.2
Release:        %mkrel 1
Summary:        Fast compression and decompression library
Group:          System/Libraries
License:        BSD
URL:            https://google.github.io/snappy/
Source0:        https://github.com/google/snappy/archive/%{version}/%{name}-%{version}.tar.gz
# Remove dependency on bundled gtest and google-benchmark.
Patch0:         %{name}-thirdparty.patch

#(eatdirt) allows to enable rtti (breaks cephfs otherwise, see
#https://tracker.ceph.com/issues/53060)
Patch2:         snappy-1.1.9-rtti.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(benchmark)
BuildRequires:  pkgconfig(gtest)

%description
Snappy is a compression/decompression library. It does not aim for maximum
compression, or compatibility with any other compression library; instead, it
aims for very high speeds and reasonable compression. For instance, compared to
the fastest mode of zlib, Snappy is an order of magnitude faster for most
inputs, but the resulting compressed files are anywhere from 20% to 100%
bigger.


%package -n %{libname}
Summary:        Library of Snappy
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Snappy is a compression/decompression library. It does not aim for maximum
compression, or compatibility with any other compression library; instead, it
aims for very high speeds and reasonable compression. For instance, compared to
the fastest mode of zlib, Snappy is an order of magnitude faster for most
inputs, but the resulting compressed files are anywhere from 20% to 100%
bigger.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/Java
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
#(eatdirt) RTTI ON is required for cephfs
%cmake -DSNAPPY_ENABLE_RTTI:BOOL=ON \
       -DCMAKE_CXX_STANDARD=14
%cmake_build


%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/doc/snappy/

# create pkgconfig file
cat << EOF >snappy.pc
prefix=%{_prefix}
exec_prefix=%{_exec_prefix}
includedir=%{_includedir}
libdir=%{_libdir}

Name: %{name}
Description: A fast compression/decompression library
Version: %{version}
Cflags: -I\${includedir}
Libs: -L\${libdir} -lsnappy
EOF

install -Dm 0644 snappy.pc %{buildroot}%{_libdir}/pkgconfig/snappy.pc


%check
ctest -V


%files -n %{libname}
%doc AUTHORS NEWS README.md
%license COPYING
%{_libdir}/libsnappy.so.%{major}{,.*}

%files -n %{develname}
%doc format_description.txt framing_format.txt
%{_includedir}/snappy*.h
%{_libdir}/libsnappy.so
%{_libdir}/pkgconfig/snappy.pc
%{_libdir}/cmake/Snappy/
