Name:		snd
Version:	25.2
Release:	%mkrel 1
Summary:	Sound file editor
License:	BSD
Group:		Sound/Editors and Converters
Url:		https://ccrma.stanford.edu/software/snd/
Source0:	ftp://ccrma-ftp.stanford.edu/pub/Lisp/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		snd-20.8-fix-portaudio-link.patch
ExclusiveArch:	%ix86 x86_64
# Math
BuildRequires:	gmp-devel
BuildRequires:	pkgconfig(fftw3)
# Output audio
BuildRequires:	ladspa-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(samplerate)
# GUI stuff
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gsl) >= 1.0
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	motif-devel
# Encoders & Co.
BuildRequires:	flac
BuildRequires:	mpg123
BuildRequires:	mpg321
BuildRequires:	speex
BuildRequires:	TiMidity++
BuildRequires:	ttaenc
BuildRequires:	vorbis-tools
BuildRequires:	wavpack
BuildRequires:	libmpc-devel

%description
Snd is a free sound editor modelled loosely after Emacs and an old,
sorely-missed PDP-10 sound editor named Dpysnd.

%files
%doc README.Snd HISTORY.Snd NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

# Fix perms
chmod 0644 s7.c

%build
%configure \
	--with-gsl \
	--with-gmp \
	--with-fftw \
	--with-alsa \
	--with-portaudio \
	--with-jack \
	--with-ladspa \
	--with-gtk \
	--with-gui

%make_build

%install
%make_install

# Provide a menu item
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# Fix perms
chmod +x %{buildroot}%{_datadir}/%{name}/grani.rb
