Summary:	A collection of tools to do interesting things with sound files
Name:		sndfile-tools
Version:	1.5
Release:	%mkrel 2
License:	GPLv2 and GPLv3
Group:		Sound/Editors and Converters
URL:		https://libsndfile.github.io/sndfile-tools/
Source0:	https://github.com/libsndfile/%{name}/releases/download/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(fftw3) >= 3

Provides:	libsamplerate-progs = %{version}-%{release}
Obsoletes:	libsamplerate-progs < 0.1.9-5

%description
sndfile-tools is a collection of programs (written in C) to do interesting
things with sound files.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS README.md
%license COPYING*
%{_docdir}/%{name}/
%{_bindir}/sndfile-generate-chirp
%{_bindir}/sndfile-jackplay
%{_bindir}/sndfile-mix-to-mono
%{_bindir}/sndfile-resample
%{_bindir}/sndfile-spectrogram
%{_bindir}/sndfile-waveform
%{_mandir}/man1/sndfile-generate-chirp.1.*
%{_mandir}/man1/sndfile-jackplay.1.*
%{_mandir}/man1/sndfile-mix-to-mono.1.*
%{_mandir}/man1/sndfile-resample.1.*
%{_mandir}/man1/sndfile-spectrogram.1.*
