%define		major	7
%define		libname	%mklibname sndio %{major}
%define		devel	%mklibname sndio -d

Name:		sndio
Version:	1.10.0
Release:	%mkrel 2
Summary:	A sound library
Group:		Sound/Utilities
License:	ISC
URL:		https://sndio.org/
Source0:	https://sndio.org//%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(alsa)
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
Requires:	%{libname} = %{version}-%{release}

%description
sndio is a sound library.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
These are libraries for %{name}.

%package -n	%{devel}
Summary:	This includes the development files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devel}
Here are the development files for %{name}.

%prep
%autosetup

%build
%set_build_flags
./configure \
--prefix=%{_prefix} \
--libdir=%{_libdir} \
--mandir=%{_mandir}

%make_build

%install
%make_install

# Install sndiod systemd service file
%__install -Dm 755 contrib/%{name}d.service %{buildroot}%{_unitdir}/%{name}d.service
%__install -Dm 644 contrib/default.%{name}d %{buildroot}%{_sysconfdir}/default/%{name}d

%pre
%_pre_useradd %{name}d /dev/null /bin/false
/usr/sbin/usermod -a -G audio %{name}d

%post
%_post_service	%{name}d

%preun
%preun_service	%{name}d

%postun
/usr/sbin/usermod -G %{name}d %{name}d
%_postun_userdel %{name}d

%files
%{_bindir}/aucat
%{_bindir}/midicat
%{_bindir}/sndio*
%{_mandir}/man*/*
%{_unitdir}/%{name}d.service
%{_sysconfdir}/default/%{name}d

%files -n	%{libname}
%{_libdir}/libsndio.so.%{major}{,.*}

%files -n	%{devel}
%{_libdir}/libsndio.so
%{_includedir}/sndio.h
%{_libdir}/pkgconfig/sndio.pc
