# snes9x is freeware, it must be submitted to nonfree

Summary:        Super NES emulator
Name:           snes9x
Version:        1.61
Release:        %mkrel 2
Group:          Emulators
License:        Freeware and LGPLv2
URL:            https://github.com/snes9xgit/snes9x
Source0:        https://github.com/snes9xgit/snes9x/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  intltool
BuildRequires:  meson
BuildRequires:  nasm
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(zlib)

%description
Snes9X is a portable, freeware Super Nintendo Entertainment System (SNES)
emulator. It basically allows you to play most games designed for the SNES
and Super Famicom Nintendo game systems on your PC or Workstation.

%package -n     %{name}-gtk
Summary:        Graphical User Interface for snes9x
Group:          Emulators

%description -n %{name}-gtk
This package adds a GTK graphical user interface to snes9x.

%prep
%autosetup -p1

%build
pushd gtk
%meson -Dslang=false
%meson_build
popd

# Second, build the CLI version
pushd unix
%configure \
    --enable-netplay
%make_build
popd

%install
%meson_install -C gtk/build

mkdir -p %{buildroot}%{_bindir}
install -m 755 unix/snes9x %{buildroot}%{_bindir}

%find_lang snes9x-gtk

%files
%doc docs/*
%doc unix/docs/readme_unix.html
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/snes9x/cheats.bml

%files -n %{name}-gtk -f snes9x-gtk.lang
%doc docs/*
%license LICENSE
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
