# This thing cannot build fast.
%global _smp_mflags -j1
%global optflags %{optflags} -Wno-error=unused-result -Wno-error=unused-but-set-variable -Wno-error=restrict -Wno-error=unused-variable -Wno-error=maybe-uninitialized -Wno-error=uninitialized

%define devname	%mklibname -d snobol4

Name:		snobol4
Version:	2.3.2
Release:	%mkrel 1
Summary:	A port of Macro SNOBOL4
Group:		Development/Other
# Majority: BSD-2-Clause
# BSD-3-Clause: modules/random/random.c
# BSD-4-Clause: lib/bsd/popen.c
# ISC: modules/base64/base64.c
License:	BSD-2-Clause AND BSD-3-Clause AND BSD-4-Clause AND ISC
URL:		https://www.regressive.org/snobol4/csnobol4/curr/
Source0:	https://ftp.regressive.org/snobol4/%{name}-%{version}.tar.gz
Patch0:		snobol4-replace_egrep_to_grep-E.patch
# Do not hardcode -O3.
Patch1:		snobol4-2.3.1-configure-no-opt.patch

BuildRequires:	gdbm-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(libedit)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(zlib)

Provides:	c%{name} = %{version}-%{release}
Provides:	c%{name}%{?_isa} = %{version}-%{release}

%description
This is a free port of the original SIL (SNOBOL4 Implementation
Language) "macro" version of SNOBOL4 (developed at Bell Labs) with the
`C' language as a target.

SNOBOL4, while known primarily as a string language excels at any task
involving symbolic manipulations.  It provides dynamic typing, garbage
collection, user data types, on the fly compilation.

%package -n %{devname}
Summary:	Development files for snobol4
Group:		Development/Other
Requires:	%{name}%{?_isa} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel%{?_isa} = %{version}-%{release}
Provides:	c%{name}-devel = %{version}-%{release}
Provides:	c%{name}-devel%{?_isa} = %{version}-%{release}

%description -n %{devname}
Development files for snobol4.

%prep
%autosetup -p1

%build
# This isn't a real configure script, hence, no macro.
./configure \
	--add-cflags="%{build_cflags}" \
	--add-cppflags="%{build_cxxflags}" \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--snolibdir=%{_libdir}/snobol4 \
	--with-tcl=%{_libdir}/tclConfig.sh
%make_build

%install
%make_install

# all in libdir? What is this, 1985? Oh wait, this is SNOBOL, so maybe 1969.
mkdir -p %{buildroot}%{_includedir}/snobol4
mv %{buildroot}%{_libdir}/%{name}/%{version}/include/* %{buildroot}%{_includedir}/snobol4
pushd %{buildroot}%{_libdir}/%{name}/%{version}/
rm -rf include
ln -s ../../../include/snobol4 include
popd

rm -rf %{buildroot}%{_libdir}/%{name}/%{version}/CHANGES %{buildroot}%{_libdir}/%{name}/%{version}/README

%files
%doc CHANGES README
%doc %{_docdir}/%{name}-%{version}/
%license COPYRIGHT
%{_bindir}/sdb*
%{_bindir}/snobol4*
%{_bindir}/snopea*
%{_libdir}/snobol4/
%exclude %{_libdir}/snobol4/%{version}/include
%{_mandir}/man1/sdb.1*
%{_mandir}/man1/snobol4*.1*
%{_mandir}/man1/snopea.1*
%{_mandir}/man3/snolib.3*
%{_mandir}/man3/snobol4*.3*
%{_mandir}/man7/snopea.7*

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/snobol4/%{version}/include
