Name:          snowball-java
Version:       2.2.0
Release:       %mkrel 3
Group:         Development/Java

Summary:       Java stemming algorithm library
License:       BSD
URL:           https://snowballstem.org/
Source0:       https://snowballstem.org/dist/libstemmer_java-%{version}.tar.gz
# Custom pom file
Source1:       snowball-template-pom.xml
# http://snowball.tartarus.org/license.php
Source2:       snowball-notice.txt
# see http://snowball.tartarus.org/license.php
# https://www.opensource.org/licenses/bsd-license.html
Source3:       snowball-BSD-license.txt

BuildRequires: maven-local
BuildArch:     noarch

%description
Snowball is a small string processing language
designed for creating stemming algorithms
for use in Information Retrieval.

This package contains all you need to include the
snowball stemming algorithms into a Java
project of your own. If you use this,
you don't need to use the snowball compiler,
or worry about the internals of the
stemmers in any way.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%autosetup -p1 -n libstemmer_java-%{version}

cp -p %{SOURCE1} pom.xml
sed -i "s|@VERSION@|%{version}|" pom.xml

cp -p %{SOURCE2} notice.txt
cp -p %{SOURCE3} license.txt
sed -i 's/\r//' license.txt notice.txt

%mvn_file : %{name}

%build

%mvn_build -- -Dmaven.compiler.release=11

%install
%mvn_install

%files -f .mfiles
%license license.txt notice.txt

%files javadoc -f .mfiles-javadoc
%license license.txt notice.txt

