%define version 75.40
%define rel 6

# unofficial source
%define downurl https://ssl02.upcbroadband.com/CSHELL/snx_install.sh
%define md5sum f16097e97e65d1f0693bf72eaf7418bb

%define downdir %{_localstatedir}/lib/%{name}
%define downfile %{downdir}/%{name}_install.sh
%define EULAurl https://www.checkpoint.com/download_agreement.html

Summary:	Check Point SSL Network Extender (SNX)
Name:		snx
Version:	%{version}
Release:	%mkrel %{rel}
License:	Proprietary
URL:		https://www.checkpoint.com/
Group:		Networking/Other
ExclusiveArch:	%ix86 x86_64
Requires(pre):	curl
Requires:	libpam0(x86-32) libstdc++5 libx11_6(x86-32)

%description
This packages contains the Check Point SSL Network Extender (SNX),
a VPN client.

NOTE: This package does not contain %{name} itself. The
software will be automatically downloaded during package
installation.

Installing this package indicates acceptance of the %{name} EULA,
available at %{EULAurl}.

%prep
%setup -c -T

%install
install -d -m755 %{buildroot}%{downdir}
install -d -m700 %{buildroot}%{_sysconfdir}/%{name}
install -d -m700 %{buildroot}%{_sysconfdir}/%{name}/tmp
install -d -m755 %{buildroot}%{_bindir}
touch %{buildroot}%{_bindir}/%{name}

%pre
get_proxy_from_urpmi() {
	if [ -e /etc/urpmi/proxy.cfg ]; then
		proxy="$(grep ^http_proxy= /etc/urpmi/proxy.cfg 2>/dev/null)"
		proxy_user="$(grep ^proxy_user= /etc/urpmi/proxy.cfg 2>/dev/null)"

		proxy="${proxy#http_proxy=}"
		proxy_user="${proxy_user#proxy_user=}"

		[ -n "$proxy" ] && echo "--proxy $proxy"
		[ -n "$proxy_user" ] && echo "--proxy-user $proxy_user"
	fi
}

echo "Note that by downloading %{name} you indicate your acceptance of the EULA,"
echo "available at %{EULAurl}"

echo "Downloading from %{downurl}"
install -d -m755 $(dirname %{downfile})
curl --connect-timeout 20 -m 10800 -L $(get_proxy_from_urpmi) "%{downurl}" > "%{downfile}"

if ! [ -f %{downfile} ]; then
   echo "Download failed"
   exit 1
fi

md5chk=$(md5sum %{downfile} | cut -d' ' -f1)
if ! [ "%{md5sum}" = "$md5chk" ]; then
   echo "Download checksum failed"
   rm -f %{downfile}
   exit 1
fi

ARCHIVE_OFFSET=$(perl -lne '/^ARCHIVE_OFFSET=(\d+)/ and print $1' %{downfile})
if [ -z "$ARCHIVE_OFFSET" ]; then
   echo "Failed to find archive offset in %{downfile}"
   rm -f %{downfile}
   exit 1
fi

tail -n +${ARCHIVE_OFFSET} %{downfile} | tar xj -C %{downdir} %{name}
if [ ! -f "%{downdir}/%{name}" ]; then
   echo "Failed to extract %{downdir}/%{name} from %{downfile}"
   rm -f %{downfile}
   exit 1
fi

%post
mv %{downdir}/%{name} %{_bindir}/%{name}
chmod 755 %{_bindir}/%{name}

echo "%{name} installation successful."

%files
%dir   %{downdir}
%ghost %{_bindir}/%{name}
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/tmp
