%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define uname   SoapySDR
%define modsfx  %(echo "%{version}"|cut -d. -f-2)

Name:           soapy-sdr
Version:        0.8.1
Release:        %mkrel 6
Summary:        A Vendor Neutral and Platform Independent SDR Support Library
Group:          Communications/Radio
License:        Boost
URL:            https://github.com/pothosware/SoapySDR
Source0:        https://github.com/pothosware/%{uname}/archive/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  swig
BuildRequires:  doxygen
BuildRequires:  python3-devel
BuildRequires:  python3-numpy

%description
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{libname}
Summary:        A Vendor Neutral and Platform Independent SDR Support Library

%description -n %{libname}
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n python3-%{name}
Summary:        Python3 Bindings for SoapySDR
Provides:       python3-%{name} = %{version}-%{release}

%description -n python3-%{name}
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{devname}
Summary:        Development Files for SoapySDR
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{uname}-devel = %{version}-%{release}

%description -n %{devname}
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{name}-doc
Summary:        Documentation Files for SoapySDR
BuildArch:      noarch

%description -n %{name}-doc
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.
This package includes documentation.

%prep
%autosetup -n %{uname}-%{name}-%{version}

# install cmake config files into '/usr/lib(64)/cmake/'
sed -i 's|${CMAKE_INSTALL_DATADIR}/cmake/|${CMAKE_INSTALL_LIBDIR}/cmake/|' CMakeLists.txt

%build
%cmake -DUSE_PYTHON_CONFIG=ON

%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_libdir}/%{name}/modules%{modsfx}

# install docs
mkdir -p %{buildroot}%{_pkgdocdir}
cp -a build/docs/html/* %{buildroot}%{_pkgdocdir}

%check
%ctest -V

%files
%license LICENSE_1_0.txt
%{_bindir}/%{uname}Util
%{_mandir}/man1/%{uname}Util.1*

%files -n %{libname}
%{_libdir}/lib%{uname}.so.%{major}{,.*}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/modules%{modsfx}/

%files -n python3-%{name}
%license LICENSE_1_0.txt
%{python3_sitearch}/%{uname}.py
%{python3_sitearch}/_%{uname}.so
%{python3_sitearch}/__pycache__/%{uname}.cpython-*.pyc

%files -n %{devname}
%{_includedir}/%{uname}/
%{_libdir}/lib%{uname}.so
%{_libdir}/pkgconfig/%{uname}.pc
%{_libdir}/cmake/%{uname}/

%files -n %{name}-doc
%doc README.md
%{_pkgdocdir}/
