%define         majornum    26
%define         srcname     lib%{name}
%define         libname     %mklibname %{name} %{majornum}
%define         develname   %mklibname %{name} -d

Name:           sodium
Version:        1.0.20
Release:        %mkrel 1
Summary:        A software library for encryption, decryption and more
License:        ISC License
Group:          Security

URL:            https://github.com/jedisct1/libsodium
Source0:        https://github.com/jedisct1/libsodium/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  sed
BuildRequires:  grep
BuildRequires:  gawk


%description
Sodium is a new, easy-to-use software library for encryption,
decryption, signatures, password hashing and more. It is a portable,
cross-compilable, installable fork of NaCl, with a compatible API, and
an extended API to improve usability even further. Its goal is to
provide all of the core operations needed to build higher-level
cryptography tools.



%package -n %{libname}
License:        ISC License
Summary:        The sodium library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Sodium is a new, easy-to-use software library for encryption,
decryption, signatures, password hashing and more. It is a portable,
cross-compilable, installable fork of NaCl, with a compatible API, and
an extended API to improve usability even further. Its goal is to
provide all of the core operations needed to build higher-level
cryptography tools.


%package -n %{develname}
License:        ISC License
Summary:        Headers and development files for the sodium library
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Headers and development files for the sodium library.


%prep

%setup -q -n %{srcname}-%{version}

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS README.markdown THANKS LICENSE
%{_libdir}/libsodium.so.%{majornum}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_libdir}/libsodium.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/sodium.h
%{_includedir}/sodium

