%define major 0
%define libname %mklibname sofia-sip-ua %{major}

%define gmajor 3
%define glibname %mklibname sofia-sip-ua-glib %{gmajor}

%define develname %mklibname -d %{name}
%define staticdevelname %mklibname -d -s %{name}


Summary:	RFC3261 compliant SIP User-Agent library
Name:		sofia-sip
Version:	1.13.17
Release:	%mkrel 2
License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		https://github.com/freeswitch/sofia-sip
Source0:	https://github.com/freeswitch/sofia-sip/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		sofia-sip-linking.patch
Patch2:		0001-Fix-incompatible-pointer-type-in-sip_basic.c.patch
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	autoconf
BuildRequires:	automake

%description
Sofia-SIP is an open-source SIP  User-Agent library,
compliant with the IETF RFC3261 specification (see the
feature table). It can be used as a building block for
SIP client software for uses such as VoIP, IM, and many
other real-time and person-to-person communication services.
The primary target platform for Sofia-SIP is GNU/Linux.
Sofia-SIP is based on a SIP stack developed at the Nokia
Research Center. Sofia-SIP is licensed under the LGPL.

%package -n %{libname}
Summary:	RFC3261 compliant SIP User-Agent library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Requires:	%name = %version-%release
Obsoletes:	%{_lib}sofia-sip0 < 1.13.8-2

%description -n %{libname}
Library for %{name}.

%package -n %{glibname}
Summary:        Sofia-SIP library bindings for glib
Group:          System/Libraries
Conflicts:	%{_lib}sofia-sip0 < 1.13.8-2

%description -n %{glibname}
Library for %{name}.

%package -n %{develname}
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{glibname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	sofia-sip-ua-devel = %{version}-%{release}
Provides:	sofia-sip-ua-glib-devel = %{version}-%{release}

%description -n %{develname}
Headers of %{name} for development.

%package -n %{staticdevelname}
Summary:	Static development files for %{name}
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}

%description -n %{staticdevelname}
Static development files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install


%files -n %{name}
%{_bindir}/addrinfo
%{_bindir}/localinfo
%{_bindir}/sip-date
%{_bindir}/sip-dig
%{_bindir}/sip-options
%{_bindir}/stunc
#%%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libsofia-sip-ua.so.%{major}{,.*}

%files -n %{glibname}
%{_libdir}/libsofia-sip-ua-glib.so.%{gmajor}{,.*}

%files -n %{develname}
%{_datadir}/sofia-sip/msg_parser.awk
%{_datadir}/sofia-sip/tag_dll.awk
%{_includedir}/sofia-sip-1.13/
%{_libdir}/libsofia-sip-ua-glib.so
%{_libdir}/libsofia-sip-ua.so
%{_libdir}/pkgconfig/sofia-sip-ua-glib.pc
%{_libdir}/pkgconfig/sofia-sip-ua.pc

%files -n %{staticdevelname}
%{_libdir}/libsofia-sip-ua.a
%{_libdir}/libsofia-sip-ua-glib.a
