%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(AppIndicator3

%define	oname	Solaar

# Comment out when not a pre-release
#define prel	rc4

%define rel	3

Name:		solaar
Version:	1.1.14
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Device manager for Logitech's Unifying Receiver
License:	GPLv2
Group:		System/Kernel and hardware
Url:		https://pwr-solaar.github.io/Solaar/
Source0:	https://github.com/pwr-Solaar/Solaar/archive/%{version}%{?prel:%prel}/%{oname}-%{version}%{?prel:%prel}.tar.gz
Patch1:		0001-Fix-logo-not-showing-in-about-dialog-box.patch
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
Requires:	python3dist(pyudev)
Requires:	python3dist(pygobject)
Requires:	python3dist(typing-extensions)

Obsoletes:	python3-hid-parser < 0.0.3-0.git20211206.2

%description
Solaar is a Linux device manager for Logitech’s Unifying Receiver
peripherals. It is able to pair/unpair devices to the receiver, and
for most devices read battery status.

It comes in two flavors, command-line and GUI. Both are able to list
the devices paired to a Unifying Receiver, show detailed info for
each device, and also pair/unpair supported devices with the receiver.

%prep
%autosetup -n %{oname}-%{version}%{?prel:%prel} -p1

# drop unneeded shebangs
sed -i -e '1{/^#!/d}' $(grep -rl '#!\s*/usr' lib)

# create all translations files (solaar.mo) on ./share/locale
sh ./tools/po-compile.sh

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files {hid_parser,hidapi,keysyms,logitech_receiver,solaar}

install -D -m 0644 share/autostart/solaar.desktop %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang -f %{pyproject_files}
%doc CHANGELOG.md Release_Notes.md share/README docs
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}-light*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_metainfodir}/io.github.pwr_solaar.solaar.metainfo.xml
%config %{_udevrulesdir}/42-logitech-unify-permissions.rules
