%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		solarus
Version:	1.6.5
Release:	%mkrel 2
Summary:	An open-source Zelda-like 2D game engine
Group:		Games/Adventure
License:	GPLv3
URL:		https://www.solarus-games.org/
Source0:	https://gitlab.com/solarus-games/solarus/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
# upstream fix for glm 1.0.1
Patch1:		0001-Set-GLM_ENABLE_EXPERIMENTAL-no-matter-the-GLM-version.patch
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(glm)
BuildRequires:	pkgconfig(physfs)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
Solarus is an open-source Zelda-like 2D game engine written in C++.

If you want, you can download games "Zelda Mystery of Solarus DX"
and "Zelda Mystery of Solarus XD" on solarus site at :
https://www.solarus-games.org/games/ .

Their licenses do not allow redistribution, they are open-source but
contain copyrighted material from Nintendo, thus preventing their
redistribution as per Mageia's licensing policy.

#------------------------------------------------

%package -n	%{libname}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains library files for %{name}.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake

%cmake_build

%install
%cmake_install

%files
%doc changelog.md readme.md
%license license.txt
%{_bindir}/%{name}-launcher
%{_bindir}/%{name}-run
%{_datadir}/%{name}-gui/
%{_datadir}/applications/org.solarus_games.%{name}.Launcher.desktop
%{_metainfodir}/org.solarus_games.%{name}.appdata.xml
%{_datadir}/pixmaps/org.solarus_games.%{name}*.png
%{_iconsdir}/hicolor/*/apps/org.solarus_games.%{name}*.png
%{_iconsdir}/hicolor/*/apps/org.solarus_games.%{name}*.svg
%{_mandir}/man6/%{name}-launcher.6*
%{_mandir}/man6/%{name}-run.6*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/lib%{name}-gui.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-gui.so
