Name:		solfege
Summary:	An ear-training program
Version:	3.23.4
Release:	%mkrel 10
License:	GPLv3+
Group:		Sound/Utilities
URL:		https://www.solfege.org/
Source0:	https://alpha.gnu.org/gnu/solfege/%{name}-%{version}.tar.gz
Source1:	%{name}48.png
Source2:	%{name}32.png
Source3:	%{name}16.png
Patch1:		solfege-3.20.0-link.patch
Patch2:		solfege-3.23.4-usrmove.patch
Patch3:		solfege-3.23.4-py3-webbrowser.patch
Patch4:		solfege-3.23.4-texinfo-non-utf8-input-fix.patch
Patch5:		solfege-fix-python-version-detection.patch
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext
BuildRequires:	libxslt-proc
BuildRequires:	python3-devel
BuildRequires:	python3-gobject3
BuildRequires:	python3-gobject-base
BuildRequires:	swig
BuildRequires:	texinfo
BuildRequires:	txt2man
BuildRequires:	xml2po
Requires:	python3-gobject3
Requires:	TiMidity++

%description
GNU Solfege is an ear-training program. These are the exercises written so far:
    * Recognise melodic and harmonic intervals
    * Compare interval sizes
    * Sing the intervals the computer asks for
    * Identify chords
    * Sing chords
    * Scales
    * Dictation
    * Remembering rhythmic patterns

%prep
%setup -q
%autopatch -p1

%build
FILE=$(ls %_datadir/sgml/docbook/xsl-stylesheets-1.*/html/chunk.xsl)
%configure --enable-docbook-stylesheet=$FILE
%make_build

%install
%make_install

chmod 755 %{buildroot}%{_libdir}/%{name}/*.so

# menu
desktop-file-install --vendor="" \
  --set-comment='Music education software' \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
install -Dpm644 %SOURCE1 $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
install -Dpm644 %SOURCE2 $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -Dpm644 %SOURCE3 $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

# python shebangs
%py3_shebang_fix %{buildroot}%{_bindir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS FAQ
%license COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/sol*
%{_mandir}/man1/*
%{_libdir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.svg
%{_datadir}/%{name}/
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
