#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 1 integration module that provides hardware information
Name:           solid
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
# Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Help)

BuildRequires:  pkgconfig(libplist-2.0)
BuildRequires:  pkgconfig(libimobiledevice-1.0)
BuildRequires:  pkgconfig(udev)

BuildRequires:  flex
BuildRequires:  bison

# runtime dependencies
BuildRequires:  media-player-info
Requires:       media-player-info

%description
KDE Frameworks 6 Tier 1 integration module that provides hardware information.

%files -f %{name}6_qt.lang
%_kf6_categoriesdir/solid.*categories
%_kf6_bindir/solid-hardware6

#--------------------------------------------------------------------

%define kf6solid_major 6
%define libkf6solid %mklibname kf6solid %{kf6solid_major}

%package -n %libkf6solid
Summary:        KDE Frameworks 6 Tier 1 integration module that provides hardware information
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6solid
KDE Frameworks 6 Tier 1 integration module that provides hardware information.

%files -n %libkf6solid
%_kf6_libdir/libKF6Solid.so.%{kf6solid_major}{,.*}

#--------------------------------------------------------------------

%define kf6solid_devel %mklibname kf6solid -d

%package -n %kf6solid_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6solid = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6solid_devel
This package contains header files needed if you wish to build applications.
based on %name.

%files -n %kf6solid_devel
%_kf6_includedir/Solid/
%_kf6_libdir/cmake/KF6Solid/
%_kf6_libdir/libKF6Solid.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang_kf6 %{name}6_qt
