Summary:	An elegant music client for MPD
Name:		sonata
Epoch:		1
Version:	1.7.0
Release:	%mkrel 6
License:	GPLv2+
Group:		Sound/Players
Url:		https://www.nongnu.org/sonata/
Source0:	https://github.com/multani/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	norwegian-nb.po
BuildArch:	noarch
BuildRequires:	perl(XML::Parser)
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-devel
Recommends:	mpd
Requires:	python3-dbus
Requires:	python3-gobject3
Requires:       python3-mpd2
Requires:	python3-tagpy

%description
Sonata is an elegant GTK+ music client for the Music Player Daemon (MPD).

%prep
%setup -q

install -m644 %{SOURCE1} po/nb.po

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files  sonata

mkdir -p %{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_docdir}/%{name}
mkdir -p %{buildroot}%{_mandir}
install -m644 sonata/pixmaps/%{name}.png -D %{buildroot}%{_datadir}/pixmaps/%{name}.png
rm -f %{buildroot}%{_datadir}/%{name}/{CHANGELOG,README.rst,TODO,TRANSLATORS}

%find_lang %{name}

%files -f %{name}.lang -f %{pyproject_files}
%doc CHANGELOG README.rst TODO TRANSLATORS PLUGINS.rst
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
