#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 1 solution for spell checking
Name:           sonnet
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        sonnet-config.desktop
Patch1:         sonnet-config.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6UiPlugin)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  aspell-devel
BuildRequires:  hspell-devel
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libvoikko)

Requires:       hspell

%description
KDE Frameworks 6 Tier 1 solution for spell checking.

%files -f sonnet6_qt.lang
%_kf6_categoriesdir/sonnet.*categories
%_kf6_bindir/parsetrigrams6
%_kf6_plugindir/sonnet
%_qt6_plugindir/designer/sonnet6widgets.so
%_kf6_qmldir/org/kde/sonnet/

#--------------------------------------------------------------------

%package config
Summary:        Configuration dialog for Sonnet
Group:          System/Configuration
Requires:       %{name} >= %{version}-%{release}

%description config
Configuration Dialogue for Sonnet.
Sonnet is a plugin-based spell checking library for Qt-based applications.
It supports several different plugins, including HSpell, Enchant,
ASpell and HUNSPELL.
It also supports automated language detection, based on a combination of
different algorithms.

%files config
%{_kf6_bindir}/%{name}-config
%{_kf6_applicationsdir}/%{name}-config.desktop

#--------------------------------------------------------------------

%define kf6sonnetui_major 6
%define libkf6sonnetui %mklibname kf6sonnetui %{kf6sonnetui_major}

%package -n %libkf6sonnetui
Summary:        KDE Frameworks 6 Tier 1 solution for spell checking
Group:          System/Libraries

%description -n %libkf6sonnetui
KDE Frameworks 6 Tier 1 solution for spell checking.

%files -n %libkf6sonnetui
%_kf6_libdir/libKF6SonnetUi.so.%{kf6sonnetui_major}{,.*}
%_kf6_libdir/libKF6SonnetUi.so.%{version}

#--------------------------------------------------------------------

%define kf6sonnetcore_major 6
%define libkf6sonnetcore %mklibname kf6sonnetcore %{kf6sonnetcore_major}

%package -n %libkf6sonnetcore
Summary:        KDE Frameworks 6 Tier 1 solution for spell checking
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6sonnetcore
KDE Frameworks 6 Tier 1 solution for spell checking.

%files -n %libkf6sonnetcore
%_kf6_libdir/libKF6SonnetCore.so.%{kf6sonnetcore_major}{,.*}
%_kf6_libdir/libKF6SonnetCore.so.%{version}

#--------------------------------------------------------------------

%define kf6sonnet_devel %mklibname kf6sonnet -d

%package -n %kf6sonnet_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6sonnetui = %version-%release
Requires:       %libkf6sonnetcore = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6sonnet_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6sonnet_devel
%_kf6_includedir/SonnetUi/
%_kf6_includedir/SonnetCore/
%dir %_kf6_includedir/Sonnet
%_kf6_includedir/Sonnet/sonnet_version.h
%_kf6_libdir/cmake/KF6Sonnet/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_TESTING=ON \
           -DBUILD_EXAMPLES=ON
%cmake_build

%install
%cmake_install

%find_lang_kf6 sonnet6_qt

# package manually configdialog tool (needed for LXQt)
desktop-file-install --mode=0644 --dir=%{buildroot}%{_kf6_applicationsdir} %{SOURCE1}
