%define         sope_soname            4_9
%define         sope_version           4.9
%define         gs_makefiles           %_libdir/GNUstep/Makefiles
%define         oname SOPE

Name:           sope
Summary:        SKYRiX Object Publishing Environment
Version:        5.10.0
Release:        %mkrel 3
License:        GPLv2+
Group:          System/Libraries
Url:            https://www.sogo.nu/
Source:         https://github.com/Alinto/sope/archive/refs/tags/%{oname}-%{version}.tar.gz
Patch0:         SOPE-2.2.14-fix-link.patch
Patch1:         SOPE-2.2.14-aarch64.patch
BuildRequires:  gcc-objc
BuildRequires:  pkgconfig(gnustep-base)
BuildRequires:  mysql-devel
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  openldap-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig
BuildRequires:  postgresql-devel
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  fdupes
BuildRequires:  gnustep-base

Obsoletes:      libSBJson2 <= 2.3.1


%description
SOPE is a framework for developing web applications and services. The
name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.

%package devel
Summary:        Development files for the SOPE libraries
Group:          Development/C#
Requires:       libGDLAccess%{sope_soname} = %{version}
Requires:       libNGLdap%{sope_soname} = %{version}
Requires:       libNGMime%{sope_soname} = %{version}
Requires:       %{name}-appserver = %{version}
Requires:       %{name}-core = %{version}
Requires:       %{name}-xml = %{version}
Requires:       gnustep-make
Requires:       mysql-devel
Requires:       libxml2-devel
Requires:       openldap-devel
Requires:       postgresql-devel
Requires:       pkgconfig
Requires:       sqlite3-devel

%description devel
This package contains the development files of the SOPE libraries.


%package appserver
Summary:        SOPE application server libraries
Group:          System/Libraries
Requires:       %{name}-core
Requires:       %{name}-xml

%description appserver
The SOPE application server libraries provide:

  * template rendering engine, lots of dynamic elements
  * HTTP client/server
  * XML-RPC client
  * WebDAV server framework
  * session management
  * scripting extensions for Foundation, JavaScript bridge
  * DOM tree rendering library

%package core
Summary:        Core libraries of the SOPE application server
Group:          System/Libraries
Requires:       %{name}-xml

%description core
The SOPE core libraries contain:

  * various Foundation extensions
  * a java.io like stream and socket library

%package xml
Summary:        SOPE libraries for XML processing
Group:          System/Libraries

%description xml
The SOPE libraries for XML processing contain:

  * a SAX2 Implementation for Objective-C
  * an attempt to implement DOM on top of SaxObjC
  * an XML-RPC implementation (without a transport layer)

%package -n libGDLAccess%{sope_soname}
Summary:        GNUstep database libraries for SOPE
Group:          System/Libraries
Requires:       %{name}-core
Requires:       %{name}-xml

%description -n libGDLAccess%{sope_soname}
This package contains a fork of the GNUstep database libraries used
by the SOPE application server.

%package -n libNGLdap%{sope_soname}
Summary:        SOPE libraries for LDAP access
Group:          System/Libraries
Requires:       %{name}-core
Requires:       %{name}-xml
Requires:       openldap

%description -n libNGLdap%{sope_soname}
The SOPE libraries for LDAP access contain an Objective-C wrapper for
LDAP directory services.

%package -n libNGMime%{sope_soname}
Summary:        SOPE libraries for MIME processing
Group:          System/Libraries
Requires:       %{name}-core
Requires:       %{name}-xml

%description -n libNGMime%{sope_soname}
The SOPE libraries for MIME processing contain:

  * classes for processing MIME entities
  * a full IMAP4 implementation
  * prototypical POP3 and SMTP processor

%package gdl1-mysql
Summary:        MySQL connector for SOPE's fork of the GNUstep database environment
Group:          System/Libraries

%description gdl1-mysql
This package contains the MySQL connector for SOPE's fork of the
GNUstep database libraries.

%package gdl1-postgresql
Summary:        PostgreSQL connector for SOPE's fork of the GNUstep database environment
Group:          System/Libraries
%if %{?_postgresql_server_is_within_postgresql:1}%{!?_postgresql_server_is_within_postgresql:0}
Requires:       postgresql
%else
Requires:       postgresql-server
%endif

%description gdl1-postgresql
This package contains the PostgreSQL connector for SOPE's fork of the
GNUstep database libraries.

SOPE is a framework for developing web applications and services. The
name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.

%prep
%setup -q -n sope-%{oname}-%{version}
%autopatch -p1

# fix build on aarch64
for d in $(find . -name "config.sub");do
  cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} $(dirname $d)
done

%build
. %_libdir/GNUstep/Makefiles/GNUstep.sh

./configure --prefix=%{_prefix} \
  --disable-debug \
  --disable-strip \
  --gsmake=%_libdir/GNUstep/Makefiles

%make_build
%make_build -C sope-gdl1/MySQL

%install
install -d %{buildroot}%{_prefix}/lib

%make_install \
  GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

%make_install -C sope-gdl1/MySQL \
  GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

rm -f %{buildroot}%{_bindir}/rss2plist1
rm -f %{buildroot}%{_bindir}/rss2plist2
rm -f %{buildroot}%{_bindir}/rssparse
rm -f %{buildroot}%{_bindir}/testqp
rm -fr %{buildroot}%{_prefix}/man/

%fdupes %{buildroot}%{_libdir}/sope-%{sope_version}

%files xml
%{_libdir}/libDOM*.so.%{sope_version}{,.*}
%{_libdir}/libSaxObjC*.so.%{sope_version}{,.*}
%{_libdir}/libXmlRpc*.so.%{sope_version}{,.*}
%dir %{_libdir}/sope-%{sope_version}/saxdrivers/
%dir %{_datadir}/sope-%{sope_version}/
%{_libdir}/sope-%{sope_version}/saxdrivers/libxmlSAXDriver.sax
%{_libdir}/sope-%{sope_version}/saxdrivers/STXSaxDriver.sax

%files core
%{_libdir}/libEOControl*.so.%{sope_version}{,.*}
%{_libdir}/libNGExtensions*.so.%{sope_version}{,.*}
%{_libdir}/libNGStreams*.so.%{sope_version}{,.*}
%dir %{_libdir}/sope-%{sope_version}/
%{_libdir}/libSBJson.so.*

%files appserver
%{_libdir}/libNGObjWeb*.so.%{sope_version}{,.*}
%{_libdir}/libWEExtensions*.so.%{sope_version}{,.*}
%{_libdir}/libWOExtensions*.so.%{sope_version}{,.*}
%dir %{_datadir}/sope-%{sope_version}/ngobjweb/
%{_datadir}/sope-%{sope_version}/ngobjweb/DAVPropMap.plist
%{_datadir}/sope-%{sope_version}/ngobjweb/Defaults.plist
%{_datadir}/sope-%{sope_version}/ngobjweb/Languages.plist
%dir %{_libdir}/sope-%{sope_version}/products/
%{_libdir}/sope-%{sope_version}/products/SoCore.sxp
%dir %{_libdir}/sope-%{sope_version}/wox-builders/
%{_libdir}/sope-%{sope_version}/wox-builders/WEExtensions.wox
%{_libdir}/sope-%{sope_version}/wox-builders/WOExtensions.wox

%files -n libGDLAccess%{sope_soname}
%{_bindir}/connect-EOAdaptor
%{_bindir}/load-EOAdaptor
%{_libdir}/libGDLAccess*.so.%{sope_version}{,.*}
%dir %{_libdir}/sope-%{sope_version}/dbadaptors/

%files -n libNGLdap%{sope_soname}
%{_libdir}/libNGLdap*.so.%{sope_version}{,.*}

%files -n libNGMime%{sope_soname}
%{_libdir}/libNGMime*.so.%{sope_version}{,.*}

%files gdl1-mysql
%{_libdir}/sope-%{sope_version}/dbadaptors/MySQL.gdladaptor

%files gdl1-postgresql
%{_libdir}/sope-%{sope_version}/dbadaptors/PostgreSQL.gdladaptor

%files devel
# ***** appserver *****
%{_bindir}/wod
%{_includedir}/NGHttp
%{_includedir}/NGObjWeb
%{_includedir}/WEExtensions
%{_includedir}/WOExtensions
%{_libdir}/libNGObjWeb*.so
%{_libdir}/libWEExtensions*.so
%{_libdir}/libWOExtensions*.so
%{gs_makefiles}/Additional/ngobjweb.make
%{gs_makefiles}/woapp.make
%{gs_makefiles}/wobundle.make
# ***** core *****
%{_includedir}/EOControl
%{_includedir}/NGExtensions
%{_includedir}/NGStreams
%{_libdir}/libEOControl*.so
%{_libdir}/libNGExtensions*.so
%{_libdir}/libNGStreams*.so
# ***** xml *****
%{_includedir}/DOM
%{_includedir}/SaxObjC
%{_includedir}/XmlRpc
%{_libdir}/libDOM*.so
%{_libdir}/libSaxObjC*.so
%{_libdir}/libXmlRpc*.so
# ***** LibGDLAccess *****
%{_includedir}/GDLAccess
%{_libdir}/libGDLAccess*.so
# ***** LibNGLdaps *****
%{_includedir}/NGLdap
%{_libdir}/libNGLdap*.so
# ***** LibNGMime *****
%{_includedir}/NGImap4
%{_includedir}/NGMail
%{_includedir}/NGMime
%{_libdir}/libNGMime*.so
# ***** LibSNJson *****
%{_includedir}/SBJson
%{_libdir}/libSBJson.so
