%define tarname		SoQt

%define major		20
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name -d

Summary:		Interfaces Coin with the Qt GUI library
Name:			soqt
Version:		1.6.3
Release:		%mkrel 1
License:		GPLv2
Group:			System/Libraries
URL:			https://coin3d.github.io/
Source0:		https://github.com/coin3d/soqt/releases/download/v%{version}/%{name}-%{version}-src.tar.gz
Patch0:			soqt-1.6.0-cmake.patch
Patch1:			soqt-1.6.0-pkgconf.patch
BuildRequires:		cmake
BuildRequires:		doxygen
BuildRequires:		cmake(Qt6Core)
BuildRequires:		cmake(Qt6Gui)
BuildRequires:		cmake(Qt6OpenGL)
BuildRequires:		cmake(Qt6Widgets)
BuildRequires:		pkgconfig(Coin) >= 4.0.0
BuildRequires:		pkgconfig(xi)

%description
SoQt, like Coin and Qt, provides the programmer with a high-level application
programmer's interface (API) in C++. The library primarily includes a
class-hierarchy of viewer components of varying functionality and complexity,
with various modes for the end-user to control the 3D-scene camera interaction.

%package -n %{libname}
Summary:		Main library for SoQt
Group:			System/Libraries
Provides:		%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with SoQt.

%package -n %{libnamedev}
Summary:		Headers for developing programs that will use SoQt
Group:			Development/C++
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{tarname}-devel = %{version}-%{release}
Obsoletes:		%{_lib}soqt20-devel < 1.5.0-4

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use SoQt.

%prep
%autosetup -n %{name} -p1

%build
# (daviddavid) Move the headers to the same directory as Coin4
%cmake -DSOQT_BUILD_DOCUMENTATION=TRUE \
       -DSOQT_BUILD_DOC_MAN=TRUE \
       -DCMAKE_INSTALL_INCLUDEDIR=%{_includedir}/Coin4
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedev}
%doc README FAQ AUTHORS NEWS
%{_docdir}/%{tarname}/
%{_libdir}/*.so
%{_includedir}/Coin4/Inventor/Qt/
%{_datadir}/%{tarname}/
%{_mandir}/man3/*
%{_libdir}/cmake/%{tarname}-%{version}/
%{_libdir}/pkgconfig/*.pc
