%define lib_api         0
%define lib_major       0
%define lib_name        %mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel  %mklibname %{name} -d

Name:           sord
Version:        0.16.18
Release:        %mkrel 1
Summary:        Lightweight C library for storing RDF data in memory
License:        ISC License (ISC)
Group:          System/Libraries
URL:            https://drobilla.net/software/sord.html
Source:         https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(serd-0) >= 0.32.0
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  doxygen
BuildRequires:  python3
BuildRequires:  python3-sphinx
BuildRequires:  cmake
BuildRequires:  pkgconfig(zix-0)

%description
Lightweight C library for storing RDF data in memory.


%package -n %{lib_name}
Summary:        Lightweight RDF syntax library
Group:          System/Libraries
Obsoletes:      %{_lib}sord0 < 0.16.14-1

%description -n %{lib_name}
Lightweight C library for storing RDF data in memory.


%package -n %{lib_name_devel}
Summary:        Headers for the sord RDF storage library
Group:          System/Libraries
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against sord.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install


%files
%doc NEWS README.md
%license COPYING
%{_docdir}/%{name}-%{lib_api}/
%{_bindir}/sordi
%{_bindir}/sord_validate
%{_mandir}/man1/*

%files -n %{lib_name}
%license COPYING
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_includedir}/%{name}-%{lib_api}/%{name}/*.hpp
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc
