Summary:	A set of tools to gather troubleshooting information from a system
Name:		sos
Version:	4.9.0
Release:	%mkrel 1
Group:		System/Base
License:	GPLv2+
Url:		https://github.com/sosreport/sos
Source0:	https://github.com/%{name}report/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	gettext
BuildRequires:  python3-devel
Requires:	python3-libxml2
Requires:	tar
Requires:	bzip2
Requires:	xz
Requires:	python3dist(rpm)
Requires:	python3dist(six)

%description
Sos is a set of tools that gathers information about system
hardware and configuration. The information can then be used for
diagnostic purposes and debugging. Sos is commonly used to help
support technicians and developers.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sos

install -d -m 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}
install -d -m 700 ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}/cleaner
install -d -m 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}/presets.d
install -d -m 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}/groups.d
install -d -m 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}/extras.d
install -m 644 %{name}.conf ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}/%{name}.conf

rm -rf ${RPM_BUILD_ROOT}/usr/config/


%files -f %{pyproject_files}
%doc README.md AUTHORS
%license LICENSE
%{_bindir}/%{name}*
%{_mandir}/man1/*
%{_mandir}/man5/*
%config(noreplace) %{_sysconfdir}/%{name}
