Summary:	The sound scripts
Name:		sound-scripts
Version:	0.62
Release:	%mkrel 23
License:	GPLv2+
Url:		https://svn.mandriva.com/viewvc/soft/sound-scripts/
Group:		System/Base
Source0:	%{name}-%{version}.tar.xz
Patch1:		sound-scripts-0.62-fix-lsb-init.patch
Patch2:		sound-scripts-0.62-fix-oss-emulation-for-kmod.patch
Patch3:		sound-scripts-0.62-service-unit-path.patch
Patch4:		sound-scripts-0.62-use-grep-E-instead-of-deprecated-egrep.patch
BuildArch:	noarch
Requires:	procps
Requires:	kmod
Requires:	aumix-text
Requires:	alsa-utils >= 1.0.25-4
Requires(pre):	filesystem >= 2.1.9-18
Requires(pre):	coreutils
Requires(post):	rpm-helper >= 0.24.10
Requires(preun):	rpm-helper >= 0.24.10

%description
The sound-scripts package contains the basic system scripts used:
- to setup default sound mixer on first boot
- save sound mixer level on shutdown
- restore sound mixer on bootstrapping

%prep
%setup -q
%autopatch -p1

%build
%make_build

%install
%make_install

# there's no interesting string that is already gprintified
export DONT_GPRINTIFY=1

# (cg) This is more or less just temporary as we can probably nuke this completely
rm -f  %{buildroot}%{_bindir}/reset_sound
rm -f  %{buildroot}%{_sbindir}/alsa.agent
mv %{buildroot}/bin/reset_sound %{buildroot}%{_bindir}/
mv %{buildroot}/sbin/alsa.agent %{buildroot}%{_sbindir}/
rmdir %{buildroot}/{,s}bin

# (cg) The modprobe tweaks to snd-usb-audio prevents it from loading
# unless the sysvinit scritps are loaded. This is incorrect as when
# using systemd, the sysvinit scripts are not used (instead the upstream
# solution to save/restore volume from alsa-utils package is used)
rm -f %{buildroot}%{_sysconfdir}/modprobe.d/snd-usb-audio.conf

# (cg) We no longer ship the sysvinit scripts so no need to ship the masked systemd units.
rm -f %{buildroot}%{_unitdir}/*.service

# (cg) Notes:
#  o The snd-oss will be deprecated soon (replaced by osspd)
#  o The udev + reset_sound stuff is already superceded by
#    /lib/udev/rules.d/90-alsa-restore.rules from alsa-utils but that does
#    not handle the inital defaults sanely yet so keeping this version for
#    now too.

# (cg) Move the OSS config into sound profiles so we can easily
# use osspd with PulseAudio by default
mkdir -p %{buildroot}%{_sysconfdir}/sound/profiles/{alsa,pulse}
mv %{buildroot}%{_sysconfdir}/modprobe.d/snd-oss.conf %{buildroot}%{_sysconfdir}/sound/profiles/alsa
ln -sf %{_sysconfdir}/sound/profiles/current/snd-oss.conf %{buildroot}%{_sysconfdir}/modprobe.d/snd-oss.conf
cat >%{buildroot}%{_sysconfdir}/sound/profiles/pulse/snd-oss.conf <<EOF
# We need to ensure that no ALSA OSS compatibility modules are loaded so
# we can use osspd easily
blacklist snd_pcm_oss
blacklist snd_mixer_oss
blacklist snd_seq_oss
EOF

# (cg) udev rules should be in /usr/lib/udev/rules.d
mkdir -p %{buildroot}%{_prefix}/lib/
mv %{buildroot}%{_sysconfdir}/udev %{buildroot}%{_prefix}/lib/

%pre
if [ -e /etc/modprobe.d/snd-oss ]; then
	mv /etc/modprobe.d/snd-oss{,.conf}
fi

%files
%doc ChangeLog
%{_bindir}/reset_sound
%{_sbindir}/alsa.agent
%{_sysconfdir}/sound/profiles/alsa/snd-oss.conf
%{_sysconfdir}/sound/profiles/pulse/snd-oss.conf
%attr(0644,root,root) %{_udevrulesdir}/*
%{_sysconfdir}/rc.d/rc.alsa_default
%config(noreplace) %{_sysconfdir}/sysconfig/alsa
%config(noreplace) %{_sysconfdir}/modprobe.d/snd-oss.conf
%exclude %{_initrddir}/*
%{_datadir}/alsa/alsa-utils

