%global __requires_exclude typelib\\(Unity\\)

# comment out when not beta-release
#define beta	beta1

%define rel	3

Summary:	Simple GTK+ based sound converter application
Name:		soundconverter
Version:	4.0.6
Release:	%mkrel %{?beta:0.%beta.}%{rel}
License:	GPLv3
Group:		Sound/Editors and Converters
URL:		https://soundconverter.org/
Source0:	https://github.com/kassoulet/soundconverter/archive/%{version}%{?beta:-%beta}/%{name}-%{version}%{?beta:-%beta}.tar.gz
BuildArch:	noarch

BuildRequires:	glib-gettextize
BuildRequires:	intltool
BuildRequires:	python3-distutils-extra
BuildRequires:	python3-gobject3
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(python3)
Requires:	python3-gobject
# for pkg-resources
Requires:	python3-setuptools
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-python
Requires:	gstreamer1.0-lame
Requires:	gstreamer1.0-flac
Recommends: gstreamer1.0-plugins-bad
Recommends: gstreamer1.0-libav

%description
SoundConverter is a simple GTK+ based sound converter application.
It reads and writes WAV, FLAC, MP3 and Ogg Vorbis. The user interface
is raw, but should be simple enough to get the job done.

%prep
%setup -q -n %{name}-%{version}%{?beta:-%beta}

%build
%pyproject_wheel

%install
%pyproject_install

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category=Audio \
	--add-category=AudioVideoEditing \
	build/share/applications/%{name}.desktop

# install locale
mkdir -p %{buildroot}%{_datadir}/locale
cp -a build/mo/* %{buildroot}%{_datadir}/locale

# remove unidentified locale
rm -r %{buildroot}%{_datadir}/locale/sr@Latn/
rm -r %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}.dist-info
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/soundconverter.png
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml
