%define libname	%mklibname %{name}

%global _vpath_srcdir src

Name:		soundkonverter
Version:	3.0.1
Release:	%mkrel 11
Summary:	An audio file converter, cd ripper and replay gain tool gui for various backends
Group:		Sound/Editors and Converters
License:	GPLv2
URL:		https://github.com/dfaust/soundkonverter/wiki
Source0:	https://github.com/dfaust/soundkonverter/archive/v%{version}/%{name}-%{version}.tar.gz
# from commit 9380a697c5da37d6b342d0d8dc0657753033623b (2020-04-08)
Patch0:		soundkonverter-3.0.1-backport-upstream-fixes-20200408.patch
# from gentoo
# https://github.com/dfaust/soundkonverter/pull/87/
Patch1:		soundkonverter-3.0.1-kf-5.72-findtaglib.patch
# https://github.com/nphantasm/soundkonverter/commit/dd52d33046cf740415f8507a3ffd5b37dffc5a2c
Patch2:		0001-Support-taglib2.patch

BuildRequires:	kf5-rpm-macros

BuildRequires:	cmake(KF5Cddb)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5KDELibs4Support)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5Solid)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(taglib) >= 1.10
BuildRequires:	cdda-devel

Recommends:	cdparanoia
Recommends:	cdrkit-icedax
Recommends:	fluidsynth
Recommends:	opus-tools

%description
An audio file converter, cd ripper and replay gain tool gui for various backends.

%files -f %{name}.lang
%doc src/CHANGELOG src/README
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/metainfo/%{name}.appdata.xml
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/solid/actions/%{name}-rip-audiocd.desktop
%{_kf5_iconsdir}/hicolor/*/apps/%{name}*.png
%{_kf5_services}/%{name}_*.desktop
%{_kf5_servicetypes}/%{name}_*.desktop

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
Libraries for %{name}.

%files -n %{libname}
%{_kf5_libdir}/lib%{name}core.so
%{_qt5_plugindir}/%{name}_*.so

%prep
%autosetup -p1

%build
%cmake_kf5 -Wno-dev
%cmake_build

%install
%cmake_install

%find_lang %{name}
