%define major	0
%define libname	%mklibname %{name} %{major}
%define liblsr	%mklibname %{name}-lsr %{major}
%define devname	%mklibname %{name} -d
%define devlsr	%mklibname %{name}-lsr -d

Name:		soxr
Version:	0.1.3
Release:	%mkrel 6
Summary:	The SoX Resampler library
License:	LGPLv2+
Group:		Sound/Editors and Converters
Url:		https://sourceforge.net/p/soxr/wiki/Home/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}-Source.tar.xz
Patch0:		lm.patch
BuildRequires:	cmake
BuildRequires:	libgomp-devel

%description
The SoX Resampler library libsoxr performs one-dimensional sample-rate
conversion -- it may be used, for example, to resample PCM-encoded audio.

#------------------------------------------------

%package -n	%{libname}
Summary:	The SoX Resampler shared library
Group:		System/Libraries

%description -n	%{libname}
The SoX Resampler shared library.

It's high quality, one-dimensional sample-rate conversion library.

%files -n %{libname}
%doc NEWS README
%license LICENCE
%{_libdir}/libsoxr.so.%{major}{,.*}

#------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains libraries and header files for developing applications
that use %{name}.

It's high quality, one-dimensional sample-rate conversion library.

%files -n %{devname}
%{_includedir}/soxr.h
%{_libdir}/libsoxr.so
%{_libdir}/pkgconfig/soxr.pc

#------------------------------------------------

%package -n	%{liblsr}
Summary:	The SoX Resampler shared library
Group:		System/Libraries

%description -n	%{liblsr}
The SoX Resampler shared library.

It's high quality, one-dimensional sample-rate conversion library
(with libsamplerate-like bindings).

%files -n %{liblsr}
%doc NEWS README
%license LICENCE
%{_libdir}/libsoxr-lsr.so.%{major}{,.*}

#------------------------------------------------

%package -n	%{devlsr}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{liblsr} = %{version}-%{release}
Provides:	%{name}-lsr = %{version}-%{release}
Provides:	lib%{name}-lsr-devel = %{version}-%{release}

%description -n	%{devlsr}
This package contains libraries and header files for developing applications
that use %{name}.

It's high quality, one-dimensional sample-rate conversion library
(with libsamplerate-like bindings).

%files -n %{devlsr}
%{_includedir}/soxr-lsr.h
%{_libdir}/libsoxr-lsr.so
%{_libdir}/pkgconfig/soxr-lsr.pc

#------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-Source
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

# Remove docs and use the rpmbuild macro instead
rm -rf %{buildroot}%{_docdir}/*
