#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           spacebar
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        Messaging app for Plasma Mobile
Group:          Graphical desktop/KDE
License:        GPLv2+ and GPLv3 and GPLv2
Url:            https://apps.kde.org/spacebar/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Sql)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6People)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6ModemManagerQt)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6KirigamiAddons)

BuildRequires:  cmake(QCoro6)
BuildRequires:  cmake(FutureSQL6)

BuildRequires:  cmake(absl)
BuildRequires:  cmake(libphonenumber)
BuildRequires:  pkgconfig(libcares)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(protobuf)

Requires:       kirigami
Requires:       kirigami-addons
Requires:       telepathy-mission-control

%description
Spacebar is a telepathy-qt based SMS application that primarily
targets Plasma Mobile.

%files -f %{name}.lang
%doc README.md
%license LICENSES/{GPL-2.0-or-later,LicenseRef-KDE-Accepted-GPL}.txt
%{_kf6_sysconfdir}/xdg/autostart/org.kde.%{name}.daemon.desktop
%{_kf6_bindir}/%{name}*
%{_kf6_applicationdir}/org.kde.%{name}.desktop
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.%{name}.svg
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_libexecdir}/%{name}-daemon

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
