%global _legacy_common_support 1
Name:		spacefm
Version:	1.0.6
Release:	%mkrel 7
Summary:	A multi-panel tabbed file manager
Group:		File tools
License:	GPLv3+
Url:		https://ignorantguru.github.io/spacefm/
Source0:	https://github.com/IgnorantGuru/spacefm/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		spacefm-1.0.6-glibc2.28.patch
# Fix build issues with GCC 14 (credits: Brahmajit Das)
Patch1:		98efb1f43e6339b3ceddb9f65ee85e26790fefdf.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(libffmpegthumbnailer)

# To perform 'run as root' functions
Recommends:	gksu

# Eject media
Recommends:	util-linux

# For device processes
Recommends:	lsof

# Mount as non-root user
Recommends:	udisks2

# For plugin download
Recommends:	wget

%description
SpaceFM is a multi-panel tabbed file manager with built-in VFS, udev-based
device manager, customizable menu system, and bash integration.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --with-gtk3
%make_build

%install
%make_install

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%post
%clean_icon_cache Faenza

%postun
%clean_icon_cache Faenza

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%doc data/spacefm-manual-en.html
%{_bindir}/%{name}*
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/spacefm-mime.xml
%{_iconsdir}/hicolor/*/apps/%{name}*.png
%{_iconsdir}/Faenza/apps/*/spacefm*.png
