%define fname Mail-SpamAssassin

Summary:        A spam filter for email which can be invoked from mail delivery agents
Name:           spamassassin
Version:        4.0.1
Release:        %mkrel 3
License:        Apache License
Group:          Networking/Mail
URL:            https://spamassassin.apache.org/
Source0:        https://www.apache.org/dist/spamassassin/source/%{fname}-%{version}.tar.bz2
Source3:        spamassassin-default.rc
Source4:        spamassassin-spamc.rc
Source5:        spamassassin.sysconfig
Source6:        sa-update.logrotate
Source8:        sa-update.cronscript
Source9:        sa-update.force-sysconfig
Source10:       spamassassin-helper.sh
Source11:       spamassassin-official.conf
Source13:       README.Mageia
Source14:       spamassassin.service
Source16:       sa-update.service
Source17:       sa-update.timer
Source20:       spamd.conf

# (fc) 2.60-5mdk don't use version dependent perl call in #!
Patch0:         spamassassin-3.2.0-fixbang.patch
Patch1:         Mail-SpamAssassin-3.1.5-no_spamcop.diff
Patch6:         spamassassin-3.4.1-gnupg2.patch
Patch7:         spamassassin-3.4.1-add-logfile-homedir-options.patch
BuildRequires:  gnupg2
BuildRequires:  pkgconfig(openssl)
BuildRequires:  perl(Apache::Test)
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(DB_File)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Encode::Detect)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:  perl(Geo::IP)
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(IO::Socket::IP) >= 0.09
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(IO::Zlib)
BuildRequires:  perl(LWP)
BuildRequires:  perl(Mail::DKIM) >= 0.37
BuildRequires:  perl(Mail::SPF)
BuildRequires:  perl(Net::DNS)
BuildRequires:  perl(Net::Ident)
BuildRequires:  perl(Net::Patricia) >= 1.16
BuildRequires:  perl(Razor2::Client::Agent) >= 2.61
BuildRequires:  perl(Socket6)
BuildRequires:  perl(Sys::Hostname::Long)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl-devel
BuildRequires:  perl(version)
BuildRequires:  perl(Text::Diff)
BuildRequires:  re2c
BuildRequires:  webfetch
BuildRequires:  apache-mod_perl
# The requires are derived automatically from META.yml. The below require is
# given on https://svn.apache.org/repos/asf/spamassassin/branches/3.3/INSTALL
# but missing from META.yml ... better safe than sorry!
Requires:       perl(LWP)
# And one on a package we create ourselves:
Requires:       perl-Mail-SpamAssassin = %{version}
# This should be required and not just suggested:
Requires:       gnupg2
Requires:       spamassassin-rules >= 3.4.4
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

# Suggests unfortunately do not get derived automatically yet:
Recommends:     perl(Compress::Zlib)
Recommends:     perl(DBI)
Recommends:     perl(DB_File)
Recommends:     perl(Digest::SHA)
Recommends:     perl(Encode::Detect)
Recommends:     perl(Geo::IP)
Recommends:     perl(Getopt::Long)
Recommends:     perl(HTTP::Date)
Recommends:     perl(IO::Socket::IP) >= 0.09
Recommends:     perl(IO::Socket::SSL)
Recommends:     perl(LWP::UserAgent)
Recommends:     perl(MIME::Base64)
Recommends:     perl(Mail::DKIM) >= 0.37
Recommends:     perl(Mail::SPF)
Recommends:     perl(Net::DNS) >= 0.58
Recommends:     perl(Net::Ident)
Recommends:     perl(Net::Patricia) >= 1.16
Recommends:     perl(Net::SMTP)
Recommends:     perl(Razor2::Client::Agent) >= 2.61
Recommends:     webfetch

%description
SpamAssassin provides you with a way to reduce if not completely eliminate
Unsolicited Commercial Email (SPAM) from your incoming email.  It can
be invoked by a MDA such as sendmail or postfix, or can be called from
a procmail script, .forward file, etc.  It uses a genetic-algorithm
evolved scoring system to identify messages which look spammy, then
adds headers to the message so they can be filtered by the user's mail
reading software.  This distribution includes the spamd/spamc components
which create a server that considerably speeds processing of mail.

SpamAssassin also includes support for reporting spam messages
automatically, and/or manually, to collaborative filtering databases such
as Vipul's Razor, DCC or pyzor.
Install perl-Razor-Agent package to get Vipul's Razor support.
Install dcc package to get Distributed Checksum Clearinghouse (DCC) support.
Install pyzor package to get Pyzor support.

To enable spamassassin, if you are receiving mail locally, simply add
this line to your ~/.procmailrc:
INCLUDERC=/etc/mail/spamassassin/spamassassin-default.rc

To filter spam for all users, add that line to /etc/procmailrc or
create that file if doesn't exist yet.

%package        sa-compile
Summary:        Compiles SpamAssassin rulesets into native perl code
Group:          Networking/Mail
Requires:       gcc make
Requires:       perl-devel
Requires:       re2c

%description    sa-compile
sa-compile uses re2c to compile the site-wide parts of the SpamAssassin
ruleset. No part of user_prefs or any files included from user_prefs can be
built into the compiled set. This compiled set is then used by the
"Mail::SpamAssassin::Plugin::Rule2XSBody" plugin to speed up SpamAssassin's
operation, where possible, and when that plugin is loaded. re2c can match
strings much faster than perl code, by constructing a DFA to match many simple
strings in parallel, and compiling that to native object code. Not all
SpamAssassin rules are amenable to this conversion, however.

%package        tools
Summary:        Miscellaneous tools for SpamAssassin
Group:          Networking/Mail
Requires:       perl-Mail-SpamAssassin = %{version}

%description    tools
Miscellaneous tools from various authors, distributed with SpamAssassin.
See /usr/share/doc/spamassassin-tools-*/.

%package        spamd
Summary:        Daemonized version of SpamAssassin
Group:          System/Servers
Requires(post): spamassassin-rules >= 3.4.4
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires:       spamassassin = %{version}

%description    spamd
The purpose of this program is to provide a daemonized version of the
spamassassin executable. The goal is improving throughput performance
for automated mail checking.

This is intended to be used alongside "spamc", a fast, low-overhead C
client program.

%package        spamc
Summary:        A client for spamd
Group:          Networking/Mail

%description    spamc
Spamc is the client half of the spamc/spamd pair. It should be used in
place of "spamassassin" in scripts to process mail. It will read the
mail from STDIN, and spool it to its connection to spamd, then read
the result back and print it to STDOUT. Spamc has extremely low
overhead in loading, so it should be much faster to load than the
whole spamassassin program.

%package -n     perl-%{fname}
Summary:        SpamAssassin e-mail filter Perl modules
Group:          Development/Perl
Requires:       perl(HTML::Parser)

%description -n perl-%{fname}
Mail::SpamAssassin is a module to identify spam using text analysis and
several internet-based realtime blacklists. Using its rule base, it uses a
wide range of heuristic tests on mail headers and body text to identify
``spam'', also known as unsolicited commercial email. Once identified, the
mail can then be optionally tagged as spam for later filtering using the
user's own mail user-agent application.

%package -n     perl-%{fname}-Spamd
Summary:        A mod_perl2 module implementing the spamd protocol
Group:          Development/Perl
Requires:       apache-mod_perl

%description -n perl-%{fname}-Spamd
This distribution contains a mod_perl2 module, implementing the spamd protocol
from the SpamAssassin (https://spamassassin.apache.org/) project in Apache2.
It's mostly compatible with the original spamd.

%prep

%setup -q -n %{fname}-%{version}
%patch -P 0 -p0 -b .fixbang
%patch -P 1 -p0
%patch -P 6 -p1 -b .pat6
%patch -P 7 -p1 -b .razor

# svn cleansing...
for i in `find . -type d -name .svn`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%build
%set_build_flags
%{__perl} \
    Makefile.PL \
    INSTALLDIRS=vendor \
    SYSCONFDIR=%{_sysconfdir} \
    DATADIR=%{_datadir}/spamassassin \
    ENABLE_SSL=yes \
    RUN_NET_TESTS=no < /dev/null

%make_build

pushd spamd-apache2
    %{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build
popd

%check
#cat >> t/config.dist << EOF
#run_net_tests=y
#run_spamd_prefork_stress_test=y
#EOF
export LANG=C
export LC_ALL=C
export LANGUAGE=C
# useless and broken test case
rm -f t/make_install.t
# may be broken on mga4 only? NO...
rm -f t/sa_compile.t
# fails on the build system
rm -f t/urilocalbl_geoip.t

make FULLPERL="%{_bindir}/perl" test #TEST_VERBOSE=1

%install

%make_install

pushd spamd-apache2
    %make_install
popd

install -d %{buildroot}%{_sysconfdir}/mail/%{name}/sa-update-keys
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}/var/log/spamassassin
install -d %{buildroot}/var/lib/spamassassin

cat << EOF >> %{buildroot}%{_sysconfdir}/mail/%{name}/local.cf
required_hits 5
rewrite_header Subject [SPAM]
report_safe 0
EOF

install -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/spamd
install -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/mail/spamassassin/
install -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/mail/spamassassin/
# installed mode 755 as it's executed by users. 
install -m 0755 %{SOURCE10} %buildroot/etc/mail/spamassassin
install -m 0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/sa-update

install -m 0644 %{SOURCE9} %{buildroot}%{_sysconfdir}/sysconfig/sa-update
# installed mode 744 as non root users can't run it, but can read it.
install -m 0744 %{SOURCE8} %buildroot%{_datadir}/spamassassin/sa-update.cron

install -d %{buildroot}%{_unitdir}
install -m 0644 %{SOURCE14} %buildroot%{_unitdir}/spamd.service
install -m 0644 %{SOURCE16} %buildroot%{_unitdir}/sa-update.service
install -m 0644 %{SOURCE17} %buildroot%{_unitdir}/sa-update.timer

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -m 0644 %{SOURCE20} %{buildroot}/%{_sysconfdir}/httpd/conf/webapps.d/spamd.conf

# sa-update channels and keyring directory
install -d %{buildroot}%{_sysconfdir}/mail/spamassassin/channel.d/
install -m 0644 %{SOURCE11} %{buildroot}%{_sysconfdir}/mail/spamassassin/channel.d/

install -m 0644 %{SOURCE13} $RPM_BUILD_DIR/Mail-SpamAssassin-%{version}/


# bork bork
install -m0644 rules/*.pre %{buildroot}%{_sysconfdir}/mail/%{name}/

# cleanup
rm -f %{buildroot}%{_bindir}/apache-spamd.pl
rm -f %{buildroot}%{_mandir}/man1/apache-spamd.pl.1*

# these are not meant to be released
rm -f %{buildroot}%{perl_vendorlib}/Mail/SpamAssassin/Plugin/P595Body.pm
rm -f %{buildroot}%{perl_vendorlib}/Mail/SpamAssassin/Plugin/RabinKarpBody.pm

%post
[ -f %{_sysconfdir}/spamassassin.cf ] && %{__mv} %{_sysconfdir}/spamassassin.cf %{_sysconfdir}/mail/spamassassin/migrated.cf || true
[ -f %{_sysconfdir}/mail/spamassassin.cf ] && /bin/mv %{_sysconfdir}/mail/spamassassin.cf %{_sysconfdir}/mail/spamassassin/migrated.cf || true

%post spamd
%_post_service spamd

%preun spamd
%_preun_service spamd

%files
%doc README Changes sample-*.txt procmailrc.example INSTALL TRADEMARK
%doc CREDITS UPGRADE USAGE META.yml README.Mageia
%dir %{_sysconfdir}/mail/%{name}
%dir %attr(0700,root,root) %{_sysconfdir}/mail/%{name}/sa-update-keys
%config(noreplace) %{_sysconfdir}/mail/%{name}/*.cf
%config(noreplace) %{_sysconfdir}/mail/%{name}/*.pre
%config(noreplace) %{_sysconfdir}/mail/%{name}/spamassassin-default.rc
%config(noreplace) %{_sysconfdir}/mail/%{name}/spamassassin-helper.sh
%config(noreplace) %{_sysconfdir}/mail/%{name}/channel.d
%config(noreplace) %{_sysconfdir}/logrotate.d/sa-update
%config(noreplace) %{_sysconfdir}/sysconfig/sa-update
%{_unitdir}/sa-update.service
%{_unitdir}/sa-update.timer
%dir /var/lib/spamassassin
%{_bindir}/sa-awl
%{_bindir}/sa-check_spamd
%{_bindir}/sa-learn
%{_bindir}/sa-update
%{_bindir}/spamassassin
%{_mandir}/man1/sa-awl.1*
%{_mandir}/man1/sa-check_spamd.1*
%{_mandir}/man1/sa-learn.1*
%{_mandir}/man1/sa-update.1*
%{_mandir}/man1/spamassassin.1*
%{_mandir}/man1/spamassassin-run.1*
%{_datadir}/spamassassin
%dir %{_logdir}/spamassassin

%files sa-compile
%{_bindir}/sa-compile
%{_mandir}/man1/sa-compile.1*

%files tools
%doc sql ldap

%files spamd
%doc spamd/README* spamd/PROTOCOL
%{_unitdir}/spamd.service
%config(noreplace) %{_sysconfdir}/sysconfig/spamd
%{_bindir}/spamd
%{_mandir}/man1/spamd.1*

%files spamc
%config(noreplace) %{_sysconfdir}/mail/%{name}/spamassassin-spamc.rc
%{_bindir}/spamc
%{_mandir}/man1/spamc.1*

%files -n perl-%{fname}
%{perl_vendorlib}/Mail/SpamAssassin*
%exclude %{perl_vendorlib}/Mail/SpamAssassin/Spamd
%{perl_vendorlib}/spamassassin-run.pod
%{_mandir}/man3/Mail::SpamAssassin*
%exclude %{_mandir}/man3/Mail::SpamAssassin::Spamd*
%{_mandir}/man3/spamassassin-run.3pm*

%files -n perl-%{fname}-Spamd
%doc spamd-apache2/README.apache
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/spamd.conf
%{perl_vendorlib}/Mail/SpamAssassin/Spamd
%{_mandir}/man3/Mail::SpamAssassin::Spamd*
