Name:           spamoracle
Version:        1.6
%define url_ver %(tr -d '.' <<< %version)
Release:        %mkrel 2
Group:          Networking/Mail
Summary:        Spam filter based on statistical analysis of e-mail contents
License:        GPLv2
URL:            https://xavierleroy.org/software.html#spamoracle
Source0:        https://github.com/xavierleroy/spamoracle/archive/release%{url_ver}.tar.gz
BuildRequires:  ocaml

%description
SpamOracle is a tool to help detect and filter away "spam"
(unsolicited commercial e-mail).  It proceeds by statistical analysis
of the words that appear in the e-mail, comparing the frequencies of
words with those found in a user-provided corpus of known spam and
known legitimate e-mail.  The classification algorithm is based on
Bayes' formula, and is described in Paul Graham's paper, "A plan for
spam", <http://www.paulgraham.com/spam.html>.

%prep
%setup -q -n %{name}-release%{url_ver}

%build
%__make \
        OCAMLOPT="ocamlopt -g" \
        OCAMLC="ocamlc -g"

%install
%__mkdir_p %{buildroot}/{%{_bindir},%{_mandir}/{man1,man5}}
%__make install \
  BINDIR=%{buildroot}%{_bindir} \
  MANDIR=%{buildroot}%{_mandir}

%files
%doc README Changes
%{_bindir}/spamoracle
%{_mandir}/man1/spamoracle.1*
%{_mandir}/man5/spamoracle.conf.5*
