%define major      3
%define libname    %mklibname spandsp %{major}
%define libnamedev %mklibname spandsp -d


%define date    20201019
%global githash e08c74db

# rel to bump
%define rel     3

Summary:        Steve's SpanDSP library for telephony spans
Name:           spandsp
Version:        3.0.0
Release:        %mkrel -c git%{date} %{rel}
License:        GPLv2
Group:          System/Libraries
URL:            https://github.com/freeswitch/spandsp
# git archive --prefix=spandsp-e08c74db/ HEAD|xz> ../SOURCES/spandsp-e08c74db.tar.xz
Source0:        spandsp-%{githash}.tar.xz
BuildRequires:  audiofile-devel
BuildRequires:  fftw-devel
BuildRequires:  file
BuildRequires:  fltk-devel
BuildRequires:  jpeg-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  tiff-devel

%description
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%package -n %{libname}
Summary:        Steve's SpanDSP library for telephony spans
Group:          System/Libraries

%description -n %{libname}
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%package -n %{libnamedev}
Summary:        Header files and libraries needed for development with SpanDSP
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libnamedev}
This package includes the header files and libraries needed for developing
programs using SpanDSP.

%prep
%setup -q -n %{name}-%{githash}

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING DueDiligence NEWS README
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{libnamedev}
%{_includedir}/spandsp
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
