Name:       sparse
Version:    0.6.4
Release:    %mkrel 3
Summary:    A semantic parser of source files
Group:      Development/Tools
License:    OSL 1.1
URL:        https://sparse.wiki.kernel.org
Source0:    https://fossies.org/linux/misc/sparse-%{version}.tar.xz
Patch0:     0001-fix-unreplaced-warnings-caused-by-using-typeof-on-in.patch

BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(sqlite3)

Obsoletes:     sparse-devel < 0.6.0-1

%description
Sparse is a semantic parser of source files: it's neither a compiler
(although it could be used as a front-end for one) nor is it a
preprocessor (although it contains as a part of it a preprocessing
phase).

It is meant to be a small - and simple - library.  Scanty and meager,
and partly because of that easy to use.  It has one mission in life:
create a semantic parse tree for some arbitrary user for further
analysis.  It's not a tokenizer, nor is it some generic context-free
parser.  In fact, context (semantics) is what it's all about - figuring
out not just what the grouping of tokens are, but what the _types_ are
that the grouping implies.

Sparse is primarily used in the development and debugging of the Linux kernel.

%prep
%autosetup -p1

%build
%make_build CFLAGS="%{optflags}" HAVE_LLVM=no

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir} HAVE_LLVM=no

%check
#make check HAVE_LLVM=no

%files
%doc LICENSE README FAQ
%{_bindir}/sparse
%{_bindir}/semind
%{_bindir}/cgcc
%{_bindir}/c2xml
%{_bindir}/test-inspect
%{_mandir}/man1/*
