%global major   1.15
%define libname %mklibname %name %major
%define devel   %mklibname %{name} -d

#define prel 20200502
%define prel_ver 1.x
%define rel 1

Name:           spdlog
Version:        %{major}.2
Release:        %mkrel %{?prel:-c git%{prel}} %{rel}
Summary:        Super fast C++ logging library
Group:          Development/C
License:        MIT
URL:            https://github.com/gabime/spdlog
Source0:        https://github.com/gabime/spdlog/archive/%{?prel:v%{prel_ver}}%{?!prel:v%{version}}/%{name}-%{version}%{?prel:-git%{prel}}.tar.gz
BuildRequires:  ninja
BuildRequires:  cmake(fmt)
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(catch2) >= 3.5.0
BuildRequires:  pkgconfig(benchmark)

%description
This is a packaged version of the gabime/spdlog header-only C++
logging library available at Github.

%package -n %{devel}
Group:          Development/C
Summary:        Development files for %{name}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{devel}
The %{name}-devel package contains C++ header files for developing
applications that use %{name}.

%package -n %{libname}
Group:          System/Libraries
Summary:        Library for %name
Provides:       %{name} = %{version}-%{release}
# Temporarily used wrong name in mga9, ease update:
Obsoletes:      %{_lib}spdlog1 = 1.11.0-1.mga9

%description -n %{libname}
Library for %{name}.

%prep
%autosetup -p1 %{?prel:-n %{name}-%{prel_ver}}

# drop bundled fmt
rm -rf include/spdlog/fmt/bundled/

find . -name '.gitignore' -exec rm {} \;
sed -i -e "s,\r,," README.md
rm -f tests/catch.hpp

%build
%cmake -G Ninja \
    -DSPDLOG_BUILD_EXAMPLE=OFF \
    -DSPDLOG_BUILD_BENCH=OFF \
    -DSPDLOG_BUILD_TESTS=ON \
    -DSPDLOG_FMT_EXTERNAL=ON \
    -DSPDLOG_BUILD_SHARED=ON \
    -DSPDLOG_INSTALL=ON
%cmake_build

%check
%ctest

%install
%cmake_install

%files -n %{devel}
%doc README.md example/
%license LICENSE
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libspdlog.so

%files -n %{libname}
%{_libdir}/libspdlog.so.%{major}
%{_libdir}/libspdlog.so.%{version}
