Name:           spec-tree
Version:        2025.1
Release:        %mkrel 2
Summary:        Tools to manage a large set of RPM .spec files
Group:          Development/Other
License:        GPLv2+
URL:            https://github.com/dfandrich/spec-tree
Source0:        https://github.com/dfandrich/spec-tree/archive/v%{version}/spec-tree-%{version}.tar.gz
BuildArch:      noarch
Requires:       curl
Requires:       gawk
Requires:       python3 >= 3.8
Requires:       rpm-build
Requires:       rpmdevtools
BuildRequires:  pyproject-rpm-macros
# If the spec tree is built from a snapshot instead, many scripts can be used
# without subversion, so make it optional.
Recommends:     subversion

%description
This package contains tools to manage a large set of RPM .spec files, tailored
for the Mageia Linux distribution.  The scripts allow you to check out all the
possible spec files in order to perform large-scale refactoring or changes, to
search all the spec files, or to perform analysis on them.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files spectree

%files -n %{name} -f %{pyproject_files}
%doc README.md
%doc examples
%license COPYING
%{_bindir}/*
