#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        The new screenshot capture utility, replaces KSnapshot
Name:           spectacle
Epoch:          1
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/spectacle/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6QuickTemplates2)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WaylandClient)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6KirigamiPlatform)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6Prison)
BuildRequires:  cmake(KF6Crash)

BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  cmake(LayerShellQt)
BuildRequires:  cmake(KPipeWire)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Purpose)

BuildRequires:  pkgconfig(xcb-cursor)
BuildRequires:  cmake(opencv)
BuildRequires:  cmake(zxing)

BuildRequires:  cmake(Qt6QWebpPlugin)
Requires:       qt6-qtimageformats

Provides:       ksnapshot = %version-%release

Provides:       %{name}-handbook = %version-%release
Provides:       ksnapshot-handbook = %version-%release

Requires:       kirigami


%description
The new screenshot capture utility, replaces KSnapshot.

%files -f %name.lang
%doc %_kf6_docdir/HTML/*/spectacle
%_kf6_categoriesdir/spectacle.*categories
%_kf6_bindir/spectacle
%_kf6_libdir/kconf_update_bin/spectacle-*
%_kf6_applicationsdir/org.kde.spectacle.desktop
%_kf6_datadir/dbus-1/interfaces/org.kde.Spectacle.xml
%_kf6_datadir/dbus-1/services/org.kde.Spectacle.service
%_kf6_datadir/dbus-1/services/org.kde.spectacle.service
%_kf6_iconsdir/*/*/*/*
%_kf6_knotificationsdir/spectacle.notifyrc
%_kf6_metainfodir/org.kde.spectacle.appdata.xml
%_kf6_datadir/kglobalaccel/org.kde.spectacle.desktop
%_kf6_datadir/kconf_update/spectacle.upd
%_userunitdir/app-org.kde.spectacle.service
%_kf6_mandir/man1/spectacle.1.*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --with-man
