Name:           spectra
Version:        1.0.1
Release:        %mkrel 1
Summary:        C++ Library For Large Scale Eigenvalue Problems
Group:          Development/C++
License:        MPLv2.0
URL:            https://github.com/yixuan/spectra
Source0:        https://github.com/yixuan/spectra/archive/v%{version}/%{name}-%{version}.tar.gz
# Headers only pkg
BuildArch:      noarch

BuildRequires:  clang-tools-extra
BuildRequires:  cmake
BuildRequires:  pkgconfig(eigen3)

%description
Spectra stands for Sparse Eigenvalue Computation Toolkit as a Redesigned ARPACK.
It is a C++ library for large scale eigenvalue problems, built on top of Eigen,
an open source linear algebra library.

#-----------------------------------------------------------------------------

%package devel
Summary:        C++ Library For Large Scale Eigenvalue Problems
Group:          Development/C++
Requires:       pkgconfig(eigen3)

Obsoletes:      %{_lib}spectra-devel0 < 0.9.0-2

%description devel
C++ Library For Large Scale Eigenvalue Problems (development files).

%files devel
%license LICENSE
%doc AUTHORS.md README.md
%{_includedir}/Spectra/
%{_datadir}/cmake/%{name}/

#-----------------------------------------------------------------------------

%prep
%setup -q

sed -i 's|share/spectra/cmake|share/cmake/spectra|' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install
