%define upstream_name SPECTRWM_3_6_0

Name:           spectrwm
Version:        3.6.0
Release:        %mkrel 1
Summary:        Small Dynamic Tiling Window Manager for X11
License:        ISC
Group:          Graphical desktop/Other
URL:            https://github.com/conformal/spectrwm
Source0:	https://github.com/conformal/spectrwm/archive/%{upstream_name}/%{name}-%{version}.tar.gz
Source10:       COPYING

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libbsd-overlay)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xt)
BuildRequires:  gettext
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xcb-atom)

Recommends:     dmenu
Recommends:     sysstat
Recommends:     xterm
Recommends:     terminus-font

Provides:       scrotwm

%description
Spectrwm is a small dynamic tiling and reparenting window manager for
X11. It tries to stay out of the way so that valuable screen real
estate can be used for much more important stuff. It has sane defaults
and does not require one to learn a language to do any
configuration. It is written by hackers for hackers and it strives to
be small, compact and fast.
It was largely inspired by xmonad and dwm. Both are fine products but
suffer from things like: crazy-unportable-language-syndrome, silly
defaults, asymmetrical window layout, "how hard can it be?" and good
old NIH. Nevertheless dwm was a phenomenal resource and many good
ideas and code was borrowed from it. On the other hand xmonad has
great defaults, key bindings and xinerama support but is crippled by
not being written in C.

Spectrwm is a beautiful pearl! For it too, was created by grinding
irritation. Nothing is a bigger waste of time than moving windows
around until they are the right size-ish or having just about any
relevant key combination being eaten for some task one never
needs. The path of agony is too long to quote and in classical OpenBSD
fashion (put up, or hack up) a brand new window manager was whooped up
to serve no other purpose than to obey its masters.

%prep
%setup -q -n %{name}-%{upstream_name}

%build
%set_build_flags

%make_build -C linux \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	LDLIBS=-ldl

%install
%make_install -C linux \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	DESTDIR=%{buildroot}

#conf file
install -D -m 0644 -p %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf

#examples
install -D -m 0655 -p baraction.sh %{buildroot}%{_datadir}/doc/%{name}/examples/baraction.sh
install -D -m 0655 -p initscreen.sh %{buildroot}%{_datadir}/doc/%{name}/examples/initscreen.sh
install -D -m 0655 -p screenshot.sh %{buildroot}%{_datadir}/doc/%{name}/examples/screenshot.sh

# start file
cat > %{buildroot}%{_bindir}/start%{name} << EOF
exec %{_bindir}/%{name}
EOF

chmod 755 %{buildroot}%{_bindir}/start%{name}

# no devel pkg
rm -rf %{buildroot}%{_libdir}/libswmhack.so

#license
install -D -m 0644 -p %{_sourcedir}/COPYING %{buildroot}%{_datadir}/doc/%{name}/COPYING

# Remove spectrwm config from wrong location
rm -f %{buildroot}%{_prefix}/etc/spectrwm.conf

%posttrans
if [ "$1" -eq 1 ]; then
	if [ -e %{_datadir}/xsessions/41SpectrWM.desktop ]; then
		rm -rf %{_datadir}/xsessions/41SpectrWM.desktop
	fi
	if [ -e %{_sysconfdir}/X11/dm/Sessions/41SpectrWM.desktop ]; then
		rm -rf %{_sysconfdir}/X11/dm/Sessions/41SpectrWM.desktop
	fi
fi

%files
%doc %{_datadir}/doc/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_datadir}/xsessions/spectrwm.desktop
%{_bindir}/*
%{_libdir}/libswmhack.so.*
%{_mandir}/man1/%{name}.1*
