%define         _disable_ld_no_undefined 1

%define         rev     8786

Name:           speed-dreams
Version:        2.3.0
Release:        %mkrel 1
Summary:        Speed Dreams: An open motorsport simulation
Group:          Games/Simulation
License:        GPLv2
URL:            http://www.speed-dreams.org
Source0:        https://downloads.sf.net/speed-dreams/%{name}-src-base-%{version}-r%{rev}.tar.xz

BuildRequires:  cmake
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  mesa-common-devel
#(eatdirt) let's move to 3.6
BuildRequires:  openscenegraph-devel
BuildRequires:  plib-devel
BuildRequires:  chrpath
BuildRequires:  java-devel

Requires:       %{name}-data = %{version}
Obsoletes:      %{name}-robots-hq < 2.2.0-1
Obsoletes:      %{name}-robots-more-hq < 2.2.0-1
Obsoletes:      %{name}-robots-wip < 2.2.0-1
Obsoletes:      %{name}-data-wip < 2.2.0-1

%description
A fork of the open racing car simulator Torcs,
aiming to implement exciting new features, cars, tracks and
AI opponents to make a more enjoyable game for the player,
as well as constantly improving visual and physics realism.

%package        data-base
Summary:        Base data for Speed Dreams 2
BuildArch:      noarch
Provides:       %{name}-data = %{version}
Obsoletes:      %{name}-data-base < 2.1.0-1
Conflicts:      %{name}-data-base < 2.1.0-1

%description    data-base
Base data for Speed Dreams 2. Contains the track "espie".

%prep
%setup -q -c
%autopatch -p1

# delete unused header file on arm achitecture
sed -i -e 's|#include "OsgReferenced.h"||g' src/modules/graphic/osggraph/Sky/OsgDome.h

# fix unmappable characters in comments
for i in ./src/tools/trackeditor/gui/view/CircuitView.java \
	./src/tools/trackeditor/utils/circuit/ObjShapeHandle.java \
	./src/tools/trackeditor/utils/circuit/ObjShapeTerrain.java \
	./src/tools/trackeditor/utils/circuit/XmlObjPits.java; do
	cat ${i} | iconv -c -t latin1 > ${i}.new
	mv -f ${i}.new ${i}
done

%build
# Review options in cmake/options.cmake on new releases

%cmake \
	-DBUILD_SHARED_LIBS=OFF \
	-DCMAKE_SKIP_INSTALL_RPATH=OFF \
	-DCMAKE_SKIP_RPATH=OFF \
	-DOPTION_3RDPARTY_EXPAT=ON \
	-DOPTION_3RDPARTY_SOLID=OFF \
	-DOPTION_AUTOVERSION=OFF \
	-DOPTION_OFFICIAL_ONLY=ON \
	-DOPTION_OSGGRAPH=ON \
	-DOPTION_PACKAGING=ON \
	-D SD_LOCALDIR=~/.config/.speed-dreams-2
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_gamesdatadir}/%{name}-2/cmake
rm -rf %{buildroot}%{_gamesdatadir}/%{name}-2/*.txt
rm -rf %{buildroot}%{_includedir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Speed Dreams
Comment=An open motorsport simulation
Comment[fr]=Une simulation de sport automobile
Exec=%{name}-2
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;SportsGame;
EOF

install -D -m644 data/data/icons/icon.png %{buildroot}%{_iconsdir}/hicolor/96x96/apps/%{name}.png

mkdir -p %{buildroot}%{_mandir}/man6
install -m644 doc/man/* %{buildroot}%{_mandir}/man6/

#(eatdirt) cannot build and run without RPATH, let's nuke the invalid ones now
pushd %{buildroot}%{_libdir}/games/%{name}-2/drivers
for mod in $(find . -type f -name \*.so ); do
    chrpath --delete $mod
done
popd


%files
%doc CHANGES.txt COPYING.txt README.txt
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/sd2-*
%{_gamesbindir}/%{name}-2
%{_gamesbindir}/bsh-2.0b4.jar
%{_gamesbindir}/jdom-1.1.3.jar
%{_gamesbindir}/jgoodies-common-1.8.1.jar
%{_gamesbindir}/jgoodies-looks-2.5.3.jar

%{_iconsdir}/hicolor/*/apps/%{name}.png
%dir %{_libdir}/games/%{name}-2
%{_libdir}/games/%{name}-2/drivers/
%{_libdir}/games/%{name}-2/lib/
%{_libdir}/games/%{name}-2/modules/
%{_mandir}/man6/sd2-*.6*
%{_mandir}/man6/%{name}-2.6*

%files data-base
%dir %{_gamesdatadir}/%{name}-2
%{_gamesdatadir}/%{name}-2/*
