%define uname	SpeedCrunch
%define commit	ea93b21f9498

Name:		speedcrunch
Version:	0.12.0
Release:	%mkrel 6
Summary:	Fast, high precision and powerful desktop calculator
License:	GPLv2+
Group:		Sciences/Mathematics
URL:		https://heldercorreia.bitbucket.io/speedcrunch/
Source0:	https://bitbucket.org/heldercorreia/speedcrunch/get/release-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	qttools5-assistant
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)


%description
SpeedCrunch is a fast, high precision and powerful desktop calculator.

Among its features are:
- high precision, up to 50 decimal digits
- to be enjoyed using keyboard
- result shown in scrollable window
- history of last expressions (use up and down arrow)
- built-in functions: abs, sqrt, pi, log, exp, ln, sin, cos, tan, sinh,
  cosh, tanh, asin, acos, atan, arsinh, arcosh, artanh
- postfix operator ! lets you compute factorials
- support for variables, e.g try x=pi/3 and then sin(x)
- special variable ans holds the last calculation result
- percent operator, try e.g. 45%*75 or price/80%
- angle mode: Alt+D for degrees, Alt+R for radians
- automatic parentheses closing, e.g. cos(pi/4 becomes cos(pi/4)

%prep
%setup -qn heldercorreia-%{name}-%{commit}

# fix git version tag name
sed -i -e 's|VERSION "master"|VERSION "%{version} (git %{date})"|' src/CMakeLists.txt

%build
pushd src
%cmake_qt5
%cmake_build
popd

%install
%make_install -C src/build

# use only speedcrunch svg icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
install -m 0644 gfx/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/

rm -rf %{buildroot}%{_datadir}/pixmaps

# fix desktop file
desktop-file-install \
	--remove-category=Utility \
	--add-category=Math \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*


%files
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
