%define	major		1
%define	libname	 	%mklibname %name %major
%define develname	%mklibname %name -d

#define beta	rc2
%define rel	1

Name:		speex
Summary:	An open-source, patent-free speech codec
Version:	1.2.1
Release:	%mkrel %{rel}
License:	BSD
Group:		Sound/Utilities
URL:		https://www.speex.org/
Source0:	https://downloads.xiph.org/releases/speex/%{name}-%{version}%{?beta:%{beta}}.tar.gz
Patch1:		speex-1.1.6-fix-pkgconfig-path.patch
Patch2:		speex-1.2rc1-CVE-2008-1686.patch
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	chrpath
BuildRequires:	autoconf

%description
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrow-band 
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

%package -n	%{libname}
Summary:	Shared library of the Speex codec
Group:		System/Libraries

%description -n	%{libname}
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrow-band 
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

This package contains the shared library required for running
applications based on Speex.

%package -n	%develname
Summary:	Speex development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%develname
Speex development files.

%prep
%setup -q -n %name-%version%{?beta:%{beta}}
%autopatch -p1

%build
export CFLAGS='%{optflags} -DRELEASE'
%configure --disable-static --enable-binaries
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

chrpath -d %{buildroot}%{_bindir}/*
rm -f %{buildroot}%{_datadir}/doc/*/manual.pdf

%files
%doc COPYING AUTHORS ChangeLog NEWS README
%{_mandir}/man1/speexenc.1*
%{_mandir}/man1/speexdec.1*
%{_bindir}/speex*

%files -n %{libname}
%{_libdir}/libspeex.so.%{major}{,.*}

%files -n %develname
%doc doc/manual.pdf
%{_libdir}/libspeex*.so
%{_includedir}/speex
%{_libdir}/pkgconfig/speex.pc
%{_datadir}/aclocal/speex.m4
