%define	major		1
%define	libname	 	%mklibname %name %major
%define develname	%mklibname %name -d

# comment out if not pre-rel
#define beta rc3

# rel to bump
%define rel 1

Name:		speexdsp
Summary:	An open-source, patent-free speech codec
Version:	1.2.1
Release:	%mkrel %{?beta:0.%beta.}%{rel}
License:	BSD
Group:		Sound/Utilities
URL:		https://www.speex.org/
Source0:	https://downloads.xiph.org/releases/speex/%{name}-%{version}%{?beta}.tar.gz

%description
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrow-band
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

%package -n	%{libname}
Summary:	Shared library of the Speex DSP
Group:		System/Libraries

%description -n	%{libname}
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrow-band
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

This package contains the shared library required for running
applications based on Speex DSP.

%package -n	%develname
Summary:	Speex DSP development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%develname
Speex DSP development files.

%prep
%setup -q -n %{name}-%{version}%{?beta}
%autopatch -p1

%build
export CFLAGS='%optflags -DRELEASE'
%configure \
%ifarch aarch64
	--disable-neon \
%endif
	--disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_datadir}/doc/*/manual.pdf

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libspeexdsp.so.%{major}{,.*}

%files -n %develname
%doc doc/manual.pdf
%{_libdir}/libspeex*.so
%{_includedir}/speex
%{_libdir}/pkgconfig/speexdsp.pc
