#
# git clone https://github.com/alexkay/spek.git
# cd spek
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git config tar.tar.xz.command "xz -c"
# git archive --format=tar.xz -o spek-${DATE}.tar.xz --prefix=spek-${DATE}/ master
#

#global gdate	20220409

Name:		spek
Version:	0.8.5%{?gdate:^git%gdate}
Release:	%mkrel 2
Group:		Sound/Utilities
License:	GPLv3
Summary:	Tool for audio spectrum analysis and visualization
URL:		http://spek.cc/
Source0:	https://github.com/alexkay/spek/archive/v%{version}/%{name}-%{?gdate}%{!?gdate:%version}.tar.%{?gdate:xz}%{!?gdate:gz}
BuildRequires:	wxgtk-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	intltool

%description
Spek (IPA: /spɛk/, ‘bacon’ in Dutch) helps to analyse your audio files by showing
their spectrogram. Spek is free software available for Unix, Windows and Mac OS X.

Features:

* Supports all popular lossy and lossless audio file formats thanks to the FFmpeg libraries.
* Ultra-fast signal processing, uses multiple threads to further speed up the analysis.
* Shows the codec name and the audio signal parameters.
* Allows to save the spectrogram as an image file.
* Drag-and-drop support; associates with common audio file formats.
* Auto-fitting time, frequency and spectral density rulers.
* Adjustable spectral density range.
* Translated into 16 languages.

%prep
%autosetup -p1 -n %{name}-%{?gdate}%{!?gdate:%version}

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/spek.{png,svg}
%{_mandir}/man1/%{name}.*
