# Please keep this package in sync with FC

# "fix" underlinking:
%define _disable_ld_no_undefined 1

%define major      1
%define libname    %mklibname %{name}-server %{major}
%define libnamedev %mklibname %{name}-server -d

Name:		spice
Version:	0.15.2
Release:	%mkrel 1
Summary:	Implements the SPICE protocol
Group:		Networking/Remote access
License:	LGPLv2+
URL:		https://www.spice-space.org/
Source0:	https://www.spice-space.org/download/releases/spice-server/%{name}-%{version}.tar.bz2
Patch500:	spice-0.15.2-autoconf.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=613529
ExclusiveArch:  %{ix86} x86_64 %{arm} aarch64

BuildRequires: pkgconfig(glib-2.0) >= 2.22
BuildRequires: pkgconfig(libcacard) >= 0.1.2
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(pixman-1) >= 0.17.7
BuildRequires: pkgconfig(spice-protocol) >= 0.14.0
BuildRequires: pkgconfig(opus) >= 0.9.14
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(xrandr)
BuildRequires: libsasl-devel
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glu)
BuildRequires: lz4-devel
BuildRequires: gstreamer1.0-devel gstreamer1.0-plugins-base-devel
BuildRequires: orc-devel
BuildRequires: git-core
BuildRequires: autoconf-archive

%description
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows
you to view a computing 'desktop' environment not only on the machine
where it is running, but from anywhere on the Internet and from a wide
variety of machine architectures.

%package client
Summary:	Implements the client side of the SPICE protocol
Group:		Networking/Remote access
Requires(post):	%{_sbindir}/update-alternatives
Requires(postun):	%{_sbindir}/update-alternatives

%description client
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows
you to view a computing 'desktop' environment not only on the machine
where it is running, but from anywhere on the Internet and from a wide
variety of machine architectures.

This package contains the SPICE client application.

%package -n %libname
Summary:	Implements the server side of the SPICE protocol
Group:		System/Libraries

%description -n %libname
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows
you to view a computing 'desktop' environment not only on the machine
where it is running, but from anywhere on the Internet and from a wide
variety of machine architectures.

This package contains the run-time libraries for any application that wishes
to be a SPICE server.

%package -n %libnamedev
Summary:	Header files, libraries and development documentation for spice-server
Group:		Development/C
Requires:	%libname = %{version}-%{release}
Requires:	pkgconfig(libcacard)
Requires:	pkgconfig(xinerama)
Provides:	%name-server-devel = %version-%release


%description -n %libnamedev
This package contains the header files, static libraries and development
documentation for spice-server. If you like to develop programs
using spice-server, you will need to install spice-server-devel.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
	--enable-smartcard \
	--disable-client \
	--disable-static \
	--enable-lz4 \
	--enable-gstreamer=1.0 \
	--disable-celt051 \
	--disable-werror
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/libspice-server.la
%__mkdir_p %{buildroot}%{_libexecdir}

%files client
%license COPYING
%doc README CHANGELOG.md

%files -n %libname
%license COPYING
%doc README
%{_libdir}/libspice-server.so.%{major}{,.*}

%files -n %libnamedev
%{_includedir}/spice-server
%{_libdir}/libspice-server.so
%{_libdir}/pkgconfig/spice-server.pc
