# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

%define uname   SPIRV-Headers
%define vulkanver 1.4.304.0
%define vulkansdk vulkan-sdk-%{vulkanver}

%define rel 3

Name:           spirv-headers
# Check include/spirv/unified1/spirv.core.grammar.json for the proper version number.
Version:        1.6.4
Release:        %mkrel %{rel}.sdk%{vulkanver}
Summary:        Header files from the SPIR-V registry
Group:          Development/C
License:        MIT
URL:            https://github.com/KhronosGroup/SPIRV-Headers
Source0:        https://github.com/KhronosGroup/SPIRV-Headers/archive/%{vulkansdk}.tar.gz

BuildArch:      noarch
BuildRequires:  cmake

Provides:	spirv-headers-devel = %{version}-%{release}

%description
Header files from the SPIR-V registry. This includes:

* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry file.
* CMake config files to include this in other CMake projects.

%prep
%autosetup -p1 -n %{uname}-%{vulkansdk}

# Fix version
sed -i -e '/project/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake -DSPIRV_HEADERS_SKIP_EXAMPLES=ON
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_datadir}/cmake/%{uname}/
%{_datadir}/pkgconfig/%{uname}.pc
%{_includedir}/spirv/
