%define debug_package %{nil}
Name:		splat
Version:	1.4.2
Release:	%mkrel 6
Summary:	Analyze point-to-point terrestrial RF communication links
Group:		Communications/Radio
License:	GPLv2+
URL:		https://www.qsl.net/kd2bd/splat.html
Source0:	https://www.qsl.net/kd2bd/%{name}-%{version}.tar.bz2
# Man pages for utilities, generated from utils README file
Source1:	citydecoder.man
Source2:	srtm2sdf.man
Source3:	usgs2sdf.man
Source4:	bearing.man
Source5:	postdownload.man
# Do not set -march to the cpu used to build
Patch0:		splat-1.4.2-march.parch

BuildRequires:	bzip2-devel
BuildRequires:	groff
BuildRequires:	zlib-devel

Provides:	splat-utils = %{version}-%{release}

%description
SPLAT! is a Surface Path Length And Terrain analysis application written for
Linux and Unix workstations. SPLAT! analyzes point-to-point terrestrial RF 
communication links, and provides information useful to communication system
designers and site engineers.

%prep
%setup -q
%autopatch -p1

# Fix end of line encoding
sed -i 's/\r//' utils/fips.txt

%build
# Uses custom build scripts
./build all

%install
# Build additional man pages
mkdir -p %{buildroot}%{_mandir}/man1/
groff -e -T ascii -man %{SOURCE1} > %{buildroot}%{_mandir}/man1/citydecoder.1
groff -e -T ascii -man %{SOURCE2} > %{buildroot}%{_mandir}/man1/srtm2sdf.1
groff -e -T ascii -man %{SOURCE3} > %{buildroot}%{_mandir}/man1/usgs2sdf.1
groff -e -T ascii -man %{SOURCE4} > %{buildroot}%{_mandir}/man1/bearing.1
groff -e -T ascii -man %{SOURCE5} > %{buildroot}%{_mandir}/man1/postdownload.1

# Manual install, easier than patching upstream custom install script
install -D -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 0644 docs/english/man/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m 0644 docs/spanish/man/%{name}.1 %{buildroot}%{_mandir}/es/man1/%{name}.1

# Install utils
install -D -m 0755 utils/citydecoder %{buildroot}%{_bindir}/citydecoder
install -D -m 0755 utils/bearing %{buildroot}%{_bindir}/bearing
install -D -m 0755 utils/postdownload %{buildroot}%{_bindir}/postdownload
install -D -m 0755 utils/usgs2sdf %{buildroot}%{_bindir}/usgs2sdf
install -D -m 0755 utils/srtm2sdf %{buildroot}%{_bindir}/srtm2sdf

# Rename this to avoid conflict with main readme
mv utils/README utils/README-utils

%files
%doc CHANGES COPYING README utils/README-utils utils/fips.txt
%doc sample_data
%{_bindir}/*
%{_mandir}/es/man1/*
%{_mandir}/man1/*
