%define debug_package %{nil}

# https://git.sr.ht/~geb/sprec
%global goipath         git.sr.ht/~geb/sprec
%global forgeurl        https://git.sr.ht/~geb/sprec
Version:                0.1
%global tag             0.1


%global common_description %{expand:
sprec is a simple speech recognition command that can be used for transcription 
or automation.
It uses the Vosk speech recognition toolkit, which is FOSS and offline.}

%global golicenses      LICENSE
%global godocs          doc PACKAGING.md CHANGELOG.md README.md

Name:           sprec
Release:        %mkrel 2
Summary:        Speech recognition command
Group:          Accessibility

License:        AGPL-3.0-only
URL:            https://git.sr.ht/~geb/sprec
# git archive --format=tar.gz 0.1 -o sprec-0.1.tar.gz --prefix=sprec-0.1/
Source:         sprec-%{version}.tar.gz
# go mod vendor
Source1:        vendor.tar.xz

BuildRequires:      go-rpm-macros
BuildRequires:      scdoc
BuildRequires:      vosk-devel
Requires:           dotool
Requires:           alsa-utils

%description %{common_description}


%prep
%setup -q -D -a 1
%autopatch -p1

%build
export GOPATH=%{_builddir}/%{name}-%{version}/vendor:/usr/share/gocode
mkdir -p _build/bin
go build -o _build/bin/%{name}

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{_builddir}/sprec-%{version}/_build/bin/* %{buildroot}%{_bindir}/
pushd %{_builddir}/sprec-%{version}
install -Dm755 _build/bin/sprec examples/sprec_type -t  %{buildroot}%{_bindir}
mkdir -p  %{buildroot}%{_datadir}/man/man1
scdoc < doc/sprec.1.scd > %{buildroot}%{_datadir}/man/man1/sprec.1

%files
%license LICENSE
%doc README.md
%{_bindir}/*
%{_mandir}/man1/sprec.1.xz
 
