%define oname spring
%define name %{oname}-data
%define version 0.74
%define beta b1
%define release %mkrel 0.%{beta}.2

%define distname %{oname}-linux-data-%{version}%{beta}

Summary: Data for the Spring realtime strategy game
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownload.berlios.de/taspring-linux/%{distname}.tar.bz2
License: GPL/Creative Commons
Group: Games/Strategy
Url: http://taspring.clan-sy.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This packages contains data files for the Spring realtime strategy
game.

%prep
%setup -q -n %{distname}
rmdir AI/*-libs/
rm Luxi.ttf

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_gamesdatadir}/%{oname}
cp -a * %{buildroot}%{_gamesdatadir}/%{oname}

# the main 'spring' package contains newer versions of these, must
# remove them to avoid conflict - AdamW 2007/09
rm -f %{buildroot}%{_gamesdatadir}/%{oname}/shaders/{terrainCommon.glsl,terrainFragmentShader.glsl,terrainVertexShader.glsl}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_gamesdatadir}/%{oname}/*.txt
%{_gamesdatadir}/%{oname}/PALETTE.PAL
%{_gamesdatadir}/%{oname}/base/%{oname}content.sdz
%{_gamesdatadir}/%{oname}/base/%{oname}/*.sdz
%{_gamesdatadir}/%{oname}/docs/*
%{_gamesdatadir}/%{oname}/maps/*.sd7
%{_gamesdatadir}/%{oname}/mods/*.sdz
%{_gamesdatadir}/%{oname}/shaders/*.fp
%{_gamesdatadir}/%{oname}/shaders/*.vp
%{_gamesdatadir}/%{oname}/startscripts/*
%{_gamesdatadir}/%{oname}/AI/AAI/*



