%global namedreltag .RELEASE
%global namedversion %{version}%{?namedreltag}
Name:          springframework-security
Version:       3.2.10
Release:       %mkrel 3
Group:         Development/Java
Summary:       Modular Java/J2EE application security framework
# Public Domain: crypto/src/main/java/org/springframework/security/crypto/codec/Base64.java
# ISC: crypto/src/test/java/org/springframework/security/crypto/bcrypt/BCryptTests.java
License:       ASL 2.0 and ISC and Public Domain
Url:           https://static.springsource.org/spring-security/site/index.html
Source0:       https://github.com/SpringSource/spring-security/archive/%{namedversion}/spring-security-%{namedversion}.tar.gz
Source1:       %{name}-template-pom.xml

Patch0:        %{name}-3.2.10-osgi-support.patch
# Use servlet api 3.1
Patch1:        %{name}-3.2.10-servlet.patch
# Disable aspectj support (unavailable tool for generate java stuff from .aj source file)
Patch2:        %{name}-3.2.6-aspectj.patch
Patch3:        %{name}-3.2.10-remove-apacheds-support.patch
# Use system commons-codec
Patch4:        %{name}-3.2.10-commons-codec.patch
# Use system jBCrypt
Patch5:        %{name}-3.2.10-jBCrypt.patch

BuildRequires: maven-local
BuildRequires: mvn(aopalliance:aopalliance)
BuildRequires: mvn(com.google.inject:guice)
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(javax.annotation:jsr250-api)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(javax.servlet.jsp:javax.servlet.jsp-api)
BuildRequires: mvn(ldapsdk:ldapsdk)
BuildRequires: mvn(net.sf.ehcache:ehcache-core)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.aspectj:aspectjweaver)
BuildRequires: mvn(org.jasig.cas.client:cas-client-core)
BuildRequires: mvn(org.mindrot:jbcrypt)
BuildRequires: mvn(org.openid4java:openid4java-nodeps)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-aop)
BuildRequires: mvn(org.springframework:spring-beans)
BuildRequires: mvn(org.springframework:spring-context)
BuildRequires: mvn(org.springframework:spring-expression)
BuildRequires: mvn(org.springframework:spring-jdbc)
BuildRequires: mvn(org.springframework:spring-web)
BuildRequires: mvn(org.springframework:spring-webmvc)
BuildRequires: mvn(org.springframework:spring-tx)
# use spring-ldap-core = 1.3.2.RELEASE
BuildRequires: mvn(org.springframework.ldap:spring-ldap-core)
BuildRequires: xmvn

%if 0
# Default build tools and deps
BuildRequires: antlr-tool
BuildRequires: apache-commons-cli
BuildRequires: emma
BuildRequires: gradle
BuildRequires: objectweb-asm
# Test deps
BuildRequires: mvn(cglib:cglib-nodep)
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(javax.servlet.jsp.jstl:javax.servlet.jsp.jstl-api:1.2.1)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.taglibs:taglibs-standard-jstlel)
BuildRequires: mvn(org.codehaus.groovy:groovy-all:2.0.5)
BuildRequires: mvn(org.eclipse.persistence:javax.persistence:2.0.5)
BuildRequires: mvn(org.hibernate:hibernate-entitymanager:4.1.0.Final)
BuildRequires: mvn(org.hibernate:hibernate-entitymanager:3.6.10.Final)
BuildRequires: mvn(org.hsqldb:hsqldb)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.powermock:powermock-core)
BuildRequires: mvn(org.powermock:powermock-api-mockito)
BuildRequires: mvn(org.powermock:powermock-api-support)
BuildRequires: mvn(org.powermock:powermock-module-junit4)
BuildRequires: mvn(org.powermock:powermock-module-junit4-common)
BuildRequires: mvn(org.powermock:powermock-reflect)
BuildRequires: mvn(org.python:jython)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.spockframework:spock-core:0.7-groovy-2.0)
BuildRequires: mvn(org.spockframework:spock-spring:0.7-groovy-2.0)
BuildRequires: mvn(org.springframework:spring-context-support)
BuildRequires: mvn(org.springframework:spring-orm)
BuildRequires: mvn(org.springframework:spring-test)
# Unavailable test deps
# ApacheDS should be upgrade to 2.x series
BuildRequires: mvn(org.apache.directory.server:apacheds-core:1.5.5)
BuildRequires: mvn(org.apache.directory.server:apacheds-core-api)
BuildRequires: mvn(org.apache.directory.server:apacheds-core-entry)
BuildRequires: mvn(org.apache.directory.server:apacheds-jdbm-partition)
BuildRequires: mvn(org.apache.directory.server:apacheds-protocol-ldap)
BuildRequires: mvn(org.apache.directory.server:apacheds-protocol-shared)
BuildRequires: mvn(org.apache.directory.server:apacheds-server-jndi)
BuildRequires: mvn(org.apache.directory.server:apacheds-utils)
BuildRequires: mvn(org.apache.directory.server:apacheds-xdbm-base)
# ApacheDS Shared should be upgrade to 1.x series
BuildRequires: mvn(org.apache.directory.shared:shared-ldap:0.9.15)
BuildRequires: mvn(org.easytesting:fest-assert:1.4)
# https://bugzilla.redhat.com/show_bug.cgi?id=1240126
BuildRequires: mvn(org.springframework.data:spring-data-jpa)
%endif

BuildArch:     noarch

%description
Spring Security is a Java/Java EE framework that provides advanced
authentication, authorization and other comprehensive security features for
enterprise applications. In addition to having a comprehensive list of
security functionality, Spring Security is very configurable and employs the
Spring Framework for configuration, it allows for reuse and portability of
security components, and it can also be used with non-Spring applications.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n spring-security-%{namedversion}
find .  -name "*.jar" -print -delete
find .  -name "*.class" -print -delete

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
rm -f ldap/src/main/java/org/springframework/security/ldap/server/ApacheDSContainer.java
%patch -P 4 -p1
rm -f crypto/src/main/java/org/springframework/security/crypto/codec/Base64.java
%patch -P 5 -p1
rm -f crypto/src/main/java/org/springframework/security/crypto/bcrypt/BCrypt.java

%pom_remove_dep :spring-security-aspects config
rm -f config/src/main/java/org/springframework/security/config/annotation/method/configuration/GlobalMethodSecurityAspectJConfiguration.java

cp -p %{SOURCE1} pom.xml
sed -i "s|@VERSION@|%{namedversion}|" pom.xml

%pom_xpath_set "pom:dependency[pom:groupId = 'javax.servlet.jsp']/pom:version" 2.3.2 taglibs

for p in cas config openid taglibs web; do
 %pom_xpath_set "pom:dependency[pom:groupId = 'javax.servlet']/pom:version" 3.1.0 ${p}
done

%pom_add_dep org.springframework.security:spring-security-crypto:'${project.version}' core
%pom_xpath_set "pom:dependency[pom:groupId = 'org.aspectj']/pom:artifactId" aspectjweaver core

%pom_remove_dep org.hibernate: config
%pom_remove_dep org.hsqldb: config

%mvn_package :spring-security-project __noinstall

%build

# test skipped for unavailable test deps
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc CONTRIBUTING.md README.adoc
%license license.txt notice.txt

%files javadoc -f .mfiles-javadoc
%license license.txt notice.txt


