%global namedreltag .RELEASE
%global namedversion %{version}%{?namedreltag}
%global oname spring-ws
Name:          springframework-ws
Version:       2.1.1
Release:       %mkrel 5
Summary:       Spring Web Services
License:       ASL 2.0
Group:         Development/Java
URL:           https://spring.io/projects/spring-ws
# latest release depend on springframework >= 3.2.2.RELEASE
Source0:       https://github.com/spring-projects/%{oname}/archive/%{oname}-%{namedversion}.tar.gz

BuildRequires: java-devel

BuildRequires: mvn(com.sun.xml.messaging.saaj:saaj-impl)
BuildRequires: mvn(commons-httpclient:commons-httpclient)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(dom4j:dom4j)
BuildRequires: mvn(javax.ejb:ejb)
BuildRequires: mvn(javax.jms:jms)
BuildRequires: mvn(javax.xml.soap:saaj-api)
BuildRequires: mvn(javax.xml.stream:stax-api)
BuildRequires: mvn(javax.mail:mail)
BuildRequires: mvn(jaxen:jaxen)
BuildRequires: mvn(jivesoftware:smack)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.ws.commons.axiom:axiom-api)
BuildRequires: mvn(org.apache.ws.commons.axiom:axiom-impl)
BuildRequires: mvn(org.apache.ws.xmlschema:xmlschema-core)
BuildRequires: mvn(org.codehaus.woodstox:woodstox-core-asl)
BuildRequires: mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)
BuildRequires: mvn(org.jdom:jdom2)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-aop)
BuildRequires: mvn(org.springframework:spring-context)
BuildRequires: mvn(org.springframework:spring-jms)
BuildRequires: mvn(org.springframework:spring-oxm)
BuildRequires: mvn(org.springframework:spring-tx)
BuildRequires: mvn(org.springframework:spring-web)
BuildRequires: mvn(org.springframework:spring-webmvc)
BuildRequires: mvn(wsdl4j:wsdl4j)
BuildRequires: mvn(xmlunit:xmlunit)
BuildRequires: mvn(xom:xom)

%if 0
# test deps
BuildRequires: easymock
BuildRequires: mvn(cglib:cglib-nodep)
BuildRequires: mvn(commons-httpclient:commons-httpclient)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j)
BuildRequires: mvn(org.apache.activemq:activemq-core)
BuildRequires: mvn(org.apache.ws.xmlschema:xmlschema-core)
BuildRequires: mvn(org.aspectj:aspectjrt)
BuildRequires: mvn(org.aspectj:aspectjweaver)
BuildRequires: mvn(org.codehaus.woodstox:woodstox-core-asl)
BuildRequires: mvn(org.jvnet.mock-javamail:mock-javamail)
BuildRequires: mvn(org.mortbay.jetty:jetty)
BuildRequires: mvn(org.springframework:spring-test)
%endif

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle

BuildArch:     noarch

%description
Spring Web Services is a product of the Spring community
focused on creating document-driven Web services. It
aims to facilitate contract-first SOAP service development,
allowing for the creation of flexible web services
using one of the many ways to manipulate XML payloads.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{oname}-%{namedversion}
%pom_xpath_remove pom:build/pom:extensions
%pom_xpath_remove pom:build/pom:extensions parent
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :docbkx-maven-plugin
%pom_remove_plugin :docbkx-maven-plugin parent
%pom_remove_plugin :com.springsource.bundlor.maven parent
%pom_remove_plugin :jaxws-maven-plugin parent
%pom_remove_plugin :axistools-maven-plugin parent
%pom_remove_plugin :xmlbeans-maven-plugin parent
%pom_xpath_remove "pom:dependencies/pom:dependency[pom:scope = 'test']" parent

# depend on: org.codehaus.mojo tomcat-maven-plugin
%pom_disable_module archetype
# depend on: org.springframework spring-test xmlunit
%pom_disable_module test

%pom_xpath_set "pom:project/pom:dependencyManagement/pom:dependencies/pom:dependency[pom:artifactId='servlet-api']/pom:groupId" "
org.jboss.spec.javax.servlet" parent
%pom_xpath_set "pom:project/pom:dependencyManagement/pom:dependencies/pom:dependency[pom:artifactId='servlet-api']/pom:artifactId" "
jboss-servlet-api_3.0_spec" parent

%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId='servlet-api']/pom:groupId" "
org.jboss.spec.javax.servlet" core
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId='servlet-api']/pom:artifactId" "
jboss-servlet-api_3.0_spec" core

# require jdom >= 2.0.1
%pom_xpath_set "pom:project/pom:dependencyManagement/pom:dependencies/pom:dependency[pom:groupId='org.jdom']/pom:artifactId" jdom2 parent
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:groupId='org.jdom']/pom:artifactId" jdom2 core


%pom_xpath_remove "pom:dependencies/pom:dependency[pom:scope = 'test']" core
%pom_remove_dep javax.activation:activation core
%pom_remove_dep org.springframework:spring-test core
# add OSGi support and FIX Bundle-SymbolicName
%pom_remove_plugin com.springsource.bundlor:com.springsource.bundlor.maven core
%pom_add_plugin org.apache.felix:maven-bundle-plugin core '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>org.springframework.ws</Bundle-SymbolicName>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-Vendor>SpringSource</Bundle-Vendor>
    <Bundle-Version>${osgi.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

# TODO
%if 0
%pom_remove_dep javax.activation:activation security
%pom_remove_plugin com.springsource.bundlor:com.springsource.bundlor.maven security
%pom_add_plugin org.apache.felix:maven-bundle-plugin security '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>org.springframework.ws.security</Bundle-SymbolicName>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-Vendor>SpringSource</Bundle-Vendor>
    <Bundle-Version>${osgi.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'
%else
# depend on:
# (unavailable deps)
# http://xwss.java.net/ https://svn.java.net/svn/xwss~svn
# com.sun.xml.wsit xws-security 1.3.1
# http://wsit.java.net/ https://svn.java.net/svn/wsit~svn/
# com.sun.xml.wsit wsit-rt 1.1
# org.springframework.security:spring-security-core 3.1.0.RELEASE
%pom_disable_module security
%endif

%pom_xpath_remove "pom:dependencies/pom:dependency[pom:scope = 'test']" support
%pom_remove_dep org.springframework:spring-test support
%pom_remove_dep javax.activation:activation support
%pom_remove_plugin com.springsource.bundlor:com.springsource.bundlor.maven support
%pom_add_plugin org.apache.felix:maven-bundle-plugin support '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>org.springframework.ws.support</Bundle-SymbolicName>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-Vendor>SpringSource</Bundle-Vendor>
    <Bundle-Version>${osgi.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%pom_remove_plugin com.springsource.bundlor:com.springsource.bundlor.maven xml
%pom_add_plugin org.apache.felix:maven-bundle-plugin xml '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>org.springframework.ws.xml</Bundle-SymbolicName>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-Vendor>SpringSource</Bundle-Vendor>
    <Bundle-Version>${osgi.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

sed -i 's/\r//' notice.txt

%build

# test skipped unavailable test deps
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc changelog.txt license.txt notes.txt notice.txt readme.txt

%files javadoc -f .mfiles-javadoc
%doc license.txt notice.txt

