%global __provides_exclude_from %{python3_sitelib}/.*\\.js
%global __requires_exclude_from %{python3_sitelib}/.*\\.js

Name:           spyder
Version:        6.0.4
Release:        %mkrel 1
Summary:        Scientific Python Development Environment
License:        MIT
Group:          Development/Python
URL:            https://github.com/spyder-ide/spyder
Source0:        https://github.com/%{name}-ide/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
Requires:       python3-qt5
Requires:       python3-qt5-webengine
Requires:       python3-qt5-webenginewidgets
Requires:       python3dist(pycodestyle)
Requires:       python3dist(rope)
Requires:       python3dist(pyflakes)
Requires:       python3dist(paramiko)
Recommends:     python3dist(numpy)
Recommends:     python3dist(scipy)
Recommends:     python3dist(matplotlib)
%rename         %{name}3


%description
Spyder is a Python development environment with advanced editing, interactive
testing, debugging and introspection features. It is especially recommended 
for scientific computing thanks to NumPy (linear algebra), SciPy (signal and 
image processing), matplotlib (interactive 2D/3D plotting), MayaVi’s mlab 
(interactive 3D visualization) and -of course- IPython support.

Spyder may also be used as a library providing powerful console-related PyQt5
widgets.

%prep
%autosetup -p1

rm -rf PKG-INFO

# Remove DOS line endings
for file in `find -name "*.rst" -o -name "*.py" -o -name "*.css"` README.md; do
        sed "s|\r||g" $file > $file.new && \
        touch -r $file $file.new && \
        mv $file.new $file
done

# Fix default icon theme
sed -i -e '/icon_theme/s,spyder 3,spyder 2,' spyder/config/main.py

%build
%pyproject_wheel


%install
%pyproject_install

rm -rf %{buildroot}%{python3_sitelib}/spyderlib/doc/{.buildinfo,.doctrees}
rm -rf %{buildroot}%{_bindir}/spyder_win_post_install.py

# install appdata file
mkdir -p %{buildroot}%{_metainfodir}
install -m 0644 scripts/org.spyder_ide.spyder.appdata.xml %{buildroot}%{_metainfodir}/org.spyder_ide.%{name}.appdata.xml

# adding a svg icon

install -d -m755 %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
install -m644 img_src/spyder.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%pyproject_save_files spyder

%files -f %{pyproject_files}
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/org.spyder_ide.%{name}.appdata.xml
%{_datadir}/icons/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
