Name:          sql-maven-plugin
Version:       1.5
Release:       %mkrel 1
Summary:       SQL Maven Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           http://mojo.codehaus.org/sql-maven-plugin/
Source0:       https://repo1.maven.org/maven2/org/codehaus/mojo/sql-maven-plugin/1.5/sql-maven-plugin-1.5-source-release.zip

BuildRequires: java-devel
BuildRequires: javacc
BuildRequires: jpackage-utils
BuildRequires: mojo-parent

BuildRequires: apache-commons-lang
BuildRequires: axion
BuildRequires: derby
BuildRequires: junit

BuildRequires: animal-sniffer

BuildRequires: maven-invoker-plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-shade-plugin
BuildRequires: maven-shared-filtering
BuildRequires: maven-plugin-cobertura

BuildRequires: mojo-signatures

BuildRequires: plexus-archiver
BuildRequires: plexus-cipher
BuildRequires: plexus-sec-dispatcher
BuildRequires: plexus-utils

Requires:      apache-commons-lang
Requires:      axion

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Execute SQL Statements.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

# mojo-signatures
sed -i "s|<artifactId>java14</artifactId>|<artifactId>java15</artifactId>|" pom.xml

%build

# The following builds failed:
# *  derby/pom.xml
# *  msql-64/pom.xml

mvn-rpmbuild -e -Dmaven.test.failure.ignore=true install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}
