Name:		sqlitebrowser
Version:	3.13.1
Release:	%mkrel 1

Summary:	Design and edit database files compatible with SQLite
License:	GPLv3 and MPLv2.0
Group:		Databases
URL:		https://sqlitebrowser.org/
Source0:	https://github.com/sqlitebrowser/sqlitebrowser/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(qcustomplot-qt5)
BuildRequires:	pkgconfig(qhexedit2-qt5)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	qscintilla-qt5-devel


%description
DB Browser for SQLite is a high quality, visual, open source tool to
create, design, and edit database files compatible with SQLite.

It is for users and developers wanting to create databases, search, and edit
data.  It uses a familiar spreadsheet-like interface, and you don't need to
learn complicated SQL commands.

%prep
%autosetup -p1

# Unbundle bundled libraries
rm -rf libs/{qcustomplot-source,qhexedit,qscintilla}

%build
%cmake_qt5 \
           -DFORCE_INTERNAL_QCUSTOMPLOT=OFF \
           -DFORCE_INTERNAL_QHEXEDIT=OFF \
           -DQSCINTILLA_INCLUDE_DIR=%{_qt5_includedir}

%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_metainfodir}/%{name}.desktop.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
