Name:          sqliteman
Version:       1.2.2
Release:       %mkrel 16
Summary:       Lightweight but powerful Sqlite3 manager
License:       GPLv2
Group:         Databases
URL:           https://sqliteman.com/
Source:        https://downloads.sourceforge.net/sqliteman/%{name}-%{version}.tar.bz2
# sqliteman-1.2.2-qt5.patch courtesy of gentoo team -- aloisio@gmx.com
Patch1:        sqliteman-1.2.2-qt5.patch

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(uuid)
BuildRequires: cmake
BuildRequires: qscintilla-qt5-devel
BuildRequires: qt5-database-plugin-sqlite
BuildRequires: desktop-file-utils

Requires:      qt5-database-plugin-sqlite

%description
The best developer's and/or admin's GUI tool for Sqlite3
in the world. No joking here (or just a bit only) - it
contains the most complete feature set of all tools available

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 -DQSCINTILLA_NAMES=qscintilla2_qt5
%cmake_build


%install
%cmake_install

desktop-file-install \
        --add-category "Development;Database;Qt;" \
        --dir %{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

install -d %{buildroot}%{_iconsdir}/hicolor/32x32/apps
mv %{buildroot}%{_datadir}/icons/hicolor/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

%files
%doc AUTHORS
%doc %{_datadir}/%{name}/doc/*
%{_bindir}/sqliteman
%{_datadir}/applications/*
%{_datadir}/%{name}/icons/*
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%lang(bg) %{_datadir}/%{name}/sqliteman_bg.qm
%lang(cs) %{_datadir}/%{name}/sqliteman_cs.qm
%lang(de) %{_datadir}/%{name}/sqliteman_de.qm
%lang(en) %{_datadir}/%{name}/sqliteman_en.qm
%lang(fr) %{_datadir}/%{name}/sqliteman_fr.qm
%lang(it) %{_datadir}/%{name}/sqliteman_it.qm
%lang(pl) %{_datadir}/%{name}/sqliteman_pl.qm
%lang(ru) %{_datadir}/%{name}/sqliteman_ru.qm
