Name:          sqlitestudio
Version:       3.4.4
Release:       %mkrel 1
Summary:       A SQLite database manager
License:       GPLv3
Group:         Development/Other
URL:           https://sqlitestudio.pl/
Source0:       https://github.com/pawelsalawa/sqlitestudio/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:        sqlitestudio-3.4.1-fix-install.patch
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(readline)
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5UiTools)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: qttools5

%description
SQLiteStudio is a SQLite database manager with the following features:

* Single executable file
* Intuitive interface
* All SQLite3 and SQLite2 features wrapped within simple GUI
* Cross-platform
* Localizations
* Exporting to various formats
* Importing data from various formats
* Numerous small additions
* UTF-8 support
* Skinnable
* Configurable colors, fonts and shortcuts
* Open source and free

%prep
%autosetup -p1

%build
cd SQLiteStudio3
%qmake_qt5 -recursive LIBDIR=%{_libdir} DATADIR=%{_datadir} BINDIR=%{_bindir}

%make_build

%install
cd SQLiteStudio3
%make_install INSTALL_ROOT=%{buildroot}

# remove unneeded devel files
find %{buildroot} -name '*.so' -delete

install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=SQLite Studio
Comment=A SQLite database manager
Comment[fr]=Un gestionnaire de base de données SQLite
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Development;Database;
MimeType=application/x-sqlite3;
EOF

%files
%doc ChangeLog.md README.md SQLiteStudio3/docs/*
%license LICENSE
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_libdir}/libcoreSQLiteStudio.so*
%{_libdir}/libguiSQLiteStudio.so*
