#define 	commit 5ae723
%define		rel 1

Name:		squashfs-tools
Version:	4.6.1
Release:	%mkrel %{?commit:0.%{commit}}%rel
Summary:	Utilities for the creation of compressed squashfs images
License:	GPLv2+
Group:		File tools
URL:		https://github.com/plougher/squashfs-tools
Source:         https://github.com/plougher/squashfs-tools/archive/%{version}.tar.gz#/%{name}-%{version}%{?commit:-git%commit}.tar.%{?commit:xz}%{!?commit:gz}
# upstream fixes:

# Mageia patches:

# Security Patches
# P100 -> ...
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libattr)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(lzo2)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	libzstd-devel

%description
Squashfs is a highly compressed read-only filesystem for Linux.  This package
contains the utilities for manipulating squashfs filesystems.

%prep
%autosetup -p 1 -n %{name}%{!?commit:-%{version}}

%build
pushd squashfs-tools
CFLAGS="%{optflags}" \
%make_build \
      XZ_SUPPORT=1 \
      LZMA_XZ_SUPPORT=1 \
      LZO_SUPPORT=1 \
      LZ4_SUPPORT=1 \
      ZSTD_SUPPORT=1 \
      COMP_DEFAULT=zstd

%install
install -d %{buildroot}%{_bindir}
install -m 755 squashfs-tools/mksquashfs %{buildroot}%{_bindir}/mksquashfs
install -m 755 squashfs-tools/unsquashfs %{buildroot}%{_bindir}/unsquashfs

%files
%doc CHANGES README-%{version}
%{_bindir}/mksquashfs
%{_bindir}/unsquashfs
