%define vmver	4.10.2
%define svntag	2614

Name:		squeak-vm
Version:	%{vmver}.%{svntag}
Release:	%mkrel 17
Summary:	The Squeak virtual machine
Group:		Development/Other
License:	MIT
URL:            http://squeakvm.org/unix
Source0:	http://squeakvm.org/unix/release/Squeak-%{version}-src.tar.gz
Source2:	squeak-desktop-files.tar.gz
Patch0:		Squeak-4.10.2.2614-fix-str-fmt.patch
Patch1:		squeak-vm-4.10.2-fix-cmake.patch
Patch2:		squeak-vm-4.10.2-gcc-14-fix.patch
Patch3:		squeak-vm-dprintf.patch
Patch4:		squeak-vm-fix-build-gcc14.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	x11-proto-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xext)
BuildRequires:	e2fsprogs-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(libpulse)
Requires:	zenity
Obsoletes:	squeak-vm-nonXOplugins

%description
Squeak is a full-featured implementation of the Smalltalk programming
language and environment based on (and largely compatible with) the original
Smalltalk-80 system.

This package contains just the Squeak virtual machine.

%prep
%setup -q -n Squeak-%{version}-src -a 2
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1

# The source files chmod'd here have the execute bit set in the upstream tarball
# which bothers rpmlint, need submit a request upstream to have this changed
find . -name '*.[ch]' -exec chmod ug=rw,o=r {} \;

%build
%global _vpath_srcdir unix
%cmake -DVM_HOST="%{_host}" -DVM_VERSION="%{vmver}-%{svntag}" -DPLATFORM_SOURCE_VERSION="%{svntag}"
%cmake_build

%install
%cmake_install

#cp -f unix/config/inisqueak.in %%{buildroot}%%{_bindir}/inisqueak
perl -pi					\
	-e 's|\@SQ_MAJOR\@|41|;'		\
	-e 's|\@SQ_VERSION\@|4.1|;'		\
	-e 's|\@prefix\@|%{_prefix}|;'		\
	-e 's|\@exec_prefix\@|%{_prefix}|;'	\
	-e 's|\@bindir\@|%{_bindir}|;'		\
	-e 's|\@imgdir\@|%{_datadir}/squeak|;'	\
	-e 's|\@plgdir\@|%{_datadir}/squeak|;'	\
	%{buildroot}%{_bindir}/inisqueak
perl -pi					\
	-e 's|/lib/squeak|/%{_lib}/squeak|;'	\
	%{buildroot}%{_bindir}/squeak{,.sh}

# these files will be put in std RPM doc location
rm -rf %{buildroot}%{_prefix}/doc/squeak

# install the desktop stuff
install -D --mode=u=rwx,go=rx mysqueak %{buildroot}%{_bindir}/mysqueak
install -D --mode=u=rw,go=r mysqueak.1 %{buildroot}%{_mandir}/man1/mysqueak.1
install -D --mode=u=rw,go=r squeak.xml %{buildroot}%{_datadir}/mime/packages/squeak.xml
install -D --mode=u=rw,go=r squeak.desktop %{buildroot}%{_datadir}/applications/squeak.desktop
install -D --mode=u=rw,go=r squeak.png %{buildroot}%{_datadir}/pixmaps/squeak.png

%define icons_dir %{buildroot}%{_datadir}/icons/Adwaita
for size in 16 24 32 48 64 72 96
do
  mkdir -p %{icons_dir}/${size}x${size}/mimetypes
  install -m0644 squeak${size}.png %{icons_dir}/${size}x${size}/mimetypes/application-x-squeak-image.png
  install -m0644 squeaksource${size}.png %{icons_dir}/${size}x${size}/mimetypes/application-x-squeak-source.png
done

#ifarch x86_64 ppc64 aarch64
#   mkdir -p %%{buildroot}%%{_libdir}/squeak
#   mv -f %%{buildroot}%%{_prefix}/{lib,%%{_lib}}/squeak/%%{vmver}-%%{svntag}
#endif

# If an image cant find the .sources in the current directory it will look
# in %%{_libdir}/squeak/%%{vmver}
cd %{buildroot}%{_libdir}/squeak/%{vmver}-%{svntag}
DOTDOTS=$(echo %{_libdir}/squeak/%{vmver}-%{svntag} | sed -e 's:/[^/]\+:../:g')
ln -s ${DOTDOTS}%{_datadir}/squeak/SqueakV41.sources .

%files
%doc unix/ChangeLog unix/doc/{README*,LICENSE,*RELEASE_NOTES}
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/Adwaita/*/*/*
%{_datadir}/mime/packages/*
%{_datadir}/pixmaps/*
%dir %{_libdir}/squeak
%{_libdir}/squeak/*
%{_mandir}/man*/*
