%bcond_with docs

Name:           srain
Version:        1.8.0
Release:        %mkrel 1
Group:          Networking/IRC
Summary:        Modern, beautiful IRC client written in GTK+ 3

# The entire source code is GPLv3+ except:
# * keypair/        which is BSD
# * sui_side_bar/   which is GPLv2+
License:        GPLv3+ and BSD and GPLv2+
URL:            https://github.com/SrainApp/srain
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  typelib(AppStreamGlib)
BuildRequires:  meson
BuildRequires:  python3-sphinx
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(ayatana-appindicator3-0.1)

Requires:       hicolor-icon-theme

%if %{with docs}
Recommends:     %{name}-doc
%endif
Recommends:     gnome-keyring

%description
%{summary}.


%package doc
Summary:        Documentation files for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation files for %{name}.


%prep
%autosetup -p1


%build
%meson %{?with_docs:-Ddoc_builders=html,man}
%meson_build


%install
%meson_install
%find_lang %{name}


%files -f %{name}.lang
%doc README.rst
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%if %{with docs}
%{_mandir}/man1/*.1*
%endif
%{_metainfodir}/*.xml
%{_sysconfdir}/%{name}

%if %{with docs}
%files doc
%{_docdir}/%{name}/html/
%endif
