%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		sratom
Version:	0.6.18
Release:	%mkrel 1
Summary:	Library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax
License:	ISC License (ISC)
Group:		System/Libraries
URL:		https://drobilla.net/software/sratom
Source0:	https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	doxygen
BuildRequires:	python3
BuildRequires:	python3-sphinx
BuildRequires:	python3-pip
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(serd-0) >= 0.32.0
BuildRequires:	pkgconfig(sord-0) >= 0.16.16
BuildRequires:	pkgconfig(lv2) >= 1.18.10
BuildRequires:	python3-sphinx-lv2-theme
BuildRequires:	python3-sphinxygen

%description
Lightweight C library for storing RDF data in memory.

%package -n %{lib_name}
Summary:	Library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax
Group:		System/Libraries
Obsoletes:	%{_lib}sratom0 < 0.6.14-1

%description -n %{lib_name}
Lightweight C library for storing RDF data in memory.


%package -n %{lib_name_devel}
Summary:	Headers for the sord RDF storage library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against %{name}.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%doc doc/
%{_docdir}/%{name}-0/

%files -n %{lib_name}
%license COPYING
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc
