Name:           srb2
Version:        2.2.11
Release:        %mkrel 2
Summary:        A 3D Sonic fan game based off of Doom Legacy (aka "Sonic Robo Blast 2")
License:        GPL-2.0-or-later
Group:          Games/Arcade
URL:            https://www.srb2.org/
Source0:        https://github.com/STJr/SRB2/archive/SRB2_release_%{version}.tar.gz
Source1:        https://github.com/STJr/SRB2/releases/download/SRB2_release_%{version}/SRB2-v2211-Full.zip
Patch0:         srb2-do-not-strip-debug.patch
Patch1:         srb2-no-ccache.patch

BuildRequires:  cmake
BuildRequires:  imagemagick
BuildRequires:  nasm
BuildRequires:  unzip
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libgme)
BuildRequires:  pkgconfig(libopenmpt)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)

%description
Sonic Robo Blast 2 is a 3D open-source Sonic the Hedgehog
fangame built using a modified version of the Doom Legacy
port of Doom. SRB2 is closely inspired by the original
Sonic games from the Sega Genesis, and attempts to recreate
the design in 3D. It features tons of levels, enemies, speed,
and quite a lot of the fun that the original Sonic games provided.

%package data
Summary:        Architecture independent data for srb2
Group:          Games/Arcade
BuildArch:      noarch
Requires:       %{name} >= %{version}

%description data
This package contains the game data for srb2.
It is required to play the game.

%prep
%setup -q -n SRB2-SRB2_release_%{version}
%autopatch -p1

unzip -d ./assets/installer/ %{SOURCE1}
find . -name *.c -exec sed -i 's|%{_prefix}/games/SRB2|%{_gamesbindir}/srb2|g' {} \;
find . -name *.c -exec sed -i 's|%{_prefix}/share/games/SRB2|%{_gamesdatadir}/srb2|g' {} \;
sed -i 's/\r$//' assets/LICENSE*

%build
%cmake
%cmake_build

%install
install -D -m 0775 build/bin/lsdlsrb2 %{buildroot}%{_gamesbindir}/srb2
install -d %{buildroot}%{_gamesdatadir}/srb2/
install -m 0644 assets/installer/*.{dta,pk3} %{buildroot}%{_gamesdatadir}/srb2/

# Install icons and desktop file
for size in 256 128 96 64 48 32 16; do
    mkdir -p %{buildroot}%{_iconsdir}/hicolor/$size"x$size/apps"
    convert -strip srb2.png -resize "$size"x"$size" %{buildroot}%{_iconsdir}/hicolor/$size"x$size/apps/%{name}.png"
done

# install menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Sonic Robo Blast 2
Comment=A 3D Sonic fan game based off of Doom Legacy
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%files
%doc README.md
%license assets/LICENSE*.txt
%{_gamesbindir}/srb2
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files data
%{_gamesdatadir}/srb2/
