%define major		1
%define libname		%mklibname srm-ifce %{major}
%define develname	%mklibname srm-ifce -d

# unversionned doc dir F20 change https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:		srm-ifce
Version:	1.24.3
Release:	%mkrel 3
Summary:	SRM client side library
Group:		Networking/Other
License:	ASL 2.0
URL:		https://svnweb.cern.ch/trac/lcgutil
# git clone https://gitlab.cern.ch/dmc/srm-ifce.git srm-ifce-1.24.3
# pushd srm-ifce-1.24.3
# git checkout v1.24.3
# popd
# tar czf srm-ifce-1.24.3.tar.gz srm-ifce-1.24.3 --exclude-vcs
Source0:	%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	CGSI-gSOAP-devel >= 1.3.6
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(globus-ftp-client)
BuildRequires:	pkgconfig(globus-gss-assist)

Requires:	CGSI-gSOAP >= 1.3.6

Conflicts:	%{_lib}srm-ifce1 < 1.24.3-2

%description
srm-ifce is a client side implementation of the SRMv2 specification
for GFAL1/2 and FTS. SRM means Storage Resource Manager Interface, it is a
specification of a SOAP interface providing a generic way to manage
distributed storage systems.


%package -n %{libname}
Summary:	SRM client side library
Group:		Networking/Other
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
srm-ifce is a client side implementation of the SRMv2 specification
for GFAL1/2 and FTS. SRM means Storage Resource Manager Interface, it is a 
specification of a SOAP interface providing a generic way to manage 
distributed storage systems.

%package -n %{develname}
Summary:	SRM client side headers and development files
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(glib-2.0)

%description -n %{develname}
Development libraries, pkgconfig files and header files for
the srm-ifce.

%prep
%setup -q

%build
%cmake -DDOC_INSTALL_DIR=%{_pkgdocdir}
%cmake_build

%install
%cmake_install

%files
%{_bindir}/gfal_srm_ifce_version
%dir %{_pkgdocdir}
%{_pkgdocdir}/LICENSE
%{_pkgdocdir}/VERSION
%{_pkgdocdir}/README
%{_pkgdocdir}/readme.html

%files -n %{libname}
%{_libdir}/libgfal_srm_ifce.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/pkgconfig/*
%{_libdir}/libgfal_srm_ifce.so
%{_includedir}/gfal_srm_ifce.h
%{_includedir}/gfal_srm_ifce_types.h
%{_pkgdocdir}/RELEASE-NOTES
