%global _legacy_common_support 1

Summary:        Socks Server 5
Name:           ss5
Version:        3.8.9
Release:        %mkrel 26
License:        GPLv2
Group:          System/Servers
URL:            https://sourceforge.net/projects/ss5
Source:         https://prdownloads.sourceforge.net/ss5/ss5-%{version}-8.tar.gz
Source1:        ss5.service
Source2:        ss5-tmpfiles.conf
Patch0:         ss5-make.diff
Patch1:         ss5-ss5-ha-loc.diff
Patch2:         ss5-init.diff
Patch3:		ss5-3.8.9-openssl11.patch
Patch4:		ss5-fix-build-with-gcc14.patch
BuildRequires:  openldap-devel
BuildRequires:  pam-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libgssglue)
BuildRequires:  pkgconfig(krb5)
BuildRequires:  mysql-devel

Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper
Requires(preun): rpm-helper

%description
ss5 is a socks server, which supports both SOCKS4 and SOCKS5 protocols,
that runs on Linux, Solaris and FreeBSD platforms.

%prep
%setup -q -n ss5-%{version}
%autopatch -p1

%build
export CFLAGS="%{optflags} -fgnu89-inline -DLDAP_DEPRECATED=1"
%configure \
	--with-epollio \
	--with-gssapi \
	--with-mysql \
	--with-logpathbase=%{_logdir}/ss5 \
	--with-configfile=%{_sysconfdir}/ss5/ss5.conf \
	--with-passwordfile=%{_sysconfdir}/ss5/ss5.passwd \
	--with-logfile=%{_logdir}/ss5/ss5.log \
	--with-profilepath=%{_sysconfdir}/ss5 \
	--with-libpath=%{_libdir} \
	--with-tracepath=%{_logdir}/ss5 \
	--with-confpathbase=%{_sysconfdir}

make -j2 CXX="g++ %{optflags}"

%install
%makeinstall dst_dir=%{?buildroot:%{buildroot}}
find %{?buildroot:%{buildroot}}/%{_mandir} -name "*.bz2" -exec rm {} \;
%{__install} -D -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf
%{__install} -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

#if [ $1 = 0 ]; then
#        /sbin/service ss5 stop > /dev/null 2>&1
#        /sbin/chkconfig --del ss5
#fi

%files
%{_sbindir}/ss5
%{_sbindir}/ss5srv
%{_unitdir}/ss5.service
%exclude %{_initrddir}/ss5
%{_libdir}/ss5/

%dir %{_docdir}/ss5
%{_docdir}/ss5/License
%{_docdir}/ss5/README.pam
%dir %{_docdir}/ss5/examples
%{_docdir}/ss5/examples/ss5.pam
%{_docdir}/ss5/README.ldap
%{_docdir}/ss5/examples/slapd.conf
%{_docdir}/ss5/examples/entries.ldif
%{_docdir}/ss5/README.statmgr
%{_docdir}/ss5/README.balamgr
%{_mandir}/man1/ss5.1.*
%{_mandir}/man1/ss5srv.1.*
%{_mandir}/man5/ss5.passwd.5.*
%{_mandir}/man5/ss5.ha.5.*
%{_mandir}/man5/ss5.conf.5.*
%{_mandir}/man5/ss5.pam.5.*
%{_mandir}/man5/ss5_gss.5.*
%{_mandir}/man5/ss5_supa.5.*

%{_localstatedir}/log/ss5

%dir %{_sysconfdir}/ss5
%config(noreplace) %{_sysconfdir}/ss5/ss5.conf
%config(noreplace) %{_sysconfdir}/ss5/ss5.passwd
%config(noreplace) %{_sysconfdir}/ss5/ss5.ha
%config(noreplace) %{_sysconfdir}/pam.d/ss5
%config(noreplace) %{_sysconfdir}/sysconfig/ss5
%{_tmpfilesdir}/%{name}.conf
