%define major     2
%define libname   %mklibname fuzzy %{major}
%define develname %mklibname fuzzy -d

Summary:        Tool for computing context triggered piecewise hashes (CTPH)
Name:           ssdeep
Version:        2.14.1
Release:        %mkrel 5
License:        GPLv2
Group:          File tools
URL:            https://ssdeep-project.github.io/ssdeep/
Source:         https://github.com/ssdeep-project/ssdeep/releases/download/release-%{version}/ssdeep-%{version}.tar.gz

%description
ssdeep is a program for computing context triggered piecewise hashes (CTPH).
Also called fuzzy hashes, CTPH can match inputs that have homologies. Such
inputs have sequences of identical bytes in the same order, although bytes in
between these sequences may be different in both content and length.

%package -n     %{libname}
Summary:        Shared library for ssdeep
Group:          System/Libraries

%description -n %{libname}
ssdeep is a program for computing context triggered piecewise hashes (CTPH).
Also called fuzzy hashes, CTPH can match inputs that have homologies. Such
inputs have sequences of identical bytes in the same order, although bytes in
between these sequences may be different in both content and length.

This package provides the shared library for ssdeep (-lfuzzy)

%package -n     %{develname}
Summary:        Development and documentation files for ssdeep
Group:          Development/C
Requires:       %{libname} >= %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       fuzzy-devel = %{version}-%{release}

%description -n %{develname}
ssdeep is a program for computing context triggered piecewise hashes (CTPH).
Also called fuzzy hashes, CTPH can match inputs that have homologies. Such
inputs have sequences of identical bytes in the same order, although bytes in
between these sequences may be different in both content and length.

This package provides the development libraries, header files and documentation
for ssdeep.

%prep
%setup -q

%build
%configure \
    --disable-static

# avoid using rpath
sed -i libtool                              \
    -e 's/^runpath_var=.*/runpath_var=/'    \
    -e 's/^hardcode_libdir_flag_spec=".*"$/hardcode_libdir_flag_spec=""/'

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/ssdeep
%{_mandir}/man1/ssdeep.1*

%files -n %{libname}
%doc AUTHORS ChangeLog README FILEFORMAT NEWS README TODO
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
