%define fname   sshfs

Name:           %{fname}-fuse
Epoch:          0
Version:        3.7.3
Release:        %mkrel 1
Summary:        Filesystem running over SFTP
License:        GPLv2
Group:          Networking/Remote access
URL:            https://github.com/libfuse/sshfs
Source0:        https://github.com/libfuse/sshfs/releases/download/%{fname}-%{version}/%{fname}-%{version}.tar.xz
Requires:       fuse3
BuildRequires:  locales-en
BuildRequires:  meson
BuildRequires:  pkgconfig(fuse3)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  rst2man

Provides:       %{fname} = %{version}-%{release}

%description
This is a filesystem client based on the SSH File Transfer Protocol.
Since most SSH servers already support this protocol it is very easy to set up:
i.e. on the server side there's nothing to do.  On the client side mounting the
filesystem is as easy as logging into the server with ssh.

    * Based on FUSE
    * Multithreading: more than one request can be on it's way to the server
    * Allowing large reads (max 64k)
    * Caching directory contents

%prep
%setup -q -n %{fname}-%{version}

%build
export LC_ALL=en_US.UTF-8
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS README.rst ChangeLog.rst
%license COPYING
%{_bindir}/sshfs
%{_sbindir}/mount.fuse.sshfs
%{_sbindir}/mount.sshfs
%{_mandir}/man1/sshfs.1*
