%define use_gitver 1
%{?_with_gitver: %global use_gitver 1}
%{?_without_gitver: %global use_gitver 0}

Name:               sshuttle
Version:            1.3.0
Release:            %mkrel 1
Summary:            Transparent Proxy VPN
Group:              Networking/Remote access
License:            LGPLv2+
URL:                https://github.com/sshuttle/sshuttle
Source0:            https://github.com/sshuttle/sshuttle/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
BuildArch:          noarch

BuildRequires:      texinfo
BuildRequires:      python3-devel
BuildRequires:      python3-pytest-runner
BuildRequires:      python3-sphinx
BuildRequires:      python3-markdown

Requires:           iptables
Requires:           openssh-clients

%description
Transparent proxy server that works as a poor man's VPN. Forwards over ssh.
Doesn't require admin. Works with Linux and MacOS. Supports DNS tunneling.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%if %{use_gitver}
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%endif

%pyproject_wheel

pushd docs
make man SPHINXBUILD=%{_bindir}/sphinx-build-3
make info SPHINXBUILD=%{_bindir}/sphinx-build-3

%install
%if %{use_gitver}
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%endif

%pyproject_install
%pyproject_save_files sshuttle

pushd docs
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 644 _build/man/sshuttle.1 %{buildroot}/%{_mandir}/man1
mkdir -p %{buildroot}/%{_infodir}
install -m 644 _build/texinfo/sshuttle.info %{buildroot}/%{_infodir}
popd

%files -f %{pyproject_files}
%doc LICENSE README.rst
%{_mandir}/man1/sshuttle.1*
%{_infodir}/sshuttle.info.*
%{_bindir}/sshuttle
