Summary:	ssl/ssh multiplexer
Name:		sslh
Version:	1.21c
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/Other
Url:		https://www.rutschle.net/tech/sslh.shtml
Source0:	https://github.com/yrutschle/sslh/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		sslh-1.20-mga-path.patch
BuildRequires:	libconfig-devel
BuildRequires:	libcap-devel
BuildRequires:	pkgconfig(libpcreposix)

%description
sslh accepts HTTPS, SSH, OpenVPN, tinc and XMPP connections on the
same port. This makes it possible to connect to any of these servers
on port 443 (e.g. from inside a corporate firewall, which almost never
block port 443) while still serving HTTPS on that port.

%prep
%setup -q
%autopatch -p1

cat > README.install.urpmi <<EOF
By default, %{name} is not configured and will not be able to start.
You need to enable configuration options in this file:
  %{_sysconfdir}/sysconfig/%{name}
Then run:
  systemctl restart %{name}.service
EOF

%build
./genver.sh >version.h
%make_build CFLAGS="%optflags" USELIBCAP=1

%install
%make_install
install -Dpm 644 scripts/systemd.%{name}.service %{buildroot}%{_unitdir}/%{name}.service
install -d %{buildroot}%{_sysconfdir}/sysconfig
cat > %{buildroot}%{_sysconfdir}/sysconfig/%{name} <<EOF
## Uncomment the DAEMON_OPTS config line below to redirect https port
## to local ssh port or local port 4443, depending on incoming
## connection.
##
## To make this works with https and apache, you need to modify
## /etc/httpd/conf/sites.d/01_ssl.conf to listen to local port 4443:
##   Listen localhost:4443
## (instead of Listen 443)
## and then run: systemctl reload httpd.service
##
## Also make sure your VirtualHost is configured for localhost:4443
##
# DAEMON_OPTS=-p 0.0.0.0:443 --ssh localhost:22 --ssl localhost:4443
EOF

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README.install.urpmi README.md ChangeLog
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/%{name}
%{_mandir}/man8/*
%{_unitdir}/%{name}.service
