Summary:	Transparent and scalable SSL/TLS interception
Name:		sslsplit
Version:	0.5.5
Release:	%mkrel 6
License:	BSD
Group:		Security
Url:		https://www.roe.ch/SSLsplit
Source:		https://github.com/droe/sslsplit/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(check)
BuildRequires:	net-devel
BuildRequires:	openssl
Recommends:	iptables
Recommends:	iproute

%description
SSLsplit is a tool for man-in-the-middle attacks against SSL/TLS encrypted
network connections. Connections are transparently intercepted through a
network address translation engine and redirected to SSLsplit. SSLsplit
terminates SSL/TLS and initiates a new SSL/TLS connection to the original
destination address, while logging all data transmitted. SSLsplit is
intended to be useful for network forensics and penetration testing.

It uses Linux netfilter REDIRECT and TPROXY.

%prep
%setup -q

%build
# work around some odd build system option passing
export CFLAGS="%{optflags}"
export DEBUG_CFLAGS="%{optflags}"
%make_build

%check
# Requires a network connection
# make test

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1/
install -m 755 %{name} %{buildroot}%{_bindir}
install -m 644 %{name}.1  %{buildroot}%{_mandir}/man1/

%files 
%doc LICENSE* README.md
%{_bindir}/%{name}
%{_mandir}/*/*

