Summary:	A minimal mail-transfer agent which forwards mail to an SMTP server
Name:		ssmtp
Version:	2.66
Release:	%mkrel 5
License:	GPLv2+
URL:		https://github.com/solbu/ssmtp
Source0:	https://github.com/solbu/ssmtp/archive/%{version}/%{name}-%{version}.tar.gz
Group:		System/Servers
BuildRequires:	rcs
BuildRequires:	openssl-devel
Provides:	sendmail-command
Requires:	common-licenses
Recommends:	rootcerts


%description
This is sSMTP, a program that replaces sendmail on workstations that
should send their mail via the departmental mailhub from which they pick up
their mail (via pop, imap, rsmtp, pop_fetch, NFS... or the like).  This
program accepts mail and sends it to the mailhub, optionally replacing the
domain in the From: line with a different one.

%prep
%setup -q

%build
%serverbuild
%configure --enable-ssl --enable-md5auth --enable-inet6
%make_build

%install
%makeinstall

%post
update-alternatives --install %{_sbindir}/sendmail sendmail-command %{_sbindir}/ssmtp 5 --slave %{_prefix}/lib/sendmail sendmail-command-in_libdir %{_sbindir}/ssmtp


%preun
if [ $1 = 0 ]; then
        update-alternatives --remove sendmail-command %{_sbindir}/ssmtp
fi


%files
%doc README ChangeLog COPYRIGHT 
%attr(2755, root, mail) %{_sbindir}/ssmtp
%attr(2750, root, mail) %config(noreplace) %dir %{_sysconfdir}/ssmtp
%attr(2640, root, mail) %config(noreplace) %{_sysconfdir}/ssmtp/*
%{_mandir}/man8/*
%{_mandir}/man5/*
