Name:		star
Version:	1.6
Release:	%mkrel 4
Summary:	An archiving tool with ACL support
Source:		https://download.sourceforge.net/s-tar/%{name}-%{version}.tar.bz2
License:	GPLv2+ LGPLv2+ CDDL
Group:		Archiving/Backup
BuildRequires:	libattr-devel
BuildRequires:	libacl-devel
BuildRequires:	pkgconfig(ext2fs)

%description
Star supports several tar archive formats (including ustar,
GNU tar and new POSIX format). It's faster than other tar
implementations due to advanced buffering.
Star is also the only tar implementation under Linux capable
of archiving Access Control Lists.

%package devel
Summary:        An archiving tool with ACL devel support
Group:          Archiving/Backup

%description devel
Star supports several tar archive formats (including ustar,
GNU tar and new POSIX format). It's faster than other tar
implementations due to advanced buffering.
Star is also the only tar implementation under Linux capable
of archiving Access Control Lists.

%prep
%setup -q

for PLAT in %{arm} aarch64 x86_64; do
    for AFILE in gcc cc; do
            [ ! -e RULES/${PLAT}-linux-${AFILE}.rul ] \
            && ln -s i586-linux-${AFILE}.rul RULES/${PLAT}-linux-${AFILE}.rul
    done
done

%build
# install runs build again

%install
make COPTX="%optflags -DTRY_EXT2_FS" \
     LDOPTX="%{ldflags}" \
     GMAKE_NOWARN=true \
     MANDIR=man \
     PARCH=%{_target_cpu} \
     K_ARCH=%{_target_cpu} \
     DEFCCOM=gcc \
     COPTGPROF= \
     INS_BASE=%{_prefix} \
     RUNPATH= \
     DESTDIR=%{buildroot} \
     install

# The following files conflict with GNU tar & mtr
rm -f ${RPM_BUILD_ROOT}/%{_bindir}/{,us}tar
rm -f ${RPM_BUILD_ROOT}/%{_bindir}/mt
rm -f ${RPM_BUILD_ROOT}/%{_mandir}/man1/match.1
# The following files conflict with the rmt package
rm -f ${RPM_BUILD_ROOT}/%{_sbindir}/rmt
# The following devel files conflict with cdrecord
rm -f ${RPM_BUILD_ROOT}/%{_includedir}/avoffset.h
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/libdeflt.a
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/libschily.a

# The other libs may be in the wrong place
if [ _"%{_libdir}" != _"/usr/lib" ]; then
	mkdir -p ${RPM_BUILD_ROOT}/%{_libdir}
	mv ${RPM_BUILD_ROOT}/usr/lib/* ${RPM_BUILD_ROOT}/%{_libdir}
fi

# fwang: I don't know why it installs to here
rm -f ${RPM_BUILD_ROOT}%{_datadir}/doc/rmt/default-rmt.sample
# Removing it now, it's done below
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/star

%files
%doc AN-%{version} README COPYING
%doc READMEs/README.linux star/README.*
%doc star/STARvsGNUTAR
%doc STATUS.alpha TODO
%{_bindir}/gnutar
%{_bindir}/tartest
%{_bindir}/scpio
%{_bindir}/spax
%{_bindir}/smt
%{_bindir}/star
%{_bindir}/star_sym
%{_bindir}/suntar
%{_mandir}/man1/*.1*
%{_sysconfdir}/default/*

%files devel
%{_includedir}/schily/*.h
%{_includedir}/schily/*/*.h
%{_libdir}/lib*.a
%{_libdir}/profiled/*.a
%{_mandir}/man3/*
# This conflicts with man-pages
%exclude %{_mandir}/man3/error.3.*
%{_mandir}/man5/*
