# used to indicate difference between new/old dictionary formats
%define dict_format_version	2.4.2
%define subver 2

Name:		stardict
Version:	3.0.7
Release:	%mkrel 1
Summary:	International dictionary written for GNOME
License:	GPLv3+
Group:		Office/Dictionary
URL:		https://stardict-4.sourceforge.net/
Source0:	https://sourceforge.net/projects/stardict-4/files/%{version}/%{name}-%{version}-%{subver}-src.7z
Source1:	defaultdict.cfg
Patch0034:	0034-Add-dictdotcn_html-dictdotcn_xml-plugins.patch
Patch0035:	0035-Small-fix.patch
Patch0036:	0036-Some-changes.patch
Patch0037:	0037-multi_cmd-plugin-fix-1.patch
Patch0038:	0038-Update-to-2024-year.patch
Patch0039:	0039-multi-cmd-fix-2.patch
Patch0040:	0040-Small-fix.patch
Patch0041:	0041-Small-fix2.patch
Patch0042:	0042-Update-ChangeLog.patch
Patch0043:	0043-Update-keyfile-source-codes.patch
Patch0044:	0044-Small-changes.patch
Patch0045:	0045-Update-ChangeLog.patch
Patch0046:	0046-Update-stardict-plugins.patch
Patch0047:	0047-Small-fix.patch
Patch0048:	0048-Update-ec50.cpp.patch
Patch0049:	0049-Small-doc-changes.patch
Patch0050:	0050-Small-fix.patch
Patch0051:	0051-Update-ec50.cpp-again.patch
Patch0052:	0052-Update-Building.txt.patch
Patch0053:	0053-Update-Building.txt-to-Dos-format.patch
Patch0054:	0054-Update-po-POTFILES.in.patch
Patch0055:	0055-Update-msvc_2008-Building.txt.patch
Patch0056:	0056-Update-identifies-codes.patch
Patch0057:	0057-Update-authors-and-copyright.patch
Patch0058:	0058-Add-a-info.patch
Patch0059:	0059-Change-copyright-to-GPLv3.patch
Patch0060:	0060-dsl2dict.c-is-back.patch
Patch0061:	0061-Fix-compile-problem.patch
Patch0062:	0062-Update-fixes.patch
Patch0063:	0063-Small-fix.patch
Patch0064:	0064-replace_2-patch.patch
Patch0065:	0065-Update-AUTHORS.patch
Patch0066:	0066-Can-compile-but-run-crash.patch
Patch0067:	0067-gtk4-codes.patch
Patch0068:	0068-Update-HACKING-doc.patch
Patch0069:	0069-Add-GTK_MAJOR_VERSION-4.patch
Patch0070:	0070-Fix-stardict.png-install.patch
Patch0071:	0071-Update-dictmanagedlg.cpp.patch
Patch0072:	0072-Change-system-to-g_spawn_command_line_sync.patch
Patch0073:	0073-Update-stardict_cal.cpp.patch
Patch0074:	0074-Fix-g_spawn_command_line_sync.patch
Patch0075:	0075-Return-to-system.patch
Patch0076:	0076-Add-system-error.patch
Patch0077:	0077-Small-int-fix.patch
Patch0078:	0078-Add-popen-warning.patch
Patch0079:	0079-Add-popen-warning-2.patch
Patch0080:	0080-Update-ChangeLog.patch
Patch0081:	0081-Update-Copyright-2025.patch
Patch0082:	0082-Update-to-g_memdup2.patch
Patch0083:	0083-g_memdup2-fix.patch
Patch0084:	0084-Update-t_dict.cpp.patch
Patch0085:	0085-Update-GTimeVal.patch
Patch0086:	0086-Small-fix.patch
Patch0087:	0087-Fix-version-string.patch
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(espeak-ng)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(flite)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	mysql-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	desktop-file-utils
BuildRequires:	p7zip
BuildRequires:	yelp-tools

Requires:	stardict-dictionary = %{dict_format_version}

Obsoletes:	%{name}-tools < %{version}
Provides:	%{name}-tools = %{version}
Conflicts:	stardict-dictionary < %{dict_format_version}
Conflicts:	stardict-dictionary > %{dict_format_version}

%description
StarDict is an international dictionary written for the GNOME environment.
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries


%prep
%autosetup -p1

# build without gconf
sed -i -e '/AM_GCONF_SOURCE_2/d' dict/configure.ac

%build
pushd dict
autoreconf -vfi
%before_configure
popd

NOCONFIGURE=1 ./autogen.sh
%configure \
	--disable-gnome-support \
	--disable-schemas-install \
	--disable-espeak \
	--disable-festival \
	--disable-gucharmap \
	--disable-tools \
	--disable-scrollkeeper

%make_build

%install
%make_install

# we don't want reclame and update info
find %{buildroot} -name '%{name}_update_info.so' -delete

# copy config file of locale specific default dictionaries
install -Dpm 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/defaultdict.cfg

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,64x64,128x128}/apps

install -m 0644 dict/pixmaps/stardict.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -m 0644 dict/pixmaps/stardict_128.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -m 0644 dict/pixmaps/stardict_32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 0644 dict/pixmaps/stardict_16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# menu-entry
desktop-file-install --vendor="" \
	--add-category="GTK" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

# own various directories
mkdir -p %{buildroot}%{_datadir}/stardict/dic \
	 %{buildroot}%{_datadir}/stardict/treedict

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README dict/AUTHORS dict/ChangeLog dict/doc/*
%license COPYING
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/defaultdict.cfg
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man?/%{name}.1*
%{_mandir}/man?/%{name}-editor.1*
