Name:		starfighter
Version:	2.4
Release:	%mkrel 2
Summary:	Project: Starfighter, a side-scrolling shoot 'em up space game
Group:		Games/Arcade
License:	GPLv3+
URL:		https://pr-starfighter.github.io/
Source0:	https://github.com/pr-starfighter/starfighter/releases/download/v%{version}/%{name}-%{version}-src.tar.gz

BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
Requires:	%{name}-data = %{version}-%{release}

%description
In the year 2579, the intergalactic weapons corporation, WEAPCO, has
dominated the galaxy. Guide Chris Bainfield and his friend Sid Wilson
on their quest to liberate the galaxy from the clutches of WEAPCO.
Along the way, you will encounter new foes, make new allies, and assist
local rebels in strikes against the evil corporation.

Originally developed by Parallel Realities in 2003, Project: Starfighter
is a side-scrolling shoot 'em up space game, released under the GNU GPL.
Consisting of 26 engaging levels spanning four planetary systems, this
classic game will entertain for hours.

%package data
Summary:        Arch-independent data files for Project: Starfighter
License:        GPLv3+ and GPLv2+ and CC BY-SA 3.0 and CC BY 3.0 and CC0 and Public Domain
BuildArch:      noarch

%description data
This package contains arch-independent data files (sounds, graphics, etc.)
for the Project: Starfighter game.

%prep
%autosetup -p1 -n %{name}-%{version}-src

%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

%files
%doc COPYING LICENSES README.txt
%license COPYING LICENSES
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/%{name}.6.*

%files data
%{_gamesdatadir}/%{name}/
