%define _disable_ld_no_undefined 1

# Upstream version
%define major 9
%define libname %mklibname %{name} %{major}
%define libname_virt    lib%{name}
%define develname %mklibname %{name} -d

Name: starlink-ast
Version: 9.2.9
Release: %mkrel 1
Summary: A Library for Handling World Coordinate Systems in Astronomy
Group: Sciences/Astronomy
License: LGPLv2+
URL: http://starlink.jach.hawaii.edu/starlink/AST
Source0: http://www.starlink.ac.uk/download/ast/ast-%{version}.tar.gz
BuildRequires: starlink-pal-devel
BuildRequires: gcc-gfortran

%description
The AST library provides a comprehensive range of facilities for
attaching world coordinate systems to astronomical data, for
retrieving and interpreting that information and for generating
graphical output based on it.


%package -n %{develname}
Summary: Headers for developing programs that will use %{name}
Group: Sciences/Astronomy
Requires: %{libname_virt} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
These are the header files and libraries needed to develop a %{name}
application.

%package -n %{libname}
Summary: A Library for Handling World Coordinate Systems in Astronomy
Group: Sciences/Astronomy
Provides: %{libname_virt} = %{version}-%{release}
Provides: %{name} = %{version}-%{release}
%description -n %{libname}
The AST library provides a comprehensive range of facilities for
attaching world coordinate systems to astronomical data, for
retrieving and interpreting that information and for generating
graphical output based on it.

%prep
%setup -q -n ast-%{version}
%autopatch -p1

sed -i -e 's/libpal.la/libstarlink_pal.la -lerfa -lm/g' Makefile*
%build
%configure \
	--with-external_pal \
	--disable-static

# Build is not multithread clean and has undef symbols
make

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

rm -rf %{buildroot}%{_prefix}/docs
rm -rf %{buildroot}%{_prefix}/help
rm -rf %{buildroot}%{_prefix}/manifests
rm -rf %{buildroot}%{_prefix}/news
rm -rf %{buildroot}%{_prefix}/share

%files -n %{libname}
%{_libdir}/libast*.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/ast_*
%{_libdir}/*.so
%{_includedir}/*
