Summary:	A tool which displays the status of serial port modem lines
Name:		statserial
Version:	1.1
Release:	%mkrel 36
License:	BSD
Group:		Communications/Serial
URL:		https://ibiblio.org/pub/Linux/system/serial/
Source0:	https://ibiblio.org/pub/Linux/system/serial/%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.1-config.patch
Patch1: 	%{name}-1.1-dev.patch
Patch2:		statserial-1.1-LDFLAGS.diff
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	glibc-static-devel

%description
The statserial utility displays a table of the signals on a standard 9-pin or
25-pin serial port and indicates the status of the handshaking lines.
Statserial is useful for debugging serial port and/or modem problems.

Install the statserial package if you need a tool to help debug serial port or
modem problems.

%prep

%setup -q
%patch -P 0 -p1 -b .config
%patch -P 1 -p1 -b .dev
%patch -P 2 -p0 -b .LDFLAGS

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}/{%{_bindir},%{_mandir}/man1}

install -m 755 statserial %{buildroot}%{_bindir}/statserial
install -m 444 statserial.1 %{buildroot}%{_mandir}/man1/statserial.1

%files
%doc COPYING ChangeLog README
%{_bindir}/statserial
%{_mandir}/man1/statserial.1*
