Name:             stax2-api
Version:          4.2.1
Release:          %mkrel 3
Group:            Development/Java
Summary:          Experimental API extending basic StAX implementation
License:          BSD

URL:              https://github.com/FasterXML/stax2-api
Source0:          %{url}/archive/%{name}-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(com.fasterxml:oss-parent:pom:)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)

%description
StAX2 is an experimental API that is intended to extend
basic StAX specifications in a way that allows implementations
to experiment with features before they end up in the actual
StAX specification (if they do). As such, it is intended
to be freely implementable by all StAX implementations same way
as StAX, but without going through a formal JCP process.

%package          javadoc
Summary:          API documentation for %{name}

%description      javadoc
This package contains the API documentation for %{name}.

%prep
%autosetup -n %{name}-%{name}-%{version}

%pom_xpath_remove pom:Import-Package

# javadoc generation fails due to strict doclint in JDK 8
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :moditect-maven-plugin

%build
%mvn_file :%{name} %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md

%files javadoc -f .mfiles-javadoc

