# No debug package, it's actually noarch but needs to be
# archful to be restricted to 64-bit arches
%define debug_package %{nil}

Name:           steam
Version:        1.0.0.82
Release:        %mkrel 1
Summary:        Installer for the Steam software distribution service
Group:          Games/Other
# Redistribution and repackaging for Linux is allowed, see license file
License:        Steam License Agreement
URL:            https://store.steampowered.com
Source0:        https://repo.steampowered.com/steam/pool/steam/s/steam/%{name}_%{version}.tar.gz
Patch0:         steam-1.0.0.70-desktop-categories.patch

Requires:       gnu-free-mono-fonts
Requires:       libcurl4
Requires:       libdbus-glib1_2
Requires:       libfreetype6
Requires:       libmesagl1
Requires:       libmesaglu1
Requires:       libstdc++6
Requires:       libudev1
Requires:       lsof
Requires:       steam-udevrules
Requires:       xz
Requires:       zenity

# Steam only supports 64-bit Linux now
ExclusiveArch:  x86_64

%description
Installer for the Steam software distribution service.
Steam is a software distribution service with an online store, automated
installation, automatic updates, achievements, SteamCloud synchronized
savegame and screenshot functionality, and many social features.

Important: Steam requires 32-bit libraries to run native Linux games, it
is therefore necessary to enable 32-bit repositories to install this package.
Enable at least Core 32-bit Release and Core 32-bit Updates, as well as any
other repository that matches your enabled 64-bit repositories.

%prep
%autosetup -p1 -n %{name}-launcher

%build

%install
%make_install

# Rename steamdeps, it's not working on non-Debian based distros (mga#9407)
mv -f %{buildroot}%{_bindir}/steamdeps %{buildroot}%{_bindir}/steamdeps.save

# Steam hardware udev rules are packaged in the steam-udevrules SRPM in Core
# to be available for third-party libre drivers like steamcontroller.

%files
%doc %{_docdir}/steam/*
%{_bindir}/steam
%{_bindir}/steamdeps.save
%{_prefix}/lib/steam/
%{_datadir}/applications/steam.desktop
%{_iconsdir}/hicolor/*/apps/steam.*
%{_mandir}/man6/steam.6.*
%{_datadir}/pixmaps/steam*.png
%{_metainfodir}/*.xml
