Name:           steamcontroller
Version:        1.2
Release:        %mkrel 15
Summary:        Standalone Steam Controller userland driver
Group:          Development/Python
License:        MIT
URL:            https://github.com/ynsta/steamcontroller
Source0:        https://github.com/ynsta/steamcontroller/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(libusb1)
BuildRequires:  python3dist(setuptools)
Requires:       steam-udevrules
Recommends:     %{name}-tools

%description
This project is a standalone userland driver for the Steam Controller
to be used outside of the Steam client.

Two modes are working with haptic feedback:
 - sc-xbox.py: Xbox 360 gamepad emulator
 - sc-mixed.py: Mixed Xbox/desktop emulation
 - sc-desktop.py: mouse/keyboard mode

Other tools are provided in the %{name}-tools package.

%package tools
Summary:        Advanced tools for the standalone Steam Controller driver
BuildArch:      noarch
# Qt libs necessary for sc-gyro-plot.py
Requires:       python3-pyside2-core
Requires:       python3-pyside2-gui
Requires:       python3-pyside2-opengl
Requires:       python3-pyside2-svg
Requires:       python3dist(pyqtgraph)
Requires:       %{name} >= %{version}-%{release}

%description tools
This package provides advanced tools for the standalone Steam Controller
driver (see the package `steamcontroller`):
 - sc-dump.py: Dump raw messages from the controller
 - sc-gyro-plot.py: Plot curves from gyro data (requires python3-pyqtgraph
   and python3-pyside installed)
 - sc-test-cmsg.py: Send control message to the controller. For example:
   `echo 8f07005e 015e01f4 01000000 | sc-test-cmsg.py` will make the
   controller beep
 - vdf2json.py/json2vdf.py: Convert Steam VDF file to and from JSON

%prep
%setup -q
%autopatch -p1

%build
%py3_build

%install
%py3_install

%files
%doc LICENSE README.md
%{_bindir}/sc-desktop.py
%{_bindir}/sc-mixed.py
%{_bindir}/sc-xbox.py
%{python3_sitearch}/%{name}/
%{python3_sitearch}/libuinput.cpython-%{python3_version_nodots}-*.so
%{python3_sitearch}/python_%{name}-%{version}-py%{python3_version}.egg-info

%files tools
%{_bindir}/sc-dump.py
%{_bindir}/sc-gyro-plot.py
%{_bindir}/sc-test-cmsg.py
%{_bindir}/vdf2json.py
%{_bindir}/json2vdf.py
