Summary:	A steganography program
Name:		steghide
Version:	0.5.1
Release:	%mkrel 26
License:	GPLv2+
Group:		Security
URL:		https://steghide.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		steghide-0.5.1-gcc34.patch
Patch1:		steghide-0.5.1-gcc4.diff
Patch2:		steghide-0.5.1-passphrase-file.diff
Patch3:		steghide-0.5.1-gcc4_1.diff
Patch4:		steghide-0.5.1-libtool.diff
Patch5:		steghide-0.5.1-gcc43.patch
Patch6:		steghide-0.5.1-automake-1.13.patch
Patch7:		steghide-0.5.1-perl-5.26.patch
Patch8:		steghide-0.5.1-cxxflags.patch
BuildRequires:	autoconf2.5
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	libmcrypt-devel >= 2.5.8
BuildRequires:	libmhash-devel
BuildRequires:	libtool
BuildRequires:	libtool-devel
BuildRequires:	pkgconfig(zlib)

%description
Steghide is a steganography program which embeds a secret message
in a cover file by replacing some of the least significant bits of
the cover file with bits of the secret message. After that, the
secret message is imperceptible and can only be extracted with the
correct passphrase. To increase invisibility the hidden bits are
encrypted (using the blowfish encryption algorithm) and
pseudo-randomly spread in the stego file. Steghide is able to
embed data in BMP, WAV and AU files.

%prep

%setup -q
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p0
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1 -b .automake-1_13
%patch -P 7 -p1 -b .perl-5.26
%patch -P 8 -p1 -b .cxxflags

%build
rm -f configure
libtoolize --force --copy --install; aclocal -I m4; autoheader; automake --add-missing --copy -f --foreign; autoconf
#touch NEWS ChangeLog AUTHORS

%configure

%make_build

%check
%__make check

%install
%make_install

# add the html docs
rm -rf html; cp -r doc/doxygen/html .

# fix this
rm -rf %{buildroot}%{_datadir}/doc

%find_lang %{name}

%files -f %{name}.lang
%doc BUGS CREDITS HISTORY INSTALL README TODO html
%{_bindir}/steghide
%{_mandir}/man1/steghide.1*


