%define enable_sound	1
%define enable_debugger	1
%define enable_joystick	1
%define enable_cheats	1
%define enable_static	0

Name:		stella
Version:	7.0
Release:	%mkrel 1
Summary:	An Atari 2600 Video Computer System emulator
License:	GPLv2+
Group:		Emulators
URL:		https://stella-emu.github.io/
Source0:	https://github.com/stella-emu/stella/releases/download/%{version}/%{name}-%{version}-src.tar.xz
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	desktop-file-utils

%description
The Atari 2600 Video Computer System (VCS), introduced in 1977, was the most
popular home video game system of the early 1980's.  This emulator will run
most Atari ROM images, so that you can play your favorite old Atari 2600 games
on your PC.

%prep
%setup -q
%autopatch
sed -i -e "s@'docs/Changes.txt'@'%{_datadir}/doc/%{name}/Changes.txt'@g"  src/gui/WhatsNewDialog.cxx

%build
%set_build_flags
./configure --prefix=%{_prefix} --bindir=%{_bindir} --docdir=%{_datadir}/doc/%{name} --datadir=%{_datadir} --enable-debug \
%if %{enable_sound}
  --enable-sound \
%else
  --disable-sound \
%endif
%if %{enable_debugger}
  --enable-debugger \
%else
  --disable-debugger \
%endif
%if %{enable_joystick}
  --enable-joystick \
%else
  --disable-joystick \
%endif
%if %{enable_cheats}
  --enable-cheats \
%else
  --disable-cheats \
%endif
%if %{enable_static}
  --enable-static \
%else
  --enable-shared \
%endif
  --docdir=%{_docdir}/stella

%make_build LDFLAGS='-pthread -g'

%install
%make_install
rm -f %{buildroot}%{_docdir}/stella/README-SDL.txt

desktop-file-install --vendor="" \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applications/*

%files
%{_docdir}/stella/*
%license License.txt
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
