# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
%ifarch aarch64 x86_64
%bcond_without webengine
%else
%bcond_with webengine
%endif

Name:           stellarium
Version:        25.1
Release:        %mkrel 1
Summary:        Desktop planetarium in 3D
License:        GPLv2+
Group:          Sciences/Astronomy
Url:            https://stellarium.org
Source0:        https://github.com/Stellarium/stellarium/releases/download/v%{version}/%{name}-%{version}.tar.xz
#
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gettext
BuildRequires:  cmake(exiv2)
BuildRequires:  cmake(ShowMySky-Qt6)
BuildRequires:  cmake(QXlsxQt6)
BuildRequires:  indiclient-static-devel
BuildRequires:  nova-devel
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(Qt6Charts)
BuildRequires:  pkgconfig(Qt6Concurrent)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Help)
BuildRequires:  pkgconfig(Qt6Multimedia)
BuildRequires:  pkgconfig(Qt6MultimediaWidgets)
BuildRequires:  pkgconfig(Qt6OpenGL)
BuildRequires:  pkgconfig(Qt6Positioning)
BuildRequires:  pkgconfig(Qt6PrintSupport)
BuildRequires:  pkgconfig(Qt6SerialPort)
BuildRequires:  pkgconfig(Qt6Test)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  pkgconfig(libgps)
BuildRequires:  pkgconfig(libindi)
BuildRequires:  pkgconfig(nlopt)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(zlib)
%if %{with webengine}
BuildRequires:  qt6-qtwebengine
BuildRequires:  pkgconfig(Qt6WebEngineCore)
Requires:       qt6-qtwebengine
%endif

%description
Stellarium is a free open source planetarium for your computer.
It shows a realistic sky in 3D, just like what you see with the naked eye,
binoculars or a telescope.

It is being used in planetarium projectors. Just set your coordinates and go.

%prep
%autosetup -p1

%build
# Kill USE_PLUGIN_TELESCOPECONTROL support due to libindi 2 incompatibility
# until an upstream fix: https://github.com/Stellarium/stellarium/issues/2864
%cmake_qt6 \
	-DCPM_USE_LOCAL_PACKAGES:BOOL=yes \
	-DFETCHCONTENT_FULLY_DISCONNECTED:BOOL=yes \
	-DBUILD_SHARED_LIBS:BOOL=no \
	%{!?with_webengine:-DENABLE_QTWEBENGINE:BOOL=OFF} \
	-DENABLE_SHOWMYSKY=yes \
	-DUSE_PLUGIN_TELESCOPECONTROL=yes \
	-DUSE_PLUGIN_HELLOSTELMODULE:BOOL=yes
%cmake_build

%install
%cmake_install

%files
%license COPYING
%doc ChangeLog README.md CREDITS.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/*.1.*
%{_datadir}/applications/org.%{name}.Stellarium.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_metainfodir}/org.%{name}.Stellarium.appdata.xml
