%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:        Astrometric Solver
Name:           stellarsolver
Version:        2.6
Release:        %mkrel 4
License:        GPLv3
Group:          Graphical desktop/KDE
URL:            https://github.com/rlancaste/stellarsolver
Source0:        https://github.com/rlancaste/stellarsolver/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ninja
BuildRequires:  cmake
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(wcslib)

%description
An Astrometric Plate Solver for Mac, Linux, and Windows,
built on Astrometry.net and SEP (sextractor).

%package -n %{libname}
Summary:        Astrometric Solver runtime library
Group:          System/Libraries

%description  -n %{libname}
An Astrometric Plate Solver for Mac, Linux, and Windows,
built on Astrometry.net and SEP (sextractor), runtime library.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development headers and libraries for %{name}.

%prep
%autosetup -p1

%build
%cmake -G Ninja \
       -DUSE_QT5:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libstellarsolver.so.%{major}{,.*}

%files -n %{devname}
%license LICENSE
%{_includedir}/libstellarsolver/
%{_libdir}/cmake/StellarSolver/
%{_libdir}/libstellarsolver.so
%{_libdir}/pkgconfig/stellarsolver.pc
