#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define eigen_version 3.2.2
%define rel 1

Name:           step
Summary:        Interactive physical simulator
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Sciences/Physics
License:        GPLv2 and GFDL
URL:            https://apps.kde.org/step/
Source0:        https://download.kde.org/stable/release-service/%version/src/%{name}-%version.tar.xz
#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6LinguistTools)

BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Plotting)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  pkgconfig(eigen3) >= %eigen_version
BuildRequires:  pkgconfig(libqalculate)
BuildRequires:  pkgconfig(gsl)

%description
Step is an interactive physical simulator. It works like this:
you place some bodies on the scene, add some forces such as gravity
or springs, then click "Simulate" and Step shows you how your scene
will evolve according to the laws of physics. You can change every
property of bodies/forces in your experiment (even during simulation)
and see how this will change evolution of the experiment. With Step
you can not only learn but feel how physics works !

%files -f %name.lang
%doc README AUTHORS ChangeLog DESIGN TODO
%license LICENSES/
%_kf6_bindir/step
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.step.appdata.xml
%_kf6_datadir/step/
%_kf6_datadir/config.kcfg/step.kcfg
%_kf6_datadir/mime/packages/org.kde.step.xml
%_kf6_iconsdir/*/*/*/*.png
%_kf6_datadir/knsrcfiles/step.knsrc
%_kf6_datadir/locale/*/LC_SCRIPTS/step

#------------------------------------------------------------------------------

%package        handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %name >= %{version}-%{release}

%description handbook
This package provides %name handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/%name

#------------------------------------------------------------------------------
%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
%find_lang %name --all-name --with-qt

