# Upstream chose to update the soname with each version
# https://github.com/thestk/stk/issues/89
%define major   %{version}
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           stk
Version:        4.6.2
Release:        %mkrel 1
Summary:        Synthesis ToolKit in C++
License:        MIT
Group:          System/Libraries
URL:            https://ccrma.stanford.edu/software/stk/
Source0:        https://ccrma.stanford.edu/software/stk/release/%{name}-%{version}.tar.gz
# Don't ignore provided compiler flags
Patch0:         0001-Don-t-ignore-supplied-CXXFLAGS.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)

%description
The Synthesis ToolKit in C++ (STK) is a set of audio signal
processing and algorithmic synthesis classes. STK facilitates
development of music synthesis and audio processing software,
focusing on realtime control and example code. STK is
user-extensible.

%package -n %{libname}
Summary:        Synthesis ToolKit in C++
Group:          System/Libraries
Requires:       %{name}-data

%description -n %{libname}
The Synthesis ToolKit in C++ (STK) is a set of audio signal
processing and algorithmic synthesis classes. STK facilitates
development of music synthesis and audio processing software,
focusing on realtime control and example code. STK is
user-extensible.

%package data
Summary:        Data files for STK, a music synthesis library
Group:          System/Libraries
BuildArch:      noarch

%description data
Data files for STK.

%package -n %{devname}
Summary:        Development files for STK, a music synthesis library
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The libstk-devel package contains libraries and header files for
developing applications that use stk.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure \
        --disable-static \
        --enable-shared \
        --with-jack \
        --with-alsa \
        RAWWAVE_PATH=%{_datadir}/stk/rawwaves/

%make_build

pushd doc/doxygen
doxygen
popd

%install
%make_install

# E: shared-library-not-executable
chmod +x %{buildroot}%{_libdir}/libstk-%{major}.so

mkdir -p %{buildroot}%{_datadir}/stk/rawwaves/
cp -p rawwaves/*.raw %{buildroot}%{_datadir}/stk/rawwaves/

%files -n %{libname}
%doc README.md
%doc doc/{README-Linux,ReleaseNotes,SKINI}.txt
%license LICENSE
%{_libdir}/libstk-%{major}.so

%files data
%{_datadir}/stk/

%files -n %{devname}
%doc doc/hierarchy.txt doc/html
%{_libdir}/libstk.so
%{_includedir}/stk/
