%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%global optflags %{optflags} -flto -Wno-error=calloc-transposed-args
%global build_ldflags %{build_ldflags} -flto

Name:           stlink
Version:        1.8.0
Release:        %mkrel 2
Summary:        STM32 discovery line Linux programmer
Group:          Development/Tools
License:        BSD
Url:            https://github.com/stlink-org/stlink
Source0:        https://github.com/stlink-org/%{name}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake >= 3.13.0
BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22.30
BuildRequires:  pkgconfig(libusb-1.0) >= 1.0.22
BuildRequires:  pkgconfig(udev)

%description
STLINK v1/v2 JTAG/SWD debugging/flashing tool for STM32 micro-controllers.
######################################
%package        gui
Summary:        GUI for STM32 discovery line linux programmer
Requires:       %{libname} = %{version}-%{release}
Requires:       hicolor-icon-theme
Obsoletes:      %{name} < 1.5.1-2

%description    gui
STLINK v1/v2 JTAG/SWD debugging/flashing tool for STM32 micro-controllers.

#####################################
%package -n %{devname}
Summary:        Include files and mandatory libraries for development
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Include files and mandatory libraries for development.
######################################

%package -n %{libname}
Summary: Library files for stlink

%description -n %{libname}
Library files.
######################################

%prep
%autosetup -p1

%build
%cmake \
        -DCMAKE_AR=/usr/bin/gcc-ar \
        -DCMAKE_RANLIB=/usr/bin/gcc-ranlib \
        -DCMAKE_NM=/usr/bin/gcc-nm \
        -DSTLINK_UDEV_RULES_DIR="%{_udevrulesdir}" \
        -DSTLINK_STATIC_LIB=OFF
%cmake_build

%install
%cmake_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-gui.desktop

rm -f %{buildroot}/%{_libdir}/libstlink.a

%files gui
%doc README.md CHANGELOG.md
%license LICENSE.md
%config(noreplace) %{_sysconfdir}/modprobe.d/%{name}*
%{_bindir}/*
%{_datadir}/applications/%{name}-gui.desktop

%{_datadir}/icons/hicolor/scalable/apps/%{name}-gui.svg
%{_mandir}/man1/st-*.1*
%{_udevrulesdir}/49-%{name}*
%{_datadir}/%{name}/%{name}-gui.ui
%{_datadir}/%{name}/chips/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/lib%{name}.so
