%define pkgver %(echo %{version}|sed 's,[.],,g')
%define bookver 211

Name:           stockfish
Version:        13
Release:        %mkrel 2
Summary:        A chess engine
License:        GPLv3
Group:          Games/Boards
URL:            https://stockfishchess.org/
# download from https://stockfishchess.org/download/
Source0:        https://github.com/official-stockfish/Stockfish/archive/sf_%{version}.zip
Source1:        sf-%{bookver}-book.zip
Source2:        https://tests.stockfishchess.org/api/nn/nn-62ef826d1a6d.nnue
Patch0:         stockfish-no-m32-m64.patch
BuildRequires:  dos2unix
%ifarch %{arm}
BuildRequires:  libatomic-devel
%endif

%description
Stockfish is a free UCI chess engine derived from Glaurung 2.1. It is not a
complete chess program, but requires some UCI compatible GUI (like XBoard
with PolyGlot, eboard, Arena, Sigma Chess, Shredder, Chess Partner or Fritz)
in order to be used comfortably. Read the documentation for your GUI of choice
for information about how to use Stockfish with your GUI.


%prep
%setup -q -n Stockfish-sf_%{version} -a 1
%autopatch -p1

# remove trash
rm -fr ../__MACOSX

# fix new-lines
dos2unix README.md

# Default net: nn-62ef826d1a6d.nnue
cp %{SOURCE2} src/

%build
export CFLAGS="%{optflags} -fPIC"
export CCFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"
export LDFLAGS="%{ldflags}"

%ifarch x86_64
make build -C src ARCH=x86-64
%endif
%ifarch %{ix86}
make build -C src ARCH=x86-32
%endif
%ifarch %{arm}
make build -C src ARCH=armv7
%endif
%ifarch aarch64
make build -C src ARCH=general-64
%endif

%install
# the binary
install -D -m0755 src/%{name} %{buildroot}%{_gamesbindir}/%{name}

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}

# the opening book
install -m0644 sf-%{bookver}-book/Book.bin %{buildroot}%{_gamesdatadir}/%{name}

%files
%doc README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/*
