Name:    stompserver
Version: 1.0.6
Release: %mkrel 5
Summary: Message queue server based on STOMP
Group:   System/Servers
License: MIT
URL:     https://github.com/gmallard/stompserver_ng
Source0: %{name}_ng-%{version}.zip
Source1: %{name}.service
Source2: %{name}.conf
BuildArch: noarch
BuildRequires: ruby-rake
# for test
BuildRequires: rubygems
BuildRequires: ruby-hoe
BuildRequires: ruby-daemons
BuildRequires: ruby-eventmachine
BuildRequires: ruby-minitest
BuildRequires: ruby-uuid
BuildRequires: ruby-jeweler
Requires: ruby-hoe
Requires: ruby-daemons
Requires: ruby-eventmachine
Requires: rubygems
Requires(post): systemd >= %{systemd_required_version}

%description
Stomp messaging server with file/dbm/memory/activerecord based FIFO queues,
queue monitoring, and basic authentication.

%prep
%setup -q -n %{name}_ng-%{version}
ruby setup.rb config

# add the shebang, needed for initscript
#perl -pi -e '$first or s|(.*)|#!/usr/bin/ruby\n$1|; $first = 1' bin/stompserver

%install
ruby setup.rb install --prefix=%{buildroot}

install -D -p -m 0644 %{SOURCE1} %{buildroot}/%{_unitdir}/%{name}.service
install -D -p -m 0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/%{name}.conf

install -d %{buildroot}/%{_localstatedir}/lib/%{name}
# to hold a file name .passwd
install -d %{buildroot}/%{_localstatedir}/lib/%{name}/etc/
install -d %{buildroot}/var/log/%{name}

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/stompserver 0755 stompserver stompserver
EOF

# (cg) Keep the old name for compatibility
ln -s stompserver_ng %{buildroot}%{_bindir}/stompserver

%check
rake test

%files
%doc README.txt
%{_bindir}/stompserver*
%{ruby_sitelibdir}/stomp_server_ng
%{ruby_sitelibdir}/stomp_server_ng.rb
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_tmpfilesdir}/%{name}.conf
%attr(0755,%{name},%{name}) %dir /var/log/%{name}
%attr(0755,%{name},%{name}) %{_localstatedir}/lib/%{name}

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}
