Name:		stopmotion
Version:	0.8.7
Release:	%mkrel 2
Summary:	An application for creating stopmotion animations
Group:		Video/Editors and Converters
License:	GPLv2
URL:		https://linuxstopmotion.sourceforge.net/
Source0:	https://invent.kde.org/multimedia/stopmotion/-/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		stopmotion-0.8.6-install.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	libtar-devel
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5Multimedia)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Widgets)

Requires:	vgrabbj

%description
Stopmotion is a free application for creating stop-motion animation movies.
The users will be able to create stop-motions from pictures imported from
a camera or from the hard drive, add sound effects and export the animation
to different video formats such as mpeg or avi.

%prep
%autosetup -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

%files
%doc AUTHORS README.md
%license COPYING
%{_docdir}/%{name}/manual/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*.xpm
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.*
