%define upstream_name    App-stopw
%define upstream_version 0.03

%{?perl_default_filter}

Name:       stopw
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A console-based virtual stopwatch and timer
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Banner)
BuildRequires: perl(Text::NonWideChar::Util)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
stopw is a console-based virtual stopwatch and timer. After you run the
program, you can press:

    Z to reset the timer back to zero

    R (or spacebar) to record time

    This will print the current value of timer and move to the next line.

    S (or Enter) to start/stop the timer

    Q (or Ctrl-C) to quit the program

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json LICENSE Changes META.yml README
%{_bindir}/stopw
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

