Name:           storaged
Version:        0.3.0
Release:        %mkrel 7
Summary:        Extended storage management DBus service

# The daemon and tools are licensed under the GPLv2 (or later) and libraries are
# licensed under LGPLv2 (or later).
License:        GPLv2+ and LGPLv2+
Group:          System/Libraries
URL:            https://github.com/cockpit-project/storaged
Source0:        https://github.com/cockpit-project/%{name}/archive/%{version}.tar.gz

BuildRequires:  pkgconfig(udisks2)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  gobject-introspection-devel
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(lvm2app)
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  intltool
BuildRequires:  systemd
BuildRequires:  docbook-style-xsl
BuildRequires:  xsltproc

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd


%description
This is a DBus service that provides management of extended
storage options, currently only LVM.

This is an extension to udisks2.


%prep
%setup -q
# NOCONFIGURE=1 because otherwise autogen also runs ./configure
NOCONFIGURE=1 ./autogen.sh


%build
%configure
%make


%install
%make_install


%files
%doc AUTHORS HACKING README
%doc %{_mandir}/man8/storaged.8.*
%{_unitdir}/storaged.service
%{_libdir}/%{name}
%{_sysconfdir}/dbus-1/system.d/com.redhat.storaged.conf
%{_datadir}/dbus-1/interfaces/com.redhat.lvm2.xml
%{_datadir}/dbus-1/system-services/com.redhat.storaged.service
%{_datadir}/polkit-1/actions/com.redhat.lvm2.policy


%post
%_post_service storaged

%preun
%_preun_service storaged


