Summary:	Symlink farm manager
Name:		stow
Version:	2.4.1
Release:	%mkrel 1
License:	GPLv2
Group:		File tools
Url:		https://www.gnu.org/software/stow/
Source0:	https://ftp.gnu.org/gnu/stow/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	texinfo
BuildRequires:	texinfo-tex

%description
GNU Stow is a symlink farm manager which takes distinct packages of
software and/or data located in separate directories on the
filesystem, and makes them appear to be installed in the same
place. For example, /usr/local/bin could contain symlinks to files
within /usr/local/stow/emacs/bin, /usr/local/stow/perl/bin etc., and
likewise recursively for any other subdirectories such as .../share,
.../man, and so on.

This is particularly useful for keeping track of system-wide and
per-user installations of software built from source, but can also
facilitate a more controlled approach to management of configuration
files in the user's home directory, especially when coupled with
version control systems.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install PMDIR=%{perl_vendorlib}

%files
%doc %{_docdir}/%{name}
%{_bindir}/chk%{name}
%{_bindir}/%{name}
%{perl_vendorlib}/Stow.pm
%{perl_vendorlib}/Stow/Util.pm
%{_mandir}/man8/%{name}.8*
%{_infodir}/%{name}.info*
