Name:		strace
Version:	6.11
Release:	%mkrel 1
Summary:	Tracks and displays system calls associated with a running process
License:	BSD
Group:		Development/Kernel
URL:		https://strace.io
Source0:	https://github.com/strace/strace/releases/download/v%{version}/%{name}-%{version}.tar.xz

%description
The strace program intercepts and records the system calls called
and received by a running process.  Strace can print a record of
each system call, its arguments and its return value.  Strace is useful
for diagnosing problems and debugging, as well as for instructional
purposes.

Install strace if you need a tool to track the system calls made and
received by a process.

%prep
%autosetup -p1

%build
%configure --enable-mpers=check
%make_build

%install
%make_install

%check
exit 0
%make_build check

# remove unpackaged files
%__rm %{buildroot}%{_bindir}/strace-graph

%files
%doc COPYING README* NEWS
%{_bindir}/strace*
%{_mandir}/man1/strace*

