Name:		stratagus
Summary:	A real time strategy game engine
Version:	3.3.2
Release:	%mkrel 1
Group:		Games/Strategy
License:	GPLv2+
URL:		https://stratagus.com/
Source0:	https://github.com/Wargus/stratagus/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	tolua++-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	libstdc++-static-devel

%description
Stratagus is a free cross-platform real-time strategy gaming engine.
It includes support for playing over the internet/LAN, or playing a computer
opponent. The engine is configurable and can be used to create games with a
wide-range of features specific to your needs.

%package devel
Summary:		Development files for %{name}
Group:			Development/Other
BuildArch:		noarch
Requires:		%{name} >= %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q

%build
# default build options seem to be fine
%cmake \
  -DENABLE_DEV=ON
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_mandir}/man6
install -Dpm644 doc/%{name}.6 %{buildroot}%{_mandir}/man6/

%files
%doc README.md doc/*
%{_gamesbindir}/%{name}
%{_bindir}/png2%{name}
%{_mandir}/man6/%{name}.6*

%files devel
%{_includedir}/%{name}*
