Name:		strawberry
Version:	1.2.9
Release:	%mkrel 1
Summary:	Audio player and music collection organizer
Group:		Sound/Players
# Main program: GPLv3
# src/analyzer and src/engine/gstengine and src/engine/xineengine: GPLv2
# src/widgets/fancytabwidget and src/widgets/stylehelper: LGPLv2
# 3rdparty/singleapplication: MIT
# src/core/timeconstants.h and ext/libstrawberry-common/core/logging and ext/libstrawberry-common/core/messagehandler: ASL 2.0
License:	GPLv2 and GPLv3+ and LGPLv2 and ASL 2.0 and MIT and Boost
URL:		https://www.strawberrymusicplayer.org/
Source0:	https://github.com/strawberrymusicplayer/strawberry/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	appstream-util
BuildRequires:	boost-devel
BuildRequires:	cmake(KDSingleApplication-qt6)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(RapidJSON)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(gmock)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libchromaprint)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(sqlite3) >= 3.7
BuildRequires:	pkgconfig(taglib) >= 1.11
BuildRequires:	pkgconfig(libebur128)
BuildRequires:	pkgconfig(libgpod-1.0)
BuildRequires:	pkgconfig(libimobiledevice-1.0)
BuildRequires:	pkgconfig(libplist-2.0)
BuildRequires:	pkgconfig(libusbmuxd-2.0)
BuildRequires:	pkgconfig(libsparsehash)

Requires:	gstreamer1.0-plugins-good
Recommends:	gstreamer1.0-moodbar

%description
Strawberry is an audio player and music collection organizer.
It is a fork of Clementine. The name is inspired by the band Strawbs.

Features:
  * Play and organize music
  * Supports WAV, FLAC, WavPack, DSF, DSDIFF, Ogg Vorbis, Speex, MPC,
    TrueAudio, AIFF, MP4, MP3 and ASF
  * Audio CD playback
  * Native desktop notifications
  * Playlists in multiple formats
  * Advanced output and device options with support for bit perfect playback
    on Linux
  * Edit tags on music files
  * Fetch tags from MusicBrainz
  * Album cover art from Last.fm, Musicbrainz and Discogs
  * Song lyrics from AudD and API Seeds
  * Support for multiple backends
  * Audio analyzer
  * Equalizer
  * Transfer music to iPod, iPhone, MTP or mass-storage USB player
  * Integrated Tidal support
  * Scrobbler with support for Last.fm, Libre.fm and ListenBrainz


%prep
%autosetup -p1

%build
%cmake_qt6 \
  -DBUILD_WERROR=OFF

%cmake_build

%install
%cmake_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.strawberrymusicplayer.%{name}.appdata.xml

%files
%doc Changelog README.md
%license COPYING
%{_bindir}/%{name}
%{_metainfodir}/org.strawberrymusicplayer.%{name}.appdata.xml
%{_datadir}/applications/org.strawberrymusicplayer.%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1.*
