Name:           streamripper
Version:        1.64.6
Release:        %mkrel 13
Summary:        Audio stream recorder
Group:          Sound/Utilities
URL:            https://sourceforge.net/projects/streamripper
License:        GPLv2+
Source0:        https://downloads.sourceforge.net/streamripper/%{name}-%{version}.tar.gz
Patch0:         streamripper-gcc14.patch
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(tre)
BuildRequires:  pkgconfig(mad)
BuildRequires:  gettext-devel

%description
Streamripper records shoutcast compatible and live365 streams.
For shoutcast style streams it finds the "meta data" or track
separation data, and uses that as a marker for where the track
should be separated. For live365 streams it hits the website
and finds when a track has changed. Either way, the MP3 data
will be decoded and scanned for a silent point which is where
tracks will be created.

%prep
%autosetup -p1

# make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE\)\((\[\(.*\)\])\|(\(.*\))\|.*\),\1([foreign subdir-objects \3\4]),' configure.ac libmad-*/configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%doc README THANKS *.txt
%{_bindir}/*
%{_mandir}/man1/*
