Name:           stringtemplate4
Version:        4.3.4
Release:        %mkrel 1
Group:          Development/Java
Summary:        A Java template engine
License:        BSD
URL:            https://www.stringtemplate.org/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://github.com/antlr/stringtemplate4/archive/%{version}/%{name}-%{version}.tar.gz
# Adapt to JDK 11
Patch0:         %{name}-java11.patch
# Adapt tests to JDK 21
Patch1:         %{name}-java21.patch

BuildRequires:  maven-local maven-openjdk21
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.antlr:antlr-runtime) >= 3.5.2
BuildRequires:  mvn(org.antlr:antlr3-maven-plugin) >= 3.5.2
BuildRequires:  x11-server-xvfb

%description
StringTemplate is a java template engine (with ports for
C# and Python) for generating source code, web pages,
emails, or any other formatted text output. StringTemplate
is particularly good at multi-targeted code generators,
multiple site skins, and internationalization/localization.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%autosetup -p1 -n %{name}-ST4-%{version}

# sonatype-oss-parent is deprecated in Fedora
%pom_remove_parent

%build
xvfb-run -d %mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.txt README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

