# Please don't forget to also update stuntrally-tracks pkg when you update
# this one.

Name:           stuntrally
Version:        2.6.2
Release:        %mkrel 6
Summary:        Stunt Rally game with Track Editor, based on VDrift and OGRE
Group:          Games/Sports
License:        GPLv3+
URL:            https://stuntrally.tuxfamily.org
Source0:        https://github.com/stuntrally/stuntrally/archive/%{version}/%{name}-%{version}.tar.gz

Patch0:         stuntrally-2.2-mga-gamesbindir.patch
Patch1:         stuntrally-2.2-mga-mygui-libdir.patch
# Don't unbundle for now, crashes with tinyxml2 6.2.0 (and 8.0.0 tested too).
# See mga#26328.
#Patch2:         stuntrally-2.4-mga-system-tinyxml-and-tinyxml2.patch
Patch3:         stuntrally-2.6.2-narrowing-conversion.patch
Patch5:         stuntrally-2.6.2-bullet-double.patch
Patch6:         stuntrally-boost1.85.patch
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(bullet)
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pkgconfig(MYGUI)
BuildRequires:  pkgconfig(OGRE) < 2
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
#BuildRequires:  pkgconfig(tinyxml)
#BuildRequires:  pkgconfig(tinyxml2)
BuildRequires:  pkgconfig(vorbis)
Requires:       %{name}-data = %{version}-%{release}
Requires:       %{name}-tracks >= %{version}

%description
Stunt Rally is a game based on VDrift and OGRE, with a Track Editor.

Game modes include: Single Race, Tutorials, Championships, Challenges,
Multiplayer and Split Screen. Also Replays and Ghost drive are present.

The Track Editor allows modifying and creating tracks.

The game aims at a rally style of driving (like in Richard Burns Rally),
with possible stunt elements (loops, jumps).
It also introduces road pipes, and provides a 3D spline generated road.

%files
%doc Readme.txt
%{_gamesbindir}/%{name}
%{_gamesbindir}/sr-editor
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/64x64/apps/*.png
%{_iconsdir}/hicolor/256x256/apps/*.png

#----------------------------------------------------------------------------

%package        data
Summary:        Stunt Rally game with Track Editor, based on VDrift and OGRE
Group:          Games/Sports
BuildArch:      noarch

%description    data
Data files for Stunt Rally.

%files          data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------------

%prep
%autosetup -p1

#Fix deprecated application category
perl -pne 's%Categories=Application;Game;SportsGame;%Categories=Game;SportsGame;%' -i dist/*.desktop

%build
# /usr/include/OGRE/OgreException.h:311:120: error: invalid conversion from
# 'int' to 'Ogre::Exception::ExceptionCodes' [-fpermissive]
export CXXFLAGS="%{optflags} -fpermissive -std=c++17"
%cmake -DBUILD_SHARED_LIBS=OFF
%cmake_build

%install
%cmake_install
