# Please don't forget to also update stuntrally-tracks pkg when you update
# this one.

Name:           stuntrally3
Version:        3.2
Release:        %mkrel 1
Summary:        Stunt Rally game with Track Editor, based on VDrift and OGRE
Group:          Games/Sports
License:        GPLv3+
URL:            https://stuntrally.tuxfamily.org
Source0:        https://github.com/stuntrally/stuntrally3/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:         stuntrally3-mygui-next.patch
BuildRequires:  cmake
BuildRequires:  bullet-devel
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(MYGUI-Next)
BuildRequires:  pkgconfig(OGRE-Next)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(tinyxml2)
BuildRequires:  rapidjson

%if 0
Requires:       %{name}-data = %{version}-%{release}
Requires:       %{name}-tracks >= %{version}
%endif

%description
Stunt Rally is a 3D racing game, including Sci-Fi elements and own Track Editor.

For cars the game has a rally style of driving and sliding, mostly on gravel
and loose surfaces. It has possible stunt elements (like: jumps, loops, pipes).
Roads are made from 3D spline. It includes many Sci-Fi vehicles and different
planets, even surreal locations. All Tracks and Vehicles can be browsed on
website.

SR 3.x continues old SR 2.x, now using Ogre-Next 3.0 for rendering and VDrift
for simulation.

%files
%doc Readme.txt
%{_gamesbindir}/%{name}
%{_gamesbindir}/sr-editor
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/64x64/apps/*.png
%{_iconsdir}/hicolor/256x256/apps/*.png

#----------------------------------------------------------------------------

%package        data
Summary:        Stunt Rally game with Track Editor, based on VDrift and OGRE
Group:          Games/Sports
BuildArch:      noarch

%description    data
Data files for Stunt Rally.

%files          data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------------

%prep
%autosetup -p1

sed -i -e 's/OGRE/OGRE MODULE/g' CMake/DependenciesConfig.cmake

%build
%cmake -DCMAKE_MODULE_PATH=%{_libdir}/OGRE-Next/cmake
%cmake_build

%install
%cmake_install
