# there is no release for a long time, but nighly builds only
%global gittag  39ca2a1026215ff2393f8e8c7b4895442d8a7695
%global gitdate 20240714

%define rel 5

Name:           subsurface
Summary:        Simple Dive Log Program
Version:        6.0
Release:        %mkrel %{rel}.git%{gitdate}
License:        GPLv2
Group:          Sciences/Other
URL:            https://subsurface-divelog.org/
Source0:        https://github.com/subsurface/subsurface/archive/%{gittag}.tar.gz
BuildRequires:  divecomputer-subsurface-devel
BuildRequires:  qtlocation-plugin-googlemaps

BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(libssh2)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libgit2)
BuildRequires:  desktop-file-utils
BuildRequires:  asciidoc
BuildRequires:  cmake >= 2.6

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Positioning)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6QuickTest)
BuildRequires:  cmake(Qt6Bluetooth)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Location)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Core5Compat)

Requires:       qtlocation-plugin-googlemaps
Requires:       qt6-qtlocation
Requires:       qt6-qtpositioning

%description
subsurface is a simple dive log program written in C.

%prep
%setup -q -n subsurface-%{gittag}

%build
%cmake \
  -DBUILD_WITH_QT6=BOOL=ON \
  -DCMAKE_BUILD_TYPE=Release \
  -DLIBDIVECOMPUTER_INCLUDE_DIR=%{_includedir} \
  -DGOOGLEMAPS_PLUGIN_PATH=%{_qt6_plugindir}/geoservices/libqtgeoservices_googlemaps.so

%cmake_build

%install
%cmake_install

%files
%doc README.md Documentation ReleaseNotes
%{_bindir}/subsurface
%{_bindir}/subsurface.debug
%{_datadir}/applications/subsurface.desktop
%{_metainfodir}/subsurface.metainfo.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/subsurface-icon.*
