%define rel	3

Name:		subtitlecomposer
Version:	0.8.1
Release:	%mkrel %{rel}
Summary:	A text-based subtitles editor
License:	GPLv2+
Group:		Text tools
URL:		https://subtitlecomposer.kde.org/
Source0:	https://download.kde.org/stable/subtitlecomposer/%{name}-%{version}.tar.xz
# (ahmad) fix the mimetypes installed by subtitlecompoer:
# - no need to duplicate the ones already available in the freedesktop specs
# - .txt files are not necessarily subtitles files
Patch0:		subtitlecomposer-0.6.6-mimetypes.patch
# PATCH-FIX-UPSTREAM refreshment of ffmpeg related code
Patch10:	0001-Replaced-deprecated-FFmpeg-channel-layout-code.patch
Patch11:	0002-VideoPlayer-check-AVFMT_NO_BYTE_SEEK-flag-for-seek_b.patch
Patch12:	0003-VideoPlayer-drop-an-unused-function-argument.patch
Patch13:	0004-VideoPlayer-stop-using-AVFrame.pkt_pos.patch
Patch14:	0005-VideoPlayer-remove-usage-of-internal-AVInputFormat.r.patch
Patch15:	0006-VideoPlayer-stop-injecting-stream-side-data-in-packe.patch
Patch16:	0007-VideoPlayer-check-return-of-swr_alloc_set_opts2.patch
Patch17:	0008-StreamProcessor-stop-using-pkt_duration.patch
Patch18:	0009-StreamProcessor-stop-using-AVFrame-duration.patch
Patch19:	0010-Require-FFmpeg-5.1.5.patch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6Sonnet)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6WidgetsAddons)

BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(icu-io)
BuildRequires:	pkgconfig(libxine)
BuildRequires:	pkgconfig(mpv)
BuildRequires:	pkgconfig(pocketsphinx)
BuildRequires:	gettext
BuildRequires:	ffmpeg-devel

# needed dependencies (mga#20830)
Requires:	kio
Requires:	kio-extras

%description
A text-based subtitles editor that supports basic operations as well as more
advanced ones, aiming to become an improved version of Subtitle Workshop for
every platform supported by KF6 (KDE Frameworks 6).

Features:

  * Support for multiple formats, including SubRip, MicroDVD, SSA/ASS
    (without advanced styles), MPlayer, TMPlayer and YouTube captions.
  * Live preview of subtitles and video with support for multiple backends
    (GStreamer, MPlayer/2, MPV, Xine, Phonon), audio channel selection and
    full screen mode.
  * Time shifting and adjusting, lines duration calculation, synchronization
    with video, etc.
  * Working with original subtitle and translation.
  * Texts styles (italic, bold, underline, stroke, color), spell checking,
    automatic translation (using Google services), etc.
  * Joining and splitting of files.
  * Automatic detection of errors.
  * Editing of subtitles through scripting (Ruby, Python, JavaScript and other
    languages supported by Kross).

%files -f %{name}.lang
%doc ChangeLog README.md
%license LICENSE
%{_kf6_bindir}/%{name}
%{_kf6_applicationdir}/org.kde.%{name}.desktop
%config(noreplace) %{_kf6_sysconfdir}/xdg/%{name}rc
%{_kf6_datadir}/%{name}/
%{_kf6_iconsdir}/hicolor/*/*/*.png
%{_kf6_datadir}/mime/packages/%{name}.xml
%{_kf6_metainfodir}/org.kde.subtitlecomposer.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

# fix permissions
chmod 644 ChangeLog

# fix shebangs
%py3_shebang_fix src/scripting/examples

%build
%cmake_kf6 -DQT_MAJOR_VERSION:BOOL=6 \
           -DKDE_INSTALL_LIBDIR=%{_lib}
%cmake_build

%install
%cmake_install

%find_lang %{name}

# we don't want these
find %{buildroot} -name '*.h' -delete
