Name:		subtitleeditor
Version:	0.54.0
Release:	%mkrel 5
Summary:	Subtitle editor
Group:		Video/Editors and Converters
License:	GPLv3+
URL:		https://kitone.github.io/subtitleeditor/
Source:		https://github.com/kitone/subtitleeditor/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	intltool
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamermm-1.0) >= 1.0
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.0
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libxml++-2.6) >= 2.20
Requires:	iso-codes
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-ffmpeg
Requires:	mplayer

%description
Subtitle Editor is a GTK+3 tool to edit subtitles.

It can be used for new subtitles or as a tool to transform, edit, correct and
refine existing subtitle. This program also shows sound waves, which makes it
easier to synchronise subtitles to voices.

%prep
%setup -q
%autopatch -p1

# switch to enchant2
sed -i -e '/PKG_CHECK_MODULES/s,enchant,enchant-2,g' configure.ac

%build
autoreconf -vfi
%configure \
  --disable-static
%make_build

%install
%make_install

%find_lang %{name}

# we don't ship devel files for now
find %{buildroot} -name '*.la' -delete
rm -f %{buildroot}%{_libdir}/lib%{name}.so

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/*.so.*
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/pixmaps/%{name}.svg
%{_mandir}/man1/*.1.*
