%define apache_version 2.4.0

%global __brp_check_rpaths %{nil}

%define major              0
%define libsvn             %mklibname svn %{major}
%define libsvngnomekeyring %mklibname svn-gnome-keyring %{major}
%define libsvnkwallet      %mklibname svn-kwallet %{major}

# Java requires devel symlinks in non-devel packages due to design
# (System.loadLibrary). Do not add -devel dependencies.
%global __provides_exclude_from ^%{_libdir}/libsvnjavahl-%{svnjavahl_api}.so$
%global __requires_exclude_from ^%{_libdir}/libsvnjavahl-%{svnjavahl_api}.so$

%dnl %{!?java_home:%global java_home %{_jvmdir}/jre-21-openjdk}

%bcond_without python

%bcond_with ruby
%bcond_without java
%bcond_without perl
%bcond_without gnome_keyring
%bcond_with kwallet
%bcond_with test
%bcond_with debug

# comment out if not pre-release
#define prel rc2

# rel for bumping
%define rel 3

Name:		subversion
Epoch:		2
# 1.14.x is LTS
Version:	1.14.5
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	A Concurrent Versioning System
License:	Apache License
Group:		Development/Tools
URL:		https://subversion.apache.org/
Source0:	https://www.apache.org/dist/subversion/%{name}-%{version}%{?prel:-%prel}.tar.gz
Source1:	https://www.apache.org/dist/subversion/%{name}-%{version}%{?prel:-%prel}.tar.gz.asc
Source2:	mod_dav_svn.conf
Source3:	subversion.conf
Source5:	subversion-1.3.0-global-config
Source6:	subversion-1.3.0-global-servers
Source7:	https://svnbook.red-bean.com/nightly/en/svn-book-html-chunk.tar.bz2
Source8:	svnserve.service
Source9:	svnserve-tmpfiles.conf
Source10:	svnserve.sysconf
# Upstream
Patch0:		0001-swig-rb-Block-SWIG-4.2.0-before-building-Ruby-bindin.patch
# Others
Patch100:	subversion-underlinking.patch
Patch101:	subversion-1.14.0-autoconf-2.69c.patch

BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRequires:	info-install
BuildRequires:	db-devel
BuildRequires:	apache-devel >=  %{apache_version}
BuildRequires:	pkgconfig(apr-1)
BuildRequires:	pkgconfig(apr-util-1)
BuildRequires:	libxslt-proc
BuildRequires:	docbook-style-xsl
BuildRequires:	pkgconfig(serf-2)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	utf8proc-devel
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(liblz4)
# Swig is runtime only
BuildRequires:	swig
BuildRequires:	make
Provides:	%{name}-ra-method = %{epoch}:%{version}-%{release}
Provides:	%{name}-client-tools = %{epoch}:%{version}-%{release}
Provides:	svn = %{epoch}:%{version}
Requires:	%{libsvn} = %{epoch}:%{version}

%description
Subversion (SVN) is a concurrent version control system which enables one or
more users to collaborate in developing and maintaining a hierarchy of files
and directories while keeping a history of all changes.  Subversion only stores
the differences between versions, instead of every complete file.  Subversion
also keeps a log of who, when, and why changes occurred.

As such it basically does the same thing CVS does (Concurrent Versioning
System) but has major enhancements compared to CVS and fixes a lot of the
annoyances that CVS users face.

This package contains the client, if you're looking for the server end
of things you want %{name}-server.

%files -f %{name}.lang
%{_bindir}/svn
%{_bindir}/svnversion
%{_bindir}/svnlook
%{_mandir}/man1/svn.*
%{_mandir}/man1/svnlook.*
%{_mandir}/man1/svnversion.*
%{_mandir}/man1/svnsync.*
%dir %{_datadir}/subversion-%{version}
%{_sysconfdir}/bash_completion.d/subversion

#--------------------------------------------------------------------------

%package	doc
Summary:	Subversion Documentation
Group:		Documentation

%description    doc
Subversion is a concurrent version control system which enables
one or more users to collaborate in developing and maintaining a
hierarchy of files and directories while keeping a history of all
changes. Subversion only stores the differences between versions,
instead of every complete file. Subversion also keeps a log of
who, when, and why changes occurred.

As such it basically does the same thing CVS does (Concurrent
Versioning System) but has major enhancements compared to CVS and
fixes a lot of the annoyances that CVS users face.

This package contains the subversion book and design info files.

%files doc
%doc svnbook-1.*
%doc doc/user/*.html
%doc doc/user/*.txt

#--------------------------------------------------------------------------

%package -n	%{libsvn}
Summary: 	Subversion libraries
Group:		System/Libraries
%if ! %{with python}
Obsoletes:	python2-svn < %{EVRD}
Obsoletes:	python3-svn < %{EVRD}
%endif
%if ! %{with ruby}
Obsoletes:	ruby-svn < %{EVRD}
%endif

%description -n	%{libsvn}
Subversion common libraries

%files -n	%{libsvn}
# list all ra libs to make sure we don't miss any
# in a bogus build
%{_libdir}/libsvn_client-1.so.%{major}{,.*}
%{_libdir}/libsvn_delta-1.so.%{major}{,.*}
%{_libdir}/libsvn_diff-1.so.%{major}{,.*}
%{_libdir}/libsvn_fs-1.so.%{major}{,.*}
%{_libdir}/libsvn_fs_base-1.so.%{major}{,.*}
%{_libdir}/libsvn_fs_fs-1.so.%{major}{,.*}
%{_libdir}/libsvn_fs_util-1.so.%{major}{,.*}
%{_libdir}/libsvn_fs_x-1.so.%{major}{,.*}
%{_libdir}/libsvn_ra-1.so.%{major}{,.*}
%{_libdir}/libsvn_ra_local-1.so.%{major}{,.*}
%{_libdir}/libsvn_ra_serf-1.so.%{major}{,.*}
%{_libdir}/libsvn_ra_svn-1.so.%{major}{,.*}
%{_libdir}/libsvn_repos-1.so.%{major}{,.*}
%{_libdir}/libsvn_subr-1.so.%{major}{,.*}
%{_libdir}/libsvn_wc-1.so.%{major}{,.*}
%dir %{_sysconfdir}/subversion
%config(noreplace) %{_sysconfdir}/subversion/*

#---------------------------------------------------------------------------

%if %{with gnome_keyring}

%package -n	%{libsvngnomekeyring}
Summary: 	gnome-keyring support for svn
Group:		System/Libraries
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(dbus-1)
Requires:	gnome-keyring

%description -n	%{libsvngnomekeyring}
Subversion libraries that allow interaction with the gnome-keyring daemon

%files -n	%{libsvngnomekeyring}
# list all ra libs to make sure we don't miss any
# in a bogus build
%{_libdir}/libsvn_auth_gnome_keyring-1.so.%{major}{,.*}

%endif

#--------------------------------------------------------------------------

%if %{with kwallet}

%package -n	%{libsvnkwallet}
Summary: 	kwallet support for svn
Group:		System/Libraries
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5DBus)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(KF5Wallet)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	kdelibs4support
Requires:	kwalletmanager

%description -n	%{libsvnkwallet}
Subversion libraries that allow interaction with the kwallet daemon.

%files -n	%{libsvnkwallet}
# list all ra libs to make sure we don't miss any
# in a bogus build
%{_libdir}/libsvn_auth_kwallet-1.so.%{major}{,.*}

%endif

#--------------------------------------------------------------------------

%package	server
Summary:	Subversion Server
Group:		System/Servers
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires(pre):	rpm-helper
Requires(preun):	rpm-helper
Requires(postun): rpm-helper
Requires(post):	sed
Requires(post):	rpm-helper
Requires(post):	systemd
# soname didn't change between 1.3.x and 1.4.x, but we
# need the right one...
Requires:	%{libsvn} = %{epoch}:%{version}

%description server
This package contains a myriad of tools for subversion server
and repository admins:
  * hot-backup makes a backup of a svn repo without stopping
  * mirror_dir_through_svn.cgi
  * various hook scripts
  * xslt example

Note that cvs2svn has moved out of subversion and is a separate
project.  It has not released its own package yet, but you can
find it at http://cvs2svn.tigris.org/

%pre server
%_pre_useradd svn /var/lib/svn /bin/false

%preun server
%_preun_service svnserve

%post server
%_tmpfilescreate svnserve
%_post_service svnserve
# fix svn entries in /etc/services
if ! grep -qE '^svn[[:space:]]+3690/(tcp|udp)[[:space:]]+svnserve' %{_sysconfdir}/services; then
        # cleanup
        sed -i -e '/^svn\(serve\)\?/d;/^# svnserve ports added by subversion-server/d' %{_sysconfdir}/services
        echo "# svnserve ports added by subversion-server" >> /etc/services
        echo -e "svn\t3690/tcp\tsvnserve\t# Subversion svnserve" >> /etc/services
        echo -e "svn\t3690/udp\tsvnserve\t# Subversion svnserve" >> /etc/services
fi

%postun server
%_postun_userdel svn

%files server
%doc BUGS CHANGES COMMITTERS LICENSE INSTALL README
%{_bindir}/svnserve
%{_unitdir}/svnserve.service
%config(noreplace) %{_sysconfdir}/sysconfig/svnserve
/var/lib/svn
%{_mandir}/man8/svnserve.8*
%{_mandir}/man5/svnserve.conf.5*
%{_tmpfilesdir}/svnserve.conf

#--------------------------------------------------------------------------

%package	tools
Summary:	Subversion Repo/Server Tools
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}
# soname didn't change between 1.3.x and 1.4.x, but we
# need the right one...
Requires:	%{libsvn} = %{epoch}:%{version}

%description tools
This package contains a myriad of tools for subversion server
and repository admins:
  * hot-backup makes a backup of a svn repo without stopping
  * mirror_dir_through_svn.cgi
  * various hook scripts
  * xslt example

Note that cvs2svn has moved out of subversion and is a separate
project.  It has not released its own package yet, but you can
find it at http://cvs2svn.tigris.org/

%files tools
%{_bindir}/hot-backup*
%{_bindir}/svnadmin
%{_bindir}/svnsync
%{_bindir}/svndumpfilter
%{_bindir}/svnrdump
%{_bindir}/svnmucc
%{_bindir}/svnbench
%{_bindir}/svnfsfs
%dir %_libexecdir/svn-tools
%_libexecdir/svn-tools/diff
%_libexecdir/svn-tools/diff3
%_libexecdir/svn-tools/diff4
%_libexecdir/svn-tools/fsfs-access-map
%_libexecdir/svn-tools/fsfs-stats
%_libexecdir/svn-tools/svn-mergeinfo-normalizer
%_libexecdir/svn-tools/svnconflict
%_libexecdir/svn-tools/svnmover
%_libexecdir/svn-tools/svnauthz
%_libexecdir/svn-tools/svnauthz-validate
%_libexecdir/svn-tools/svn-bench
%_libexecdir/svn-tools/svnmucc
%_libexecdir/svn-tools/svn-populate-node-origins-index
%_libexecdir/svn-tools/svnraisetreeconflict
%_libexecdir/svn-tools/x509-parser
%dir %{_datadir}/%{name}-%{version}/
%{_datadir}/%{name}-%{version}/repo-tools/
%{_mandir}/man1/svnadmin.1*
%{_mandir}/man1/svndumpfilter.1*
%{_mandir}/man1/svnrdump.1*
%{_mandir}/man1/svnmucc.1*

#--------------------------------------------------------------------------

%if %{with python}

%package -n	python3-svn
Summary: 	Python 3 bindings for Subversion
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	py3c
Provides:	python-subversion = %{epoch}:%{version}-%{release}
Provides:	python3-subversion = %{epoch}:%{version}-%{release}
Requires:	python3
# soname didn't change between 1.3.x and 1.4.x, but we
# need the right one...
Requires:	%{libsvn} = %{epoch}:%{version}

Obsoletes:	python-svn < 2:1.9.7-4
Provides:	python-svn = %{epoch}:%{version}-%{release}

%description -n	python3-svn
This package contains the files necessary to use the subversion
library functions within python 3 scripts.

%files -n	python3-svn
%{_libdir}/libsvn_swig_py-1.so.%{major}{,.*}
%{python3_sitelib}/svn
%{python3_sitearch}/libsvn
%doc tools/examples/*.py subversion/bindings/swig/INSTALL subversion/bindings/swig/NOTES

%endif

#--------------------------------------------------------------------------

%if %{with ruby}

%package -n	ruby-svn
Summary: 	Ruby bindings for Subversion
Group:		Development/Ruby
BuildRequires:	ruby-devel
Requires:	ruby
Requires:	%{libsvn} = %{epoch}:%{version}
Provides:	ruby-subversion = %{epoch}:%{version}-%{release}

%description -n	ruby-svn
This package contains the files necessary to use the subversion
library functions within ruby scripts.

%files -n	ruby-svn
%{ruby_vendorarchdir}/svn
%{_libdir}/libsvn_swig_ruby-1.so.%{major}{,.*}

%endif

#--------------------------------------------------------------------------

%if %{with java}
# We have the non-major symlink also in this package (due to java design),
# so we only have %%api in package name.
%define svnjavahl_api 1
%define libsvnjavahl %mklibname svnjavahl %{svnjavahl_api}

%package -n	%{libsvnjavahl}
Summary: 	Svn Java bindings library
Group:		System/Libraries
Conflicts:	subversion-devel < 2:1.6.0-3
Obsoletes:	%{_lib}svnjavahl0 < 2:1.6.0-3

%description -n	%{libsvnjavahl}
Svn Java bindings library.

%files -n	%{libsvnjavahl}
%{_libdir}/libsvnjavahl-%{svnjavahl_api}.so.%{major}{,.*}
# needed to use JavaHL with eclipse from upstream (see mga#28516)
%{_libdir}/libsvnjavahl-%{svnjavahl_api}.so

#--------------------------------------------------------------------------

%package -n	svn-javahl
Summary: 	Java bindings for Subversion
Group:		Development/Java
Obsoletes:	java-svn < %{epoch}:%{version}-%{release}
Provides:	java-svn = %{epoch}:%{version}-%{release}
Provides:	java-subversion = %{epoch}:%{version}-%{release}
Provides:	subversion-javahl = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{libsvn} = %{epoch}:%{version}-%{release}
Requires:	%{libsvnjavahl} = %{epoch}:%{version}-%{release}
BuildRequires:	rpm_macro(java_home)
BuildRequires:	ant
BuildRequires:	junit

%description -n	svn-javahl
This package contains the files necessary to use the subversion
library functions from Java.

%files -n	svn-javahl
%doc subversion/bindings/javahl/README
%{_javadir}/svn-javahl.jar
%{_javadir}/svn-javahl-%{version}.jar

%endif

#--------------------------------------------------------------------------

%if %{with perl}

%package -n	perl-SVN
Summary: 	Perl bindings for Subversion
Group:		Development/Perl
BuildRequires:	perl-devel
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	perl-svn = %{epoch}:%{version}-%{release}
Requires:	%{libsvn} = %{epoch}:%{version}

%description -n	perl-SVN
This package contains the files necessary to use the subversion
library functions within perl scripts.

%files -n	perl-SVN
%doc subversion/bindings/swig/INSTALL subversion/bindings/swig/NOTES
%{_libdir}/libsvn_swig_perl-1.so.%{major}{,.*}
%{perl_vendorarch}/SVN
%{perl_vendorarch}/auto/SVN
%{_mandir}/man3/SVN::*.3*

%endif

#----------------------------------------------------------------

%package	devel
Summary:	Subversion headers/libraries for development
Group:		Development/C
Provides:	libsvn-devel = %{epoch}:%{version}-%{release}
Requires:	%{libsvn} = %{epoch}:%{version}-%{release}
Obsoletes:	python2-svn-devel < 2:1.14.0-0.rc2.2
Obsoletes:	python3-svn-devel < 2:1.14.0-0.rc2.2
Obsoletes:	perl-svn-devel < 2:1.14.0-0.rc2.2
Obsoletes:	ruby-svn-devel < 2:1.14.0-0.rc2.2
Obsoletes:	subversion-kwallet-devel < 2:1.14.0-0.rc2.2
Obsoletes:	subversion-gnome-keyring-devel < 2:1.14.0-0.rc2.2

%description devel
This package contains the header files and linker scripts for
subversion libraries.

%files devel
%doc tools/examples/minimal_client.c
%{_includedir}/subversion-1/
%{_libdir}/libsvn_client-1.so
%{_libdir}/libsvn_delta-1.so
%{_libdir}/libsvn_diff-1.so
%{_libdir}/libsvn_diff.so
%{_libdir}/libsvn_fs-1.so
%{_libdir}/libsvn_fs_fs-1.so
%{_libdir}/libsvn_fs_base-1.so
%{_libdir}/libsvn_fs_util-1.so
%{_libdir}/libsvn_ra-1.so
%{_libdir}/libsvn_ra_local-1.so
%{_libdir}/libsvn_ra_svn-1.so
%{_libdir}/libsvn_repos-1.so
%{_libdir}/libsvn_subr-1.so
%{_libdir}/libsvn_wc-1.so
%{_libdir}/libsvn_ra_serf-1.so
%{_libdir}/libsvn_fs_x-1.so
%{_libdir}/pkgconfig/*.pc
%if %{with java}
%exclude %{_libdir}/libsvnjavahl*
%endif

#----------------------------------------------------------------

%package -n	apache-mod_dav_svn
Summary:	Subversion server DSO module for apache
Group:		System/Servers
Requires:	%{name}-tools = %{epoch}:%{version}-%{release}
Requires:	apache-mod_dav >= %{apache_version}

%description -n	apache-mod_dav_svn
Subversion is a concurrent version control system which enables
one or more users to collaborate in developing and maintaining a
hierarchy of files and directories while keeping a history of all
changes. Subversion only stores the differences between versions,
instead of every complete file. Subversion also keeps a log of
who, when, and why changes occurred.

As such it basically does the same thing CVS does (Concurrent
Versioning System) but has major enhancements compared to CVS and
fixes a lot of the annoyances that CVS users face.

This package contains the apache server extension DSO for running
a subversion server.

%files -n    apache-mod_dav_svn
%doc subversion/mod_authz_svn/INSTALL
%config(noreplace) %{_httpd_modconfdir}/10_mod_dav_svn.conf
%config(noreplace) %{_httpd_extconfdir}/subversion.conf
%{_httpd_moddir}/mod_dav_svn.so
%{_httpd_moddir}/mod_authz_svn.so
%{_httpd_moddir}/mod_dontdothat.so

#--------------------------------------------------------------------------

%prep
%setup -q -a 7 -n %{name}-%{version}%{?prel:-%prel}
%autopatch -p1

# fix shellbang lines, #111498
perl -pi -e 's|/usr/bin/env perl|%{_bindir}/perl|g' tools/hook-scripts/*.pl.in

# fix python shebangs
%py3_shebang_fix \
  tools/backup/hot-backup.py.in \
  tools/hook-scripts/svnperms.py \
  tools/hook-scripts/mailer/mailer.py

# fix file perms
chmod 644 BUGS CHANGES COMMITTERS LICENSE INSTALL README

# move latest svnbook snapshot as their target version
mv svn-book-html-chunk svnbook-1.8

# lib64 fixes
perl -pi -e "s|\\$serf_prefix/lib\b|\\$serf_prefix/%{_lib}|g" build/ac-macros/serf.m4 configure*

%build
# Regenerate the buildsystem, so that any patches applied to
# configure, swig bindings etc take effect.
mv build-outputs.mk build-outputs.mk.old

### Force regeneration of swig bindings with the buildroot's SWIG.
# Generated files depend on the build/generator/swig/*.py which
# generates them, so when autogen-standalone.mk's autogen-swig target
# is run by autogen.sh it will regenerate them:
touch build/generator/swig/*.py

### Regenerate everything:
# This PATH order makes the fugly test for libtoolize work...
PATH=/usr/bin:$PATH ./autogen.sh --release

%serverbuild
export CFLAGS="%{build_cflags} -Wno-error=incompatible-pointer-types"

%if %{with java}
export JAVADIR=%{_jvmdir}/java
%endif

%if %{with ruby}
# override weird -shrext from ruby
export svn_cv_ruby_link="%{__cc} -shared"
export svn_cv_ruby_sitedir_libsuffix=""
export svn_cv_ruby_sitedir_archsuffix=""
%endif

export PYTHON=%{__python3}
./autogen.sh --release

%configure \
   --disable-static \
   --disable-disallowing-of-undefined-references \
   --enable-optimize \
%if %{with debug}
   --enable-debug \
   --enable-maintainer-mode \
%endif
   --localstatedir=/var/lib \
   --with-ruby-sitedir=%{ruby_vendorarchdir} \
   --with-apr_memcache=%{_prefix} \
   --with-apxs=%{_httpd_apxs} \
   --with-apache-libexecdir=%{_httpd_moddir} \
   --with-apr=%{_bindir}/apr-1-config \
   --with-apr-util=%{_bindir}/apu-1-config \
   --disable-mod-activation \
   --with-swig=%{_prefix} \
%if %{with java}
   --with-jdk=%{java_home} \
   --with-junit=%{_javadir}/junit.jar \
%endif
%if %{with gnome_keyring}
   --with-gnome-keyring \
%else
   --without-gnome-keyring \
%endif
%if %{with kwallet}
   --with-kwallet \
%else
   --without-kwallet \
%endif
   --with-serf=%{_prefix} \
   --with-sqlite=%{_prefix}

# fix weird broken autopoo
perl -pi -e "s|^toolsdir.*|toolsdir=%_libexecdir/svn-tools|g" Makefile
perl -pi -e "s|^pkgconfig_dir.*|pkgconfig_dir = %{_libdir}/pkgconfig|g" Makefile

%make_build all

%if %{with python}
make clean-swig-py
make swig-py swig_pydir=%{python3_sitearch}/libsvn swig_pydir_extra=%{python3_sitelib}/svn LIBS="-lpython%{python3_version}"
%endif

%if %{with perl}
make clean-swig-pl
make swig-pl LIBS="-lperl"
pushd subversion/bindings/swig/perl/native
        %__perl Makefile.PL INSTALLDIRS=vendor
popd
%endif

%if %{with ruby}
make clean-swig-rb
make swig-rb LIBS="-lruby"
%endif

%if %{with java}
make javahl
%endif

%check
%if %{with test}
echo "###########################################################################"
echo "This can take quite some time to finish, so please be patient..."
echo "Don't be too surprised it the tests takes 30 minutes on a dual xeon machine..."
make LC_ALL=C LANG=C LD_LIBRARY_PATH="`pwd`/subversion/bindings/swig/perl/libsvn_swig_perl/.libs:`pwd`/subversion/bindings/swig/python/libsvn_swig_py/.libs:\
`pwd`/subversion/bindings/swig/python/.libs:`pwd`/subversion/libsvn_ra_local/.libs:`pwd`/subversion/svnadmin/.libs:\
`pwd`/subversion/tests/libsvn_ra_local/.libs:`pwd`/subversion/tests/libsvn_fs/.libs:`pwd`/subversion/tests/libsvn_wc/.libs:\
`pwd`/subversion/tests/libsvn_fs_base/.libs:`pwd`/subversion/tests/libsvn_diff/.libs:`pwd`/subversion/tests/libsvn_subr/.libs:\
`pwd`/subversion/tests/libsvn_delta/.libs:`pwd`/subversion/tests/libsvn_repos/.libs:`pwd`/subversion/tests/.libs:\
`pwd`/subversion/svnserve/.libs:`pwd`/subversion/libsvn_fs/.libs:`pwd`/subversion/libsvn_ra/.libs:`pwd`/subversion/libsvn_wc/.libs:\
`pwd`/subversion/mod_dav_svn/.libs:`pwd`/subversion/mod_authz_svn/.libs:`pwd`/subversion/svnlook/.libs:`pwd`/subversion/svndumpfilter/.libs:\
`pwd`/subversion/libsvn_client/.libs:`pwd`/subversion/libsvn_fs_base/bdb/.libs:`pwd`/subversion/libsvn_fs_base/util/.libs:\
`pwd`/subversion/libsvn_fs_base/.libs:`pwd`/subversion/libsvn_diff/.libs:`pwd`/subversion/libsvn_subr/.libs:`pwd`/subversion/svnversion/.libs:\
`pwd`/subversion/libsvn_ra_dav/.libs:`pwd`/subversion/libsvn_ra_svn/.libs:`pwd`/subversion/libsvn_delta/.libs:`pwd`/subversion/libsvn_fs_fs/.libs:\
`pwd`/subversion/libsvn_repos/.libs:`pwd`/subversion/clients/cmdline/.libs:$LD_LIBRARY_PATH" check
%endif

%install

%make_install

%if %{with python}
%make_install install-swig-py swig_pydir=%{python3_sitearch}/libsvn swig_pydir_extra=%{python3_sitelib}/svn
%endif

%if %{with perl}
%make_install install-swig-pl-lib
pushd subversion/bindings/swig/perl/native/
        %make_install
popd
%endif

%if %{with ruby}
%make_install install-swig-rb
%endif

%if %{with java}
%make_install install-javahl

mkdir -p %{buildroot}%{_javadir}
mv %{buildroot}%{_libdir}/svn-javahl/svn-javahl.jar %{buildroot}%{_javadir}/svn-javahl-%{version}.jar
ln -s svn-javahl-%{version}.jar %{buildroot}%{_javadir}/svn-javahl.jar

%endif

%if %{with perl}
# perl bindings
make pure_vendor_install -C subversion/bindings/swig/perl/native DESTDIR=%{buildroot}
%endif

install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_modconfdir}/10_mod_dav_svn.conf
install -D -m 644 %{SOURCE3} %{buildroot}%{_httpd_extconfdir}/subversion.conf

install -D -p -m 0644 %{SOURCE9} %{buildroot}%{_tmpfilesdir}/svnserve.conf

# install the extra module
%make_install install-tools

# cleanup
rm -f %{buildroot}%{_httpd_moddir}/*.*a

# Bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 tools/client-side/bash_completion \
    %{buildroot}%{_sysconfdir}/bash_completion.d/subversion

# Global configs
install -d -m 755 %{buildroot}%{_sysconfdir}/subversion
install -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/subversion/config
install -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/subversion/servers

####################
###  repo-tools  ###
####################

# hotbackup tool
install -m 755 tools/backup/hot-backup.py %{buildroot}%{_bindir}
(cd %{buildroot}%{_bindir}; ln -sf  hot-backup.py hot-backup)

# hook-scripts
install -d -m755 %{buildroot}%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
pushd tools/hook-scripts
install -m 644 commit-access-control.cfg.example %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
install -m 755 commit-access-control.pl %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
install -m 644 svnperms.conf.example %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
install -m 755 svnperms.py %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
install -m 755 mailer/mailer.py %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
install -m 644 mailer/mailer.conf.example %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
popd

pushd tools/hook-scripts
install -m 755 commit-email.rb %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
popd

#xslt
install -d -m755 %{buildroot}%{_datadir}/%{name}-%{version}/repo-tools/xslt
install -m 644 tools/xslt/svnindex.css %{buildroot}%{_datadir}/%{name}-%{version}/repo-tools/xslt
install -m 644 tools/xslt/svnindex.xsl %{buildroot}%{_datadir}/%{name}-%{version}/repo-tools/xslt

# fix a missing file...
ln -sf libsvn_diff-1.so.0.0.0 %{buildroot}%{_libdir}/libsvn_diff.so

# Fix the readonly permissions of the perl files.
find %{buildroot}%{perl_vendorarch} -type f -name "*.so" -exec chmod u+w {} \;

# handle translations
%find_lang %{name}

# fix the server parts
mkdir -p %{buildroot}%{_unitdir}
install -p -m644 %{SOURCE8} %{buildroot}%{_unitdir}/svnserve.service
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p -m644 %{SOURCE10} %{buildroot}%{_sysconfdir}/sysconfig/svnserve
install -d %{buildroot}/var/lib/svn/repositories

# cleanup
find %{buildroot} -name "perllocal.pod" -delete

# delete all .la files
find %{buildroot} -name *.la -delete

# drop unneeded devel files for swig bindings
rm -rf %{buildroot}%{_libdir}/libsvn_swig_*.so

# drop unneeded devel files for kwallet and gnome-keyring support libs
rm -rf %{buildroot}%{_libdir}/libsvn_auth_*.so

# (daviddavid) fix serf-2 dependency in libsvn_ra_serf.pc file
sed -i 's|serf-1|serf-2|' %{buildroot}%{_libdir}/pkgconfig/libsvn_ra_serf.pc
