Name: sugar-chat-activity
Version: 86
Release: %mkrel 5
Summary: Instant messaging client for Sugar
License: GPLv2+
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
Source: https://download.sugarlabs.org/sources/sucrose/fructose/Chat/Chat-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: sugar-toolkit-gtk3
Requires: python3-simplejson
Requires: python3-gobject3
Requires: sugar-toolkit-gtk3

%description
The Chat activity will provide a simple interface for collaborative discussion,
be it between two individuals or among a group as large as an entire classroom.
While a lightweight and 'impermanent' chat will be provided in a layer above
all activities and the various mesh levels, this activity devoted to textual
communication will keep detailed records of the conversation within the journal
and provide a means of searching through the conversation to locate
important comments.

%prep
%setup -q -n Chat-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}/%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.Chat

%files -f org.laptop.Chat.lang
%doc AUTHORS NEWS
%license COPYING
%{_datadir}/applications/org.laptop.Chat.activity.desktop
%{_datadir}/sugar/activities/*
