Name:          sugar-pippy-activity
Version:       76
Release:       %mkrel 1
Summary:       Python programming activity for Sugar
License:       GPLv2
Group:         Graphical desktop/Other
Url:           https://sugarlabs.org/
Source:        https://download.sugarlabs.org/sources/sucrose/fructose/Pippy/Pippy-%{version}.tar.bz2
BuildArch:     noarch
BuildRequires: gettext
BuildRequires: python3-devel
BuildRequires: sugar-toolkit-gtk3
Requires:      python3-pybox2d
Requires:      python3-pygame
Requires:      python3-gobject3
Requires:      sugar-toolkit-gtk3

%description
Teaches Python programming by providing access to Python code samples
and a fully interactive Python interpreter.

The user can type and execute simple Python expressions. For example,
it would be possible for a user to write Python statements to calculate
expressions, play sounds, or make simple text animation.

The initial build ships with about twenty short Python examples covering
various aspects of the language.

%prep
%setup -q -n Pippy-%{version}
rm -rf library/pippy/physics

sed -i 's#!%{_bindir}/python[2,3]\?#!%{__python3}#' activity.py

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}%{_prefix}

# prebuilt
rm -rf %{buildroot}%{_datadir}/sugar/activities/Pippy.activity/library/box2d_*/_Box2D.so

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py

%find_lang org.laptop.Pippy

%files -f org.laptop.Pippy.lang
%doc NEWS
%license COPYING
%{_datadir}/applications/org.laptop.Pippy.activity.desktop
%{_datadir}/sugar/activities/*
