# workaround parallel build issue
%global _smp_ncpus_max 4

# filter out webkit1 requires
%global __requires_exclude typelib\\(WebKit\\)

%define major 0
%define gmajor 1.0
%define extlibname %mklibname sugarext %{major}
%define extgirname %mklibname sugarext-gir %{gmajor}
%define devname %mklibname sugarext -d

Name:       sugar-toolkit-gtk3
Version:    0.121
Release:    %mkrel 2
Summary:    Sugar toolkit
Group:      Graphical desktop/Other
License:    LGPLv2+
URL:        https://wiki.laptop.org/go/Sugar
Source:     https://download.sugarlabs.org/sources/sucrose/glucose/%{name}/%{name}-%{version}.tar.xz
Patch0:     sugar-toolkit-gtk3-0.107-link.patch
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xi)
BuildRequires: intltool
BuildRequires: gobject-introspection-devel
BuildRequires: pkgconfig(pygobject-3.0)

Requires: python3-dbus
Requires: sugar-datastore
Requires: python3-simplejson
Requires: python3-dateutil
Requires: python3-gobject3
Requires: unzip

%description
Sugar is the core of the OLPC Human Interface. The toolkit provides
a set of widgets to build HIG compliant applications and interfaces
to interact with system services like presence and the data store.

This is the toolkit depending on GTK3.

%package -n %{devname}
Summary: Invocation information for accessing SugarExt-1.0
Group: System/Libraries
Requires: %{extlibname} = %{version}-%{release}
Requires: %{extgirname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the invocation information for accessing
the SugarExt-1.0 library through gobject-introspection.

%package -n %{extlibname}
Summary: Shared libraries for %{name}
Group: System/Libraries

%description -n %{extlibname}
This package contains the shared libraries for %{name}.

%package -n %{extgirname}
Summary: GObject Introspection interface description for %{name}
Group: System/Libraries
Requires: %{extlibname} = %{version}-%{release}

%description -n %{extgirname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%autopatch -p1

%build
export LDFLAGS="%{ldflags} -lm"
autoreconf -vfi
%configure
%make_build

%install
%make_install

# remove unwanted la files
find %{buildroot} -name "*.la" -delete

# drop python2 support
ln -sf sugar-activity3 %{buildroot}%{_bindir}/sugar-activity

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING
%{python3_sitelib}/*
%{_bindir}/sugar-activity
%{_bindir}/sugar-activity3
%{_bindir}/sugar-activity-web

%files -n %{extlibname}
%{_libdir}/libsugar-eventcontroller.so.%{major}
%{_libdir}/libsugar-eventcontroller.so.%{major}.*
%{_libdir}/libsugarext.so.%{major}
%{_libdir}/libsugarext.so.%{major}.*

%files -n %{extgirname}
%{_libdir}/girepository-1.0/SugarExt-%{gmajor}.typelib
%{_libdir}/girepository-1.0/SugarGestures-%{gmajor}.typelib

%files -n %{devname}
%{_libdir}/libsugar-eventcontroller.so
%{_libdir}/libsugarext.so
%{_datadir}/gir-1.0/SugarExt-%{gmajor}.gir
%{_datadir}/gir-1.0/SugarGestures-%{gmajor}.gir
