%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^typelib\\(WebKit\\)$

# as of version 220, python3 code is not good in samples
%global _python_bytecompile_extra 0

Name: sugar-turtleblocks-activity
Version: 220
Release: %mkrel 3
Summary: Pseudo-Logo graphical programming language for Sugar
License: MIT
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
Source: https://download.sugarlabs.org/sources/sucrose/fructose/TurtleArt/TurtleBlocks-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: pkgconfig(python)
BuildRequires: sugar-toolkit-gtk3
Requires: python-numpy
Requires: sugar-toolkit-gtk3

Obsoletes: sugar-turtleart-activity < 171
Provides: sugar-turtleart-activity = %{version}-%{release}

%description
Turtle Art is an activity with a Logo-inspired graphical "turtle"
that draws colorful art based on Scratch-like snap-together visual
programming elements.
There are many restrictions compared to LOGO. The two allowed user-defined
procedures can't have parameters. Only two numeric global variables
are available, no lists or other data-structures. You can't make user defined
functions which return a value. The conditionals and some of the functions
only take constants or variables, not expressions. Limited screen real-estate
makes building large programs unfeasible.

%prep
%setup -q -n TurtleBlocks-%{version}
sed -i 's|#!\s\?%{_bindir}/.*python[2,3]\?|#!%{__python3}|' \
  *.py collaboration/*.py TurtleArt/*.py turtleblocks

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}/%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.TurtleArtActivity

%files -f org.laptop.TurtleArtActivity.lang
%doc NEWS README.md
%license COPYING
%{_datadir}/sugar/activities/*
%{_datadir}/applications/org.laptop.TurtleArtActivity.activity.desktop
%{_datadir}/metainfo/org.laptop.TurtleArtActivity.appdata.xml
