%global __requires_exclude typelib\\(WebKit\\)
%global __requires_exclude typelib\\(Maliit\\)

Summary: Constructionist learning platform
Name:    sugar
Version: 0.121
Release: %mkrel 3
License: GPLv2+
Group:   Graphical desktop/Other
URL:     https://sugarlabs.org/
Source0: https://download.sugarlabs.org/sources/sucrose/glucose/%{name}/%{name}-%{version}.tar.xz
BuildRequires: gettext-devel
BuildRequires: intltool
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: python3-empy

Requires: avahi
Requires: dbus-x11
Requires: dconf
Requires: ethtool
Requires: gnome-keyring
Requires: gvfs
Requires: gwebsockets
Requires: libwnck
Requires: metacity
Requires: NetworkManager
Requires: openssh
Requires: polkit
Requires: python3-gobject
Requires: python3-decorator
Requires: sugar-artwork
Requires: sugar-toolkit-gtk3
Requires: telepathy-mission-control
Requires: telepathy-gabble
Requires: telepathy-salut
Requires: upower
Requires: xdg-user-dirs

BuildArch: noarch

%description
Sugar provides simple yet powerful means of engaging young children in the
world of learning that is opened up by computers and the Internet. With Sugar,
even the youngest learner will quickly become proficient in using the computer
as a tool to engage in authentic problem-solving.  Sugar promotes sharing,
collaborative learning, and reflection, developing skills that help them in all
aspects of life.

Sugar is also the learning environment for the One Laptop Per Child project.
See http://www.laptop.org for more information on this project.

%package cp-all
Summary: All control panel modules
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}
Requires: %{name}-cp-background %{name}-cp-backup %{name}-cp-datetime
Requires: %{name}-cp-frame %{name}-cp-language %{name}-cp-modemconfiguration
Requires: %{name}-cp-network %{name}-cp-keyboard %{name}-cp-webaccount
Requires: %{name}-cp-updater

%description cp-all
This is a meta package to install all Sugar Control Panel modules.

%package cp-background
Summary: Sugar Background control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-background
This is the Sugar control panel to change the background.

%package cp-backup
Summary: Sugar Backup control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-backup
This is the Sugar control panel to backup and restore the Journal.

%package cp-datetime
Summary: Sugar Date and Time control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-datetime
This is the Sugar Date and Time settings control panel.

%package cp-frame
Summary: Sugar Frame control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-frame
This is the Sugar Frame settings control panel.

%package cp-keyboard
Summary: Sugar Keyboard control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-keyboard
This is the Sugar Keyboard settings control panel.

%package cp-language
Summary: Sugar Language control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-language
This is the Sugar Language settings control panel.

%package cp-modemconfiguration
Summary: Sugar Modem configuration control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}
Requires: mobile-broadband-provider-info

%description cp-modemconfiguration
This is the Sugar Modem configuration control panel.

%package cp-network
Summary: Sugar Network control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-network
This is the Sugar Network settings control panel.

%package cp-power
Summary: Sugar Power control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-power
This is the Sugar Power settings control panel.

%package cp-updater
Summary: Sugar Activity Update control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-updater
This is the Sugar Activity Updates control panel.

%package cp-webaccount
Summary: Sugar Web Account control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-webaccount
This is the Sugar Web Account control panel.


%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/sugar/activities

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%config %{_sysconfdir}/dbus-1/system.d/nm-user-settings.conf
%{_bindir}/sugar*
%{_datadir}/glib-2.0/schemas/org.sugarlabs.gschema.xml
%{_datadir}/mime/packages/sugar.xml
%{_datadir}/xsessions/sugar.desktop

%{python3_sitelib}/*

%dir %{_datadir}/sugar
%dir %{_datadir}/sugar/activities
%dir %{_datadir}/sugar/extensions
%dir %{_datadir}/sugar/extensions/cpsection
%{_datadir}/sugar/extensions/cpsection/__pycache__/

%{_datadir}/sugar/data
%{_datadir}/sugar/extensions/deviceicon
%{_datadir}/sugar/extensions/globalkey
%{_datadir}/sugar/extensions/webservice
%{_datadir}/sugar/extensions/cpsection/*.py*
%{_datadir}/sugar/extensions/cpsection/aboutcomputer
%{_datadir}/sugar/extensions/cpsection/aboutme
%exclude %{_datadir}/sugar/extensions/cpsection/[b-z]*
%{_datadir}/polkit-1/actions/org.sugar.brightness.policy
%{_datadir}/polkit-1/actions/org.sugar.serial-number.policy

%files cp-all

%files cp-background
%{_datadir}/sugar/extensions/cpsection/background

%files cp-backup
%{_datadir}/sugar/extensions/cpsection/backup

%files cp-datetime
%{_datadir}/sugar/extensions/cpsection/datetime

%files cp-frame
%{_datadir}/sugar/extensions/cpsection/frame

%files cp-keyboard
%{_datadir}/sugar/extensions/cpsection/keyboard

%files cp-language
%{_datadir}/sugar/extensions/cpsection/language

%files cp-modemconfiguration
%{_datadir}/sugar/extensions/cpsection/modemconfiguration

%files cp-network
%{_datadir}/sugar/extensions/cpsection/network

%files cp-power
%{_datadir}/sugar/extensions/cpsection/power

%files cp-updater
%{_datadir}/sugar/extensions/cpsection/updater

%files cp-webaccount
%{_datadir}/sugar/extensions/cpsection/webaccount
