%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		suil
Version:	0.10.22
Release:	%mkrel 1
Summary:	Lightweight C library for loading and wrapping LV2 plugin UIs
License:	ISC License (ISC)
Group:		System/Libraries
URL:		https://drobilla.net/software/suil
Source0:	https://download.drobilla.net/%{name}-%{version}.tar.xz
Patch1:		suil-linking.patch

BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	meson
BuildRequires:	python3
BuildRequires:	python-sphinx
BuildRequires:	python3-sphinxygen
BuildRequires:	pkgconfig(lv2) >= 1.18.10
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(serd-0) >= 0.32.0
BuildRequires:	pkgconfig(sratom-0) >= 0.6.16
BuildRequires:	python-sphinx-lv2-theme

Obsoletes:      %{_lib}%{name}-qt5-in-gtk2 <= 0.10.19
Obsoletes:      %{_lib}%{name}-qt5-in-gtk3 <= 0.10.19
Obsoletes:      %{_lib}%{name}-gtk2-in-qt5 <= 0.10.19
Obsoletes:      %{_lib}%{name}-gtk3-in-qt5 <= 0.10.19

%description
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
run-time using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.


%package -n %{lib_name}
Summary:	Lightweight RDF syntax library
Group:		System/Libraries
Obsoletes:	%{_lib}suil0 < 0.10.19

%description -n %{lib_name}
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
run-time using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.


%package -n %{lib_name_devel}
Summary:	Headers for the sord RDF storage library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against suil.


%package -n %{_lib}%{name}-x11-in-gtk2
Summary:	Shared object for GTK2 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-gtk2 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-gtk2
Shared object for GTK2 hosts displaying X11 LV2 GUIs.


%package -n %{_lib}%{name}-x11-in-gtk3
Summary:	Shared object for GTK3 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-gtk3 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-gtk3
Shared object for GTK3 hosts displaying X11 LV2 GUIs.


%package -n %{_lib}%{name}-x11
Summary:	Shared object for displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11 = %{version}-%{release}

%description -n %{_lib}%{name}-x11
Shared object for displaying X11 LV2 GUIs.

%package -n %{_lib}%{name}-x11-in-qt
Summary:	Shared object for Qt hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-qt = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-qt
Shared object for Qt hosts displaying X11 LV2 GUIs.


%prep
%autosetup -p1


%build
%meson -D cocoa=disabled \
       -D qt5=disabled
%meson_build


%install
%meson_install


%files -n %{lib_name}
%license COPYING
%doc AUTHORS NEWS README.md
%{_docdir}/%{name}-%{lib_api}/
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

%files -n %{_lib}%{name}-x11-in-gtk2
%{_libdir}/%{name}-0/libsuil_x11_in_gtk2.so

%files -n %{_lib}%{name}-x11-in-gtk3
%{_libdir}/%{name}-0/libsuil_x11_in_gtk3.so

%files -n %{_lib}%{name}-x11
%{_libdir}/%{name}-0/libsuil_x11.so

%files -n %{_lib}%{name}-x11-in-qt
%{_libdir}/%{name}-0/libsuil_x11_in_qt6.so
