Name:           sumwars
Version:        0.5.8
Release:        %mkrel 22
Summary:        Summoning Wars Role-Playing Game
Group:          Games/Adventure
License:        GPLv3+
# This site is defunct as of 2024
URL:            http://www.sumwars.org/
Source0:        https://sourceforge.net/projects/sumwars/files/%{version}/%{name}-%{version}.tar.bz2

Patch0:         sumwars-0.5.8-mga-install-paths.patch
Patch1:         sumwars-0.5.8-missing-include.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(CEGUI-0)
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pkgconfig(lua-5.1)
BuildRequires:  pkgconfig(OGRE) < 2
BuildRequires:  pkgconfig(OIS)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(tinyxml)

%description
Summoning Wars is an open source role-playing game, featuring both a
single-player and a multiplayer mode for about 2 to 8 players.

%prep
%autosetup -p1

%build
%cmake -DSUMWARS_NO_TINYXML=ON \
       -DSUMWARS_NO_ENET=ON \
       -DSUMWARS_BUILD_TOOLS=OFF \
       -DSUMWARS_UPDATE_HG_REVISION=OFF
%cmake_build

%install
%cmake_install

for size in 16 24 32 48 64 128; do
  install -D -m644 share/icon/SumWarsIcon_${size}x${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

install -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Summoning Wars
Comment=A multi-player, 3D action role-playing game
Exec=%{name}
Icon=%{name}
Type=Application
StartupNotify=false
Terminal=false
Categories=Game;RolePlaying;
EOF

rm -rf %{buildroot}%{_docdir}/sumwars/COPYING

%files
%doc README AUTHORS
%license COPYING
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
