%define with_maven 1
%global namedreltag %{nil}
%global namedversion %{version}%{?namedreltag}
Name:          sun-istack-commons
Version:       2.6.1
Release:       %mkrel 6
Summary:       Commons for JAXP, JAXB, SAAJ, and JAX-WS
Group:         Development/Java
License:       CDDL, GPL
Url:           https://istack-commons.dev.java.net/
# svn export svn export https://svn.java.net/svn/istack-commons~svn/tags/istack-commons-2.6.1
# rm -rf  istack-commons-2.6.1/test/lib/junit-src.zip \
#   istack-commons-2.6.1/test/lib/optional.jar \
#   istack-commons-2.6.1/test/lib/dom4j-src.zip \
#   istack-commons-2.6.1/test/lib/junit.jar \
#   istack-commons-2.6.1/test/lib/ant-src.zip \
#   istack-commons-2.6.1/test/lib/dom4j.jar \
#   istack-commons-2.6.1/test/lib/ant.jar \
#   istack-commons-2.6.1/tools/lib/ant-src.zip \
#   istack-commons-2.6.1/tools/lib/ant.jar \
#   istack-commons-2.6.1/runtime/lib/activation-src.zip \
#   istack-commons-2.6.1/runtime/lib/jsr173_1.0_src.jar \
#   istack-commons-2.6.1/runtime/lib/jsr173_1.0_api.jar \
#   istack-commons-2.6.1/runtime/lib/activation.jar \
#   istack-commons-2.6.1/lib/package-rename-task.jar

# tar czf istack-commons-2.6.1-src-svn.tar.gz istack-commons-2.6.1
Source0:       istack-commons-%{namedversion}-src-svn.tar.gz
# remove javax.activation
# replace groupId javax.xml.stream with stax
# force maven 3 BR/R
Patch0:        sun-istack-commons-2.6.1-buildfix.patch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils
BuildRequires: jvnet-parent

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: bea-stax-api
BuildRequires: codemodel
BuildRequires: dom4j

BuildRequires: junit

BuildRequires: maven-compiler-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-shared-file-management
BuildRequires: plexus-archiver
BuildRequires: plexus-io

BuildRequires: forge-parent
BuildRequires: maven-dependency-plugin
#BuildRequires: package-rename-task

Requires:      ant
Requires:      ant-junit
Requires:      bea-stax-api
Requires:      codemodel
Requires:      dom4j
# use jvm javax.activation apis
Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
Requires:      junit
Requires:      jvnet-parent
Requires:      xml-commons-apis

BuildArch:     noarch

%description
JAXP, JAXB, SAAJ, and JAX-WS projects are often used together
by other projects (such as Mustang, Glassfish, and JWSDP to
name a few.) But at the same time, they are released
independently, and those technologies don't necessarily
have dependencies between them.
To promote code reuse between these projects, we host the
common part in a separate project, so that when we ship
individually, we can each carry istack-commons.jar, and when
we deliver together into another technology, we can reduce
the footprint.

%package -n maven-plugin-istack-commons
Group:         Development/Java
Summary:       Istack Commons Maven Plugin
Requires:      %{name} = %{version}-%{release}
Requires:      maven
Requires:      maven-shared-file-management
Requires:      plexus-archiver
Requires:      plexus-io

%description -n maven-plugin-istack-commons
Istack Commons for JAXP, JAXB, SAAJ, and JAX-WS.

This package contains Istack Commons Maven Mojo.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for Istack Commons
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Istack Commons for JAXP, JAXB, SAAJ, and JAX-WS.

This package contains javadoc for Istack Commons.

%prep
%setup -q -n istack-commons-%{version}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.zip' -exec rm -f '{}' \;

%patch -P 0 -p1

%build

mvn-rpmbuild \
 -Dproject.build.sourceEncoding=UTF-8 \
 -Pdefault-tools.jar \
 install \
 javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/%{name}
install -pm 644 buildtools/target/istack-commons-buildtools-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}/buildtools.jar
install -pm 644 maven-plugin/target/maven-istack-commons-plugin-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}/maven-plugin.jar
install -pm 644 runtime/target/istack-commons-runtime-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}/runtime.jar
install -pm 644 test/target/istack-commons-test-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}/test.jar
install -pm 644 tools/target/istack-commons-tools-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}/tools.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-istack-commons.pom
%add_maven_depmap JPP.%{name}-istack-commons.pom
install -pm 644 buildtools/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-buildtools.pom
%add_maven_depmap JPP.%{name}-buildtools.pom %{name}/buildtools.jar
install -pm 644 runtime/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-runtime.pom
%add_maven_depmap JPP.%{name}-runtime.pom %{name}/runtime.jar
install -pm 644 test/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-test.pom
%add_maven_depmap JPP.%{name}-test.pom %{name}/test.jar
install -pm 644 tools/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-tools.pom
%add_maven_depmap JPP.%{name}-tools.pom %{name}/tools.jar
install -pm 644 maven-plugin/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-maven-plugin.pom
%add_maven_depmap -f maven-plugin JPP.%{name}-maven-plugin.pom %{name}/maven-plugin.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}/buildtools.jar
%{_javadir}/%{name}/runtime.jar
%{_javadir}/%{name}/test.jar
%{_javadir}/%{name}/tools.jar
%{_mavenpomdir}/JPP.%{name}-istack-commons.pom
%{_mavenpomdir}/JPP.%{name}-buildtools.pom
%{_mavenpomdir}/JPP.%{name}-runtime.pom
%{_mavenpomdir}/JPP.%{name}-test.pom
%{_mavenpomdir}/JPP.%{name}-tools.pom
%{_mavendepmapfragdir}/%{name}
%doc Licence.txt

%files -n maven-plugin-istack-commons
%{_javadir}/%{name}/maven-plugin.jar
%{_mavenpomdir}/JPP.%{name}-maven-plugin.pom
%{_mavendepmapfragdir}/%{name}-maven-plugin

%files javadoc
%{_javadocdir}/%{name}

