%define major     3
%define libname   %mklibname %name %major
%define develname %mklibname %name -d

# comment out if not pre release
%define prel	rc2

# rel for bumping
%define rel	1

Name:           sunpinyin
Summary:        A statistical language model based Chinese input method
Version:        3.0.0
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Group:          System/Internationalization
License:        LGPLv2+
URL:            https://code.google.com/p/sunpinyin
Source0:        https://github.com/sunpinyin/sunpinyin/archive/v%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.gz
Source1:        https://download.sourceforge.net/open-gram/lm_sc.3gm.arpa-20140820.tar.bz2
Source2:        https://download.sourceforge.net/open-gram/dict.utf8-20131214.tar.bz2
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  scons

%description
SunPinyin is a statistical language model based Chinese input method,
which was firstly developed by Sun Beijing Globalization team, and
opensource'd to community with opensolaris project, with LGPLv2 and
CDDL dual-licenses.

%package -n     %libname
Summary:        Shared library for %name
Group:          System/Internationalization
Requires:       %name = %version

%description -n %libname
SunPinyin is a statistical language model based Chinese input method,
which was firstly developed by Sun Beijing Globalization team, and
opensource'd to community with opensolaris project, with LGPLv2 and
CDDL dual-licenses.

This package contains shared library for %name.

%package -n     %develname
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
SunPinyin is a statistical language model based Chinese input method,
which was firstly developed by Sun Beijing Globalization team, and
opensource'd to community with opensolaris project, with LGPLv2 and
CDDL dual-licenses.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -qn %{name}-%{version}%{?prel:-%prel} -a1 -a2
%autopatch -p1

mkdir -p raw
mv lm_sc.3gm.arpa dict.utf8 raw

%build
%set_build_flags
%scons --prefix=%_prefix --libdir=%_libdir --datadir=%_datadir

cp -af doc/SLM-inst.mk raw/Makefile
%make_build -C raw PATH=../src:$PATH

%install
%set_build_flags
%scons_install --prefix=%_prefix --libdir=%_libdir --datadir=%_datadir --install-sandbox=%{buildroot}

%make_install -C raw

%files
%doc doc/README doc/*.mk
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man?/*

%files -n %libname
%_libdir/*.so.%{major}{,.*}

%files -n %develname
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*
