%define vname   %{name}2
%define upname  SuperTux

%bcond_without system_squirrel

Name:           supertux
Version:        0.6.3
Release:        %mkrel 9
Summary:        Classic 2D jump'n run sidescroller with Tux
Group:          Games/Arcade
License:        GPLv3
URL:            https://supertux.github.io
Source0:        https://github.com/SuperTux/supertux/releases/download/v%{version}/%{upname}-v%{version}-Source.tar.gz
Patch1:         supertux-missing-include.patch
Patch2:         SuperTux-v0.6.3-Source-fix-gcc11-build.patch
Patch3:         supertux-0.6.3-use-system-squirrel.patch
#
# Security patches
# P100 -> ...
#
# CVE-2021-41556
Patch100:       supertux-0.6.3-squirrel-CVE-2021-41556.patch
# CVE-2022-30292
Patch101:       supertux-0.6.3-squirrel-CVE-2022-30292.patch

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(raqm)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
%if %{with system_squirrel}
BuildRequires:  pkgconfig(squirrel)
%else
Provides:       bundled(squirrel) = 3.1
%endif
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(zlib)

BuildRequires:  cmake(glm)

Requires:       %{name}-data >= %{version}-%{release}

Provides:       bundled(tinygettext) = 0.1

%description
SuperTux is a classic 2D jump'n run sidescroller game in
a similar style like the original SuperMario games.

%package data
Summary:        Data files for %{name}
Group:          Games/Arcade
BuildArch:      noarch

%description data
This package contains games data files for %{name}.

%prep
%autosetup -p1 -n %{upname}-v%{version}-Source

%if %{with system_squirrel}
rm -r external/squirrel/
# Adapt to API changes in squirrel 3.2
sed -i -E 's|(sq_getinstanceup\(.*nullptr)(.*)|\1, false\2|g' src/scripting/wrapper.cpp
%endif

%build
%cmake \
  -DIS_SUPERTUX_RELEASE=ON \
  -DBUILD_SHARED_LIBS=OFF \
%if %{without system_squirrel}
  -DUSE_SYSTEM_SQUIRREL=OFF \
%endif
  -DENABLE_BOOST_STATIC_LIBS=OFF
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}

%files
%doc README.md NEWS.md
%license LICENSE.txt
%{_gamesbindir}/%{vname}
%{_datadir}/metainfo/%{vname}.appdata.xml
%{_datadir}/applications/%{vname}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_iconsdir}/hicolor/scalable/apps/%{vname}.svg

%files data
%{_gamesdatadir}/%{vname}/
