Summary:  A System for Allowing the Control of Process State on UNIX
Name: supervisor
Version: 4.2.5
Release: %mkrel 3

License: Zope Public License
Group: System/Base
URL: http://supervisord.org/
Source0: https://pypi.io/packages/source/s/%{name}/%{name}-%{version}%{?prever}.tar.gz
Source1: supervisord.service
Source2: supervisord.conf
Source3: supervisor.logrotate
Source4: supervisor.tmpfiles
BuildArch: noarch
BuildRequires:  python3-devel
BuildRequires:  systemd-units

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units


%description
The supervisor is a client/server system that allows its users to control a
number of processes on UNIX-like operating systems.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files supervisor

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sysconfdir}/supervisord.d
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_localstatedir}/log/%{name}
chmod 770 %{buildroot}%{_localstatedir}/log/%{name}
install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/supervisord.service
install -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/supervisord.conf
install -p -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/supervisor
install -D -p -m 0644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/%{name}.conf
sed -i s'/^#!.*//' $( find %{buildroot}%{python3_sitelib}/supervisor/ -type f)

rm -rf %{buildroot}%{python3_sitelib}/supervisor/meld3/
rm -f %{buildroot}%{_prefix}/doc/*.txt

%post
%_tmpfilescreate %{name}
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
# Don't restart supervisord here, we don't want its children to be restarted
# when the supervisor package is upgraded. Admins need to manually reload or
# restart supervisord.service.
%systemd_postun %{name}.service

%files -f %{pyproject_files}
%doc CHANGES.rst README.rst
%license COPYRIGHT.txt LICENSES.txt
%dir %{_localstatedir}/log/%{name}
%{_unitdir}/supervisord.service
%{_bindir}/supervisor*
%{_bindir}/echo_supervisord_conf
%{_bindir}/pidproxy

%{_tmpfilesdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/supervisord.conf
%dir %{_sysconfdir}/supervisord.d
%config(noreplace) %{_sysconfdir}/logrotate.d/supervisor

