Name:           surf
Version:        2.1
Release:        %mkrel 1
Summary:        Simple web browser
Group:          Networking/WWW
License:        MIT
URL:            https://surf.suckless.org/
Source0:        https://dl.suckless.org/%{name}/%{name}-%{version}.tar.gz
# Icon from Sirko Kemter aka gnokii
Source1:        surf.svg
Patch:		surf-2.0-default-homepage.patch
BuildRequires:  pkgconfig(gcr-3)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
Requires:       dmenu
Requires:	rootcerts
Requires:	xterm
Requires:	curl
Requires:	xprop

%description
surf is a simple web browser based on WebKit/GTK+.

%prep
%setup -q
%autopatch -p1

# build against webkit2gtk-4.1
sed -i \
  -e 's/webkit2gtk-4.0/webkit2gtk-4.1/g' \
  -e 's/webkit2gtk-web-extension-4.0/webkit2gtk-web-extension-4.1/g' \
  config.mk

# don't rebuid at install time
sed -i 's/^install:\s*all/install:/' Makefile

%build
%set_build_flags
%make_build \
	PREFIX=%{_prefix} \
	LIBPREFIX=%{_libdir}

%install
%make_install \
	PREFIX=%{_prefix} \
	LIBPREFIX=%{_libdir}

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications/
cat >> %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=surf
Comment=small and simple browser
Categories=Network;GTK;WebBrowser;
Exec=surf
Icon=surf
Terminal=false
Type=Application
EOF

# desktop icon
install -Dm644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files
%license LICENSE
%doc README TODO.md
%{_bindir}/surf
%{_libdir}/surf/webext-surf.so
%{_mandir}/man*/surf.*
%{_datadir}/applications/%{_real_vendor}-surf.desktop
%{_iconsdir}/hicolor/scalable/apps/surf.svg
