%define	api		1.0
%define	major		0
%define gmajor		1.0
%define	libname		%mklibname sushi %{api}
%define	gi_libname	%mklibname sushi-gir %{api}
%define	develname	%mklibname -d sushi %{api}

%global url_ver %%(echo %{version}|cut -d. -f1)

%global __provides_exclude_from ^%{_libdir}/%{name}/.*\\.so.*$

Name:		sushi
Version:	46.0
Release:	%mkrel 1
License:	GPLv2+
Summary:	Quick Previewer for Nautilus
Url:		https://www.gnome.org/
Group:		File tools
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	intltool
%ifnarch %{arm}
BuildRequires:	unoconv
%endif
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-x11-1.0)
BuildRequires:	pkgconfig(clutter-gst-3.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(evince-document-3.0)
BuildRequires:	pkgconfig(evince-view-3.0)
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(libmusicbrainz5)
#for gnome-autogen
BuildRequires:	meson
BuildRequires:	gettext-devel
Recommends:	nautilus

%description
Sushi is a quick previewer for Nautilus, the GNOME desktop file manager.

%package -n %{libname}
Summary:	Runtime libraries for %{name}
Group:		System/Libraries
# When built with unoconv support, the library will use unoconv to
# read LibreOffice files
Recommends:	unoconv

%description -n %{libname}
Runtime libraries for %{name}.

%package -n %{gi_libname}
Summary:	GObject introspection interface for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_libname}
GObject introspection interface for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gi_libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The sushi-devel package contains libraries and header files for developing
applications that use sushi.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README.md TODO
%license COPYING
%{_bindir}/sushi
%{_libexecdir}/org.gnome.NautilusPreviewer
%{_datadir}/dbus-1/services/org.gnome.NautilusPreviewer.service
%{_metainfodir}/org.gnome.NautilusPreviewer.appdata.xml
%{_datadir}/sushi
%exclude %{_datadir}/sushi/gir-1.0/Sushi-%{gmajor}.gir

%files -n %{libname}
%{_libdir}/sushi/libsushi-%{api}.so

%files -n %{gi_libname}
%{_libdir}/sushi/girepository-1.0/Sushi-%{gmajor}.typelib

%files -n %{develname}
%{_datadir}/sushi/gir-1.0/Sushi-%{gmajor}.gir
