# 20080612
%define cvs 0
%define rel 15
%if %{cvs}
%define distname %{name}-%{version}.%{cvs}
%define release %mkrel %{rel}.%{cvs}
%else
%define distname %{name}-utils-%{version}
%define release %mkrel %{rel}
%endif
%define _legacy_common_support 1

Summary: Userland tools for suspend-to-disk and suspend-to-RAM
Name: suspend
Version: 1.0
Release: %{release}
Source0: https://prdownloads.sourceforge.net/%{name}/%{distname}.tar.bz2

#- opensuse patches
Patch1: suspend-comment-configfile-options.diff
# not needed in Mageia
#Patch2: suspend-susescripts.diff
Patch3: suspend-default-compress.diff
Patch4: suspend-disable-bootsplash.diff
Patch5: suspend-default-splash.diff
# user interruption could be considered as an error, don't apply
#Patch6: suspend-0.80-dont-return-eintr-on-abort.diff
Patch10: suspend-0.80-keygen-new-defaults.diff
# we don't test whitelist
#Patch11: suspend-0.80-make-whitelist-test.diff
# not needed, builds fine
#Patch12: suspend-buildfixes.diff
Patch13: suspend-0.80-vbetool-retry-on-errors.diff
# we don't use bootsplash, not needed
#Patch16: suspend-splash-verbose-debug.diff
Patch18: s2disk-do-not-fail-without-local-terminals.patch
Patch19: s2disk-disable-splash-when-unable-to-switch-vts.patch
Patch21: suspend-ignore-acpi-video-flags-not-available.patch

#- Mageia patches
Patch102: suspend-utils-1.0-mgacomment.patch
Patch103: suspend-0.8-printf_format.patch
Patch107: suspend-utils-1.0-automake-1.13.patch
Patch108: suspend-utils-1.0-mga-noinline.patch

License: GPLv2
Group: System/Kernel and hardware
Url: https://suspend.sourceforge.net/
BuildRequires: pkgconfig(libpci) 
BuildRequires: pkgconfig(x86) 
BuildRequires: liblzo-devel 
BuildRequires: pkgconfig(zlib)
Obsoletes: wltool
Obsoletes: suspend-wltool
Requires(post): drakxtools-backend >= 10.4.97-1mdv2007.1
Requires(post): mkinitrd >= 4.2.17-27mdv2007.1
ExclusiveArch: %{x86} x86_64 ppc

%description
The goal of the project is to create a tool that can handle the so
called "suspend-to-both". Suspend to both means that prior putting the
system in STR (suspend to ram) a snapshot of the running system is
taken and stored on disk (as suspend to disk); if for any reason
(e.g. battery depleted) the state store in the RAM is lost the user
can resume from the disk without loosing data.

Currently suspend-to-ram and suspend-to-disk are handled by two
different program, s2ram and s2disk.

%package s2ram
Summary: Suspend-to-RAM utility
Group: System/Kernel and hardware
Conflicts: suspend < 0.5-4mdv2007.1

%description s2ram
s2ram is a suspend-to-RAM utility.

%prep
%setup -q -n %{distname}
#- opensuse patches
%patch -P 1 -p1
#%patch -P 2 -p0
%patch -P 3 -p0
%patch -P 4 -p0
%patch -P 5 -p0
#%patch -P 6 -p1
%patch -P 10 -p1
#%patch -P 11 -p0
#%patch -P 12 -p0
%patch -P 13 -p0
#%patch -P 16 -p1
#%patch -P 17 -p1
%patch -P 18 -p1
%patch -P 19 -p1
%patch -P 21 -p1

#- Mandriva/Mageia patches
%patch -P 102 -p1 -b .mdvcomment
%patch -P 103 -p1 -b .printf_format
%patch -P 107 -p1 -b .automake-1_13
%patch -P 108 -p1 -b .noinline

%build
#needed by patch105
libtoolize --force
autoreconf -fi

export CONFIGURE_TOP=`pwd`

mkdir -p shared
cd shared
%configure \
  --enable-compress \
  --enable-threads \
  --disable-splashy \
  --disable-plymouth \
  --disable-resume-static
%make_build
cd ..

%install
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}

%make_install -C shared
ln -sf %{_libdir}/%{name}/resume %{buildroot}%{_sbindir}
mv %{buildroot}%{_docdir}/suspend-utils %{buildroot}%{_docdir}/%{name}

%post
/usr/sbin/bootloader-config --action rebuild-initrds || :

%files
%doc HOWTO README README.s2ram-whitelist
%doc COPYING COPYING.GPL README.encryption
%{_sbindir}/resume
%{_sbindir}/s2both
%{_sbindir}/s2disk
%{_sbindir}/swap-offset
%{_libdir}/%{name}/resume
%config(noreplace) %{_sysconfdir}/%{name}.conf

%files s2ram
%{_sbindir}/s2ram


