Name:		svgcleaner
Summary:	A software to remove unnecessary data from SVG files
Version:	0.9.5
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphics/Utilities
URL:		https://github.com/RazrFalcon/svgcleaner
Source0:	https://github.com/RazrFalcon/svgcleaner/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	https://github.com/RazrFalcon/svgcleaner-gui/archive/v%{version}/%{name}-gui-%{version}.tar.gz
Source2:	vendor.tar.xz
Patch0:		svgcleaner-gui-suse.patch
BuildRequires:	cargo
BuildRequires:	git
BuildRequires:	rust
BuildRequires:	cmake(Qt5Concurrent)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Widgets)

Requires:	p7zip

%description
Svgcleaner reduces the size of an SVG image by removing useless data such as
- temporary data used by the vector editing application
- non-optimal SVG structure representation
- unused and invisible graphical elements

%prep
%setup -q
%setup -q -a 1
%patch -P 0 -p1
%setup -q -D -T -a 2

mkdir cargo-home
cat >cargo-home/config <<EOF
[source.crates-io]
registry = 'https://github.com/rust-lang/crates.io-index'
replace-with = 'vendored-sources'
[source.vendored-sources]
directory = './vendor'
EOF

%build
export CARGO_HOME=`pwd`/cargo-home/
cargo build --release %{?_smp_mflags}

cd svgcleaner-gui-%{version}
%qmake_qt5
%make_build

%install
mkdir build
export CARGO_HOME=`pwd`/cargo-home/
cargo install --root=build

mkdir -p %{buildroot}%{_bindir}
install -Dm0775 build/bin/svgcleaner %{buildroot}%{_bindir}/svgcleaner

cd svgcleaner-gui-%{version}
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.rst CHANGELOG.md FAQ.md data/help.txt
%license LICENSE.txt
%{_bindir}/svgcleaner*
%{_datadir}/applications/svgcleaner.desktop
%{_iconsdir}/hicolor/scalable/apps/svgcleaner.svg
