%define major		1
%define libname		%mklibname ttspico %{major}
%define develname	%mklibname ttspico -d

Name:		svox-pico
Version:	20220603
Release:	%mkrel 4
License:	Apache License
Group:		Sound/Utilities
Summary:	Text-To-Speech engine from Android project
Summary(fr_FR):	Moteur Text-To-Speech du projet Android
URL:		https://github.com/jpwhiting/svox-pico/
# tarball taken from:
# git clone https://github.com/jpwhiting/svox-pico
# commit: 422a3bb69d5f49f9f791b73d72ea7d8aff78d150
# Memo: cd svox-pico; git archive -o ../svox-pico-%%{version}.tar --prefix=svox-pico%%{version}/ HEAD; xz -9e ../svox-pico-%%{version}.tar
Source0:	%{name}-%{version}.tar.xz
# patches taken from debian:
Patch1:		0001-autoconf-building-of-library-using-libtool.patch
# fix segfault as of bug https://bugs.mageia.org/show_bug.cgi?id=27284
Patch2:		0001-fix-segfault.patch
# fix picolangdir path
Patch3:		svox-pico-fix-picolangdir-hardcoded-path.patch
# depend on P2
Patch4:		svox-pico-gcc14.patch
BuildRequires:	gettext-devel
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	pkgconfig(popt)

%description
Text-To-Speech engine from Android project.

%description -l fr_FR
Moteur Text-To-Speech du projet Android.

#------------------------------------------------

%package -n	%{libname}
Summary:	svox-pico library
Summary(fr_FR):	Librairie svox-pico
Group:		System/Libraries

%description -n	%{libname}
Library for svox-pico.

%description -n	%{libname} -l fr_FR
Librairie pour svox-pico.

#------------------------------------------------

%package -n	%{develname}
Summary:	svox-pico development files
Summary(fr_FR):	Fichiers de développement svox-pico
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files needed by svox-pico.

%description -n	%{develname} -l fr_FR
Fichiers de développement nécessaires à svox-pico.

#------------------------------------------------

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_datadir}/pico/lang
install -m 644 oldbinfiles/* %{buildroot}%{_datadir}/pico/lang

%files
%{_bindir}/*
%{_datadir}/pico/

%files -n %{libname}
%{_libdir}/libttspico.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/libttspico.so
%{_libdir}/pkgconfig/ttspico%{major}.pc
