Summary:	A utility for monitoring system logs files
Name:		swatchdog
Version:	3.2.4
Release:	%mkrel 3
License:	GPLv2
Group:		Monitoring
URL:		https://swatch.sourceforge.net/
Source0:	https://sourceforge.net/projects/swatch/files/swatchdog/%{name}-%{version}.tar.gz
Source1:	swatchrc.bz2
Source2:	README-mageia.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(File::Tail)
BuildRequires:	perl(Date::Calc)
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl-TimeDate
Requires:	perl perl-File-Tail perl-Date-Calc perl-Time-HiRes perl-TimeDate
BuildArch:	noarch

Obsoletes:      swatch < 3.2.3-10

%description
swatchdog.pl started out as swatch, the "simple watchdog" for activity
monitoring log files produced by UNIX's syslog facility. It has since
been evolving into a utility that can monitor just about any type of
log. The name has been changed to satisfy a request made by the old
Swiss watch company.

The Swatchdog utility monitors system log files, filters out unwanted data
and takes specified actions (i.e., sending email, executing a script,
etc.) based upon what it finds in the log files.

Install the swatchdog package if you need a program that will monitor log
files and alert you in certain situations.

%prep
%autosetup

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
perl -pi -e "s|^(INSTALLMAN1DIR\s=\s/usr/share/man/man1)|INSTALLMAN1DIR = \\$\(PREFIX\)/share/man/man1|" $RPM_BUILD_DIR/%{name}-%{version}/Makefile

%make_install

mkdir -p %{buildroot}%{_sysconfdir}
bzcat %{SOURCE1} >> %{buildroot}%{_sysconfdir}/swatchrc

bzcat %{SOURCE2} >> $RPM_BUILD_DIR/%{name}-%{version}/README-Mageia

rm -rf $RPM_BUILD_ROOT%{perl_vendorlib}/auto

%files
%doc CHANGES COPYRIGHT KNOWN_BUGS README* examples tools
%{_bindir}/%{name}
%{_mandir}/man?/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/swatchrc
%dir %{perl_vendorlib}/Swatchdog
%{perl_vendorlib}/Swatchdog/*
