#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           sweeper
Summary:        KDE System Cleaner
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2
URL:            https://kde.org/applications/utilities/org.kde.sweeper
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(PlasmaActivitiesStats)

Recommends:     sweeper-handbook


%description
Sweeper helps to clean unwanted traces the user leaves on the system and to
regain disk space removing unused temporary files.

%files -f %name.lang
%_kf6_categoriesdir/sweeper.*categories
%_kf6_bindir/sweeper
%_kf6_applicationsdir/org.kde.sweeper.desktop
%_kf6_iconsdir/hicolor/scalable/apps/sweeper.svg
%_kf6_metainfodir/org.kde.sweeper.appdata.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.sweeper.xml

#------------------------------------------------------------------------------

%package -n sweeper-handbook
Summary:        sweeper Handbook
Group:          Documentation
BuildArch:      noarch

%description -n sweeper-handbook
This package provides sweeper handbook.

%files -n sweeper-handbook
%docdir %_kf6_docdir/HTML/
%_kf6_docdir/HTML/*/sweeper/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
