%define _disable_ld_no_undefined 1
%global __requires_exclude swipl.sh

Summary:	Prolog interpreter and compiler
Name:		swi-prolog
Version:	9.2.9
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Other
URL:		https://www.swi-prolog.org/
Source0:	https://www.swi-prolog.org/download/stable/src/swipl-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	gmp-devel
BuildRequires:	libdb-devel
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libedit)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libtcmalloc_minimal)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(ossp-uuid)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(yaml-0.1)
Requires:	%{name}-nox
Requires:	%{name}-xpce
Recommends:	%{name}-doc

%description
Edinburgh-style Prolog compiler including modules, autoload, libraries,
Garbage-collector, stack-expander, C-interface, GNU-readline and GNU-Emacs
interface, very fast compiler.

%package nox
Group:		Development/Other
Summary:	SWI-Prolog without GUI components
Recommends:	%{name}-doc

%description nox
This package provide SWI-Prolog and several libraries, but without
GUI components.

%package x
Group:          Development/Other
Summary:        %{name} native GUI library
Requires:       %{name}-nox = %{version}-%{release}
Provides:	%{name}-xpce

%description x
XPCE is a toolkit for developing graphical applications in Prolog and
other interactive and dynamically typed languages.

%package java
Group:		Development/Java
Summary:	Java interface for %{name}
BuildRequires:	java-devel >= 1.6.0
Requires:	%{name}-nox = %{version}-%{release}
Provides:	%{name}-jpl

%description java
JPL is a dynamic, bi-directional interface between %{name} and Java
runtimes. It offers two APIs: Java API (Java-calls-Prolog) and Prolog
API (Prolog-calls-Java).

%package odbc
Group:		Development/Databases
Summary:	ODBC interface for %{name}
BuildRequires:	unixODBC-devel
Requires:	%{name}-nox = %{version}-%{release}

%description odbc
ODBC interface for SWI-Prolog to interact with database systems.

%package doc
Group:		Documentation
Summary:	Documentation for %{name}
Requires:	%{name}-nox = %{version}-%{release}

%description doc
Documentation for SWI-Prolog.

%prep
%autosetup -n swipl-%{version}

sed -i 's|lib/${SWIPL_INSTALL_DIR}|%{_lib}/${SWIPL_INSTALL_DIR}|' cmake/LocationsPostPorts.cmake

%build
%cmake -G Ninja \
       -DSWIPL_INSTALL_CMAKE_CONFIG_DIR:PATH=%{_lib}/cmake/swipl
%cmake_build

%install
%cmake_install

%files

%files nox
%doc README.md VERSION
%license LICENSE
%{_bindir}/swipl*
%exclude %{_bindir}/swipl-win
%{_libdir}/swipl/
%exclude %{_libdir}/swipl/swipl-win.rc
%exclude %{_libdir}/swipl/bin/*/swipl-win
%exclude %{_libdir}/swipl/doc
%exclude %{_libdir}/swipl/lib/*/libjpl.so
%exclude %{_libdir}/swipl/lib/jpl.jar
%exclude %{_libdir}/swipl/library/ext/jpl
%exclude %{_libdir}/swipl/xpce/*
%exclude %{_libdir}/swipl/lib/*/pl2xpce.so
%exclude %{_libdir}/swipl/lib/*/odbc4pl.so
%exclude %{_libdir}/swipl/library/ext/odbc
%{_libdir}/cmake/swipl/
%{_datadir}/pkgconfig/swipl.pc

%files x
%doc %{_libdir}/swipl/doc/Manual/*xpce.html
%{_bindir}/swipl-win
%{_libdir}/swipl/swipl-win.rc
%{_libdir}/swipl/bin/*/swipl-win
%{_libdir}/swipl/xpce/*
%{_libdir}/swipl/lib/*/pl2xpce.so

%files java
%license packages/jpl/LICENSE
%doc packages/jpl/README.md
%doc %{_libdir}/swipl/doc/packages/examples/jpl
%{_libdir}/swipl/lib/*/libjpl.so
%{_libdir}/swipl/lib/jpl.jar
%{_libdir}/swipl/library/ext/jpl

%files odbc
%doc packages/odbc/README
%doc %{_libdir}/swipl/doc/packages/odbc.html
%{_libdir}/swipl/lib/*/odbc4pl.so
%{_libdir}/swipl/library/ext/odbc

%files doc
%dir %{_libdir}/swipl/doc
%doc %{_libdir}/swipl/doc/Manual
%doc %{_libdir}/swipl/doc/packages
%{_mandir}/*/swipl*
%exclude %{_libdir}/swipl/doc/Manual/*xpce.html
%exclude %{_libdir}/swipl/doc/packages/examples/jpl
%exclude %{_libdir}/swipl/doc/packages/odbc.html
