%global debug_package %{nil}
%undefine _auto_set_build_flags

%global swifttag 5.6.2-RELEASE
%global swiftbuild swift-source
%global icu_version 65-1
%global yams_version 4.0.2
%global sap_version 0.4.3
%global swift_crypto_version 1.1.5
%global ninja_version 1.10.2
%global cmake_version 3.19.6
%global swift_atomics_version 1.0.2
%global swift_collections_version 1.0.1
%global swift_numerics_version 1.0.1
%global swift_system_version 1.1.1
%global swift_nio_version 2.31.2
%global swift_nio_ssl_version 2.15.0
%global swift_cmark_gfm_branch release/5.6-gfm 

Name:           swift-lang
Version:        5.6.2
Release:        1%{?dist}
Summary:        Apple's Swift programming language
License:        ASL 2.0 and Unicode
URL:            https://swift.org

Source0:        https://github.com/apple/swift/archive/swift-%{swifttag}.tar.gz#/swift.tar.gz
Source1:        https://github.com/apple/swift-corelibs-libdispatch/archive/swift-%{swifttag}.tar.gz#/corelibs-libdispatch.tar.gz
Source2:        https://github.com/apple/swift-corelibs-foundation/archive/swift-%{swifttag}.tar.gz#/corelibs-foundation.tar.gz
Source3:        https://github.com/apple/swift-integration-tests/archive/swift-%{swifttag}.tar.gz#/swift-integration-tests.tar.gz
Source4:        https://github.com/apple/swift-corelibs-xctest/archive/swift-%{swifttag}.tar.gz#/corelibs-xctest.tar.gz
Source5:        https://github.com/apple/swift-package-manager/archive/swift-%{swifttag}.tar.gz#/package-manager.tar.gz
Source6:        https://github.com/apple/swift-llbuild/archive/swift-%{swifttag}.tar.gz#/llbuild.tar.gz
Source7:        https://github.com/apple/swift-cmark/archive/swift-%{swifttag}.tar.gz#/cmark.tar.gz
Source8:        https://github.com/apple/swift-xcode-playground-support/archive/swift-%{swifttag}.tar.gz#/swift-xcode-playground-support.tar.gz
Source9:        https://github.com/apple/sourcekit-lsp/archive/swift-%{swifttag}.tar.gz#/sourcekit-lsp.tar.gz
Source10:       https://github.com/apple/indexstore-db/archive/swift-%{swifttag}.tar.gz#/indexstore-db.tar.gz
Source11:       https://github.com/apple/llvm-project/archive/swift-%{swifttag}.tar.gz#/llvm-project.tar.gz
Source12:       https://github.com/apple/swift-tools-support-core/archive/swift-%{swifttag}.tar.gz#/swift-tools-support-core.tar.gz
Source13:       https://github.com/apple/swift-argument-parser/archive/%{sap_version}.tar.gz
Source14:       https://github.com/apple/swift-driver/archive/swift-%{swifttag}.tar.gz#/swift-driver.tar.gz
Source15:       https://github.com/unicode-org/icu/archive/release-%{icu_version}.tar.gz
Source16:       https://github.com/apple/swift-syntax/archive/swift-%{swifttag}.zip#/swift-syntax.tar.gz
Source17:       https://github.com/jpsim/Yams/archive/%{yams_version}.zip
Source18:       https://github.com/apple/swift-crypto/archive/refs/tags/%{swift_crypto_version}.tar.gz
Source19:       https://github.com/ninja-build/ninja/archive/refs/tags/v%{ninja_version}.tar.gz#/ninja.tar.gz
Source20:	https://github.com/Kitware/CMake/releases/download/v%{cmake_version}/cmake-%{cmake_version}.tar.gz
Source21:	https://github.com/apple/swift-atomics/archive/refs/tags/%{swift_atomics_version}.zip
Source22:	https://github.com/apple/swift-collections/archive/refs/tags/%{swift_collections_version}.zip#/swift-collections.zip
Source23:	https://github.com/apple/swift-numerics/archive/refs/tags/%{swift_numerics_version}.zip#/swift-numerics.zip
Source24:	https://github.com/apple/swift-system/archive/refs/tags/%{swift_system_version}.zip#/swift-system.zip
Source25:       https://github.com/apple/swift-stress-tester/archive/swift-%{swifttag}.tar.gz#/swift-stress-tester.tar.gz
Source26:       https://github.com/apple/swift-docc/archive/swift-%{swifttag}.tar.gz#/swift-docc.tar.gz
Source27:       https://github.com/apple/swift-lmdb/archive/swift-%{swifttag}.tar.gz#/swift-lmdb.tar.gz
Source28:       https://github.com/apple/swift-docc-render-artifact/archive/swift-%{swifttag}.tar.gz#/swift-docc-render-artifact.tar.gz
Source29:       https://github.com/apple/swift-docc-symbolkit/archive/swift-%{swifttag}.tar.gz#/swift-docc-symbolkit.tar.gz
Source30:       https://github.com/apple/swift-markdown/archive/swift-%{swifttag}.tar.gz#/swift-markdown.tar.gz
Source31:	https://github.com/apple/swift-nio/archive/refs/tags/%{swift_nio_version}.zip#/swift-nio.zip
Source32:	https://github.com/apple/swift-nio-ssl/archive/refs/tags/%{swift_nio_ssl_version}.zip#/swift-nio-ssl.zip
Source33:	https://github.com/apple/swift-cmark/archive/refs/heads/%{swift_cmark_gfm_branch}.zip#/swift-cmark-gfm.zip

Patch0:		temp-patches.patch
Patch1:		goldinclude.patch
Patch2:		enablelzma.patch

BuildRequires:  clang
BuildRequires:  swig
BuildRequires:  rsync
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-distro
BuildRequires:  libbsd-devel
BuildRequires:  libxml2-devel
#BuildRequires:  libsqlite3x-devel
#BuildRequires:  libdispatch-devel
BuildRequires:  libcurl-devel
BuildRequires:  libuuid-devel
BuildRequires:  libedit-devel
BuildRequires:  libicu-devel
BuildRequires:  perl-podlators
BuildRequires:  python3-six
BuildRequires:  /usr/bin/pathfix.py
BuildRequires:	binutils-devel

Requires:       glibc-devel
Requires:	binutils
Requires:       gcc
Requires:       ncurses-devel

ExclusiveArch:  x86_64 aarch64 

Provides: 	swiftlang = %{version}-%{release}

%description
Swift is a general-purpose programming language built using 
a modern approach to safety, performance, and software design 
patterns.

The goal of the Swift project is to create the best available 
language for uses ranging from systems programming, to mobile 
and desktop apps, scaling up to cloud services. Most 
importantly, Swift is designed to make writing and maintaining 
correct programs easier for the developer. 


%prep
%setup -q -c -n %{swiftbuild} -a 0 -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10 -a 11 -a 12 -a 13 -a 14 -a 15 -a 16 -a 17 -a 18 -a 19 -a 20 -a 21 -a 22 -a 23 -a 24 -a 25 -a 26 -a 27 -a 28 -a 29 -a 30 -a 31 -a 32 -a 33
# The Swift build script requires directories to be named
# in a specific way so renaming the source directories is
# necessary
mv swift-cmark-swift-%{swifttag} cmark
mv swift-corelibs-foundation-swift-%{swifttag} swift-corelibs-foundation
mv swift-corelibs-libdispatch-swift-%{swifttag} swift-corelibs-libdispatch
mv swift-corelibs-xctest-swift-%{swifttag} swift-corelibs-xctest
mv swift-integration-tests-swift-%{swifttag} swift-integration-tests
mv swift-llbuild-swift-%{swifttag} llbuild
mv swift-package-manager-swift-%{swifttag} swiftpm
mv swift-swift-%{swifttag} swift
mv swift-xcode-playground-support-swift-%{swifttag} swift-xcode-playground-support
mv sourcekit-lsp-swift-%{swifttag} sourcekit-lsp
mv indexstore-db-swift-%{swifttag} indexstore-db
mv llvm-project-swift-%{swifttag} llvm-project
mv swift-syntax-swift-%{swifttag} swift-syntax
mv swift-tools-support-core-swift-%{swifttag} swift-tools-support-core
mv swift-argument-parser-%{sap_version} swift-argument-parser
mv swift-driver-swift-%{swifttag} swift-driver
mv swift-crypto-%{swift_crypto_version} swift-crypto
mv cmake-%{cmake_version} cmake
mv swift-atomics-%{swift_atomics_version} swift-atomics
mv swift-numerics-%{swift_numerics_version} swift-numerics
mv swift-collections-%{swift_collections_version} swift-collections
mv swift-system-%{swift_system_version} swift-system
mv swift-nio-%{swift_nio_version} swift-nio
mv swift-nio-ssl-%{swift_nio_ssl_version} swift-nio-ssl
mv swift-stress-tester-swift-%{swifttag} swift-stress-tester
mv swift-docc-swift-%{swifttag} swift-docc
mv swift-lmdb-swift-%{swifttag} swift-lmdb
mv swift-docc-render-artifact-swift-%{swifttag} swift-docc-render-artifact
mv swift-docc-symbolkit-swift-%{swifttag} swift-docc-symbolkit
mv swift-markdown-swift-%{swifttag} swift-markdown
mv swift-cmark-release-5.6-gfm swift-cmark-gfm

# ICU 
mv icu-release-%{icu_version} icu

# Yams
mv Yams-%{yams_version} yams

# Ninja
mv ninja-%{ninja_version} ninja

# Fix python to python3 
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" swift/utils/api_checker/swift-api-checker.py
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" llvm-project/compiler-rt/lib/hwasan/scripts/hwasan_symbolize

# Temp patch for testing building
%patch -P 0 -p0

# Gold Linker issue with LLVM under Fedora 36
%patch -P 1 -p0

# Enable LZMA
%patch -P 2 -p0


%build
export VERBOSE=1
# Before Fedora 34, we may not have /usr/bin/python, so we 
# roll our own because the build script expects there to be one.
%if 0%{?fedora} < 34 || 0%{?el8}
mkdir $PWD/binforpython
ln -s /usr/bin/python3 $PWD/binforpython/python
export PATH=$PWD/binforpython:$PATH
%endif

# Here we go!
swift/utils/build-script --preset=buildbot_linux,no_test install_destdir=%{_builddir} installable_package=%{_builddir}/swift-%{version}-fedora.tar.gz


%install
mkdir -p %{buildroot}%{_libexecdir}/swift/
cp -r %{_builddir}/usr/* %{buildroot}%{_libexecdir}/swift
mkdir -p %{buildroot}%{_bindir}
ln -fs %{_libexecdir}/swift/bin/swift %{buildroot}%{_bindir}/swift 
ln -fs %{_libexecdir}/swift/bin/swiftc %{buildroot}%{_bindir}/swiftc
ln -fs %{_libexecdir}/swift/bin/sourcekit-lsp %{buildroot}%{_bindir}/sourcekit-lsp
mkdir -p %{buildroot}%{_mandir}/man1
cp %{_builddir}/usr/share/man/man1/swift.1 %{buildroot}%{_mandir}/man1/swift.1

# This is to fix an issue with check-rpaths complaining about
# how the Swift binaries use RPATH
export QA_SKIP_RPATHS=1


%files
%license swift/LICENSE.txt
%{_bindir}/swift
%{_bindir}/swiftc
%{_bindir}/sourcekit-lsp
%{_mandir}/man1/swift.1.gz
%{_libexecdir}/swift/


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


