%global __provides_exclude perl\\(Test::(More|Builder)\\)
%global __requires_exclude_from %{_docdir}/%{name}

%define with_guile 0
%define with_ocaml 0
%define with_mono 0

Name:		swig
Epoch:		1
Version:	4.3.0
Release:	%mkrel 1
Summary:	Simplified Wrapper and Interface Generator (SWIG)
License:	BSD-like
Group:		Development/Other
URL:		https://www.swig.org
Source0:	https://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	bison
BuildRequires:	imake

%if %{with_guile}
BuildRequires:	guile-devel
%endif

%if %{with_ocaml}
BuildRequires:	ocaml
%endif

BuildRequires:	pkgconfig(lua)

%if %{with_mono}
BuildRequires:	mono
BuildRequires:	mono-devel
%endif

BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	libstdc++-devel
BuildRequires:	boost-devel
BuildRequires:	perl-devel
BuildRequires:	php-devel
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(ruby)
BuildRequires:	pkgconfig(tcl)
BuildRequires:	automake
BuildRequires:	autoconf

%description
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

%package doc
Summary:	Documentation and examples for %{name}
Group:		Development/C
BuildArch:	noarch
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description doc
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

Install the %{name}-doc package if you want to look at example and
documentation.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

# Remove all arch dependent files in Examples/
find %{buildroot} -type f -name 'Makefile.in' -delete -print

# We don't want to ship files below.
find %{buildroot} -type f -name '*.dsp' -delete -print
find %{buildroot} -type f -name '*.dsw' -delete -print

%files
%doc ANNOUNCE CHANGES CHANGES.current README TODO
%license LICENSE
%{_bindir}/swig
%{_bindir}/ccache-swig
%{_datadir}/swig

%files doc
%doc Examples Doc/Manual
