Name:           swing-layout
Version:        1.0.4
Release:        %mkrel 17
Summary:        Natural layout for Swing panels
Group:          Development/Java
License:        LGPLv2
URL:            https://swing-layout.dev.java.net/
# https://svn.java.net/svn/swing-layout~svn/trunk/
# the above urls are dead, since the upstream project doesn't exist anymore
Source0:        %{name}-%{version}-src.zip
# from http://java.net/jira/secure/attachment/27303/pom.xml
Source1:        %{name}-pom.xml
# use javac target/source 1.5
Patch0:         %{name}-%{version}-project_properties.patch
Patch1:         %{name}-%{version}-fix-incorrect-fsf-address.patch

BuildRequires:  junit >= 3.8.2
BuildRequires:  javapackages-local
BuildRequires:  java-devel >= 1.3
BuildRequires:  ant
BuildRequires:  dos2unix
Requires:       java-headless >= 1.3

BuildArch:      noarch

%description
Extensions to Swing to create professional cross platform layout.

%prep
%setup -q
dos2unix releaseNotes.txt
%patch -P 0 -p0
%patch -P 1 -p0
sed -i 's/\r//' COPYING

cat %{SOURCE1} | sed "s|<version>1.0.3</version>|<version>%{version}</version>|"  >  %{name}.pom

%build

%{ant} jar 
%mvn_artifact %{name}.pom dist/%{name}.jar

%install

%mvn_install -J dist/javadoc


%check
%{ant} test

%files -f .mfiles
%doc releaseNotes.txt
%license COPYING

