%define	relver	1.3.4c

Name:		swm
Version:	1.3.4
Release:	%mkrel 6
Summary:	A small window manager for X11
Group:		Graphical desktop/Other
License:	GPL
URL:		https://www.small-window-manager.de/swm.html
Source0:	https://www.small-window-manager.de/%{name}-%{relver}-src.tgz
Source1:        Makefile.source
Source2:        swm.conf
Source3:        swm.desktop
Patch0:         swm-1.3.4-fixstart.patch

BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xpm)

Requires:   xterm


%description 
Swm is a small window manager for X11 designed for very small laptop-screens
with a resolution of 640x400 pixels and above. (Or with PDA-mode
320x240) SWM is even smaller than a rxvt!

%prep
%setup -q 
%patch -P 0 -p1 -b .orig
cp %{SOURCE1} Makefile
cp %{SOURCE2} src/swm.conf
mv swmswitch swmswitch_dir
mv swmbg swmbg_dir

%build
%make_build CFLAGS="%{optflags}" LDFLAGS=" %{ldflags}" LDPATH="-L%{_libdir}"

%install
%make_install INSTALLROOT=%{buildroot} PREFIX=%{_prefix}

%__install -D -m 644 %{SOURCE3} %{buildroot}%{_datadir}/xsessions/swm.desktop

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/12Swm.desktop ]; then
	rm -rf %{_datadir}/xsessions/12Swm.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/12Swm.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/12Swm.desktop
fi

%files
%doc %{_docdir}/%{name}/
%{_datadir}/xsessions/swm.desktop
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}/
