%define url_ver %(echo %{version}|cut -d. -f1,2)

%define soversion %{url_ver}
%define libname   %mklibname %name %soversion
%define devname   %mklibname %name -d

Summary:        The SWORD Project framework for manipulating Bible texts
Name:           sword
Version:        1.9.0
Release:        %mkrel 13
License:        GPLv2+
Group:          System/Libraries
URL:            https://www.crosswire.org/sword/software/
Source:         https://www.crosswire.org/ftpmirror/pub/sword/source/v%{url_ver}/%{name}-%{version}.tar.gz
Source2:        sword_icons.tar.bz2
Patch0:         cmake-perl-bindings.diff
# Patch1 emailed to upstream
Patch1:         migrate-to-setuptools.diff
BuildRequires:  cmake
BuildRequires:  icu
BuildRequires:  swig
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(libclucene-core)
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

Requires:       curl


%description
The SWORD Project is an effort to create an ever expanding software package
for research and study of God and His Word.  The SWORD Framework
allows easy manipulation of Bible texts, commentaries, lexicons, dictionaries,
etc.  Many frontends are build using this framework.  An installed module
set may be shared between any frontend using the framework.

%package -n %{libname}
Summary:         Main library for SWORD
Group:           System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with SWORD.

%package -n %{devname}
Summary:         Development files for SWORD
Group:           Development/C
Requires:        %{libname} = %{version}-%{release}
Provides:        %{name}-devel = %{version}-%{release}
Provides:        lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the headers that programmers
will need to develop applications which will use the SWORD Bible Framework.

%package -n python3-sword
Summary:         Python3 bindings for Sword
Group:           Development/Python
%{?python_provide:%python_provide python3-sword}
Requires:        python3

%description -n python3-sword
Python 3 bindings for The SWORD Library.

%prep
%setup -q -a2
%autopatch -p1

%build
%cmake -DLIBSWORD_LIBRARY_TYPE=Shared \
       -DSWORD_PYTHON_3:BOOL=TRUE \
       -DSWORD_PERL:BOOL=FALSE \
       -DSWORD_BUILD_UTILS="Yes" \
       -DLIBSWORD_SOVERSION=%{soversion} \
       -DLIBDIR=%{_libdir} \
       -DSWORD_BUILD_TESTS=Yes \
       -DSWORD_PYTHON_INSTALL_ROOT="%{buildroot}" \
       -DSWORD_PYTHON_INSTALL_DIR="%{_prefix}"
%cmake_build

%install
%cmake_install

rm -f doc/Makefile.am samples/Makefile.am

%files
%doc README AUTHORS NEWS ChangeLog
%doc samples/ doc/*.*
%license COPYING LICENSE
%{_bindir}/*
%{_datadir}/%{name}/
%config(noreplace) %{_sysconfdir}/sword.conf

%files -n %{libname}
%license COPYING LICENSE
%{_libdir}/*%{name}.so.%{soversion}

%files -n %{devname}
%{_includedir}/sword/
%{_libdir}/*%{name}.so
%{_libdir}/pkgconfig/*.pc

%files -n python3-sword
%{python3_sitearch}/Sword.py
%{python3_sitearch}/_Sword%{python3_ext_suffix}
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/sword-%{version}-py%{python3_version}.egg-info/
