Name:		synapse
Version:	0.2.99.4
Release:	%mkrel 4
Summary:	A semantic launcher written in Vala

Group:		System/Libraries
License:	GPLv3+
URL:		https://launchpad.net/synapse-project
Source0:	https://launchpad.net/%{name}-project/0.3/%{version}/+download/%{name}-%{version}.tar.xz
Patch1:		0001-silence-desktop-entry-lacks-keywords-entry.patch

BuildRequires: intltool
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gdk-x11-3.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gee-0.8)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(keybinder-3.0) 
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(zeitgeist-2.0)
BuildRequires: vala-devel
BuildRequires: pkgconfig(rest-0.7)

%description
Synapse is a semantic launcher written in Vala that you can use to start
applications as well as find and access relevant documents and files by making
use of the Zeitgeist engine.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static --enable-zeitgeist=yes
%make_build

%install
%make_install

install -d -p -m 755 %{buildroot}%{_datadir}/vala/vapi
install -D -p -m 644 vapi/*.vapi %{buildroot}%{_datadir}/vala/vapi

# language files
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*

%files devel
%doc AUTHORS
%{_datadir}/vala/vapi
