# (blino) smltk.so expects callers to provide the SySync_ConsolePrintf symbol...
%define _disable_ld_no_undefined 1

%define gdbussyncevo_major	0
%define gdbussyncevo_libname	%mklibname gdbussyncevo %gdbussyncevo_major

%define smltk_major		0
%define smltk_libname		%mklibname smltk %smltk_major

%define syncevodbus_major	0
%define syncevodbus_libname	%mklibname syncevo-dbus %syncevodbus_major

%define syncevolution_major	0
%define syncevolution_libname	%mklibname syncevolution %syncevolution_major

%define synthesis_major		0
%define synthesis_libname	%mklibname synthesis %synthesis_major

%define develname		%mklibname %name -d

Summary:       SyncML client for evolution
Name:          syncevolution
Epoch:         1
Version:       2.0.0
Release:       %mkrel 6
License:       LGPLv2+
Group:         Office/Management
URL:           https://syncevolution.org/
Source0:       https://downloads.syncevolution.org/syncevolution/sources/syncevolution-2.0.0.tar.gz
Patch1:        fix-autoconf.patch
Patch3:        003-pcre2.patch
BuildRequires: pkgconfig(bluez)
BuildRequires: boost-devel
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(evolution-data-server-1.2)
BuildRequires: pkgconfig(expat)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gnome-keyring-1)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(libical)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(libsecret-1)
BuildRequires: pkgconfig(neon)
BuildRequires: pkgconfig(libpcre2-8)
BuildRequires: python3dist(docutils)
BuildRequires: python3-docutils
BuildRequires: python3-pygments
BuildRequires: pkgconfig(openobex)
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: systemd
BuildRequires: xsltproc

Requires: python3dist(twisted)
Requires: %{name}-backends

%description
syncevolution is designed to provide a SyncML client that can
connect to and sync with various SyncML-based servers

%package backends
Group:          System/Libraries
Summary:        %{name} backend plugins

%description backends
This package contains the backend plugins for %{name}.

%package -n %{gdbussyncevo_libname}
Group:          System/Libraries
Summary:        Gdbussyncevo library

%description -n %{gdbussyncevo_libname}
This package contains the gdbussyncevo library.

%package -n %{smltk_libname}
Group:          System/Libraries
Summary:        Smltk library

%description -n %{smltk_libname}
This package contains the smltk library.

%package -n %{syncevodbus_libname}
Group:          System/Libraries
Summary:        Syncevo-dbus library

%description -n %{syncevodbus_libname}
This package contains the syncevo-dbus library.

%package -n %{syncevolution_libname}
Group:          System/Libraries
Summary:        Syncevolution library

%description -n %{syncevolution_libname}
This package contains the syncevolution library.

%package -n %{synthesis_libname}
Group:          System/Libraries
Summary:        Synthesis library

%description -n %{synthesis_libname}
This package contains the synthesis library.

%package -n %{develname}
Summary: Development package for %{name}
Group: Development/C
Requires: %{name} = %{epoch}:%{version}-%{release}

%description -n %{develname}
Files for development with %{name}.

%package gtk
Summary: GTK+ GUI for %{name}
Group: Office/Management
Requires: %{name} = %{epoch}:%{version}-%{release}

%description gtk
GTK+ GUI for use with %{name}.

%package perl
Summary: Perl utils for %{name}
Group: Development/Perl
Requires: %{name} = %{epoch}:%{version}-%{release}

%description perl
Perl utils for use with %{name}.

%prep
%setup -q
%autopatch -p1

# use the ac macros in Makefile.am
sed -i '/^ACLOCAL_AMFLAGS/{ /m4-repo/!s/$/ -I m4-repo/ }' Makefile*.am

%build
autoreconf -fi . ./src/synthesis
%configure \
  --disable-static \
  --enable-shared \
  --with-expat=system \
  --with-gio-gdbus \
  --enable-bluetooth \
  --enable-dav \
  --enable-dbus-service \
  --enable-gnome-keyring \
  --enable-gtk=3 \
  --enable-gui \
  --enable-libcurl \
  --disable-libsoup

%make_build

find . -type d -perm 02755 -exec chmod 0755 '{}' \;

%install
%make_install

find %{buildroot} -name '*.a' -delete

rm -rf %{buildroot}%{_datadir}/doc

%find_lang %{name}

%files -f %{name}.lang
%license COPYING LICENSE*
%doc AUTHORS NEWS README HACKING README.html README.rst
%{_sysconfdir}/xdg/autostart/syncevo-dbus-server.desktop
%{_userunitdir}/syncevo-dbus-server.service
%{_bindir}/synccompare
%{_bindir}/syncevolution
%{_bindir}/syncevo-http-server
%{_bindir}/syncevo-phone-config
%{_bindir}/synclog2html
%{_bindir}/syncevo-webdav-lookup
%{_libexecdir}/syncevo-dbus-helper
%{_libexecdir}/syncevo-dbus-server
%{_libexecdir}/syncevo-dbus-server-startup.sh
%{_libexecdir}/syncevo-local-sync
%{_datadir}/syncevolution
%{_datadir}/dbus-1/services/org.syncevolution.service
%{_mandir}/man1/syncevolution.1*
%exclude %{_datadir}/syncevolution/xml/*.pl

%files backends
%dir %{_libdir}/syncevolution
%{_libdir}/syncevolution/backends

%files -n %{gdbussyncevo_libname}
%{_libdir}/libgdbussyncevo.so.%{gdbussyncevo_major}{,.*}

%files -n %{smltk_libname}
%{_libdir}/libsmltk.so.%{smltk_major}{,.*}

%files -n %{syncevodbus_libname}
%{_libdir}/libsyncevo-dbus.so.%{syncevodbus_major}{,.*}

%files -n %{syncevolution_libname}
%{_libdir}/libsyncevolution.so.%{syncevolution_major}{,.*}

%files -n %{synthesis_libname}
%{_libdir}/libsynthesis.so.%{synthesis_major}{,.*}

%files -n %{develname}
%{_includedir}/syncevo/
%{_includedir}/syncevo-dbus/
%{_includedir}/synthesis/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files gtk
%{_bindir}/sync-ui
%{_datadir}/applications/sync.desktop
%{_datadir}/icons/hicolor/48x48/apps/sync.png

%files perl
%{_bindir}/synccompare
%{_datadir}/syncevolution/xml/*.pl
