%global debug_package %{nil}

%ifarch x86_64
%global altarch amd64
%endif
%ifarch %{ix86}
%global altarch 386
%endif
%ifarch %{arm}
%global altarch arm
%endif

Name:		syncthing
Version:	1.0.1
Release:	%mkrel 1.rc1
Summary:	Syncthing - Decentralized file sharing system
License:	MIT
URL:		https://syncthing.net/
Group:		Networking/File transfer
Source0:	https://github.com/syncthing/syncthing/archive/v%{version}/syncthing-%{version}-rc.1.tar.gz
Source1:	syncthing@.service
Source2:	syncthing.init
Source3:	syncthing.sysconfig
Source4:	syncthing-tmpfiles.conf
Source5:	syncthing.sh

BuildRequires:	git
BuildRequires:	golang >= 1.1.4
BuildRequires:  systemd
Requires(pre):    rpm-helper >= %{rpmhelper_required_version}
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(post):   systemd >= %{systemd_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}
Requires(postun): rpm-helper >= %{rpmhelper_required_version}
Requires:	coreutils
Suggests:	cpulimit

%description
Syncthing replaces Dropbox and BitTorrent Sync with something open, trustworthy
and decentralized. Your data is your data alone and you deserve to choose where
it is stored, if it is shared with some third party and how it's transmitted
over the Internet.

Using syncthing, that control is returned to you.

%prep
%setup -c -T -n %{name}-%{version}-rc.1
mkdir -p src/github.com/syncthing
pushd src/github.com/syncthing
tar xvf  %{SOURCE0}
mv syncthing-%{version}-rc.1 syncthing
popd

%build
pushd src/github.com/syncthing/syncthing
# Version needs 'v' prefix: https://github.com/syncthing/syncthing/pull/4036
go run build.go -version v%{version} -no-upgrade -goarch %{altarch}
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/etc/sysconfig
mkdir -p %{buildroot}/var/run/syncthing
%{__install} -p -m 0755 src/github.com/syncthing/syncthing/bin/* %{buildroot}%{_bindir}
%{__install} %{SOURCE3} %{buildroot}/etc/sysconfig/%{name}
%{__install} -p -m 0755 %{SOURCE5} %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_unitdir}
%{__install} -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}
%{__install} -D -p -m 0644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%clean

%pre
%_pre_useradd %{name} /dev/null /bin/false

%post
if ! /usr/bin/id syncthing &>/dev/null; then
       /usr/sbin/useradd -r -g daemon -s /bin/false -c "The Syncthing" -d /var/run/syncthing syncthing 
fi
%_tmpfilescreate %{name}
#_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc  src/github.com/syncthing/syncthing/README.md src/github.com/syncthing/syncthing/LICENSE src/github.com/syncthing/syncthing/CONTRIBUTING.md
%{_bindir}/*
%config (noreplace) /etc/sysconfig/%{name}
%{_unitdir}/%{name}@.service
%{_tmpfilesdir}/%{name}.conf
