#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        Syndication - an RSS/Atom parser library
Name:           syndication
Epoch:          1
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Codecs) >= %{version}

%description
Syndication - an RSS/Atom parser library.

%files
%_kf6_categoriesdir/syndication.*categories

#--------------------------------------------------------------------

%define kf6syndication_major 6
%define libkf6syndication %mklibname kf6syndication %{kf6syndication_major}

%package -n %libkf6syndication
Summary:      Syndication - an RSS/Atom parser library
Group:        System/Libraries
Requires:     %{name} >= %{epoch}:%{version}-%{release}

%description -n %libkf6syndication
Syndication - an RSS/Atom parser library.

%files -n %libkf6syndication
%_kf6_libdir/libKF6Syndication.so.%{kf6syndication_major}{,.*}
%_kf6_libdir/libKF6Syndication.so.%{version}

#--------------------------------------------------------------------

%define kf6syndication_devel %mklibname kf6syndication -d

%package -n %kf6syndication_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6syndication = %{epoch}:%version-%release
Provides:       %name-devel = %{epoch}:%{version}-%{release}

%description -n %kf6syndication_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6syndication_devel
%_kf6_includedir/Syndication/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KF6Syndication/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
