%global synergy_revision 06a860d9

Summary:	Mouse and keyboard sharing utility
Name:		synergy
Version:	1.14.6.19
Release:	%mkrel 1
License:	GPLv2
Group:		Networking/Remote access
Url:		https://symless.com/synergy
Source0:	https://github.com/symless/synergy-core/archive/%{version}-stable/synergy-core-%{version}-stable.tar.gz
Patch0:		synergy-1.14.5.14-dns_sd-headers-path.patch
Patch1:		synergy-1.14.5.14-disable-bundled-gtest.patch
BuildRequires:	curl-devel
BuildRequires:	docbook-to-man
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	cmake
BuildRequires:	icoutils
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gmock)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(libdns_sd)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(pugixml)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Help)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5Widgets)

%description
Synergy lets you easily share a single mouse and keyboard between
multiple computers with different operating systems, each with its
own display, without special hardware.  It's intended for users
with multiple computers on their desk since each system uses its
own display.

%package gui
Summary:	Qt based GUI for %{name}
Group:		Networking/Remote access
Requires:	%{name} = %{version}-%{release}
Provides:	qsynergy = %{version}-%{release}

%description gui
The Synergy GUI is based on QSynergy by Volker Lanz.

%prep
%setup -q -n %{name}-core-%{version}-stable
%autopatch -p1

#fix rigths
chmod 644 doc/* ChangeLog

# remove some bundled libs
rm -rf ext/pugixml*
rm -rf ext/googletest*

%build
export CPPFLAGS="-I%{_includedir}/avahi-compat-libdns_sd/"
export SYNERGY_VERSION_STAGE="stable"
%cmake -DSYNERGY_VERSION_STAGE:STRING=stable \
       -DSYNERGY_REVISION:STRING=%{synergy_revision} \
       -DSYSTEM_PUGIXML=ON \
       -DBUILD_TESTS=OFF
%cmake_build

%install
%cmake_install

#conf
mkdir -p %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/%{name}.conf

## making manpages
mkdir -p %{buildroot}%{_mandir}/man8
gzip -c doc/synergyc.man > %{buildroot}%{_mandir}/man8/synergyc.8
gzip -c doc/synergys.man > %{buildroot}%{_mandir}/man8/synergys.8

%files
%license LICENSE
%doc ChangeLog res/Readme.txt
%doc doc/synergy.conf*
%ghost %config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/synergy-core
%{_bindir}/synergyc
%{_bindir}/synergys
%{_bindir}/syntool
%{_mandir}/man8/synergyc.8.*
%{_mandir}/man8/synergys.8.*

%files gui
%license LICENSE
%doc ChangeLog
%{_datadir}/applications/synergy.desktop
%{_iconsdir}/hicolor/*/apps/synergy.*
%{_bindir}/synergy
