%define major       0
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %{name} -d

Name:           synfig
Version:        1.5.3
Release:        %mkrel 2
Summary:        Vector-based 2D animation renderer
Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            https://www.synfig.org/
Source0:        https://downloads.sf.net/synfig/%{name}-%{version}.tar.gz
Patch1:         synfig-1.5.3-optflags.patch

BuildRequires:  cvs
BuildRequires:  intltool
BuildRequires:  boost-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  gettext-devel
BuildRequires:  libltdl-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(ETL) >= %{version}
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(mlt++-7)
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libmng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(ImageMagick)

Requires:       libdv-apps
Requires:       imagemagick
Requires:       ffmpeg

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the command-line renderer. For the GUI animation
editor, please install synfigstudio.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfig.

%package -n %{develname}
Summary:        Development headers and libraries for %{name}
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfig.

%prep
%autosetup -p1

%build
autoreconf -fi
intltoolize --copy --force
%configure \
    --disable-static \
    --with-imagemagick
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%config %{_sysconfdir}/%{name}_modules.cfg
%{_bindir}/%{name}
%{_libdir}/%{name}/

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/%{name}-config
%{_includedir}/%{name}-*/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
