%define major     0
%define libname   %mklibname synfigapp %{major}
%define develname %mklibname synfigapp -d

Name:           synfigstudio
Version:        1.5.3
Release:        %mkrel 1
Summary:        Vector-based 2D animation GUI
Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            https://www.synfig.org/
Source0:        https://downloads.sf.net/synfig/%{name}-%{version}.tar.gz
Patch0:         synfigstudio-cflags.patch

BuildRequires:  pkgconfig(ETL) >= %{version}
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(synfig) >= %{version}
BuildRequires:  synfig
BuildRequires:  intltool
Requires:       synfig >= %{version}

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the graphical user interface for synfig.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfigstudio.

%package -n %{develname}
Summary:        Development headers and libraries for %{name}
Group:          Development/C++
Provides:       synfigapp-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfigstudio.

%prep
%autosetup -p1

%build
autoreconf -fi
intltoolize --copy --force

%configure \
    --disable-static \
    --disable-rpath \
    --disable-update-mimedb
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%{_bindir}/%{name}
%{_bindir}/synfigplayer
%{_datadir}/synfig/
%{_datadir}/applications/org.synfig.SynfigStudio.desktop
%{_datadir}/appdata/org.synfig.SynfigStudio.appdata.xml
%{_iconsdir}/hicolor/*/apps/synfig_icon.*
%{_iconsdir}/hicolor/*/apps/org.synfig.SynfigStudio.svg
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/org.synfig.SynfigStudio.xml

%files -n %{libname}
%{_libdir}/libsynfigapp.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libsynfigapp.so
%{_includedir}/synfigapp-0.0/
