%define srcname	Synkron

Summary:	A synchronization tool with QT4 GUI
Name:		synkron
Version:	1.6.2
Release:	%mkrel 12
Group:		File tools
License:	GPLv2
URL:		https://sourceforge.net/projects/synkron/
Source0:	https://downloads.sourceforge.net/project/%name/%name/%version/%srcname-%{version}-src.tar.gz
Source1:	Synkron.desktop
BuildRequires:	qt4-devel >= 4:4.3 
BuildRequires:  desktop-file-utils
Requires:	qt4-common >= 4:4.3

%description
Synkron is an application for folder synchronisation that allows you
to configure your synchronisations in detail. Despite having many
features, the user interface of Synkron is very user-friendly and easy
to use.

Synkron is able to synchronise multiple folders at once, analyse
folders before sync, restore overwritten or deleted files, plan
synchronisations and much more.

%files
%doc gpl.txt readme.txt
%{_bindir}/synkron
%{_datadir}/icons/synkron/
%{_datadir}/applications/Synkron.desktop

#---------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}-src

%build
lrelease Synkron.pro
%qmake_qt4 -config release
%make_build

%install
#binary
install -d %{buildroot}%{_bindir}
install -m 0755 synkron %{buildroot}%{_bindir}

#icon
install -d %{buildroot}%{_datadir}/icons/%{name}
install -m 0644 images/Synkron48.png %{buildroot}%{_datadir}/icons/%{name}

#desktop file
desktop-file-install  --dir="%{buildroot}%{_datadir}/applications" %{SOURCE1}
# Fix perms
chmod 644  gpl.txt readme.txt

