#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           syntax-highlighting
Summary:        KDE Frameworks 6 Tier 1 Syntax highlighting Engine for Structured Text and Code
Version: 6.13.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kde.org
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6LinguistTools)

BuildRequires:  pkgconfig(xerces-c)

%description
KDE Frameworks 6 Tier 1 Syntax highlighting Engine for Structured Text and Code.

%files -f syntaxhighlighting6_qt.lang
%_kf6_categoriesdir/ksyntaxhighlighting.*categories
%_kf6_bindir/ksyntaxhighlighter6
%_kf6_qmldir/org/kde/syntaxhighlighting/

#------------------------------------------------------------------------------

%define syntaxhighlighting_major 6
%define libsyntaxhighlighting %mklibname kf6syntaxhighlighting %syntaxhighlighting_major

%package -n %libsyntaxhighlighting
Summary:        KDE Frameworks 6 Tier 1 Syntax highlighting Engine for Structured Text and Code
Group:          System/Libraries
Requires:       %name >= %version-%release

Obsoletes:      %{_lib}syntaxhighlighting5 < 5.60.0-2

%description -n %libsyntaxhighlighting
KDE Frameworks 6 Tier 1 Syntax highlighting Engine for Structured Text and Code.

%files -n %libsyntaxhighlighting
%_kf6_libdir/libKF6SyntaxHighlighting.so.%{syntaxhighlighting_major}{,.*}
%_kf6_libdir/libKF6SyntaxHighlighting.so.%{version}

#------------------------------------------------------------------------------

%define libname %mklibname kf6syntaxhighlighting -d

%package -n %libname
Summary:        Devel packages for %name
Group:          System/Libraries
Requires:       %libsyntaxhighlighting = %version-%release
Provides:       %name-devel = %version-%release

%description -n %libname
Devel packages for %name.

%files -n %libname
%_kf6_includedir/KSyntaxHighlighting/
%_kf6_libdir/cmake/KF6SyntaxHighlighting/
%_kf6_libdir/libKF6SyntaxHighlighting.so

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang_kf6 syntaxhighlighting6_qt
