%define modname stk11xx

Name:           syntek
Version:        3.0.0
Release:        %mkrel 10
Summary:        USB Video Camera driver for DC-1125 and STK-1135
Group:          System/Kernel and hardware
License:        GPLv2
URL:            https://syntekdriver.sourceforge.net/
#https://syntekdriver.svn.sourceforge.net/viewvc/syntekdriver/tags/%{version}/?view=tar
Source:         syntekdriver-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  doxygen

%description
Documentation for the syntek USB 2.0 video camera driver for DC-1125 and
STK-1135

%package -n dkms-%{name}
Summary:        DKMS-ready kernel-source for the Syntek USB Video Camera kernel module
Group:          System/Kernel and hardware

Requires(post): ctags
Requires(post): dkms
Requires(preun):dkms

%description -n dkms-%{name}
DKMS-ready syntek USB 2.0 video camera driver for DC-1125 and STK-1135

%prep
%setup -qn %{version}

%build
%make_build -f Makefile.standalone doc

%install
mkdir -p -m755 %{buildroot}%{_docdir}/%{name}-%{version}/html
install -m644 %{_builddir}/doxygen/html/* %{buildroot}%{_docdir}/%{name}-%{version}/html
install -m644 README %{buildroot}%{_docdir}/%{name}-%{version}

# DKMS stuff
mkdir -p -m755 %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}
cp -a * %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}
# Configuration for dkms
cat > %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}/dkms.conf << 'EOF'
PACKAGE_VERSION=%{version}-%{release}
# Items below here should not have to change with each driver version
PACKAGE_NAME=%{name}
BUILT_MODULE_NAME[0]="%{modname}"
DEST_MODULE_LOCATION[0]="/kernel/3rdparty/%{name}"
REMAKE_INITRD="no"
AUTOINSTALL=yes
EOF

%post -n dkms-%{name}
dkms add -m %{name} -v %{version}-%{release} --rpm_safe_upgrade || :
dkms build -m %{name} -v %{version}-%{release} --rpm_safe_upgrade || :
dkms install -m %{name} -v %{version}-%{release} --rpm_safe_upgrade || :

%preun -n dkms-%{name}
dkms remove -m %{name} -v %{version}-%{release} --all --rpm_safe_upgrade || :

%files
%dir %{_docdir}/%{name}-%{version}/
%doc %{_docdir}/%{name}-%{version}/README
%dir %{_docdir}/%{name}-%{version}/html/
%doc %{_docdir}/%{name}-%{version}/html/*

%files -n dkms-%{name}
%doc README
%{_usrsrc}/%{name}-%{version}-%{release}/

