Name:           sysbench
Version:        1.0.20
Release:        %mkrel 1
Summary:        Scriptable database and system performance benchmark
License:        GPL-2.0-only
Group:          System/Kernel and hardware
URL:            https://github.com/akopytov/sysbench
Source0:        https://github.com/akopytov/sysbench/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  docbook-style-xsl
BuildRequires:  libaio-devel
BuildRequires:  libtool
BuildRequires:  xsltproc
BuildRequires:  mariadb-devel
BuildRequires:  postgresql-devel >= 15
BuildRequires:  pkgconfig(ck)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)

%description
SysBench is a modular, cross-platform and multi-threaded benchmark
tool for evaluating OS parameters that are important for a system
running a database under intensive load.

The idea of this benchmark suite is to quickly get an impression about
system performance without setting up complex database benchmarks or
even without installing a database at all. Current features allow to
test the following system parameters:
- file I/O performance
- scheduler performance
- memory allocation and transfer speed
- POSIX threads implementation performance
- database server performance (OLTP benchmark)

Primarily written for MySQL server benchmarking, SysBench will be
further extended to support multiple database backends, distributed
benchmarks and third-party plug-in modules.

%prep
%autosetup

rm -r third_party/luajit/luajit/
rm -r third_party/concurrency_kit/ck/

%build
autoreconf -fiv
%configure --with-mysql \
           --with-pgsql \
           --with-system-ck \
           --with-system-luajit \
           --without-gcc-arch
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/doc/sysbench

%files
%license COPYING
%doc ChangeLog README.md doc/manual.html
%{_bindir}/sysbench
%{_datadir}/sysbench/
