%define fname		sysfs
%define lib_name_orig	lib%{fname}
%define lib_major	2
%define lib_name	%mklibname %{fname} %{lib_major}
%define develname	%mklibname %{fname} -d
%define staticdevelname	%mklibname %{fname} -d -s

Name: 		sysfsutils
Version: 	2.1.1
Release: 	%mkrel 3
Summary: 	Utility suite to enjoy sysfs
License: 	GPLv2
Group: 		System/Kernel and hardware
URL:		https://github.com/linux-ras/sysfsutils
Source0: 	https://github.com/linux-ras/sysfsutils/archive/v%{version}.tar.gz

%description
This package's purpose is to provide a set of utilities for interfacing
with sysfs, a virtual filesystem in Linux kernel versions 2.5+ that
provides a tree of system devices. While a filesystem is a very useful
interface, we've decided to provide a stable programming interface
that will hopefully make it easier for applications to query system devices
and their attributes.

This package currently includes:

- libsysfs: a library for accessing system devices.
- systool: an application to view system device information by bus, class,
        and topology.

%package -n	%{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}. The libsysfs library enables to access system devices.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{lib_name_orig}%{lib_major}-devel = %{version}-%{release}
# for Turbolinux compatibility:
Provides:	sysfsutils-devel = %{version}-%{release}
Conflicts:	%{_lib}sysfs1-devel < 2.1.0

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{staticdevelname}
Summary:	Static library for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Requires:	%{develname} = %{version}
Provides:	%{lib_name_orig}-static-devel = %{version}-%{release}
Provides:	%{lib_name_orig}%{lib_major}-static-devel = %{version}-%{release}

%description -n	%{staticdevelname}
This package contains the static library that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q
%autopatch -p1
autoreconf -fi -Im4

%build
./autogen
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS README
%{_bindir}/systool
%{_mandir}/man1/*

%files -n %{lib_name}
%{_libdir}/libsysfs.so.%{lib_major}{,.*}

%files -n %{develname}
%doc docs/libsysfs.txt
%{_libdir}/libsysfs.so
%dir %{_includedir}/sysfs
%{_includedir}/sysfs/libsysfs.h
%{_includedir}/sysfs/dlist.h
%{_libdir}/pkgconfig/libsysfs.pc
