%define api            4.8
%define major          0
%define libname        %mklibname syslog-ng %{api} %{major}
%define develname      %mklibname syslog-ng -d

%define major_secret   0
%define libname_secret %mklibname secret-storage %{major_secret}

%define journalcfgdir  %{_sysconfdir}/systemd

Name:       syslog-ng
Version:    4.8.1
Release:    %mkrel 2
Summary:    Next-generation syslog server
Group:      System/Kernel and hardware
License:    GPLv2 LGPLv2+
Url:        https://github.com/syslog-ng/syslog-ng
Source0:    https://github.com/syslog-ng/syslog-ng/releases/download/syslog-ng-%{version}/syslog-ng-%{version}.tar.gz
Source2:    syslog-ng.logrotate
Source3:    syslog-ng.service
Source4:    syslog-ng.sysconfig
Source5:    syslog-ng.tmpfiles
# (eatdirt) script to switch on fwd to syslog in systemd journal
Source6:    syslog-ng_switchfwd
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  xsltproc
BuildRequires:  net-devel >= 1.1.3
BuildRequires:  pkgconfig(libesmtp-1.0)
BuildRequires:  libnet-snmp-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(dbi)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(geoip)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libmongoc-1.0)
BuildRequires:  pkgconfig(libmaxminddb)
BuildRequires:  pkgconfig(librabbitmq)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(hiredis)
BuildRequires:  pkgconfig(snappy)
BuildRequires:  librdkafka-devel
BuildRequires:  pkgconfig(libpcre2-8)
Provides:       syslog-daemon
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

BuildRequires:  python3-pip
BuildRequires:  python3-boto3
BuildRequires:  python3-cachetools
BuildRequires:  python3-certifi
BuildRequires:  python3-charset-normalizer
BuildRequires:  python3-google-auth
BuildRequires:  python3-idna
BuildRequires:  python3-kubernetes
BuildRequires:  python3-oauthlib
BuildRequires:  python3-pyasn1
BuildRequires:  python3-pyasn1-modules
BuildRequires:  python3-dateutil
BuildRequires:  python3-PyYAML
BuildRequires:  python3-requests
BuildRequires:  python3-requests-oauthlib
BuildRequires:  python3-rsa
BuildRequires:  python3-six
BuildRequires:  python3-urllib3
BuildRequires:  python3-websocket-client

%description
syslog-ng is an enhanced log daemon, supporting a wide range of input and
output methods: syslog, unstructured text, message queues, databases (SQL
and NoSQL alike) and more.

Key features:

 * receive and send RFC3164 and RFC5424 style syslog messages
 * work with any kind of unstructured data
 * receive and send JSON formatted messages
 * classify and structure logs with builtin parsers (csv-parser(),
   db-parser(), ...)
 * normalize, crunch and process logs as they flow through the system
 * hand on messages for further processing using message queues (like
   AMQP), files or databases (like PostgreSQL or MongoDB).

%package -n %{libname}
Summary:        Libraries for %{name}
Group:          Development/C
Obsoletes:      %{_lib}syslog-ng4.2 < 4.2.0-3

%description -n %{libname}
The libraries for %{name}.

%package -n %{libname_secret}
Summary:        Secret-storage library for %{name}
Group:          Development/C
Obsoletes:      %{_lib}syslog-ng-secret-storage-devel < 4.2.0-3
Conflicts:      %{_lib}syslog-ng4.2 < 4.2.0-3
Conflicts:      %{_lib}syslog-ng4.0 < 4.2.0

%description -n %{libname_secret}
The secret-storage library for %{name}.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Provides:       %{name}-devel
Obsoletes:      %{_lib}syslog-ng-secret-storage-devel < 4.2.0-3
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_secret} = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for
developing applications that use %{name}.

%package slog
Summary: secure logging support for %{name}
Requires: %{name} = %{version}-%{release}

%description slog
This module supports secure message transfer and storage (experimental).

%package libdbi
Summary: Libdbi support for %{name}
Requires: %{name} = %{version}-%{release}

%description libdbi
This module supports a large number of database systems via libdbi.

%package mongodb
Summary: MongoDB support for %{name}
Requires: %{name} = %{version}-%{release}

%description mongodb
This module supports the mongodb database via libmongo-client.

%package kafka
Summary: Kafka support for %{name}
Requires: %{name} = %{version}-%{release}

%description kafka
This module supports sending logs to Kafka through librdkafka.

%package smtp
Summary: SMTP support for %{name}
Requires: %{name} = %{version}-%{release}

%description smtp
This module supports sending e-mail alerts through an smtp server.

%package snmp
Summary: SNMP support for %{name}
Requires: %{name} = %{version}-%{release}

%description snmp
This module adds support for SNMP destination.

%package geoip
Summary: GeoIP support for %{name}
Requires: %{name} = %{version}-%{release}

%description geoip
This template function returns the 2-letter country code of
any IPv4 address or host.

%package redis
Summary: Redis support for %{name}
Requires: %{name} = %{version}-%{release}

%description redis
This module supports the redis key-value store via hiredis.

%package http
Summary: HTTP support for %{name}
Requires: %{name} = %{version}-%{release}

%description http
This module supports the http destination.

%package amqp
Summary: AMQP support for %{name}
Requires: %{name} = %{version}-%{release}

%description amqp
This module supports the AMQP destination.

%package python
Summary: Python support for %{name}
Requires: %{name} = %{version}-%{release}
Obsoletes: python3-syslog-ng < 4

%description python
This module supports the Python destination.


%package python-modules
Summary:        Python-based drivers for syslog-ng
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-python = %{version}-%{release}
Requires:  python3-boto3
Requires:  python3-cachetools
Requires:  python3-certifi
Requires:  python3-charset-normalizer
Requires:  python3-google-auth
Requires:  python3-idna
Requires:  python3-kubernetes
Requires:  python3-oauthlib
Requires:  python3-pyasn1
Requires:  python3-pyasn1-modules
Requires:  python3-dateutil
Requires:  python3-PyYAML
Requires:  python3-requests
Requires:  python3-requests-oauthlib
Requires:  python3-rsa
Requires:  python3-six
Requires:  python3-urllib3
Requires:  python3-websocket-client

%description python-modules
This package provides Python-based (Kubernetes, Hypr) drivers for syslog-ng.

%prep
%autosetup -p 1

# Remove bundled libraries
rm -rf modules/afamqp/rabbitmq-c
rm -rf modules/afmongodb/mongo-c-driver

# fix perl path
%{__sed} -i 's|^#!/usr/local/bin/perl|#!%{__perl}|' contrib/relogger.pl

# fix executable perms on contrib files
%{__chmod} -c a-x contrib/syslog2ng

# fix authors file
/usr/bin/iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && \
    %{__mv} -f AUTHORS.conv AUTHORS

# Fix python shebang
%py3_shebang_fix lib/merge-grammar.py
touch -r lib/cfg-grammar.y lib/merge-grammar.py

%build
#autoreconf -fi
%configure \
    --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir}/%{name} \
    --localstatedir=%{_sharedstatedir}/%{name} \
    --datadir=%{_datadir} \
    --with-module-dir=%{_libdir}/%{name} \
    --with-pidfile-dir=/run/syslog-ng \
    --with-systemdsystemunitdir=%{_unitdir} \
    --with-mongoc=system \
    --with-embedded-crypto \
    --enable-manpages \
    --enable-ipv6 \
    --enable-spoof-source \
    --with-linux-caps=auto \
    --enable-sql \
    --enable-kafka \
    --enable-json \
    --enable-ssl \
    --enable-smtp \
    --enable-geoip \
    --enable-shared \
    --disable-static \
    --enable-dynamic-linking \
    --enable-systemd \
    --enable-redis \
    --enable-amqp \
    --enable-python \
    --with-python=3 \
    --with-python-packages=system \
    --disable-java \
    --disable-java-modules \
    --enable-afsnmp

%make_build

%install
%make_install

install -d -m 755 %{buildroot}%{_sysconfdir}/syslog-ng/conf.d
install -m 644 packaging/rhel/syslog-ng.conf %{buildroot}%{_sysconfdir}/syslog-ng/syslog-ng.conf

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/syslog-ng

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/syslog-ng.service

install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/syslog-ng

install -d -m 755 %{buildroot}%{_tmpfilesdir}
install -m 644 %{SOURCE5} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# create the local state dir
install -d -m 755 %{buildroot}%{_sharedstatedir}/syslog-ng

# install the main library header files
%{__install} -d -m 755 %{buildroot}%{_includedir}/%{name}
%{__install} -p -m 644 config.h %{buildroot}%{_includedir}/%{name}
%{__install} -p -m 644 lib/*.h %{buildroot}%{_includedir}/%{name}

# remove some extra testing related files
rm %{buildroot}%{_unitdir}/%{name}@.service





# (eatdirt)
%__install -D -p -m 755 %{SOURCE6} %{buildroot}%{_sbindir}/syslog-ng_switchfwd


%post

#(eatdirt)
# switch ForwardToSyslog=yes in /etc/systemd/journald.conf + backup
%{_sbindir}/syslog-ng_switchfwd %{journalcfgdir} on
# restart systemd-journal
/bin/systemctl try-restart systemd-journald || :

%_tmpfilescreate %{name}
%_post_service %{name}
# (cg) Handle a quirk of syslog service installations
if [ -f %{_sysconfdir}/systemd/system/multi-user.target.wants/%{name}.service -a ! -f %{_sysconfdir}/systemd/system/syslog.service ]; then
  cp -a %{_sysconfdir}/systemd/system/multi-user.target.wants/%{name}.service %{_sysconfdir}/systemd/system/syslog.service
fi

%preun
%_preun_service %{name}

#(eatdirt)
#restore the previously saved /etc/systemd/journald.conf file
%{_sbindir}/syslog-ng_switchfwd %{journalcfgdir} off
# restart systemd-journal
/bin/systemctl try-restart systemd-journald || :

%files
%doc AUTHORS COPYING NEWS.md
%doc contrib/{relogger.pl,syslog2ng,syslog-ng.conf.doc}
%dir %{_sysconfdir}/syslog-ng
%dir %{_sysconfdir}/syslog-ng/conf.d
%dir %{_sysconfdir}/syslog-ng/patterndb.d
%config(noreplace) %{_sysconfdir}/logrotate.d/syslog-ng
%config(noreplace) %{_sysconfdir}/syslog-ng/syslog-ng.conf
%config(noreplace) %{_sysconfdir}/sysconfig/syslog-ng
%{_unitdir}/syslog-ng.service
%{_tmpfilesdir}/%{name}.conf
%dir %{_sharedstatedir}/syslog-ng
%{_sbindir}/syslog-ng
%{_sbindir}/syslog-ng-ctl
%{_sbindir}/syslog-ng-debun
%{_sbindir}/syslog-ng_switchfwd
%{_bindir}/dqtool
%{_bindir}/loggen
%{_bindir}/pdbtool
%{_bindir}/persist-tool
%{_bindir}/update-patterndb
%{_bindir}/syslog-ng-update-virtualenv
%dir %{_libdir}/syslog-ng
%{_libdir}/syslog-ng/*.so

%dir %{_libdir}/syslog-ng/loggen
%{_libdir}/syslog-ng/loggen/libloggen_socket_plugin.so
%{_libdir}/syslog-ng/loggen/libloggen_ssl_plugin.so

%exclude %{_libdir}/syslog-ng/libafamqp.so
%exclude %{_libdir}/syslog-ng/libafmongodb.so
%exclude %{_libdir}/syslog-ng/libafsmtp.so
%exclude %{_libdir}/syslog-ng/libafsql.so
%exclude %{_libdir}/syslog-ng/libgeoip2-plugin.so
%exclude %{_libdir}/syslog-ng/libhttp.so
%exclude %{_libdir}/syslog-ng/libmod-python.so
%exclude %{_libdir}/syslog-ng/libredis.so
%exclude %{_libdir}/syslog-ng/libafsnmp.so
%exclude %{_libdir}/syslog-ng/libkafka.so

%dir %{_datadir}/syslog-ng
%{_datadir}/syslog-ng/include/
%{_datadir}/syslog-ng/xsd/
%{_datadir}/syslog-ng/smart-multi-line.fsm

%{_mandir}/man1/loggen.1*
%{_mandir}/man1/pdbtool.1*
%{_mandir}/man1/syslog-ng-ctl.1*
%{_mandir}/man1/syslog-ng-debun.1*
%{_mandir}/man1/dqtool.1*
%{_mandir}/man5/syslog-ng.conf.5*
%{_mandir}/man8/syslog-ng.8*
%{_mandir}/man1/persist-tool.1*

%files slog
%{_bindir}/slogkey
%{_bindir}/slogencrypt
%{_bindir}/slogverify
%{_libdir}/syslog-ng/libsecure-logging.so
%{_mandir}/man1/slogkey.1*
%{_mandir}/man1/slogencrypt.1*
%{_mandir}/man1/slogverify.1*
%{_mandir}/man7/secure-logging.7*

%files -n %{libname}
%{_libdir}/libsyslog-ng-%{api}.so.%{major}{,.*}
%{_libdir}/libevtlog-%{api}.so.%{major}{,.*}
%{_libdir}/libloggen_helper-%{api}.so.%{major}{,.*}
%{_libdir}/libloggen_plugin-%{api}.so.%{major}{,.*}

%files -n %{libname_secret}
%{_libdir}/libsecret-storage.so.%{major_secret}{,.*}

%files libdbi
%{_libdir}/syslog-ng/libafsql.so

%files kafka
%{_libdir}/syslog-ng/libkafka.so

%files mongodb
%{_libdir}/syslog-ng/libafmongodb.so

%files redis
%{_libdir}/syslog-ng/libredis.so

%files smtp
%{_libdir}/syslog-ng/libafsmtp.so

%files snmp
%{_libdir}/syslog-ng/libafsnmp.so

%files geoip
%{_libdir}/syslog-ng/libgeoip2-plugin.so

%files http
%{_libdir}/syslog-ng/libhttp.so

%files amqp
%{_libdir}/syslog-ng/libafamqp.so

%files python
%{_libdir}/%{name}/libmod-python.so
%dir %{_sysconfdir}/%{name}/python
%{_sysconfdir}/%{name}/python/README.md
%dir %{_libdir}/%{name}/python
%{_libdir}/%{name}/python/syslogng-1.0-py%{python3_version}.egg-info
%{_libdir}/%{name}/python/syslogng/
%{_libdir}/%{name}/python/requirements.txt
%exclude %{_libdir}/syslog-ng/python/syslogng/modules/

%files python-modules
%dir %{_libdir}/syslog-ng/python/syslogng/modules/
%{_libdir}/syslog-ng/python/syslogng/modules/*

%files -n %{develname}
%{_datadir}/syslog-ng/tools/
%{_includedir}/syslog-ng/
%{_libdir}/libevtlog.so
%{_libdir}/libloggen_helper.so
%{_libdir}/libloggen_plugin.so
%{_libdir}/libsyslog-ng-native-connector.a
%{_libdir}/libsyslog-ng.so
%{_libdir}/pkgconfig/syslog-ng-native-connector.pc
%{_libdir}/pkgconfig/syslog-ng.pc
%{_libdir}/libsecret-storage.so
