%global api		5
%global major		6
%global major_capture	4
%define libname		%mklibname sysprof %major
%define libnamestrack	%mklibname sysprof-speedtrack %major
%define devname		%mklibname sysprof -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		sysprof
Version:	48.0
Release:	%mkrel 1
Summary:	A system-wide Linux profiler
Group:		Development/Tools

License:	GPLv3+
URL:		https://www.sysprof.com/
Source0:	https://download.gnome.org/sources/sysprof/%{url_ver}/sysprof-%{version}.tar.xz
BuildRequires:	appstream-util
BuildRequires:	binutils-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.76.0
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libdebuginfod)
BuildRequires:	pkgconfig(libdex-1)
BuildRequires:	pkgconfig(libdw)
BuildRequires:	pkgconfig(libpanel-1)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libunwind-generic)
BuildRequires:	pkgconfig(libunwind-generic)
BuildRequires:	pkgconfig(polkit-gobject-1)

Requires:	hicolor-icon-theme
Requires:	%{name}-cli%{?_isa} = %{version}-%{release}

%description
Sysprof is a sampling CPU profiler for Linux that collects accurate,
high-precision data and provides efficient access to the sampled
call trees.


%package        agent
Summary:        Sysprof agent utility

%description    agent
The %{name}-agent package contains the sysprof-agent program. It provides a P2P
D-Bus API to the process which can control subprocesses. It's used by IDE
tooling to have more control across container boundaries.


%package        cli
Summary:	Sysprof command line utility
Group:		Development/Tools

%description    cli
The %{name}-cli package contains the sysprof-cli command line utility.


%package     -n %libname
Summary:	Sysprof library
Group:		System/Libraries
# Subpackage removed/obsoleted in MGA10
Obsoletes:      %{mklibname sysprof-ui 4} < 45.0

%description -n %libname
The libsysprof package contains the Sysprof library.


%package     -n %libnamestrack
Summary:	Sysprof SpeedTrack library
Group:		System/Libraries

%description -n %libnamestrack
The libsysprof-speedtrack package contains the Sysprof SpeedTrack library.


%package        -n %devname
Summary:	Development files for %{name}
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamestrack} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description    -n %devname
The %{devname} package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name} --with-gnome


%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
%meson_test || :


%files
%license COPYING
%doc NEWS README.md AUTHORS
%{_bindir}/sysprof
%{_bindir}/sysprof-cat
%{_libexecdir}/sysprof-live-unwinder
%{_datadir}/applications/org.gnome.Sysprof.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/metainfo/org.gnome.Sysprof.appdata.xml
%{_datadir}/mime/packages/sysprof-mime.xml

%files agent
%license COPYING
%{_bindir}/sysprof-agent

%files cli -f %{name}.lang
%license COPYING
%{_bindir}/sysprof-cli
%{_libexecdir}/sysprofd
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof.Agent.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof3.Profiler.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof3.Service.xml
%{_datadir}/dbus-1/system.d/org.gnome.Sysprof3.conf
%{_datadir}/dbus-1/system-services/org.gnome.Sysprof3.service
%{_datadir}/polkit-1/actions/org.gnome.sysprof3.policy
%{_unitdir}/sysprof3.service

%files -n %libname
%license COPYING
%{_libdir}/libsysprof-%{major}.so.%{major}*
%{_libdir}/libsysprof-memory-%{major}.so
%{_libdir}/libsysprof-tracer-%{major}.so


%files -n %libnamestrack
%license COPYING
%{_libdir}/libsysprof-speedtrack-%{major}.so

%files -n %devname
%{_includedir}/sysprof-%{major}/
%{_libdir}/libsysprof-%{major}.so
%{_libdir}/pkgconfig/sysprof-%{major}.pc
%{_libdir}/pkgconfig/sysprof-capture-%{major_capture}.pc
%{_libdir}/libsysprof-capture-%{major_capture}.a


