Name: 		sysstat
Version: 	12.7.6
Release: 	%mkrel 1
Summary: 	Includes the sar and iostat system monitoring commands
License: 	GPLv2
Group: 		Monitoring
URL: 		https://sysstat.github.io/
Source0: 	https://github.com/sysstat/sysstat/archive/v%{version}/%{name}-%{version}.tar.gz

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts.
They enable system monitoring of disk, network, and other IO activity.

%prep
%autosetup -p1

%build
export sa_lib_dir=%{_libdir}/sa
%configure \
	--disable-file-attr \
	--disable-stripping

%make_build CFLAGS="%{optflags}"


%install
%make_install

rm -fr %{buildroot}%{_datadir}/doc/%{name}-%{version}

mkdir -p %{buildroot}/etc/{cron.daily,cron.hourly}

cat > %{buildroot}/etc/cron.daily/%{name} <<EOF
#!/bin/sh

# generate a daily summary of process accounting.
%{_libdir}/sa/sa2 -A &

EOF
chmod +x  %{buildroot}/etc/cron.daily/%{name}

cat > %{buildroot}/etc/cron.hourly/%{name} <<EOF
#!/bin/sh

# snapshot system usage every 10 minutes six times.
%{_libdir}/sa/sa1 600 6 &

EOF
chmod +x  %{buildroot}/etc/cron.hourly/%{name}

rm -fr %{buildroot}%{_prefix}/doc

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGES COPYING CREDITS FAQ.md README.md
%config(noreplace) %{_sysconfdir}/cron.hourly/sysstat
%config(noreplace) %{_sysconfdir}/cron.daily/sysstat
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat.ioconf
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat
%{_bindir}/*
%{_libdir}/sa
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_var}/log/sa
