# Turn off the brp-python-bytecompile script
%define __brp_python_bytecompile %{nil}

Name:           system-config-printer
Summary:        A printer administration tool
Version:        1.5.18
Release:        %mkrel 4
Url:            https://github.com/zdohnal/system-config-printer
License:        LGPLv2+
Group:          System/Printing
Source0:        https://github.com/OpenPrinting/system-config-printer/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source3:        po-mga.tar.bz2
Source4:        mga_printer_custom.py
Source5:        hp-makeuri-mga.c
Source6:        mga_backend

## Fedora patches from upstream


## Mageia patches
Patch200:       system-config-printer-1.5.0-mga_custom-applet.patch
Patch202:       system-config-printer-1.5.6-mga_custom-system-config-printer.patch
Patch203:       system-config-printer-1.5.2-start-applet.patch
Patch204:       system-config-printer-1.4.4-udev-configure-printer-mga.patch
Patch300:       system-config-printer-1.3.7-remove-Brother-HL-2030-blacklist.patch
Patch301:       system-config-printer-1.5.5-mga_visual-artifacts.patch
# mga #15549
Patch302:	apply-new-udev-rules.patch
Patch303:	avoid-reinstall-of-libsane-hpaio.patch
Patch304:	system-config-printer-mga_custom-print-testpage-location.patch

## Upstream patches
# all upstream patches, remove with new release
Patch1001:      0001-Fix-debugprint-in-options.py-fixes-291.patch

BuildRequires:  autoconf-archive
BuildRequires:  cups-devel >= 1.2
BuildRequires:  desktop-file-utils >= 0.2.92
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  xmlto
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(udev)
BuildRequires:  libhpip-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  systemd-units

Provides:       printerdrake
Requires:       python3dist(pygobject)
Requires:       gtk+3.0
Requires:       desktop-file-utils >= 0.2.92
Requires:       dbus-x11
Requires:       cups-pk-helper
Requires:       system-config-printer-libs = %{version}-%{release}
Requires:       system-config-printer-udev = %{version}-%{release}
Requires:       virtual-notification-daemon
Requires:       python3dist(dbus-python)
Requires:       python3dist(pycairo)
Requires:       python3dist(requests)
Requires:       hplip-model-data
# nmap is required to scan the network, just like
# printerdrake used to do.
Requires:       nmap
Conflicts:      kdeutils4-printer-applet
#Recommends:       samba-client
# (cg) Required for CheckUSBPermissions.py
Requires:       acl
# s-c-p has a plug-in support for Samba, if the relevant package is installed
Recommends:     python3dist(pysmbc)

%description
system-config-printer is a graphical user interface that allows
the user to configure a CUPS print server.

%files
%doc ChangeLog
%{_bindir}/%{name}
%{_bindir}/hp-makeuri-mga
%{_bindir}/install-printerdriver
%{_datadir}/%{name}/check-device-ids.py*
%{_datadir}/%{name}/HIG.py*
%{_datadir}/%{name}/SearchCriterion.py*
%{_datadir}/%{name}/serversettings.py*
%{_datadir}/%{name}/system-config-printer.py*
%{_datadir}/%{name}/ToolbarSearchEntry.py*
%{_datadir}/%{name}/userdefault.py*
%{_datadir}/%{name}/troubleshoot
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/install-printerdriver.py*
%dir %{_datadir}/%{name}/xml
%{_datadir}/%{name}/xml/*.rng
%{_datadir}/%{name}/xml/validate.py*
%dir %{_datadir}/%{name}/ui
%{_datadir}/%{name}/ui/*.ui
%{_datadir}/applications/system-config-printer.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*

#---------------------------------------------------------------------

%package udev
Summary:        Rules for udev for automatic configuration of USB printers
Group:          System/Kernel and hardware
Requires:       system-config-printer-libs = %{version}-%{release}
Requires(post): rpm-helper >= 0.24.8-1
Requires(preun):rpm-helper >= 0.24.8-1
Obsoletes:      hal-cups-utils <= 0.6.20
Conflicts:      cups < 1.4.2-6

%description udev
The udev rules and helper programs for automatically configuring USB
printers.

%post
# disable old printer detection system
if [ -f /etc/sysconfig/printing ]; then
    if grep -q ^AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED= /etc/sysconfig/printing; then
        sed -i 's/AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=.*/AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=no/g' /etc/sysconfig/printing
    else
        echo AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=no >> /etc/sysconfig/printing
    fi
    if grep -q ^ENABLE_QUEUES_ON_PRINTER_CONNECTED= /etc/sysconfig/printing; then
        sed -i 's/ENABLE_QUEUES_ON_PRINTER_CONNECTED=.*/ENABLE_QUEUES_ON_PRINTER_CONNECTED=no/g' /etc/sysconfig/printing
    else
        echo ENABLE_QUEUES_ON_PRINTER_CONNECTED=no >> /etc/sysconfig/printing
    fi
else
    echo AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=no >> /etc/sysconfig/printing
    echo ENABLE_QUEUES_ON_PRINTER_CONNECTED=no >> /etc/sysconfig/printing
fi

%postun
# enable old printer detection system
if [ -f /etc/sysconfig/printing ]; then
    if grep -q ^AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED= /etc/sysconfig/printing; then
        sed -i 's/AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=.*/AUTO_SETUP_QUEUES_ON_PRINTER_CONNECTED=yes/g' /etc/sysconfig/printing
    fi
    if grep -q ^ENABLE_QUEUES_ON_PRINTER_CONNECTED= /etc/sysconfig/printing; then
        sed -i 's/ENABLE_QUEUES_ON_PRINTER_CONNECTED=.*/ENABLE_QUEUES_ON_PRINTER_CONNECTED=yes/g' /etc/sysconfig/printing
    fi
fi

%files udev
%{_prefix}/lib/udev/rules.d/*.rules
%{_prefix}/lib/udev/udev-*-printer
%ghost %dir %{_localstatedir}/run/udev-configure-printer
%ghost %verify(not md5 size mtime) %config(noreplace,missingok) %attr(0644,root,root) %{_localstatedir}/run/udev-configure-printer/usb-uris
%{_unitdir}/configure-printer@.service

#---------------------------------------------------------------------

%package  libs
Summary:   Common code for the graphical and non-graphical pieces
Group:     System/Libraries
BuildArch: noarch
Requires:  python3dist(pycups)
Requires:  python3dist(pycurl)
Requires:  gobject-introspection
Requires:  python3dist(pygobject)
Requires:  gtk+3.0
Requires:  python3dist(dbus-python)
Recommends: python3dist(pysmbc)

%description libs
The common code used by both the graphical and non-graphical parts of
the configuration tool.

%files libs -f system-config-printer.lang
%doc COPYING
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/com.redhat.NewPrinterNotification.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/com.redhat.PrinterDriversInstaller.conf
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/*.service
%{_bindir}/scp-dbus-service
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/asyncconn.py*
%{_datadir}/%{name}/asyncipp.py*
%{_datadir}/%{name}/asyncpk1.py*
%{_datadir}/%{name}/authconn.py*
%{_datadir}/%{name}/config.py*
%{_datadir}/%{name}/cupspk.py*
%{_datadir}/%{name}/debug.py*
%{_datadir}/%{name}/dnssdresolve.py*
%{_datadir}/%{name}/errordialogs.py*
%{_datadir}/%{name}/firewallsettings.py*
%{_datadir}/%{name}/gtkinklevel.py*
%{_datadir}/%{name}/gui.py*
%{_datadir}/%{name}/installpackage.py*
%{_datadir}/%{name}/jobviewer.py*
%{_datadir}/%{name}/killtimer.py*
%{_datadir}/%{name}/monitor.py*
%{_datadir}/%{name}/newprinter.py*
%{_datadir}/%{name}/options.py*
%{_datadir}/%{name}/optionwidgets.py*
%{_datadir}/%{name}/OpenPrintingRequest.py
%{_datadir}/%{name}/PhysicalDevice.py*
%{_datadir}/%{name}/ppdcache.py*
%{_datadir}/%{name}/ppdippstr.py*
%{_datadir}/%{name}/ppdsloader.py*
%{_datadir}/%{name}/printerproperties.py*
%{_datadir}/%{name}/probe_printer.py*
%{_datadir}/%{name}/pysmb.py*
%{_datadir}/%{name}/scp-dbus-service.py*
%{_datadir}/%{name}/smburi.py*
%{_datadir}/%{name}/statereason.py*
%{_datadir}/%{name}/timedops.py*
%dir %{_sysconfdir}/cupshelpers
%config(noreplace) %{_sysconfdir}/cupshelpers/preferreddrivers.xml
%{python3_sitelib}/cupshelpers
%{python3_sitelib}/*.egg-info
%{_prefix}/lib/cups/backend/mga_backend
%{_datadir}/%{name}/mga_printer_custom.py*

#--------------------------------------------------------------------

%package applet
Summary: Print job notification applet
Group: System/Printing
Requires: %{name}-libs

%description applet
Print job notification applet.

%files applet
%{_bindir}/%{name}-applet
%{_datadir}/%{name}/applet.py*
%{_sysconfdir}/xdg/autostart/print-applet.desktop
%{_mandir}/man1/%{name}-applet.1*

#--------------------------------------------------------------------

%prep
%setup -q
# Fedora patches from upstream


%patch -P 200 -p1 -b .mga_custom-applet
%patch -P 202 -p1 -b .mga_custom-system-config-printer
%patch -P 203 -p1 -b .start_applet
%patch -P 204 -p1 -b .udev-configue-printer-mga

%patch -P 300 -p0 -b .mga-1349
%patch -P 301 -p0 -b .mga-14981
%patch -P 302 -p0
%patch -P 303 -p0
%patch -P 304 -p1 -b .custom-location

# Upstream patches
%patch -P 1001 -p1

# update mga custom translation
#tar xvjf %{SOURCE3}
#pushd po
#for i in *.po; do
#    if [ ! -f ../po-mga/$i ]; then
#        continue
#    fi
#    msgcat $i ../po-mga/$i > ../po-mga/$i-new
#    rm -f $i
#    mv ../po-mga/$i-new $i
#done
#popd

# workaround https://github.com/pypa/setuptools/issues/3143
sed -i 's/setup.py install --prefix=$(DESTDIR)$(prefix)/setup.py install --root $(DESTDIR) --prefix=$(prefix)/' Makefile*

%build
./bootstrap
%configure \
	--with-systemdsystemunitdir=%{_unitdir} \
	--with-udev-rules

%__make
# (salem) this hack avoids requiring hplip
gcc %{SOURCE5} -o hp-makeuri-mga -lhpmud

%install
%make_install

cp -f hp-makeuri-mga %{buildroot}%{_bindir}
cp -fv %{SOURCE4} %{buildroot}%{_datadir}/%{name}

%{__mkdir_p} %buildroot%{_localstatedir}/run/udev-configure-printer
touch %buildroot%{_localstatedir}/run/udev-configure-printer/usb-uris

# Manually invoke the python byte compile macro for each path that
# needs byte compilation
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}/cupshelpers
%py_byte_compile %{__python3} %{buildroot}%{datadir}/%{name}

%{__mkdir_p} %{buildroot}%{_prefix}/lib/cups/backend
cp -f %{SOURCE6} %{buildroot}%{_prefix}/lib/cups/backend

%find_lang system-config-printer
