# This package depends on automagic byte compilation
# https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation_phase_2
%global py_byte_compile 1

Name:          system-switch-java
Version:       1.1.8
Release:       %mkrel 4
Summary:       A tool for changing the default Java toolset
Group:         System/Configuration

License:       GPLv2+ and BSD
URL:           https://pagure.io/%{name}
Source0:       http://releases.pagure.org/%{name}/%{name}-%{name}-%{version}.tar.gz
Patch0:        pythonversion.bad.patch
# ask autopoint to use gettext installed on the system to prevent mismatch in version
Patch1:        configure.patch

BuildArch:     noarch

BuildRequires: desktop-file-utils
BuildRequires: gettext-devel
BuildRequires: newt
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(python3)

Requires:      chkconfig
Requires:      libglade2.0
Requires:      python3-newt
Requires:      python3-gobject
Requires:      python3
Requires:      python3-libuser
Requires:      usermode


%description
The system-switch-java package provides an easy-to-use tool to select
the default Java toolset for the system.

%prep
%setup -q -n system-switch-java-system-switch-java-1.1.8
%patch 0
%patch 1

sed -i 's|Icon=system-switch-java.png|Icon=system-switch-java|' %{name}.desktop.in


%build
sh ./autogen.sh
%configure
%make_build

%install
%make_install

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README COPYING COPYING.icon
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.py*
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/__pycache__/
