#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Plasma System Settings
Name:           systemsettings
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
## Mageia patches

## Upstream branch patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  git-core

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6Kirigami2)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6Runner)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(PlasmaActivities)

Requires:       sddm-kcm
Requires:       kirigami
Requires:       kdeclarative
Requires:       plasma-framework
Recommends:     hspell

%description
Plasma System Settings.

%files -f %name.lang
%_kf6_categoriesdir/systemsettings.categories
%_kf6_bindir/systemsettings
%_kf6_plugindir/krunner/krunner_systemsettings.so
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.systemsettings.metainfo.xml
%_kf6_datadir/systemsettings
%_kf6_datadir/kglobalaccel/systemsettings.desktop
%_kf6_datadir/zsh/site-functions/_systemsettings

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/%{name}

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
