Summary: Programs which control basic system processes
Name: sysvinit-legacy
Version: 2.87
Release: %mkrel 32
License: GPLv2+
Group: System/Boot and Init
Source: https://alioth.debian.org/frs/download.php/3060/sysvinit-%{version}.tar.gz
URL: https://alioth.debian.org/projects/pkg-sysvinit/
Patch0: sysvinit-2.87-prefix.patch
Patch1: sysvinit-2.78-man.patch
Patch4: sysvinit-2.86-autofsck.patch
Patch5: sysvinit-2.86-loginshell.patch
Patch8: sysvinit-2.86-inittab.patch
Patch10: sysvinit-2.87-pidof.patch
Patch13: sysvinit-2.86-single.patch
Patch16: sysvinit-2.86-quiet.patch
Patch23: sysvinit-2.86-pidof-man.patch
Patch24: sysvinit-2.87-sulogin.patch
Patch25: sysvinit-2.87-wide.patch
Patch26: sysvinit-2.87-ipv6.patch
# Add -m option to pidof to omit processes that match existing omitted pids (#632321)
Patch27: sysvinit-2.87-omit.patch

# Mandriva patches
Patch100: sysvinit-2.86-shutdown.patch
Patch101: sysvinit-2.87-libcrypt.patch
Patch104: sysvinit-2.85-walltty.patch
Patch105: sysvinit-disable-respawn-more-quickly.patch
# do not try to take over console tty for rc.sysinit, it conflicts with speedboot (Mdv bug #58488)
Patch106: sysvinit-2.87-speedboot-ioctl.patch

# Debian patches
Patch200: 50_bootlogd_devsubdir.patch
Patch201: 54_bootlogd_findptyfail.patch
Patch202: 55_bootlogd_flush.patch
Patch203: sysvinit-2.87dsf-fix-ioctl.patch

# Gentoo patches
Patch300: sysvinit-2.88-sysmacros.patch

BuildRequires: glibc-static-devel
Requires: pam >= 0.66-5
Requires(post): coreutils
Requires: sysvinit-tools = %{version}-%{release}
Obsoletes: SysVinit < 2.86-6
Provides: SysVinit = %{version}-%{release}
Provides: sysvinit = %{version}-%{release}

%description
The sysvinit package contains a group of processes that control
the very basic functions of your system. sysvinit includes the init
program, the first program started by the Linux kernel when the
system boots. Init then controls the startup, running, and shutdown
of all other programs.

%package tools
Summary: Tools used for process and utmp management
Group: System/Boot and Init
Conflicts: sysvinit < 2.87-2
Conflicts: util-linux < 2.24-0.rc2.1
Requires(pre): coreutils
%rename sysvinit-tools

%description tools
The sysvinit-tools package contains various tools used for process
management.


%package -n drakx-installer-sysvinit
Summary: Init program used by the installer
Group: System/Boot and Init
Conflicts: sysvinit < 2.87-2
Requires(pre): coreutils

%description -n drakx-installer-sysvinit
This package contains the init program used by the installer rescue.


%prep
%setup -q -n sysvinit-%{version}dsf
%patch -P 0 -p0 -b .prefix
# We use a shell, not sulogin. Other random man fixes go here (such as #192804)
%patch -P 1 -p1 -b .manpatch
# Unlink /.autofsck on shutdown -f
%patch -P 4 -p1 -b .autofsck
# Invoke single-user shell as a login shell (#105653)
%patch -P 5 -p1 -b .loginshell
# Adjust examples in inittab(5) to more accurately reflect RH/Fedora
# usage (#173572)
%patch -P 8 -p1 -b .inittabdocs
# Fix various things in pidof - pidof /x/y matching /z/y, pidof -x
# for scripts, etc.
%patch -P 10 -p1 -b .pidof
# Fix single user mode (#176348)
%patch -P 13 -p1 -b .single
# Be less verbose when booted with 'quiet'
%patch -P 16 -p1 -b .quiet
# Document some of the behavior of pidof. (#201317)
%patch -P 23 -p1 -b .pidof
# get_default_context_with_level returns 0 on success (#568530)
%patch -P 24 -p1 -b .sulogin
# Add wide output names with -w (#550333)
%patch -P 25 -p1 -b .wide
# Change accepted ipv6 addresses (#573346)
%patch -P 26 -p1 -b .ipv6
# Support -m option for pidof (#632321)
%patch -P 27 -p1 -b .omit

%patch -P 100 -p1 -b .shutdown
%patch -P 101 -p1 -b .libcrypt
%patch -P 104 -p1 -b .wall
%patch -P 105 -p1 -b .disable-respawn-more-quickly
%patch -P 106 -p1 -b .speedboot-ioctl

%patch -P 200 -p1 -b .bootlogd_devsubdir
%patch -P 201 -p1 -b .bootlogd_findptyfail
%patch -P 202 -p1 -b .bootlogd_flush
%patch -P 203 -p1 -b .ioctl

%patch -P 300 -p1 -b .sysmacros

%build
%make_build CFLAGS="%{optflags} -D_GNU_SOURCE" LDFLAGS="%{ldflags}" -C src

%install
for I in usr/{bin,sbin,include} %{_mandir}/man{1,3,5,8} etc var/run dev; do
	mkdir -p %{buildroot}/$I
done

make -C src ROOT=%{buildroot} MANDIR=%{_mandir} STRIP=/bin/true \
	BIN_OWNER=`id -nu` BIN_GROUP=`id -ng` install

# If this already exists, just do nothing (the ||: part)
mknod --mode=0600 %{buildroot}/dev/initctl p ||:
ln -snf killall5 %{buildroot}/%{_sbindir}/pidof

chmod 755 %{buildroot}/usr/bin/utmpdump

mkdir -p %buildroot%_libdir/drakx-installer-sysvinit
ln %buildroot%{_sbindir}/init %buildroot%_libdir/drakx-installer-sysvinit


# Remove unpackaged file(s)
rm -rf %{buildroot}/usr/include

# (cg) Remove files no longer needed (systemd replaces the init system
rm -f \
  %{buildroot}%{_bindir}/last \
  %{buildroot}%{_bindir}/lastb \
  %{buildroot}%{_bindir}/mesg \
  %{buildroot}%{_bindir}/mountpoint \
  %{buildroot}%{_bindir}/pidof \
  %{buildroot}%{_bindir}/utmpdump \
  %{buildroot}%{_bindir}/wall \
  %{buildroot}%{_sbindir}/bootlogd \
  %{buildroot}%{_sbindir}/halt \
  %{buildroot}%{_sbindir}/init \
  %{buildroot}%{_sbindir}/pidof \
  %{buildroot}%{_sbindir}/poweroff \
  %{buildroot}%{_sbindir}/reboot \
  %{buildroot}%{_sbindir}/runlevel \
  %{buildroot}%{_sbindir}/shutdown \
  %{buildroot}%{_sbindir}/sulogin \
  %{buildroot}%{_sbindir}/telinit \
  %{buildroot}%{_mandir}/man1/mountpoint* \
  %{buildroot}%{_mandir}/man1/last* \
  %{buildroot}%{_mandir}/man1/mesg* \
  %{buildroot}%{_mandir}/man1/wall* \
  %{buildroot}%{_mandir}/man5/* \
  %{buildroot}%{_mandir}/man8/halt* \
  %{buildroot}%{_mandir}/man8/init* \
  %{buildroot}%{_mandir}/man8/pidof* \
  %{buildroot}%{_mandir}/man8/poweroff* \
  %{buildroot}%{_mandir}/man8/reboot* \
  %{buildroot}%{_mandir}/man8/runlevel* \
  %{buildroot}%{_mandir}/man8/shutdown* \
  %{buildroot}%{_mandir}/man8/sulogin* \
  %{buildroot}%{_mandir}/man8/telinit* \
  %{buildroot}%{_mandir}/man8/bootlogd*



%files tools
%doc doc/Changelog COPYRIGHT
%{_sbindir}/killall5
%{_mandir}/man8/killall5*

%files -n drakx-installer-sysvinit
%_libdir/drakx-installer-sysvinit
