%bcond_with bootstrap

%define major      5
%define libname    %mklibname %{name} %{major}
%define develname  %mklibname %name -d
%define sdevelname %mklibname %name -d -s

Summary:	Type 1 font rasterizer
Name:		t1lib
Epoch:		1
Version:	5.1.2
Release:	%mkrel 25
License:	LGPLv2+
Group:		System/Libraries
URL:		https://ibiblio.org/pub/Linux/libs/graphics/
Source:		https://ibiblio.org/pub/Linux/libs/graphics/%{name}-%{version}.tar.gz
Patch1:		%{name}-doc.patch
Patch2:         %{name}-config.patch
# https://qa.mandriva.com/show_bug.cgi?id=34223
Patch3:         t1lib-5.1.2-ub-CVE-2007-4033.patch
Patch4:		t1lib-5.1.2-lib-cleanup.patch
Patch5:		t1lib-5.1.2-segf.patch
Patch6:		t1lib-5.1.2-format_not_a_string_literal_and_no_format_arguments.diff
Patch7:         t1lib-5.1.2-CVE-2010-2642,CVE-2011-0433.diff
Patch8:         t1lib-5.1.2-CVE-2011-0764,1552,1553,1554.diff
Patch9:		t1lib-configure-c99.patch
Patch10:	t1lib-c99.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xaw7)
%if %{without bootstrap}
BuildRequires:	texlive
BuildRequires:	texlive-texmf
%endif

%description
T1lib is a library for generating character and string-glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X11
rasterizer donated by IBM to the X11-project. But some disadvantages
of the rasterizer being included in X11 have been eliminated.  T1lib
also includes a support for antialiasing.

%package -n %{libname}
Summary: 	Type 1 font rasterizer
Group: 		System/Libraries
Provides: 	%{name} = %version-%release
Provides:	%{name}1 = %version-%release
Provides:	lib%{name} = %version-%release
Requires:	%{name}-config

%description -n %{libname}
T1lib is a library for generating character and string-glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X11
rasterizer donated by IBM to the X11-project. But some disadvantages
of the rasterizer being included in X11 have been eliminated.  T1lib
also includes a support for antialiasing.

%package -n %{develname}
Summary: 	Header files for Type 1 font rasterizer
Group: 		Development/C
Requires: 	%{libname} = %{epoch}:%{version}-%{release}
Provides: 	%{name}-devel = %{version}-%{release}
Provides:	%{name}1-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname} 
Header files required for compiling packages needing the t1lib.

%package -n %{sdevelname}
Summary:        Static libraries for Type 1 font rasterizer
Group:          Development/C
Requires:       %{develname} = %{epoch}:%{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Provides:	%{name}1-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}

%description -n %{sdevelname}
Static libraries required for statically compiling packages needing the
t1lib.

%package -n %{name}-progs
Summary: 	Programs dor manipulating Type 1 font
Group: 		Graphics/Utilities
License: 	GPLv2
Provides:	%{name}1-progs

%description -n %{name}-progs
The t1lib-progs contains the programs "xglyph" and "type1afm" It also
contains the "t1libconfig" script used to configure t1lib.

%package -n %{name}-config
Summary:	Configuration for %name
Group:		Graphics/Utilities

%description -n %{name}-config
The t1lib-config contains configuration files for t1lib library.

%prep
%setup -q
%patch -P 1 -p0
%patch -P 2 -p0
%patch -P 4 -p1 -b .lib-cleanup
%patch -P 5 -p1 -b .fix-segfault
%patch -P 6 -p1 -b .format_not_a_string_literal_and_no_format_arguments
%patch -P 7 -p1 -b .CVE-2010-2642
%patch -P 8 -p1 -b .CVE-2011-0764.
%patch -P 9 -p1 -b .configure-c99
%patch -P 10 -p1 -b .c99

%build
%configure
perl -pi -e 's,-DGLOBAL_CONFIG_DIR="\\"/usr/share/t1lib\\"",-DGLOBAL_CONFIG_DIR="\\"/etc/t1lib\\"",;' Makefile
make without_doc

%if %{without bootstrap}
(cd doc
make clean
make pdf)
%endif

%install
%make_install

find %buildroot -name '*.la' -delete

mkdir -p %buildroot%{_sysconfdir}/t1lib
mv %buildroot%{_datadir}/t1lib/t1lib.config %buildroot%{_sysconfdir}/t1lib

%ifarch alpha
(cd %buildroot%{_libdir}
ln -sf libt1.so libt1.so.0)
%endif

%files -n %{libname}
%doc Changes LGPL README.t1*
%{_libdir}/libt1*.so.%{major}{,.*}

%files -n %{develname}
%doc doc/t1lib_doc.pdf
%{_includedir}/*
%{_libdir}/*.so

%files -n %{sdevelname}
%{_libdir}/*.a

%files -n %{name}-progs
%doc README.t1python
%{_bindir}/*

%files -n %{name}-config
%dir %{_sysconfdir}/t1lib
%config(noreplace) %{_sysconfdir}/t1lib/t1lib.config

