%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:           t4k_common
Version:        0.1.1
Release:        %mkrel 14
Summary:        Tux4Kids common files
Group:          Games/Other
License:        GPLv3+
URL:            http://tux4kids.alioth.debian.org
# have to change with each new release as the number after download.php changes :(
Source0:        http://alioth.debian.org/frs/download.php/3439/%{name}-%{version}.tar.gz
Patch0:		t4k_common-0.1.1-libpng15.patch
# gentoo patches
Patch1:		t4k-common-0.1.1-fno-common.patch
Patch2:		t4k-common-0.1.1-ICONV_CONST.patch
Patch3:		t4k-common-0.1.1-fix-declaration.patch
Patch4:		t4k-common-0.1.1-missing-text.patch
Patch5:		t4k-common-0.1.1-svg-libxml2.patch
Patch6:		t4k-common-0.1.1-gcc14-build-fix.patch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_Pango)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(libpng)

%description
Files shared by tuxmath, tuxtype, and possibly other Tux4Kids
apps in the future.

%package -n %{libname}
Summary:        Library of code shared between Tux4Kids apps
Group:          System/Libraries

%description -n %{libname}
Library of code shared by tuxmath, tuxtype, and possibly other tux4kids
apps in the future.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{libname}.

%prep
%autosetup -p1

#make autoreconf more happy
sed -i -e 's,AM_INIT_AUTOMAKE(\(.*\)),AM_INIT_AUTOMAKE(\[\1 subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static \
	--disable-rpath \
	--disable-doxygen-doc
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_datadir}/%{name}/

%files -n %{libname}
%doc README
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
