# FIXME libtacacs doesn't link due to undefined references
%define _disable_ld_no_undefined 1

%define major		1
%define libname		%mklibname tacacs %{major}
%define develname	%mklibname tacacs -d

Name:		tac_plus
Version:	4.0.4.28
Release:	%mkrel 1
License:	BSD
Group:		System/Servers
Summary:	TACACS+ server based on Cisco engineering release
URL:		https://www.shrubbery.net/tac_plus/
Source0:	https://shrubbery.net/pub/%{name}/tacacs-F%{version}.tar.gz
Source1:	tac_plus.conf
Source2:	tac_plus.pamd
Source3:	tac_plus.service
Source4:	tac_plus.sysconfig
Source6:	tac_plus.logrotate
Patch0:		tac_plus-4.0.4.28-mga-multiarch-libs.patch
Patch1:		tac_plus-4.0.4.26-linkage.patch
Patch2:		tac_plus-gcc14.patch
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	tcp_wrappers-devel
BuildRequires:	pam-devel
Requires(pre):	systemd
Requires(post):	systemd


%description
The base source for this TACACS+ package is Cisco's publicly available TACACS+
"developer's kit", for which we are grateful.

We needed a way to limit certain groups within the company from logging into
or getting enable access on certain devices. Access lists (ACLs) of a sort have
been added that match against the address of the device speaking with the
daemon.

Being paranoid, we also wanted to limit which hosts could connect to the
daemon. This can be done with tcp_wrappers via inetd, but this does not work if
the daemon is running standalone. So, calls to libwrap, the tcp_wrappers
library, have been added. For the source and more information about
tcp_wrappers, see Wietse Venema's site at http://www.porcupine.org/.

Along the way we have also added autoconf, expanded the manual pages,
cleaned-up various formatting and STD C nits, added PAM authentication support,
and fixed a few LP64 problems.

Of course we have also received some enhancement requests from users. One of
which was the addition of a host clause (per-host configuration). This has been
added; ported from Devrim Seral's implementation. See the documentation for
further information.

%package -n	%{libname}
Summary:	Tacacs library from %{name}
Group:		System/Libraries

%description -n	%{libname}
A shared library for TACACS+ from %{name}.

%package -n	%{develname}
Summary:	Tacacs development library from %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development library for TACACS+ from %{name}.

%prep
%autosetup -p1 -n tacacs-F%{version}

%build
autoreconf -vfi
%configure \
		--disable-static \
		--enable-acls \
		--enable-uenable \
		--enable-maxsess \
		--enable-finger \
		--enable-debug \
		--enable-warn \
		--enable-mschap \
		--without-libwrap
%make_build

%install
%make_install

mkdir -p %{buildroot}{%{_unitdir},%{_sysconfdir}/{logrotate.d,pam.d,sysconfig}}
install -m 0640 %{SOURCE1} %{buildroot}%{_sysconfdir}/
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 0644 %{SOURCE3} %{buildroot}%{_unitdir}/%{name}.service
install -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m 0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
rm -f %{buildroot}%{_datadir}/tacacs-/do_auth.py
mv %{buildroot}%{_datadir}/{tacacs-,tac_plus}

# we don't want these
find %{buildroot} -name '*.la' -delete

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc users_guide
%{_bindir}/tac_*
%{_sbindir}/tac_*
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_unitdir}/%{name}.service
%{_mandir}/man5/tac_plus.conf.5.*
%{_mandir}/man8/tac_plus.8.*
%{_mandir}/man8/tac_pwd.8.*

%files -n %{libname}
%{_libdir}/libtacacs.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libtacacs.so
%{_includedir}/tacacs.h
