Name:		tagainijisho
Version:	1.0.1
Release:	%mkrel 1
Summary:	A free software Japanese dictionary and learning assistant

Group:		Education
License:	GPLv3
URL:		https://www.tagaini.net/

Source0:	https://github.com/Gnurou/tagainijisho/releases/download/1.0.1/%{name}-%{version}.tar.gz


BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	sqlite3-devel
BuildRequires:	qt4-database-plugin-sqlite

Requires:	qt4-common

%description
Tagaini Jisho is designed to help you remember Japanese vocabulary and kanji
(later referred as 'entries') by presenting them in a way that makes it easy to
create connections between them. It does so by keeping track of all the entries
you already know and want to study, and letting you tag and annotate them, in
addition to providing easy navigation between related entries. A powerful
search engine also allows you to search for entries very precisely. Finally,
Tagaini let you produce printed material (including a handy foldable pocket
book) so let you study anywhere.
Tagaini Jisho runs on Linux/Unix, MacOS X, and Microsoft Windows.


%prep
%setup -q
%build
%cmake
%cmake_build

%install
install -d -m 0755 %{buildroot}{%{_bindir},%{_libdir},%{_datadir},%{_datadir}/applications,%{_iconsdir},%{_iconsdir}/hicolor}
for i in 16 22 32 48 64 128; do
   mkdir -p %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps
   install -m 644 images/%{name}-"$i"x"$i".png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/%{name}.png
done
install -m755 *.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
mkdir -p %{buildroot}%{_datadir}/%{name}
install -m755 %{_vpath_builddir}/*.db %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_datadir}/%{name}/i18n
install -m755 %{_vpath_builddir}/i18n/*.qm %{buildroot}%{_datadir}/%{name}/i18n/
install -m755 src/gui/jmdict/detailed* %{buildroot}%{_datadir}/%{name}/
install -m755 src/gui/kanjidic2/detailed* %{buildroot}%{_datadir}/%{name}/
install -m755 src/gui/*.html %{buildroot}%{_datadir}/%{name}/
install -m755 src/gui/*.css %{buildroot}%{_datadir}/%{name}/
mkdir %{buildroot}%{_datadir}/%{name}/doc
install -m755 doc/manual.html %{buildroot}%{_datadir}/%{name}/doc/
mkdir %{buildroot}%{_datadir}/%{name}/doc/images
install -m755 doc/images/* %{buildroot}%{_datadir}/%{name}/doc/images/
install -m755 %{_vpath_builddir}/src/gui/%{name} %{buildroot}%{_bindir}/%{name}


%{find_lang} %{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/
