%define major		2
%define minor		2
%define libname		%mklibname %{name} %{major}
%define libnametagc	%mklibname %{name}_c %{minor}
%define develname	%mklibname %{name} -d

Summary:	Library for reading and editing audio meta data
Name:		taglib
Version:	2.0.2
Release:	%mkrel 2
License:	LGPLv2+
Group:		File tools
URL:		https://taglib.org/
Source:		https://taglib.github.io/releases/taglib-%{version}.tar.gz
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	cmake(utf8cpp)
BuildRequires:	cmake

%description
TagLib, is well, a library for reading and editing audio meta data,
commonly know as tags.

#---------------------------------------------------------------------

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for reading and editing audio meta data

%description -n	%{libname}
Main taglib library.


%files -n %{libname}
%{_libdir}/libtag.so.%{major}{,.*}

#---------------------------------------------------------------------

%package -n	%{libnametagc}
Group:		System/Libraries
Summary:	A C bindings for taglib library

%description -n	%{libnametagc}
TagLib, is well, a library for reading and editing audio meta data.

%files -n %{libnametagc}
%{_libdir}/libtag_c.so.%{minor}{,.*}

#---------------------------------------------------------------------

%package -n	%{develname}
Group:		Development/C
Summary:	Headers and other files for taglib development
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnametagc} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	pkgconfig(taglib) < %{version}
Conflicts:	pkgconfig(taglib_c) < %{version}

%description -n	%{develname}
Install this package if you want do compile applications
using the libtag library.

%files -n %{develname}
%{_bindir}/taglib-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/taglib/
%{_includedir}/taglib/
%multiarch %{multiarch_bindir}/taglib-config

#---------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DWITH_ASF=ON -DWITH_MP4=ON
%cmake_build

%install
%cmake_install

%multiarch_binaries %{buildroot}%{_bindir}/taglib-config
