%define oname		taglib

%define major		1
%define minor		0
%define libname		%mklibname %{oname} %{major}
%define libnametagc	%mklibname %{oname}_c %{minor}
%define develname	%mklibname %{oname} %{major} -d

Summary:	Library for reading and editing audio meta data
Name:		taglib%{major}
Version:	1.13.1
Release:	%mkrel 2
License:	LGPLv2+
Group:		File tools
URL:		https://taglib.org/
Source:		https://taglib.github.io/releases/taglib-%{version}.tar.gz
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	cmake

%description
TagLib, is well, a library for reading and editing audio meta data,
commonly know as tags.

#---------------------------------------------------------------------

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for reading and editing audio meta data

%description -n	%{libname}
Main taglib 1.x library.


%files -n %{libname}
%{_libdir}/libtag.so.%{major}{,.*}

#---------------------------------------------------------------------

%package -n	%{libnametagc}
Group:		System/Libraries
Summary:	A C bindings for taglib 1.x library

%description -n	%{libnametagc}
TagLib, is well, a library for reading and editing audio meta data.

%files -n %{libnametagc}
%{_libdir}/libtag_c.so.%{minor}{,.*}

#---------------------------------------------------------------------

%package -n	%{develname}
Group:		Development/C
Summary:	Headers and other files for taglib 1.x development
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnametagc} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	pkgconfig(taglib) > %{version}
Conflicts:	pkgconfig(taglib_c) > %{version}

%description -n	%{develname}
Install this package if you want do compile applications
using the libtag 1.x library.

%files -n %{develname}
%{_bindir}/taglib-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/taglib/
%multiarch %{multiarch_bindir}/taglib-config

#---------------------------------------------------------------------

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%cmake -DWITH_ASF=ON -DWITH_MP4=ON
%cmake_build

%install
%cmake_install

%multiarch_binaries %{buildroot}%{_bindir}/taglib-config
