Name: 	 	tagtool
Version: 	0.12.3
Release: 	%mkrel 13

Summary: 	Audio file (MP3/OGG) tag editor
License:	GPLv2
Group:		Sound/Utilities
Url:		https://sourceforge.net/projects/tagtool/
Source0:	https://prdownloads.sourceforge.net/tagtool/%{name}-%{version}.tar.bz2
Patch0:		tagtool-0.12.3-fedora-DSOLink.patch

BuildRequires:	pkgconfig 
BuildRequires:	imagemagick
BuildRequires:	gtk2-devel 
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	id3lib-devel 
BuildRequires:	pkgconfig(vorbis) 
BuildRequires:	pkgconfig(ogg)
BuildRequires:	perl(XML::Parser) 
BuildRequires:	desktop-file-utils

%description
Audio Tag Tool is a program to manage the information fields in MP3 and Ogg
Vorbis files, commonly called tags. Tag Tool can be used to edit tags one by
one, but the most useful features are the ability to easily tag or rename
hundreds of files at once, in any desired format. The mass tag and mass
rename features can handle filenames in any format thanks to an easily
configurable format template.

%prep
%setup -q
%autopatch -p0

%build
%configure
%make_build

%install
%makeinstall

#menu

sed -i -e 's|False|false|g' %{buildroot}/%{_datadir}/applications/tagtool.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Audio" \
  --add-category="AudioVideo" \
  --add-category="AudioVideoEditing" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#icons
mkdir -p %{buildroot}/%{_liconsdir}
convert -size 48x48 pixmaps/TagTool.png %{buildroot}/%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_iconsdir}
convert -size 32x32 pixmaps/TagTool.png %{buildroot}/%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_miconsdir}
convert -size 16x16 pixmaps/TagTool.png %{buildroot}/%{_miconsdir}/%{name}.png
rm -f %{buildroot}%{_iconsdir}/hicolor/icon-theme.cache

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS BUGS ChangeLog README NEWS THANKS TODO
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/icons/hicolor/*/apps/TagTool.*
