Name:           taisei
Version:        1.4.1
Release:        %mkrel 3
Summary:        Taisei is a fan-made, Open Source clone of the Touhou series
License:        MIT and CC0
Group:          Games/Shooter
URL:            https://taisei-project.org
Source0:        https://github.com/taisei-project/taisei/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Fix build on i686
# https://github.com/taisei-project/taisei/pull/380
Patch1:         0001-i686-build-fixes.patch
BuildRequires:  glslc
BuildRequires:  meson
BuildRequires:  pkgconfig(cglm)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gamemode)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(opusfile)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(shaderc)
BuildRequires:  pkgconfig(spirv-cross-c-shared)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  python3
BuildRequires:  python3-docutils
BuildRequires:  python3-zstandard

%description
Taisei is an open clone of the Touhou series. Touhou is a one-man project
of shoot-em-up games set in an isolated world full of Japanese folklore.

%prep
%autosetup -p1

%build
%meson -D strip=false \
       -D install_macos_bundle=disabled \
       -D install_relocatable=disabled \
       -D use_libcrypto=enabled
%meson_build

%install
%meson_install

%files
%doc %{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.taisei_project.Taisei.desktop
%{_datadir}/applications/org.taisei_project.Taisei.tsr.desktop
%{_datadir}/mime/packages/org.taisei_project.Taisei.xml
%{_iconsdir}/hicolor/*/apps/*%{name}*.png
%{_iconsdir}/hicolor/*/mimetypes/*%{name}*.png
%{_metainfodir}/org.taisei_project.Taisei.appdata.xml
