%define tallocmajor      2
%define libtalloc        %mklibname talloc %{tallocmajor}
%define tallocdevel      %mklibname talloc -d

%define pytallocmajor    2
%define libpytalloc      %mklibname pytalloc-util %{pytallocmajor}
%define libpytallocdevel %mklibname pytalloc-util -d

%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg2 --import %{1} \
gpg2 --trust-model always --verify %{2} \
rm -Rf $GNUPGHOME \


Name:           talloc
# tallocversion was not used when in samba4, so it was 4.0.0
Epoch:          1
Version:        2.4.3
Release:        %mkrel 1
Summary:        Library implementing Samba's memory allocator
License:        GPLv3
Group:          System/Libraries
URL:            https://talloc.samba.org/
Source:         https://talloc.samba.org/ftp/talloc/talloc-%{version}.tar.gz
Source1:        https://talloc.samba.org/ftp/talloc/talloc-%{version}.tar.asc
Source2:        samba-bugs.asc

BuildRequires:  gnupg2
BuildRequires:  acl-devel
BuildRequires:  xsltproc
BuildRequires:  docbook-style-xsl
BuildRequires:  pkgconfig(python3)

%description
Library implementing Samba's memory allocator.

%package -n %{libtalloc}
Summary:        Library implementing Samba's memory allocator
Group:          System/Libraries

%description -n %{libtalloc}
Library implementing Samba's memory allocator.

%package -n %{tallocdevel}
Summary:        Library implementing Samba's memory allocator
Group:          Development/C
Provides:       talloc-devel = %{epoch}:%{version}-%{release}
Requires:       %{libtalloc} = %{epoch}:%{version}-%{release}
BuildRequires:  swig

%description -n %{tallocdevel}
Library implementing Samba's memory allocator.

%package -n python3-talloc
Summary:        Python 3 module for Samba's talloc memory allocator
Group:          Development/Python
%{?python_provide:%python_provide python3-talloc}

%description -n python3-talloc
Python 3 module for Samba's talloc memory allocator.

%package -n %{libpytalloc}
Summary:        Utility functions for using talloc objects with Python 3
Group:          Development/C

# ease upgrade
Conflicts: python3-talloc < 1:2.1.16-3

%description -n %{libpytalloc}
Utility functions for using talloc objects with Python 3.

%package -n %{libpytallocdevel}
Summary:        Utility functions for using talloc objects with Python 3
Group:          Development/C
Requires:       %{libpytalloc} = %{epoch}:%{version}
Provides:       pytalloc-util-devel = %{version}-%{release}

%description -n %{libpytallocdevel}
Utility functions for using talloc objects with Python 3.

%prep

#Try and validate signatures on source:
VERIFYSOURCE=%{SOURCE0}
VERIFYSOURCE=${VERIFYSOURCE%%.gz}
gzip -dc %{SOURCE0} > $VERIFYSOURCE

%check_sig %{SOURCE2} %{SOURCE1} $VERIFYSOURCE

rm -f $VERIFYSOURCE

%setup -q
%autopatch -p1

# replace removed time.clock()
sed -i -e "s,time\.clock(),time.perf_counter(),g" buildtools/wafsamba/samba_deps.py

# fix for python3.8
sed -i -e "/all_flags/s,\('--libs'\),\1\, '--embed'," third_party/waf/waflib/Tools/python.py

%build
%configure
%make_build

%install
%make_install

%files -n %{libtalloc}
%{_libdir}/libtalloc.so.%{tallocmajor}{,.*}

%files -n %{tallocdevel}
%{_libdir}/libtalloc.so
%{_includedir}/talloc.h
%{_libdir}/pkgconfig/talloc.pc
%{_mandir}/man3/talloc*

%files -n python3-talloc
%{python3_sitearch}/talloc.cpython*.so

%files -n %{libpytalloc}
%{_libdir}/libpytalloc-util.cpython*.so.%{pytallocmajor}{,.*}

%files -n %{libpytallocdevel}
%{_includedir}/pytalloc.h
%{_libdir}/libpytalloc-util.cpython*.so
%{_libdir}/pkgconfig/pytalloc-util.cpython-*.pc
