Name:		tanglet
Version:	1.6.8
Release:	%mkrel 1
Summary:	Word finding game
Group:		Games/Puzzles
License:	GPLv3+
URL:		https://gottcode.org/tanglet
Source0:	https://gottcode.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
A single player word finding game based on Boggle. The object of the
game is to list as many words as you can before the time runs out.
There are several timer modes that determine how much time you start
with, and if you get extra time when you find a word.

You can join letters horizontally, vertically, or diagonally in any
direction to make a word, so as long as the letters are next to each
other on the board. However, you can not reuse the same letter cells
in a single word. Also, each word must be at least three letters on
a normal board, and four letters on a large board.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*g
%{_mandir}/man6/%{name}.6*
