%define extraname tango-icon-theme-extras
%define extraversion 0.1.1

Summary:	Tango icon theme
Name:		tango-icon-theme
Version:	0.8.90
Release:	%mkrel 17
License:	Public Domain
Group:		Graphical desktop/Other
URL:		http://tango.freedesktop.org/Tango_Icon_Library#Download
Source0:	http://tango.freedesktop.org/releases/%{name}-%{version}.tar.bz2
Source1:	http://tango.freedesktop.org/releases/%{extraname}-%{extraversion}.tar.bz2
# https://www.gnome-look.org/content/show.php?content=41229
Source2:	tango_addon-0.5b.tar.bz2
Source3:	tango-icon-theme-xfce.tar.bz2
# From SUSE
Patch10:	tango-icon-theme-rsvg-2_35_2.patch
Patch11:	tango-icon-theme-extras-rsvg-2_35_2.patch
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	imagemagick
BuildRequires:	imagemagick-devel
BuildRequires:	icon-naming-utils >= 0.8.90
BuildRequires:	librsvg
BuildRequires:	pkgconfig(librsvg-2.0)
Requires(post):	gtk-update-icon-cache

%description
This is an icon theme that follows the Tango visual guidelines.
It bundles with the extra icon set and additional %{_vendor} icons.

%prep
%setup -q -a 1 -a 2 -a 3
%autopatch -p1

cp %{extraname}-%{extraversion}/README README.extra
cp %{extraname}-%{extraversion}/AUTHORS AUTHORS.extra
cp %{extraname}-%{extraversion}/ChangeLog ChangeLog.extra

mv "tango addon" tango_addon
chmod 644 tango_addon/readme.txt
rm tango_addon/apps/gtk-close.svg

%build
autoreconf -vfi
./configure \
	--prefix=%{_prefix} \
	--enable-png-creation
%make_build

pushd %{extraname}-%{extraversion}
	autoreconf -vfi
	./configure \
		--prefix=%{_prefix} \
		--enable-png-creation
	%make_build
popd

%install
%make_install

pushd %{extraname}-%{extraversion}
	%make_install
popd

pushd tango_addon
	install -m 644 apps/* %{buildroot}%{_iconsdir}/Tango/scalable/apps
	install -m 644 categories/* %{buildroot}%{_iconsdir}/Tango/scalable/categories
popd

pushd tango-icon-theme-xfce
	install -m 644 scalable/apps/* %{buildroot}%{_iconsdir}/Tango/scalable/apps
popd

#for ghost
touch %{buildroot}%{_iconsdir}/Tango/icon-theme.cache

ln -s mozilla-firefox.svg %{buildroot}%{_iconsdir}/Tango/scalable/apps/firefox.svg

# don't ship some icons that look like Mandriva ones
rm -f %{buildroot}%{_iconsdir}/Tango/scalable/apps/{drakconf,mandrake,mandriva}.svg

# rename mandrivaupdate.svg to mageiaupdate.svg
mv %{buildroot}%{_iconsdir}/Tango/scalable/apps/mandrivaupdate.svg \
   %{buildroot}%{_iconsdir}/Tango/scalable/apps/mageiaupdate.svg

## Originally from Arch Linux:
pushd %{buildroot}%{_iconsdir}/Tango

# function using imagemagick to combine symbols with default folder-icon
# used below to create xdg-folders
	comp() {
		composite -gravity center \( ${size}x${size}/"$1".png -resize 50% \) \
		${size}x${size}/places/folder.png ${size}x${size}/places/folder-"$2".png
	}

	for size in 16 22 24 32 48 64 72 96 128; do
		# create icon for category "Education"
		ln -s "../status/dialog-information.png" \
		"${size}x${size}/categories/applications-science.png"

		# create xdg-folders
		comp apps/internet-web-browser publicshare
		comp actions/go-down download
		comp actions/document-properties templates
		comp mimetypes/audio-x-generic music
		comp mimetypes/image-x-generic pictures
		comp mimetypes/video-x-generic videos
		comp mimetypes/x-office-document documents
	done

	ln -s "../status/dialog-information.svg" \
		"scalable/categories/applications-science.svg"

popd

%post
%update_icon_cache Tango

%files
%doc README* AUTHORS* ChangeLog* COPYING
%doc tango_addon/readme.txt
%dir %{_iconsdir}/Tango/
%{_iconsdir}/Tango/*/
%{_iconsdir}/Tango/index.theme
%ghost %{_iconsdir}/Tango/icon-theme.cache

