%define with_gcj_support 0

Name:          tanukiwrapper
Version:       3.5.43
Release:       %mkrel 5
Summary:       Java Service Wrapper
Group:         Development/Java
License:       BSD, GPLv2
Url:           https://wrapper.tanukisoftware.com/
Source0:       https://download.sourceforge.net/wrapper/wrapper_%{version}_src.tar.gz
Source1:       tanukiwrapper-template.pom
Patch0:        tanukiwrapper-3.5.30-build.patch
Patch1:        tanukiwrapper-3.5.43-Makefiles.patch
Patch2:        tanukiwrapper-arm.patch
Patch3:        tanukiwrapper-3.5.43-java10.patch
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: pkgconfig(cunit)
BuildRequires: glibc-devel
BuildRequires: java-devel
BuildRequires: java-javadoc
BuildRequires: javapackages-local
BuildRequires: xerces-j2

%description
The Java Service Wrapper is an application which has
evolved out of a desire to solve a number of problems
common to many Java applications:
- Run as a Windows Service or Unix Daemon
- Application Reliability
- Standard, Out of the Box Scripting
- On Demand Restarts
- Flexible Configuration
- Ease Application installations
- Logging

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
Tanuki Java Service Wrapper.

This package contains javadoc for %{name}.

%package       manual
Summary:       Documents for %{name}
Group:         Documentation

%description   manual
Tanuki Java Service Wrapper.

This package contains documents for %{name}.

%prep
%setup -q -n wrapper_%{version}_src

%autopatch -p1

cp %{SOURCE1} ./%{name}.pom
sed -i "s|<version>@VERSION@|<version>%{version}|" %{name}.pom

find . -name "*.jar" -exec %__rm -f {} \;

%{__perl} -p -i -e 's/\r//' doc/AUTHORS
%{__perl} -p -i -e 's|-O3|%optflags|' src/c/Makefile*
%{__perl} -p -e \
 's|=\.\./lib/wrapper\.jar$|=%{_jnidir}/%{name}.jar| ;
  s|=\.\./lib$|=%{_libdir}|' \
 src/conf/wrapper.conf.in > wrapper.conf.sample
%{__perl} -p -e \
 's|"\./wrapper"|"%{_sbindir}/%{name}"| ;
  s|"\.\./conf/wrapper\.conf"|"/path/to/wrapper.conf"|' \
 src/bin/sh.script.in > script.sh.sample

%mvn_file : %{name} %{name}

%build

export JAVA_HOME=%{_jvmdir}/java
export CLASSPATH=$(build-classpath junit xerces-j2 xml-commons-apis ant)
%ifarch x86_64 ia64 ppc64 ppc64le sparc64 s390x aarch64
bits=64
%else
bits=32
%endif
%ant \
  -Djavac.target.version=8 \
  -Dbuild.sysclasspath=first \
  -Djdk.api=%{_javadocdir}/java \
  -Dbits=$bits \
  main jdoc

%install
%mvn_artifact %{name}.pom lib/wrapper.jar

%mvn_install -J jdoc

# jni
mkdir -p %{buildroot}%{_libdir}
install -pm 755 lib/libwrapper.so %{buildroot}%{_libdir}

# commands
mkdir -p %{buildroot}%{_sbindir}
install -pm 755 bin/wrapper %{buildroot}%{_sbindir}/%{name}

%if %{with_gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%if %{with_gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ] ; then
 %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{with_gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ] ; then
 %{_bindir}/rebuild-gcj-db
fi
%endif

%files -f .mfiles
%doc doc/wrapper-community-license-1.?.txt *.sample
%{_sbindir}/%{name}
%{_libdir}/libwrapper.so

%if %{with_gcj_support}
%{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files javadoc -f .mfiles-javadoc

%files manual
%doc doc/*
