%global oname targetcli-fb

Name:           targetcli
Version:        3.0.0
Release:        %mkrel 1
Summary:        An administration shell for storage targets
License:        ASL 2.0
Group:          System/Libraries
URL:            https://github.com/open-iscsi/targetcli-fb
Source0:        https://github.com/open-iscsi/targetcli-fb/archive/v%{version}/%{oname}-%{version}.tar.gz
Patch1:         targetcli-fb-2.1.54-systemd.patch
BuildArch:      noarch
BuildRequires:  systemd-units
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

Requires:       python3-rtslib >= 2.1
Requires:       python3-configshell
Requires:       python3-dbus
Requires:       python3-ethtool
Requires:       python3-six

%description
An administration shell for configuring iSCSI, FCoE, and other
SCSI targets, using the TCM/LIO kernel target subsystem. FCoE
users will also need to install and use fcoe-utils.

%prep
%autosetup -p1 -n %{oname}-%{version}

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION="%{version}"
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION="%{version}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files targetcli

mkdir -p %{buildroot}%{_sysconfdir}/target/backup
mkdir -p %{buildroot}%{_mandir}/man8/
install -m 644 targetcli*.8 %{buildroot}%{_mandir}/man8/
mkdir -p %{buildroot}%{_unitdir}/
install -m 644 systemd/* %{buildroot}%{_unitdir}/

%files -f %{pyproject_files}
%doc COPYING README.md
%{_bindir}/%{name}
%{_bindir}/%{name}d
%dir %{_sysconfdir}/target
%dir %{_sysconfdir}/target/backup
%{_unitdir}/%{name}d.service
%{_unitdir}/%{name}d.socket
%{_mandir}/man8/%{name}*.8*
