Name:		tartube
Version:	2.5.100
Release:	%mkrel 1
Summary:	GUI for youtube-dl and yt-dlp
License:	LGPLv2+
Group:		Video/Players
Url:		https://github.com/axcore/tartube
Source0:	https://github.com/axcore/tartube/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(twodict)

Requires:	python3-matplotlib-gtk3
Requires:	python3dist(twodict)
Requires:	yt-dlp
Requires:	youtube-dl
Recommends:	atomicparsley
Recommends:	ffmpeg
Recommends:	python3-moviepy

Provides:	youtube-dl-gui = %version-%release
Obsoletes:	youtube-dl-gui < 0.4-4

%description
Tartube is a GUI front-end for youtube-dl, yt-dlp and other
compatible video downloaders.

It's a fork of youtube-dl-gui which works with python3.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
export TARTUBE_PKG_STRICT=1
%pyproject_wheel

%install
export TARTUBE_PKG_STRICT=1
%pyproject_install
%pyproject_save_files tartube

mkdir -p  %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Tartube
GenericName=YouTube-dl and yt-dlp GUI
Comment=GUI front-end for youtube-dl and yt-dlp
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Audio;Video;AudioVideo;
EOF

mv %{buildroot}%{python3_sitelib}%{_datadir}/* %{buildroot}%{_datadir}
find %{buildroot} -name '*.po' -delete

%find_lang %{name}

%files -f %{name}.lang -f %{pyproject_files}
%doc AUTHORS CHANGES README.rst
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_mandir}/man1/*.1*
%exclude %{_datadir}/locale/*
