Name:        task-codec
Version:     9
Release:     %mkrel 1
Summary:     Meta-package for easy installation of multimedia codecs
Group:       System/Libraries
License:     GPLv2+ GPLv3+
URL:         https://www.mageia.org

%description
This meta package permit to install easily all the codecs at once.

%package -n task-codec-audio
Summary:     Meta-package for easy installation of audio codecs
Group:       Sound/Editors and Converters

#Misc Audio codecs
Recommends:    ffmpeg2theora
Recommends:    flac
Recommends:    twolame
Recommends:    mp3gain
Recommends:    speex
Recommends:    vorbis-tools
Recommends:    vorbisgain

#Gstreamer0.10 Audio codecs
Recommends:    gstreamer0.10-musepack

#Gstreamer1.0 Audio codecs
Recommends:    gstreamer1.0-a52dec
Recommends:    gstreamer1.0-cdio
Recommends:    gstreamer1.0-cdparanoia
Recommends:    gstreamer1.0-flac
Recommends:    gstreamer1.0-gme
Recommends:    gstreamer1.0-gsm
Recommends:    gstreamer1.0-pulse
Recommends:    gstreamer1.0-speex
Recommends:    gstreamer1.0-twolame
Recommends:    gstreamer1.0-voip
Recommends:    gstreamer1.0-wavpack

#Audio and Video codecs
Recommends:    ffmpeg
Recommends:    gstreamer0.10-mms
Recommends:    gstreamer0.10-plugins-ugly
Recommends:    gstreamer1.0-farstream
Recommends:    gstreamer1.0-libav
Recommends:    gstreamer1.0-mms
Recommends:    gstreamer1.0-plugins-bad
Recommends:    gstreamer1.0-plugins-base
Recommends:    gstreamer1.0-plugins-good
Recommends:    gstreamer1.0-plugins-ugly
Recommends:    gstreamer1.0-rtmp
Recommends:    gstreamer1.0-tools

%if "%{?distro_section}" == "tainted"

#Misc Audio Tainted codecs
Recommends:    faad2
Recommends:    lame

#Gstreamer0.10 Audio Tainted codecs
Recommends:    gstreamer0.10-faad
Recommends:    gstreamer0.10-lame

#Gstreamer1.0 Audio Tainted codecs
Recommends:    gstreamer1.0-amrnb
Recommends:    gstreamer1.0-dts
Recommends:    gstreamer1.0-faad
Recommends:    gstreamer1.0-lame

#Libs Audio Tainted codecs
Recommends:    libdca-tools
Recommends:    libquicktime-faad
Recommends:    libquicktime-lame

%endif

%description -n task-codec-audio
This meta package permit to install easily all the audio codecs at once.

%package -n task-codec-video
Summary:    Meta-package for easy installation of video codecs
Group:      Video/Editors and Converters

#Misc Video codecs
Recommends:    a52dec
Recommends:    mpeg2dec

#Gstreamer0.10 Video codecs
Recommends:    gstreamer0.10-dirac
Recommends:    gstreamer0.10-resindvd

#Gstreamer1.0 Video codecs
Recommends:    gstreamer1.0-dv
Recommends:    gstreamer1.0-mpeg

#Libs Video codecs
Recommends:    libquicktime-dv

#Audio and Video codecs
Recommends:    ffmpeg
Recommends:    gstreamer0.10-mms
Recommends:    gstreamer0.10-plugins-ugly
Recommends:    gstreamer1.0-farstream
Recommends:    gstreamer1.0-libav
Recommends:    gstreamer1.0-mms
Recommends:    gstreamer1.0-plugins-bad
Recommends:    gstreamer1.0-plugins-base
Recommends:    gstreamer1.0-plugins-good
Recommends:    gstreamer1.0-plugins-ugly
Recommends:    gstreamer1.0-rtmp
Recommends:    gstreamer1.0-tools
Recommends:    gstreamer1.0-vaapi

%if "%{?distro_section}" == "tainted"

#Misc Video Tainted codecs
Recommends:    x264
Recommends:    x265
#Gstreamer0.10 Video Tainted codecs
Recommends:    gstreamer0.10-xvid
#Gstreamer1.0 Video Tainted codecs
Recommends:    gstreamer1.0-x264
Recommends:    gstreamer1.0-x265
#Libs Video Tainted codecs
Recommends:    %{_lib}xvid4
Recommends:    %{_lib}dvdcss2
Recommends:    %{_lib}quicktime0
Recommends:    libquicktime-x264

%endif

%description -n task-codec-video
This meta package permit to install easily all the video codecs at once.

%files -n task-codec-audio

%files -n task-codec-video

