#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:           task-plasma
Version:        6.3.4
Release:        %mkrel 1
Summary:        Metapackage for Plasma
Group:          Graphical desktop/KDE
License:        GPLv2
BuildArch:      noarch
Requires:       task-plasma-minimal = %version-%release

Requires:       kinfocenter
Requires:       ksysguard
Requires:       plasma-systemmonitor

Recommends:     gwenview
Recommends:     kgamma
Recommends:     kdeconnect-kde
Recommends:     kruler
Recommends:     kcolorchooser
Recommends:     kolourpaint
Recommends:     svgpart
Recommends:     kdegraphics-thumbnailers
Recommends:     kdegraphics-mobipocket
Recommends:     kdeplasma-addons
Recommends:     kmouth
Recommends:     kmousetool
Recommends:     kmag

Recommends:     kcharselect
Recommends:     ktimer
Recommends:     kcron

Recommends:     plasma-irc-client
Recommends:     digikam
Recommends:     kamera

Obsoletes:      task-plasma5 < 5.92.0
Provides:       task-plasma5 = %{version}-%{release}

%description
This package is a meta-package, meaning that its purpose is to contain
the complete dependencies for running the Plasma desktop ( plus digikam,
calligra, ...)

%files


#---------------------------------------------------------------------

%package    minimal
Summary:    Minimal dependencies needed by Plasma
Group:      Graphical desktop/KDE

Requires:   task-x11
Requires:   dbus-x11

Requires:   plasma-workspace
Requires:   systemsettings
Requires:   plasma-desktop
Requires:   font(notosans)

Requires:   sddm

# Only available on 64bits platform
Recommends: khelpcenter

Requires:   gwenview
Requires:   dolphin
Requires:   ark
Requires:   kcalc
Requires:   plasma-pa
Requires:   kde-gtk-config

Requires:   kwalletmanager
Requires:   kdialog
Requires:   kwrite
Requires:   okular
Requires:   xdg-desktop-portal-kde

Recommends: spectacle
Recommends: task-sound
Recommends: phonon4qt6-vlc

Recommends: drakconf
Recommends: mageiawelcome

Recommends: dragon
Recommends: elisa

Recommends: pam-kwallet

Recommends: preload
Recommends: readahead

Recommends: konq-plugins

Obsoletes:  task-plasma5-minimal < 5.92.0
Provides:   task-plasma5-minimal = %{version}-%{release}

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal Plasma desktop environment.

%files minimal

#------------------------------------------------------------------------
# task-plasma-handbooks is used to install plasma handbooks needed on systems
# installed from Plasma liveCD.
# task-plasma-handbooks's suggests should fit the Plasma liveCD contents.

%package    handbooks
Summary:    Metapackage handbooks for Plasma LiveCDs
Group:      Graphical desktop/KDE

%description handbooks
This package is a meta-package, meaning that its purpose is to contain
the complete handbooks for the Plasma desktop installed by LiveCDs.

#%%files handbooks

#------------------------------------------------------------------------
# task-plasma-handbooks-dvd pulls in the iso DVD the handbooks for the plasma
# components available on the DVD.
# (by meta-task / rpmsrate-raw section INSTALL)
# task-plasma-handbooks-dvd's requires should fit the iso DVD content.

%package    handbooks-dvd
Summary:    Metapackage handbooks used by dvd builder
Group:      Graphical desktop/KDE

%description handbooks-dvd
This package is a meta-package used by the iso dvd builder.
It shouldn't be installed on a system.

#%%files handbooks-dvd

#--------------------------------------------------------------------

%package   devel
Summary:   Metapackage for KDE development
Group:     Development/KDE and Qt
Requires:  task-plasma
Requires:  task-c++-devel

%description devel
This package is a meta-package, meaning that its purpose is to contain
dependencies for installing a KDE development environment.

#%%files devel

#--------------------------------------------------------------------
