# Based on the Fedora .spec file for task 1.9.4
%define shortname task

Name:           taskwarrior
Version:        2.6.2
Release:        %mkrel 1
Summary:        A command-line to do list manager
Group:          Office/Organizer
License:        MIT
URL:            https://taskwarrior.org/
Source0:        https://github.com/GothenburgBitFactory/taskwarrior/releases/download/v%{version}/%{shortname}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(uuid)

Provides:       task = %{version}-%{release}


%description
Task is a command-line to do list manager. It has support for GTD functionality
and includes the following features: tags, colorful tabular output, reports and
graphs, lots of manipulation commands, low-level API, abbreviations for all
commands and options, multi-user file locking, recurring tasks.

%prep
%setup -q -n %{shortname}-%{version}

%build
%cmake
%cmake_build

%install
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
install -m 644 -T scripts/bash/task.sh %{buildroot}%{_datadir}/bash-completion/completions/task

%cmake_install
mv %{buildroot}%{_defaultdocdir}/%{shortname} %{buildroot}%{_defaultdocdir}/%{name}
rm %{buildroot}%{_defaultdocdir}/%{name}/INSTALL

# python shebangs
%py3_shebang_fix %{buildroot}%{_docdir}/taskwarrior/scripts/add-ons/

%files
%doc %{_defaultdocdir}/%{name}/
%{_bindir}/task
%{_mandir}/man1/task.1*
%{_mandir}/man5/taskrc.5*
%{_mandir}/man5/task-color.5*
%{_mandir}/man5/task-sync.5*
%{_datadir}/bash-completion/completions/task
%{_datadir}/zsh/site-functions/_task

