Name:           tbe
Version:        0.9.3.1
Release:        %mkrel 8
Summary:        The Butterfly Effect is a physics-based puzzle game
Group:          Games/Puzzles
License:        GPLv2
URL:            http://the-butterfly-effect.org
Source0:        https://github.com/the-butterfly-effect/tbe/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.9.3.1-mga-i18n-update.patch
Patch1:         %{name}-0.9.3.1-mga-last-level.patch
Patch2:         %{name}-0.9.3.1-mga-description.patch
Patch3:         alt-qt5.15.9.patch

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qttools5
Provides:       thebutterflyeffect = %{version}-%{release}

%description
The Butterfly Effect uses realistic physics simulations to combine
lots of simple mechanical elements to achieve a simple goal in the
most complex way possible.

%prep
%autosetup -p1

%build
%cmake -DWITH_DOCS=OFF \
       -DBUILD_SHARED_LIBS=OFF \
       -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS DESCRIPTION README.md installer/License imagery/README.*
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
