# (tv) fix build:
%define debug_package %{nil}

%global commit f8bd136
%global git git20250213

Name:		tcc
Version:	0.9.28
Release:	%mkrel 0.%{?git:%git.}2
Summary:	Tiny C Compiler
License:	LGPLv2+
Group:		Development/C
URL:		https://bellard.org/tcc/
#Source0:	https://download.savannah.nongnu.org/releases/tinycc/%%{name}_%%{version}.tar.bz2
Source0:	https://repo.or.cz/tinycc.git/snapshot/%{commit}.tar.gz#/%{name}_%{version}%{?git:+%git}.tar.gz
Patch0:		tcc-0.9.28-arm.patch
BuildRequires:	texinfo

Provides:	tinycc = %{version}-%{release}

%description
Tiny C Compiler - C Scripting Everywhere - The Smallest ANSI C
compiler.


%prep
%autosetup -p1 -n tinycc-%{commit}

# path fix
find -type f | xargs perl -pi -e "s|^#\!/usr/local/bin|#\!%{_bindir}|g"

# fix attribs
chmod 644 examples/*

# Don't strip
sed -i -e 's|STRIP_yes = -s|STRIP_yes =|' Makefile

%build
%configure --debug --triplet=%{_build} --disable-static --disable-rpath
%__make

%install
%make_install

# cleanup
rm -rf %{buildroot}%{_docdir}/tcc

%files
%doc Changelog README TODO *.html examples
%license COPYING
%exclude %{_docdir}/tcc-doc.html
%{_bindir}/*
%{_libdir}/tcc/
%{_libdir}/libtcc.so
%{_includedir}/*.h
%{_infodir}/tcc-doc*
%{_mandir}/man1/tcc.1*
