%define oname	tcllib

Name:           tcl-%{oname}
Version:        1.21
Release:        %mkrel 1
Summary:        Collection of utility modules for Tcl
License:        BSD
Group:          Networking/WWW
URL:            https://www.tcl.tk/software/tcllib/
Source:         https://downloads.sourceforge.net/tcllib/%{oname}-%{version}.tar.xz
BuildRequires:  pkgconfig(tcl)
BuildArch:      noarch


%description
Tcllib is a collection of utility modules for Tcl. These modules 
provide a wide variety of functionality, from implementations of 
standard data structures to implementations of common networking 
protocols. The intent is to collect commonly used function into 
a single library, which users can rely on to be available and 
stable.

%prep
%setup -q -n %{oname}-%{version}
##chmod -x modules/doctools/mpformats/fr.msg
## Convert a couple of files to UTF-8
#for file in modules/struct/pool.html ; do
#    iconv --from=ISO-8859-1 --to=UTF-8 ${file} > ${file}.new
#    mv -f ${file}.new ${file}
#done

%build
%configure --libdir=%{tcl_sitelib}
%make_build

%install
%make_install

%files
%doc support/releases/PACKAGES
%doc README.md
%doc support/releases/history/README-%{version}.md
%doc ChangeLog license.terms
%{_bindir}/*
%{tcl_sitelib}/tcllib%{version}
%{_mandir}/mann/*
