%define         realname tclxml
%define         tclxmldirname  Tclxml%{version}

Summary:        XML parsing library for the Tcl scripting language
Name:           tcl-%{realname}
Version:        3.3.1
Release:        %mkrel 2
License:        BSD
Group:          System/Libraries
# https://tclxml.sourceforge.net/
URL:            https://github.com/flightaware/TclXML

Source0:        https://github.com/flightaware/TclXML/archive/v%{version}/TclXML-%{version}.tar.gz

Patch0:         tclxml-3.2-sgmlparser.patch
Patch1:         tclxml-3.2-mga-security.patch
Patch2:         0001-Fix-Wimplicit-function-declaration.patch
Patch3:         tclxml-3.3.1-funcPointer.patch

BuildRequires:  pkgconfig(tcl)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)

Provides:       tclxml = %{version}-%{release}
Provides:       tcldom = %{version}-%{release}
Provides:       tclxslt = %{version}-%{release}
Provides:       tcl-tclxml-gui = %{version}-%{release}
Requires:       tcl
Requires:       tcl-tcllib

%description
TclXML is a package that provides XML, DOM, and XSLT parsing for the
Tcl scripting language.

%package devel
Summary:   Development files for the tclxml packages
Group:     System/Libraries
Requires:  %{name} = %{version}-%{release}
Provides:  tcldom-devel = %{version}-%{release}
Provides:  tclxml-devel = %{version}-%{release}

%description devel
Development header files for the tclxml packages.  This includes all of the
header files for the tclxml, tcldom, and tclxslt packages


%prep
%autosetup -p1 -n TclXML-%{version}

# Fix a few spurious execute permissions
chmod -x ChangeLog doc/xsltsl/cmp.xsl *.c

# Clean up some DOS line endings
sed -i -e 's/\r//' doc/README.xml.in

%build
%configure --libdir=%{tcl_sitearch}
%make_build

%install
%make_install

chmod a-x %{buildroot}%{tcl_sitearch}/%{tclxmldirname}/*.a

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo %{tcl_sitearch}/%{tclxmldirname} > %{buildroot}%{_sysconfdir}/ld.so.conf.d/tclxml.conf


%check
# The test suite fails to run properly from the build directory.
#make test


%files
%doc ANNOUNCE ChangeLog README.md
%license LICENSE
%dir %{tcl_sitearch}/%{tclxmldirname}
%{tcl_sitearch}/%{tclxmldirname}/*.so
%{tcl_sitearch}/%{tclxmldirname}/*.tcl
%{_sysconfdir}/ld.so.conf.d/tclxml.conf

%files devel
%{_includedir}/tclxml
%{tcl_sitearch}/TclxmlConfig.sh
%{tcl_sitearch}/%{tclxmldirname}/*.a
