Summary:	Tcl/Tk readline enhanced shells
Name:		tclreadline
Version:	2.4.0
Release:	%mkrel 1
License:	BSD
Group:		Development/Other
URL:		https://github.com/flightaware/tclreadline
Source0:	https://github.com/flightaware/tclreadline/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		%{name}-amd64.patch
# installs everything to whatever's set as libdir - so we can just
# install the whole thing to tcl_sitearch/name (see below) - AdamW
# 2008/10
Patch3:		tclreadline-2.3.8-tcl_relocate.patch

BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	tk
BuildRequires:	pkgconfig(tk)
BuildRequires:	tcl
BuildRequires:	pkgconfig(tcl)
BuildRequires:	autoconf
Obsoletes:	%{mklibname tclreadline -d} < %{version}-%{release}
Obsoletes:	%{mklibname tclreadline 2.1.0 -d} < %{version}-%{release}

%description
This package contains tclreadline, a TCL package which builds a
connection between TCL and the GNU readline.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure --disable-static \
           --enable-tclshrl \
           --enable-wishrl \
           --libdir=%{tcl_sitearch}/%{name}%{version} \
           --with-tcl=%{_libdir} \
           --with-tk=%{_libdir}

# avoid using rpath
sed -i libtool					\
	-e 's/^runpath_var=.*/runpath_var=/'	\
	-e 's/^hardcode_libdir_flag_spec=".*"$/hardcode_libdir_flag_spec=""/'

%make_build

%install
%make_install

rm -rf %{buildroot}%{_includedir}


%files
%doc AUTHORS ChangeLog TODO
%license COPYING
%{_bindir}/tclshrl
%{_bindir}/wishrl
%{tcl_sitearch}/%{name}%{version}
%{_mandir}/mann/tclreadline.n.*
