# NOTE Please do not remove P1 it is really necessary to make ds9 build successfull
# Also if you update this package you have to rebuild ds9 and change the version
# in ds9configure.patch: "TEA_ADD_LIBS([-L$TCL_BIN_DIR/tcltls%%{tcltls_version} -ltcltls])"

%define _disable_ld_as_needed 1
%define _disable_ld_no_undefined 1

%define         tlsdir %{name}%{version}

Summary: 	SSL2, SSL3, and TLS1 encryption extensions for TCL
Name: 		tcltls
Version: 	1.7.22
Release: 	%mkrel 3
License: 	BSD
Group: 		System/Libraries
URL: 		https://core.tcl.tk/tcltls/index
Source0:	https://core.tcl.tk/tcltls/uv/tcltls-%{version}.tar.gz
Patch0:         tcltls-1.7.21-cipher-tests.patch
Patch1:         tcltls-1.7.21-hostname-tests.patch
#(eatdirt) create a library named libtcltls.so instead of tcltls.so to
#allow linkage to other apps (ds9). A symlink from libtcltls.so to
#tcltls.so is added to ensure backward compatibility
Patch50:	tcltls-1.7.17-libname.patch

BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(openssl) >= 1.1

Requires:	tcl >= 8.6
Requires:	openssl
Provides:	tcl-tls = %{version}-%{release}

%description 
Provides SSL2, SSL3, and TLS1 socket encryption functionality
to the TCL interpreted language.

%package	devel
Summary:	SSL2, SSL3, and TLS1 encryption extensions for TCL
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Provides:	tcl-tls-devel = %{version}-%{release}

%description	devel
Provides SSL2, SSL3, and TLS1 socket encryption functionality
to the TCL interpreted language. Development headers.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
echo "LDFLAGS=$LDFLAGS"
export STRIP=: OBJCOPY=:
%configure \
    --disable-rpath \
    --with-ssl-dir=%{_prefix}

%make_build

%check
make test

%install
%make_install libdir=%{tcl_sitearch} includedir=%{_includedir}
install -D -m 644 tls.h %{buildroot}%{_includedir}/tls.h
pushd %{buildroot}%{tcl_sitearch}/%{name}%{version}
ln -s lib%{name}.so %{name}.so
popd
%{__mkdir_p} %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo %{tcl_sitearch}/%{tlsdir} > %{buildroot}%{_sysconfdir}/ld.so.conf.d/tcltls.conf


%files
%doc ChangeLog README.txt license.terms tls.htm
%{tcl_sitearch}/tcltls%{version}
%{_sysconfdir}/ld.so.conf.d/tcltls.conf

%files devel
%{_includedir}/tls.h
