%define major_ver	%(echo %{version}|cut -d. -f1,2)
%define libname		%mklibname %{name} %{tcl_version}
%define develname	%mklibname %name -d

%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh || echo 'Unknown version')}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:		tclx
Epoch:		0
Version:	8.4.4
Release:	%mkrel 2
Summary:	Tcl/Tk extensions for POSIX systems
License:	BSD
Group:		System/Libraries
URL:		https://tclx.sourceforge.net/
Source0:	https://github.com/flightaware/tclx/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		tclx-8.4-varinit.patch
Patch3:		tclx-8.4-man.patch
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)
BuildRequires:	groff


%description
TclX is a set of extensions which make it easier to use the Tcl
scripting language for common UNIX/Linux programming tasks.  TclX
enhances Tcl support for files, network access, debugging, math, lists,
and message catalogs.  TclX can be used with both Tcl and Tcl/Tk
applications.

Install TclX if you are developing applications with Tcl/Tk.  You'll
also need to install the tcl and tk packages.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Requires:	tcl(abi) = %{tcl_version}
Requires:	tk
Provides:	%{name} = %{epoch}:%{version}-%{release}
Provides:	lib%{name} = %{epoch}:%{version}-%{release}


%description -n %{libname}
TclX is a set of extensions which make it easier to use the Tcl
scripting language for common UNIX/Linux programming tasks.  TclX
enhances Tcl support for files, network access, debugging, math, lists,
and message catalogs.  TclX can be used with both Tcl and Tcl/Tk
applications.

Install TclX if you are developing applications with Tcl/Tk.  You'll
also need to install the tcl and tk packages.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{epoch}:%{version}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--with-tcl=%{_libdir} \
	--with-tclinclude=%{_includedir} \
	--libdir=%{tcl_sitearch} \
	--disable-threads \
	--enable-shared \
	--enable-64bit

# parallell build is borked!
%__make

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
echo '%{_libdir}/tcl%{tcl_version}/%{name}%{tcl_version}' > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}%{tcl_version}-%{_arch}.conf

%files -n %{libname}
%doc ChangeLog README.md
%{_sysconfdir}/ld.so.conf.d/%{name}%{tcl_version}-%{_arch}.conf
%{tcl_sitearch}/tclx%{tcl_version}

%files -n %{develname}
%{_includedir}/*.h
%{_mandir}/man3/*
%{_mandir}/mann/*
