%define LIB_MAJOR 0
%define LIB_MINOR 7
%define LIB_REL 6

%define	major %{LIB_MAJOR}
%define libname %mklibname wrap %{major}
%define develname %mklibname wrap -d

Summary: 	A security tool which acts as a wrapper for TCP daemons
Name: 		tcp_wrappers
Version: 	7.6
Release: 	%mkrel 56
Group: 		System/Servers
License: 	BSD
URL:		ftp://ftp.porcupine.org/pub/security/index.html
Source0:        http://ftp.porcupine.org/pub/security/%{name}_%{version}.tar.bz2
Patch0:		tcpw7.2-config.patch
Patch1:		tcpw7.2-setenv.patch
Patch2:		tcpw7.6-netgroup.patch
Patch3:		tcp_wrappers-7.6-bug11881.patch
Patch4:		tcp_wrappers-7.6-bug17795.patch
Patch5:		tcp_wrappers-7.6-bug17847.patch
Patch6:		tcp_wrappers-7.6-fixgethostbyname.patch
Patch7:		tcp_wrappers-7.6-docu.patch
Patch9:		tcp_wrappers.usagi-ipv6.patch
Patch10:	tcp_wrappers.ume-ipv6.patch
Patch11:	tcp_wrappers-7.6-shared.patch
Patch12:	tcp_wrappers-7.6-sig.patch
Patch13:	tcp_wrappers-7.6-strerror.patch
Patch14:	tcp_wrappers-7.6-ldflags.patch
Patch15:	tcp_wrappers-7.6-fix_sig-bug141110.patch
Patch16:	tcp_wrappers-7.6-162412.patch
Patch17:	tcp_wrappers-7.6-220015.patch
Patch18:	tcp_wrappers-7.6-restore_sigalarm.patch
Patch19:	tcp_wrappers-7.6-siglongjmp.patch
Patch20:	tcp_wrappers-7.6-sigchld.patch
Patch21:	tcp_wrappers-7.6-196326.patch
Patch22:	tcp_wrappers_7.6-249430.patch
Patch100:	tcp_wrappers-bug41864.diff
Patch101:	tcp_wrappers-7.6-make-4.4.patch
Patch200:	tcp_wrappers-7.6-gcc14.patch
Patch201:	tcp_wrappers-7.6-gcc14-part2.patch
# This partially rediffs P5, tcp_wrappers-7.6-bug17847.patch
Patch202:	tcp_wrappers-7.6-gcc14-part3.patch
# Needs to be applied after P!4, tcp_wrappers-7.6-ldflags.patch
Patch203:	tcp_wrappers-7.6-shared-tools.patch
BuildConflicts:	%{name}-devel
# nsl bits gone in glibc 2.32, add separate libnsl dep
BuildRequires:	pkgconfig(libnsl)

%description
The tcp_wrappers package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, FTP, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

Install the tcp_wrappers program if you need a security tool for
filtering incoming network services requests.

This version also supports IPv6.

%package -n	%{libname}
Summary:	A security library which acts as a wrapper for TCP daemons
Group:          System/Libraries

%description -n	%{libname}
The tcp_wrappers package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, ftp, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

This package contains the shared tcp_wrappers library (libwrap).

%package -n	%{develname}
Summary:	A security library which acts as a wrapper for TCP daemons
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libwrap-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	wrap-devel = %{version}-%{release}

%description -n	%{develname}
The tcp_wrappers package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, ftp, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

This package contains the static tcp_wrappers library (libwrap) and
its header files.

%prep

%setup -q -n %{name}_%{version}
%patch -P 0 -p1 -b .config
%patch -P 1 -p1 -b .setenv
%patch -P 2 -p1 -b .netgroup
%patch -P 3 -p1 -b .bug11881
%patch -P 4 -p1 -b .bug17795
%patch -P 5 -p1 -b .bug17847
%patch -P 6 -p1 -b .fixgethostbyname
%patch -P 7 -p1 -b .docu
%patch -P 9 -p1 -b .usagi-ipv6
%patch -P 10 -p1 -b .ume-ipv6
%patch -P 11 -p1 -b .shared
%patch -P 12 -p1 -b .sig
%patch -P 13 -p1 -b .strerror
%patch -P 14 -p1 -b .cflags
%patch -P 15 -p1 -b .fix_sig
%patch -P 16 -p1 -b .162412
%patch -P 17 -p1 -b .220015
%patch -P 18 -p1 -b .restore_sigalarm
%patch -P 19 -p1 -b .siglongjmp
%patch -P 20 -p1 -b .sigchld
%patch -P 21 -p1 -b .196326
%patch -P 22 -p1 -b .249430

%patch -P 100 -p0 -b .bug41864
%patch -P 101 -p1 -b .make-4.4

%patch -P 200 -p1 -b .gcc14
%patch -P 201 -p1 -b .gcc14-2
%patch -P 202 -p1 -b .gcc14-3
%patch -P 203 -p1 -b .shared-tools
 
%build
%serverbuild
%make_build RPM_OPT_FLAGS="$CFLAGS -DHAVE_STRERROR" \
    LDFLAGS="%{ldflags} -pie" REAL_DAEMON_DIR=%{_sbindir} \
    MAJOR=%{LIB_MAJOR} MINOR=%{LIB_MINOR} REL=%{LIB_REL} linux

%install
install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man{3,5,8}

install -m644 hosts_access.3 %{buildroot}%{_mandir}/man3
install -m644 hosts_access.5 hosts_options.5 %{buildroot}%{_mandir}/man5
ln hosts_access.5 %{buildroot}%{_mandir}/man5/hosts.allow.5
ln hosts_access.5 %{buildroot}%{_mandir}/man5/hosts.deny.5
install -m644 tcpd.8 tcpdchk.8 tcpdmatch.8 %{buildroot}%{_mandir}/man8

install -m755 libwrap.so.%{LIB_MAJOR}.%{LIB_MINOR}.%{LIB_REL} %{buildroot}/%{_libdir}/
ln -s libwrap.so.%{LIB_MAJOR}.%{LIB_MINOR}.%{LIB_REL} %{buildroot}/%{_libdir}/libwrap.so.%{LIB_MAJOR}
ln -s %{_libdir}/libwrap.so.%{LIB_MAJOR}.%{LIB_MINOR}.%{LIB_REL} %{buildroot}%{_libdir}/libwrap.so

install -m644 tcpd.h %{buildroot}%{_includedir}

install -m755 safe_finger %{buildroot}%{_sbindir}
install -m755 tcpd %{buildroot}%{_sbindir}
install -m755 tcpdchk %{buildroot}%{_sbindir}
install -m755 tcpdmatch %{buildroot}%{_sbindir}
install -m755 try-from %{buildroot}%{_sbindir}

# (fg) 20000905 FIXME FIXME FIXME: setenv in libwrap.a is rather strange for
# one, so I remove it here - but will it break anything else?
#(peroyvind): do it with a patch in stead now
#ar d %{buildroot}%{_libdir}/libwrap.a setenv.o

%files
%defattr(-,root,root,755)
%doc BLURB CHANGES README* DISCLAIMER Banners.Makefile
%{_sbindir}/*
%{_mandir}/man*/*

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{LIB_MAJOR}{,.*}

%files -n %{develname}
%doc DISCLAIMER
%{_includedir}/*
%{_libdir}/*.so
