Summary:	A network traffic monitoring tool
Name:		tcpdump
Epoch:		2
Version:	4.99.5
Release:	%mkrel 1
Group:	 	Monitoring
License:	BSD
URL:		https://www.tcpdump.org/
Source0:	https://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Patch0:		tcpdump-CVE-2018-19519.patch
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libsmi)

%description
Tcpdump is a command-line tool for monitoring network traffic.  Tcpdump can
capture and display the packet headers on a particular network interface or on
all interfaces.  Tcpdump can display all of the packet headers, or just the
ones that match particular criteria.

Install tcpdump if you need a program to monitor network traffic.

%prep
%autosetup -p1

%build
autoreconf
%serverbuild
export CFLAGS="%{optflags} -I. -DIP_MAX_MEMBERSHIPS=20"
%configure \
    --enable-ipv6

%make_build

%install
%make_install
# (misc) remove the binary, has this only pollutes completion
# and take useless space in the rpm
rm -f %{buildroot}%{_bindir}/%{name}.%{version}

%files
%doc README.md CHANGES CREDITS
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/tcpdump.1*
