Summary:	Network traffic recorder
Name:		tcpflow
Version:	1.6.1
Release:	%mkrel 4
License:	GPLv3+
Group:		Networking/Other
URL:		https://github.com/simsong/tcpflow/wiki
# https://digitalcorpora.org/downloads/%%{name}/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/simsong/tcpflow/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:		tcpflow-1.6.1-format.patch
Patch1:		tcpflow-1.6.1-uint.patch
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(openssl) >= 1.1

%description
tcpflow is a program that captures data transmitted as part of TCP
connections (flows), and stores the data in a way that is convenient
for protocol analysis or debugging.
A program like 'tcpdump' shows a summary of packets seen on the wire,
but usually doesn't store the data that's actually being transmitted.
In contrast, tcpflow reconstructs the actual data streams and stores
each flow in a separate file for later analysis.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS
%license COPYING
%{_bindir}/*
%{_mandir}/man*/*
