Summary:	A tool to replay captured network traffic
Name:		tcpreplay
Version:	4.5.1
Release:	%mkrel 1
License:	GPLv3
Group:		Networking/Other
URL:		https://tcpreplay.appneta.com/
Source0:	https://prdownloads.sourceforge.net/tcpreplay/%{name}-%{version}.tar.gz
BuildRequires:	autogen >= 5.9
BuildRequires:	pkgconfig(autoopts) >= 5.9
BuildRequires:	dnet-devel
BuildRequires:	pkgconfig(libpcap) >= 0.7.2
BuildRequires:	tcpdump

%description
Tcpreplay is a tool to replay captured network traffic. Currently, tcpreplay
supports pcap (tcpdump) and snoop capture formats. Also included, is tcpprep a
tool to pre-process capture files to allow increased performance under certain
conditions as well as capinfo which provides basic information about capture
files.

%prep
%autosetup -p1

%build
%configure \
    --enable-dynamic-link \
    --with-testnic=eth0 \
    --with-testnic2=eth1
%make_build

%check
%define enable_tests 0
%if %{enable_tests}
make test <- requires root permissions
%endif

%install
%make_install

%files
%doc docs/CHANGELOG docs/CREDIT docs/HACKING docs/TODO
%license docs/LICENSE
%{_bindir}/tcpbridge
%{_bindir}/tcpcapinfo
%{_bindir}/tcpliveplay
%{_bindir}/tcpprep
%{_bindir}/tcpreplay
%{_bindir}/tcpreplay-edit
%{_bindir}/tcprewrite
%{_mandir}/man1/*
