Summary:	An enhanced version of csh, the C shell
Name:		tcsh
Version:	6.24.14
Release:	%mkrel 1
License:	BSD
Group:		Shells
URL:		https://www.tcsh.org/
Source:		ftp://ftp.astron.com/pub/%{name}/%{name}-%{version}.tar.gz

Source1:	alias.csh

Patch1:		0001-Fix-defined-name.patch
# patches from fedora
Patch14:	tcsh-6.15.00-hist-sub.patch
# our patches
Patch106:	tcsh-6.10.00-glibc_compat.patch
# handle new DIR_COLORS codes, fixes #40532, #48284 (partly merged)
Patch107:	tcsh-6.24.10-ls-colors-var.patch
Patch110:	tcsh-6.20.00-manpage-memoryuse.patch

BuildRequires:	pkgconfig(tinfo)
BuildRequires:	groff-for-man
Requires(post):	rpm-helper >= 0.7
Requires(postun): rpm-helper >= 0.7
Provides:	csh = %{version}
Provides:	/bin/csh /usr/bin/csh

%description
Tcsh is an enhanced but completely compatible version of csh, the C
shell. Tcsh is a command language interpreter which can be used both
as an interactive login shell and as a shell script command processor.
Tcsh includes a command line editor, programmable word completion,
spelling correction, a history mechanism, job control and a C language
like syntax.


%prep
%autosetup -p1

%build
autoreconf -fi
export CFLAGS="%{optflags} -DINBUFSIZE=4*BUFSIZE"

%configure --bindir=/bin --without-hesiod
%make_build

nroff -me eight-bit.me > eight-bit.txt

%install
install -D tcsh %{buildroot}/bin/tcsh
install -D tcsh.man %{buildroot}%{_mandir}/man1/tcsh.1

ln -s tcsh.1 %{buildroot}%{_mandir}/man1/csh.1
ln -sf tcsh %{buildroot}/bin/csh

install -D %{SOURCE1} %{buildroot}/etc/profile.d/$(basename %{SOURCE1})

%post
%_add_shell_helper %{name} $1 /bin/csh
%_add_shell_helper %{name} $1 /bin/tcsh

%postun
%_del_shell_helper %{name} $1 /bin/csh
%_del_shell_helper %{name} $1 /bin/tcsh

%files
%doc FAQ Fixes eight-bit.txt complete.tcsh
%doc Ported README* WishList Y2K
%config(noreplace) %{_sysconfdir}/profile.d/*
%attr(755,root,root) /bin/tcsh
/bin/csh
%{_mandir}/*/*
