%global _smp_build_ncpus 2

%define major		%{version}
%define libname_api	%mklibname tdapi %{major}
%define libname_client	%mklibname tdclient %{major}
%define libname_json	%mklibname tdjson %{major}
%define develname	%mklibname td -d
%define develsname	%mklibname td -d -s

# upstream still create new version but without official git tarball
# commit for %%{version}
%define commit		8d08b34e22a08e58db8341839c4e18ee06c516c5
%define date		20240813

%define rel	1

Name:		tdlib
Version:	1.8.35
Release:	%mkrel %{rel}.git%{date}
Summary:	Cross-platform library for building Telegram clients
Group:		System/Libraries
License:	Boost
URL:		https://core.telegram.org/tdlib
#Source0:	https://github.com/tdlib/td/archive/v%%{version}/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/tdlib/td/archive/%{commit}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gperf
BuildRequires:	pkgconfig(libtcmalloc)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(zlib)

Provides:	bundled(sqlite3) = 3.31.0

%description
TDLib (Telegram Database library) is a cross-platform library for
building Telegram clients. It can be easily used from almost any
programming language.

%package -n	%{libname_api}
Summary:	Cross-platform library for building Telegram clients
Group:		System/Libraries

%description -n	%{libname_api}
TDLib (Telegram Database library) is a cross-platform library for
building Telegram clients. It can be easily used from almost any
programming language.

%package -n	%{libname_client}
Summary:	Cross-platform library for building Telegram clients
Group:		System/Libraries

%description -n	%{libname_client}
TDLib (Telegram Database library) is a cross-platform library for
building Telegram clients. It can be easily used from almost any
programming language.

%package -n	%{libname_json}
Summary:	Cross-platform library for building Telegram clients
Group:		System/Libraries

%description -n	%{libname_json}
TDLib (Telegram Database library) is a cross-platform library for
building Telegram clients. It can be easily used from almost any
programming language.

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname_api} = %{version}-%{release}
Requires:	%{libname_client} = %{version}-%{release}
Requires:	%{libname_json} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

%package -n	%{develsname}
Summary:	Static library for developing static programs that use %{name}
Group:		Development/C
Requires:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n	%{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%prep
%autosetup -n td-%{commit} -p1

sed -e 's/"DEFAULT"/"PROFILE=SYSTEM"/g' -i tdnet/td/net/SslStream.cpp

%build
%cmake \
    -DCMAKE_INSTALL_LIBDIR=%{_lib} \
    -DTD_ENABLE_JNI:BOOL=OFF \
    -DTD_ENABLE_DOTNET:BOOL=OFF -DTD_ENABLE_LTO=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname_api}
%license LICENSE_1_0.txt
%doc README.md CHANGELOG.md
%{_libdir}/libtdapi.so.%{version}

%files -n %{libname_client}
%license LICENSE_1_0.txt
%doc README.md CHANGELOG.md
%{_libdir}/libtdclient.so.%{version}

%files -n %{libname_json}
%license LICENSE_1_0.txt
%doc README.md CHANGELOG.md
%{_libdir}/libtdjson.so.%{version}

%files -n %{develname}
%doc README.md CHANGELOG.md
%{_includedir}/td/
%{_libdir}/libtdapi.so
%{_libdir}/libtdclient.so
%{_libdir}/libtdjson.so
%{_libdir}/cmake/Td/
%{_libdir}/pkgconfig/tdapi.pc
%{_libdir}/pkgconfig/tdclient.pc
%{_libdir}/pkgconfig/tdjson.pc

%files -n %{develsname}
%{_libdir}/libtdactor.a
%{_libdir}/libtdcore.a
%{_libdir}/libtddb.a
%{_libdir}/libtdjson_private.a
%{_libdir}/libtdjson_static.a
%{_libdir}/libtdmtproto.a
%{_libdir}/libtdnet.a
%{_libdir}/libtdsqlite.a
%{_libdir}/libtdutils.a
%{_libdir}/pkgconfig/tdactor.pc
%{_libdir}/pkgconfig/tdcore.pc
%{_libdir}/pkgconfig/tddb.pc
%{_libdir}/pkgconfig/tdjson_private.pc
%{_libdir}/pkgconfig/tdjson_static.pc
%{_libdir}/pkgconfig/tdmtproto.pc
%{_libdir}/pkgconfig/tdnet.pc
%{_libdir}/pkgconfig/tdsqlite.pc
%{_libdir}/pkgconfig/tdutils.pc
