Name:          tea
Version:       63.1.0
Release:       %mkrel 2
Summary:       A powerful Qt-based editor with useful functions for HTML and LaTeX editing
Group:         Editors
License:       GPLv3+
URL:           https://tea.ourproject.org/
Source0:       https://github.com/psemiletov/tea-qt/archive/%{version}/%{name}-qt-%{version}.tar.gz
Patch1:        0001-Add-Appstream-metainfo-and-install-desktop-file-with-FQN.patch

BuildRequires: pkgconfig(ddjvuapi)
BuildRequires: pkgconfig(hunspell)
BuildRequires: pkgconfig(nuspell)
BuildRequires: pkgconfig(speech-dispatcher)
BuildRequires: pkgconfig(zlib)

BuildRequires: pkgconfig(Qt6Core)
BuildRequires: pkgconfig(Qt6Gui)
BuildRequires: pkgconfig(Qt6Network)
BuildRequires: pkgconfig(Qt6Widgets)
BuildRequires: pkgconfig(Qt6Xml)
BuildRequires: pkgconfig(Qt6Qml)
BuildRequires: pkgconfig(Qt6Quick)
BuildRequires: pkgconfig(Qt6PrintSupport)
BuildRequires: pkgconfig(poppler-qt6)

BuildRequires: cmake
BuildRequires: qttools6

%description
TEA is the lightweight Qt-based editor with functions
for HTML and LaTeX editing. It support for multiple encodings,
code snippets, templates, plugins, user hotkeys,
external scripts, string manipulation functions, bookmarks,
syntax highlighting, and many more.

%prep
%autosetup -n %{name}-qt-%{version} -p1

%build
%cmake \
  -DUSE_ASPELL=ON  \
  -DUSE_NUSPELL=ON \
  -DUSE_PRINTER=ON \
  -DUSE_PDF=ON     \
  -DUSE_DJVU=ON    \
  -DUSE_SPEECH=ON
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS ChangeLog README.md TODO
%license COPYING
%{_bindir}/tea
%{_datadir}/applications/org.semiletov.tea.desktop
%{_iconsdir}/hicolor/*/apps/tea.png
%{_iconsdir}/hicolor/scalable/apps/tea.svg
%{_metainfodir}/org.semiletov.tea.metainfo.xml
