Name:           teeworlds
Version:        0.7.5
Release:        %mkrel 4
Summary:        Online multi-player platform 2D shooter
Group:          Games/Shooter
License:        Teeworlds
URL:            https://www.teeworlds.com/
Source0:        https://github.com/teeworlds/teeworlds/releases/download/%{version}/%{name}-%{version}-src.tar.gz
Source2:        teeworlds.desktop
Patch0:         teeworlds-0.7.3.1-gamesbindir.patch
#
# Security Patches
# P100 -> ...
#
# CVE-2021-43518
Patch100:	91e5492d4c210f82f1ca6b43a73417fef5463368.patch
BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:  icoutils
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(python)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(wavpack)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pnglite-devel
Requires:       %{name}-data >= %{version}-%{release}

%description
The game features cartoon-themed graphics and physics,
and relies heavily on classic shooter weaponry and gameplay.
The controls are heavily inspired by the FPS genre of computer games.

%package        server
Summary:        Server for Teeworlds
Group:          Games/Shooter
Requires:       %{name}-data >= %{version}-%{release}

%description    server
The server daemon for Teeworlds, an online multi-player platform 2D shooter,
which allows you to host online Teeworlds games.

%package        data
Summary:        Data files for Teeworlds
Group:          Games/Shooter
BuildArch:      noarch
Requires:       fonts-ttf-dejavu

%description    data
Data files for Teeworlds, an online multi-player platform 2D shooter.

%prep
%autosetup -p1 -n %{name}-%{version}-src

rm -rf src/engine/external/{pnglite,wavpack,zlib}
dos2unix readme.md

%build
%cmake
%cmake_build

%install
%cmake_install

install -d %{buildroot}%{_iconsdir}/hicolor/256x256/apps
icotool -i 1 -x other/icons/teeworlds.ico \
    -o %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

install -D -m644 %{_sourcedir}/%{name}.desktop \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

# Unbundle DejaVu font
rm -rf %{buildroot}%{_datadir}/%{name}/data/fonts/*
ln -s %{_xfontdir}/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/DejaVuSans.ttf

%files
%doc readme.md license.txt
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%files data
%{_datadir}/%{name}/

%files server
%doc readme.md license.txt
%{_gamesbindir}/%{name}_srv
