Summary:	Clone of a Risk clone
Name:		teg
Version:	0.13.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Games/Strategy
URL:		https://github.com/wfx/teg
Source0:	https://github.com/wfx/teg/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	GConf2
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(goocanvas-2.0)
BuildRequires:	pkgconfig(readline)
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-static-devel
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	xmlto
Requires(post): GConf2
Requires(preun): GConf2

%description
Tenes Emapandas Graciela (TEG) is a clone of 'Plan Táctico y Estratégico
de la Guerra' (Tactical and Strategic plan of the War), which is a
pseudo-clone of Risk, a turn-based strategy game. Some rules are
different.

%prep
%autosetup

# strange perms on some files
chmod 640 AUTHORS ChangeLog PEOPLE README* TODO

%build
./autogen.sh
%configure --bindir=%{_gamesbindir}
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install bindir=%{_gamesbindir} 

mv -f %{buildroot}%{_datadir}/pixmaps/teg_icono.png %{buildroot}%{_datadir}/pixmaps/teg.png

for png in 48x48 32x32 16x16; do
    mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
    magick client/teg_pix/teg_icono.png -geometry $png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

pushd .
cd %{buildroot}%{_datadir}/locale
for a in *.gmo; do
    mv -f $a/LC_MESSAGES/teg@INSTOBJEXT@ $a/LC_MESSAGES/teg.mo
    mv -f $a `basename $a .gmo`
done
popd

sed -i 's|Icon=teg_icono|Icon=teg|' %{buildroot}%{_datadir}/applications/%name.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog PEOPLE README* TODO
%license COPYING
%{_gamesbindir}/*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%name.desktop
%{_datadir}/GConf/gsettings/%name.convert
%{_datadir}/glib-2.0/schemas/net.sf.%name.gschema.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
