%define tgl_version	20190203

%global _legacy_common_support 1

Name:		telegram-cli
Version:	20200106
Release:	%mkrel 4
Summary:	Linux Command-line interface for Telegram
Group:		Networking/Instant messaging
License:	GPLv2+ and LGPLv2+
URL:		https://github.com/kenorb-contrib/tg
Source0:	https://github.com/kenorb-contrib/tg/archive/%{version}/tg-%{version}.tar.gz
Source1:	https://github.com/kenorb-contrib/tgl/archive/%{tgl_version}/tgl-%{tgl_version}.tar.gz

##Remove local include and libraries locations
Patch0:		%{name}-compilerflags.patch
Patch1:		%{name}-upstream-fixes-from-git20200402.patch

BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(readline)

%description
Telegram is an Open Source instant messaging platform for mobile and
desktop focused on privacy.
This is a Linux Command-line interface for Telegram.

%prep
%setup -q -n tg-%{version} -a 1
%autopatch -p1

mv tgl-%{tgl_version}/* tgl/
rm -rf tgl-%{tgl_version}

%build
%configure \
	--enable-libconfig \
	--enable-liblua
%make_build

%install
%make_install PREFIX=%{_prefix}

##Manual installation
mkdir -p %{buildroot}%{_sysconfdir}/telegram/server.pub
mkdir -p %{buildroot}%{_mandir}/man8

install -p -m 0644 tg-server.pub %{buildroot}%{_sysconfdir}/telegram/server.pub
install -p -m 0644 debian/telegram-cli.8 %{buildroot}%{_mandir}/man8/%{name}.8

%files
%doc README.md README-LUA LICENSE
%{_bindir}/%{name}
%dir %{_sysconfdir}/telegram
%dir %{_sysconfdir}/telegram/server.pub
%config(noreplace) %{_sysconfdir}/telegram/server.pub/tg-server.pub
%{_mandir}/man8/%{name}.8.*
