%define major		3
%define gir_major	0.6
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gir_major}

Summary:	Stream Engine to handle media streaming channels
Name:		telepathy-farstream
Version:	0.6.2
Release:	%mkrel 12
License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		https://telepathy.freedesktop.org/wiki/
Source0:	https://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	pkgconfig(farstream-0.2)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Obsoletes:	telepathy-farsight
Obsoletes:	%{name}-python < 0.6.0
# Obsolete src pkg from telepathy-farstream0.6
Obsoletes:	telepathy-farstream0.6 < 0.6.0-6
Obsoletes:	telepathy-farstream0.4 < 0.6.0

%description
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{libname}
Group:		System/Libraries
Summary:	Stream Engine to handle media streaming channels
Obsoletes:	%{_lib}telepathy-farsight0

%description -n %{libname}
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{develname}
Group:		Development/C
Summary:	Stream Engine to handle media streaming channels
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}telepathy-farsight-devel
Obsoletes:	%{_lib}telepathy-farstream0.6-devel < 0.6.0-6
Obsoletes:	%{_lib}telepathy-farstream0.4-devel < 0.6.0

%description -n %{develname}
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %libname
%doc README NEWS
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %develname
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/lib%{name}.so
%{_includedir}/telepathy-1.0/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/TelepathyFarstream-%{gir_major}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/TelepathyFarstream-%{gir_major}.typelib
