# .so is just for plugin thing, not a devel .so
%global __provides_exclude devel\\(.*\\)|lib.*\\.so\\(
%global __requires_exclude devel\\(.*\\)|lib.*\\.so\\(


Name:		telepathy-gabble
Version:	0.18.4
Release:	%mkrel 10
Summary:	A Jabber/XMPP connection manager
Group:		Networking/Instant messaging
License:	LGPLv2+
URL:		https://telepathy.freedesktop.org/wiki/
Source0:	https://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
# https://bugs.freedesktop.org/show_bug.cgi?id=78093
Patch0:		telepathy-gabble-carbons-support.patch
Patch1:		telepathy-gabble-0.18.4-openssl11.patch
Patch2:		0001-xmpp-console-Explicitly-state-python-in-the-shebang.patch
# python3
Patch3:		telepathy-gabble-0.18.4-python3.patch
# From OpenSUSE
Patch4:		telepathy-gabble-SNI.patch
# From fedora
Patch5:		telepathy-gabble-0.18.4-xmlerror-constness.patch
Patch6:		telepathy-gabble-0.18.4-avoid-errno-name-confusion.patch
Patch7:		telepathy-gabble-0.18.4-libsoup-3.0.patch

BuildRequires:	pkgconfig(dbus-1) >= 1.1.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.82
BuildRequires:	pkgconfig(gio-2.0) >= 2.26
BuildRequires:	pkgconfig(glib-2.0) >= 2.32
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.24
BuildRequires:	pkgconfig(gthread-2.0) >= 2.24
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(nice) >= 0.0.11
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.19.9
BuildRequires:	libxslt-proc
BuildRequires:	pkgconfig(python3)
Requires:	telepathy-filesystem
Requires:	rootcerts

%description
A Jabber/XMPP connection manager, that handles single and multi-user
chats and voice calls.

%files
%doc NEWS README AUTHORS
%{_docdir}/%{name}/*.html
%{_bindir}/telepathy-gabble-xmpp-console
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{_libexecdir}/telepathy-gabble
%dir %{_libdir}/telepathy/gabble-0
%{_libdir}/telepathy/gabble-0/lib/
%{_libdir}/telepathy/gabble-0/plugins/
%{_mandir}/man*/*.*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
	--disable-static \
	--with-ca-certificates=%{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
	--disable-google-relay
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete
