%define major 		0
%define api 		0.12
%define libname		%mklibname %{name} %{major}
%define develname 	%mklibname %{name} -d
%define gi_major 	0.12
%define girname 	%mklibname %{name}-gir %{gi_major}

Name:		telepathy-glib
Version:	0.24.2
Release:	%mkrel 4
Summary:	A glib utility library for the telepathy framework
Group:		Networking/Instant messaging
License:	LGPLv2+
URL:		https://telepathy.freedesktop.org/wiki/
Source0:	https://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:		telepathy-glib-0.11.11-missing-file.patch
# Patch for -Werror=incompatible-pointer-types
Patch1:		telepathy-glib-prXXX-function-type-cast.patch
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	vala-tools
BuildRequires:	xsltproc

%description
%{name} is a glib utility library for the telepathy framework.

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	A glib utility library for the telepathy framework
Provides:	%name = %{version}-%{release}
Requires:	telepathy-filesystem

%description -n %{libname}
%name is a glib utility library for the telepathy framework.

%files -n %{libname}
%{_libdir}/libtelepathy-glib.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/TelepathyGLib-%{gi_major}.typelib

#--------------------------------------------------------------------

%package -n %{develname}
Group:		Development/C
Summary:	A glib utility library for the telepathy framework
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
%name is a glib utility library for the telepathy framework.

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_datadir}/gir-1.0/TelepathyGLib-%{gi_major}.gir
%dir %{_includedir}/telepathy-1.0/
%dir %{_includedir}/telepathy-1.0/%{name}/
%{_includedir}/telepathy-1.0/%{name}/*.h
%{_includedir}/telepathy-1.0/%{name}/_gen/
%{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure \
	--enable-vala-bindings \
	--disable-static
%__make

%install
%make_install

find %{buildroot}%{_libdir} -name '*.la' -delete
