%define major		3
%define api		0.2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define gi_major	0.2
%define girname		%mklibname %{name}-gir %{gi_major}

Name:           telepathy-logger
Version:        0.8.2
Release:        %mkrel 7
Summary:        A logger for the telepathy framework
Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            https://telepathy.freedesktop.org/wiki/
Source0:        https://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:         0001-tools-Fix-the-build-with-Python-3.patch
# https://gitlab.freedesktop.org/telepathy/telepathy-logger/-/merge_requests/2
Patch1:		0001-Fix-incompatible-pointer-types.patch
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(dbus-1) >= 1.1.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.82
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.19.2
BuildRequires:	libxslt-proc
BuildRequires:	gnome-doc-utils
BuildRequires:	python3-devel
BuildRequires:	intltool

%description
%{name} is a logger for the telepathy framework.

%files
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Logger.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Logger.service
%{_datadir}/telepathy/clients/Logger.client
%{_datadir}/glib-2.0/schemas/org.freedesktop.Telepathy.Logger.gschema.xml

#--------------------------------------------------------------------

%package -n	%{libname}
Group:		System/Libraries
Summary:	A logger library for the telepathy framework
Requires:	telepathy-filesystem
Requires:	%{name} >= %{version}

%description -n	%{libname}
%{name} is a logger library for the telepathy framework.

%files -n %{libname}
%{_libdir}/libtelepathy-logger.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/TelepathyLogger-%{gi_major}.typelib

#--------------------------------------------------------------------

%package -n	%{develname}
Group:		Development/C
Summary:	A logger library for the telepathy framework
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel  = %{version}-%{release}

%description -n	%{develname}
%name is a logger library for the telepathy framework.

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/gir-1.0/TelepathyLogger-%{api}.gir

#--------------------------------------------------------------------

%prep
%autosetup -p1

# python shebang
%py3_shebang_fix tools

%build
%configure \
	--enable-call \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete
