%define major		0
%define libname		%mklibname mission-control-plugins %{major}
%define libname_devel	%mklibname mission-control-plugins -d

Name:           telepathy-mission-control
Version:        5.16.6
Release:        %mkrel 2
Summary:        Telepathy component managing connection managers
Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            https://telepathy.freedesktop.org/wiki/Mission_Control/
Source0:        https://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(dbus-1) >= 0.95
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.82
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.15.0
BuildRequires:	pkgconfig(libnm)
BuildRequires:	xsltproc
Requires:	telepathy-filesystem

%description
Mission Control, or MC, is a Telepathy component providing a way for "end-user"
applications to abstract some of the details of connection managers, to provide
a simple way to manipulate a bunch of connection managers at once, and to
remove the need to have in each program the account definitions
and credentials.

%package -n	%{libname_devel}
Summary:	Development library for telepathy-mission-control
Group:		Development/C
Requires:       %libname = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname_devel}
Development library for %{name}.

%package -n	%{libname}
Summary:	Run time library for telepathy-mission-control
Group:		System/Libraries

%description -n	%{libname}
Run time library for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-upower \
	--disable-static \
	--with-connectivity=nm
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS NEWS
%license COPYING
%{_bindir}/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/im.telepathy.MissionControl.FromEmpathy.gschema.xml
%{_libexecdir}/mission-control-5
%{_mandir}/man1/*
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libname_devel}
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*pc
