Name:           telepathy-rakia
Version:        0.8.0
Release:        %mkrel 1
Summary:        A SIP protocol implementation for the Telepathy stack

Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            https://telepathy.freedesktop.org/components/telepathy-rakia/
Source0:        https://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:		https://patch-diff.githubusercontent.com/raw/TelepathyIM/telepathy-rakia/pull/1.patch

BuildRequires:  libxslt-proc
BuildRequires:  pkgconfig(sofia-sip-ua-glib)
BuildRequires:  pkgconfig(telepathy-glib)
BuildRequires:  python3
Requires:       telepathy-filesystem
Obsoletes:	telepathy-sofiasip < 0.8.0
Provides:	telepathy-sofiasip = %{version}-%{release}

%description
telepathy-rakia is a connection manager for the SIP protocol. It is based
around the Sofia-SIP library. It was formerly known as Telepathy-SofiaSIP.

%files
%doc AUTHORS
%license COPYING
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{_libexecdir}/%{name}
%{_mandir}/man*/*
#%%{_includedir}/telepathy-rakia-0.7/

%prep
%setup -q
%autopatch -p1

# make autoreconf more happy
sed -i -e 's,\(AM_INIT_AUTOMAKE.*\)\])$,\1 subdir-objects\]),' configure.ac

%build
%configure
%make_build

%install
%make_install

# no devel pkg ATM
rm -rf %{buildroot}%{_includedir}

