%define libdev	%mklibname %{name} -d

Name:		telepathy-salut
Version:	0.8.1
Release:	%mkrel 13
Summary:	Connection manager implementing link-local messaging for XMPP

Group:		Networking/Instant messaging
License:	LGPLv2+
URL:		https://telepathy.freedesktop.org/wiki/
Source0:	https://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch1:		telepathy-salut-0.8.1-python3.patch
BuildRequires:	libxslt-proc
BuildRequires:	pkgconfig(avahi-gobject)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	python3-dbus
Requires:	telepathy-filesystem

%description
telepathy-salut is a connection manager implementing link-local
messaging for XMPP.

https://www.xmpp.org/extensions/xep-0174.html

%files -n %{name}
%doc docs/clique.xml NEWS README
%{_docdir}/%{name}/clique.html
%{_libdir}/telepathy/salut-*/*/libsalut-plugins-%{version}.so
%{_libdir}/telepathy/salut-*/*/libwocky-telepathy-salut-%{version}.so
%{_libexecdir}/telepathy-salut
%{_mandir}/man8/telepathy-salut.8.*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/salut.manager

#--------------------------------------------------------------------

%package -n	%{libdev}
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/C
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libdev}
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%files -n %{libdev}
%{_libdir}/telepathy/salut-0/lib/libsalut-plugins.so
%{_libdir}/telepathy/salut-0/lib/libwocky.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
export PYTHON=%__python3
%configure \
	--disable-static \
	--enable-olpc \
	--disable-avahi-tests
%make_build

%install
%make_install

rm -f %{buildroot}%{_datadir}/%{name}
rm -f %{buildroot}%{_libdir}/telepathy/salut-0/lib/*.la
