%define iconname	%{name}.png

Summary:	A collection manager
Name:		tellico
Epoch:		3
Version:	4.1.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Databases
URL:		https://tellico-project.org/
Source0:	https://www.tellico-project.org/files/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:	cmake
BuildRequires:	cmake(ECM)

BuildRequires:	cmake(Qt6Charts)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6Codecs)
BuildRequires:	cmake(KF6Completion)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6GuiAddons)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6ItemModels)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6JobWidgets)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6Solid)
BuildRequires:	cmake(KF6Sonnet)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6FileMetaData)
BuildRequires:	cmake(KF6NewStuff)
BuildRequires:	cmake(KSaneWidgets6)
BuildRequires:	cmake(KCddb6)

BuildRequires:	pkgconfig(poppler-qt6)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(yaz)
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(libdvbv5)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	csv-devel
BuildRequires:	gettext-devel
BuildRequires:	imagemagick
BuildRequires:	python3-devel
BuildRequires:	perl-Text-BibTeX

Requires:	plasma-workspace

%description
Tellico is a collection manager for KDE. It includes default collections for
books, bibliographies, comic books, videos, music, coins, stamps, trading
cards, and wines, and also allows custom collections. Unlimited user-defined
fields are allowed. Filters are available to limit the visible entries by
definable criteria. Full customization for printing is possible through
editing the default XSLT file. It can import CSV, Bibtex, and Bibtexml and
export CSV, HTML, Bibtex, Bibtexml, and PilotDB. Entries may be imported
directly from different web services such as amazon.com.

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%{_sysconfdir}/xdg/%{name}*
%{_bindir}/%{name}
%{_datadir}/applications/org.kde.%{name}.desktop
%{_metainfodir}/org.kde.%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}/
%{_datadir}/kconf_update/%{name}*
%{_datadir}/config.kcfg/%{name}_config.kcfg
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/knsrcfiles/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
# does debug
perl -pi -e 's/#if 0/#if 1/' src/fetch/amazonfetcher.cpp
perl -pi -e 's|setEntriesSelected(entries_);|//setEntriesSelected(entries_);|' src/detailedlistview.cpp
%cmake_qt6 -DENABLE_WEBCAM:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html

# python shebangs
%py3_shebang_fix %{buildroot}%{_datadir}/%{name}/data-sources
