#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           telly-skout
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Kirigami TV guide
License:        GPLv3+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/telly-skout/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6QQC2DesktopStyle)

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(mpfr)
BuildRequires:  pkgconfig(gmp)

Requires:       kirigami
Requires:       kirigami-addons


%description
Telly Skout is a convergent Kirigami TV guide. It shows the
TV program for your favorite channels from TV Spielfilm or
an XMLTV file.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_kf6_bindir}/telly-skout
%{_kf6_applicationsdir}/org.kde.telly-skout.desktop
%{_kf6_metainfodir}/org.kde.telly-skout.appdata.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.telly-skout.svg

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
