# filter out bogus auto-requires
%global __requires_exclude ^typelib\\(Gnome)

Name:		terminator
Version:	2.1.4
Release:	%mkrel 2
Summary:	A simple way to run multiple terminals in a single window
License:	GPLv2
Group:		Terminals
Url:		https://github.com/gnome-terminator
Source0:	https://github.com/gnome-terminator/terminator/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:		terminator-1.91-desktop.patch
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(babel)
BuildRequires:	python3dist(pytest-runner)

Requires:	python3dist(pycairo)
Requires:	python3dist(configobj)
Requires:	python3dist(pygobject)
Requires:	python3dist(psutil)

%description
Terminator is an attempt to maximise useful space on a given desktop
for terminals. It is a simple Python script that places multiple vte
widgets (the same used by gnome-terminal) in a window. That's the same
widget used by gnome-terminal.

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%{_bindir}/%{name}
%{_bindir}/remotinator
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/%{name}*.svg
%{_iconsdir}/HighContrast/*/*/*.png
%{_iconsdir}/HighContrast/*/*/%{name}*.svg
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/terminatorlib/
%{_mandir}/man1/%{name}.*
%{_mandir}/man5/%{name}_config.*
