Summary: Terminal emulator that uses modern EFL
Name:    terminology
Version: 1.13.0
Release: %mkrel 2
License: LGPLv2+
Group:   Graphical desktop/Enlightenment
URL:     https://www.enlightenment.org/
Source0: https://download.enlightenment.org/rel/apps/terminology/%name-%version.tar.xz
Patch0:  texture_1.13.0-2e5e6d816e.patch

BuildRequires: meson
BuildRequires: ninja
BuildRequires: pkgconfig(efl)
BuildRequires: pkgconfig(eina)
BuildRequires: efl

#missing requires to make it works out of the e-box (mga#12194)
Requires: efl

%description
Terminology is a terminal emulator that uses modern EFL components 
to build its UI and core. It is written from scratch and does not 
use any components outside of EFL and libc, so it should be very 
portable and easy to build. For more information, please see the
Terminology Page.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %name

%files -f %name.lang
%doc AUTHORS NEWS README.md DESIGN.md
%{_bindir}/%name
%{_bindir}/tyalpha
%{_bindir}/tybg
%{_bindir}/tycat
%{_bindir}/tyls
%{_bindir}/typop
%{_bindir}/tyq
%{_bindir}/tysend
%{_datadir}/%name/
%{_iconsdir}/hicolor/128x128/apps/%name.png
%{_datadir}/applications/%name.desktop
%{_mandir}/*/*
