%define fontdir %{_datadir}/fonts/terminus
%define consolefontdir %{_prefix}/lib/kbd/consolefonts

Summary:        Fixed width font especially for long hacking sessions
Name:           terminus-font
Version:        4.49.1
Release:        %mkrel 2
License:        GPLv2+
Group:          System/Fonts/X11 bitmap
URL:            https://terminus-font.sourceforge.net/
Source0:        https://downloads.sourceforge.net/project/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:	mkfontdir
BuildRequires:	bdftopcf
BuildRequires:	fontconfig
BuildArch:      noarch

%description
The Terminus font is a complete set of fixed-size fonts designed
especially for the usage in terms and the console.

%prep
%setup -q

chmod 755 configure

%build
./configure \
	--prefix=%{_prefix} \
	--psfdir=%{consolefontdir} \
	--x11dir=%{fontdir}

%make_build \
	psf \
	pcf \
	pcf-8bit

%install
%make_install \
	install-psf \
	install-psf-ref \
	install-pcf \
	install-pcf-8bit \
	fontdir

sed -e 's/.pcf.gz//' %{buildroot}%{fontdir}/fonts.dir | grep terminus > %{buildroot}%{fontdir}/fonts.alias

mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{fontdir} %{buildroot}%{_sysconfdir}/X11/fontpath.d/terminus:unscaled:pri=50

mkdir -p %{buildroot}%{_datadir}/fontconfig/conf.{d,avail}
install -Dpm644 75-yes-terminus.conf %{buildroot}%{_datadir}/fontconfig/conf.avail/75-yes-terminus.conf
ln -s %{_datadir}/fontconfig/conf.avail/75-yes-terminus.conf \
	%{buildroot}%{_datadir}/fontconfig/conf.d/75-yes-terminus.conf

%files
%doc README
%{_datadir}/fontconfig/conf.*/75-yes-terminus.conf
%{_sysconfdir}/X11/fontpath.d/terminus:unscaled:pri=50
%{consolefontdir}/*.psf.gz
%{consolefontdir}/README.terminus
%{fontdir}/
