%global oversion 4.1.0
%define rel 3

%global osdbaserel 0

%define langdata() \
%package -n tesseract-%{1} \
Group:		Graphics/Utilities \
Summary:	%{2}%{?3: %3}%{?4: %4} language data for Tesseract \
Requires:	tesseract >= %{version} \
Provides:	tesseract-language = %{version}-%{release} \
\
%description -n tesseract-%{1} \
Tesseract data files required to recognize %{2}%{?3: %3}%{?4: %4} text. \
\
%files -n tesseract-%{1} \
%%license LICENSE \
%%doc README.md \
%{_datadir}/tessdata/%{1}*.traineddata \
%{nil}

Name:		tesseract-tessdata
Version:	%{oversion}
Release:	%mkrel %{rel}
Summary:	Tesseract language data files
URL:		https://github.com/tesseract-ocr/tessdata
License:	ASL 2.0
Group:		Graphics/Utilities
Source0:	https://github.com/tesseract-ocr/tessdata/archive/%{version}/tessdata-%{version}.tar.gz
BuildArch:	noarch

%description
Tesseract language data files. Trained models with support for legacy and LSTM OCR engine.

%package -n tesseract-osd
Group:		Graphics/Utilities
%if "%{version}" < "4.1.4"
Version:	4.1.3
Release:	%mkrel %{lua: print(rpm.expand("%{osdbaserel}") + rpm.expand("%{rel}"))}
%endif
Summary:	Orientation & script detection data pack for tesseract
Requires:	tesseract

%description -n tesseract-osd
Data files required to recognize text orientation and scripts.

%files -n tesseract-osd
%license LICENSE
%doc README.md
%{_datadir}/tessdata/osd.traineddata

%package -n tesseract-equ
Group:		Graphics/Utilities
Version:	%{oversion}
Release:	%mkrel %{rel}
Summary:	Equation detection data pack for tesseract
Requires:	tesseract

%description -n tesseract-equ
Data files required for processing images of mathematics.

%files -n tesseract-equ
%license LICENSE
%doc README.md
%{_datadir}/tessdata/equ.traineddata

%langdata afr Afrikaans
%langdata amh Amharic
%langdata ara Arabic
%langdata asm Assamese
%langdata aze_cyrl Azerbaijani (Cyrillic)
%langdata aze Azerbauijani
%langdata bel Belarusian
%langdata ben Bengali
%langdata bod Tibetan Standard
%langdata bos Bosnian
%langdata bre Breton
%langdata bul Bulgarian
%langdata cat Catalan
%langdata ceb Cebuano
%langdata ces Czech
%langdata chi_sim Chinese (Simplified)
%langdata chi_tra Chinese (Traditional)
%langdata chr Cherokee
%langdata cos Corsican
%langdata cym Welsh
%langdata dan_frak Danish (Fraktur)
%langdata dan Danish
%langdata deu_frak German (Fraktur)
%langdata deu German
%langdata div Dhivehi (Maldivian)
%langdata dzo Dzongkha
%langdata ell Greek
%langdata eng English
%langdata enm Middle English (1100-1500)
%langdata epo Esperanto
%langdata est Estonian
%langdata eus Basque
%langdata fao Faroese
%langdata fas Persian
%langdata fil Filipino (Pilipino)
%langdata fin Finnish
%langdata fra French
%langdata frk Frankish
%langdata frm Middle French (1400-1600)
%langdata fry Western Frisian
%langdata gla Gaelic (Scottish Gaelic)
%langdata gle Irish
%langdata glg Galician
%langdata grc Ancient Greek
%langdata guj Gujarati
%langdata hat Haitian
%langdata heb Hebrew
%langdata hin Hindi
%langdata hrv Croation
%langdata hun Hungarian
%langdata hye Armenian
%langdata iku Inuktitut
%langdata ind Indonesian
%langdata isl Icelandic
%langdata ita_old Old Italian
%langdata ita Italian
%langdata jav Javanese
%langdata jpn Japanese
%langdata kan Kannada
%langdata kat_old Old Georgian
%langdata kat Georgian
%langdata kaz Kazakh
%langdata khm Khmer
%langdata kir Kyrgyz
%langdata kmr Kurmanji
%langdata kor Korean
#%%langdata kur Kurdish
%langdata lao Lao
%langdata lat Latin
%langdata lav Latvian
%langdata lit Lithuanian
%langdata ltz Luxembourgish
%langdata mal Malayalam
%langdata mar Marathi
%langdata mkd Macedonian
%langdata mlt Maltese
%langdata mon Mongolian
%langdata mri Maori
%langdata msa Malay
%langdata mya Burmese
%langdata nep Nepali
%langdata nld Dutch
%langdata nor Norwegian
%langdata oci Occitan
%langdata ori Oriya
%langdata pan Punjabi
%langdata pol Polish
%langdata por Portuguese
%langdata pus Pashto
%langdata que Quechuan
%langdata ron Romanian
%langdata rus Russian
%langdata san Sanskrit
%langdata sin Sinhala
%langdata slk_frak Slovakian (Fraktur)
%langdata slk Slovakian
%langdata slv Slovenian
%langdata snd Sindhi
%langdata spa_old Old Spanish
%langdata spa Spanish
%langdata sqi Albanian
%langdata srp_latn Serbian Latin
%langdata srp Serbian
%langdata sun Sundanese
%langdata swa Swahili
%langdata swe Swedish
%langdata syr Syriac
%langdata tam Tamil
%langdata tat Tatar
%langdata tel Telugu
%langdata tgk Tajik
%langdata tgl Tagalog
%langdata tha Thai
%langdata tir Tigrinya
%langdata ton Tongan
%langdata tur Turkish
%langdata uig Uyghur
%langdata ukr Ukrainian
%langdata urd Urdu
%langdata uzb_cyrl Uzbek (Cyrillic)
%langdata uzb Uzbek
%langdata vie Vietnamese
%langdata yid Yiddish
%langdata yor Yoruba

%prep
%autosetup -n tessdata-%{version}

%build
#nothing

%install
for file in *.traineddata
do
[[ -h $file ]] && continue
install -p -m 644 -D $file %{buildroot}%{_datadir}/tessdata/$file
done
