%define major		5
%define libtesseract	%mklibname %{name} %{major}
%define devtesseract	%mklibname %{name} -d

Name:		tesseract
Version:	5.5.0
Release:	%mkrel 2
Summary:	A high-performance OCR engine
URL:		https://github.com/tesseract-ocr
License:	ASL 2.0
Group:		Graphics/Utilities
Source0:	https://github.com/%{name}-ocr/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	asciidoc
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(lept) >= 1.84.1
BuildRequires:	icu-devel
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(cairo)
Requires:	%{name}-language
Requires:	%{name}-eng

%description
The Tesseract OCR engine was one of the top 3 engines in the 1995
UNLV Accuracy test. Since then it has had little work done on it,
but it is probably one of the most accurate open source OCR engines
available. The source code will read a binary, grey or color image
and output text. A tiff reader is built in that will read
uncompressed TIFF images, or libtiff can be added to read compressed
images.

%files
%doc AUTHORS
%{_bindir}/*
%{_datadir}/tessdata
%{_mandir}/man*/*

#-----------------------------------------------------------------

%package -n %{libtesseract}
Summary:	%{name} support library
Group:		System/Libraries

%description -n %{libtesseract}
%{name} library.

%files -n %{libtesseract}
%_libdir/lib%{name}*.so.%{major}{,.*}

#-----------------------------------------------------------------

%package -n %{devtesseract}
Summary:	Development files from %{name}
Group:		Development/C++
Requires:	%{libtesseract} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devtesseract}
The Tesseract OCR engine was one of the top 3 engines in the 1995
UNLV Accuracy test. Since then it has had little work done on it,
but it is probably one of the most accurate open source OCR engines
available. The source code will read a binary, grey or color image
and output text. A tiff reader is built in that will read
uncompressed TIFF images, or libtiff can be added to read compressed
images.

%files -n %{devtesseract}
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------

%prep
%autosetup -p1

%build
./autogen.sh

# Fix https://github.com/tesseract-ocr/tesseract/issues/3728#
%ifarch armv7hl
 export CFLAGS="%(echo %optflags | sed -e 's:-mfpu=vfpv3-d16::')"
 export CXXFLAGS="%(echo %optflags | sed -e 's:-mfpu=vfpv3-d16::')"
 export FFLAGS="%(echo %optflags | sed -e 's:-mfpu=vfpv3-d16::')"
 export FCFLAGS="%(echo %optflags | sed -e 's:-mfpu=vfpv3-d16::')"
%endif

%configure --disable-static

%make_build

%make_build training

%install
%make_install
%make_install training-install
