Summary:	Tool to check and undelete partition
Name:		testdisk
Version:	7.2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://www.cgsecurity.org/wiki/TestDisk
Source0:	https://www.cgsecurity.org/%{name}-%{version}.tar.bz2
# Upstream patch

BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(libntfs-3g)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libewf)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)

%package -n photorec
Summary:	Data recovery software
Group:		System/Kernel and hardware

%description
Tool to check and undelete partition. Works with the following
filesystems:
    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS, Compressed File System
    * DOS/Windows FAT12, FAT16 and FAT32
    * XBox FATX
    * Windows exFAT
    * HFS, HFS+ and HFSX, Hierarchical File System
    * JFS, IBM's Journaled File System
    * Linux btrfs
    * Linux ext2, ext3 and ext4
    * Linux GFS2
    * Linux LUKS encrypted partition
    * Linux RAID md 0.9/1.0/1.1/1.2
        ** RAID 1: mirroring
        ** RAID 4: striped array with parity device
        ** RAID 5: striped array with distributed parity information
        ** RAID 6: striped array with distributed dual redundancy information
    * Linux Swap (versions 1 and 2)
    * LVM and LVM2, Linux Logical Volume Manager
    * Mac partition map
    * Novell Storage Services NSS
    * NTFS ( Windows NT/2000/XP/2003/Vista/2008/7 )
    * ReiserFS 3.5, 3.6 and 4
    * Sun Solaris i386 disklabel
    * Unix File System UFS and UFS2 (Sun/BSD/...)
    * XFS, SGI's Journaled File System
    * Wii WBFS
    * Sun ZFS

%description -n photorec
PhotoRec is file data recovery software designed to recover lost files
including video, documents and archives from Hard Disks and CDRom and lost
pictures (thus, its 'Photo Recovery' name) from digital camera memory.

PhotoRec ignores the filesystem and goes after the underlying data, so it
will still work even if your media's filesystem has been severely damaged
or re-formatted.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

#handle docs in files section
rm -rf %{buildroot}/%{_docdir}

%files
%doc AUTHORS ChangeLog INFO NEWS README.md THANKS
%{_bindir}/fidentify
%{_bindir}/testdisk
%{_mandir}/man8/testdisk.8*
%{_mandir}/man8/fidentify.8*
%{_mandir}/*/man8/testdisk.8.*
%{_mandir}/*/man8/fidentify.8*

%files -n photorec
%doc AUTHORS ChangeLog INFO NEWS README.md THANKS
%{_bindir}/photorec
%{_datadir}/applications/qphotorec.desktop
%{_iconsdir}/hicolor/*/apps/qphotorec.*
%{_bindir}/qphotorec
%{_mandir}/man8/*photorec.8*
%{_mandir}/*/man8/*photorec.8*
