# (tv) disable rpath checks;
%global __brp_check_rpaths %nil

%{?mgaversion: %global mdkversion %(echo $[(2010+%mgaversion)*100])}

%define teventmajor	0
%define libtevent	%mklibname tevent %{teventmajor}
%define teventdevel	%mklibname tevent -d

%define talloc_version  2.4.3

%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg2 --import %{1} \
gpg2 --trust-model always --verify %{2} \
rm -Rf $GNUPGHOME \

Name:           tevent
# Shipped in samba4 without internal version:
Epoch:          1
Version:        0.16.2
Release:        %mkrel 1
Summary:        Samba4's event management library
Group:          System/Libraries
License:        GPLv3
URL:            https://tevent.samba.org/
Source0:        https://samba.org/ftp/tevent/tevent-%{version}.tar.gz
Source1:        https://samba.org/ftp/tevent/tevent-%{version}.tar.asc
Source2:        samba-bugs.asc
BuildRequires:  gnupg2
BuildRequires:  pkgconfig(talloc) >= %{talloc_version}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-talloc >= 1:%{talloc_version}
BuildRequires:  pytalloc-util-devel >= %{talloc_version}
BuildRequires:  pkgconfig(cmocka) >= 1.1.3

%description
Tevent is an event system based on the talloc memory management library. It is
the core event system used in Samba. Tevent has support for many event types,
including timers, signals, and the classic file descriptor events. Tevent also
provides helpers to deal with asynchronous code providing the tevent_req
(Tevent Request) functions.

%package -n %{libtevent}
Summary:        Samba4's event management library
Group:          System/Libraries

%description -n %{libtevent}
Samba4's event management library.

%package -n %{teventdevel}
Summary:        Development files for Samba4's event management library
Group:          Development/C
Provides:       tevent-devel = %{epoch}:%{version}-%{release}
Requires:       %{libtevent} = %{epoch}:%{version}-%{release}

%description -n %{teventdevel}
Development files for Samba4's event management library.

%package -n python3-tevent
Summary:        Python 3 module for Samba4's event management library
Group:          Development/Python
%{?python_provide:%python_provide python3-tevent}

%description -n python3-tevent
Python 3 module for Samba4's event management library.

%prep
VERIFYSOURCE=%{SOURCE0}
VERIFYSOURCE=${VERIFYSOURCE%%.gz}
gzip -dc %{SOURCE0} > $VERIFYSOURCE

%check_sig %{SOURCE2} %{SOURCE1} $VERIFYSOURCE

rm -f $VERIFYSOURCE

%setup -q
%autopatch -p1

# replace removed time.clock()
sed -i -e "s,time\.clock(),time.perf_counter(),g" buildtools/wafsamba/samba_deps.py

# fix for python3.8
sed -i -e "/all_flags/s,\('--libs'\),\1\, '--embed'," third_party/waf/waflib/Tools/python.py

%build
%configure --bundled-libraries=NONE \
           --disable-rpath \
           --disable-rpath-install
%make_build

%install
%make_install

%files -n %{libtevent}
%{_libdir}/libtevent.so.%{teventmajor}{,.*}

%files -n %{teventdevel}
%{_libdir}/libtevent.so
%{_includedir}/tevent.h
%{_libdir}/pkgconfig/tevent.pc

%files -n python3-tevent
%{python3_sitearch}/tevent.py
%{python3_sitearch}/__pycache__/tevent.*
%{python3_sitearch}/_tevent.cpython*.so
