%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%global __provides_exclude perl\\(.*Texinfo.*\\)
%global __requires_exclude perl\\(.*Texinfo.*\\)

Name:		texinfo
Version:	7.2
Release:	%mkrel 1
Summary:	Tools needed to create Texinfo format documentation files
License:	GPLv3
Group:		Publishing
URL:		https://www.gnu.org/software/texinfo/
Source0:	ftp://ftp.gnu.org/gnu/texinfo/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.gnu.org/gnu/texinfo/%{name}-%{version}.tar.xz.sig
Source2:	fix-info-dir
Source3:	info-dir
Patch107:	texinfo-6.0-vikeys-segfault-fix.patch
# Patch0: we need to fix template fix-info-dir generates
Patch0:		info-6.5-sync-fix-info-dir.patch
# Patch1: rhbz#1592433, bug in fix-info-dir --delete
Patch1:		texinfo-6.5-fix-info-dir.patch
Patch10:	texinfo-7.2-disable-failing-info-test.patch

# Mageia patches
Patch51:	0001-fix-info-dir-add-xz-support.patch

# (anssi 01/2008) for make check:
%if %bootstrap == 0
BuildRequires:	tetex
BuildRequires:	tetex-latex
BuildRequires:	xmltex
%endif
BuildRequires:	ncurses-devel
BuildRequires:	help2man
BuildRequires:	perl(Locale::Messages)
BuildRequires:	perl(Unicode::EastAsianWidth)
BuildRequires:	perl(Text::Unidecode)
Provides:	makeinfo = %{version}-%{release}

%description
Texinfo is a documentation system that can produce both online information
and printed output from a single source file.  Normally, you'd have to
write two separate documents: one for online help or other online
information and the other for a typeset manual or other printed work.
Using Texinfo, you only need to write one source document.  Then when the
work needs revision, you only have to revise one source document.  The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you are
going to write documentation for the GNU Project.

%package -n info
Summary:	A stand-alone TTY-based reader for GNU texinfo documentation
Group:		System/Base
Conflicts:	info-install < 6.5-7
Requires:	info-install

%description -n	info
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based browser
program for viewing texinfo files.

You should install info, because GNU's texinfo documentation is a valuable
source of information about the software on your system.

%package -n info-install
Summary:	Program to update the GNU texinfo documentation main page
Group:		System/Base
Requires(pre):	makedev
Requires:	xz
# explicit file provides
Provides:	/sbin/install-info

%description -n	info-install
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based browser
program for viewing texinfo files.

%package tex
Summary:	Tools for formatting Texinfo documentation files using TeX
Group:	Publishing
Requires:	texinfo = %{version}-%{release}
Requires:	texmf-data
Requires:	texlive
Requires(post):	texlive
Requires(postun):	texlive

%description tex
Texinfo is a documentation system that can produce both online
information and printed output from a single source file. The GNU
Project uses the Texinfo file format for most of its documentation.

The texinfo-tex package provides tools to format Texinfo documents
for printing using TeX.

%prep
%setup -q
mkdir contrib
install -Dpm0755 -t contrib %{SOURCE2}
%autopatch -p1

%build
%configure \
	--with-external-Text-Unidecode \
	--with-external-libintl-perl \
	--with-external-Unicode-EastAsianWidth \
	--disable-perl-xs \
	--disable-rpath

%make_build

%install
%make_install

install -m644 %{SOURCE3} -D %{buildroot}%{_sysconfdir}/info-dir
rm -rf %{buildroot}%{_infodir}/dir
ln -s %{_sysconfdir}/info-dir %{buildroot}%{_infodir}/dir
mkdir -p %{buildroot}/sbin
mv %{buildroot}%{_bindir}/install-info %{buildroot}/sbin/install-info
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmconfig

# Doc install for the tex subpackage (from Fedora)
mkdir -p %{buildroot}%{_datadir}/texmf/tex/texinfo
install -p -m644 doc/texinfo.tex doc/txi-??.tex %{buildroot}%{_datadir}/texmf/tex/texinfo

find %{buildroot} -name "*.*a" -delete

install -Dpm0755 -t %{buildroot}%{_sbindir} contrib/fix-info-dir

%find_lang %{name}
%find_lang %{name}_document

%check
export ALL_TESTS=yes
%make_build check

%transfiletriggerin -n info -- %{_infodir}
[ -f %{_infodir}/dir ] && create_arg="" || create_arg="--create"
%{_sbindir}/fix-info-dir $create_arg %{_infodir}/dir &>/dev/null ||:

%transfiletriggerpostun -n info -- %{_infodir}
[ -f %{_infodir}/dir ] && %{_sbindir}/fix-info-dir --delete %{_infodir}/dir &>/dev/null ||:

%files -f %{name}.lang -f %{name}_document.lang
%doc AUTHORS NEWS README TODO
%{_bindir}/makeinfo
%{_bindir}/texi2any
%{_datadir}/texi2any/
%{_infodir}/info-stnd.info*
%{_infodir}/texinfo*
%{_infodir}/texi2any_api.info*
%{_infodir}/texi2any_internals.info* 
%{_mandir}/man1/makeinfo.1*
%{_mandir}/man1/texi2any.1*
%{_mandir}/man5/texinfo.5*
%{_datadir}/texinfo

%files -n info
%{_bindir}/info
%{_mandir}/man1/info.1*
%{_mandir}/man5/info.5*

%files -n info-install
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/info-dir
%{_infodir}/dir
/sbin/install-info
%{_sbindir}/fix-info-dir
%{_mandir}/man1/install-info.1*

%files tex
%{_bindir}/texindex
%{_bindir}/texi2dvi
%{_bindir}/texi2pdf
%{_bindir}/pdftexi2dvi
%{_bindir}/pod2texi
%{_datadir}/texmf/tex/texinfo
%{_mandir}/man1/texindex.1*
%{_mandir}/man1/texi2dvi.1*
%{_mandir}/man1/texi2pdf.1*
%{_mandir}/man1/pod2texi.1*
%{_mandir}/man1/pdftexi2dvi.1*
