# Compress with gzip instead of xz (faster):
#define _binary_payload		w9.gzdio
#define _source_payload		w9.gzdio

%bcond_with snobol4

# disable python byte compiler
%global _python_bytecompile_extra 0

%global __requires_exclude ^perl\\((PDF::Reuse.*|Pedigree.*|Text::Unidecode|Tie::Watch|SelfLoader|TeXLive.*|Tk::path_tre|only|pdfTeX|tools|script::MakeSPList)\\)|/usr/local/bin/fontforge|/bin/wish|bin/texlua
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}|^/usr/share/texmf-dist/doc
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_docdir}|^/usr/share/texmf-dist/doc
# filter out bogus auto-requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^/usr/bin/lua
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^/usr/bin/texlua
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^/usr/bin/wish

%define enable_asymptote	0


%define texmfbindir		%{_bindir}
%define texmfdir		%{_datadir}/texmf
%define texmfdistdir		%{_datadir}/texmf-dist
%define texmflocaldir		%{_datadir}/texmf-local
%define texmfextradir		%{_datadir}/texmf-extra
%define texmffontsdir		%{_datadir}/texmf-fonts
%define texmfprojectdir	%{_datadir}/texmf-project
%define texmfvardir		%{_localstatedir}/lib/texmf
%define texmfconfdir		%{_sysconfdir}/texmf


%define	__jar_repack %{nil}
%define	_enable_debug_packages %{nil}
%define	__debug_package %{nil}
%define __debug_install_post %{nil}

%define relYear 2025

Name:		texlive-texmf
Version:	%{relYear}0308
Release:	%mkrel 4
Summary:	The TeX formatting system
Group:		Publishing
License:	https://www.tug.org/texlive/LICENSE.TL
URL:		https://tug.org/texlive/
Source0:	ftp://tug.org/historic/systems/texlive/%{relYear}/texlive-%{version}-texmf.tar.xz
Source1:	ftp://tug.org/historic/systems/texlive/%{relYear}/texlive-%{version}-texmf.tar.xz.sha512
Source2:	XDvi-color
Source3:	https://www.tug.org/texlive/LICENSE.TL
Source4:	ftp://tug.org/historic/systems/texlive/%{relYear}/install-tl-unx.tar.gz#/install-tl-unx-%{relYear}.tgz
# Source5:	http://mirror.hmc.edu/ctan/systems/texlive/tlnet/tlpkg/texlive.tlpdb
Source6:	updmap-collection-basic.cfg
Source7:	updmap-dist.cfg
Source8:	updmap-fontsextra.cfg
Source9:	collection.basic
Source10:	fonts.extra
Source11:	fonts.asian
Source12:	fonts.sources

BuildArch:	noarch
# for pathfix.py
BuildRequires:	python3
BuildRequires:	pkgconfig(python3)
# for _javadir def
BuildRequires:	javapackages-filesystem
%if %{with snobol4}
# for /usr/bin/snobol4
BuildRequires:	snobol4
%endif

#-----------------------------------------------------------------------
Requires:	perl-Algorithm-Diff
Requires:	xdg-utils
Requires:	texlive
Requires:	texlive-collection-basic = %{version}
Requires:	texlive-dist = %{version}-%{release}

Obsoletes:	tetex-cmsuper <= 0.3.3
Obsoletes:	tex4ht <= 1:1.0.2008_02_28_2058
Obsoletes:	tetex-afm <= 3.1
Provides:	texmf-data = %version-%release
# latex-beamer functionality is already included in texlive-texmf
Obsoletes:	latex-beamer < 3.13
Provides:	latex-beamer = %version-%release

Patch4: texlive-20160523-texmf-mageia-kpfix.patch

# fix doc package deps:
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^pear\\(animals.php\\)$

#-----------------------------------------------------------------------
%description
This package will install the standard TeX Live and MetaFont distribution.
It provides a comprehensive TeX system. It includes all the major
TeX-related programs, macro packages, and fonts that are free software,
including support for many languages around the world.

%files

#-----------------------------------------------------------------------
%package	-n texlive-collection-basic
Summary:	TeX Live essential package
Group:		Publishing
Requires:	texlive
Requires(post):	texlive
Conflicts:	texlive-texmf < %{version}
Conflicts:	texlive-dist < %{version}

%description	-n texlive-collection-basic
This package installs the essential TeX Live distribution packages.  They
should be sufficient for most users of TeX or TeX-related programs.

%files		-n texlive-collection-basic -f %{SOURCE9}
%{texmfbindir}/*
%{_datadir}/X11/app-defaults/XDvi*
%{_infodir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{texmfdistdir}/chktex
%if %{enable_asymptote}
%{texmfdistdir}/asymptote
%doc %{texmfdistdir}/doc/asymptote
%endif
%{texmfdistdir}/dvipdfmx
%{texmfdistdir}/hbf2gf
%{texmfdistdir}/LICENSE.TL
%{texmfdistdir}/texconfig
%{texmfdistdir}/texdoctk
%{texmfdistdir}/tlpkg
%{texmfdistdir}/ttf2pk
%{texmfdistdir}/xdvi
%{texmfdistdir}/bibtex
%{texmfdistdir}/dvips
%{texmfdistdir}/makeindex
%{texmfdistdir}/metafont
%{texmfdistdir}/metapost
%{texmfdistdir}/mft
%{texmfdistdir}/omega
%{texmfdistdir}/pbibtex
%{texmfdistdir}/scripts
%{texmfdistdir}/web2c
%{texmfdistdir}/tex4ht
%{texmfdistdir}/xindy
%{_javadir}/tex4ht.jar
%{texmfdistdir}/texdoc
%dir %{texmflocaldir}
%ghost %{texmfdistdir}/ls-R
%ghost %{texmflocaldir}/ls-R

#context
%exclude %{texmfbindir}/contextjit
%exclude %{texmfbindir}/chkweb
%exclude %{texmfbindir}/deweb
%exclude %{texmfbindir}/extractbb
%exclude %{texmfbindir}/ps2eps
%exclude %{texmfbindir}/texindy
%exclude %{texmfbindir}/xhlatex
%exclude %{texmfdistdir}/bibtex/bst/context
%exclude %{texmfdistdir}/scripts/context
%exclude %{texmfdistdir}/tex/generic/context
%exclude %{texmfdistdir}/fonts/map/pdftex/context
%exclude %{texmfdistdir}/metapost/context
%exclude %{texmfbindir}/luatools
%exclude %{texmfbindir}/mtxrunjit
%exclude %{texmfbindir}/texexec
%exclude %{texmfbindir}/texmfstart

%post -n texlive-collection-basic
cp %{texmfdistdir}/web2c/updmap-collection-basic.cfg %{texmfdistdir}/web2c/updmap.cfg


#-----------------------------------------------------------------------
%package	-n texlive-dist
Summary:	TeX Live distribution package
Group:		Publishing
Requires:	texlive-texmf >= %{version}-%{release}
Requires(post):	texlive-collection-basic = %{version}
#Requires(postun):	texlive-collection-basic
Requires(post):	texlive
Requires(postun):	texlive
Conflicts:	texlive-texmf < 20120701-5

%description -n texlive-dist
This package brings the main TeX Live distribution packages (fonts and
TeX-related libraries) that are missing from the texlive-basic package.

%files		-n texlive-dist -f excludes
%{texmfdistdir}/psutils/paper.cfg
%{texmfdistdir}/fonts/afm/*
%{texmfdistdir}/fonts/cid
%{texmfdistdir}/fonts/cmap/*
%{texmfdistdir}/fonts/enc/*
%{texmfdistdir}/fonts/map/*
%{texmfdistdir}/fonts/misc
%{texmfdistdir}/fonts/ofm
%{texmfdistdir}/fonts/opentype/*
%{texmfdistdir}/fonts/ovf
%{texmfdistdir}/fonts/ovp
%{texmfdistdir}/fonts/sfd
%{texmfdistdir}/fonts/pk/ljfour/public/*
%{texmfdistdir}/fonts/tfm/*
%{texmfdistdir}/fonts/truetype/*
%{texmfdistdir}/fonts/type1/*
%{texmfdistdir}/fonts/vf/*
%{texmfdistdir}/tex/*

#context
%exclude %{texmfdistdir}/fonts/afm/hoekwater/context
%exclude %{texmfdistdir}/fonts/enc/dvips/context
%exclude %{texmfdistdir}/fonts/map/dvips/context
%exclude %{texmfdistdir}/fonts/map/luatex/context
%exclude %{texmfdistdir}/fonts/tfm/hoekwater/context
%exclude %{texmfdistdir}/fonts/type1/hoekwater/context
%exclude %{texmfdistdir}/tex/context
%exclude %{texmfdistdir}/tex/generic/context
%exclude %{texmfdistdir}/fonts/misc/xetex/fontmapping/context

# xypic
%exclude %{texmfdistdir}/dvips/xypic
%exclude %{texmfdistdir}/fonts/afm/public/xypic
%exclude %{texmfdistdir}/fonts/enc/dvips/xypic
%exclude %{texmfdistdir}/fonts/map/dvips/xypic
%exclude %{texmfdistdir}/fonts/tfm/public/xypic
%exclude %{texmfdistdir}/fonts/type1/public/xypic
%exclude %{texmfdistdir}/tex/generic/xypic

# xetexconfig
%exclude %{texmfdistdir}/tex/xelatex/xetexconfig

%post -n texlive-dist
cp %{texmfdistdir}/web2c/updmap-dist.cfg %{texmfdistdir}/web2c/updmap.cfg

%postun -n texlive-dist
cp %{texmfdistdir}/web2c/updmap-collection-basic.cfg %{texmfdistdir}/web2c/updmap.cfg


#-----------------------------------------------------------------------
%package	-n texlive-context
Summary:	Tex Live ConTeXt Package
Group:		Publishing
Requires:	texlive-texmf >= %{version}-%{release}
Requires:	ruby
Conflicts: texlive-collection-basic < 20220321-11

%description	-n texlive-context
This is the ConTeXt package of the TeX Live distribution. Use this only
if you rely on context for building tex documents.

%files		-n texlive-context
%{texmfdistdir}/fonts/afm/hoekwater/context
%{texmfdistdir}/fonts/enc/dvips/context
%{texmfdistdir}/fonts/map/dvips/context
%{texmfdistdir}/fonts/map/luatex/context
%{texmfdistdir}/fonts/map/pdftex/context
%{texmfdistdir}/fonts/misc/xetex/fontmapping/context
%{texmfdistdir}/fonts/tfm/hoekwater/context
%{texmfdistdir}/fonts/type1/hoekwater/context
%{texmfbindir}/contextjit
%{texmfbindir}/luatools
%{texmfbindir}/mtxrunjit
%{texmfbindir}/texexec
%{texmfbindir}/texmfstart
%{texmfdistdir}/context
%{texmfdistdir}/scripts/context
%{texmfdistdir}/tex/context
%{texmfdistdir}/bibtex/bst/context
%{texmfdistdir}/tex/generic/context
%{texmfdistdir}/metapost/context

%post -n texlive-context
cp %{texmfdistdir}/web2c/updmap-dist.cfg %{texmfdistdir}/web2c/updmap.cfg
%{_bindir}/mtxrunjit --generate > /dev/null 2>&1

%postun -n texlive-context
cp %{texmfdistdir}/web2c/updmap-collection-basic.cfg %{texmfdistdir}/web2c/updmap.cfg


#-----------------------------------------------------------------------
%package	-n texlive-doc
Summary:	Tex Live documentation
Group:		Publishing
Obsoletes:	tetex-doc <= 3.1
Requires:	texlive-texmf >= %{version}-%{release}

%description	-n texlive-doc
TeX Live is an easy way to get up and running with the TeX document
production system. It provides a comprehensive TeX system. It includes
all the major TeX-related programs, macro packages, and fonts that are
free software, including support for many languages around the world.

%files		-n texlive-doc
#{texmfdistdir}/doc/*
%if %{enable_asymptote}
%exclude %{texmfdistdir}/doc/asymptote
%endif
%{texmfdistdir}/doc

#-----------------------------------------------------------------------
%package	-n texlive-fontsextra
Summary:	TeX Live extra fonts
Group:		Publishing
Requires:	texlive-texmf = %{version}
Requires(post):	texlive-dist = %{version}-%{release}
Requires(postun):	texlive

%description	-n texlive-fontsextra
TeX Live is an easy way to get up and running with the TeX document
production system. It provides a comprehensive TeX system. It includes
all the major TeX-related programs, macro packages, and fonts that are
free software, including support for many languages around the world.

%files		-n texlive-fontsextra -f %{SOURCE10}

%post		-n texlive-fontsextra
cp %{texmfdistdir}/web2c/updmap-fontsextra.cfg %{texmfdistdir}/web2c/updmap.cfg

%postun		-n texlive-fontsextra
cp %{texmfdistdir}/web2c/updmap-dist.cfg %{texmfdistdir}/web2c/updmap.cfg

#-----------------------------------------------------------------------
%package	-n texlive-fonts-asian
Summary:	TeX Live extra fonts for Asian languages
Group:		Publishing
Requires:	texlive-texmf = %{version}
Requires(post):	texlive-dist = %{version}-%{release}
Requires(postun):	texlive

%description	-n texlive-fonts-asian
TeX Live is an easy way to get up and running with the TeX document
production system. It provides a comprehensive TeX system. It includes
all the major TeX-related programs, macro packages, and fonts that are
free software, including support for many languages around the world.

%files		-n texlive-fonts-asian -f %{SOURCE11}

%post		-n texlive-fonts-asian
cp %{texmfdistdir}/web2c/updmap-fontsextra.cfg %{texmfdistdir}/web2c/updmap.cfg

%postun		-n texlive-fonts-asian
cp %{texmfdistdir}/web2c/updmap-dist.cfg %{texmfdistdir}/web2c/updmap.cfg

#-----------------------------------------------------------------------
%package	-n texlive-fonts-sources
Summary:	TeX Live font sources
Group:		Publishing
Requires:	texlive
Requires(postun):	texlive

%description	-n texlive-fonts-sources
This package contains the source (mf) files for all fonts. This is usually only
needed if you build applications.

%files		-n texlive-fonts-sources -f %{SOURCE12}

%postun		-n texlive-fonts-sources
%{_bindir}/texhash > /dev/null 2>&1

#-----------------------------------------------------------------------

%prep
%setup -q -n texlive-%{version}-texmf

#remove source, as we don't need it and it saves some space
rm -rf texmf-dist/source
rm -rf texmf-dist/doc/latex/comprehensive/source
#remove all windows bat files
find . -name *.bat -exec rm -f {} \;

#remove scripts for windows
rm -f texmf-dist/scripts/texlive/uninstall-win32.pl

rm -rf texmf-dist/scripts/tlgs \
	texmf-dist/scripts/context/stubs/source \
	texmf-dist/scripts/context/stubs/setup \
	texmf-dist/scripts/context/stubs/install \
	texmf-dist/scripts/context/stubs/mswin \
	texmf-dist/scripts/context/stubs/win64

find texmf-dist/ -name *.exe -exec rm -f {} \;
find texmf-dist/ -name *.dll -exec rm -f {} \;

#remove scripts we have in psutils, gs or texlive
rm -rf texmf-dist/scripts/psutils

#remove all elf files
function testElf(){
	TMP=`file "$1"|grep -c "ELF"`;
	if [[ $TMP > 0 ]] ; then
		echo $1;
	fi ;
}
export -f testElf
find . -type f -exec bash -c "testElf \"{}\"" \; |xargs -n 1 rm -f


%patch -P 4 -p1

perl -pi -e 's%^(TEXMFMAIN\s+= ).*%$1%{texmfdistdir}%;'		  \
	 -e 's%^(TEXMFDIST\s+= ).*%$1%{texmfdistdir}%;'		  \
	 -e 's%^(TEXMF\s+= .*)\}$%$1,%{texmfdir}\}%;'			  \
	 -e 's%^(TEXMFLOCAL\s+= ).*%$1%{texmflocaldir}%;'		  \
	 -e 's%^(TEXMFSYSVAR\s+= ).*%$1%{texmfvardir}%;'		  \
	 -e 's%^(TEXMFSYSCONFIG\s+= ).*%$1%{texmfconfdir}%;'		  \
	 -e 's%^(TEXMFHOME\s+= ).*%$1\$HOME/texmf%;'			  \
	 -e 's%^(TEXMFVAR\s+= ).*%$1\$HOME/.texlive%{relYear}/texmf-var%;'	  \
	 -e 's%^(TEXMFCONFIG\s+= ).*%$1\$HOME/.texlive%{relYear}/texmf-config%;'\
	 -e 's%^(OSFONTDIR\s+= ).*%$1%{_datadir}/fonts%;'		  \
	texmf-dist/web2c/texmf.cnf

perl -pi -e 's%^(\s*TEXMFMAIN\s+=\s+").*%$1%{texmfdistdir}",%;'				\
	 -e 's%\bTEXMFCONTEXT\b%TEXMFDIST%g;'						\
	 -e 's%^(\s*TEXMFDIST\s+=\s+).*%$1"%{texmfdistdir}",%;'				\
	 -e 's%^(TEXMF\s+= .*)\}$%$1,%{texmfdir}\}%;'					\
	 -e 's%^(\s*TEXMFLOCAL\s+=\s+).*%$1"%{texmflocaldir}",%;'			\
	 -e 's%^(\s*TEXMFSYSVAR\s+=\s+).*%$1"%{texmfvardir}",%;'			\
	 -e 's%^(\s*TEXMFSYSCONFIG\s+=\s+).*%$1"%{texmfconfdir}",%;'			\
	 -e 's%^(\s*TEXMFHOME\s+=\s+").*%$1\$HOME/texmf",%;'				\
	 -e 's%^(\s*TEXMFVAR\s+=\s+").*%$1\$HOME/.texlive%{relYear}/texmf-var",%;'		\
	 -e 's%^(\s*TEXMFCONFIG\s+=\s+").*%$1\$HOME/.texlive%{relYear}/texmf-config",%;'	\
	 -e 's%^(\s*FONTCONFIG_PATH\s+=\s+").*%$1%{_sysconfdir}/fonts",%;'		\
	 -e 's|^local texmflocal.*$||;'							\
	 -e 's|^texmflocal.*$||;'							\
	texmf-dist/web2c/texmfcnf.lua

perl -pi -e 's%^# (viewer_pdf = )xpdf.*%$1xdg-open%;'	\
	texmf-dist/texdoc/texdoc.cnf

# fix python shebangs
%py3_shebang_fix \
	. \
	texmf-dist/scripts/pdfbook2/pdfbook2 \
	texmf-dist/scripts/de-macro/de-macro \

#change executeable for some files
find texmf-dist/scripts/ -name *.jar -name *.pm -name README* -name CHANGES* -name LICENCE* -executable -exec chmod -x {} \;

#-----------------------------------------------------------------------
%build

#-----------------------------------------------------------------------
%install
cat %{SOURCE9} %{SOURCE10} %{SOURCE11} %{SOURCE12} > excludes
perl -pi -e 's%\%\{texmfdistdir\}%\%exclude \%\{texmfdistdir\}%g;' excludes

%if ! %{with snobol4}
# remove script requiring /usr/bin/snobol4
rm -rf texmf-dist/scripts/texaccents/texaccents.sno
%endif

mkdir -p %{buildroot}%{texmfdistdir}
cp -la texmf-dist/* %{buildroot}%{texmfdistdir}

mkdir -p %{buildroot}%{texmfbindir}

pushd %{buildroot}%{texmfbindir}
	#link executeables
	find %{buildroot}%{texmfdistdir}/scripts/ -name '*.pl' -type f -executable -exec echo {} \; -exec basename {} .pl \;|sed 's,^%{buildroot},,'|xargs -n 2 ln -sf
	find %{buildroot}%{texmfdistdir}/scripts/ -name '*.lua' -type f -executable -exec echo {} \; -exec basename {} .lua \;|sed 's,^%{buildroot},,'|xargs -n 2 ln -sf
	find %{buildroot}%{texmfdistdir}/scripts/ -name '*.sh' -type f -executable -exec echo {} \; -exec basename {} .sh \;|sed 's,^%{buildroot},,'|xargs -n 2 ln -sf
	find %{buildroot}%{texmfdistdir}/scripts/ -name '*.py' -type f -executable -exec echo {} \; -exec basename {} .py \;|sed 's,^%{buildroot},,'|xargs -n 2 ln -sf
	find %{buildroot}%{texmfdistdir}/scripts/ -name '*.tlu' -type f -executable -exec echo {} \; -exec basename {} .tlu \;|sed 's,^%{buildroot},,'|xargs -n 2 ln -sf
	find %{buildroot}%{texmfdistdir}/scripts/ -name '*.tcl' -type f -executable -exec echo {} \; -exec basename {} .tcl \;|sed 's,^%{buildroot},,'|xargs -n 2 ln -sf
	find %{buildroot}%{texmfdistdir}/scripts/ -name '*.rb' -type f -executable -exec echo {} \; -exec basename {} .tcl \;|sed 's,^%{buildroot},,'|xargs -n 2 ln -sf

	find %{buildroot}%{texmfdistdir}/scripts/ -type f -executable \
	-not -name '*.pl' \
	-not -name '*.cs' \
	-not -name '*.lua' \
	-not -name '*.sh' \
	-not -name '*.py' \
	-not -name '*.tlu' \
	-not -name '*.tcl' \
	-not -name '*.jar' \
	-not -name '*.yaml' \
	-not -name '*.pm' \
	-not -name '*.txt' \
	-not -name 'CHANGES*' \
	-not -name 'LICENCE*' \
	-not -name 'README*' \
	-not -name '*.smc' \
	-not -name '*.r' \
	-not -name '*.rb' \
	-exec echo {} \; -exec basename {} \;|sed 's,^%{buildroot},,'|xargs -n 2 ln -sf

# cleanup of files not belonging to real commands, but that are installed from the commands above
	rm -f \
	alt_getopt cloze herelist lapp-mk4 luaindex luamesh luamesh-polygon luamesh-tex \
	lua-uca-collator lua-uca-ducet lua-uca-languages lua-uca-reordering-table \
	lua-uca-tailoring luasseq lyluatex lyluatex-lib lyluatex-options \
	make4ht-aeneas-config make4ht-config make4ht-dvireader make4ht-errorlogparser \
	make4ht-filterlib make4ht-htlatex make4ht-indexing make4ht-lib make4ht-logging \
	make4ht-xtpipes	mkparams mkutils pgfmolbio physical \
	placeat puyotikz pythontex_engines pythontex_install pythontex_utils \
	spelling-main spelling-recurse spelling-stage-1 spelling-stage-2 spelling-stage-3 \
	spelling-stage-4 tex4ebook-exec_azw tex4ebook-exec_azw3 tex4ebook-exec_epub \
	tex4ebook-exec_epub3 tex4ebook-exec_mobi texdoclib-alias texdoclib-cli \
	texdoclib-config texdoclib-const texdoclib-score texdoclib-search texdoclib-util \
	texdoclib-view webquiz_layout webquiz_templates webquiz_xml
# xindy (and xindy.mem) is already provided in the texlive package as a link to
# scripts/xindy/xindy.pl, so skip the duplicate xindy link here.
	rm -f xindy

#add some special links last
	ln -sf euptex uplatex
	ln -sf epstopdf repstopdf
	ln -sf texdef latexdef
	ln -sf allcm allec
	ln -sf fmtutil mktexfmt
	ln -sf mktexlsr texhash
	ln -sf tex lollipop
	ln -sf luatex luacsplain
	ln -sf luatex optex
	ln -sf kpsetool kpsepath
	ln -sf kpsetool kpsexpand
	ln -sf pdfcrop rpdfcrop
	ln -sf convbkmk.rb convbkmk
	ln -sf cluttex cllualatex
	ln -sf cluttex clxelatex
	ln -sf hitex hilatex
popd

	(cd %{buildroot}%{texmfdistdir}/tex/generic/config ; ln -sf ../tex-ini-files/pdftexconfig.tex .)

	mkdir -p %{buildroot}%{_datadir}/X11/app-defaults
	pushd %{buildroot}%{_datadir}/X11/app-defaults
	ln -sf %{texmfdistdir}/xdvi/XDvi XDvi
	cp %{SOURCE2} %{buildroot}%{_datadir}/X11/app-defaults
popd

pushd %{buildroot}%{texmfdistdir}
%if !%{enable_asymptote}
	rm -fr asymptote doc/asymptote doc/info/asy* tex/latex/asymptote
%endif
	rm -fr dvipdfm
	perl -pi -e 's%/usr/local%/usr%;' dvipdfmx/dvipdfmx.cfg
	rm -f ls-R README
	rm -fr doc/gzip
	cp -f %{SOURCE3} .

	find doc/man \( -name Makefile -o -name *.pdf \) -exec rm -f {} \;
	# with_system_psutils
	rm -f doc/man/man1/{epsffit,extractres,fixdlsrps,fixfmps,fixmacps,fixpsditps,fixpspps,fixscribeps,fixtpps,fixwfwps,fixwpps,fixwwps,getafm,includeres,psbook,psmerge,psnup,psresize,psselect,pstops,psjoin,psutils,dvilualatex-dev,lualatex-dev,pdflatex-dev,platex-dev,uplatex-dev,xelatex-dev}.1

	mkdir -p %{buildroot}%{_mandir}
	mv -f doc/man/* %{buildroot}%{_mandir}
	mkdir -p %{buildroot}%{_infodir}
	mv -f doc/info/*.info %{buildroot}%{_infodir}
popd

pushd %{buildroot}%{texmfdistdir}
	rm -f ls-R README
	# .in files in documentation confuse find-provides
	rm -f doc/bibtex/urlbst/*.in
popd

	mkdir %{buildroot}%{_javadir}
	pushd %{buildroot}%{_javadir}
	ln -sf %{texmfdistdir}/tex4ht/bin/tex4ht.jar tex4ht.jar
	popd
pushd %{buildroot}%{texmfdistdir}/doc/fonts
 find . -name *.pdf -exec rm -rf {} \;
 rm -rf gnu-freefont/tools
popd


tar zxf %{SOURCE4}
mkdir -p %{buildroot}%{texmfdistdir}/tlpkg
cp -la install-tl-*/tlpkg/TeXLive %{buildroot}%{texmfdistdir}/tlpkg
cp -la install-tl-*/tlpkg/installer %{buildroot}%{texmfdistdir}/tlpkg
rm -rf %{buildroot}%{texmfdistdir}/tlpkg/installer/wget
rm -rf %{buildroot}%{texmfdistdir}/tlpkg/installer/xz


perl -pi -e 's|-var-value=TEXMFROOT|-var-value=TEXMFMAIN|g;'			\
	%{buildroot}%{texmfdistdir}/scripts/texlive/updmap.pl

mkdir -p %{buildroot}%{texmflocaldir}

touch %{buildroot}%{texmfdistdir}/ls-R
touch %{buildroot}%{texmflocaldir}/ls-R

pushd %{buildroot}%{texmfdistdir}
cp %{_sourcedir}/updmap-*.cfg web2c/

#-----------------------------------------------------------------------
