#define _binary_payload		w9.gzdio
#define _source_payload		w9.gzdio
%define bootstrap 0
%global __requires_exclude ^perl\\((PDF::Reuse.*|Pedigree.*|TeXLive.*|Tk::path_tre|only|pdfTeX|script::MakeSPList)\\)|pear\\(animals.php\\)
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_docdir}

# Fix build on 32bit arches
# According to upstream: https://tug.org/texlive/build.html
# "In GCC 14, some type warnings have become errors. There is one type clash in
# xdvi that cannot be easily fixed due to induced incompatibilities (configure
# test welcome). Setting CFLAGS=-Wno-incompatible-pointer-types is the easiest
# workaround we know of."
# See also: https://bugs.gentoo.org/928096
%ifarch %{arm32} %{ix86}
%global build_cflags %build_cflags -Wno-incompatible-pointer-types
%endif

# - let asymptote be packaged separately, as the generated one is known
#   to not be fully functional
%define enable_asymptote	0

# in its own package
%define with_system_lcdf	0
%define with_system_tex4ht	0
%define with_system_teckit	0


%define texmfbindir		%{_bindir}
%define texmfdir		%{_datadir}/texmf
%define texmfdistdir		%{_datadir}/texmf-dist
%define texmflocaldir		%{_datadir}/texmf-local
%define texmfextradir		%{_datadir}/texmf-extra
%define texmffontsdir		%{_datadir}/texmf-fonts
%define texmfprojectdir		%{_datadir}/texmf-project
%define texmfvardir		%{_localstatedir}/lib/texmf
%define texmfconfdir		%{_sysconfdir}/texmf
%define relYear	2025


#-----------------------------------------------------------------------
Name:		texlive
Version:	%{relYear}0308
Release:	%mkrel 3
Summary:	The TeX formatting system
Group:		Publishing
License:	https://www.tug.org/texlive/LICENSE.TL
URL:		https://tug.org/texlive/
Source0:	ftp://tug.org/historic/systems/texlive/%{relYear}/%{name}-%{version}-source.tar.xz
Source1:	ftp://tug.org/historic/systems/texlive/%{relYear}/%{name}-%{version}-source.tar.xz.sha512

Provides:	tetex  = %{version}-%{release}
Provides:	context = %{version}-%{release}
Provides:	dvipdfm = %{version}-%{release}
Provides:	dvips = %{version}-%{release}
Provides:	mfwin = %{version}-%{release}
Provides:	usrlocal = %{version}-%{release}
Obsoletes:	tetex-xdvi <= 3.1
Provides:	xdvi = %{version}-%{release}
Requires:	ghostscript-module-X
Obsoletes:	xdvi <= 22.86
Obsoletes:	xdvik <= 22.84.16
Obsoletes:	texlive-xdvi <= 2007
%rename xdvik
Provides:	afm = %{version}-%{release}
Provides:	dvilj = %{version}-%{release}
Provides:	dvipdfm = %{version}-%{release}
Provides:	tetex-dvips = %{version}-%{release}
Provides:	dviutils = %{version}-%{release}
Provides:	tetex-latex  = %{version}-%{release}
Provides:	latex = %{version}-%{release}

Obsoletes:	kpathsea <= 2007
Obsoletes:	pdfjam <= 1.21
Obsoletes:	tetex <= 3.1
Obsoletes:	tetex-context <= 3.1
Obsoletes:	tetex-devel <= 3.1
Obsoletes:	tetex-dvipdfm <= 3.1
Obsoletes:	tetex-dvips <= 3.1
Obsoletes:	tetex-dvips <= 3.1
Obsoletes:	tetex-dvilj <= 3.0
Obsoletes:	tetex-latex <= 3.1
Obsoletes:	tetex-mfwin <= 3.1
Obsoletes:	tetex-usrlocal <= 3.1
Obsoletes:	texlive-afm <= 2007
Obsoletes:	texlive-context <= 2007
Obsoletes:	texlive-dvilj <= 2007
Obsoletes:	texlive-dvipdfm <= 2007
Obsoletes:	texlive-dvips <= 2007
Obsoletes:	texlive-dviutils <= 2007
Obsoletes:	texlive-latex <= 2007
Obsoletes:	texlive-mfwin <= 2007
Obsoletes:	texlive-fonts <= 2007
Obsoletes:	texlive-mf2pt1 < 2.5.0-4
%rename abntex2

#-----------------------------------------------------------------------
Requires:	cdialog
Requires:	ghostscript
%if %{enable_asymptote}
Requires:	gv
Requires:	tkinter
%endif
%if %{with_system_lcdf}
Requires:	lcdf-typetoools
%else
Provides:	lcdf-typetools = %{version}
Obsoletes:	lcdf-typetools <= 2.59-5
%endif
Requires:	psutils
%if %{with_system_teckit}
Requires:	teckit
%endif
%if %{with_system_tex4ht}
Requires:	tex4ht
%else
Provides:	tex4ht = %{version}
Obsoletes:	tex4ht <= 1:1.0.2008_02_28_2058
%endif
Requires:	texlive-collection-basic

# Fix upgrade for luatex (mga#12303)
Requires(posttrans):	zlib >= 1.2.8
Requires(posttrans):	kpathsea >= %{version}

#-----------------------------------------------------------------------
BuildRequires:	autoconf-archive
BuildRequires:	bison
BuildRequires:	clisp
BuildRequires:	ffcall-devel
BuildRequires:	ghostscript-devel
BuildRequires:	pkgconfig(gmp)
BuildRequires:	pkgconfig(graphite2)
BuildRequires:	icu-devel
BuildRequires:	libpaper-devel
BuildRequires:	mercurial
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(libbrotlienc)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libwoff2enc)
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(xaw7)
%ifnarch %{arm32} %{ix86}
BuildRequires:	pkgconfig(zziplib)
%endif
BuildRequires:	potrace-devel
BuildRequires:	t1lib-devel
%if !0%bootstrap
BuildRequires:	texlive
BuildRequires:	texlive-dist
BuildRequires:	texlive-fonts-sources
%endif
BuildRequires:	pkgconfig(libxxhash)
%if %{with_system_teckit}
BuildRequires:	teckit-devel
%endif
%if %{enable_asymptote}
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	flex
BuildRequires:	pkgconfig(bdw-gc)
BuildRequires:	libsigsegv-devel
BuildRequires:	ghostscript-dvipdf
BuildRequires:	pkgconfig(gsl)
BuildRequires:	GL-devel
BuildRequires:	texinfo
%endif

#-----------------------------------------------------------------------
Patch1: texlive-20160523-mageia-format.patch
%if %{enable_asymptote}
Patch2: texlive-20160523-mageia-asymptote.patch
%endif
Patch4: texlive-20160523-texmf-mageia-kpfix.patch
Patch5: includePatch.patch
Patch7: texlive-dvisvgm-system-libs.patch
#Patch8: mga-fix-build-with-gs10.patch
Patch9: texlive-use-grep-E-and-grep-F-instead-of-deprecated-egrep-fgrep.patch
#Patch10: CVE-2023-32700.patch

#-----------------------------------------------------------------------
%description
TeX Live is an easy way to get up and running with the TeX document
production system. It provides a comprehensive TeX system. It includes
all the major TeX-related programs, macro packages, and fonts that are
free software, including support for many languages around the world.

%files
%{texmfbindir}/*
%dir %{texmfvardir}
%ghost %{texmfvardir}/ls-R
%dir %{texmfconfdir}
%ghost %{texmfconfdir}/ls-R
%ghost %config(noreplace) %{texmfconfdir}/web2c/updmap.cfg


%define	kpathsea_major	6
%define	kpathsea	%{mklibname kpathsea %{kpathsea_major}}

%package	-n %{kpathsea}
Summary:	Path searching library for TeX-related files
Group:		System/Libraries
Provides:	kpathsea = %{version}-%{release}

%description	-n %{kpathsea}
Kpathsea implements generic path searching, configuration,
and TeX-specific file searching.

%files		-n %{kpathsea}
%{_libdir}/libkpathsea.so.%{kpathsea_major}
%{_libdir}/libkpathsea.so.%{kpathsea_major}.*

#-----------------------------------------------------------------------
%define	kpathsea_devel		%{mklibname -d kpathsea}

%package	-n %{kpathsea_devel}
Summary:	Kpathsea development files
Group:		Development/C
Requires:	kpathsea = %{version}-%{release}
Provides:	kpathsea-devel = %{version}-%{release}

%description	-n %{kpathsea_devel}
Kpathsea implements generic path searching, configuration,
and TeX-specific file searching.
This package includes the kpathsea development files.

%files		-n %{kpathsea_devel}
%{_includedir}/kpathsea
%{_libdir}/libkpathsea.so
%{_libdir}/pkgconfig/kpathsea.pc

#-----------------------------------------------------------------------
%define	texlua_major	5
%define	texluajit_major	2
%define	texlua	%{mklibname texlua %{texlua_major}}

%package	-n %{texlua}
Summary:	Library for TeXlua
Group:		System/Libraries
Provides:	texlua = %{version}-%{release}

%description	-n %{texlua}
TeXlua library

%files		-n %{texlua}
%{_libdir}/libtexlua53.so.%{texlua_major}
%{_libdir}/libtexlua53.so.%{texlua_major}.*
%{_libdir}/libtexluajit.so.%{texluajit_major}
%{_libdir}/libtexluajit.so.%{texluajit_major}.*


#-----------------------------------------------------------------------
%define	texlua_devel		%{mklibname -d texlua}

%package	-n %{texlua_devel}
Summary:	Library for TeXlua
Group:		Development/C
Requires:	texlua = %{version}-%{release}
Provides:	texlua-devel = %{version}-%{release}

%description	-n %{texlua_devel}
TeXlua library
This package includes the TeXlua development files.

%files		-n %{texlua_devel}
%{_includedir}/texlua53
%{_includedir}/texluajit
%{_libdir}/libtexlua53.so
%{_libdir}/pkgconfig/texlua53.pc
%{_libdir}/libtexluajit.so
%{_libdir}/pkgconfig/texluajit.pc

#-----------------------------------------------------------------------
%define	synctex_major	2
%define	synctex	%{mklibname synctex %{synctex_major}}

%package	-n %{synctex}
Summary:	Library for SyncTeX
Group:		System/Libraries
Provides:	synctex = %{version}-%{release}

%description	-n %{synctex}
synctex library

%files		-n %{synctex}
%{_libdir}/libsynctex.so.%{synctex_major}
%{_libdir}/libsynctex.so.%{synctex_major}.*

#-----------------------------------------------------------------------
%define	synctex_devel		%{mklibname -d synctex}

%package	-n %{synctex_devel}
Summary:	Library for SyncTeX
Group:		Development/C
Requires:	synctex = %{version}-%{release}
Provides:	synctex-devel = %{version}-%{release}

%description	-n %{synctex_devel}
synctex library
This package includes the synctex development files.

%files		-n %{synctex_devel}
%{_includedir}/synctex
%{_libdir}/libsynctex.so
%{_libdir}/pkgconfig/synctex.pc

#-----------------------------------------------------------------------
%define	ptexenc_major	1
%define	ptexenc	%{mklibname ptexenc %{ptexenc_major}}

%package	-n %{ptexenc}
Summary:	Library for Japanese pTeX
Group:		System/Libraries
Provides:	ptexenc = %{version}-%{release}

%description	-n %{ptexenc}
ptexenc is a useful library for Japanese pTeX
(which stands for publishing TeX, and is an extension of
TeX by ASCII Co.) and its surrounding tools.

%files		-n %{ptexenc}
%{_libdir}/libptexenc.so.%{ptexenc_major}
%{_libdir}/libptexenc.so.%{ptexenc_major}.*

#-----------------------------------------------------------------------
%define	ptexenc_devel		%{mklibname -d ptexenc}

%package	-n %{ptexenc_devel}
Summary:	Library for Japanese pTeX
Group:		Development/C
Requires:	ptexenc = %{version}-%{release}
Provides:	ptexenc-devel = %{version}-%{release}

%description	-n %{ptexenc_devel}
ptexenc is a useful library for Japanese pTeX
(which stands for publishing TeX, and is an extension of
TeX by ASCII Co.) and its surrounding tools.
This package includes the ptexenc development files.

%files		-n %{ptexenc_devel}
%{_includedir}/ptexenc
%{_libdir}/libptexenc.so
%{_libdir}/pkgconfig/ptexenc.pc

########################################################################

#-----------------------------------------------------------------------
%prep
%autosetup -S hg -n %{name}-%{version}-source

# setup default builtin values, added to paths.h from texmf.cnf
perl -pi -e 's%^(TEXMFMAIN\s+= ).*%$1%{texmfdistdir}%;'			  \
	 -e 's%^(TEXMFDIST\s+= ).*%$1%{texmfdistdir}%;'			  \
	 -e 's%^(TEXMFLOCAL\s+= ).*%$1%{texmflocaldir}%;'			  \
	 -e 's%^(TEXMFSYSVAR\s+= ).*%$1%{texmfvardir}%;'		  \
	 -e 's%^(TEXMFSYSCONFIG\s+= ).*%$1%{texmfconfdir}%;'		  \
	 -e 's%^(TEXMFHOME\s+= ).*%$1\$HOME/texmf%;'			  \
	 -e 's%^(TEXMFVAR\s+= ).*%$1\$HOME/.texlive%{relYear}/texmf-var%;'	  \
	 -e 's%^(TEXMFCONFIG\s+= ).*%$1\$HOME/.texlive%{relYear}/texmf-config%;'\
	 -e 's%^(OSFONTDIR\s+= ).*%$1%{_datadir}/fonts%;'		  \
	texk/kpathsea/texmf.cnf

#-----------------------------------------------------------------------
%build
%global build_cxxflags %{build_cxxflags} %(pkg-config --variable=CXXFLAGS icu-i18n)

#for dvisvgm system libs patches
./reautoconf

mkdir -p Work
pushd Work

CONFIGURE_TOP=.. \
%configure							\
%if %{with_system_lcdf}
	--disable-lcdf-typetools				\
%endif
%if %{with_system_teckit}
	--disable-teckit					\
	--with-teckit-includes=%{_includedir}/teckit		\
%endif
%if %{with_system_tex4ht}
	--disable-tex4htk					\
%endif
	--with-banner-add="/Mageia"	\
	--disable-dialog \
	--disable-linked-scripts \
	--disable-native-texlive-build \
	--disable-psutils \
	--disable-static \
	--disable-t1utils \
	--enable-dvi2tty \
	--enable-missing \
	--enable-shared \
	--enable-xdvik \
%if !0%bootstrap
	--enable-xindy \
	--enable-xindy-rules \
%endif
	--with-freetype2-includes=%{_includedir}/freetype2	\
	--without-system-xpdf \
	--with-system-cairo \
	--with-system-freetype2 \
	--with-system-gd \
	--with-system-gmp \
	--with-system-graphite2 \
	--with-system-harfbuzz \
	--with-system-icu \
	--with-system-libpaper \
	--with-system-libpng \
	--with-system-mpfr \
	--with-system-pixman \
	--with-system-poppler \
	--with-system-t1lib \
	--with-system-zlib \
%ifnarch %{arm32} %{ix86}
	--with-system-zziplib
%endif

%make_build

popd

%if %{enable_asymptote}
pushd utils/asymptote
%configure							\
	--enable-gc=system					\
	--enable-texlive-build					\
	--datadir=%{texmfdir}
%make_build
popd
%endif

#-----------------------------------------------------------------------
%install
pushd Work
%make_install
popd

%if %{enable_asymptote}
pushd utils/asymptote
%make_install
popd
%endif

mkdir -p %{buildroot}%{_datadir}
for dir in texmf texmf-dist; do
    if [ -d %{buildroot}%{_prefix}/$dir ]; then
	rm -fr %{buildroot}%{_datadir}/$dir
	mv %{buildroot}%{_prefix}/$dir %{buildroot}%{_datadir}
    fi
done

mkdir -p %{buildroot}%{texmfvardir}
mkdir -p %{buildroot}%{texmfconfdir}

%if %{with_system_lcdf}
# stray directory left
rm -fr %{buildroot}%{_datadir}/lcdf-typetools-for-tex-live
%endif

pushd %{buildroot}%{texmfbindir}
	# missing symbolic links
	ln -sf aleph lamed
	ln -sf luatex dvilualatex
	ln -sf luatex dviluatex
	ln -sf luahbtex lualatex
	ln -sf pdftex amstex
	ln -sf pdftex cslatex
	ln -sf pdftex csplain
	ln -sf pdftex eplain
	ln -sf pdftex etex
	ln -sf pdftex latex
	ln -sf pdftex mex
	ln -sf pdftex mltex
	ln -sf pdftex mllatex
	ln -sf pdftex pdfcslatex
	ln -sf pdftex pdfcsplain
	ln -sf pdftex pdfetex
	ln -sf pdftex pdflatex
	ln -sf pdftex pdfmex
	ln -sf pdftex physe
	ln -sf pdftex phyzzx
	ln -sf pdftex utf8mex
	ln -sf pdftex texsis
	ln -sf ptex platex
	ln -sf mpost metafun
	ln -sf mpost mfplain
	ln -sf xetex xelatex

    # correct symlinks
    for file in *; do
	link=`readlink $file` || :
	if [ "x$link" != "x" ]; then
	    ln -sf `echo $link |					\
		sed	-e 's|\.\./.*texmf-dist/|%{texmfdistdir}/|'	\
			-e 's|\.\./.*texmf/|%{texmfdir}/|'`		\
		$file
	fi
    done
	ln -sf %{_bindir}/dialog tcdialog
%if %{enable_asymptote}
	ln -sf %{texmfdir}/asymptote/GUI/xasy.py xasy
%endif
	# install scripts from texlive-texmf
	rm -f a2ping afm2afm arlatex authorindex autoinst bibexport		\
	bundledoc cachepic cmap2enc de-macro dviasm ebong e2pall	\
	epspdf epspdftk epstopdf fig4latex findhyph font2afm		\
	fragmaster ht htcontext htlatex htmex httex httexi htxelatex	\
	htxetex latex2man latexdiff latexdiff-vc latexmk latexrevise	\
	listings-ext.sh makeglossaries mathspic mk4ht mkgrkindex	\
	mkjobtexmf mkluatexfontdb mkt1font mptopdf ot2kpx pdf180	\
	pdf270 pdf90 pdfannotextractor pdfatfi pdfbook pdfcrop	\
	pdfflip pdfjam pdfjam-pocketmod pdfjam-slides3up		\
	pdfjam-slides6up pdfjoin pdfnup pdfpun pdfthumb perltex	\
	pfm2kpx pkfix  pkfix-helper ppower4 ps4pdf pst2pdf purifyeps	\
	repstopdf rpdfcrop rungs showglyphs simpdftex splitindex	\
	svn-multi texcount texdiff texdirflatten texdoc texdoctk	\
	texloganalyser thumbpdf tlmgr ulqda updmap vpe vpl2ovp	\
	vpl2vpl
popd

# use texmf data
rm -fr %{buildroot}%{texmfdir} %{buildroot}%{texmfdistdir}

# install manual pages and info files from texlive-texmf tarball
rm -fr %{buildroot}%{_mandir} %{buildroot}%{_infodir}

rm -f %{buildroot}%{_datadir}/applications/xdvi.desktop

# drop .la files
find %{buildroot} -name "*.la" -delete

#-----------------------------------------------------------------------
%transfiletriggerin -P 20 -- %{texmfdir} %{texmfdistdir} %{texmflocaldir} %{texmffontsdir}
export TEXMF=/usr/share/texmf-dist
export TEXMFCNF=/usr/share/texmf-dist/web2c
export TEXMFCACHE=/var/lib/texmf
%{_bindir}/texhash > /dev/null 2>&1
%{_bindir}/updmap-sys --syncwithtrees --force > /dev/null 2>&1
%{_bindir}/fmtutil-sys --no-strict --all > /dev/null 2>&1
