Summary:	WYSIWYW scientific text editor
Name:		texmacs
Version:	2.1.4
Release:	%mkrel 2
License:	GPLv2+
Group:		Editors
URL:		https://www.texmacs.org/
Source0:	https://www.texmacs.org/Download/ftp/tmftp/source/TeXmacs-%{version}-src.tar.gz
# Modified from
Patch2:		0002-Fix-module-deps-for-tm-print.patch
#
Patch50:	tm1.99.6-Wimplicit-fallthrough.patch
Patch51:	texmacs-2.1-mga-fix-install-path.patch

BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	ghostscript
BuildRequires:	pkgconfig(guile-3.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Svg)

Requires:       texlive
Provides:	TeXmacs = %{version}-%{release}
Provides:	TeXmacs-fonts = %{version}-%{release}

%description
GNU TeXmacs is a free wysiwyw (what you see is what you want) editing platform
with special features for scientists. The software aims to provide a unified
and user friendly framework for editing structured documents with different
types of content (text, graphics, mathematics, interactive content, etc.).
The rendering engine uses high-quality typesetting algorithms so as to produce
professionally looking documents, which can either be printed out or presented
from a laptop.

The software includes a text editor with support for mathematical formulas,
a small technical picture editor and a tool for making presentations from
a laptop. Moreover, TeXmacs can be used as an interface for many external
systems for computer algebra, numerical analysis, statistics, etc. New
presentation styles can be written by the user and new features can be added
to the editor using the Scheme extension language. A native spreadsheet
and tools for collaborative authoring are planned for later.

%prep
%autosetup -n TeXmacs -p1

%py3_shebang_fix plugins/

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

desktop-file-edit \
  --remove-key="Path" \
  --remove-key="Protocols" \
  --set-key=Terminal --set-value="false" \
  --add-category="Office;WordProcessor;" \
    %{buildroot}%{_datadir}/applications/*

%files
%{_bindir}/fig2ps
%{_bindir}/texmacs
%{_bindir}/tm_gs
%{_includedir}/TeXmacs.h
%{_mandir}/*/*
%{_libexecdir}/TeXmacs/
%{_datadir}/TeXmacs/
%{_iconsdir}/hicolor/*/apps/TeXmacs.{svg,png}
%{_iconsdir}/hicolor/scalable/mimetypes/text-x-texmacs.svg
%{_datadir}/applications/texmacs.desktop
%{_datadir}/mime/packages/texmacs.xml
%{_datadir}/pixmaps/TeXmacs.xpm
