Name:            texmaker
Epoch:           1
Version:         6.0.0
Release:         %mkrel 2
Summary:         A QT-based LATEX editor
License:         GPLv2
Group:           Publishing
URL:             https://www.xm1math.net/texmaker/
Source0:         https://www.xm1math.net/texmaker/%{name}-%{version}.tar.bz2
Patch0:          texmaker-6.0.0-unbundle-qtsingleapplication-and-hunspell.patch
BuildRequires:   cmake
BuildRequires:   desktop-file-utils
BuildRequires:   cmake(Qt6Core)
BuildRequires:   cmake(Qt6Core5Compat)
BuildRequires:   cmake(Qt6Concurrent)
BuildRequires:   cmake(Qt6DBus)
BuildRequires:   cmake(Qt6Gui)
BuildRequires:   cmake(Qt6LinguistTools)
BuildRequires:   cmake(Qt6Network)
BuildRequires:   cmake(Qt6PrintSupport)
BuildRequires:   cmake(Qt6Qml)
%ifnarch %{ix86} %{arm32}
BuildRequires:   cmake(Qt6WebEngineWidgets)
%endif
BuildRequires:   cmake(Qt6Widgets)
BuildRequires:   cmake(Qt6Xml)
BuildRequires:   qtsingleapplication-qt6-devel
BuildRequires:   pkgconfig(hunspell)
BuildRequires:   pkgconfig(zlib)

Requires:        hunspell

%description
Texmaker is a free LaTeX editor that integrates many tools needed to develop
documents with LaTeX, in just one application.

It includes the following features:
- an unicode editor to write your LaTeX source files
  (syntax highlighting, undo-redo, search-replace, ...)
- the principal LaTex tags can be inserted directly with the "LaTeX",
  "Math" and "Greek" menus
- 370 mathematical symbols can be inserted in just one click
- wizards to generate code ('Quick document', 'Quick letter', tabular,
  tabbing and array environments)
- LaTeX-related programs can be launched via the "Tools" menu
- the standard Bibtex entry types can be inserted in the ".bib" file
  with the "Bibliography" menu
- a "structure view" of the document for easier navigation of a document
  (by clicking on an item in the "Structure" frame, you can jump directly
  to the corresponding part of your document
- extensive LaTeX documentation
- in the "Messages / Log File" frame, you can see information about processes
  and the logfile after a LaTeX compilation
- the "Next Latex Error" and "Previous Latex Error" commands let you reach the
  LaTeX errors detected by Kile in the log file
- by clicking on the number of a line in the log file, the cursor jumps to the
  corresponding line in the editor

%prep
%autosetup -p1

# remove bundled dict and qtsingleapplication
rm -r 3rdparty/{hunspell,singleapp}

%ifarch %{ix86} %{arm32}
sed -i 's|INTERNALBROWSER "yes"|INTERNALBROWSER "no"|' CMakeLists.txt
%endif

%build
%cmake
%cmake_build

%install
%cmake_install

# svg desktop icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
cp datas/distrib/linux/texmaker.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
# man page
mkdir -p %{buildroot}%{_mandir}/man1
cp datas/distrib/linux/texmaker.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc AUTHORS datas/CHANGELOG.txt
%license COPYING datas/license.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_metainfodir}/%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1.*
