%define origname	texstudio

Name:		texstudio
Version:	4.8.6
Release:	%mkrel 1
Summary:	Free cross-platform LaTeX editor
License:	GPLv2+
Group:		Publishing
URL:		https://www.texstudio.org
Source0:	https://github.com/texstudio-org/texstudio/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		texstudio-4.7.3-install-manpage.patch
Patch1:		texstudio-4.7.3-use-system-qtsingleapplication.patch
Patch3:		texstudio-4.2.2-disable-update-check.patch
BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	cmake(QuaZip-Qt6)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6UiTools)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
# not yet ported to Qt6
#BuildRequires:	cmake(qtermwidget5)
BuildRequires:	pkgconfig(poppler-qt6)
BuildRequires:	pkgconfig(poppler-cpp)
BuildRequires:	qtsingleapplication-qt6-devel
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(zlib)

Recommends:	texlive-dist

%rename texmakerx

%description
TeXstudio is a LaTeX IDE that gives you an environment where you can easily
create and manage LaTeX documents. It provides modern writing support, like
interactive spell checking, code folding and syntax highlighting. Also it
serves as a starting point from where you can easily run all necessary
LaTeX tools.

%prep
%autosetup -p1

# remove bundled qtsingleapplication
rm -r src/qtsingleapplication

%build
%cmake_qt6 \
%ifarch aarch64
	-DTEXSTUDIO_ENABLE_CRASH_HANDLER=OFF \
%endif
	-DUSE_SYSTEM_QTSINGLEAPPLICATION=ON

%cmake_build

%install
%cmake_install

for png in 128x128 48x48 32x32 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  install -m 0644 utilities/texstudio$png.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

%files
%doc utilities/AUTHORS utilities/manual/CHANGELOG.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.metainfo.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*
