Name:           textroom
Version:        0.8.2
Release:        %mkrel 15
Summary:        Full-screen rich text editor for writers
Group:          Office/Word processor
License:        GPLv3+
URL:            https://code.google.com/p/textroom/
Source:         http://textroom.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         textroom-0.8.2-fix-hunspell.patch
Patch1:         textroom-0.8.2-fix-libdir.patch
Patch2:         textroom-0.8.2-fix-desktop.patch
Patch3:         textroom-0.8.2-fix-missing-include-for-new-g++.patch

BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  qt4-devel

%description
Open source and cross-platform full-screen rich text editor for writers.

%files
%doc License ReadMe
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/hunspell/tr.aff
%{_datadir}/hunspell/tr.dic
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/sounds/keyany.wav
%{_datadir}/sounds/keyenter.wav
%{_datadir}/%{name}/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

chmod -x ReadMe

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%qmake_qt4 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# Remove the uninstall script
rm -rf %{buildroot}%{_bindir}/%{name}-uninstall
