Summary:	A simple interface for working with TeX documents
Name:		texworks
Version:	0.6.9
Release:	%mkrel 1
License:	GPLv2
Group:		Publishing
Url:		https://www.tug.org/texworks/
Source0:	https://github.com/TeXworks/texworks/archive/release-%{version}/%{name}-release-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6UiTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	pkgconfig(poppler-qt6)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(lua)

%description
TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc)
documents, with a Unicode-based, TeX-aware editor, integrated PDF
viewer, and a clean, simple interface accessible to casual and
non-technical users.

TeXworks is inspired by Dick Koch's award-winning TeXShop program for
Mac OS X, which has made quality typesetting through TeX accessible to
a wider community of users, without a technical or intimidating
face. The goal of TeXworks is to deliver a similarly integrated,
easy-to-use environment for users on other platforms, especially
GNU/Linux and Windows.


%prep
%autosetup -p1 -n %{name}-release-%{version}

%build
%cmake_qt6 \
	-DQT_DEFAULT_MAJOR_VERSION=6 \
	-DTW_BUILD_ID=%{_vendor} \
	-DWITH_PYTHON=ON \
	-DTeXworks_PLUGIN_DIR=%{_libdir}/%{name} \
	-DTeXworks_DIC_DIR=%{_datadir}/myspell
%cmake_build

%install
%cmake_install

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/TeXworks*
%{_metainfodir}/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*
