Name:          theli
Version:       3.1.4
Release:       %mkrel 8
Summary:       A pipeline for the automated reduction of astronomical images
License:       GPLv3+
Group:         Sciences/Astronomy

URL:           https://www.astro.uni-bonn.de/theli/
Source0:       https://github.com/schirmermischa/THELI/archive/THELI-%{version}.tar.gz

#configuration scripts test for their presence
BuildRequires: scamp
BuildRequires: cdsclient
BuildRequires: python3-astropy
BuildRequires: python3-matplotlib
BuildRequires: python3-numpy
BuildRequires: qmake
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: wcslib-devel
BuildRequires: cfitsio-devel
BuildRequires: gsl-devel
BuildRequires: pkgconfig(libraw)
BuildRequires: fftw-devel
BuildRequires: tiff-devel
BuildRequires: curl-devel

Requires:      scamp
Requires:      cdsclient
Requires:      python3-astropy
Requires:      python3-matplotlib
Requires:      python3-numpy
Requires:      swarp
Requires:      sextractor

%description
This version is suitable for survey work, i.e. you have a very large
number of different pointings taken with the same optical
instrument. Contrary to the GUI, it can be run in batch mode, and also
on a Linux cluster. The scripts are mainly optimised for blank fields,
and they need to be configured manually to suit the data for your
instrument.

%prep
%autosetup -p1 -n THELI-%{version}


%build
cd src
%qmake_qt5 THELI.pro
%make_build

%install
%make_install -C src INSTALL_ROOT=%{buildroot}

install -D -m0644 man/theli.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README.md
%license LICENSE COPYING
%{_bindir}/*
%{_datadir}/theli/
%{_mandir}/man1/%{name}.1*
