Name:           thermal-daemon
Version:        2.5.7
Release:        %mkrel 2
Summary:        The "Linux Thermal Daemon" program from 01.org
Group:          System/Kernel and hardware

License:        GPLv2+
URL:            https://github.com/intel/thermal_daemon
Source0:        https://github.com/intel/thermal_daemon/archive/v%{version}/thermal_daemon-%{version}.tar.gz
Patch0:         thermald-fix-rundir.patch
ExclusiveArch:  %{ix86} x86_64

BuildRequires:  autoconf-archive
BuildRequires:  automake
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  libgomp-devel
BuildRequires:  pkgconfig(libevdev)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(upower-glib)
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}

%description
Thermal Daemon monitors and controls platform temperature.

%prep
%autosetup -p1 -n thermal_daemon-%{version}

%build
NO_CONFIGURE=1 ./autogen.sh
%configure
%make_build

# Although there is a folder test in the upstream repo, this is not for self tests.
# Hence check section is not present.

%install
%make_install

%post
%_post_service thermald

%preun
%_preun_service thermald

%files
%doc README.txt
%license COPYING
%{_sbindir}/thermald
%{_datadir}/dbus-1/system.d/org.freedesktop.thermald.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.thermald.service
%config(noreplace) %{_sysconfdir}/thermald/thermal-cpu-cdev-order.xml
%{_mandir}/man5/thermal-conf.xml.5*
%{_mandir}/man8/thermald.8*
%{_unitdir}/thermald.service
