Summary: Tools for altering dm-thin, dm-cache and dm-era device metadata
Name: thin-provisioning-tools
Version: 0.7.6
Release: %mkrel 7
License: GPLv3+
Group: System/Base
URL: https://github.com/jthornber/thin-provisioning-tools
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# From Fedora device-mapper-persistent-data package
Patch0: device-mapper-persistent-data-avoid-strip.patch

BuildRequires: autoconf
BuildRequires: boost-devel
BuildRequires: expat-devel
BuildRequires: libaio-devel
BuildRequires: libstdc++-devel
BuildRequires: gcc-c++

Requires:      expat

# Provde RH/Fedora name for compatibility
Provides:      device-mapper-persistent-data%{?_isa} = %{version}-%{release}
Provides:      device-mapper-persistent-data = %{version}-%{release}

%description
thin-provisioning-tools contains check,dump,restore,repair,rmap
and metadata_size tools to manage device-mapper thin provisioning
target metadata devices; cache check,dump,metadata_size,restore
and repair tools to manage device-mapper cache metadata devices
are included and era check, dump, restore and invalidate to manage
snapshot eras

%prep
%autosetup -p1
echo %{version}-%{release} > VERSION

%build
autoconf
%configure --with-optimisation=""

# %%make_build broke build as of 'V=1 VERBOSE=1' default options:
# make: 1: Command not found
%__make %{?_smp_mflags}

%install
%make_install MANDIR=%{_mandir}

%files
%doc README.md
%license COPYING
%{_mandir}/man8/cache_check.8*
%{_mandir}/man8/cache_dump.8*
%{_mandir}/man8/cache_metadata_size.8*
%{_mandir}/man8/cache_repair.8*
%{_mandir}/man8/cache_restore.8*
%{_mandir}/man8/cache_writeback.8*
%{_mandir}/man8/era_check.8*
%{_mandir}/man8/era_dump.8*
%{_mandir}/man8/era_invalidate.8*
%{_mandir}/man8/era_restore.8*
%{_mandir}/man8/thin_check.8*
%{_mandir}/man8/thin_delta.8*
%{_mandir}/man8/thin_dump.8*
%{_mandir}/man8/thin_ls.8*
%{_mandir}/man8/thin_metadata_size.8*
%{_mandir}/man8/thin_repair.8*
%{_mandir}/man8/thin_restore.8*
%{_mandir}/man8/thin_rmap.8*
%{_mandir}/man8/thin_trim.8*
%{_sbindir}/pdata_tools
%{_sbindir}/cache_check
%{_sbindir}/cache_dump
%{_sbindir}/cache_metadata_size
%{_sbindir}/cache_repair
%{_sbindir}/cache_restore
%{_sbindir}/cache_writeback
%{_sbindir}/era_check
%{_sbindir}/era_dump
%{_sbindir}/era_invalidate
%{_sbindir}/era_restore
%{_sbindir}/thin_check
%{_sbindir}/thin_delta
%{_sbindir}/thin_dump
%{_sbindir}/thin_ls
%{_sbindir}/thin_metadata_size
%{_sbindir}/thin_repair
%{_sbindir}/thin_restore
%{_sbindir}/thin_rmap
%{_sbindir}/thin_trim

