%define thunderbird_package thunderbird

%define oname   thunderbird

# To update this package: update the spec to the new version and then
# rm -f SOURCES/*.xpi; echo -n "" > SOURCES/sha1.lst; mgarepo sync -d

%define thunderbird_epoch 0
%define thunderbird_version %{version}esr

%define up_ca_name      thunderbird
%define lib_name        %{up_ca_name}-%{version}
%define mozillalibdir   %{_libdir}/%{lib_name}
%define tb_appid \{3550f703-e582-4d05-9a08-453d09bdfdc6\}
%define tbextdir	%{_datadir}/mozilla/extensions/%{tb_appid}

%define xpidir https://releases.mozilla.org/pub/thunderbird/releases/%{thunderbird_version}/linux-x86_64/xpi

# Supported l10n language lists
%define langlist af ar ast be bg br ca cak cs cy da de dsb el en_CA en_GB en_US es_AR es_ES es_MX et eu fi fr fy_NL ga_IE gd gl he hr hsb hu hy_AM id is it ja ka kab kk ko lt lv ms nb_NO nl nn_NO pa_IN pl pt_BR pt_PT rm ro ru sk sl sq sr sv_SE th tr uk uz vi zh_CN zh_TW

# Disabled l10n languages, for any reason
%define disabled_langlist	cak rm

# Disabled myspell dicts, for any reason
%define disabled_dict_langlist	cak fi ja ka kab rm tr zh_CN zh_TW

%define use_dict 1

# Language descriptions
%define language_af af
%define langname_af Afrikaans
%define language_ar ar
%define langname_ar Arabic
%define language_ast ast
%define langname_ast Asturian
%define language_be be
%define langname_be Belarusian
%define language_bg bg
%define langname_bg Bulgarian
%define language_br br
%define langname_br Breton
%define language_ca ca
%define langname_ca Catalan
%define language_cak cak
%define langname_cak Kaqchikel
%define language_cs cs
%define langname_cs Czech
%define language_cy cy
%define langname_cy Welsh
%define language_da da
%define langname_da Dansk
%define language_de de
%define langname_de German
%define language_dsb dsb
%define langname_dsb Lower Sorbian
%define language_el el
%define langname_el Greek
%define language_en_CA en-CA
%define langname_en_CA English (Canada)
%define language_en_GB en-GB
%define langname_en_GB British English
%define language_en_US en-US
%define langname_en_US English (United States)
%define language_es_AR es-AR
%define langname_es_AR Spanish (Argentina)
%define language_es_ES es-ES
%define langname_es_ES Spanish
%define language_es_MX es-MX
%define langname_es_MX Spanish (Mexico)
%define language_et et
%define langname_et Estonian
%define language_eu eu
%define langname_eu Basque
%define language_fi fi
%define langname_fi Finnish
%define language_fr fr
%define langname_fr French
%define language_fy_NL fy-NL
%define langname_fy_NL Frisian
%define language_ga_IE ga-IE
%define langname_ga_IE Irish
%define language_gd gd
%define langname_gd Scottish Gaelic
%define language_gl gl
%define langname_gl Galician
%define language_he he
%define langname_he Hebrew
%define language_hr hr
%define langname_hr Croatian
%define language_hsb hsb
%define langname_hsb Upper Sorbian
%define language_hu hu
%define langname_hu Hungarian
%define language_hy_AM hy-AM
%define langname_hy_AM Armenian
%define language_id id
%define langname_id Indonesian
%define language_is is
%define langname_is Icelandic
%define language_it it
%define langname_it Italian
%define language_ja ja
%define langname_ja Japanese
%define language_ka ka
%define langname_ka Georgian
%define language_kab kab
%define langname_kab Kabyle
%define language_kk kk
%define langname_kk Kazakh
%define language_ko ko
%define langname_ko Korean
%define language_lt lt
%define langname_lt Lithuanian
%define language_lv lv
%define langname_lv Latvian
%define language_ms ms
%define langname_ms Malay
%define language_nb_NO nb-NO
%define langname_nb_NO Norwegian Bokmaal
%define language_nl nl
%define langname_nl Dutch
%define language_nn_NO nn-NO
%define langname_nn_NO Norwegian Nynorsk
%define language_pa_IN pa-IN
%define langname_pa_IN Panjabi
%define language_pl pl
%define langname_pl Polish
%define language_pt_BR pt-BR
%define langname_pt_BR Brazilian Portuguese
%define language_pt_PT pt-PT
%define langname_pt_PT Portuguese
%define language_rm rm
%define langname_rm Romansh
%define language_ro ro
%define langname_ro Romanian
%define language_ru ru
%define langname_ru Russian
%define language_sk sk
%define langname_sk Slovak
%define language_sl sl
%define langname_sl Slovenian
%define language_sq sq
%define langname_sq Albanian
%define language_sr sr
%define langname_sr Serbian
%define language_sv_SE sv-SE
%define langname_sv_SE Swedish
%define language_th th
%define langname_th Thai
%define language_tr tr
%define langname_tr Turkish
%define language_uk uk
%define langname_uk Ukrainian
%define language_uz uz
%define langname_uz Uzbek
%define language_vi vi
%define langname_vi Vietnamese
%define language_zh_CN zh-CN
%define langname_zh_CN Simplified Chinese
%define language_zh_TW zh-TW
%define langname_zh_TW Traditional Chinese

# --- Danger line ---

# Defaults (all languages enabled by default)
# l10n
%{expand:%(for lang in %langlist; do echo "%%global with_$lang 1"; done)}
%{expand:%(for lang in %disabled_langlist; do echo "%%global with_$lang 0"; done)}
# dicts
%{expand:%(for lang in %langlist; do echo "%%global with_dict_$lang %{use_dict}"; done)}
%{expand:%(for lang in %disabled_dict_langlist; do echo "%%global with_dict_$lang 0"; done)}

# Locales
%{expand:%(for lang in %langlist; do echo "%%global locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

%if %use_dict
# hunspell dicts, allows setting preferences between several providers.
%{expand:%(for lang in %langlist; do echo "%%global hunspell_$lang hunspell-$lang"; done)}
%endif

Summary: Localizations for Thunderbird (virtual package)
Name: thunderbird-l10n
Version: 128.9.0
Release: %mkrel 1
License: GPL
Group: System/Internationalization
Url: https://www.mozilla.org/
BuildArch: noarch
BuildRequires: libxml2-utils
# Language package template
Source0: %{name}-template.in
Source1: update_translations.sh
# l10n sources
%{expand:%(\
	i=2;\
	for lang in %langlist; do\
		echo "%%{expand:Source$i: %{xpidir}/%%{language_$lang}.xpi}";\
		i=$[i+1];\
	done\
	)
}

%description
Localizations for Thunderbird.


# Expand all languages packages.
%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.in 2> /dev/null)}";\
	done\
	)
}

%prep
%setup -q -c -T

# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "locale_$lang=%%{locale_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "with_$lang=%%{with_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "dict_$lang=%%{with_dict_$lang}"; done)}

# Unpack all languages
for lang in %langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	language="language_$lang"
	language=${!language}

	locale="locale_$lang"
	locale=${!locale}

	# l10n
	mkdir ${language}
	cd ${language}
	unzip -qq %{_sourcedir}/${language}.xpi
	cd ..

	# dict
	dict="dict_$lang"
	dict=${!dict}
	[ $dict -eq 0 ] && continue

done


%install
# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "with_$lang=%%{with_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "dict_$lang=%%{with_dict_$lang}"; done)}

# Create dicts dir
%if %use_dict
mkdir -p %buildroot%{mozillalibdir}/dictionaries
%endif

mkdir -p %buildroot%{tbextdir}

# Install all languages
for lang in %langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	language="language_$lang"
	language=${!language}

	# l10n
	cp %_sourcedir/${language}.xpi  %buildroot%{tbextdir}/langpack-${language}@thunderbird.mozilla.org.xpi

done
