%define major		58
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Program for tidying up messy HTML
Name:		tidy
Epoch:		2
Version:	5.8.0
Release:	%mkrel 3
Group:		Text tools
License:	W3C License
URL:		https://www.html-tidy.org/
Source0:	https://github.com/htacg/tidy-html5/archive/%{version}/%{name}-html5-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	xsltproc

Provides:	%{name}-html5 = %{epoch}:%{version}-%{release}

%description
tidy is a program for tidying up messy html, for example, when we do 
html in vi, and we make the text italic with the <i> </i> tag some of us may
forget to end the italic text with </i>. tidy fixes this.

Install this if you need a program to help you tidy up your HTML.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{epoch}:%{version}
Provides:	lib%{name}-devel = %{epoch}:%{version}
Provides:	%{name}-devel = %{epoch}:%{version}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %{name}-html5-%{version}
%autopatch -p1

%build
%cmake \
	-DTIDY_COMPAT_HEADERS:BOOL=ON \
	-DCMAKE_BUILD_TYPE:STRING=Release \
	-DTIDY_CONSOLE_SHARED:BOOL=ON \
	-DBUILD_TAB2SPACE:BOOL=ON
%cmake_build

%install
%cmake_install

find %{buildroot} -name '*.a' -delete

install -m 0755 build/tab2space %{buildroot}%{_bindir}

%files
%doc README.md
%license README/LICENSE.md
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libtidy.so.%{version}
%{_libdir}/libtidy.so.%{major}

%files -n %{develname}
%{_includedir}/tidy.h
%{_includedir}/tidybuffio.h
%{_includedir}/tidyenum.h
%{_includedir}/tidyplatform.h
%{_includedir}/buffio.h
%{_includedir}/platform.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/tidy.pc
