%define api 1.04
%define major 0
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Summary:	Program for tidying up messy HTML
Name:		tidyp
Version:	1.04
Release:	%mkrel 13
Group:		Text tools
License:	W3C License
URL:		https://tidyp.com/
Source0:	https://github.com/downloads/petdance/tidyp/%{name}-%{version}.tar.gz
Patch0:		tidy-20081224cvs-fix-format-errors.patch

%description
tidyp is a program that can validate your HTML, as well as modify it to be more
clean and standard. tidyp does not validate HTML 5.

libtidyp is the library on which the program is based. It can be used by any
other program that can interface to it. The Perl module HTML::Tidy is based on
this library, allowing Perl programmers to easily validate HTML.

tidyp is a fork of the tidy project.


%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}%{name}1.04 < 1.04-6

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.


%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q
%autopatch -p1

# make autoreconf happy
sed -i -e 's,AM_INIT_AUTOMAKE.*,AM_INIT_AUTOMAKE(\[foreign subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name "*.la" -delete

%files
%doc README ChangeLog
%{_bindir}/*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so
