Name:           tig
Version:        2.5.10
Release:        %mkrel 1
Summary:        Text-mode interface for git
License:        GPLv3
Group:          Development/Tools
URL:            https://jonas.github.io/tig/
Source:         https://github.com/jonas/tig/releases/download/tig-%{version}/tig-%{version}.tar.gz
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  asciidoc
BuildRequires:  xmlto

%description
Tig is a git repository browser that additionally can act as a pager for output
from various git commands.

When browsing repositories, it uses the underlying git commands to present the
user with various views, such as summarized revision log and showing the commit
with the log message, diffstat, and the diff.

Using it as a pager, it will display input from stdin and colorize it.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install install-doc-man

%files
%doc NEWS.html README.html
%license COPYING
%config(noreplace) %{_sysconfdir}/tigrc
%{_bindir}/tig
%{_mandir}/man1/tig.1*
%{_mandir}/man5/tigrc.5*
%{_mandir}/man7/tigmanual.7*

