Name:           tiled
Version:        1.11.2
Release:        %mkrel 2
Summary:        Tiled Map Editor
# tiled itself is GPLv2+, libtiled and tmxviewer are BSD
License:        GPL-2.0-or-later AND BSD-2-Clause
Group:          Graphics/Editors and Converters
URL:            https://www.mapeditor.org/
Source0:        https://github.com/mapeditor/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source10:       tiled-disable-update-check.patch

ExcludeArch:    %{ix86}

# don't add provides for plugin .so
%define __provides_exclude_from        %{_libdir}/%{name}/plugins/.*\\.so

BuildRequires: qbs

BuildRequires: pkgconfig(python3)
BuildRequires: pkgconfig(zlib)
BuildRequires: cmake(Qt6Concurrent)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6OpenGLWidgets)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(Qt6Quick)
BuildRequires: cmake(Qt6Sql)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Xml)
BuildRequires: qttools6

%description
Tiled is a general purpose tile map editor. It is built to be easy to use,
yet flexible enough to work with varying game engines, whether your game
is an RPG, platformer or Breakout clone. Tiled is free software and written
in C++, using the Qt application framework.

This package contains the tiled application and tmxviewer, a simple application
to view Tiled maps.

%package devel
Summary:        Development headers for Tiled
License:        GPL-2.0-or-later
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development headers for the Tiled map editor.

%package plugin-python
Summary:        Python plugin for Tiled
License:        GPL-2.0-or-later
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugin-python
A plugin for tiled which allows to write Python plugins.

%define pluginwarning Warning: This plugin does not offer full compatibility with Tileds features.

%package plugin-rpmap
Summary:        MapTool plugin for Tiled
License:        GPL-2.0-or-later
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugin-rpmap
A plugin for tiled which allows to save maps as rpmap MapTool maps.

%{pluginwarning}

%package plugin-tbin
Summary:        tBIN plugin for Tiled
License:        GPL-2.0-or-later
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugin-tbin
A plugin for tiled which allows support for the tBIN map format.

%{pluginwarning}

%package plugin-droidcraft
Summary:        Droidcraft plugin for Tiled
License:        GPL-2.0-or-later
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugin-droidcraft
A plugin for tiled which allows to save maps as .dat droidcraft maps.

%{pluginwarning}

%package plugin-flare
Summary:        Flare plugin for Tiled
License:        GPL-2.0-or-later
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugin-flare
A plugin for tiled which allows to save maps as .txt flare maps.

%{pluginwarning}

%package plugin-replica-island
Summary:        Replica Island plugin for Tiled
License:        GPL-2.0-or-later
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugin-replica-island
A plugin for tiled which allows to save maps as .bin Replica Island maps.

%{pluginwarning}

%package plugin-t-engine4
Summary:        T-Engine4 plugin for Tiled
License:        GPL-2.0-or-later
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugin-t-engine4
A plugin for tiled which allows to export maps as .lua T-Engine4 maps.

%{pluginwarning}

%package plugin-defold
Summary:        Defold plugin for Tiled
License:        GPL-2.0-or-later
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugin-defold
A plugin for tiled which allows to export maps as .tilemap Defold maps.

%{pluginwarning}

%package plugin-gmx
Summary:        GameMaker Studio 1.4 plugin for Tiled
License:        GPL-2.0-or-later
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugin-gmx
A plugin for tiled which allows to export maps
as GameMaker Studio 1.4 room files (.gmx).

%{pluginwarning}

%package plugin-yy
Summary:        GameMaker Studio 2.3 plugin for Tiled
License:        GPL-2.0-or-later
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugin-yy
A plugin for tiled which allows to export maps
as GameMaker Studio 2.3 room files (.yy).

%{pluginwarning}

%package plugin-tscn
Summary:        Godot 4 scene plugin for Tiled
License:        GPL-2.0-or-later
URL:            https://www.mapeditor.org
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description plugin-tscn
A plugin for tiled which allows to export maps
as Godot Engine 4 scene files (.tscn).

%{pluginwarning}

%prep
%autosetup -p1

# Remove copy of zlib
rm -rf src/zlib

%build
qbs setup-toolchains --detect
qbs setup-qt --detect

%global qbs_args qbs.installPrefix:"%{_prefix}" projects.Tiled.useRPaths:false projects.Tiled.installHeaders:true projects.Tiled.libDir:"%{_lib}"

qbs build %{qbs_args}

%install
qbs %{qbs_args}
qbs install --install-root %{buildroot}

# Clean build artefacts
find -name ".uic" -or -name ".moc" -or -name ".rcc" -delete

# locale files
%find_lang %{name} --with-qt

# Removed development file (this version does not install headers anyway)
# rm %%{buildroot}%%{_libdir}/lib%%{name}.so

%files -f %{name}.lang
%doc AUTHORS NEWS.md README.md COPYING LICENSE.GPL LICENSE.BSD
%{_bindir}/%{name}
%{_bindir}/terraingenerator
%{_bindir}/tmxrasterizer
%{_bindir}/tmxviewer
%{_datadir}/icons/hicolor/*/apps/*%{name}*
%{_datadir}/icons/hicolor/*/mimetypes/*%{name}*
%{_datadir}/applications/org.mapeditor.Tiled.desktop
%{_datadir}/metainfo/org.mapeditor.Tiled.appdata.xml
%{_datadir}/mime/packages/org.mapeditor.Tiled.xml
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/translations
%{_libdir}/lib%{name}*

%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/

# Core plugins
%{_libdir}/%{name}/plugins/libcsv.so
%{_libdir}/%{name}/plugins/libgmx.so
%{_libdir}/%{name}/plugins/libjson.so
%{_libdir}/%{name}/plugins/liblua.so
%{_libdir}/%{name}/plugins/libjson1.so
%{_libdir}/%{name}/plugins/libdefoldcollection.so

%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/tmxrasterizer.1*
%{_mandir}/man1/tmxviewer.1*
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/%{name}.thumbnailer

%files devel
%{_includedir}/%{name}/

%files plugin-rpmap
%{_libdir}/%{name}/plugins/librpmap.so

%files plugin-python
%{_libdir}/%{name}/plugins/libpython.so

%files plugin-tbin
%{_libdir}/%{name}/plugins/libtbin.so

%files plugin-droidcraft
%{_libdir}/%{name}/plugins/libdroidcraft.so

%files plugin-flare
%{_libdir}/%{name}/plugins/libflare.so

%files plugin-replica-island
%{_libdir}/%{name}/plugins/libreplicaisland.so

%files plugin-t-engine4
%{_libdir}/%{name}/plugins/libtengine.so

%files plugin-defold
%{_libdir}/%{name}/plugins/libdefold.so

%files plugin-gmx
%{_libdir}/%{name}/plugins/libgmx.so

%files plugin-yy
%{_libdir}/%{name}/plugins/libyy.so

%files plugin-tscn
%{_libdir}/%{name}/plugins/libtscn.so
