%define major_conv      9
%define libname_conv    %mklibname ticonv %{major_conv}
%define develname_conv  %mklibname ticonv -d

%define major_files     11
%define libname_files   %mklibname tifiles2_ %{major_files}
%define develname_files %mklibname tifiles2 -d

%define major_cables    8
%define libname_cables  %mklibname ticables2_ %{major_cables}
%define devname_cables  %mklibname ticables2 -d

%define major_calcs     13
%define libname_calcs   %mklibname ticalcs2_ %{major_calcs}
%define develname_calcs %mklibname ticalcs2 -d

%define commit f67c953f4a5c931835a06923cd723cd4901937fe

Name:           tilibs
Version:        1.18
Release:        %mkrel 3
Summary:        Texas Instruments calculator files library

Group:          System/Libraries
License:        GPLv2+
URL:            https://github.com/debrouxl/tilibs
Source0:        https://github.com/debrouxl/tilibs/archive/%{commit}.tar.gz
# Udev rules taken from Arch AUR package.
# This URL is no longer available
Source1:        https://tc01.fedorapeople.org/tilp2/69-libticables.rules

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  cmake

#-----------------------------------------

%package -n %{libname_conv}
Group:          System/Libraries
Summary:        Texas Instruments calculators charsets library
Provides:       libticonv = %{version}-%{release}

%package -n %{develname_conv}
Group:          Development/C
Summary:        Development files for libticonv
Requires:       %{libname_conv} = %{version}-%{release}
Provides:       libticonv-devel = %{version}-%{release}
Provides:       ticonv-devel = %{version}-%{release}

%description -n %{libname_conv}
The ticonv library is a library capable of conversions between
Texas Instruments character sets and UTF-8/UTF-16 character sets.

%description -n %{develname_conv}
Include files and libraries for linking and developing
applications using libticonv.

#-----------------------------------------

%package -n libtifiles2-i18n
Summary:        Internationalization and locale data for libtifiles2
Group:          System/Internationalization
BuildArch:      noarch

%description -n libtifiles2-i18n
Internationalization and locale data for libtifiles2.

%package -n %{libname_files}
Group:          System/Libraries
Summary:        Texas Instruments calculators files library
Provides:       libtifiles2 = %{version}-%{release}
Provides:       libtifiles = %{version}-%{release}
Requires:       libtifiles2-i18n >= %{version}-%{release}

%package -n %{develname_files}
Group:          Development/C
Summary:        Development files for libtifiles2
Requires:       %{libname_files} = %{version}-%{release}
Provides:       libtifiles-devel = %{version}-%{release}
Provides:       tifiles-devel = %{version}-%{release}
Provides:       libtifiles2-devel = %{version}-%{release}
Provides:       tifiles2-devel = %{version}-%{release}
Obsoletes:      %{_lib}tifiles-devel < 1.1.7-4

%description
The tifiles library is a library capable of reading, modifying,
and writing TI formatted files. It can also group/ungroup files.
This library is able to manipulate files in a fairly transparent
fashion. With this library, the developer does not have to worry
about the different file formats.

%description -n %{libname_files}
The tifiles library is a library capable of reading, modifying,
and writing TI formatted files. It can also group/ungroup files.
This library is able to manipulate files in a fairly transparent
fashion. With this library, the developer does not have to worry
about the different file formats.

%description -n %{develname_files}
Include files and libraries for developing applications that
make use of libtifiles.

#-----------------------------------------

%package -n libticables2-i18n
Summary:	Internationalization and locale data for libticables2
Group:		System/Internationalization
BuildArch:	noarch
Conflicts:	%{_lib}ticables2-devel < 1.3.5-2

%description -n libticables2-i18n
Internationalization and locale data for libticables2.

%package -n %{libname_cables}
Summary:	Library to handle different TI link cables
Group:		System/Libraries
Provides:	libticables = %{version}-%{release}
Provides:	libticables2 = %{version}-%{release}
Requires:	libticables2-i18n >= %{version}-%{release}

%description -n %{libname_cables}
The TiCables library is a part of the TiLP project and constitutes with
the other libraries a complete framework for developing and/or linking
TI files oriented applications.

It is able to handle the different link cables designed for TI's graphing
calculators (also called handheld), without worrying about different link
cables characteristics as well as different platforms.

It supports all the currently available link cables:
- home-made parallel (aka $5-cable)
- home-made serial (aka $4-cable)
- TI's BlackLink
- TI's GrayLink
- TI's SilverLink
- AVRlink

It also supports some 'virtual' link cables for connection with emulators:
- Virtual TI (VTi)
- (Gtk)TiEmu

%package -n %{devname_cables}
Summary:	Development related files for libticables2
Group:		Development/Other
Provides:	libticables2-devel = %{version}-%{release}
Provides:	ticables-devel = %{version}-%{release}
Provides:	ticables2-devel = %{version}-%{release}
Requires:	%{libname_cables} = %{version}-%{release}
Obsoletes:	%{_lib}ticables-devel < 1:1.3.5

%description -n %{devname_cables}
This package contains headers and other necessary files to develop or compile
applications that use libticables.

#-----------------------------------------

%package -n libticalcs2-i18n
Summary:        Internationalization and locale data for libticalcs2
Group:          System/Internationalization
BuildArch:      noarch
Conflicts:      %{_lib}ticalcs11 < 1.1.8-2

%description -n libticalcs2-i18n
Internationalization and locale data for libticalcs2.

%package -n %{libname_calcs}
Group:          System/Libraries
Summary:        Texas Instruments calculators files library
Provides:       libticalcs = %{version}-%{release}
Provides:       libticalcs2 = %{version}-%{release}
Requires:       libticalcs2-i18n >= %{version}-%{release}

%package -n %{develname_calcs}
Group:          Development/C
Summary:        Development files for libticalcs2
Requires:       %{libname_calcs} = %{version}-%{release}
Provides:       libticalcs-devel = %{version}-%{release}
Provides:       libticalcs2-devel = %{version}-%{release}
Provides:       ticalcs2-devel = %{version}-%{release}
Provides:       ticalcs-devel = %{version}-%{release}
Obsoletes:      %{_lib}ticalcs-devel < 1.1.9

%description -n %{libname_calcs}
The ticalcs library is a library which brings about all the
functions needed to communicate with a Texas Instruments
graphing calculator (or hand-held). Currently, it does not
support some education devices (such as CBL/CBR and others).
This library is able to communicate with handhelds in a fairly
transparent fashion. With this library, the developer does not
have to worry about the packet oriented protocol, the file
management and some other stuff.

%description -n %{develname_calcs}
Include files and libraries for developing applications
to work with libticalcs.

#-----------------------------------------

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
%cmake
%cmake_build
intltool-update

%install
%cmake_install

#Rule to allow users to access handhelds
mkdir -p %{buildroot}%{_udevrulesdir}
install -m0644 %{SOURCE1} %{buildroot}%{_udevrulesdir}/

# we don't want these
find %{buildroot} -name "*.a" -delete

%find_lang libtifiles2
%find_lang libticables2
%find_lang libticalcs2

%files -n %{libname_conv}
%doc libticonv/trunk/README libticonv/trunk/AUTHORS libticonv/trunk/ChangeLog
%license libticonv/trunk/COPYING
%{_libdir}/libticonv.so.%{major_conv}{,.*}

%files -n %{develname_conv}
%{_libdir}/libticonv.so
%{_libdir}/pkgconfig/ticonv.pc
%dir %{_includedir}/tilp2
%{_includedir}/tilp2/charset.h
%{_includedir}/tilp2/export4.h
%{_includedir}/tilp2/ticonv.h

%files -n libtifiles2-i18n -f libtifiles2.lang

%files -n %{libname_files}
%license libtifiles/trunk/COPYING
%doc libtifiles/trunk/README libtifiles/trunk/AUTHORS libtifiles/trunk/ChangeLog
%{_libdir}/libtifiles2.so.%{major_files}{,.*}

%files -n %{develname_files}
%{_libdir}/libtifiles2.so
%{_libdir}/pkgconfig/tifiles2.pc
%dir %{_includedir}/tilp2
%{_includedir}/tilp2/export2.h
%{_includedir}/tilp2/files8x.h
%{_includedir}/tilp2/files9x.h
%{_includedir}/tilp2/tifiles.h
%{_includedir}/tilp2/types*.h

%files -n libticables2-i18n -f libticables2.lang

%files -n %{libname_cables}
%{_udevrulesdir}/69-libticables.rules
%{_libdir}/libticables2.so.%{major_cables}{,.*}

%files -n %{devname_cables}
%doc libticables/trunk/AUTHORS libticables/trunk/ChangeLog libticables/trunk/README
%license libticables/trunk/COPYING
%{_libdir}/libticables2.so
%{_libdir}/pkgconfig/ticables2.pc
%dir %{_includedir}/tilp2
%{_includedir}/tilp2/export1.h
%{_includedir}/tilp2/ticables.h
%{_includedir}/tilp2/timeout.h

%files -n libticalcs2-i18n -f libticalcs2.lang

%files -n %{libname_calcs}
%doc libticalcs/trunk/README libticalcs/trunk/AUTHORS libticalcs/trunk/ChangeLog
%license libticalcs/trunk/COPYING
%{_libdir}/libticalcs2.so.%{major_calcs}{,.*}

%files -n %{develname_calcs}
%{_libdir}/pkgconfig/ticalcs2.pc
%{_libdir}/libticalcs2.so
%dir %{_includedir}/tilp2
%{_includedir}/tilp2/cmd68k.h
%{_includedir}/tilp2/cmdz80.h
%{_includedir}/tilp2/dbus_pkt.h
%{_includedir}/tilp2/dusb_cmd.h
%{_includedir}/tilp2/dusb_rpkt.h
%{_includedir}/tilp2/dusb_vpkt.h
%{_includedir}/tilp2/export3.h
%{_includedir}/tilp2/keys*.h
%{_includedir}/tilp2/nsp_cmd.h
%{_includedir}/tilp2/nsp_rpkt.h
%{_includedir}/tilp2/nsp_vpkt.h
%{_includedir}/tilp2/romdump.h
%{_includedir}/tilp2/ticalcs.h
