%define patch_pkg_version 2

Summary:	Instruments for the timidity midi->wave converter/player
Name:		timidity-patch-gravis
Version:	1.0
Release:	%mkrel 38
License:	Public Domain
URL:		https://www.timidity.jp/
# Patches at https://www.cs.umbc.edu/pub/midia/instruments.tar.gz
Source0:	midia-instruments.tar.bz2
Source1:	https://www.timidity.jp/dist/cfg/midia.cfg
Source2:	https://www.timidity.jp/dist/cfg/gravis.cfg
# These URLs are dead as of 2023Q4
Source3:	http://www.stardate.bc.ca/eawpatches/eawpats/britepno.pat
Source4:	http://www.stardate.bc.ca/eawpatches/eawpats/pistol.pat
Source5:	timidity-gravis.cfg
Provides:	timidity-instruments = %{patch_pkg_version}
Obsoletes:	timidity-instruments
Group:		Sound/Midi
BuildArch:	noarch

%description
This package contains a set of instruments for the timidity midi->wave
converter/player.

%prep
%setup -q -c -T -a 0

%install
mkdir -p %{buildroot}%{_datadir}/timidity
cp -r instruments %{buildroot}%{_datadir}/timidity/gravis
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/timidity/gravis/midia.cfg
install -m644 %{SOURCE2} -D %{buildroot}%{_sysconfdir}/timidity/gravis/gravis.cfg
install -m644 %{SOURCE5} -D %{buildroot}%{_sysconfdir}/timidity/timidity-gravis.cfg
install -m644 %{SOURCE3} -D %{buildroot}%{_datadir}/timidity/gravis/britepno.pat
install -m644 %{SOURCE4} -D %{buildroot}%{_datadir}/timidity/gravis/pistol.pat

%post
%{_sbindir}/update-alternatives --install %{_sysconfdir}/timidity/timidity.cfg timidity.cfg %{_sysconfdir}/timidity/timidity-gravis.cfg 30

%postun
if [ "$1" = "0" ]; then
  %{_sbindir}/update-alternatives --remove timidity.cfg %{_sysconfdir}/timidity/timidity-gravis.cfg
fi

%triggerpostun -- TiMidity++ <= 2.13.2-1mdk
%{_sbindir}/update-alternatives --install %{_sysconfdir}/timidity/timidity.cfg timidity.cfg %{_sysconfdir}/timidity/timidity-gravis.cfg 30

%files
%{_datadir}/timidity/gravis
%dir %{_sysconfdir}/timidity/gravis
%config(noreplace) %{_sysconfdir}/timidity/gravis/gravis.cfg
%config(noreplace) %{_sysconfdir}/timidity/gravis/midia.cfg
%config(noreplace) %{_sysconfdir}/timidity/timidity-gravis.cfg





