Name:           tint2
Version:        17.1.3
Release:        %mkrel 4
Summary:        A Lightweight Panel and Taskbar
License:        GPLv2
Group:          Graphical desktop/Other
Url:            https://gitlab.com/nick87720z/tint2
Source0:        https://gitlab.com/nick87720z/tint2/-/archive/%{version}/%{name}-%{version}.tar.bz2
# A patch posted on my bug report to fix the segfaults seen
# https://gitlab.com/nick87720z/tint2/-/issues/4#note_1454426162
Patch0:         glib.patch
Patch1:         tint2conf-linking.patch
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-x11-3.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(x11)

%description
Tint2 is a simple panel and taskbar intentionally made for
openbox3, but should also work with other window managers. The
goal is to keep a clean and unintrusive look with code
lightweight and compliance with freedesktop specifications.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang tint2conf

rm -rf %{buildroot}%{_docdir}/%{name}/html/

%files -f tint2conf.lang
%doc AUTHORS README.md ChangeLog doc/images/
%doc doc/manual.html doc/readme.html doc/tint2.md
%license COPYING
%dir %{_sysconfdir}/xdg/tint2
%config(noreplace) %{_sysconfdir}/xdg/tint2/tint2rc
%{_bindir}/tint2*
%{_datadir}/tint2/
%{_datadir}/applications/tint2*.desktop
%{_datadir}/mime/packages/tint2*.xml
%{_iconsdir}/hicolor/scalable/*/tint2*.svg
%{_mandir}/man1/*
