Name:		tintii
Version:	2.10.0
Release:	%mkrel 17
Summary:	Utility for selective photo coloring
License:	GPLv2+
Group:		Graphics/Photography
Source0:	https://www.indii.org/files/tint/releases/%{name}-%{version}.tar.gz
Source1:	https://www.indii.org/images/%{name}_128.png
URL:		https://www.indii.org/software/tintii
# bc is used to detect wxgtk
BuildRequires:	bc
BuildRequires:	boost-devel
BuildRequires:	imagemagick
BuildRequires:	libgomp-devel
BuildRequires:	wxgtk3.0-devel

%description
Tintii takes full color photos and processes them into black and white
with some select regions highlighted in color. The technique is known as color
popping or selective coloring – tintii makes it easy. Think Schindler’s List’s
little girl in red, or the dramatic style of Sin City. Tintii takes a color
photo and cleverly separates it into a handful of major hues. You then select
which colors to pop, and the rest become black & white.

%prep
%autosetup -p1

%build
# The added CXXFLAGS are suggested in the README file
%ifarch x86_64
%define upstream_flags -msse2 -O3 -g3
%else
%define upstream_flags -O3 -g3
%endif

export CXXFLAGS="%{build_cxxflags} %{upstream_flags}"

%configure --disable-assert
%make_build

%install
%make_install

%__install -Dm 644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

# menu-entry
%__install -d %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=Tintii
Comment=Utility for selective photo coloring
Exec=%{name}
Icon=%{name}
Categories=Graphics;Photography;
EOF

%files
%doc README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.htb
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.*
