%define major     1
%define libcmajor 2
%define libname   %mklibname %name %major
%define dlibname  %mklibname %name -d

Summary:	Constant Database
Name:		tinycdb
Version:	0.81
Release:	%mkrel 1
License:	Public Domain
Group:		Databases
URL:		https://www.corpit.ru/mjt/tinycdb.html
Source0:	https://www.corpit.ru/mjt/tinycdb/%{name}-%{version}.tar.gz
# taken from the 0.77 tarball
Source1:	libcdb.pc

%description
Tinycdb is a small, fast and reliable utility set and subroutine
library for creating and reading constant databases. The database
structure is tuned for fast reading:

 - Successful lookups take normally just two disk accesses.
 - Unsuccessful lookups take only one disk access.
 - Small disk space and memory size requirements; a database
   uses 2048 bytes for the header and 24 bytes plus size of
   (key,value) per record.
 - Maximum database size is 4GB; individual record size is not
   otherwise limited.
 - Portable file format.
 - Fast creation of new databases.
 - No locking, updates are atomic.

%package -n nss_%{name}
Summary:	Constant database library
Group:		System/Libraries

%description -n nss_%{name}
The tinycdb nss library allows creating passwd/group file using a
constant database.

%package -n %{libname}
Summary:	Constant database library
Group:		System/Libraries

%description -n %{libname}
Tinycdb is a small, fast and reliable utility set and subroutine
library for creating and reading constant databases. The database
structure is tuned for fast reading.

%package -n %{dlibname}
Summary:	Development libraries and headers for %{libname}
Group:		Development/Databases
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{dlibname}
Libraries and header files needed to develop applications using
constant databases.

%prep
%setup -q

cp %{SOURCE1} .
# Fix libdir pathing in pkgconfig file.
sed -i -e 's\/lib\/%{_lib}\g' libcdb.pc

%build
%make_build CFLAGS="%{optflags}" \
            LDFLAGS="%{ldflags}" \
            staticlib sharedlib cdb-shared nss

%install
%make_install \
 libdir=%{_libdir} bindir=%{_bindir} mandir=%{_mandir} \
 syslibdir=/%{_lib} \
 includedir=%{_includedir} \
 install-all install-nss install-piclib install-sharedlib \
 INSTALLPROG=cdb-shared CP="cp -p"

mkdir -p %{buildroot}%{_libdir}/pkgconfig
install -m 0644 libcdb.pc %{buildroot}%{_libdir}/pkgconfig

rm -f %{buildroot}%{_sysconfdir}/cdb-Makefile

%files
%doc NEWS
%{_bindir}/cdb
%{_mandir}/man1/cdb.1*
%{_mandir}/man5/cdb.5*

%files -n nss_tinycdb
%doc nss_cdb-Makefile
/%{_lib}/libnss_cdb.so.%{libcmajor}

%files -n %{libname}
%{_libdir}/libcdb.so.%{major}

%files -n %{dlibname}
%{_includedir}/cdb.h
%{_libdir}/libcdb.a
%{_libdir}/libcdb_pic.a
%{_libdir}/libcdb.so
%{_libdir}/pkgconfig/libcdb.pc
%{_mandir}/man3/cdb.3*
