Summary:	Lightweight, non-caching, optionally anonymizing HTTP proxy
Name:		tinyproxy
Version:	1.11.2
Release:	%mkrel 1
Group:		System/Servers
License:	GPLv2+
URL:		https://tinyproxy.github.io/
Source0:	https://github.com/tinyproxy/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:	tinyproxy.service
Patch0:		tinyproxy-1.8.3-group.patch
BuildRequires:	asciidoc
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd45-xml
BuildRequires:	systemd
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
An anonymizing http proxy which is very light on system resources, ideal for
smaller networks and similar situations where other proxies (such as Squid) may
be overkill and/or a security risk. Tinyproxy can also be configured to
anonymize http requests (allowing for exceptions on a per-header basis).

%prep
%setup -q
%patch -P 0 -p1 -b .group

%build
%configure \
    --enable-xtinyproxy \
    --enable-filter \
    --enable-upstream \
    --enable-transparent \
    --enable-reverse \
    --with-stathost=localhost \
    --program-prefix=""

%make_build

%install
%make_install bindir=%{_sbindir}

# README{.md} is actually an INSTALL file, so we remove it
rm -f %{buildroot}%{_datadir}/doc/%{name}/README*

/bin/touch %{buildroot}%{_sysconfdir}/tinyproxy/filter

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_logdir}/tinyproxy
mkdir -p %{buildroot}%{_rundir}/%{name}

install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/tinyproxy.service

/bin/echo "FLAGS=\" -c /etc/tinyproxy/tinyproxy.conf\"" > %{buildroot}%{_sysconfdir}/sysconfig/tinyproxy

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/tinyproxy 0755 root root
EOF

%post
%_tmpfilescreate %{name}
%_post_service tinyproxy

%preun
%_preun_service tinyproxy


%files
%doc docs/*.txt
%doc AUTHORS NEWS TODO
%license COPYING
%{_sbindir}/tinyproxy
%{_unitdir}/tinyproxy.service
%config(noreplace) %{_sysconfdir}/sysconfig/tinyproxy
%dir %{_sysconfdir}/tinyproxy
%config(noreplace) %{_sysconfdir}/tinyproxy/tinyproxy.conf
%config(noreplace) %{_sysconfdir}/tinyproxy/filter
%dir %ghost %attr(0755, root, root) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/tinyproxy.pid
%{_tmpfilesdir}/%{name}.conf
%{_logdir}/tinyproxy/
%{_mandir}/man8/tinyproxy.8*
%{_mandir}/man5/*
%{_datadir}/tinyproxy/
