%define api		3.0
%define major		0
%define girmajor	3.0

%define libname		%mklibname %{name} %{api} %{major}
%define girname		%mklibname %{name}-gir %{girmajor}
%define libtracker	%mklibname tracker-sparql %{api} %{major}
%define girtracker	%mklibname tracker-gir %{girmajor}
%define develname	%mklibname %{name} -d

%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_without	doc

Name:		tinysparql
Version:        3.9.1
Release:	%mkrel 1
Summary:	Low-footprint RDF triple store with SPARQL 1.1 interface
License:	GPL-2.1-or-later
Group:		Graphical desktop/GNOME
URL:		https://tinysparql.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	30-tracker.conf
BuildRequires:	meson
BuildRequires:	gettext-devel
BuildRequires:	gi-docgen
BuildRequires:	python3-gobject
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	libstemmer-devel
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	vala
BuildRequires:	locales

Requires:	odt2txt

# ovitters: the following package handles the indexing
Recommends:	localsearch

Provides:	tracker = %{version}-%{release}
Obsoletes:	tracker < 3.7.3-2

%description
The TinySPARQL library offers a complete RDF triplestore with SPARQL 1.1
interface and a minimal footprint. It allows creating local databases in
memory or the filesystem, and accessing/creating endpoints for federated
queries.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library of TinySPARQL
Requires:	%{name} >= %{version}

%description -n %{libname}
The TinySPARQL library offers a complete RDF triplestore with SPARQL 1.1
interface and a minimal footprint. It allows creating local databases in
memory or the filesystem, and accessing/creating endpoints for federated
queries.

%package -n %{libtracker}
Group:		System/Libraries
Summary:	Shared library of Tracker

Obsoletes:	%{_lib}tracker3.0_0 < 3.7.3-2

%description -n %{libtracker}
Tracker is a tool designed to extract information and metadata about your
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{girtracker}
Summary:	GObject Introspection interface description for tracker
Group:		System/Libraries
Requires:	%{libtracker} = %{version}-%{release}

%description -n %{girtracker}
GObject Introspection interface description for tracker.

%package -n %{develname}
Summary:	Headers for developing programs that will use LocalSearch
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libtracker} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	%{girtracker} = %{version}-%{release}
Requires:	%{name}-vala
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	tracker-devel = %{version}-%{release}
Provides:	libtracker-devel = %{version}-%{release}

Obsoletes:	%{_lib}tracker-devel < 3.7.3-2

%description -n %{develname}
This package contains header files for development and link applications
with LocalSearch.

%package vala
Summary:	Vala bindings for %{name}
Group:		Development/Other
BuildArch:	noarch
Requires:	%{name}-devel >= %{version}-%{release}
Requires:	vala

Provides:	tracker-vala = %{version}-%{release}
Obsoletes:	tracker-vala < 3.7.3-2

%description vala
This package contains vala bindings for development %{name}.

%if %{with doc}
%package docs
Summary:	Documentations for %{name}
Group:		Documentation
BuildArch:	noarch
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	asciidoc
BuildRequires:	graphviz

Provides:	tracker-docs = %{version}-%{release}
Obsoletes:	tracker-docs < 3.7.3-2

%description docs
This package contains the documentation for %{name}.
%endif

%prep
%autosetup -p1


%build
export CPATH+=":/usr/include/libstemmer/"

%meson \
	%{!?with_doc:-D docs=false}

%meson_build


%install
%meson_install

install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/sysctl.d/30-%{name}.conf

%find_lang %{name}3


%files -f %{name}3.lang
%doc README.md NEWS AUTHORS
%license COPYING
%{_bindir}/tinysparql
%{_libexecdir}/%{name}*
%{_libdir}/%{name}-%{api}/
%{_prefix}/lib/sysctl.d/30-%{name}.conf
%{_datadir}/bash-completion/completions/tinysparql
%{_datadir}/dbus-1/services/org.freedesktop.portal.Tracker.service
%{_userunitdir}/%{name}-xdg-portal-3.service
%{_mandir}/man1/%{name}*.1*

%files vala
%{_datadir}/vala/vapi/%{name}-%{api}.vapi
%{_datadir}/vala/vapi/%{name}-%{api}.deps
%{_datadir}/vala/vapi/tracker-sparql-%{api}.vapi
%{_datadir}/vala/vapi/tracker-sparql-%{api}.deps

%files -n %{libname}
%license COPYING
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{libtracker}
%license COPYING
%{_libdir}/libtracker-sparql-%{api}.so.%{major}{,.*}

%files -n %{girname}
%license COPYING
%{_libdir}/girepository-1.0/Tsparql-%{girmajor}.typelib

%files -n %{girtracker}
%license COPYING
%{_libdir}/girepository-1.0/Tracker-%{girmajor}.typelib

%files -n %{develname}
%{_includedir}/tinysparql-%{api}/
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/libtracker-sparql-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/tracker-sparql-%{api}.pc
%{_datadir}/gir-1.0/Tracker-%{girmajor}.gir
%{_datadir}/gir-1.0/Tsparql-%{girmajor}.gir

%if %{with doc}
%files docs
%{_docdir}/Tsparql-3.0/
%endif
