# (ngompa): Disable Dist-Git and OBS releasers for now
# We need to get fedora tools and osc in to enable them
%bcond_with distgit
%bcond_with obs

# Fedora release numbers are part of upstream tags
%global origrel 1

Name: tito
Version: 0.6.27
Release: %mkrel 1
Summary: A tool for managing rpm based git projects

Group: Development/Tools
License: GPLv2
URL: https://github.com/dgoodwin/tito
Source0: %{url}/archive/%{name}-%{version}-%{origrel}.tar.gz

BuildArch: noarch

BuildRequires: asciidoc
BuildRequires: docbook-style-xsl
BuildRequires: xsltproc
BuildRequires: rpmdevtools
BuildRequires: rpm-build
BuildRequires: createrepo_c
BuildRequires: tar
BuildRequires: which
BuildRequires: git

BuildRequires: python3-devel

Requires: python3-setuptools
Requires: python3-bugzilla
Requires: python3-blessings
Requires: python3-rpm

Requires: rpm-build
Requires: rpmlint
Requires: rpmdevtools
Requires: dnf-plugins-core

# For YumRepoReleaser
Requires: createrepo_c
# For CoprReleaser
Requires: copr-cli

%if %{with distgit}
# For FedoraGitReleaser
Requires: fedpkg
Requires: fedora-packager
%endif

%if %{with obs}
# For ObsReleaser
Requires: osc
%endif

Requires: python3-cheetah

%description
Tito is a tool for managing tarballs, rpms, and builds for projects using
git.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}-%{origrel}

# Write the Python 3 interpreter path
# sed -i 1"s|#!.*|#!%{__python3}|" bin/tito

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# convert manages
a2x -d manpage -f manpage titorc.5.asciidoc
a2x -d manpage -f manpage tito.8.asciidoc
a2x -d manpage -f manpage tito.props.5.asciidoc
a2x -d manpage -f manpage releasers.conf.5.asciidoc

%install
%pyproject_install
%pyproject_save_files tito

# manpages
%{__mkdir_p} %{buildroot}%{_mandir}/man5
%{__mkdir_p} %{buildroot}%{_mandir}/man8
cp -a titorc.5 tito.props.5 releasers.conf.5 %{buildroot}/%{_mandir}/man5/
cp -a tito.8 %{buildroot}/%{_mandir}/man8/
# bash completion facilities
install -Dp -m 0644 share/tito_completion.sh %{buildroot}%{_datadir}/bash-completion/completions/tito

# not compatible with pyproject_save_files macro
# %%if %{without distgit}
# find %{buildroot} -name "*distgit*" | xargs rm -fv
# %%endif
# 
# %%if %{without obs}
# find %{buildroot} -name "*obs*" | xargs rm -fv
# %%endif


%files -f %{pyproject_files}
%license COPYING
%doc AUTHORS
%doc doc/*
%doc %{_mandir}/man5/titorc.5*
%doc %{_mandir}/man5/tito.props.5*
%doc %{_mandir}/man5/releasers.conf.5*
%doc %{_mandir}/man8/tito.8*
%{_bindir}/tito
%{_bindir}/generate-patches.pl
%{_datadir}/bash-completion/completions/tito

