%define         tcl_sitearch %_libdir/tcl%tcl_version
%define         bltdir %{name}3.2
# Source tree has top folder name from git which
# is unpredictable, so read it from tarball
%define         topsrcdir %(tar --exclude="*/*" -tzf %{_sourcedir}/V%{version}.tar.gz)


Name:           tkblt
Version:        3.2.23
Release:        %mkrel 2
Summary:        Extension with some BLT (Graph) widgets for Tk
Group:          System/Libraries
License:        BSD
URL:            https://sourceforge.net/projects/tkblt
Source0:        https://sourceforge.net/projects/tkblt/files/V%{version}/V%{version}.tar.gz
Patch0:         tkblt-3.2.23-tests.patch

BuildRequires:  pkgconfig(tcl)
BuildRequires:  pkgconfig(tk)
Requires:       tcl
Requires:       tk

%description
This package provides a selection of components from the
BLT toolkit, adapted to Tk 8.5/8.6 with TEA compliance.
It contains the Graph and Barchart Tk widgets, and the
Tcl Vector command. Graphs can be exported as PostScript
files. TEA compliant.

%package devel
Summary:        Libraries, includes etc. for native applications with %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       tcl-devel
Requires:       tk-devel

%description devel
Header files, config file and static library used to
create native applications with %{name} support. TEA
compliant.

%prep
%autosetup -p1 -n %{topsrcdir}

%build
export LIBS="-lm"
%configure --libdir=%{tcl_sitearch}
%make_build

%install
%make_install
# INSTALL_ROOT=%{buildroot} DESTDIR=%{buildroot}

# Fixing library permissions or else no debuginfo
find %{buildroot}/%{tcl_sitearch} -name "*.so" | xargs chmod 755

%{__mkdir_p} %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo %{tcl_sitearch}/%{bltdir} > %{buildroot}%{_sysconfdir}/ld.so.conf.d/tkblt.conf

# Copy test scripts for use as examples
%{__mkdir_p} %{buildroot}%{_datadir}/%{bltdir}
%{__cp} tests/*.tcl %{buildroot}%{_datadir}/%{bltdir}
%{__chmod} 755 %{buildroot}%{_datadir}/%{bltdir}/all.tcl
%{__mv} %{buildroot}%{_datadir}/%{bltdir}/all.tcl %{buildroot}%{_datadir}/%{bltdir}/run_all_examples.tcl

%files
%doc doc/*.html
%{tcl_sitearch}/%{bltdir}
%exclude %{tcl_sitearch}/%{bltdir}/*.a
%{_mandir}/mann/*.n*
%{_datadir}/%{bltdir}/*.tcl
%{_sysconfdir}/ld.so.conf.d/tkblt.conf

%files devel
%{_includedir}/*
%{tcl_sitearch}/*.sh
%{tcl_sitearch}/%{bltdir}/*.a
