%define ver %(echo %{version} | sed -e 's/\\./_/g')

Summary:	Tk interface for CVS
Name:		tkcvs
Epoch:		1
Version:	8.2.3
Release:	%mkrel 6
License:	GPLv2
Group:		Development/Tools
Url:		https://www.twobarleycorns.net/tkcvs.html
Source:		https://www.twobarleycorns.net/%{name}-%{version}.tar.gz
Patch0:		tkcvs-8.2.1-paths.patch
Requires:	tk
Requires:	cvs
Requires:	tcl
BuildArch:	noarch

%description
TkCVS is a Tcl/Tk-based graphical interface to the CVS and Subversion
configuration management systems.  It includes facilities for providing
"user friendly" names to modules and directories within the repository,
and provides a facility to interactively browse the repository looking
for modules and directories.

%prep
%setup -q
%autopatch -p1

%build

%install

install -d %{buildroot}%{_bindir}/
install -d %{buildroot}%{_datadir}/tkcvs/bitmaps
install -d %{buildroot}%{_mandir}/man1

install tkcvs/tkcvs.tcl %{buildroot}%{_bindir}/tkcvs
install tkdiff/tkdiff %{buildroot}%{_bindir}/tkdiff
install tkcvs/*.tcl %{buildroot}%{_datadir}/tkcvs
install tkcvs/tclIndex %{buildroot}%{_datadir}/tkcvs
install tkcvs/bitmaps/* %{buildroot}%{_datadir}/tkcvs/bitmaps/
install tkcvs/*.1 %{buildroot}%{_mandir}/man1
rm -f %{buildroot}%{_mandir}/tkcvs/tkcvs_def.tcl
install -d %{buildroot}%{_sysconfdir}/cvs/
install tkcvs/tkcvs_def.tcl %{buildroot}%{_sysconfdir}/cvs/

#README.tkcvs tkdiff/COPYING tkcvs/vendor.readme tkcvs/branchgen.sh
ln tkdiff/LICENSE.txt tkdiff.LICENSE.txt
ln tkdiff/README.txt tkdiff.README.txt
ln tkdiff/CHANGELOG.txt tkdiff.CHANGELOG.txt

# Menu support

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=TkCVS
Comment=Graphical interface to CVS and SVN
Exec=%{_bindir}/%{name}
Icon=development_tools_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Development;RevisionControl;
EOF

cat > %{buildroot}%{_datadir}/applications/mageia-tkdiff.desktop <<EOF
[Desktop Entry]
Name=TkDiff
Comment=Graphical interface to diff
Exec=%{_bindir}/tkdiff
Icon=development_tools_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Development;RevisionControl;
EOF

%files
%doc FAQ.txt CHANGELOG.txt tkdiff*.txt
%attr(755,root,root) %{_bindir}/*
%{_datadir}/tkcvs/*.tcl
%dir %{_datadir}/tkcvs/
%dir %{_datadir}/tkcvs/bitmaps/
%{_datadir}/tkcvs/tclIndex
%{_datadir}/applications/*.desktop
%{_mandir}/man*/*
%{_datadir}/tkcvs/bitmaps/*
%config(noreplace) %{_sysconfdir}/cvs/tkcvs_def.tcl
