%define tar_ver	%(echo %{version}|sed -e 's/\\./\\-/g')

Name:		tkdiff
Version:	5.6
Release:	%mkrel 1
Summary:	A tcl/tk based graphical interface to the DIFF utility
License:	GPLv2
Group:		Development/Other
URL:		https://tkdiff.sourceforge.net/
Source0:	https://sourceforge.net/projects/tkdiff/files/%{name}/%{version}/%{name}-%{tar_ver}.zip
# desktop, icon and man files are provided from ALT linux distribution.
Source1:	tkdiff.desktop
Source2:	tkdiff.png
Source3:	tkdiff.1
BuildArch:	noarch

Requires:	diffutils
Requires:	tk

%description
tkdiff is a graphical front end to the diff program. It provides a side-by-side
view of the differences between two files, along with several innovative
features such as diff bookmarks and a graphical map of differences for quick
navigation.

%prep
%setup -q -n %{name}-%{tar_ver}

chmod 0644 README.txt

%build

%install
# binary-repertory
mkdir -p %{buildroot}%{_bindir}
install -m 0755 tkdiff %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

# icons-repertory
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

# man-repertory
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 %{SOURCE3} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc *.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*
