Name:		tkgate
Version:	2.1
Release:	%mkrel 3
Group:		Education
Summary:	Event driven digital circuit simulator
License:	GPLv2+
Source0:	%{name}-%{version}.tar.gz
Url:		https://bitbucket.org/starling13/tkgate

BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(pangoxft)
BuildRequires:	desktop-file-utils
BuildRequires:	flex
BuildRequires:	bison

Requires:	tcl
Requires:	tk

%description
TkGate is a event driven digital circuit simulator with a tcl/tk-based
graphical editor. TkGate supports a wide range of primitive circuit
elements as well as user-defined modules for hierarchical design.
The distribution comes with a number of tutorial and example circuits
which can be loaded through the "Help" menu. The example circuits include
a simple CPU, programmed to run the Animals game. TkGate is free software
provided with source code under the GNU Public License.

%prep
%setup -q

%build
autoreconf -fi
%configure
%make_build

%install
%make_install
# symlinks points to BuildRoot
rm -f %{buildroot}%{_datadir}/%{name}/libexec/%{name}
ln -s %{_bindir}/%{name} %{buildroot}%{_datadir}/%{name}/libexec/%{name}
rm -f %{buildroot}%{_datadir}/%{name}/libexec/verga
ln -s %{_bindir}/verga %{buildroot}%{_datadir}/%{name}/libexec/verga

%files
%{_docdir}/%{name}
%{_bindir}/gmac
%{_bindir}/%{name}
%{_bindir}/verga
%{_mandir}/man1/gmac*
%{_mandir}/man1/%{name}*
%{_mandir}/man1/verga*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*
