# NOTE: when updating, make sure vdr-plugin-live still builds. -Anssi

%define major	13
%define libname	%mklibname tntnet %{major}
%define devname	%mklibname tntnet -d

%bcond_with demos

Summary:	A web application server for web applications written in C++
Name:		tntnet
Version:	3.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Servers
URL:		https://www.tntnet.org/
Source:		https://www.tntnet.org/download/%{name}-%{version}.tar.gz
BuildRequires:	cxxtools-devel >= 3.0
BuildRequires:	gnutls-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	zip

%description
Tntnet is a web application server for web applications written in C++.

You can write a Web-page with HTML and with special tags you embed
C++-code into the page for active contents. These pages, called
components are compiled into C++-classes with the ecpp compiler
"ecppc", then compiled into object code and linked into a shared library.
This shared library is loaded by the webserver "tntnet" on request and
executed.

%if %{with demos}
%package	demos
Summary:	Demos for tntnet
Group:		System/Servers
Requires:	%{name} = %{version}

%description	demos
Demo web applications for tntnet.
%endif

%package -n	%{libname}
Summary:	Shared library of tntnet
Group:		System/Libraries

%description -n %{libname}
Tntnet library.

%package -n	%{devname}
Summary:	Headers and static library for tntnet development
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	tntnet-devel = %{version}-%{release}

%description -n %{devname}
Headers and static library for tntnet development.

%prep
%setup -q
%autopatch -p1

%build
%configure \
  %{?with_demos:--enable-demos} \
  --disable-static
%make_build

%install
%make_install

# TODO: patch to get compliant
rm -f %{buildroot}/etc/init.d/tntnet

%files
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.xml
%{_bindir}/tntnet{,-project}
%{_datadir}/tntnet/
%dir %{_libdir}/tntnet
%{_libdir}/tntnet/tntnet.*
%{_mandir}/man1/tntnet-defcomp.*
%{_mandir}/man7/ecpp.*
%{_mandir}/man7/tntnet.*
%{_mandir}/man8/tntnet.*

%if %{with demos}
%files demos
%exclude %{_libdir}/tntnet/tntnet.*
%{_libdir}/tntnet/*
%endif

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS README
%{_bindir}/ecpp*
%{_libdir}/libtntnet{,_sdk}.so
%{_libdir}/pkgconfig/tntnet{,_sdk}.pc
%{_includedir}/tnt
%{_mandir}/man1/ecppc.*
