#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           tokodon
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Kirigami-based mastodon client
# For a breakdown of the licensing, see PACKAGE-LICENSING
License:        GPLv3 and CC0 and BSD and LGPLv2+ and GPLv3+ and GPLv2
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/tokodon/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Keychain)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WebSockets)
BuildRequires:  cmake(Qt6WebView)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KirigamiPlatform)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KUnifiedPush)
BuildRequires:  cmake(KF6QQC2DesktopStyle)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6ItemModels)

BuildRequires:  sonnet

Requires:       kirigami
Requires:       kirigami-addons
Requires:       kitemmodels
Requires:       sonnet

%description
Tokodon is a Mastodon client. It allows you to interact
with the Fediverse community.

%files -f %{name}.lang
%doc README.md
%license LICENSES/
%{_kf6_categoriesdir}/%{name}.categories
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.%{name}.svg
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_plugindir}/purpose/tokodonplugin.so
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/dbus-1/services/org.kde.tokodon.service

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
