%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		tomboy
Version:	1.15.9
Release:	%mkrel 4
Summary:	Desktop Note-taking application
Group:		Graphical desktop/GNOME
# Tomboy itself is LGPL+
# libtomboy contains GPL+ code
License:	LGPL+ and GPLv2+
URL:		https://wiki.gnome.org/Apps/Tomboy
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		0001-help-fix-a-broken-tag-in-the-French-translation.patch
#gw we need an UTF-8 locale for gmcs to allow non-ASCII source files
BuildRequires:	locales-en
###
#for autoreconf
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
###
BuildRequires:	pkgconfig(mono) >= 1.9.1
BuildRequires:	pkgconfig(mono-addins)
#BuildRequires:  pkgconfig(mono-nunit)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.14.0
BuildRequires:	pkgconfig(dbus-sharp-glib-1.0) >= 0.3
BuildRequires:	pkgconfig(gconf-sharp-2.0)
BuildRequires:	pkgconfig(gtkspell-2.0) >= 2.0.9
BuildRequires:	pkgconfig(gmime-sharp-2.6)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(galago-sharp) >= 0.5.0
Requires:	mono-addins

%description
Tomboy is a desktop note-taking application. Simple and easy to use,
but with potential to help you organize the ideas and information 
you deal with every day.
The key to Tomboy's usefulness lies in the ability to relate notes
and ideas together. Using a WikiWiki-like linking system, organizing
ideas is as simple as typing a name.
Branching an idea off is easy as pressing the Link button. And links
between your ideas won't break, even when renaming and reorganizing
them.

%prep
%setup -q
%autopatch -p1

# Convert to utf-8
for file in ChangeLog ; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%build
%configure \
	--enable-galago=no \
	--disable-update-mimedb \
	--disable-schemas-install \
	--enable-gnome=no \
	--enable-tests=no
make

%install
%make_install

%find_lang %{name} --with-gnome

#we don't want these
find %{buildroot} -name '*.la' -delete

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc NEWS AUTHORS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_mandir}/man1/%name.1*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/tomboy*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-note.*
%{_datadir}/mime/packages/tomboy.xml
%{_datadir}/%{name}
%{_libdir}/%{name}/libtomboy.so
%{_libdir}/%{name}/Tomboy.exe
%{_libdir}/%{name}/Tomboy.exe.config
%{_libdir}/%{name}/Tomboy.exe.mdb
%{_libdir}/%{name}/addins/
%{_libdir}/pkgconfig/tomboy-addins.pc
%{_datadir}/dbus-1/services/org.gnome.Tomboy.service
