%global __brp_check_rpaths %{nil}

Name:           tomcat-native
Version:        1.3.1
Release:        %mkrel 1
Summary:        Tomcat native library

Group:          Development/Java
License:        ASL 2.0
URL:            https://tomcat.apache.org/tomcat-8.0-doc/apr.html
Source0:        https://www.apache.org/dist/tomcat/tomcat-connectors/native/%{version}/source/%{name}-%{version}-src.tar.gz

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  pkgconfig(apr-1) >= 1.4.3
BuildRequires:  pkgconfig(openssl) >= 1.0.2
# Upstream compatibility:
Provides:       tcnative = %{version}-%{release}

%description
Tomcat can use the Apache Portable Runtime to provide superior
scalability, performance, and better integration with native server
technologies.  The Apache Portable Runtime is a highly portable library
that is at the heart of Apache HTTP Server 2.x.  APR has many uses,
including access to advanced IO functionality (such as sendfile, epoll
and OpenSSL), OS level functionality (random number generation, system
status, etc), and native process handling (shared memory, NT pipes and
Unix sockets).  This package contains the Tomcat native library which
provides support for using APR in Tomcat.


%prep
%setup -q -n %{name}-%{version}-src
f=CHANGELOG.txt ; iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f


%build
cd native
autoreconf -fi
%configure \
    --with-apr=%{_bindir}/apr-1-config \
    --with-java-home=%{java_home}
%make_build


%install
%make_install -C native
# Perhaps a devel package sometime?  Not for now; no headers are installed.
rm -f %{buildroot}%{_libdir}/libtcnative*.*a
rm -rf %{buildroot}%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_includedir}/*.h

%files
%license LICENSE NOTICE
%doc CHANGELOG.txt README.txt
# Note: unversioned *.so needed here due to how Tomcat loads the lib :(
%{_libdir}/libtcnative*.so*
