%define engine  t-engine4

Name:           tome
Version:        1.7.6
Release:        %mkrel 1
Summary:        An open-source, single-player, roguelike RPG with 2D tiles
Group:          Games/Adventure
License:        GPLv3+ and Nonfree
URL:            https://te4.org/
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch
Requires:       %{engine} = %{version}
Obsoletes:      t-engine4-tome4 < 1.1.0-2
Obsoletes:      tome < 1.2.5-2
Provides:       t-engine4-tome4 = %{version}-%{release}

%description
Tales of Maj'Eyal (ToME) is a free, open source roguelike RPG, featuring
tactical turn-based combat and advanced character building. Play as one of
many unique races and classes in the lore-filled world of Eyal, exploring
random dungeons, facing challenging battles, and developing characters with
our own tailored mix of abilities and powers. With a modern graphical and
customisable interface, intuitive mouse control, streamlined mechanics and
deep, challenging combat, Tales of Maj'Eyal offers engaging roguelike
gameplay for the 21st century.

This package is in the Nonfree repository because some of its artwork is
granted to use with the ToME game only (see COPYING-MEDIA in the doc folder).

%prep
%autosetup

%build
# NOTHING TO BUILD ONLY DATA FILES!!!

%install
# Install the ToME-specific game data.
install -d %{buildroot}%{_gamesdatadir}/%{engine}/game/{addons,modules}
cp -r game/addons/%{name}* %{buildroot}%{_gamesdatadir}/%{engine}/game/addons/
cp -r game/modules/%{name}-%{version}* %{buildroot}%{_gamesdatadir}/%{engine}/game/modules/

# Create a symbolic link for "tome"
install -d %{buildroot}%{_gamesbindir}
ln -s %{_gamesbindir}/t-engine %{buildroot}%{_gamesbindir}/%{name}

# Install the desktop file.
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Tales of Maj'Eyal
GenericName=2D roguelike game
GenericName[fr]=Roguelike en 2D
Comment=An open-source, single-player, roguelike RPG with 2D tiles
Comment[fr]=Un jeu de rôle libre, monojoueur avec des graphismes en 2D
Exec=t-engine
Icon=%{engine}
Terminal=false
Type=Application
Categories=Game;RolePlaying;
EOF

%files
%doc COPYING-MEDIA CREDITS
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{engine}/game/addons/%{name}*
%{_gamesdatadir}/%{engine}/game/modules/%{name}-%{version}*
%{_datadir}/applications/%{name}.desktop
