%define  date 20210910

%define tomoyo_major   3
%define tomoyo_libname %mklibname tomoyotools %{tomoyo_major}

Summary:        TOMOYO Linux tools
Name:           tomoyo-tools
Version:        2.6.1
Release:        %mkrel 0.%{date}.1
License:        GPLv2
Group:          System/Kernel and hardware
URL:            https://tomoyo.osdn.jp/
Source0:        https://jaist.dl.osdn.jp/tomoyo/70710/tomoyo-tools-%{version}-%{date}.tar.gz
Source1:        README.tomoyo-tools.urpmi
Source2:        tomoyo.logrotate
Source3:        tomoyo-auditd.service

BuildRequires:  help2man
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(readline)

%description
TOMOYO Linux is an extension for Linux to provide Mandatory Access Control
(MAC) functions. This package contains the tools needed to configure,
activate and manage the TOMOYO Linux MAC system and policies.

%package -n %{tomoyo_libname}
Summary:        Shared tomoyotools library
Group:          System/Libraries

%description -n %{tomoyo_libname}
This package provides the tomoyo shared library.

%prep
%setup -q -n tomoyo-tools

%build
# install library to correct path
sed -i 's:/usr/lib:%{_libdir}:g' Include.make

%set_build_flags
# parallell build is broken / tmb 14.10.2010
make -s all CFLAGS="$CFLAGS" CXXFLAG="$CXXFLAGS" LDFLAGS="$LDFLAGS"

%install
%make_install INSTALLDIR=%{buildroot}

install -m 644 %{SOURCE1} README.install.urpmi

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/tomoyo
mkdir -p %{buildroot}%{_unitdir}
install -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/tomoyo-auditd.service
mkdir -p %{buildroot}%{_logdir}/tomoyo

%post
%_post_service tomoyo-auditd

%preun
%_preun_service tomoyo-auditd

%files
%{_sysconfdir}/logrotate.d/tomoyo
%{_unitdir}/tomoyo-auditd.service
%attr(700,root,root) /sbin/tomoyo-init
%{_libdir}/tomoyo/
%{_sbindir}/tomoyo*
%{_mandir}/man8/tomoyo*
%{_logdir}/tomoyo/
%doc README.install.urpmi
%doc README.tomoyo
%license COPYING.tomoyo

%files -n %{tomoyo_libname}
%{_libdir}/libtomoyotools.so.%{tomoyo_major}{,.*}
