Name:           tong
Version:        1.3
Release:        %mkrel 8
Summary:        A mixture of two classic games
Group:          Games/Puzzles
License:        GPLv3+
URL:            https://www.nongnu.org/tong
Source0:        https://www.nongnu.org/tong/tong-%{version}.tar.gz

BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
Requires:       %{name}-data = %{version}-%{release}

%description
Sometimes, the total is greater than the sum of the parts.
Tetris and Pong are classics, addictive and unshakable from their places
in gaming history. TONG is the result of mixing the two, capitalizing
on the essential qualities of each classic and adding new twists of its own
to make an explosive chemical reaction out of it all.

%package        data
Summary:        Data files for the Tong game
Group:          Games/Puzzles
BuildArch:      noarch

%description    data
Data files for the Tong game.

%prep
%setup -q -n %{name}

%build
%make_build CC="%{__cxx} %{optflags}" \
      GAME_DATA_DIR=%{_gamesdatadir}/%{name}

%install
# As of version 1.3 their is no install target
# binary
install -D -m755 tong %{buildroot}%{_gamesbindir}/%{name}

# data + CREDITS file needed for the in-game credits
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a media CREDITS %{buildroot}%{_gamesdatadir}/%{name}/

# icon
install -D -m644 media/icon.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png

# desktop file
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=TONG
GenericName=A mixture of two classic games
Comment=Mixture of the classic Pong and Tetris games with some twists
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;BlocksGame;
EOF

%files
%doc COPYING CREDITS README making-of.txt
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/32x32/apps/%{name}.png

%files data
%{_gamesdatadir}/%{name}/
