Summary:	Reimplementation of the old game known as Tower Toppler or Nebulous
Name:		toppler
Version:	1.3
Release:	%mkrel 2
License:	GPL-3.0-only
Group:		Games/Arcade
URL:		https://gitlab.com/roever/toppler/
Source0:	https://gitlab.com/roever/toppler/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
Patch100:	toppler-1.3-fix_makefile.patch
Patch101:	toppler-1.3-format_security.patch
Patch102:	toppler-1.3-head.patch
Patch103:	toppler-1.3-missing_include.patch
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
Requires(post):	rpm-helper

%description
It is an almost complete reimplementation of the old game known as Tower
Toppler or Nebulous. This game was available at least for PC, Atari, C64
and now the PC version is abandonware.

The goal of the game is to reach the target door of each of the 8 towers
in currently 2 missions with this little green animal. This door is
usually at the very top of the tower.

But finding the way by using elevators and walking trough a maze of doors
and platforms is not the only problem you have to solve. There are a bunch
of other creatures living on the tower that will hinder you to reach your
target by pushing you over the edge of the platforms.

The only weapon of defence you have is to throw a little snowball. But
most of the other creatures just don't care about this. So you must avoid
them.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%set_build_flags

%make_build \
  CXXFLAGS="$CXXFLAGS" \
  LDFLAGS="$LDFLAGS" \
  PKGDATADIR=%{_gamesdatadir}/%{name} \
  STATEDIR=%{_localstatedir}/lib/games \
  toppler translation

%install
%make_install STATEDIR=%{_localstatedir}/lib/games PKGDATADIR=%{_gamesdatadir}/%{name} BINDIR=%{_gamesbindir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Tower Toppler
Comment=Reimplementation of the old game known as Tower Toppler or Nebulous
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

mkdir -p %{buildroot}%{_localstatedir}/lib/games/
touch %{buildroot}%{_localstatedir}/lib/games/toppler.hsc
chmod a+w %{buildroot}%{_localstatedir}/lib/games/toppler.hsc

mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -p -m 0644 dist/toppler*.xpm %{buildroot}%{_datadir}/pixmaps/

%find_lang %{name}

%post
%create_ghostfile %{_localstatedir}/lib/games/toppler.hsc root games 664

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README.md doc/changelog.md
%attr(664, root, games) %ghost %{_localstatedir}/lib/games/toppler.hsc
%attr(2755, root, games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man?/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*.xpm
