%define commit	ba20ba5293b36242a8f590e50e1efd63568cb271
%define date	20240303

Summary:	Toolkit for Oracle with MySQL and PostgreSQL support only
Name:		tora
Version:	3.2
Release:	%mkrel 8.git%{date}.1
Group:		Development/Databases
License:	GPLv2+
URL:		https://github.com/tora-tool/tora/wiki
#Source:		https://github.com/tora-tool/tora/archive/v%%{version}/%%{name}-%%{version}.tar.gz
Source:		https://github.com/tora-tool/tora/archive/%{commit}/%{name}-%{version}+git%{date}.tar.gz
# taken from https://github.com/cubicdaiya/dtl/pull/18
Patch1:		0001-Fix-build-with-GCC-14.patch
# taken from https://github.com/antlr/antlr3/pull/224
Patch2:		0001-Remove-const-specifiers-from-CyclicDFA-members.patch
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	postgresql-devel
BuildRequires:	qscintilla-qt5-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	subversion
Requires:	qt5-common
Requires:	qt5-database-plugin-mysql
Requires:	qt5-database-plugin-pgsql
Conflicts:	tora-oracle

%description
TOra - Toolkit for Oracle, MySQL and PostgreSQL

ATTENTION: This package of TOra doesn't include Oracle support.
If you need Oracle support please install Oracle instant client
and the tora-oracle package instead.

In addition, TOra also supports PostgreSQL and MySQL if your Qt library
is compiled with that support.

Oracle is copyright of Oracle Corporation.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
%cmake \
	-DWANT_INTERNAL_LOKI=ON \
	-DWANT_INTERNAL_QSCINTILLA=OFF \
	-DENABLE_ORACLE=0FF \
	-DPOSTGRESQL_PATH_LIB=%{libdir}/postgresql/  \
	-DPOSTGRESQL_PATH_INCLUDES=%{includedir}/postgresql/
%cmake_build

%install
%cmake_install

install -D -m 0644 src/icons/tora.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/tora.png

mkdir -p %{buildroot}%{_libdir}
install -m 0644 src/templates/*.tpl %{buildroot}%{_libdir}/

mkdir -p %{buildroot}%{_docdir}/tora/
cat > %{buildroot}%{_docdir}/tora/README.urpmi << EOF

ATTENTION:
This package of TOra doesn't include Oracle support.

If you need Oracle support, please install Oracle instant client
first and the tora-oracle package instead.

You can download Oracle instant client from Oracle web site
for free.

EOF


%files
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{_libdir}/*.tpl
%{_datadir}/applications/%{name}.desktop
%{_datadir}/tora*/
%{_iconsdir}/hicolor/*/apps/%{name}*.*
