%define	pname	torcs
%define	opname	TORCS
%define	name	%{pname}-data
%define	oname	%{opname}-data

Name:		torcs-data
Version:	1.3.7
Release:	%mkrel 4
Summary:	Data files for torcs
License:	GPLv3
Group:		Games/Arcade
Url:		http://torcs.org
Source0:	https://sourceforge.net/projects/%{name}/files/all-in-one/%{version}/%{pname}-%{version}.tar.bz2
BuildArch:	noarch
Requires:	%{pname} = %{version}
Obsoletes:	torcs-data-cars-extra

BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  mesagl-devel
BuildRequires:  pkgconfig(openal)
BuildRequires:  plib-devel
BuildRequires:  pkgconfig(libpng)

%description
Arch independent data files for the TORCS game.

%prep
%setup -q -n %{pname}-%{version}

%build
./configure --bindir=%{_gamesbindir} \
        --prefix=%{_prefix} \
        --libdir=%{_libdir} \
        --x-libraries=%{_xorglibdir}

%install
%make_build DESTDIR=%{buildroot}  datainstall

# Remove nonfree cars already in torcs-data-nonfree
pushd %{buildroot}%{_gamesdatadir}/%{pname}/cars
rm -rf pw-206wrc pw-306wrc pw-corollawrc pw-evoviwrc pw-focuswrc pw-imprezawrc \
    kc-2000gt kc-5300gt kc-corvette-ttop kc-daytona kc-db4z kc-dbs kc-dino kc-ghibli \
    kc-grifo kc-bigh kc-a110 kc-alfatz2 kc-coda kc-conrero kc-gt40 kc-gto kc-p4
popd

%files
%{_gamesdatadir}/%{pname}/cars
%{_gamesdatadir}/%{pname}/categories
%{_gamesdatadir}/%{pname}/data
%{_gamesdatadir}/%{pname}/menu
%{_gamesdatadir}/%{pname}/tracks
%{_gamesdatadir}/%{pname}/wheels

%{_gamesdatadir}/%{pname}/COPYING
%{_gamesdatadir}/%{pname}/Ticon.ico
%{_gamesdatadir}/%{pname}/Ticon.png
%{_gamesdatadir}/%{pname}/logo-skinner.png
%{_gamesdatadir}/%{pname}/tux.png
