%define	oname	TORCS
%define	libname	%mklibname %{name}

Name:		torcs
Version:	1.3.7
Release:	%mkrel 6
Summary:	The Open Racing Car Simulator
License:	GPLv2
Group:		Games/Simulation
URL:		https://torcs.sourceforge.net/
#Upstream only provides one big tarball, so we remove from it the useless data and src/windows folders and recompress it with xz
#Source0:	https://sourceforge.net/projects/%{name}/files/all-in-one/%{version}/%{name}-%{version}.tar.bz2
Source0:	%{name}-%{version}.tar.xz
Patch1:		torcs-1.3.7-gcc7.patch
Patch2:		torcs-1.3.7-isnan.patch
Patch3:		format-argument.patch
BuildRequires:  imagemagick
BuildRequires:	plib-devel
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(freealut)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(vorbis)
Provides:	%{oname}
Requires:	%{name}-data = %{version}
Requires:	%{name}-robots-base
Recommends:	%{name}-data-nonfree
Recommends:	%{name}-robots-berniw
Recommends:	%{name}-robots-bt
Recommends:	%{name}-robots-olethros
Provides:	%{libname}
Obsoletes:	%{libname}

%description
A 3D racing car simulator using OpenGL.

%package	robots-base
Group:		Games/Simulation
Requires:	%{name} >= %{version}
Summary:	Basic robots for %{name}
Provides:	%{name}-robots
BuildArch:	noarch

%description	robots-base
Base robots for %{oname}.

%package	robots-berniw
Group:		Games/Simulation
Requires:	%{name} >= %{version}
Summary:	Berniw robots for %{name}
BuildArch:	noarch
Provides:	%{name}-robots

%description	robots-berniw
Berniw robots for %{oname}, by Bernhard Wymann.

%package	robots-bt
Group:		Games/Simulation
Requires:	%{name} >= %{version}
Summary:	Bt robots for %{name}
BuildArch:	noarch
Provides:	%{name}-robots

%description	robots-bt
bt robots for %{oname}.

%package	robots-olethros
Group:		Games/Simulation
Requires:	%{name} >= %{version}
Summary:	Olethros robots for %{name}
BuildArch:	noarch
Provides:	%{name}-robots

%description	robots-olethros
bt robots for %{oname}, by Christos Dimitrakakis.


%prep
%autosetup -p1

%build
./configure --bindir=%{_gamesbindir} \
 	--prefix=%{_prefix} \
 	--libdir=%{_libdir} \
 	--x-libraries=%{_xorglibdir}
%__make

%install
%make_install

install -D -p -m 0644 %{name}.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
desktop-file-install --vendor="%{_real_vendor}" \
 --dir %{buildroot}%{_datadir}/applications %{name}.desktop

%files
%doc README
%{_gamesbindir}/*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/config
%{_gamesdatadir}/%{name}/telemetry
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%dir %{_gamesdatadir}/%{name}/drivers
%{_datadir}/pixmaps/%{name}.xpm
%{_libdir}/%{name}

%files robots-base
%{_gamesdatadir}/%{name}/drivers/damned
%{_gamesdatadir}/%{name}/drivers/human
%{_gamesdatadir}/%{name}/drivers/inferno
%{_gamesdatadir}/%{name}/drivers/inferno2
%{_gamesdatadir}/%{name}/drivers/lliaw
%{_gamesdatadir}/%{name}/drivers/sparkle
%{_gamesdatadir}/%{name}/drivers/tita

%files robots-berniw
%{_gamesdatadir}/%{name}/drivers/berniw*

%files robots-bt
%{_gamesdatadir}/%{name}/drivers/bt

%files robots-olethros
%{_gamesdatadir}/%{name}/drivers/olethros
