Name:           torsocks
Version:        2.4.0
Release:        %mkrel 2
Summary:        Use socks-friendly applications with Tor
License:        GPLv2+
Group:          Networking/Other
# https://gitweb.torproject.org/torsocks.git
URL:            https://gitlab.torproject.org/tpo/core/torsocks
Source0:        https://gitlab.torproject.org/tpo/core/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.gz
Patch1:         torsocks-c99.patch

%description
Torsocks allows you to use most socks-friendly applications in a safe
way with Tor. It ensures that DNS requests are handled safely and
explicitly rejects UDP traffic from the application you're using.

%prep
%autosetup -n %{name}-v%{version} -p1

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# For bash completion.
install -p -D -m0644 extras/torsocks-bash_completion \
    %{buildroot}%{_sysconfdir}/bash_completion.d/torsocks

%files
%doc ChangeLog doc/socks/* doc/notes/*
%license gpl-2.0.txt
%config(noreplace) %{_sysconfdir}/tor/%{name}.conf
%config(noreplace) %{_sysconfdir}/bash_completion.d/torsocks
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}.so*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}.8*
