# # urpmi mercurial
# $ hg clone https://bitbucket.org/tortoisehg/thg
# $ cd thg
# $ python3 setup.py sdist

# comment out if not hg snapshot
#global hgrel	89
#global hgrev	a808f7dad51e

# filter out auto deps as required typelib is defined from a file name
# nautilus-thg.py vs. caja-thg.py
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(Caja\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(Nautilus\\)

%define rel	1

Name:           tortoisehg
Version:        6.9
Release:        %mkrel %{?hgrel:%hgrel.%hgrev.}%{rel}
Summary:        Mercurial GUI command line tool thg
Group:          Development/Tools
License:        GPLv2
# - few files are however under the more permissive GPLv2+
URL:            https://tortoisehg.bitbucket.io/
Source0:        https://www.mercurial-scm.org/release/tortoisehg/targz/%{name}-%{version}%{?hgrel:+%hgrel-%hgrev}.tar.gz
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python3-devel
BuildRequires:  python3dist(mercurial)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3-qt6-devel
BuildRequires:  python3dist(sip)

Requires:       mercurial >= 6.9
Requires:       python3-qt6
Requires:       python3-qt6-qscintilla
Requires:       python3-iniparse
Requires:       python3-pygments

%description
This package contains the thg command line tool, which provides a graphical
user interface to the Mercurial distributed revision control system.

%package        nautilus
Summary:        Mercurial GUI plug-in to the Nautilus file manager
Group:          Development/Tools
Requires:       python3-gobject3
Requires:       %{name} = %{version}-%{release}
Requires:       nautilus-python
Requires:       typelib(Nautilus)

%description    nautilus
This package contains the TortoiseHg Gnome/Nautilus extension, which makes the
Mercurial distributed revision control system available in the file manager
with a graphical interface.

%package        caja
Summary:        Mercurial GUI plug-in to the Caja file manager
Group:          Development/Tools
Requires:       python3-gobject3
Requires:       %{name} = %{version}-%{release}
Requires:       caja-python
Requires:       typelib(Caja)

%description    caja
This package contains the TortoiseHg MATE/Caja extension, which makes the
Mercurial distributed revision control system available in the file manager
with a graphical interface.

%prep
%autosetup -p1 -n %{name}-%{version}%{?hgrel:+%hgrel-%hgrev}

cat > tortoisehg/util/config.py << EOT
bin_path     = "%{_bindir}"
license_path = "%{_docdir}/%{name}-%{version}/COPYING.txt"
locale_path  = "%{_datadir}/locale"
icon_path    = "%{_datadir}/pixmaps/tortoisehg/icons"
nofork       = True
EOT

%build
%py3_build

make -C doc html
rm doc/build/html/.buildinfo

%install
%py3_install

mkdir -p %{buildroot}%{_sysconfdir}/mercurial/hgrc.d
install contrib/mergetools.rc %{buildroot}%{_sysconfdir}/mercurial/hgrc.d/thgmergetools.rc

mkdir -p %{buildroot}%{_datadir}/pixmaps/tortoisehg/icons/svg
cp icons/svg/* %{buildroot}%{_datadir}/pixmaps/tortoisehg/icons/svg

desktop-file-install --dir=%{buildroot}%{_datadir}/applications contrib/thg.desktop

# caja extension
mkdir -p %{buildroot}%{_datadir}/caja-python/extensions/
install -Dpm644 contrib/nautilus-thg.py %{buildroot}%{_datadir}/caja-python/extensions/caja-thg.py

# Remove conflicting files
rm -f %{buildroot}%{python3_sitelib}/hgext3rd/__init*

# Handled in %%files section
rm -rf %{buildroot}%{_docdir}/%{name}/COPYING.txt

%find_lang %{name}

%files -f %{name}.lang
%license COPYING.txt
%doc doc/build/html/
%{_bindir}/thg
%{python3_sitelib}/hgext3rd/
%{python3_sitelib}/tortoisehg/
%{python3_sitelib}/tortoisehg-*.egg-info
%{_datadir}/pixmaps/tortoisehg/
%{_datadir}/pixmaps/thg_logo.svg
%{_datadir}/applications/thg.desktop

%config(noreplace) %attr(644,root,root) %{_sysconfdir}/mercurial/hgrc.d/thgmergetools.rc

%files nautilus
%{_datadir}/nautilus-python/extensions/nautilus-thg.py*

%files caja
%{_datadir}/caja-python/extensions/caja-thg.py*
