%define major		18
%define minimajor	18
%define libname		%mklibname totem-plparser %{major}
%define girname		%mklibname totem-plparser-gir 1.0
%define libnamedev	%mklibname totem-plparser -d
%define minilibname	%mklibname totem-plparser-mini %{minimajor}

%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		totem-pl-parser
Version:	3.26.6
Release:	%mkrel 4
Summary:	Playlist parser library from the Totem Movie Player
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.hadess.net/totem.php3
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# from deb
Patch1:		0001-Avoid-fsync-that-causes-totem-hangs-stutter.patch
Patch2:		tests-Disable-tests-requiring-system-bus.patch
Patch3:		tests-Disable-tests-requiring-internet-connection.patch
#
BuildRequires:	pkgconfig(gio-2.0) >= 2.24.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gmime-2.6)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libarchive) >= 3.0
BuildRequires:	pkgconfig(libquvi-0.9) >= 0.9.1
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires:	pkgconfig(uchardet)
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	locales
BuildRequires:	meson
# ovitters: for tests
BuildRequires:	lua-socket
BuildRequires:	glib-networking
BuildRequires:	gvfs

%description
Shared library used by totem.

%package	i18n
Summary:	Playlist parser library from the Totem Movie Player
Group:		System/Internationalization
BuildArch:	noarch

%description	i18n
This package contains the translations for %{name}.

%package -n	%{libname}
Summary:	Playlist parser library from the Totem Movie Player
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}

%description -n	%{libname}
Shared library used by totem.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}
Conflicts:	%{_lib}totem-plparser17 < 2.32.5-4

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%package -n	%{minilibname}
Summary:	Playlist parser library from the Totem Movie Player
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n	%{minilibname}
Shared library used by totem - minimal version.

%package -n	%{libnamedev}
Summary:	Static libraries, include files for totem playlist parser
Group:		Development/GNOME and GTK+
Provides:	totem-plparser-devel = %{version}
Provides:	libtotem-plparser-devel = %{version}
Requires:	%{libname} = %{version}
Requires:	%{minilibname} = %{version}
Requires:	%{girname} = %{version}

%description -n	%{libnamedev}
Static libraries, include files for totem playlist parser.

%prep
%autosetup -p1

%build
%meson -Denable-gtk-doc=true
%meson_build

%install
export LANG=UTF-8
%meson_install

%find_lang %{name}

%check
%meson_test

%files
%{_libexecdir}/%{name}/

%files i18n -f %{name}.lang

%files -n %{libname}
%doc README.md NEWS
%{_libdir}/libtotem-plparser.so.%{major}{,.*}

%files -n %{minilibname}
%{_libdir}/libtotem-plparser-mini.so.%{minimajor}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/TotemPlParser-1.0.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/TotemPlParser-1.0.gir
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}/
