# (tv) fix // build randomly failling with: 
# "error: Package `Totem-1.0' not found in specified Vala API directories or GObject-Introspection GIR directories"
%global _smp_ncpus_max 4

%define major		0
%define gi_major	1.0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gi_major}
%define busname		org.gnome.Totem

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Movie player for GNOME
Name:		totem
Version:	43.1
Release:	%mkrel 1
License:	GPLv2 with exception
Group:		Video/Players
URL:		https://wiki.gnome.org/Apps/Videos
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# git upstream (see https://gitlab.gnome.org/GNOME/totem)
# https://gitlab.gnome.org/GNOME/totem/-/merge_requests/369
# https://gitlab.gnome.org/GNOME/totem/-/issues/593
# https://bugzilla.redhat.com/show_bug.cgi?id=2176726
# Fixes crash when trying to delete last video
Patch2:		0001-grilo-Fix-crash-when-deleting-video.patch
#
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	shared-mime-info
BuildRequires:	desktop-file-utils
BuildRequires:	appdata-tools
BuildRequires:	python3dist(pylint)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(grilo-0.3)
BuildRequires:	pkgconfig(grilo-pls-0.3)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	gstreamer1.0-plugins-good
BuildRequires:	gstreamer1.0-plugins-bad
BuildRequires:	gstreamer1.0-soundtouch
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk+-x11-3.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libportal-gtk3)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(liblircclient0) >= 0.10.0
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(totem-plparser)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	libxml2-utils
BuildRequires:	yelp-tools
# For the gtkglsink element.
BuildRequires: gstreamer1.0-plugins-good

Requires:	grilo-plugins
Requires:	iso-codes
Requires:	gstreamer1.0-gstclutter3
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-soundtouch
Requires:	%arch_tagged gstreamer1(element-scaletempo)
Requires:	gstreamer1.0-soup
Requires:	python3-gobject3
Requires:	task-codec-video
Recommends:	gstreamer1.0-resindvd
Recommends:	gstreamer1.0-a52dec
Recommends:	gstreamer1.0-libav

# ovitters mga#5132: totem hard coded requirement on 2 gnome icon themes packages:
Requires:	adwaita-icon-theme

Obsoletes:	totem-mozilla < 3.12.2-2
Obsoletes:	totem-mozilla-flash < 3.12.2-2
Obsoletes:	totem-tracker < %{version}
Obsoletes:	totem-nautilus < 3.30.0-2

%description
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared libraries for %{name}
Requires:	gsettings-desktop-schemas

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{develname}
Group:		Development/C
Summary:	Devel files for %{name}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Devel files for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

%build
%meson -Denable-gtk-doc=true
%meson_build

%install
%meson_install

rm -rf \
 %{buildroot}%{_libdir}/libbaconvideowidget.so \
 %{buildroot}%{_libdir}/totem/plugins/bemused/ \
 %{buildroot}%{_libdir}/totem/plugins/mythtv/

%find_lang %{name} --with-gnome

%py_byte_compile %{python3} %{buildroot}%{_libdir}/totem/plugins/

%files -f %{name}.lang
%doc README AUTHORS NEWS
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/applications/%{busname}.desktop
%{_datadir}/metainfo/org.gnome.Totem.appdata.xml
%dir %{_libdir}/totem
%dir %{_libdir}/totem/plugins/
%{_libdir}/totem/plugins/apple-trailers
%{_libdir}/totem/plugins/autoload-subtitles
%{_libdir}/totem/plugins/mpris
%{_libdir}/totem/plugins/opensubtitles
%{_libdir}/totem/plugins/properties
%{_libdir}/totem/plugins/pythonconsole
%{_libdir}/totem/plugins/recent
%{_libdir}/totem/plugins/rotation
%{_libdir}/totem/plugins/screensaver
%{_libdir}/totem/plugins/screenshot
%{_libdir}/totem/plugins/skipto
%{_libdir}/totem/plugins/save-file
%{_libdir}/totem/plugins/vimeo/libvimeo.so
%{_libdir}/totem/plugins/vimeo/vimeo.plugin
%{_libdir}/totem/plugins/im-status
%{_libdir}/totem/plugins/open-directory
%{_libdir}/totem/plugins/variable-rate/libvariable-rate.so
%{_libdir}/totem/plugins/variable-rate/variable-rate.plugin
%{_libdir}/totem/plugins/open-directory/libopen-directory.so
%{_libdir}/totem/plugins/open-directory/open-directory.plugin
%{_datadir}/thumbnailers/totem.thumbnailer
%{_bindir}/totem
%{_bindir}/totem-video-thumbnailer
%{_datadir}/GConf/gsettings/
%{_datadir}/glib-2.0/schemas/*.xml
%{_libexecdir}/totem-gallery-thumbnailer
%{_mandir}/man1/*

%files -n %libname
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Totem-%{gi_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Totem-%{gi_major}.gir
