Name:		touchegg
Version:	2.0.17
Release:	%mkrel 1
Summary:	Multi-touch gestures recognizer
Group:		Graphical desktop/Other
License:	GPLv3
URL:		https://github.com/JoseExposito/touchegg
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libinput)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(pugixml)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	libstdc++-static-devel

Obsoletes:	touchegg-gui < 0.3-11

%description
Touchégg is an app that runs in the background and transform the gestures you
make on your touchpad or touchscreen into visible actions in your desktop.

For example, you can swipe up with 3 fingers to maximize a window or swipe left
with 4 finger to switch to the next desktop.

Many more actions and gestures are available and everything is easily
configurable.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%license COPYING COPYRIGHT
%doc README.md CHANGELOG.md
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_unitdir}/%{name}.service
