%define         major           2
%define         libname         %mklibname %{name} %{major}
%define         develname       %mklibname %{name} -d
%define         srcname         c-toxcore

Name:           toxcore
Version:        0.2.20
Release:        %mkrel 1
Summary:        A cryptographic network library for instant messaging
License:        GPLv3
Group:          Networking/Instant messaging

URL:            https://tox.chat
Source0:        https://github.com/TokTok/c-toxcore/releases/download/v%{version}/%{srcname}-%{version}.tar.gz


BuildRequires:  cmake
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libsodium)
BuildRequires:  pkgconfig(vpx)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(ncurses)


%description
Tox is an experimental peer to peer (serverless) instant messenger
aimed at making security and privacy easy to obtain for regular
users. It uses NaCl (sodium) for its encryption and authentication.



%package -n %{libname}
Summary:        A cryptographic network library for instant messaging
Group:          System/Libraries

%description -n %{libname}
Tox is an experimental peer to peer (serverless) instant messenger
aimed at making security and privacy easy to obtain for regular
users. It uses NaCl (sodium) for its encryption and authentication.


%package -n %{develname}
Summary:        Development files for the Toxcore libraries
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       toxcore-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for the Toxcore libraries.


%prep

%setup -q -n %{srcname}-%{version}


%build
./autogen.sh
%configure --disable-static
%make_build




%install
%make_install




%files -n %{libname}
%license LICENSE
%doc README.md CHANGELOG.md
%{_libdir}/libtox*.so.%{major}{,.*}


%files -n %{develname}
%{_includedir}/tox/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libtox*.so


