%global major   0
%define libname %mklibname tss2-tcti-tabrmd %major
%define devname %mklibname tss2-tcti-tabrmd -d

%global selinuxtype targeted

Name:		tpm2-abrmd
Version:	2.4.1
Release:	%mkrel 2
Summary:	A system daemon implementing TPM2 Access Broker and Resource Manager
Group:		Emulators
License:	BSD
URL:		https://github.com/tpm2-software/tpm2-abrmd
Source0:	https://github.com/tpm2-software/tpm2-abrmd/releases/download/%{version}/%{name}-%{version}.tar.gz

%{?systemd_requires}
BuildRequires:	systemd
BuildRequires:	libtool
BuildRequires:	autoconf-archive
BuildRequires:	pkgconfig(cmocka)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(tss2-mu)
BuildRequires:	pkgconfig(tss2-sys)

Conflicts:	%{libname} < 2.3.3-2

# tpm2-abrmd depends on the package that contains its SELinux policy module
#Requires: (%%{name}-selinux >= 2.0.0-1%%{?dist} if selinux-policy-%%{selinuxtype})
Requires(pre):	tpm2-tss >= 2.4.0

%description
tpm2-abrmd is a system daemon implementing the TPM2 access broker (TAB) and
Resource Manager (RM) spec from the TCG.

%package -n %libname
Summary:	Library for tpm2-abrmd
Group:		System/Libraries

%description -n %libname
Library for tpm2-abrmd.

%package -n %devname
Group:		Development/C
Summary:	Headers, static libraries and package config files of tpm2-abrmd
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 2.4.1-2

%description -n %devname
This package contains headers, static libraries and package config files
required to build applications that use tpm2-abrmd.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure --disable-static --disable-silent-rules \
           --with-systemdsystemunitdir=%{_unitdir} \
           --with-systemdpresetdir=%{_presetdir} \
           --with-dbuspolicydir=%{_datadir}/dbus-1/system.d/
%make_build

%install
%make_install

rm -f %{buildroot}/%{_presetdir}/tpm2-abrmd.preset

%post
%_post_service tpm2-abrmd

%preun
%_preun_service tpm2-abrmd

%postun
%_postun_service tpm2-abrmd

%files
%doc README.md CHANGELOG.md
%{_sbindir}/tpm2-abrmd
%{_datadir}/dbus-1/system.d/tpm2-abrmd.conf
%{_datadir}/dbus-1/system-services/com.intel.tss2.Tabrmd.service
%{_unitdir}/tpm2-abrmd.service
%{_mandir}/man7/tss2-tcti-tabrmd.7*
%{_mandir}/man8/tpm2-abrmd.8*

%files -n %libname
%doc README.md CHANGELOG.md
%license LICENSE
%{_libdir}/libtss2-tcti-tabrmd.so.%{major}{,.*}

%files -n %devname
%{_includedir}/tss2/tss2-tcti-tabrmd.h
%{_libdir}/libtss2-tcti-tabrmd.so
%{_libdir}/pkgconfig/tss2-tcti-tabrmd.pc
%{_mandir}/man3/Tss2_Tcti_Tabrmd_Init.3*
