#define candidate RC0

Name:		tpm2-pkcs11
Version:	1.9.1
Release:	%mkrel 3
Summary:	PKCS#11 interface for TPM 2.0 hardware
Group:          Emulators

License:	BSD
URL:		https://github.com/tpm2-software/tpm2-pkcs11
Source0:	https://github.com/tpm2-software/%{name}/releases/download/%{version}%{?candidate:-%{candidate}}/%{name}-%{version}%{?candidate:-%{candidate}}.tar.gz
Source1:	https://github.com/tpm2-software/%{name}/releases/download/%{version}%{?candidate:-%{candidate}}/%{name}-%{version}%{?candidate:-%{candidate}}.tar.gz.asc
# William Roberts (Bill Roberts) key from pgp.mit.edu
Source2:	gpgkey-8E1F50C1.gpg

BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	python3
BuildRequires:	libgcrypt-devel
BuildRequires:	libyaml-devel
BuildRequires:	openssl-devel
BuildRequires:	p11-kit-devel
BuildRequires:	sqlite3-devel
BuildRequires:	tpm2-tools
BuildRequires:	tpm2-tss-devel
BuildRequires:	tpm2-abrmd-devel
# for tools
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:	python3-setuptools
BuildRequires:	python3-pyasn1-modules
BuildRequires:	python3dist(pyyaml)
BuildRequires:	python3-cryptography
BuildRequires:	python3-tpm2-pytss
BuildRequires:	python3-bcrypt
# for tests
BuildRequires:	libcmocka-devel
BuildRequires:	dbus
# for tarball signature verification
BuildRequires:	gnupg2

%description
PKCS #11 is a Public-Key Cryptography Standard that defines a standard method
to access cryptographic services from tokens/ devices such as hardware security
modules (HSM), smart cards, etc. In this project we intend to use a TPM2 device
as the cryptographic token.

%package tools
Summary: The tools required to setup and configure TPM2 for PKCS#11
# Automatic generator does not work for me even though the requires.txt is in place
Requires:	python3-cryptography
Requires:	python3dist(pyyaml)
Requires:	python3-pyasn1-modules
Requires:	python3-tpm2-pytss

%description tools
The tools required to setup and configure TPM2 for PKCS#11.

%prep
#gpgv2 --quiet --keyring %%{SOURCE2} %%{SOURCE1} %%{SOURCE0}
%autosetup -p1 -n %{name}-%{version}%{?candidate:-%{candidate}}


%build
# (tv) break building:
%define _ssp_cflags %{nil}
%configure --enable-unit --with-fapi=yes
%{make_build}
cd tools
%pyproject_wheel


%install
%make_install
rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/tpm2-pkcs11.pc
[ -f $RPM_BUILD_ROOT%{_libdir}/pkcs11/libtpm2_pkcs11.la ] && \
  rm $RPM_BUILD_ROOT%{_libdir}/pkcs11/libtpm2_pkcs11.la
[ -f $RPM_BUILD_ROOT%{_libdir}/pkcs11/libtpm2_pkcs11.a ] && \
  rm $RPM_BUILD_ROOT%{_libdir}/pkcs11/libtpm2_pkcs11.a
cd tools
%pyproject_install
%pyproject_save_files tpm2_pkcs11
install -Dpm 755 tpm2_ptool $RPM_BUILD_ROOT%{_bindir}/tpm2_ptool


%check
make check
cd tools
# (tv) temporary ignore tools testsuite:
%pytest || :


%files
%license LICENSE
%{_datadir}/p11-kit/modules/tpm2_pkcs11.module
%%dir %{_libdir}/pkcs11
%{_libdir}/pkcs11/libtpm2_pkcs11.so
%{_libdir}/pkcs11/libtpm2_pkcs11.so.0*


%files tools -f %pyproject_files
%{_bindir}/tpm2_ptool

