%define major		0
%define major_1		1
%define libtss2_mu	%mklibname tss2-mu %{major}
%define libtss2_sys	%mklibname tss2-sys %{major_1}
%define libtss2_esys	%mklibname tss2-esys %{major}
%define libtss2_fapi	%mklibname tss2-fapi %{major_1}
%define libtss2_policy	%mklibname tss2-policy %{major}
%define libtss2_rc	%mklibname tss2-rc %{major}
%define libtss2_tctildr	%mklibname tss2-tctildr %{major}
%define libtss2_tcti_c	%mklibname tss2-tcti-cmd %{major}
%define libtss2_tcti_d	%mklibname tss2-tcti-device %{major}
%define libtss2_tcti_i2	%mklibname tss2-tcti-i2c-helper %{major}
%define libtss2_tcti_m	%mklibname tss2-tcti-mssim %{major}
%define libtss2_tcti_p	%mklibname tss2-tcti-pcap %{major}
%define libtss2_tcti_sp	%mklibname tss2-tcti-spidev %{major}
%define libtss2_tcti_h	%mklibname tss2-tcti-spi-helper %{major}
%define libtss2_tcti_s	%mklibname tss2-tcti-swtpm %{major}
%define develname	%mklibname %{name} -d

%define udevrules_prefix	60-

Name:		tpm2-tss
Version:	4.1.3
Release:	%mkrel 1
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
# The entire source code is under BSD except implementation.h and tpmb.h which
# is under TCGL(Trusted Computing Group License).
License:	BSD and TCGL
URL:		https://github.com/tpm2-software/tpm2-tss
Source0:	https://github.com/tpm2-software/tpm2-tss/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:		tpm2-tss-2.4.0-add-group.patch
Patch1:		tpm2-tss-linking.patch
BuildRequires:	acl
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	doxygen
BuildRequires:	autoconf-archive
BuildRequires:	libtool
BuildRequires:	systemd
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(uuid)

%description
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_mu}
Summary:	TPM2 type marshaling and unmarshaling library
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	tss2-mu = %{version}-%{release}

%description -n	%{libtss2_mu}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_sys}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	tss2-sys = %{version}-%{release}

%description -n	%{libtss2_sys}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_esys}
Summary:	TPM2 Enhanced System API library
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	tss2-esys = %{version}-%{release}

%description -n	%{libtss2_esys}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_fapi}
Summary:	TPM2 Feature API library
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	tss2-fapi = %{version}-%{release}

%description -n	%{libtss2_fapi}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_policy}
Summary:	TPM2 Feature API library
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	tss2-policy = %{version}-%{release}

%description -n	%{libtss2_policy}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_rc}
Summary:	TPM2 error decoding library
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	tss2-rc = %{version}-%{release}

%description -n	%{libtss2_rc}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tctildr}
Summary:	Library to simplify management of TCTIs
Group:		System/Libraries
Provides:	tss2-tctildr = %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}
Requires:	%{libtss2_tcti_c} >= %{version}-%{release}
Requires:	%{libtss2_tcti_i2} >= %{version}-%{release}
Requires:	%{libtss2_tcti_d} >= %{version}-%{release}
Requires:	%{libtss2_tcti_m} >= %{version}-%{release}
Requires:	%{libtss2_tcti_p} >= %{version}-%{release}
Requires:	%{libtss2_tcti_sp} >= %{version}-%{release}
Requires:	%{libtss2_tcti_h} >= %{version}-%{release}
Requires:	%{libtss2_tcti_s} >= %{version}-%{release}

%description -n	%{libtss2_tctildr}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_c}
Summary:	TCTI library for communicating with a subproccess that can communicate with the TPM
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	tss2-tcti-cmd = %{version}-%{release}

%description -n	%{libtss2_tcti_c}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_d}
Summary:	TCTI library for communicating with a TPM device node
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	tss2-tcti-device = %{version}-%{release}

%description -n	%{libtss2_tcti_d}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_i2}
Summary:	TCTI library for communicating with a TPM device node
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	tss2-tcti-i2c-helper = %{version}-%{release}

%description -n	%{libtss2_tcti_i2}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_m}
Summary:	TCTI library for communicating with the Microsoft TPM2 simulator
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	tss2-tcti-mssim = %{version}-%{release}

%description -n	%{libtss2_tcti_m}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_p}
Summary:	TCTI library for debugging at the TCTI interface
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	tss2-tcti-pcap = %{version}-%{release}

%description -n	%{libtss2_tcti_p}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_sp}
Summary:	TCTI library for communicating with spi helper
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	libtss2-tcti-spidev = %{version}-%{release}

%description -n	%{libtss2_tcti_sp}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_h}
Summary:	TCTI library for communicating with spi helper
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	tss2-tcti-spi-helper = %{version}-%{release}

%description -n	%{libtss2_tcti_h}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_s}
Summary:	TCTI library for communicating with swtpm
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}
Provides:	tss2-tcti-swtpm = %{version}-%{release}

%description -n	%{libtss2_tcti_s}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libtss2_mu} = %{version}-%{release}
Requires:	%{libtss2_sys} = %{version}-%{release}
Requires:	%{libtss2_esys} = %{version}-%{release}
Requires:	%{libtss2_fapi} = %{version}-%{release}
Requires:	%{libtss2_policy} = %{version}-%{release}
Requires:	%{libtss2_rc} = %{version}-%{release}
Requires:	%{libtss2_tctildr} = %{version}-%{release}
Requires:	%{libtss2_tcti_c} = %{version}-%{release}
Requires:	%{libtss2_tcti_i2} = %{version}-%{release}
Requires:	%{libtss2_tcti_d} = %{version}-%{release}
Requires:	%{libtss2_tcti_m} = %{version}-%{release}
Requires:	%{libtss2_tcti_p} = %{version}-%{release}
Requires:	%{libtss2_tcti_sp} = %{version}-%{release}
Requires:	%{libtss2_tcti_h} = %{version}-%{release}
Requires:	%{libtss2_tcti_s} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}

%build
autoreconf -fi
# Use built-in tpm-udev.rules, with specified installation path and prefix.
%configure \
	--disable-static \
	--with-sysusersdir=%{_sysusersdir} \
	--with-tmpfilesdir=%{_tmpfilesdir} \
	--with-udevrulesdir=%{_udevrulesdir} \
	--with-udevrulesprefix=%{udevrules_prefix} \
	--with-runstatedir=%{_rundir}

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc README.md CHANGELOG.md
%license LICENSE
%{_tmpfilesdir}/tpm2-tss-fapi.conf
%{_sysconfdir}/tpm2-tss/
%{_udevrulesdir}/%{udevrules_prefix}tpm-udev.rules
%{_sysusersdir}/%{name}.conf

%files -n %{libtss2_mu}
%{_libdir}/libtss2-mu.so.%{major}{,.*}

%files -n %{libtss2_sys}
%{_libdir}/libtss2-sys.so.%{major_1}{,.*}

%files -n %{libtss2_esys}
%{_libdir}/libtss2-esys.so.%{major}{,.*}

%files -n %{libtss2_fapi}
%{_libdir}/libtss2-fapi.so.%{major_1}{,.*}

%files -n %{libtss2_policy}
%{_libdir}/libtss2-policy.so.%{major}{,.*}

%files -n %{libtss2_rc}
%{_libdir}/libtss2-rc.so.%{major}{,.*}

%files -n %{libtss2_tctildr}
%{_libdir}/libtss2-tctildr.so.%{major}{,.*}

%files -n %{libtss2_tcti_c}
%{_libdir}/libtss2-tcti-cmd.so.%{major}{,.*}

%files -n %{libtss2_tcti_d}
%{_libdir}/libtss2-tcti-device.so.%{major}{,.*}

%files -n %{libtss2_tcti_i2}
%{_libdir}/libtss2-tcti-i2c-helper.so.%{major}{,.*}

%files -n %{libtss2_tcti_m}
%{_libdir}/libtss2-tcti-mssim.so.%{major}{,.*}

%files -n %{libtss2_tcti_p}
%{_libdir}/libtss2-tcti-pcap.so.%{major}{,.*}

%files -n %{libtss2_tcti_sp}
%{_libdir}/libtss2-tcti-spidev.so.%{major}{,.*}

%files -n %{libtss2_tcti_h}
%{_libdir}/libtss2-tcti-spi-helper.so.%{major}{,.*}

%files -n %{libtss2_tcti_s}
%{_libdir}/libtss2-tcti-swtpm.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/tss2/
%{_libdir}/libtss2-mu.so
%{_libdir}/libtss2-sys.so
%{_libdir}/libtss2-esys.so
%{_libdir}/libtss2-fapi.so
%{_libdir}/libtss2-policy.so
%{_libdir}/libtss2-rc.so
%{_libdir}/libtss2-tctildr.so
%{_libdir}/libtss2-tcti-cmd.so
%{_libdir}/libtss2-tcti-device.so
%{_libdir}/libtss2-tcti-i2c-helper.so
%{_libdir}/libtss2-tcti-mssim.so
%{_libdir}/libtss2-tcti-pcap.so
%{_libdir}/libtss2-tcti-spidev.so
%{_libdir}/libtss2-tcti-spi-helper.so
%{_libdir}/libtss2-tcti-swtpm.so
%{_libdir}/pkgconfig/tss2-mu.pc
%{_libdir}/pkgconfig/tss2-sys.pc
%{_libdir}/pkgconfig/tss2-esys.pc
%{_libdir}/pkgconfig/tss2-fapi.pc
%{_libdir}/pkgconfig/tss2-policy.pc
%{_libdir}/pkgconfig/tss2-rc.pc
%{_libdir}/pkgconfig/tss2-tctildr.pc
%{_libdir}/pkgconfig/tss2-tcti-cmd.pc
%{_libdir}/pkgconfig/tss2-tcti-device.pc
%{_libdir}/pkgconfig/tss2-tcti-i2c-helper.pc
%{_libdir}/pkgconfig/tss2-tcti-mssim.pc
%{_libdir}/pkgconfig/tss2-tcti-pcap.pc
%{_libdir}/pkgconfig/tss2-tcti-spidev.pc
%{_libdir}/pkgconfig/tss2-tcti-spi-helper.pc
%{_libdir}/pkgconfig/tss2-tcti-swtpm.pc
%{_mandir}/man3/*.3.*
%{_mandir}/man5/fapi*.5.*
%{_mandir}/man7/tss2*.7.*
