Name:		trackballs
Version:	1.3.4
Release:	%mkrel 2
Summary:	A Marble Madness-like game
Group:		Games/Arcade
License:	GPLv2
URL:		https://trackballs.github.io/
Source:		https://github.com/trackballs/trackballs/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(guile-3.0)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(glu)
BuildRequires:	desktop-file-utils
Obsoletes:	trackballs-music < 1.5

%description
Trackballs is a simple game similar to the
classical game Marble Madness, on the Amiga,
in the 80's. By steering a marble ball through
a labyrinth filled with vicious hammers, pools
of acid and other obstacles the player collects
points.

When the ball reaches the destination you continue
on the next, more difficult, level - unless, of
course, the time runs out.

You steer the ball using the mouse and by pressing
>spacebar< you can jump a short distance.

When all levels are finished, an editor mode permits
to create new ones ("trackballs -e").
All is explained in the docs.

%prep
%autosetup -p1

%build
%cmake \
	-DTRACKBALLS_BIN_DIR=%{_gamesbindir} \
	-DTRACKBALLS_DOC_DIR=%{_docdir}/trackballs \
	-DTRACKBALLS_SHARE_DIR=%{_gamesdatadir}/trackballs \
	-DTRACKBALLS_HIGHSCORES_DIR=%{_localstatedir}/lib/games/%{name}/highScores
%cmake_build

%install
%make_install -C %{_vpath_builddir} MKINSTALLDIRS=`pwd`/mkinstalldirs iconsdir=%{buildroot}%{_iconsdir}/hicolor

%find_lang %{name}

%files -f %{name}.lang
%attr(2755,root,games) %{_gamesbindir}/%{name}
%{_docdir}/%{name}
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_metainfodir}/%{name}.appdata.xml
%attr(664, root, games) %ghost %{_localstatedir}/lib/games/%{name}/highScores
