Summary:        A utility for converting FIG files (created by xfig) to other formats
Name:           transfig
Version:        3.2.8b
Release:        %mkrel 2
License:        MIT
Group:          Graphics/Utilities
URL:            https://sourceforge.net/projects/mcj/
Source0:        https://downloads.sourceforge.net/mcj/fig2dev-%{version}.tar.xz
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  imake
BuildRequires:  libtool
BuildRequires:  tcsh
BuildRequires:  ghostscript
Requires:       ghostscript
Requires:       netpbm

%description
The transfig utility creates a makefile which translates FIG (created by xfig)
or PIC figures into a specified LaTeX graphics language (for example,
PostScript(TM)). Transfig is used to create TeX documents which are portable
(i.e., they can be printed in a wide variety of environments).

%prep
%setup -q -n fig2dev-%{version}
%autopatch -p1

# Fix the manpage not being in UTF-8
iconv -f ISO-8859-15 -t UTF-8 man/fig2dev.1.in -o fig2dev.1.in.new
touch -r man/fig2dev.1.in fig2dev.1.in.new
mv fig2dev.1.in.new man/fig2dev.1.in

%build
autoreconf -vfi
%configure --enable-transfig
%make_build

%install
%make_install

%files
%doc CHANGES NOTES README
%{_bindir}/*
%{_datadir}/fig2dev/
%{_mandir}/man?/*
