Name:           transifex-client
Version:        0.14.4
Release:        %mkrel 4
Summary:        Command line client for transifex
License:        BSD
Group:          Networking/WWW
BuildArch:      noarch
URL:            https://pypi.org/project/transifex-client/
Source0:        https://github.com/transifex/transifex-client/archive/%{version}/%{name}-%{version}.tar.gz
# Upstream issue: https://github.com/transifex/transifex-client/issues/323
Patch0:         transifex-client-0.14.4-relax-python-slugify-version-check.patch
# https://github.com/transifex/transifex-client/pull/316
Patch1:         tx-client-pr316-int32-overflow.patch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

# Test suite requirements:
BuildRequires:  git
BuildRequires:  python3dist(gitpython)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(python-slugify)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(urllib3)

%description
The Transifex Command-line Client is a command line tool that enables you
to easily manage your translations within a project without the need of
an elaborate UI system, by using Transifex hosted services, or your own
instance.

You can use the command line client to easily create new resources, map locale
files to translations and synchronize your Transifex project with your local
repository and vice versa. Translators and localization managers can also
use it to handle large volumes of translation files easily and without much
hassle.

%prep
# Using git init as there's one test relying on it.
%autosetup -S git

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files txclib

%check
%pytest

%files -f %{pyproject_files}
%doc README.md
%{_bindir}/tx
