Summary:	Simple Bittorrent client
Name:		transmission
Version:	4.0.6
Release:	%mkrel 2
License:	MIT and GPLv2
Group:		Networking/File transfer
URL:		https://transmissionbt.com/
Source0:	https://github.com/transmission/transmission/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch1:		0001-bump-miniupnpc-to-2.2.8.patch
BuildRequires:	bzip2
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	miniupnpc-devel
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libdeflate)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
# ovitters: needs to be built with -DENABLE_STRNATPMPERR  as CLAGFS, fixed in below version
BuildRequires:	libnatpmp-devel >= 20150609-4

%description
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top of an efficient back-end.

%package common
Summary:	Common files for Transmission Bittorrent client
Group:		Networking/File transfer
BuildArch:	noarch

%description common
Transmission is a free, lightweight BitTorrent client. This package
contains the common files used by the different front-ends.

%package cli
Summary:	Command line interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}

%description cli
Transmission is a free, lightweight BitTorrent client. This package
contains the command line interface front-end.

NOTE: This tool has been deprecated by the Transmission developers!

%package gtk3
Summary:	GTK+ 3 Interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}-gui = %{version}-%{release}

%description gtk3
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top of an efficient back-end.

This package provides the GTK+ 3 Interface.

%package qt6
Summary:	Qt6 Interface for Transmission BitTorrent client
Group:		Networking/File transfer
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name}-common = %{version}

Provides:	%{name}-qt5 = %{version}-%{release}
Obsoletes:	%{name}-qt5 < 3.00-10

%description qt6
Transmission is a simple BitTorrent client. It features a very simple,
intuitive interface (gui and command-line) on top on an efficient,
cross-platform back-end.

This package contains QTransmission, a Qt6 based GUI for Transmission
loosely based on the GTK+ client.

%package daemon
Summary:	Daemon for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}
Requires(pre):		shadow-utils
Requires(pre):		rpm-helper >= 0.24.8-1
Requires(post):		systemd
Requires(preun):	systemd
Requires(preun):	rpm-helper >= 0.24.8-1
Requires(postun):	systemd

%description daemon
Transmission is a simple BitTorrent client. It features a very simple,
intuitive interface (gui and command-line) on top on an efficient,
cross-platform back-end.

This package contains the transmission-daemon.

%prep
%autosetup -p1

%build
%cmake \
  -DENABLE_CLI:BOOL=ON \
  -DENABLE_GTK:BOOL=ON \
  -DENABLE_QT:BOOL=ON \
  -DENABLE_TESTS:BOOL=OFF \
  -DINSTALL_LIB:BOOL=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name}-gtk

# systemd service file
install -m0644 -D daemon/transmission-daemon.service %{buildroot}%{_unitdir}/transmission-daemon.service

%pre daemon
%_pre_useradd transmission %{_sharedstatedir}/transmission /sbin/nologin

%post daemon
%systemd_post transmission-daemon.service

%preun daemon
%systemd_preun transmission-daemon.service

%postun daemon
%systemd_postun_with_restart transmission-daemon.service

%files common
%doc %{_docdir}/%{name}/
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/public_html/
%{_iconsdir}/hicolor/*/apps/*.svg

%files cli
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-create
%{_bindir}/%{name}-edit
%{_bindir}/%{name}-remote
%{_bindir}/%{name}-show
%{_mandir}/man1/%{name}-cli.1*
%{_mandir}/man1/%{name}-create.1*
%{_mandir}/man1/%{name}-edit.1*
%{_mandir}/man1/%{name}-remote.1*
%{_mandir}/man1/%{name}-show.1*

%files daemon
%{_bindir}/%{name}-daemon
%{_mandir}/man1/%{name}-daemon.1*
%{_unitdir}/%{name}-daemon.service

%files gtk3 -f %{name}-gtk.lang
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_mandir}/man1/%{name}-gtk.1*
%{_metainfodir}/%{name}-gtk.metainfo.xml

%files qt6
%{_bindir}/%{name}-qt
%{_datadir}/applications/%{name}-qt.desktop
%{_mandir}/man1/%{name}-qt.1*
%{_datadir}/%{name}/translations/
