%define major     5
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%bcond_without  tests

Name:           tre
Version:        0.9.0
Release:        %mkrel 1
Summary:        Lightweight, robust, and efficient POSIX compliant regexp matching library
License:        GPLv2+
Group:          System/Libraries
URL:            https://laurikari.net/tre/
Source0:        https://github.com/laurikari/tre/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  libltdl-devel
BuildRequires:  libzip-devel
BuildRequires:  gettext-devel
%{?with_tests:
BuildRequires:  locales-en }

%description
TRE is a lightweight, robust, and efficient POSIX compliant regexp
matching library with some exciting features such as approximate
matching.

%package -n     %{libname}
Summary:        Lightweight, robust, and efficient POSIX compliant regexp matching library
Group:          System/Libraries

%description -n %{libname}
TRE is a lightweight, robust, and efficient POSIX compliant regexp
matching library with some exciting features such as approximate
matching.

%package -n     agrep
Summary:        Approximate matching
Group:          Text tools

%description -n agrep
Approximate pattern matching allows matches to be approximate,
that is, allows the matches to be close to the searched pattern
under some measure of closeness. TRE uses the edit-distance
measure (also known as the Levenshtein distance) where characters
can be inserted, deleted, or substituted in the searched text in
order to get an exact match. Each insertion, deletion, or
substitution adds the distance, or cost, of the match. TRE can
report the matches which have a cost lower than some given
threshold value. TRE can also be used to search for matches with
the lowest cost.

TRE includes a version of the agrep command line tool for
approximate regexp matching in the style of grep.  Unlike other
agrep implementations (like the one by Sun Wu and Udi Manber from
University of Arizona available) TRE agrep allows full regexps of
any length, any number of errors, and non-uniform costs for
insertion, deletion and substitution.

%package -n     %{develname}
Summary:        Header files and libraries for developing apps with %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
    --disable-static \
    --disable-rpath
%make_build

%install
%make_install

%find_lang %{name}

%check
%{?with_tests:
make check || : }

%files -n %{libname}
%license LICENSE
%doc AUTHORS ChangeLog.old NEWS README.md THANKS TODO
%doc doc/tre-syntax.html
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n agrep -f %{name}.lang
%license LICENSE
%{_bindir}/agrep
%{_mandir}/man1/*

%files -n %{develname}
%{_includedir}/tre/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/tre.pc
