%define oname	TrustedQSL
%define sname	tqsl
#define tqslver	%%(echo %%{version} | cut -d. -f1,2)
%define tqslver	2.5

Summary:	TrustedQSL ham-radio applications
Name:		trustedqsl
Version:	2.7.5
Release:	%mkrel 1
License:	BSD-like
Group:		Networking/Other
Url:		https://sourceforge.net/projects/trustedqsl/
# https://www.arrl.org/tqsl-download
Source0:	https://downloads.sourceforge.net/%{name}/%{sname}-%{version}.tar.gz
# from fedora:
Patch50:	tqsl-2.7.4-tqsllib.patch
BuildRequires:	cmake
BuildRequires:	dos2unix
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(lmdb)

%description
The TrustedQSL applications are used for generating digitally signed
QSO records (records of Amateur Radio contacts). This package
contains the GUI application tqsl.

%prep
%autosetup -p1 -n %{sname}-%{version}

#fix EOL
dos2unix README

%build
export CXXFLAGS="%{build_cxxflags} -Wno-deprecated-declarations"
%cmake \
	-DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON \
	-DBUILD_ALL_EXTRAPROGS:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang tqslapp

#fix .desktop files
desktop-file-install \
	--remove-key=Encoding \
	--remove-category=Application \
	--add-category=Network \
	--dir %{buildroot}%{_datadir}/applications/ \
	%{buildroot}%{_datadir}/applications/*.desktop

#no devel pkg
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_libdir}/libtqsllib.so

%files -f tqslapp.lang
%doc LICENSE.txt README AUTHORS.txt html/
%{_bindir}/%{sname}
%{_libdir}/libtqsllib.so.%{tqslver}
%{_datadir}/%{oname}/
%{_datadir}/applications/org.arrl.%{name}.desktop
%{_datadir}/pixmaps/%{oname}.png
%{_iconsdir}/hicolor/*/apps/org.arrl.%{name}.png
%{_mandir}/man?/%{sname}.?.*
