%define uname   TSC

Name:           tsc
Version:        2.1.0
Release:        %mkrel 15
Summary:        The Secret Chronicles of Dr. M. - a 2D platform game in classic style
Group:          Games/Arcade
License:        GPLv3+
URL:            https://secretchronicles.org
Source0:        https://ftp.secretchronicles.org/releases/%{uname}-%{version}.tar.gz
# Update mruby submodule to version 2.1.2 (https://github.com/Secretchronicles/TSC/commit/06de7e3c9)
Source1:        https://github.com/mruby/mruby/archive/1a9bdfcde5fd7c91e756747ba0565f29385115a7.tar.gz
Patch0:         TSC-missing-includes.patch
Patch1:         0001-Replace-tinyclipboard-with-SFML-closes-690.patch
Patch2:         add-missing-fstream-header.patch
BuildRequires:  bison
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  gperf
BuildRequires:  pkgconfig(CEGUI-0-OPENGL)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(IL)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(sfml-all)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  ruby-rake

Requires:       %{name}-data >= %{version}

Provides:       smc = %{version}-%{release}

%description
The Secret Chronicles of Dr. M. (TSC) is a 2D sidescrolling platform game,
with a rich set of graphics, music, and an advanced level editor that
allows you to create your own levels. The level editor allows for in-game
scripting so there are no borders apart from your imagination.

The project is a fork of Super Maryo Chronicles (SMC), which is no longer
developed actively.

%package data
Summary:        Games data for the %{uname} game
Group:          Games/Arcade
BuildArch:      noarch

%description data
This package contains data files for The Secret Chronicles of Dr. M.,
a 2D sidescrolling platform game.

%prep
%autosetup -p1 -n %{uname}-%{version} -a1

# Update mruby submodule to version 2.1.2
rm -rf ./mruby/mruby
mv ./mruby-1a9bdfcde5fd7c91e756747ba0565f29385115a7 ./mruby/mruby/

# convenience.hpp was removed in boost 1.85.0
sed -i -e 's,filesystem/convenience.hpp,filesystem.hpp,g' $(grep -rl convenience.hpp)

%build
%global _vpath_srcdir tsc
%cmake \
  -DCMAKE_INSTALL_BINDIR=games \
  -DCMAKE_INSTALL_DATADIR=share/games
%cmake_build

%install
%cmake_install

%files
%license COPYING tsc/docs/authors.txt
%doc README.md
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_docdir}/%{name}/scriptdocs/
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*

%files data
%{_gamesdatadir}/%{name}/
