%define major           1
%define libname         %mklibname %{name} %{major}
%define libnamedev      %mklibname %{name} %{major} -d
%define beta            beta5

%define rel	23

Name:           tsocks
Version:        1.8
Release:        %mkrel 0.%{beta}.%{rel}
Summary:        A transparent SOCKS proxying library
License:        GPLv2+
Group:          Networking/Other
URL:            https://tsocks.sourceforge.net/
Source0:        https://downloads.sourceforge.net/tsocks/%{name}-%{version}%{beta}.tar.bz2
# from fedora
Patch1:         tsocks_remove_static_lib.patch
Patch2:         tsocks-gcc14.patch
Requires:       %{libname} = %{version}-%{release}

%description
tsocks' role is to allow these non SOCKS aware applications (e.g.
telnet, ssh, ftp) to use SOCKS without any modification. It does
this by intercepting the calls that applications make to establish
network connections and negotiating them through a SOCKS server as
necessary.

%package -n %{libname}
Summary:        Library for %{name}
Group:          System/Libraries

%description -n %{libname}
Library for %{name}.

%prep
%autosetup -p1

perl -pi -e 's,(?:/usr)?/lib/lib%{name}(\.|\\\.)so,%{_libdir}/lib%{name}${1}so${1}%{major},g' %{name} %{name}.8

%build
%configure
%make_build DYNLIB_FLAGS="-Wl,-soname -Wl,libtsocks.so.%{major}"

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.so

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}.8*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
