%define commit 0
%define rel 10
%define service_name tt-rss-updated

%if "%{commit}" != "0"
%define tarball %{commit}.zip
%define distname Tiny-Tiny-RSS-%{commit}
%define release %mkrel 2.%{commit}.%{rel}
%else
%define tarball %{version}.tar.gz
%define distname Tiny-Tiny-RSS-%{version}
%define release %mkrel %{rel}
%endif

%global __requires_exclude pear\\((autoload|db-prefs|db|functions|ntlm_sasl_client|register_expire_do|sessions).php\\)

Summary:	Tiny Tiny RSS: web-based news feed (RSS/Atom) reader and aggregator
Name:		tt-rss
Version:	1.12
Release:	%{release}
Source0:	https://github.com/gothfox/Tiny-Tiny-RSS/archive/%{tarball}
Source1:	%{service_name}.service
Patch0:		Tiny-Tiny-RSS-1.7.6-configpath.patch
License:	GPLv3
Group:		System/Servers
Url:		https://tt-rss.org/
BuildArch:	noarch
Conflicts:	php-suhosin < 0.9.34-0.0.git1fba865.4
# for update_daemon2.php
Requires:	php-cli, php-pcntl
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
Tiny Tiny RSS is an open source web-based news feed (RSS/Atom) reader
and aggregator, designed to allow you to read news from any location,
while feeling as close to a real desktop application as possible.

%prep
%setup -q -n %{distname}
%autopatch -p1
find -name '*.00*' | xargs -r rm

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a * %{buildroot}%{_datadir}/%{name}

install -d -m0700 %{buildroot}%{_localstatedir}/lib/%{name}
for d in cache feed-icons lock; do
    mv %{buildroot}%{_datadir}/%{name}/$d %{buildroot}%{_localstatedir}/lib/%{name}
    ln -s %{_localstatedir}/lib/%{name}/$d %{buildroot}%{_datadir}/%{name}/$d
done

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
ln -s %{_sysconfdir}/%{name}/config.php %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# gitweb configuration
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Require all granted
</Directory>
EOF

# systemd service to run update_daemon2.php
install -d -m 755 %{buildroot}/lib/systemd/system
install -c -m 644 %{SOURCE1} %{buildroot}/lib/systemd/system/

%post
%_post_service %{service_name}

%preun
%_preun_service %{service_name}

%files
%{_webappconfdir}/%{name}.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
%attr(0700,apache,apache) %dir %{_sysconfdir}/%{name}
/lib/systemd/system/%{service_name}.service
