Name:		ttaenc
Version:	3.4.1
Release:	%mkrel 11
Summary:	The True Audio (TTA) Codec Lossless audio compressor
License:	GPLv2
Group:		Sound/Editors and Converters
URL:		https://sourceforge.net/projects/tta/
Source:		https://sourceforge.net/projects/tta/files/tta/ttaenc-src/%{name}-%{version}-src.tgz
Patch0:		ttaenc-3.4.1-mdv-src-shntool.patch
Patch1:		ttaenc-3.4.1-mga-Honor-user-C-XX-FLAGS.patch
Patch2:		ttaenc-3.4.1-static_inline.patch


%description
TTA performs Lossless compression on multichannel 8,16 and 24 bits
data of the Wav audio files. Being "lossless" means that no data-
quality is lost in the compression - when uncompressed, the data will
be identical to the original. The compression ratios of TTA depend on
the type of music file being compressed, but the compression size
will generally range between 30% - 70% of the original. TTA format
supports both of ID3v1/v2 and APEv2 tags. Detailed format description
is available at http://tta.sourceforge.net

This version is patched with shntool patch.

%prep
%setup -q -n %{name}-%{version}-src
%autopatch -p1

# disable sse flags on arm/aarch64
%ifarch %{arm} aarch64
sed -i -e 's| -msse||' Makefile
%endif

%build
%set_build_flags
%make_build

%install
%make_install

%files
%doc COPYING README
%{_bindir}/%{name}
