%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		ttfautohint
Version:	1.8.4
Release:	%mkrel 2
Summary:	The ttfautohint utility for TrueType fonts
Group:		Publishing
License:	FTL or GPLv2
Url:		https://www.freetype.org/ttfautohint
Source0:	https://download.savannah.gnu.org/releases/freetype/%{name}-%{version}.tar.gz
BuildRequires:	freetype2-devel
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	qtbase5-common-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Gui)

%description
ttfautohint is a library written in C which takes a TrueType font as the
input, removes its bytecode instructions (if any), and returns a new font
where all glyphs are bytecode hinted using the information given by
FreeType's autohinting module. The idea is to provide the excellent quality
of the autohinter on platforms which don't use FreeType.

%package -n %{libname}
Summary:	The ttfautohint utility library
Group:		System/Libraries

%description -n %{libname}
ttfautohint is a library written in C which takes a TrueType font as the
input, removes its bytecode instructions (if any), and returns a new font
where all glyphs are bytecode hinted using the information given by
FreeType's autohinting module. The idea is to provide the excellent quality
of the autohinter on platforms which don't use FreeType.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%package gui
Summary:	Qt based GUI for the ttfautohint utility for TrueType fonts
Group:		Publishing

%description gui
ttfautohint is a library written in C which takes a TrueType font as the
input, removes its bytecode instructions (if any), and returns a new font
where all glyphs are bytecode hinted using the information given by
FreeType's autohinting module. The idea is to provide the excellent quality
of the autohinter on platforms which don't use FreeType.

%prep
%setup -q

%build
export PATH=$PATH:%{_qt5_bindir}
%configure \
	--disable-rpath \
	--disable-static
%make_build

%install
%make_install

%files
%license COPYING FTL.TXT GPLv2.TXT
%doc AUTHORS README TODO THANKS NEWS
%doc %{_docdir}/ttfautohint/
%{_bindir}/ttfautohint
%{_mandir}/man1//ttfautohint.1*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/ttfautohint*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files gui
%license COPYING FTL.TXT GPLv2.TXT
%doc AUTHORS README TODO THANKS NEWS
%{_bindir}/ttfautohintGUI
%{_mandir}/man1//ttfautohintGUI.1*
