# exclude plugins .so from provides
%define __provides_exclude_from %{_libdir}/tumbler-1/plugins/.*\\.so

%define major		0
%define api		1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary: 	A thumbnail D-Bus service
Name: 		tumbler
Version: 	4.21.0
Release: 	%mkrel 1
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		https://gitlab.xfce.org/xfce/tumbler/
Source0: 	https://archive.xfce.org/src/xfce/tumbler/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		tumbler-arm-linking.patch
BuildRequires:	meson
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libffmpegthumbnailer)
%if %{mgaversion} >= 9
BuildRequires:	pkgconfig(libgepub-0.7)
%else
BuildRequires:  pkgconfig(libgepub-0.6)
%endif
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libopenraw-gnome-0.1)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.18.0
BuildRequires:	pkgconfig(poppler-glib)

%description
Tumbler is a D-Bus service for applications to request thumbnails for
various URI schemes and MIME types. It is an implementation of the
thumbnail management D-Bus specification.

%package -n %{libname}
Summary:	A D-bus thumbnailing framework
Group:		System/Libraries

%description -n %{libname}
Tumbler is a D-Bus service for applications to request thumbnails for
various URI schemes and MIME types.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%autosetup -p1

%if %{mgaversion} >= 9
# build against libgepub-0.7
sed -i -e 's/libgepub-0.6/libgepub-0.7/g' meson.build
%endif

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README*
%dir %{_sysconfdir}/xdg/tumbler/
%{_sysconfdir}/xdg/tumbler/tumbler.rc
%{_userunitdir}/tumblerd.service
%dir %{_libdir}/tumbler-1/
%{_libdir}/tumbler-1/tumblerd
%dir %{_libdir}/tumbler-1/plugins/
%dir %{_libdir}/tumbler-1/plugins/cache/
%{_libdir}/tumbler-1/plugins/cache/tumbler-cache-plugin.so
%{_libdir}/tumbler-1/plugins/cache/tumbler-xdg-cache.so
%{_libdir}/tumbler-1/plugins/tumbler-cover-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-desktop-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-gepub-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-gst-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-ffmpeg-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-font-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-jpeg-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-odf-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-pixbuf-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-poppler-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-raw-thumbnailer.so
%{_datadir}/dbus-1/services/*.service
%{_iconsdir}/hicolor/*/apps/org.xfce.tumbler.*

%files -n %{libname}
%{_libdir}/*tumbler-%{api}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*tumbler-%{api}.so
%{_includedir}/tumbler-%{api}/
%{_libdir}/pkgconfig/tumbler-%{api}.pc
