%define _tde_services /opt/trinity/share/apps/konqueror/servicemenus

%define plasma 1
%{?_without_plasma: %global plasma 0}
%{?_with_plasma: %global plasma 1}
%define gtk 1
%{?_without_gtk: %global gtk 0}
%{?_with_gtk: %global gtk 1}

Name:		tuncel
Summary:	Service menu or Actions for various desktops
Version:	2.1
Release:	%mkrel 2

License:	GPLv2
Group:		Development/Other
Url:		https://github.com/tarakbumba/tuncel
Source0:	%{url}/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0:		tuncel-2.0-python3.patch
Patch1:		tuncel-2.1-fix-plasma6-servicemenus-dir.patch

%if %{plasma}
BuildRequires:  kf6-rpm-macros
%endif
%if %{gtk}
BuildRequires:  zenity
%endif
%if %{plasma}
BuildRequires:  kdialog
%endif
BuildRequires:  gettext-devel
BuildRequires:  python3-polib
BuildRequires:  intltool

BuildArch:      noarch

%description
KDE4/Plasma Dolphin, Trinity Konqueror, Nautilus, Caja and Nemo service menus for RPM

   1. Show RPM Main Info
   2. Show Package Content
   3. Unpack RPM
   4. Unpack RPM to Directory
   5. Open RPM Url from Package in Web Browser
   6. Make Test Install
   7. Force Upgrade Test Install
   8. Install Source package in Local RPM Build Environment

%if %{plasma}
%package -n %{name}-plasma
Summary:    Plasma Service Menu for RPM Packages
Requires:   %{name} >= %{version}-%{release}
Requires:   kdialog

%description -n %{name}-plasma
Plasma service menu for easy RPM package operations.
%endif

%if %{gtk}
%package -n %{name}-nautilus-data
Summary:    Required files for Nautilus/Caja
Requires:   %{name} >= %{version}-%{release}
Requires:   zenity

%description -n %{name}-nautilus-data
This package includes shared desktop files
needed for Nautilus and Caja file managers

%package -n %{name}-nautilus
Summary:    Nautilus action for RPM Packages
Requires:   %{name}-nautilus-data >= %{version}-%{release}
Requires:   zenity

%description -n %{name}-nautilus
Virtual package to satisfy dependencies for Nautilus.

%package -n %{name}-caja
Summary:    Caja action for RPM Packages
Requires:   %{name}-nautilus-data >= %{version}-%{release}
Requires:   caja-actions
Requires:   zenity

%description -n %{name}-caja
Virtual package to satisfy dependencies for Caja.

%package -n %{name}-nemo
Summary:    Nemo actions for RPM Packages
Requires:   %{name} >= %{version}-%{release}
Requires:   zenity
Requires:   nemo

%description -n %{name}-nemo
Nemo-Actions actions for easy RPM package operations.
%endif

%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
export PYTHON=%{__python3}

%configure  --sysconfdir=%{_sysconfdir} \
%if %{gtk}
            --enable-nautilus \
            --enable-nemo \
%endif
%if %{plasma}
            --enable-plasma
%endif

%make_build

%install
%make_install

%if %{plasma}
mv %{buildroot}%{_kf6_datadir}/kio/servicemenus/%{name}_plasma.desktop \
	%{buildroot}%{_kf6_datadir}/kio/servicemenus/%{name}.desktop
%endif

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog.md README.md
%config (noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}

%if %{plasma}
%files -n %{name}-plasma
%{_kf6_datadir}/kio/servicemenus/%{name}.desktop
%endif

%if %{gtk}
%files -n %{name}-nautilus-data
%{_datadir}/file-manager/actions/*.desktop

%files -n %{name}-nemo
%{_datadir}/nemo/actions/*.nemo_action

%files -n %{name}-nautilus

%files -n %{name}-caja
%endif

