Name:          tuscany-parent
Version:       2
Release:       %mkrel 11
Summary:       Apache Tuscany Project Parent
Group:         Development/Java
License:       ASL 2.0
Url:           https://tuscany.apache.org/
# svn export http://svn.apache.org/repos/asf/tuscany/tags/java/pom/parent/2 tuscany-parent-2
# tar czf tuscany-parent-2-src-svn.tar.gz tuscany-parent-2
Source0:       %{name}-%{version}-src-svn.tar.gz
# tuscany-parent package don't include the license file
Source1:       https://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils

BuildRequires: maven-local
BuildRequires: maven-install-plugin

# required by remote-resources-plugin
BuildRequires: mvn(org.apache.maven.shared:maven-artifact-resolver)
BuildRequires: mvn(org.apache.maven.shared:maven-shared-components)

Requires:      maven-checkstyle-plugin
Requires:      maven-compiler-plugin

Requires:      jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Parent POM defining settings that can be used across Tuscany.

%prep
%setup -q

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%pom_remove_plugin org.apache.maven.plugins:maven-pmd-plugin

%build

mvn-rpmbuild install

%install

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom

%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE-2.0.txt

