Name:		tutka
Version:	1.1.3
Release:	%mkrel 5
Summary:	Tracker-style MIDI sequencer with a Qt5 GUI
License:	GPLv2+
Group:		Sound/Midi
Url:		https://www.nongnu.org/tutka/
Source0:	https://download.savannah.gnu.org/releases/tutka/%{name}-%{version}.tar.xz
Patch0:		tutka-1.1.3-fix-build-with-Qt5-5.13.patch
Patch1:		tutka-1.1.3-disable-werror.patch
BuildRequires:	qttools5
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
Tutka is a free (as in freedom) tracker style MIDI sequencer for GNU/Linux
(and other systems; only GNU/Linux is supported at this time though). It is
similar to programs like SoundTracker, ProTracker and FastTracker except that
it does not support samples and is meant for MIDI use only. It uses a custom
XML based file format for storing songs. Songs in OctaMED SoundStudio's MMD2
file format can also be loaded and saved. It has also a nice Qt5 GUI.

%files
%doc AUTHORS NEWS README TODO
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%qmake_qt5 Tutka.pro
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/%{name}/translations
install -m 0644 src/*.qm %{buildroot}%{_datadir}/%{name}/translations
