Summary:	Configuration tool for Tuxpaint
Name:		tuxpaint-config
Version:	0.0.25
Release:	%mkrel 1
License:	GPLv2
Group:		Graphics/Editors and Converters
URL:		https://tuxpaint.org/
Source0:	https://downloads.sourceforge.net/tuxpaint/%{name}-%{version}.tar.gz
BuildRequires:	fltk-devel
BuildRequires:	libpaper-devel
BuildRequires:	pkgconfig(libunibreak)
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(xext)

Requires:	tuxpaint

%description
Tux Paint Config is a graphical configuration tool for "Tux Paint."
It provides a point-and-click interface that allows parents and teachers
to alter Tux Paint's behavior -- disable sound effects, run in
full-screen mode, etc. - without needing to manipulate a text-based
configuration file.

%prep
%autosetup -p1

%build
%make_build CFLAGS="%{optflags} %{ldflags}" PREFIX=%{_prefix}

%install
%make_install \
              PKG_ROOT="%{buildroot}" \
              PREFIX="%{_usr}" \
              X11_ICON_PREFIX="%{_datadir}/pixmaps/" \
              KDE_ICON_PREFIX=%{_iconsdir}

#Fix perms:
chmod -R go+r docs/

%find_lang %{name}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install	--vendor="" \
			--dir %{buildroot}%{_datadir}/applications \
			--remove-category="Settings" \
                        --add-category="Education" \
			src/tuxpaint-config.desktop

# fix perms
chmod -R go=u-w %{buildroot}/*

%files -f %{name}.lang
%doc docs/AUTHORS.txt docs/CHANGES.txt docs/COPYING.txt
%doc docs/README.txt docs/TODO.txt docs/html/README.html
%exclude %_defaultdocdir/%name/html/README.html
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*.png
