%define tar_ver	%(echo %{version}|sed -e 's/\\./\\-/g')

Summary:	Pictures for use with the paint program Tuxpaint
Name: 		tuxpaint-stamps
Version:	2024.10.25
Release:	%mkrel 1
License:	GPLv2
Group:		Graphics/Editors and Converters
URL:		https://tuxpaint.org/
Source0: 	https://sourceforge.net/projects/tuxpaint/files/%{name}/%{tar_ver}/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(python3)
Requires: 	tuxpaint

%description
Tux Paint is a simple paint program gear towards young children.
It provides a simple but entertaining interface, allows drawing
with brushes, lines, shapes, and 'stamps,' and has a 'magic'
tool, for special effects. Loading and saving is done via a
graphical interface, and the underlying environment's
filesystem isn't exposed (much like programs on PDAs).

This packages contains a lot of extra pictures (stamps) for tuxpaint.

%prep
%autosetup

%build
(cd po && sh ./createpo.sh)
(cd po && ./createtxt.sh)

%install
%make_install DATA_PREFIX=%{buildroot}%{_datadir}/tuxpaint/ install-all

# fix perms
chmod -R go=u-w %{buildroot}/*

pushd po
for file in *.po ; do
    loc=`echo $file | sed -e 's/tuxpaint-stamps-\(.*\).po/\1/'`
    mkdir -p %{buildroot}%{_datadir}/locale/$loc/LC_MESSAGES
    msgfmt -o %{buildroot}%{_datadir}/locale/$loc/LC_MESSAGES/tuxpaint-stamps.mo $file
done
popd

%find_lang %{name}

%files -f %{name}.lang
%doc docs/*
%{_datadir}/tuxpaint/*
