Summary:	Simple and fun paint program for kids
Name: 		tuxpaint
Epoch:		1
Version:	0.9.34
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics/Editors and Converters
URL:		https://www.tuxpaint.org/
Source: 	https://sourceforge.net/projects/tuxpaint/files/tuxpaint/%{version}/%{name}-%{version}.tar.gz
Patch1:		tuxpaint-0.9.34-link.patch
Patch3:		0001-Do-not-update-database-while-building-a-rpm.patch
BuildRequires:	gettext
BuildRequires:	gperf
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	xdg-utils
BuildRequires:	libpaper-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(imagequant)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_gfx)
BuildRequires:	pkgconfig(SDL2_Pango)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libxml-2.0)
#for printing:
Requires: 	netpbm
Recommends:	tuxpaint-config
Recommends:	tuxpaint-stamps

%description
Tux Paint is a simple paint program gear towards young children. 
It provides a simple but entertaining interface, allows drawing
with brushes, lines, shapes, and 'stamps,' and has a 'magic' 
tool, for special effects. Loading and saving is done via a 
graphical interface, and the underlying environment's 
filesystem isn't exposed (much like programs on PDAs).

%package	devel
Summary:	Headers and development libraries from %{name}
Group:		Development/C

%description devel
%{name} development headers and libraries.

%prep
%autosetup -p1

sed -i 's|-L/usr/local/lib|-L%{_libdir}|g' Makefile

%build
%make_build OPTFLAGS="%{optflags}" \
            LDFLAGS="%{ldflags}" \
            PREFIX=%{_prefix} \
            MAGIC_PREFIX=%{_libdir}/%{name}/plugins

%install
%make_install \
              PKG_ROOT="%{buildroot}" \
              PREFIX=%{_prefix} \
              X11_ICON_PREFIX="%{buildroot}%{_datadir}/pixmaps" \
              KDE_ICON_PREFIX=%{_iconsdir} \
              MAGIC_PREFIX=%{buildroot}%{_libdir}/%{name}/plugins

%find_lang %{name} --with-man

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install	--vendor="" \
			--dir %{buildroot}%{_datadir}/applications \
			--remove-category="Art" \
			src/tuxpaint.desktop

rm -rf docs/en/tp_magic_example*
rm -rf docs/fr_FR.UTF-8/Makefile
rm -rf docs/Makefile
#Fix perms:
chmod -R go+r docs/

#Remove useless installed things
rm -Rf %{buildroot}%{_datadir}/doc/%{name}-%{version}
rm -Rf %{buildroot}%{_datadir}/%{name}/images/icon32x32.xpm
rm -rf %{buildroot}%{_datadir}/tuxpaint/fonts/locale/zh_tw_docs/maketuxfont.py*

%files -f %{name}.lang
%doc docs/*
%{_bindir}/%{name}
%{_bindir}/%{name}-import
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-import.1*
%dir %{_sysconfdir}/tuxpaint
%config(noreplace) %{_sysconfdir}/tuxpaint/tuxpaint.conf
%{_sysconfdir}/bash_completion.d/010_tuxpaint-completion.bash
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_datadir}/applications/tuxpaint.desktop
%{_datadir}/pixmaps/*
%{_metainfodir}/org.tuxpaint.Tuxpaint.appdata.xml

%files devel
%{_bindir}/tp-magic-config
%{_includedir}/%{name}/
%{_mandir}/man1/tp-magic-config.1*
