%define	fname	tuxtype

Summary:	Educational typing tutor game starring Tux
Name:		tuxtype
Version:	1.8.3
Release:	%mkrel 10
# http://anonscm.debian.org/cgit/tux4kids/tuxtype.git
URL:		https://www.tux4kids.com/tuxtyping.html
License:	GPLv2+
Group:		Games/Other
Source0:	%{fname}-%{version}.tar.gz
# from Debian (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792817)
Source1:	%{name}.1
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792813
Source2:	ru.po
Source3:	%{name}-russian-scripts.tar.gz
Patch1:		%{name}-%{version}-mga-add-russian-scripts.patch
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792816
Patch2:		%{name}-%{version}-mga-fix-potfiles.patch
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792815
Patch3:		%{name}-%{version}-mga-fix-editor-translations-and-buttons.patch
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792814
Patch4:		%{name}-%{version}-mga-desktop-file.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=586509 and https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792812
Patch5:		%{name}-%{version}-mga-use-default-system-lang.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792810
Patch6:		%{name}-%{version}-mga-fix-del-from-filelist.patch
Patch7:		%{name}-%{version}-t4kcommon.patch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_Pango)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	imagemagick

%description
Tux Typing is an educational typing tutor game starring Tux, the Linux
penguin. It is graphical and requires SDL to run. This is a stable
release.

%prep
%autosetup -p1 -n %{fname}-%{version}

# add Russian
pushd data/themes/russian
tar -xf %{SOURCE3}
popd
cp -f %{SOURCE2} po/

# Fix incorrect paths hardcoded into the source (#46417) - AdamW
sed -i -e 's,/usr/share/fonts/truetype/ttf-.*/,%{_gamesdatadir}/%{name}/fonts/,g' src/SDL_extras.c

# remove the chown command from here and handle it in the file list
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792818
sed -i '/chown root:games $(DESTDIR)$(pkglocalstatedir)\/words/d' Makefile.am

# delete POT file for force update translations ( NOTE: please keep for all new versions )
rm -f po/%{name}.pot

%build
autoreconf -vfi
%configure	--disable-rpath \
		--bindir=%{_gamesbindir} \
		--datadir=%{_datadir} \
		--localstatedir=%{_localstatedir}/lib \
		--sysconfdir=%{_sysconfdir}
%make_build

%install
%make_install

rm -fr %{buildroot}%{_docdir}/%{name}

# must be writable for games group (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792818)
chmod 775 %{buildroot}%{_localstatedir}/lib/%{name}/words

# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=792820
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 644 data/images/icons/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/

%find_lang %{name}

%files -f %{name}.lang
%doc doc/AUTHORS doc/ChangeLog doc/README doc/TODO doc/en/howtotheme.html
%license doc/COPYING
%{_sysconfdir}/%{name}
%{_gamesbindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%dir %{_localstatedir}/lib/%{name}
%{_mandir}/man1/%{name}.*
%attr(-,root,games) %{_localstatedir}/lib/%{name}/words
