Name:           tvbrowser
Version:        4.2.7
Release:        %mkrel 1
Summary:        A digital TV guide
License:        GPL-3.0-or-later
Group:          Video/Television
Url:            https://www.tvbrowser.org/
Source0:        https://downloads.sourceforge.net/project/tvbrowser/TV-Browser%20Releases%20%28Java%2011%20and%20higher%29/%{version}/%{name}_%{version}_src.zip
Source1:        https://www.tvbrowser.org/data/uploads/1372016422809_543/NewsPlugin.jar
Patch0:         fix-junit-classpath.patch
BuildArch:      noarch
BuildRequires:  ant
BuildRequires:  dos2unix
BuildRequires:  imagemagick
BuildRequires:  java-devel >= 11
Requires:       java >= 11

%description
TV-Browser is a digital TV guide.
TV-Browser gets the daily TV program from the internet and shows it clearly
arranged - like a printed TV guide. An internet connection is only necessary
during the data update.

%prep
%setup -q

cp %{S:1} .

# needed to apply patch
dos2unix build.xml
%patch -P 0 -p1

%build
%ant runtime-linux -Dnewsplugin.url=file:///%{_builddir}/%{name}-%{version}/NewsPlugin.jar

%install
# copy the runtime directory to %%{_javadir}
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -a runtime/tvbrowser_linux/* %{buildroot}%{_javadir}/%{name}
chmod 0755 %{buildroot}%{_javadir}/%{name}/tvbrowser.sh

# create the application launcher
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
cd %{_javadir}/%{name}
exec ./tvbrowser.sh -Dswing.aatext=TRUE -Dawt.useSystemAAFontSettings=on "$@"
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

# install the menu icons
pushd runtime/tvbrowser_linux/imgs
for size in 16 32 48 128; do
  install -D -m644 tvbrowser${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done
popd

# create the desktop entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=TV Browser
Comment=A java-based TV guide
Comment[de]=Eine Java basierende TV Zeitung
Comment[fr]=Application de programme TV en Java
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Video;TV;
EOF

# install appdata
install -D -m 0644 -t %{buildroot}%{_metainfodir}/ deployment/linux/tvbrowser.appdata.xml

%files
%doc ChangeLog.txt
%doc txt/COPYRIGHT.txt
%{_bindir}/%{name}
%{_javadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_metainfodir}/tvbrowser.appdata.xml
