%define _disable_ld_no_undefined 1

%define major		1
%define libname		%mklibname tw %{major}
%define libtstl		%mklibname tstl %{major}
%define libtutf		%mklibname tutf %{major}
%define libnamedevel	%mklibname %{name} -d

Summary:	A text mode Windows Manager
Name:		twin
Version:	0.9.0
Release:	%mkrel 1
License:	GPLv2
Group:		Terminals
Url:		https://github.com/cosmos72/twin
Source0:	https://github.com/cosmos72/twin/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-fix-#66_cleanup-void-usage-in-server_socket.cpp.patch
BuildRequires:	bison
BuildRequires:	gpm-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(zlib)

%description
Twin is a text-mode windowing environment:
it draws and manages text windows on a text-mode display,
like X11 does for graphical windows. It has a built-in window manager
and terminal emulator, and can be used as server for remote clients
in the same style as X11. It can display on Linux console, on X11
and inside itself.

%package -n %{libname}
Summary:	Libraries from twin
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

Conflicts:	%{_lib}twin0 < 0.6.2-15

%description -n %{libname}
Twin is a text-mode windowing environment.
This package contain shared libraries to run twin.

%package -n %{libtstl}
Summary:	Libraries from twin
Group:		System/Libraries

Conflicts:	%{_lib}twin0 < 0.6.2-15

%description -n %{libtstl}
Twin is a text-mode windowing environment.
This package contain shared libraries to run twin.

%package -n %{libtutf}
Summary:	Libraries from twin
Group:		System/Libraries

Conflicts:	%{_lib}twin0 < 0.6.2-15

%description -n %{libtutf}
Twin is a text-mode windowing environment.
This package contain shared libraries to run twin.

%package -n %{libnamedevel}
Summary:	Development files from twin
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libtstl} = %{version}-%{release}
Requires:	%{libtutf} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedevel}
Twin is a text-mode windowing environment.
You need this package to build twin applications.

%prep
%autosetup -p1

%build
%configure \
	--disable-static \
	--enable-wm=yes \
	--enable-wm-rc=yes \
	--enable-wm-rc-shmmap=yes \
	--enable-wm-rc-shrink=yes \
	--enable-term=yes \
	--enable-hw-tty=yes \
	--enable-hw-tty-linux=yes \
	--enable-hw-tty-twterm=yes \
	--enable-hw-tty-termcap=yes \
	--enable-hw-x11=yes \
	--enable-hw-xft=yes \
	--enable-hw-twin=yes \
	--enable-hw-display=yes

%make_build

%install
%make_install

%files
%license COPYING COPYING.LIB
%doc BUGS Changelog.txt README README.porting TODO/*
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/twin/system.*
%{_libdir}/twin/*.so
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/libtw.so.%{major}{,.*}

%files -n %{libtstl}
%license COPYING.LIB
%{_libdir}/libtstl.so.%{major}{,.*}

%files -n %{libtutf}
%license COPYING.LIB
%{_libdir}/libtutf.so.%{major}{,.*}

%files -n %{libnamedevel}
%{_includedir}/Tw/
%{_includedir}/Tutf/
%{_libdir}/*.so
