Summary:	Voice Over IP phone using SIP for QT
Name:		twinkle
Version:	1.10.3
Release:	%mkrel 2
License:	GPLv2+
Group:		Communications/Telephony
Url:		http://twinkle.dolezel.info
Source0:	https://github.com/LubosD/twinkle/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	flex
BuildRequires:	qttools5
BuildRequires:	boost-devel
BuildRequires:	gsm-devel
BuildRequires:	magic-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(commoncpp)
BuildRequires:	pkgconfig(libccrtp)
BuildRequires:	pkgconfig(libilbc)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libzrtpcpp)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(ucommon)

Recommends:	qttranslations5

%description
Twinkle is a soft phone for your voice over IP communications using the SIP
protocol. You can use it for direct IP phone to IP phone communication or in
a network using a SIP proxy to route your calls.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 \
	  -DWITH_ZRTP:BOOL=ON \
	  -DWITH_GSM:BOOL=ON \
	  -DWITH_SPEEX:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS NEWS README.md THANKS
%{_bindir}/%{name}
%{_bindir}/%{name}-console
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1.*
