# The location of the xmvn dir into which we need to install the xmvn plugin
%global xmvn_libdir %(realpath $(dirname $(readlink -f $(which xmvn)))/../lib)

Name:           tycho-extras
Version:        1.5.1
Release:        %mkrel 1
Group:          Development/Java
Summary:        Additional plugins for Tycho

License:        EPL-1.0
URL:            https://eclipse.org/tycho/
Source0:        https://git.eclipse.org/c/tycho/org.eclipse.tycho.extras.git/snapshot/org.eclipse.tycho.extras-tycho-extras-%{version}.tar.xz
Patch0:         0001-Fix-build.patch
Patch1:         0002-Use-custom-resolver-for-tycho-eclipserun-plugin.patch
Patch2:         0003-Fix-versions-for-release-1.5.1.patch

BuildArch: noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

BuildRequires:  maven-local
BuildRequires:  mvn(io.takari.polyglot:polyglot-common)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-model-builder)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:  mvn(org.eclipse.tycho:org.eclipse.tycho.core.shared)
BuildRequires:  mvn(org.eclipse.tycho:org.eclipse.tycho.p2.resolver.shared)
BuildRequires:  mvn(org.eclipse.tycho:sisu-equinox-launching)
BuildRequires:  mvn(org.eclipse.tycho:tycho-artifactcomparator)
BuildRequires:  mvn(org.eclipse.tycho:tycho-core)
BuildRequires:  mvn(org.eclipse.tycho:tycho-p2-facade)
BuildRequires:  mvn(org.eclipse.tycho:tycho-packaging-plugin)
BuildRequires:  mvn(org.fedoraproject.p2:org.fedoraproject.p2)

%description
A small set of plugins that work with Tycho to provide additional functionality
when building projects of an OSGi nature.


%package javadoc
Summary: Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n org.eclipse.tycho.extras-tycho-extras-%{version}
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1

# Plugins not needed for RPM builds
%pom_remove_plugin :maven-site-plugin

# maven-properties-plugin is only needed for tests
%pom_remove_plugin org.eclipse.m2e:lifecycle-mapping
%pom_remove_plugin org.sonatype.plugins:maven-properties-plugin tycho-p2-extras-plugin
# remove org.apache.maven:apache-maven zip
%pom_remove_dep org.apache.maven:apache-maven tycho-p2-extras-plugin
%pom_add_dep org.fedoraproject.p2:org.fedoraproject.p2 tycho-eclipserun-plugin/pom.xml

# Tycho plug-ins not needed for RPM builds of Eclipse plug-ins
%pom_disable_module tycho-buildtimestamp-jgit
%pom_disable_module tycho-sourceref-jgit

%mvn_alias :{*} org.eclipse.tycho:@1

%build
# To run tests, we need :
# maven-properties-plugin (unclear licensing)
%mvn_build -f

%install
%mvn_install

# Install extension JAR with deps into XMvn ext directory
install -d -m 755 %{buildroot}%{xmvn_libdir}/ext/
ln -s %{_javadir}/%{name}/tycho-pomless.jar %{buildroot}%{xmvn_libdir}/ext/
ln -s %{_javadir}/takari-polyglot/polyglot-common.jar %{buildroot}%{xmvn_libdir}/ext/

%files -f .mfiles
%{xmvn_libdir}/ext/*

%files javadoc -f .mfiles-javadoc

