Name:		uboot-mkimage
Summary:	Kernel image for U-Boot generator
License:	GPLv2
Group:		System/Kernel and hardware
Version:	2011.03
Release:	%mkrel 1
URL:		https://www.denx.de/wiki/U-Boot
Source:		https://ftp.denx.de/pub/u-boot/u-boot-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
This package contains the mkimage utility, which encapsulates
a compressed "uImage" Linux kernel image with header information,
CRC32 checksum, etc, for use with the U-Boot bootloader.

%prep
%setup -q -n u-boot-%{version}

%build
export CC="gcc %optflags"
# need a config to build tools so pick a "random" one :/
make openrd_base_config
make tools

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir
mkdir -p %buildroot/%_mandir/man1
install -m755 tools/mkimage %buildroot/%_bindir
install -m644 doc/mkimage.1 %buildroot/%_mandir/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/mkimage
%{_mandir}/man1/mkimage*

