%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		uchardet
Version:	0.0.8
Release:	%mkrel 2
Summary:	Universal charset detection
Group:		Development/Other
License:	MPL
URL:		https://www.freedesktop.org/wiki/Software/uchardet/
Source0:	https://www.freedesktop.org/software/uchardet/releases/%{name}-%{version}.tar.xz

BuildRequires:	cmake

%description
uchardet is a C language binding of the original C++ implementation of the
universal charset detection library by Mozilla. uchardet is an encoding
detector library, which takes a sequence of bytes in an unknown character
encoding without any additional information, and attempts to determine the
encoding of the text. Returned encoding names are iconv-compatible.

#------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
C language binding of the original C++ implementation of the
universal charset detection library by Mozilla.

#------------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header and Libraries files for the package %{name}.

#------------------------------------------------------------------------------
%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS README.md
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
