# WARNING: This package is synced with FC
%global major 13
%define libname %mklibname ucpp %major
%define devname %mklibname ucpp -d

%define commit 79f08e39c676f15ed8a59335f6c9b924

Summary: Embeddable, quick, light and fully compliant ISO C99 preprocessor
Name: ucpp
Version: 1.3.5
Group: System/Libraries
Release: %mkrel 3
URL: https://gitlab.com/scarabeusiv/ucpp
Source0: https://gitlab.com/scarabeusiv/ucpp/uploads/%{commit}/ucpp-%{version}.tar.xz
License: BSD
# fix rpath issue
BuildRequires: libtool

%description
A C preprocessor is a part of a C compiler responsible for macro replacement,
conditional compilation and inclusion of header files. It is often found as
a stand-alone program on Unix systems.

ucpp is such a preprocessor; it is designed to be quick and light, but anyway
fully compliant to the ISO standard 9899:1999, also known as C99. ucpp can be
compiled as a stand-alone program, or linked to some other code; in the latter
case, ucpp will output tokens, one at a time, on demand, as an integrated lexer.

%package -n %libname
Summary: Library for preprocessing C code compliant with ISO-C99
Group: System/Libraries
Obsoletes: %{_lib}ucpp0 < 1.3.4-13

%description -n %libname
libucpp is an ISO standard 9899:1999 compliant preprocessing library for C
code. It will output tokens, one at a time, on demand, as an integrated lexer.

%package -n %devname
Group: Development/C
Summary: Development files for libucpp Library
Requires: %libname >= %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %devname
libucpp is an ISO standard 9899:1999 compliant preprocessing library for C
code. It will output tokens, one at a time, on demand, as an integrated lexer.

This package contains the development files for the library.

%prep
%setup -q
# convert README to UTF-8
iconv -f iso8859-1 -t utf8 README >README.utf8 && \
 touch -r README.utf8 README && \
 mv README.utf8 README

%build
# autoreconf to fix rpath issue
autoreconf -vif
%configure \
           --disable-rpath \
           --disable-silent-rules \
           --disable-static

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/ucpp
%{_mandir}/man1/ucpp.1*

%files -n %libname
%doc AUTHORS ChangeLog* COPYING README
%{_libdir}/libucpp.so.%{major}{,.*}

%files -n %devname
%{_includedir}/libucpp
%{_libdir}/libucpp.so
%{_libdir}/pkgconfig/libucpp.pc

