%define major     0
%define libname   %mklibname %{name}_ %{major}
%define girname   %mklibname udisks-gir 2.0
%define develname %mklibname %name -d

%global libblockdev_version 3.0

%define with_btrfs                      1
%define with_lsm                        1
%define with_open_iscsi                 0

Summary: Disk Manager
Name: udisks2
Version: 2.10.1
Release: %mkrel 1
License: GPL-2.0-or-later
Group: System/Libraries
URL: https://github.com/storaged-project/udisks
Source0: %{url}/releases/download/udisks-%{version}/udisks-%{version}.tar.bz2
# From Debian:
# https://anonscm.debian.org/cgit/pkg-utopia/udisks2.git/tree/debian/local/udisks2-inhibit
Source1: udisks2-inhibit
Patch0:  udisks-2.11.0-BLKRRPART_harder.patch
Patch1:  udisks-2.11.0-targetcli_config.json_netif_timeout.patch
Patch2:  udisks-2.11.0-udiskslinuxmanager_use_after_free.patch 
# mga#26396
Patch10:  udisks-2.10.1-exfat-drop-namecase-option.patch

BuildRequires: pkgconfig(gio-unix-2.0) >= 2.31.13
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.68
BuildRequires: pkgconfig(gudev-1.0) >= 208
BuildRequires: pkgconfig(libatasmart) >= 0.17
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.102
BuildRequires: pkgconfig(polkit-agent-1) >= 0.102
BuildRequires: pkgconfig(mount)
BuildRequires: pkgconfig(uuid)
# libblockdev builddeps
BuildRequires: pkgconfig(blockdev)      >= %{libblockdev_version}
BuildRequires: libblockdev-devel        >= %{libblockdev_version}
BuildRequires: libblockdev-part-devel   >= %{libblockdev_version}
BuildRequires: libblockdev-loop-devel   >= %{libblockdev_version}
BuildRequires: libblockdev-swap-devel   >= %{libblockdev_version}
BuildRequires: libblockdev-mdraid-devel >= %{libblockdev_version}
BuildRequires: libblockdev-fs-devel     >= %{libblockdev_version}
BuildRequires: libblockdev-crypto-devel >= %{libblockdev_version}
BuildRequires: libblockdev-nvme-devel   >= %{libblockdev_version}

BuildRequires: intltool
BuildRequires: gobject-introspection-devel
BuildRequires: gtk-doc >= 1.3
# needed to pull in the system bus daemon
Requires: dbus >= 1.4.0
# needed to pull in the udev daemon
Requires: udev >= 173
# for mount, umount, mkswap
Requires: util-linux
# for mkfs.ext3, mkfs.ext3, e2label
Requires: e2fsprogs
# for mkfs.xfs, xfs_admin
Requires: xfsprogs
# for mkfs.vfat
Requires: dosfstools
Requires: ntfs-3g
# for partitioning
Requires: parted
Requires: gdisk
# for LUKS devices
Requires: cryptsetup-luks
# for libblockdev + "plugins"
Requires: %{mklibname blockdev 3}  >= %{libblockdev_version}
Requires: %{mklibname bd_part 3}   >= %{libblockdev_version}
Requires: %{mklibname bd_loop 3}   >= %{libblockdev_version}
Requires: %{mklibname bd_swap 3}   >= %{libblockdev_version}
Requires: %{mklibname bd_mdraid 3} >= %{libblockdev_version}
Requires: %{mklibname bd_fs 3}     >= %{libblockdev_version}
Requires: %{mklibname bd_crypto 3} >= %{libblockdev_version}
Requires: %{mklibname bd_nvme 3}   >= %{libblockdev_version}

# For exfat
Recommends: exfatprogs
# For UDF
Recommends: udftools
# Not really needed but doesn't make much sense to use UDisks without polkit
# (weak deps don't work on older versions of RHEL)
Recommends: polkit

%{?systemd_requires}

Provides:  storaged = %{version}-%{release}
Obsoletes: storaged

%description
udisks provides a daemon, D-Bus API and command line tools for
managing disks and storage devices. This package is for the udisks 2.x
series.

%package -n %{libname}
Summary: Dynamic library to access the udisks daemon
Group: System/Libraries
License: LGPL-2.0-or-later

%description -n %{libname}
This package contains the dynamic library libudisks2, which provides
access to the udisks daemon. This package is for the udisks 2.x
series.

%package -n %{girname}
Summary: GObject Introspection interface description for %name
Group: System/Libraries
License: LGPL-2.0-or-later
Requires: %{libname} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%if 0%{with_open_iscsi}
%package -n %{name}-iscsi
Summary: Module for iSCSI
Group: System/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
License: LGPL-2.0-or-later
Requires: open-iscsi
BuildRequires: iscsi-initiator-utils-devel

%description -n %{name}-iscsi
This package contains module for iSCSI configuration.
%endif

%package -n %{name}-lvm2
Summary: Module for LVM2
Group: System/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
License: LGPL-2.0-or-later
Requires: lvm2
Requires: %{mklibname bd_lvm 3} >= %{libblockdev_version}
BuildRequires: libblockdev-lvm-devel >= %{libblockdev_version}

%description -n %{name}-lvm2
This package contains module for LVM2 configuration.

%package -n %{develname}
Summary: Development files for libudev
Group: Development/C
License: LGPL-2.0-or-later
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files for the library lib%{name},
a dynamic library, which provides access to the udisksd daemon.

%if 0%{?with_btrfs}
%package -n %{name}-btrfs
Summary: Module for BTRFS
Group: System/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
License: LGPL-2.0-or-later
Requires: %{mklibname bd_btrfs 3} >= %{libblockdev_version}
BuildRequires: libblockdev-btrfs-devel >= %{libblockdev_version}

%description -n %{name}-btrfs
This package contains module for BTRFS configuration.
%endif

%if 0%{?with_lsm}
%package -n %{name}-lsm
Summary: Module for LSM
Group: System/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
License: LGPL-2.0-or-later
Requires: libstoragemgmt
BuildRequires: libstoragemgmt-devel
BuildRequires: libconfig-devel

%description -n %{name}-lsm
This package contains module for LSM configuration.
%endif

%prep
%autosetup -n udisks-%{version} -p1
rm -f src/tests/dbus-tests/config_h.py
rm -f src/udisks-daemon-resources.{c,h}
# default to ntfs-3g (#2182206)
sed -i data/builtin_mount_options.conf -e 's/ntfs_drivers=ntfs3,ntfs/ntfs_drivers=ntfs,ntfs3/'

%build
# modules need to be explicitly enabled
%configure \
        --enable-gtk-doc \
        --disable-static \
        --with-systemdsystemunitdir=%{_unitdir} \
%if 0%{?with_btrfs}
        --enable-btrfs    \
%endif
%if 0%{?with_lsm}
        --enable-lsm      \
%endif
%if 0%{with_open_iscsi}
        --enable-iscsi \
%endif
        --enable-lvm2

%make_build

%install
mkdir -p %buildroot%{_localstatedir}/lib/%{name}
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/udisks2/modules.conf.d

#install udisks2-inhibit
install -pm 0755 %{_sourcedir}/udisks2-inhibit \
	%{buildroot}%{_libexecdir}/udisks2/udisks2-inhibit

# symlink to old location until things are fixed...
mkdir -p %{buildroot}%{_prefix}/lib/udisks2
ln -sr %{buildroot}%{_libexecdir}/udisks2/udisks2-inhibit \
       %{buildroot}%{_prefix}/lib/udisks2/udisks2-inhibit

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang udisks2

%post -n %{name}
%_post_service udisks2
# skip retriggering if udevd isn't even accessible, e.g. containers or
# rpm-ostree-based systems
if [ -S /run/udev/control ]; then
    udevadm control --reload
    udevadm trigger
fi

%preun -n %{name}
%_preun_service udisks2

%postun -n %{name}
%systemd_postun_with_restart udisks2.service

%files -f udisks2.lang
%doc README.md AUTHORS NEWS HACKING
%license COPYING

%dir %{_sysconfdir}/udisks2
%dir %{_sysconfdir}/udisks2/modules.conf.d
%{_sysconfdir}/udisks2/udisks2.conf
%{_sysconfdir}/udisks2/mount_options.conf.example

%{_datadir}/dbus-1/system.d/org.freedesktop.UDisks2.conf
%{_datadir}/bash-completion/completions/udisksctl
%{_datadir}/zsh/site-functions/_udisks2
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/udisks2.service
%{_udevrulesdir}/80-udisks2.rules

%dir %{_prefix}/lib/udisks2/
%{_prefix}/lib/udisks2/udisks2-inhibit
%{_sbindir}/umount.udisks2

%dir %{_libexecdir}/udisks2
%{_libexecdir}/udisks2/udisksd
%{_libexecdir}/udisks2/udisks2-inhibit

%{_bindir}/udisksctl

%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%{_datadir}/polkit-1/actions/org.freedesktop.UDisks2.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.UDisks2.service

# Permissions for local state data are 0700 to avoid leaking information
# about e.g. mounts to unprivileged users
%attr(0700,root,root) %dir %{_localstatedir}/lib/udisks2

%files -n %libname
%license COPYING
%{_libdir}/libudisks2.so.%{major}{,.*}

%files -n %girname
%{_libdir}/girepository-1.0/UDisks-2.0.typelib

%files -n %{name}-lvm2
%{_libdir}/udisks2/modules/libudisks2_lvm2.so
%{_datadir}/polkit-1/actions/org.freedesktop.UDisks2.lvm2.policy

%if 0%{with_open_iscsi}
%files -n %{name}-iscsi
%{_libdir}/udisks2/modules/libudisks2_iscsi.so
%{_datadir}/polkit-1/actions/org.freedesktop.UDisks2.iscsi.policy
%endif

%files -n %develname
%{_libdir}/libudisks2.so
%dir %{_includedir}/udisks2
%dir %{_includedir}/udisks2/udisks
%{_includedir}/udisks2/udisks/*.h
%{_datadir}/gir-1.0/UDisks-2.0.gir
%dir %{_datadir}/gtk-doc/html/udisks2
%{_datadir}/gtk-doc/html/udisks2/*
%{_libdir}/pkgconfig/udisks2.pc
%{_libdir}/pkgconfig/udisks2-lvm2.pc
%if 0%{with_open_iscsi}
%{_libdir}/pkgconfig/udisks2-iscsi.pc
%endif
%if 0%{?with_btrfs}
%{_libdir}/pkgconfig/udisks2-btrfs.pc
%endif
%if 0%{?with_lsm}
%{_libdir}/pkgconfig/udisks2-lsm.pc
%endif

%if 0%{?with_btrfs}
%files -n %{name}-btrfs
%{_libdir}/udisks2/modules/libudisks2_btrfs.so
%{_datadir}/polkit-1/actions/org.freedesktop.UDisks2.btrfs.policy
%endif

%if 0%{?with_lsm}
%files -n %{name}-lsm
%{_libdir}/udisks2/modules/libudisks2_lsm.so
%{_mandir}/man5/udisks2_lsm.conf.*
%{_datadir}/polkit-1/actions/org.freedesktop.UDisks2.lsm.policy
%attr(0600,root,root) %{_sysconfdir}/udisks2/modules.conf.d/udisks2_lsm.conf
%endif
