%define	major     0
%define libname   %mklibname udns %{major}
%define develname %mklibname udns -d

Summary:	DNS Resolver Library
Name:		udns
Version:	0.6
Release:	%mkrel 1
Group:		Networking/Other
License:	LGPLv2+
URL:		https://www.corpit.ru/mjt/udns.html
Source0:	https://www.corpit.ru/mjt/udns/%{name}-%{version}.tar.gz
# Provide autoconf-style fake prototype for socket to avoid implicit
# function declarations
Patch0:		udns-configure-c99.patch
BuildConflicts:	%{name}-devel

%description
UDNS is a stub DNS resolver library with ability to perform both synchronous and
asynchronous DNS queries.

%package -n	%{libname}
Summary:	DNS Resolver Library
Group:		System/Libraries

%description -n	%{libname}
UDNS is a stub DNS resolver library with ability to perform both synchronous and
asynchronous DNS queries.

This package contains the shared UDNS library.

%package -n	%{develname}
Summary:	Static library and header files for the libmemcached library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
UDNS is a stub DNS resolver library with ability to perform both synchronous and
asynchronous DNS queries.

This package contains the static UDNS library and its header files.

%prep
%autosetup -p1

%build

./configure --enable-ipv6

%__make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}" staticlib sharedlib
ln -snf libudns.so.%{major} libudns.so

gcc %{optflags} -DHAVE_CONFIG_H -o udns-rblcheck rblcheck.c -L. -ludns
gcc %{optflags} -DHAVE_CONFIG_H -o udns-dnsget dnsget.c -L. -ludns
#gcc %%{optflags} -DHAVE_CONFIG_H -o udns-ex-rdns ex-rdns.c -L. -ludns

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_mandir}/man3

install -m0755 libudns.so.%{major} %{buildroot}%{_libdir}/
ln -snf libudns.so.%{major} %{buildroot}%{_libdir}/libudns.so
install -m0644 udns.h %{buildroot}%{_includedir}/

install -m0755 udns-rblcheck %{buildroot}%{_bindir}/
install -m0755 udns-dnsget %{buildroot}%{_bindir}/

install -m0644 dnsget.1 %{buildroot}%{_mandir}/man1/udns-dnsget.1
install -m0644 rblcheck.1 %{buildroot}%{_mandir}/man1/udns-rblcheck.1
install -m0644 udns.3 %{buildroot}%{_mandir}/man3/

%files
%{_bindir}/udns-rblcheck
%{_bindir}/udns-dnsget
%{_mandir}/man1/udns-dnsget.1*
%{_mandir}/man1/udns-rblcheck.1*

%files -n %{libname}
%doc NEWS NOTES TODO
%license  COPYING.LGPL
%{_libdir}/libudns.so.%{major}

%files -n %{develname}
%doc NEWS NOTES TODO
%{_includedir}/*
%{_libdir}/libudns.so
%{_mandir}/man3/udns.3*
