Name:           udpcast
Summary:        UDP broadcast file distribution and installation
Version:        20230924
Release:        %mkrel 1
Group:          Networking/Other
License:        GPLv2+ and BSD
URL:            https://udpcast.linux.lu/
Source:         https://udpcast.linux.lu/download/%{name}-%{version}.tar.gz

BuildRequires:  m4

# Fix for build failure on Fedora Rawhide, sent upstream 2013-02-20.
Patch0:         udpcast-20120424-fd_set.patch
# Fix console.c:89:7: warning: ignoring return value of 'read'
Patch1:         udpcast-20200328-read-warn.patch

%description
Command-line client for UDP sender and receiver.  Udpcast is an
application for multicasting data to multiple targets.


%package devel
Summary:        Development headers for %{name}
Requires:       %{name} >= %{version}-%{release}


%description devel
Command-line client for UDP sender and receiver.  Udpcast is an
application for multicasting data to multiple targets.


%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc Changelog.txt cmd.html
%license COPYING
%{_sbindir}/udp-sender
%{_sbindir}/udp-receiver
%{_mandir}/man1/udp-sender.1*
%{_mandir}/man1/udp-receiver.1*

%files devel
%doc COPYING
%dir %{_includedir}/udpcast
%{_includedir}/udpcast/rateGovernor.h
