Name:		ufoai
Version:	2.5
Release:	%mkrel 11
License:	GPLv2+
Summary:	UFO: Alien Invasion
Group:		Games/Strategy
URL:		https://ufoai.org/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}-source.tar.bz2
Source1:	%{name}.desktop
Patch1:		ufoai-2.5-mga-dont-strip-binaries.patch
Patch2:		ufoai-2.5-added-mxml-3.0-compatility-to-XMLwrapper.patch
Requires:	%{name}-data = %{version}
Obsoletes:	%{name}-uforadiant


BuildRequires:	doxygen
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(gdkglext-x11-1.0)
BuildRequires:	pkgconfig(mxml)
# xvid is in tainted, but we can build without support, adding dlopen() support and
# a suggests on it could be done though..
#BuildRequires:	xvid-devel
BuildRequires:	pkgconfig(theoradec)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	zip
BuildRequires:	texlive

%description
UFO: ALIEN INVASION is a strategy game featuring tactical combat against
hostile alien forces which are about to infiltrate earth at this very
moment. You are in command of a small special unit which has been
founded to face the alien strike force. To be successful on the long
run, you will also have to have a research team study the aliens and
their technologies in order to learn as much as possible about their
technology, their goals and the aliens themselves. 'UFO: Alien Invasion'
is heavily inspired by the 'X-COM' series by Mythos and Microprose.


%prep
%setup -q -n %{name}-%{version}-source
%autopatch -p1

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags} -std=c++98 -Wno-expansion-to-defined"

./configure	--prefix=%{_prefix} \
		--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}/ufoai \
		--localedir=%{_datadir}/locale \
		--enable-release \
%ifarch x86_64
		--enable-sse \
%endif
		--enable-cgame-campaign \
		--enable-cgame-multiplayer \
		--enable-cgame-skirmish \
		--enable-game \
		--enable-memory \
		--enable-testall \
		--enable-ufo2map \
		--enable-ufoded \
		--enable-ufo \
		--enable-ufomodel \
		--disable-uforadiant \
		--enable-ufoslicer
%make_build LDFLAGS="%ldflags" uforadiant_LINKER="g++ %ldflags"

%install
%make_install

# install man pages
mkdir -p %{buildroot}%{_mandir}/man6 	 
install -m 0644 debian/ufo.6 %{buildroot}%{_mandir}/man6/
install -m 0644 debian/ufoded.6 %{buildroot}%{_mandir}/man6/
install -m 0644 debian/ufo2map.6 %{buildroot}%{_mandir}/man6/
# Remove empty data files to avoid file conflict with data package
rm -f %{buildroot}%{_gamesdatadir}/%{name}/base/*pk3

# uforadiant is disabled
rm -f %{buildroot}%{_gamesbindir}/uforadiant

%find_lang ufoai
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -m644 src/ports/linux/ufo.png -D %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files -f ufoai.lang
%doc LICENSES
%{_gamesbindir}/ufo
%{_gamesbindir}/ufoded
%dir %{_gamesdatadir}/ufoai
%{_gamesdatadir}/ufoai/memory
%{_gamesdatadir}/ufoai/ufo*
%dir %{_gamesdatadir}/ufoai/base
%{_gamesdatadir}/ufoai/base/game.so
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/ufo.6*
%{_mandir}/man6/ufoded.6*
%{_mandir}/man6/ufo2map.6*
