%define commit 684af0548ed76fd97635687fa90a754a7a04a017
%define shortcommit %(c=%{commit}; echo ${c:0:7})

%define build_cinepaint 0
%{?_with_cinepaint: %global build_cinepaint 1}

%if %{build_cinepaint}
%define cinepaint_dir %(pkg-config --variable=programplugindir cinepaint-gtk)
%endif

%define gimpplugin 1
%define abi_version 2.0

%undefine _hardened_build

Name:           ufraw
Version:        0.22
Release:        %mkrel 28
Summary:        Graphical tool to convert raw images of digital cameras
Group:          Graphics/Photography
License:        GPLv2+
URL:            https://ufraw.sourceforge.net/
Source0:        https://github.com/sergiomb2/ufraw/archive/%{commit}.zip?/%{name}-%{shortcommit}.zip
Source1:        https://raw.githubusercontent.com/sergiomb2/ufraw/02bc2df0c6c2d9d1892bd16a58e319d81e79559d/beautify_style.sh
# we need remove patch for file beautify_style.sh because file is not in ufraw-0.22.tar.gz
Patch0:         ufraw-0.22-exiv2-0.28.patch

BuildRequires:  gettext-devel
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(jasper)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  pkgconfig(lensfun)
BuildRequires:  libgomp-devel
%if %{build_cinepaint}
BuildRequires:  cinepaint-devel
%endif
BuildRequires:  pkgconfig(gtkimageview)
%if %{gimpplugin}
BuildRequires:  pkgconfig(gimp-%{abi_version})
%else
Obsoletes:      gimp-plugin-ufraw < %{version}-%{release}
%endif
Recommends:     ufraw-batch

Provides:       bundled(dcraw) = 9.28

%description
UFRaw is a utility to read and manipulate raw images from digital cameras.
%if %{gimpplugin}
It can be used by itself or as a Gimp plug-in.
%endif
It reads raw images using Dave Coffin's raw conversion utility DCRaw.
And it supports basic color management using Little CMS, allowing
the user to apply color profiles.

Raw images are the data directly read from the CCD of the camera,
without in-camera processing, without lossy JPEG compression, and in
36 or 48 bits color depth (TIFF has 24 bits). Problem of the raw
images is that they are in proprietary, camera-specific formats as
they are exactly what the CCD has captured, and the CCDs on different
cameras are very different. It also contains info about the camera
settings.

%package batch
Summary:        Command-line tool to convert raw images of digital cameras
Group:          Graphics/Photography

%description batch
This is the command-line tool for UFRaw meant for converting multiple images
in a batch.

%if %{gimpplugin}
%package -n gimp-plugin-ufraw
Summary:        Reads the raw image formats of digital cameras into GIMP
Group:          Graphics/Editors and Converters
Requires:       gimp
Provides:       %{name}-gimp = %{version}-%{release}

%description -n gimp-plugin-ufraw
A GIMP plug-in which reads and processes raw images from most digital
cameras. The conversion is done by the dcraw software and so all
cameras supported by dcraw are also supported by this plug-in.

In contrary to the original GIMP plug-in of dcraw this one is much
more comfortable, especially because of the life preview image but
also due to more options.
%endif

%if %build_cinepaint
%package cinepaint
Summary:        Reads the raw image formats of digital cameras into Cinepaint
Group:          Graphics/Editors and Converters
Requires:       cinepaint

%description cinepaint
A Cinepaint plug-in which reads and processes raw images from most digital
cameras. The conversion is done by the dcraw software and so all
cameras supported by dcraw are also supported by this plug-in.
%endif

%prep
%autosetup -p1 -n %{name}-%{commit}

cp %{SOURCE1} .

%build
autoreconf -fi
%configure --enable-mime --enable-jasper
%make_build

%install
%make_install schemasdir=%{_sysconfdir}/gconf/schemas
%find_lang ufraw

install -d %{buildroot}%{_datadir}/icons/{large,mini}

convert icons/ufraw.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert icons/ufraw.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
cp icons/ufraw.png %{buildroot}%{_liconsdir}/%{name}.png

%define schemas ufraw

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f %{name}.lang
%doc README
%{_sysconfdir}/gconf/schemas/ufraw.schemas
%{_bindir}/ufraw
%{_datadir}/appdata/ufraw.appdata.xml
%{_datadir}/applications/ufraw.desktop
%{_datadir}/pixmaps/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_mandir}/man1/ufraw.*

%files batch
%{_bindir}/ufraw-batch

%if %{gimpplugin}
%files -n gimp-plugin-ufraw
%{_libdir}/gimp/%{abi_version}/plug-ins/*
%endif

%if %{build_cinepaint}
%files cinepaint
%{cinepaint_dir}/plug-ins/*
%endif
