Summary:        A multicast FTP client and server
Name:           uftp
Version:        5.0.3
Release:        %mkrel 1
License:        GPLv2
Group:          Networking/File transfer
Url:            https://uftp-multicast.sourceforge.net/
Source0:        https://sourceforge.net/projects/uftp-multicast/files/source-tar/%{name}-%{version}.tar.gz

Patch0:         makefile-lib64-openssl.patch

BuildRequires:  pkgconfig(openssl)

%description
UFTP is a multicast file transfer program, utilizing a protocol based on
Starburst MFTP. It is designed to reliably and efficiently transfer files
to multiple receivers simultaneously, where either the intended receivers
can be specified beforehand, or receivers can join the transfer when it is
initiated. This is useful for distributing large files to a large number of
receivers, and is especially useful for data distribution over a satellite
link (with two way communication), where the inherent delay makes any TCP
based communication terribly inefficient. UFTP has been used in the production
process of The Wall Street Journal to send WSJ pages over satellite to their
remote printing plants.

%package server
Summary:        A multicast ftp server
Group:          Networking/File transfer

%description server
UFTP is a multicast file transfer program, utilizing a protocol based on
Starburst MFTP. It is designed to reliably and efficiently transfer files
to multiple receivers simultaneously, where either the intended receivers
can be specified beforehand, or receivers can join the transfer when it is
initiated. This is useful for distributing large files to a large number of
receivers, and is especially useful for data distribution over a satellite
link (with two way communication), where the inherent delay makes any TCP
based communication terribly inefficient. UFTP has been used in the production
process of The Wall Street Journal to send WSJ pages over satellite to their
remote printing plants.

%prep
%setup -q

%ifarch aarch64 x86_64
%patch -P 0 -p1
%endif

%build
%make_build -f makefile OPENSSL=%{_prefix} CFLAGS="%optflags" LDFLAGS="%ldflags"

%install
%make_install

mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/uftpd %{buildroot}%{_sbindir}/uftpd
mv %{buildroot}%{_bindir}/uftpproxyd %{buildroot}%{_sbindir}/uftpproxyd

%files
%{_bindir}/uftp
%{_bindir}/uftp_keymgt
%{_mandir}/man1/uftp.1*
%{_mandir}/man1/uftp_keymgt.1*
%doc Changes.txt ReadMe.txt

%files server
%{_sbindir}/uftpd
%{_sbindir}/uftpproxyd
%{_mandir}/man1/uftpd.1*
%{_mandir}/man1/uftpproxyd.1*
%doc Changes.txt ReadMe.txt

