Name:		uget
Version:	2.2.3
Release:	%mkrel 5
Summary:	Download manager using GTK+ and libcurl
Group:		Networking/File transfer
License:	LGPLv2+
URL:		https://ugetdm.com/
Source0:	https://downloads.sourceforge.net/urlget/%{name}-%{version}-1.tar.gz
Patch0:		uget-2.0.4-mga-not-show-Update_Message_banner.patch
Patch1:		uget-2.2.3-gcc10-fno-common.patch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.32
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libnotify)

%description
uGet is an open source download manager based on GTK+.

uGet Features:

 * Downloads Queue,
 * Pause/Resume,
 * Clipboard Monitor,
 * Batch Downloads,
 * Browser Integration,
 * Multiple Connections,
 * Speed Limit Controls,
 * Powerful Category based control and much more.

Each Category has an independent configuration that can be inherited by each
download in that category.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--delete-original \
	%{buildroot}%{_datadir}/applications/%{name}-gtk.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/%{name}-gtk*
%{_datadir}/applications/%{name}-gtk.desktop
%{_iconsdir}/hicolor/*/apps/%{name}*.*
%{_datadir}/sounds/%{name}/
%{_datadir}/pixmaps/%{name}/
