Name:           ugrep
Version:        7.3.0
Release:        %mkrel 1
Summary:        A more powerful, ultra fast, user-friendly, compatible grep
Group:          Text tools
License:        BSD-3-Clause
URL:            https://github.com/Genivia/ugrep
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(bzip3)
BuildRequires:  pkgconfig(libbrotlidec)
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(zlib)

# Upstream does not allow building RE-flex as a shared library for ugrep to
# dynamically link against.
#
# https://github.com/Genivia/ugrep/issues/215
#
# To determine the bundled version, review the recent changes to the
# include/reflex directory.  Try to find each change in the separate RE-flex
# source.  Once you find a change that is in both, that will indicate which
# version of RE-flex is bundled.  This isn't an exact science, because changes
# happen in the bundled library first before being added to the RE-flex source.
#
# https://github.com/Genivia/ugrep/commits/master/include/reflex
# https://github.com/Genivia/RE-flex/tree/master/include/reflex
#
Provides:       bundled(libreflex) = 4.5.0


%description
Ugrep is an ultra fast, user-friendly, compatible grep.  Ugrep combines the
best features of other grep, adds new features, and searches fast.  Includes a
TUI and adds Google-like search, fuzzy search, hexdumps, searches nested
archives (zip, 7z, tar, pax, cpio), compressed files (gz, Z, bz2, lzma, xz,
lz4, zstd, brotli), pdfs, docs, and more.


%prep
%autosetup -p1

%build
# https://github.com/Genivia/ugrep/issues/128
%configure \
        %ifarch %{arm}
        --disable-neon \
        %endif
        %ifarch %{ix86}
        --disable-sse2 \
        %endif
        --with-bzip3

%make_build

%install
%make_install

%check
%__make test

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/ug
%{_bindir}/ug+
%{_bindir}/ugrep
%{_bindir}/ugrep+
%{_bindir}/ugrep-indexer
%{_datadir}/ugrep/
%{_mandir}/man1/ug.1*
%{_mandir}/man1/ugrep.1*
%{_mandir}/man1/ugrep-indexer.1*

%{_datadir}/bash-completion/completions/*
%{_datadir}/fish/vendor_completions.d/*.fish
%{_datadir}/zsh/site-functions/*
