%define api_version	1.0
%define lib_major	1
%define lib_name	%mklibname uhttpmock %{api_version} %{lib_major}
%define gi_name		%mklibname uhm-gir %{api_version}
%define develname	%mklibname uhttpmock -d

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	HTTP web service mocking library
Name:		uhttpmock
Epoch:		1
Version:	0.11.0
Release:	%mkrel 1
Group:		System/Libraries
License:	LGPLv2+
URL:		https://gitlab.freedesktop.org/pwithnall/uhttpmock/
Source0:	https://gitlab.freedesktop.org/pwithnall/uhttpmock/-/archive/%{version}/uhttpmock-%{version}.tar.gz

BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	meson

%description
uhttpmock is a project for mocking web service APIs which use HTTP or HTTPS.
It provides a library, libuhttpmock, which implements recording and
playback of HTTP request/response traces.

%package -n %{lib_name}
Summary:	HTTP web service mocking library
Group:		System/Libraries

%description -n %{lib_name}
uhttpmock is a project for mocking web service APIs which use HTTP or HTTPS.
It provides a library, libuhttpmock, which implements recording and
playback of HTTP request/response traces.

%package -n %develname
Summary:	Support files necessary to compile applications with %{name}
Group:		Development/C
Requires:	%{lib_name} = %epoch:%{version}
Requires:	%{gi_name} = %epoch:%{version}
Provides:	%{name}-%{api_version}-devel = %epoch:%{version}-%{release}
Provides:	%{name}-devel = %epoch:%{version}-%{release}

%description -n %develname
Libraries, headers, and support files necessary to compile
applications using %{name}.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for Uhm
Group:		System/Libraries
Requires:	%{lib_name} = %epoch:%{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for Uhm.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

# remove unpackaged files
rm -rf %{buildroot}%{_datadir}/../doc/lib%{name}

%files -n %{lib_name}
%doc AUTHORS COPYING README NEWS
%{_libdir}/lib%{name}*-%{api_version}.so.%{lib_major}{,.*}

%files -n %develname
%doc %{_datadir}/gtk-doc/html/lib%{name}-%{api_version}
%{_datadir}/gir-1.0/Uhm-%{api_version}.gir
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/vala/vapi/lib%{name}-%{api_version}.*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Uhm-%{api_version}.typelib
