%define anthy_version	8622
%define m17n_lib_version	1.3.4

%define uim_major	8
%define libname_orig	lib%{name}
%define libname		%mklibname %{name} %uim_major
%define develname	%mklibname %{name} -d

%define custom_major	2
%define libcustom_orig	libuim-custom
%define libcustom	%mklibname uim-custom %custom_major

%define gcroots_major	0
%define libgcroots_orig	libgcroots
%define libgcroots	%mklibname gcroots %gcroots_major

%define scm_major	0
%define libscm		%mklibname uim-scm %scm_major

Name:		uim
Summary:	Multilingual input method library
Version:	1.9.0
Release:	%mkrel 1
Group:		System/Internationalization
# uim itself is licensed under BSD
# scm/py.scm, helper/eggtrayicon.[ch], qt/pref-kseparator.{cpp,h}
#   and qt/chardict/chardict-kseparator.{cpp,h} is licensed under LGPLv2+
# pixmaps/*.{svg,png} is licensed under BSD or LGPLv2
License:	BSD and LGPLv2+ and (BSD or LGPLv2)
URL:		https://github.com/uim/uim
Source0:	https://github.com/uim/uim/releases/download/%{version}/uim-%{version}.tar.gz
Patch0:		uim-1.8.9-no-plasma5-applet.patch
Patch1:		uim-emacs-utf8.patch
Patch2:		uim-ftbfs.patch

BuildRequires:	automake
BuildRequires:	ed
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	eb-devel
BuildRequires:	m17n-db
BuildRequires:	pkgconfig(m17n-shell) >= %{m17n_lib_version}
BuildRequires:	pkgconfig(anthy) >= %{anthy_version}
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gdk-x11-2.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.4.0
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libedit)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(libnotify) >= 0.4
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(Qt6Core)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6Widgets)

Requires:	%{libname} = %{version}
Requires:	uim-gtk
Requires:	anthy >= %{anthy_version}
Requires:	m17n-lib >= %{m17n_lib_version}
Requires:	skkdic

Provides:	uim-anthy, uim-m17nlib, uim-prime, uim-skk

%description
Uim is a multilingual input method library. Uim's project goal is
to provide secure and useful input method for all languages.

%package	gtk
Summary:	GNOME helper for uim
Group:		System/Internationalization
Requires:	%{name} = %{version}
Requires:	gtk+2
Provides:	uim-applet-gtk
Provides:	uim-applet = %{version}

%description	gtk
GNOME helper for uim. It contains some apps like toolbar,
system tray, applet, candidate window for Uim library.

%package	gtk3
Summary:	GNOME3 helper for uim
Group:		System/Internationalization
Requires:	%{name} = %{version}
Requires:	gtk+3
Provides:	uim-applet-gtk3
Provides:	uim-applet = %{version}

%description	gtk3
GNOME3 helper for uim. It contains some apps like toolbar,
system tray, applet, candidate window for Uim library.

%package	qt
Summary:	Qt6 helper for uim
Group:		System/Internationalization
Requires:	%{name} = %{version}
Requires:	qtbase6-common
Provides:	uim-qt6immodule = %{version}-%{release}

Obsoletes:	uim-qt5 < 1.8.9-4
Provides:	uim-qt5 = %{version}-%{release}

%description	qt
A plugin for using UIM on qt6-immodule and also provides the helper
programs.

%package	base
Summary:	Misc files needed by UIM library
Group:		System/Internationalization

%description	base
Misc files needed by UIM library.

%package -n	%{libname}
Summary:	UIM library
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}
Requires:	uim-base

%description -n	%{libname}
UIM library.

%package -n	%{develname}
Summary:	Headers of uim for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n	%{develname}
Headers of %{name} for development.

%package -n	%{libcustom}
Summary:	Custom library for UIM
Group:		System/Internationalization
Provides:	%{libcustom_orig} = %{version}-%{release}

%description -n	%{libcustom}
Custom library for UIM.

%package -n	%{libgcroots}
Summary:	Gcroots library for UIM
Group:		System/Internationalization
Provides:	%{libgcroots_orig} = %{version}-%{release}

%description -n	%{libgcroots}
This library abstracts architecture-dependent parts of garbage collector
roots acquisition such as register windows of SPARC and register stack
backing store of IA-64.

With this library, one can easily write one's own garbage collector with a
small footprint, some application-specific optimizations, for just learning or
testing experimental ideas.

%package -n	%{libscm}
Summary:	Scm library for UIM
Group:		System/Internationalization

%description -n	%{libscm}
Scm library for UIM.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
   --disable-static \
   --disable-rpath \
   --with-anthy \
   --with-anthy-utf8 \
   --with-curl \
   --with-eb \
   --with-eb-conf=%{_libdir}/eb.conf \
   --with-expat \
   --with-ffi \
   --with-m17nlib \
   --with-sqlite3 \
   --without-canna \
   --without-prime \
   --without-scim \
   --without-qt4 \
   --without-qt4-immodule \
   --disable-kde4-applet \
   --with-qt6 \
   --with-qt6-immodule \
   --enable-dict \
   --enable-notify=stderr,libnotify \
   --enable-pref \
   --disable-gnome-applet \
   --disable-gnome3-applet \
   --disable-kde-applet \
   --disable-warnings-into-error

%make_build

%install
%make_install

# remove docs for sigscheme (they should be installed by %%doc)
rm -rf %{buildroot}%{_datadir}/doc/sigscheme

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README
%license COPYING
%doc sigscheme/doc/*
%{_bindir}/uim-el*-agent
%{_bindir}/uim-fep*
%{_bindir}/uim-help
%{_bindir}/uim-module-manager
%{_bindir}/uim-sh
%{_bindir}/uim-xim
%{_bindir}/uim-m17nlib-relink-icons
%{_datadir}/applications/*
%{_datadir}/emacs/site-lisp/uim-el/*.el
%{_mandir}/man1/*
%{_datadir}/uim/

%files gtk
%license COPYING
%{_bindir}/uim-input-pad-ja
%{_bindir}/uim-dict-gtk
%{_bindir}/uim-im-switcher-gtk
%{_bindir}/uim-pref-gtk
%{_bindir}/uim-toolbar-gtk
%{_bindir}/uim-toolbar-gtk-systray
%{_libexecdir}/uim-candwin-gtk
%{_libexecdir}/uim-candwin-horizontal-gtk
%{_libexecdir}/uim-candwin-tbl-gtk
%{_libdir}/gtk-2.0/*/immodules/*.so

%files gtk3
%{_bindir}/uim-dict-gtk3
%{_bindir}/uim-im-switcher-gtk3
%{_bindir}/uim-input-pad-ja-gtk3
%{_bindir}/uim-pref-gtk3
%{_bindir}/uim-toolbar-gtk3
%{_bindir}/uim-toolbar-gtk3-systray
%{_libdir}/gtk-3.0/*/immodules/im-uim.so
%{_libexecdir}/uim-candwin-gtk3
%{_libexecdir}/uim-candwin-tbl-gtk3
%{_libexecdir}/uim-candwin-horizontal-gtk3

%files qt
%license COPYING
%{_bindir}/uim-chardict-qt6
%{_bindir}/uim-im-switcher-qt6
%{_bindir}/uim-pref-qt6
%{_bindir}/uim-toolbar-qt6
%{_libexecdir}/uim-candwin-qt6
%{_qt6_plugindir}/platforminputcontexts/*.so

%files base
%{_libexecdir}/uim-helper-server
%dir %{_libdir}/uim
%dir %{_libdir}/uim/plugin
%dir %{_libdir}/uim/notify
%{_libdir}/uim/plugin/libuim-*.so
%{_libdir}/uim/notify/libuimnotify-libnotify.so

%files -n %{libname}
%license COPYING
%{_libdir}/libuim.so.%{uim_major}{,.*}

%files -n %{libgcroots}
%license COPYING
%{_libdir}/libgcroots.so.%{gcroots_major}{,.*}

%files -n %{libcustom}
%license COPYING
%{_libdir}/libuim-custom.so.%{custom_major}{,.*}

%files -n %{libscm}
%license COPYING
%{_libdir}/libuim-scm.so.%{scm_major}{,.*}

%files -n %{develname}
%doc AUTHORS README
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
