%global         ver 0771

Name:           ultimatestunts
Version:        0.7.7
Release:        %mkrel 12
Summary:        Remake of the famous DOS-game Stunts

Group:          Games/Sports
License:        GPLv2+
URL:            https://www.ultimatestunts.nl/
Source0:        https://downloads.sf.net/ultimatestunts/%{name}-srcdata-%{ver}.tar.gz
Source1:        %{name}.png
Patch0:         ultimatestunts-0761-make.patch
Patch1:         ultimatestunts-0751-locale.patch
Patch2:         ultimatestunts-0761-unistd.patch
Patch3:         ultimatestunts-0771-destdir.patch
Patch4:         ultimatestunts-0771-localedir.patch
BuildRequires:  desktop-file-utils
BuildRequires:  dos2unix
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(vorbis)
# for AM_GNU_GETTEXT_REQUIRE_VERSION
BuildRequires:  autoconf >= 1:2.69-10
BuildRequires:  gettext-devel
BuildRequires:  intltool

%description
UltimateStunts is a remake of the famous DOS-game Stunts, with modern
features such as OpenGL graphics, 3D sound and Internet multiplaying.

Racing in Ultimate Stunts involves some really spectacular stunts,
like loopings, corkscrews, bridges to jump over, etc., but the best thing
is that you can design your own tracks!

%prep

%setup -q -n %{name}-srcdata-%{ver}
%autopatch -p1

# remove SVN control files
find . -name .svn -type d -print0 | xargs -0 rm -rf

# fix EOL and encoding
pushd "doc/nolanguage/Original Stunts Track-Format_files"
dos2unix -q style.css
dos2unix -q stunts.htm
touch -r tree.png style.css stunts.htm

f=stunts.htm
iconv -f ISO8859-1 -t UTF-8 -o $f.new $f
touch -r tree.png $f.new
mv $f.new $f
popd

pushd doc/nl
for f in *.htm; do
    iconv -f ISO8859-1 -t UTF-8 -o $f.new $f
    touch -r $f $f.new
    mv $f.new $f
done
popd

# ensure the config gets regenerated with correct datadir (mga#15877)
rm -f %{name}.conf

%build
autoreconf -fi -Im4
export LIBS+="-lpthread"
%configure \
	--bindir=%{_gamesbindir} \
	--localedir=%{_datadir}/locale \
	--datadir=%{_gamesdatadir}
%make_build

%install
%make_install

rm -rf %{buildroot}%{_gamesdatadir}/%{name}/lang

install -D -m644 %{_sourcedir}/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Ultimate Stunts
Comment=Remake of the famous DOS-game Stunts
Exec=ustunts
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;SportsGame;
EOF

cat > %{buildroot}%{_datadir}/applications/%{name}-trackedit.desktop << EOF
[Desktop Entry]
Name=Ultimate Stunts Track Editor
Comment=The Ultimate Stunts track editor
Exec=ustuntstrackedit
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;SportsGame;
EOF

%files
%doc AUTHORS doc/*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.*
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/ustunts*
%{_gamesdatadir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}.conf
