#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%bcond_with php_import

%define rel 1

Name:          umbrello
Epoch:         1
Version: 25.04.0
Release:       %mkrel %{rel}
Summary:       UML Modeller
License:       GPLv2 and LGPLv2 and GFDL
Group:         Graphical desktop/KDE
Url:           https://apps.kde.org/umbrello/
Source:        https://download.kde.org/stable/release-service/%version/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-rpm-macros

BuildRequires: cmake(Qt5Svg)
BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5PrintSupport)
BuildRequires: cmake(Qt5Test)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: cmake(Qt5Xml)

BuildRequires: cmake(KF5Archive)
BuildRequires: cmake(KF5Completion)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5TextEditor)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5XmlGui)

# OPTIONAL packages
BuildRequires: cmake(KF5ThreadWeaver)
BuildRequires: cmake(KF5ItemModels)
BuildRequires: cmake(KF5KCMUtils)
%if %{with php_import}
BuildRequires: cmake(KDevPlatform)
BuildRequires: cmake(KDevelop-PG-Qt)
BuildRequires: cmake(KDevPHP)
%endif
BuildRequires: clang-devel
BuildRequires: llvm-devel
BuildRequires: llvm-static
BuildRequires: doxygen

BuildRequires: pkgconfig(libxslt)

# make sure umbrello can also be launched on a non kde system (see mga#31249)
Requires:      kf5-kinit
Requires:      kf5-kio

%description
Umbrello UML Modeller is a UML diagramming tool for KDE.

%files -f %name.lang
%_kf5_bindir/umbrello5
%_kf5_bindir/po2xmi5
%_kf5_bindir/xmi2pot5
%_kf5_applicationsdir/*.desktop
%_kf5_datadir/umbrello5/
%_kf5_metainfodir/org.kde.umbrello.appdata.xml
%_kf5_iconsdir/*/*/*/umbrello*
%_kf5_iconsdir/*/*/mimetypes/application-x-uml.png
%_kf5_docdir/*/*/umbrello/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5 %{!?with_php_import:-DBUILD_PHP_IMPORT=OFF}
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

