%global version_url %(echo %{version}|tr . _)
%global jar         %{name}.jar
%global java_home   /usr/lib/jvm/java

Name:          umlgraph
Version:       5.7.2
Release:       %mkrel 3
Summary:       Automated Drawing of UML Diagrams
Group:         Development/Java
License:       BSD
URL:           https://www.umlgraph.org/
Source0:       https://github.com/dspinellis/%{name}/archive/R%{version_url}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:        umlgraph-nogit.patch

BuildArch:     noarch

BuildRequires: ant
BuildRequires: graphviz
# javadoc API must be for jdk8
BuildRequires: java-devel >= 1.8

Requires:      graphviz
Requires:      java-headless

%description
UMLGraph allows the declarative specification and drawing
of UML class and sequence diagrams. The current features
are part of an ongoing effort aiming to provide support
for all types UML diagrams.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
This package contains javadoc for %{name}.

%package       manual
Summary:       Documents for %{name}
Group:         Documentation

%description   manual
This package contains documents for %{name}.


%prep
%setup -q -nUMLGraph-R%{version_url}
%patch -P 0 -p1
# clean make environment
sed -i 's|\${VERSION}|%{version}|g' build.xml
sed -i 's|UmlGraph.jar|%{jar}|g' build.xml
sed -i 's|javase/7|javase/8|g' build.xml
sed -i 's|\(VERSION:=\).*|\1%{version}|' Makefile
sed -i 's|UmlGraph.jar|%{jar}|g' Makefile
sed -i 's|.*dds.*||g' Makefile
sed -i 's|UmlGraph.jar|%{jar}|g' doc/Makefile
sed -i 's|.gif|.svg|g' doc/Makefile
sed -i 's|.*NOTETOOLS.*||g' doc/Makefile
find . -name "*.jar" -delete

%build
export JAVA_HOME=%{java_home}
make all
make docs
%ant pom

%check
export JAVA_HOME=%{java_home}
make test

%install
# jars
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 lib/%{jar} %{buildroot}%{_javadir}

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
rm -fr javadoc/gr/spinellis/%{name}/doclet/*.dot
rm -fr javadoc/org/%{name}/doclet/*.dot
cp -pr javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%doc README.txt TODO LICENSE
%{_javadir}/*.jar

%files javadoc
%doc LICENSE
%doc %{_javadocdir}/%{name}/

%files manual
%doc doc/*
