%define	major	0
%define girapi	1.0
%define	libname	%mklibname umockdev %{major}
%define girname	%mklibname umockdev-gir %{girapi}
%define	devname	%mklibname umockdev -d

Name:		umockdev
Version:	0.19.1
Release:	%mkrel 1
Summary:	Mock hardware devices

Group:		Development/C
License:	LGPLv2+
URL:		https://github.com/martinpitt/umockdev
Source0:	https://github.com/martinpitt/umockdev/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libpcap)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	vala
# Required for tests
BuildRequires:	gphoto2
BuildRequires:	python3
BuildRequires:	meson

%description
With this program and libraries you can easily create mock udev objects.
This is useful for writing tests for software which talks to
hardware devices.

%package -n	%{libname}
Summary:	Libraries for umockdev
Group:		System/Libraries

%description -n	%{libname}
Libraries for umockdev.

%package -n	%{girname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries

%description -n	%{girname}
GObject Introspection interface library for %{name}.

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains the libraries to develop
using %{name}.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true

%meson_build

%install
%meson_install

rm -rf %{buildroot}%{_datadir}/doc/umockdev

%check
# Disabled for now, as the Xorg tests don't pass
# https://github.com/martinpitt/umockdev/issues/47
# make check

%files
%doc README.md
%{_bindir}/umockdev-*

%files -n %{libname}
%{_libdir}/libumockdev.so.%{major}{,.*}
%{_libdir}/libumockdev-preload.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/UMockdev-%{girapi}.typelib

%files -n %{devname}
%doc docs/script-format.txt docs/examples/battery.c docs/examples/battery.py
%{_libdir}/libumockdev.so
%{_libdir}/libumockdev-preload.so
%{_libdir}/pkgconfig/umockdev-1.0.pc
%{_datadir}/gir-1.0/UMockdev-%{girapi}.gir
%{_includedir}/umockdev-1.0
%{_datadir}/gtk-doc/html/umockdev/
%{_datadir}/vala/vapi/umockdev-1.0.vapi
