%bcond_with static

Name:           unhide
Version:        20240510
Release:        %mkrel 1
Summary:        Tool to find hidden processes and TCP/UDP ports from rootkits
Group:          Security
License:        GPLv3+
URL:            https://www.unhide-forensics.info/
Source0:        https://github.com/YJesus/Unhide/archive/v%{version}/Unhide-%{version}.tar.gz
%if %{with static}
BuildRequires:  glibc-static-devel
%endif

%description
Unhide is a forensic tool to find hidden processes and TCP/UDP ports by
rootkits / LKMs or by another hidden technique.

%prep
%setup -qn Unhide-%{version}

%build
gcc %{optflags} %{?with_static:--static} %{ldflags} -pthread unhide-linux*.c unhide-output.c -o unhide-linux
gcc %{optflags} %{?with_static:--static} %{ldflags} unhide_rb.c -o unhide_rb
gcc %{optflags} %{?with_static:--static} %{ldflags} unhide-tcp.c unhide-tcp-fast.c unhide-output.c  -o unhide-tcp

%install

# binaries
install -Dp -m0755 unhide-linux %{buildroot}%{_sbindir}/unhide-linux
install -Dp -m0755 unhide-tcp %{buildroot}%{_sbindir}/unhide-tcp
install -Dp -m0755 unhide_rb %{buildroot}%{_sbindir}/unhide_rb

# man pages
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_mandir}/es/man8
install -d %{buildroot}%{_mandir}/fr/man8

install -p -m0644 man/*.8 -t %{buildroot}%{_mandir}/man8/
install -p -m0644 man/es/*.8 -t %{buildroot}%{_mandir}/es/man8/
install -p -m0644 man/fr/*.8 -t %{buildroot}%{_mandir}/fr/man8/

# symlinks
ln -s unhide-linux %{buildroot}%{_sbindir}/unhide
ln -s unhide.8 %{buildroot}%{_mandir}/man8/unhide-linux.8
ln -s unhide.8 %{buildroot}%{_mandir}/es/man8/unhide-linux.8
ln -s unhide.8 %{buildroot}%{_mandir}/fr/man8/unhide-linux.8


%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%doc changelog LEEME.txt README.txt
%{_mandir}/man8/unhide*
%{_sbindir}/unhide*
