Name:		unifont
Version:	16.0.01
Release:	%mkrel 1
Summary:	Tools and glyph descriptions in a very simple text format
License:	GPLv2+ and GFDL
Group:		System/Fonts/True type
Url:		https://savannah.gnu.org/projects/unifont
Source0:	https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:	unifont.metainfo.xml
Patch1:		unifont-fix-build.patch

BuildRequires:	pkgconfig(fontutil)
BuildRequires:	pkgconfig(libbsd)
BuildRequires:	bdftopcf
BuildRequires:	fontforge
BuildRequires:	fontpackages-devel
BuildRequires:	texinfo
BuildRequires:	fontconfig
BuildRequires:	freetype-tools

%description
Unifont is a Unicode font with a glyph for every visible Unicode Basic
Multilingual Plane code point and more, with supporting utilities to
modify the font. This package contains tools and glyph descriptions.

%package	viewer
BuildArch:	noarch
Summary:	Graphical viewer for unifont

%description	viewer
A graphical viewer for unifont.

%package -n	fonts-ttf-%{name}
Summary: 	TrueType GNU Unifont glyphs
Group:		System/Fonts/True type
BuildArch:	noarch

%description -n	fonts-ttf-%{name}
GNU Unifont provides glyphs for every printable code point in the
Unicode 5.1 Basic Multilingual Plane (BMP).  The BMP occupies the
first 65,536 code points of the Unicode space, denoted as
U+0000..U+FFFF.

%package -n	fonts-otf-%{name}
Summary: 	OpenType GNU Unifont glyphs
Group:		System/Fonts/True type
BuildArch:	noarch

%description -n	fonts-otf-%{name}
GNU Unifont provides glyphs for every printable code point in the
Unicode 5.1 Basic Multilingual Plane (BMP).  The BMP occupies the
first 65,536 code points of the Unicode space, denoted as
U+0000..U+FFFF.

%prep
%autosetup -p1
# Disable rebuilding during installation
sed -i 's/^install: .*/install:/' Makefile
sed -i 's/install -s/install/' src/Makefile

%build
# Makefile is broken with parallel builds
make CFLAGS='%{build_cflags}' LDFLAGS='%{build_ldflags}'
make CFLAGS='%{build_cflags}' LDFLAGS='%{build_ldflags}' -C font truetype opentype
%make_build -C doc unifont.info

%install
%make_install USRDIR=%{_prefix} COMPRESS=0 TTFDEST='$(DESTDIR)%{_datadir}/fonts/TTF/%{name}' OTFDEST='$(DESTDIR)%{_datadir}/fonts/OTF/%{name}'

find %{buildroot}%{_datadir}/unifont/ -type f \! -name %{name}.hex -delete
rm -rv %{buildroot}%{_datadir}/fonts/X11
rm -v %{buildroot}%{_datadir}/fonts/OTF/%{name}/*sample*
rm -v %{buildroot}%{_datadir}/fonts/OTF/%{name}/unifont_*csur*.otf
install -p -m644 doc/unifont.info -D %{buildroot}%{_infodir}/unifont.info
install -Dm0644 %{SOURCE1} %{buildroot}%{_metainfodir}/unifont.metainfo.xml
# Remove APL font for now
#rm %%{buildroot}%%{_datadir}/consolefonts/Unifont-APL8x16.psf.gz


ttmkfdir %{buildroot}%{_datadir}/fonts/TTF/%{name} > %{buildroot}%{_datadir}/fonts/TTF/%{name}/fonts.dir
ln -s fonts.dir %{buildroot}%{_datadir}/fonts/TTF/%{name}/fonts.scale

mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_datadir}/fonts/TTF/%{name} \
    %{buildroot}%{_sysconfdir}/X11/fontpath.d/ttf-%{name}:pri=50

ln -s ../../..%{_datadir}/fonts/OTF/%{name} \
    %{buildroot}%{_sysconfdir}/X11/fontpath.d/otf-%{name}:pri=50

%files
%doc NEWS README
%license COPYING
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_infodir}/%{name}.info*
%exclude %{_bindir}/unifont-viewer
%{_metainfodir}/%{name}.metainfo.xml

%files viewer
%{_bindir}/unifont-viewer

%files -n fonts-ttf-%{name}
%dir %{_datadir}/fonts/TTF/%{name}
%{_datadir}/fonts/TTF/%{name}/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/%{name}/fonts.dir
%{_datadir}/fonts/TTF/%{name}/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-%{name}:pri=50

%files -n fonts-otf-%{name}
%dir %{_datadir}/fonts/OTF/%{name}
%{_datadir}/fonts/OTF/%{name}/*.otf
%{_sysconfdir}/X11/fontpath.d/otf-%{name}:pri=50
