%define libs %mklibname %{name}
%define devel %mklibname %{name} -d

# to workaround a limitation where %%{name} can't be used before it's defined
%global name unimrcp-deps

# filter out private libraries from provides (mga#18831#c8)
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{_libdir}/%{name}/lib.*\\.so

# filter out reqs for bundled libs also available system-wide
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}lib(apr-1|sofia-sip-ua)\\.so\\.[0-9]\+

# filter out devel pkg reqs for bundled libs
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}devel\\(lib(apr(|util)-1|sofia-sip-ua).*\)


Name:           %{name}
Version:        1.6.0
Release:        %mkrel 2
Summary:        Media Resource Control Protocol Stack
License:        Apache
Group:          System/Libraries
Url:            https://unimrcp.org/
Source:         https://unimrcp.org/project/component-view/unimrcp-deps-1-6-0-tar-gz/download#/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  autoconf
BuildRequires:  automake

%package -n     %{libs}
Summary:        UniMRCP depends Stack shared libraries
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}
Provides:       bundled(apr) = 1.5.2
Provides:       bundled(apr-util) = 1.5.4
Provides:       bundled(sofia-sip) = 1.12.11

%package -n     %{devel}
Summary:        UniMRCP depends Stack development
Group:          Development/C
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       lib%{name} = %{version}-%{release}

%description
UniMRCP depends on a number of third party tools and libraries, which are
required and must be installed first. Alternatively, the original packages
of APR, APR-Util and Sofia-SIP libraries and patches for them
can be downloaded from https://www.unimrcp.org/dependencies/

%description -n %{libs}
UniMRCP depends on a number of third party tools and libraries, which are
required and must be installed first. Alternatively, the original packages
of APR, APR-Util and Sofia-SIP libraries and patches for them
can be downloaded from https://www.unimrcp.org/dependencies/

%description -n %{devel}
UniMRCP depends on a number of third party tools and libraries, which are
required and must be installed first. Alternatively, the original packages
of APR, APR-Util and Sofia-SIP libraries and patches for them
can be downloaded from https://www.unimrcp.org/dependencies/

%prep
%setup -q
%autopatch -p1

%build
cd libs/apr
autoreconf -fi
%configure \
        --enable-threads \
        --disable-static \
        --includedir=%{_includedir}/%{name} \
        --libdir=%{_libdir}/%{name}/lib \
        --bindir=%{_libdir}/%{name}/bin \
        --datadir=%{_datadir}/%{name} \
        --prefix=%{_prefix}
%make_build

cd ../apr-util
autoreconf -fi
%configure \
        --with-apr=../apr \
        --includedir=%{_includedir}/%{name} \
        --libdir=%{_libdir}/%{name}/lib \
        --bindir=%{_libdir}/%{name}/bin \
        --datadir=%{_datadir}/%{name} \
        --prefix=%{_prefix}
%make_build

cd ../sofia-sip
autoreconf -fi
%configure \
        --disable-static \
        --disable-silent-rules \
        --with-glib=no \
        --includedir=%{_includedir}/%{name} \
        --libdir=%{_libdir}/%{name}/lib \
        --bindir=%{_libdir}/%{name}/bin \
        --datadir=%{_datadir}/%{name} \
        --prefix=%{_prefix}
%make_build

%install
%make_install -C libs/apr

%make_install -C libs/apr-util

%make_install -C libs/sofia-sip

%files -n %{libs}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib
%{_mandir}/man1/addrinfo.1.*
%{_mandir}/man1/localinfo.1.*
%{_mandir}/man1/sip-date.1.*
%{_mandir}/man1/sip-dig.1.*
%{_mandir}/man1/sip-options.1.*
%{_mandir}/man1/stunc.1.*
%exclude %{_libdir}/%{name}/lib/lib*.so
%exclude %{_libdir}/%{name}/lib/pkgconfig

%files -n %{devel}
%{_libdir}/%{name}/lib/lib*.so
%{_includedir}/%{name}/
%{_datadir}/%{name}/build-1
%{_libdir}/%{name}/bin
%{_datadir}/%{name}/sofia-sip
%{_libdir}/%{name}/lib/pkgconfig/
