%global pdf_version 2.51.2

Summary:        File-synchronization tool for Unix and Windows
Name:           unison
Version:        2.53.5
Release:        %mkrel 1
License:        GPLv3+
Group:          File tools
URL:            https://github.com/bcpierce00/unison/wiki/
# Source from svn revision 511 from the 2.40 branch
# (the 102 number comes from the make export)
# svn co https://webdav.seas.upenn.edu/svn/unison/branches/2.40
# cd 2.40
# make export
Source0:        https://github.com/bcpierce00/unison/archive/refs/tags/v%{version}.tar.gz
Source1:        unison.png
# (tv) no more PDF after 2.51.2:
# 2.53.3
Source2:        https://raw.githubusercontent.com/bcpierce00/unison/documentation/unison-manual.pdf
BuildRequires:  ocaml-lablgtk3-devel
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  ocaml-compiler
BuildRequires:  emacs-common
Requires:       openssh-clients
Requires:       x11-font-schumacher-misc
Requires:       rsync

%description
Unison is a file-synchronization tool for Unix and Windows. It allows
two replicas of a collection of files and directories to be stored on
different hosts (or different disks on the same host), modified
separately, and then brought up to date by propagating the changes in
each replica to the other. Unlike simple mirroring or backup
utilities, Unison can deal with updates to both replicas of a
distributed directory structure. Updates that do not conflict are
propagated automatically.  Conflicting updates are detected and
displayed. Unison can synchronize either locally (between volumes
mounted on the same computer) or remotely,between any pair of machines
connected to the internet, communicating over either a direct socket
link or tunneling over an rsh or an encrypted ssh connection. It is
careful with network bandwidth, and runs well over slow links such as
PPP connections. Unison is available for both Windows (95/98/NT/2K)
and Unix (Linux, Solaris). Moreover, Unison works across platforms,
allowing you to synchronize a Windows laptop with a Unix server, for
example.

%prep
%autosetup -p1

%build
make tui gui fsmonitor manpage

%install
%make_install PREFIX=%{_prefix}

install -Dpm0644 icons/U.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
cp -f %{SOURCE2} .

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Unison
GenericName=File Synchronizer
Comment=File-synchronization tool for Unix and Windows
Exec=%{name}-gui
Icon=%{name}
Terminal=false
Type=Application
Categories=Utility;System;
EOF

%files
%doc NEWS.md README.md %{name}-manual.pdf
%license LICENSE
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*
