%define __python %{__python3}

Summary:	A utility for converting amounts from one unit to another
Name:		units
Version:	2.24
Release:	%mkrel 1
License:	GPLv3+
Group:		Sciences/Other
Url:		https://www.gnu.org/software/units/units.html
Source0:	https://ftp.gnu.org/pub/gnu/units/%{name}-%{version}.tar.gz
# do not update currency.units from network during build
Patch1:		0001-units-2.22-no-network.patch
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(requests)
Requires:	python3
Requires:	python3dist(requests)

%description
The units program converts quantities expressed in various scales to
their equivalents in other scales, including linear and non-linear
conversions.

%prep
%autosetup -p1

# Fix shebang
%py3_shebang_fix ./units_cur

%build
%configure
%make_build

%install
%make_install

# replace an absolute symlink by a relative symlink
ln -fsv ../../..%{_sharedstatedir}/units/currency.units %{buildroot}%{_datadir}/units

# provide a man page for units_cur as a symlink to units.1
ln -s units.1 %{buildroot}%{_mandir}/man1/units_cur.1

%check
%__make check

%files
%doc NEWS README
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}_cur
%{_datadir}/%{name}/
%{_sharedstatedir}/%{name}/
%{_infodir}/%{name}.info*
%{_mandir}/man1/%{name}*
