%define LIBMAJ		2
%define libname		%mklibname %name %LIBMAJ
%define develname	%mklibname %name -d

Name: 		unixODBC
Version: 	2.3.12
Release:	%mkrel 2
Group: 		Databases
Summary: 	Unix ODBC driver manager and database drivers
License: 	GPLv2+ and LGPLv2+
URL: 		https://www.unixODBC.org/
Source0:	https://www.unixODBC.org/%{name}-%{version}.tar.gz
Patch0:		unixODBC-2.3.12-install.patch
# from Fedora
Patch1:		so-version-bump.patch
# Security patches
Patch10:	CVE-2024-1013.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(readline)
BuildRequires:	byacc
BuildRequires:	libltdl-devel

%description
UnixODBC is a free/open specification for providing application developers
with a predictable API with which to access Data Sources. Data Sources include
SQL Servers and any Data Source with an ODBC Driver.

%package -n	%{libname}
Summary:	Libraries unixODBC
Group:		System/Libraries

%description -n	%{libname}
unixODBC  libraries.

%package -n	%{develname}
Summary:	Includes and shared libraries for ODBC development
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}unixODBC-static-devel < 2.3.4-4

%description -n	%{develname}
unixODBC aims to provide a complete ODBC solution for the Linux platform.
This package contains the include files and shared libraries for development.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
  --with-included-ltdl=no \
  --with-ltdl-include=%{_includedir} \
  --with-ltdl-lib=%{_libdir} \
  --disable-static \
  --enable-shared \
  --enable-drivers

%make_build
pushd DRVConfig/MySQL
%make_build
popd

pushd DRVConfig/PostgreSQL
%make_build
popd

pushd DRVConfig/MiniSQL
%make_build
popd

pushd DRVConfig/Oracle
%make_build
popd


%install
%make_install

pushd DRVConfig/MySQL
%make_install
popd

pushd DRVConfig/PostgreSQL
%make_install
popd

pushd DRVConfig/MiniSQL
%make_install
popd

pushd DRVConfig/Oracle
%make_install
popd

%multiarch_binaries %{buildroot}%{_bindir}/odbc_config

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog NEWS README
%config(noreplace) %verify(not md5 size mtime)  %{_sysconfdir}/odbc*.ini
%dir %{_sysconfdir}/ODBCDataSources
%{_bindir}/dltest
%{_bindir}/isql
%{_bindir}/odbcinst
%{_bindir}/iusql
%{_bindir}/slencheck
%{_mandir}/man*/*

%files -n %{libname}
%_libdir/libodbc.so.%{LIBMAJ}{,.*}
%_libdir/libodbccr.so.%{LIBMAJ}{,.*}
%_libdir/libodbcinst.so.%{LIBMAJ}{,.*}
%_libdir/libnn.so.%{LIBMAJ}{,.*}
%_libdir/libtemplate.so.%{LIBMAJ}{,.*}
%_libdir/libodbcpsql.so.%{LIBMAJ}{,.*}

%files -n %{develname}
%doc doc/
%{_bindir}/odbc_config
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/odbc.pc
%{_libdir}/pkgconfig/odbccr.pc
%{_libdir}/pkgconfig/odbcinst.pc
%multiarch %_bindir/%multiarch_platform/odbc_config
