%define major		8
%define libname		%mklibname cw %{major}
%define libnamedevel	%mklibname cw -d

Name:		unixcw
Version:	3.6.1
Release:	%mkrel 1
Summary:	Shared library for Morse programs
Group:		Communications/Radio
License:	GPLv2+
URL:		https://sourceforge.net/projects/unixcw
Source0:	https://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(ncurses)

%description
The UnixCW utilities add a general purpose CW library to your system, and
a small set of applications based around this library.  These applications
form a Morse code tutor suite, useful for Amateur and Marine radio operators.

%package -n	%libname
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n	%libname
UnixCW libraries.

%package -n	%libnamedevel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%libnamedevel
UnixCW utility libraries.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

#Fix permissions for binary files
chmod 0755 %{buildroot}%{_bindir}/*
# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS README NEWS
%license COPYING
%{_bindir}/*
%{_mandir}/man?/*

%files -n %{libname}
%license COPYING
%{_libdir}/libcw.so.%{major}{,.*}

%files -n %{libnamedevel}
%{_libdir}/libcw.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
