Name:		unknown-horizons
Version:	2019.1
Release:	%mkrel 14
License:	GPLv2+ and CC-BY-SA 3.0 and OFL
Summary:	A popular economy and city building 2D RTS game
Url:		https://unknown-horizons.org
Group:		Games/Strategy
Source0:	https://github.com/unknown-horizons/unknown-horizons/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		unknown-horizons-2019.1-mga-gamespath.patch
# cherry picked from:
# https://github.com/unknown-horizons/unknown-horizons/commit/2fdb225f62f66bf474e19d9b1bcfbaf691672c43
Patch1:		unknown-horizons-2019.1-replace-deprecated-to-distro-package.patch
Patch2:		0001-fixs-for-Phyton-3.9-2955.patch
Patch3:		0001-CVE-2020-14343.patch
# Backported from upstream
Patch4:		0001-remove-dead-Python2-code-2963.patch
Patch5:		0001-SyntaxWarning-is-with-a-literal.-2924.patch
Patch6:		0001-Rename-instances-of-collections.Iterable-into-collec.patch
Patch10:	unknown-horizons-fix-fife-import-mga#33485.patch
BuildArch:	noarch

BuildRequires:  desktop-file-utils
# Required, docbook-xsl-stylesheets : to build man page
BuildRequires:	docbook-style-xsl
BuildRequires:	fife-devel >= 0.4.2
BuildRequires:	intltool
# Required, libxslt : to build man page
BuildRequires:	xsltproc
BuildRequires:	libxslt-devel
BuildRequires:	python3-devel
BuildRequires:	python3-distro
BuildRequires:	python3-distutils-extra
BuildRequires:	python3-pillow

Requires:	fife >= 0.4.2
Requires:	python3
Requires:	python3-future
Requires:	python3-yaml
Requires:	%{name}-data = %{version}

%description
Unknown Horizons is a 2D real-time strategy simulation with an emphasis
on economy and city building. Expand your small settlement to a strong
and wealthy colony, collect taxes and supply your inhabitants with
valuable goods. Increase your power with a well balanced economy and
with strategic trade and diplomacy.

%package data
Summary:	Game data for the %{name} game
Group:		Games/Strategy
BuildArch:	noarch
Requires:	%{name} = %{version}

%description data
This package contains data files for %{name} game.

%prep
%autosetup -p1

%build
%py3_build build_i18n

# force generation of atlas.sql
%python3 horizons/engine/generate_atlases.py 2048

%install
%py3_install

# menu
desktop-file-install --dir %{buildroot}%{_datadir}/applications build/share/applications/unknown-horizons.desktop

%files
%doc doc/AUTHORS.md doc/CHANGELOG.md doc/LICENSE
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/horizons/
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_datadir}/pixmaps/unknown-horizons.xpm
%{_mandir}/man6/%{name}.6.*

%files data
%{_gamesdatadir}/%{name}/
