Summary:        Tool to convert between any document format supported by LibreOffice
Name:           unoconv
Version:        0.9.0
Release:        %mkrel 3
License:        GPLv2
Group:          System/Base
URL:            http://dag.wieers.com/home-made/unoconv/
Source:         https://github.com/dagwieers/unoconv/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3
Requires:       libreoffice-core
Requires:       libreoffice-pyuno
#  conversion from RTF fails without writer, so let's recommend it
Recommends:     libreoffice-writer
#  conversion from ODS fails without calc, so let's recommend it
Recommends:     libreoffice-calc
#  conversion from PPT fails without impress, so let's recommend it
Recommends:     libreoffice-impress

%description
unoconv converts between any document format that LibreOffice understands.
It uses LibreOffice's UNO bindings for non-interactive conversion of
documents.

Supported document formats include Open Document Format (.odf), MS Word (.doc),
MS Office Open/MS OOXML (.xml), Portable Document Format (.pdf), HTML, XHTML,
RTF, Docbook (.xml), and more.

%prep
%setup -q
sed -i 's|bin/env python|bin/env python3|' %{name}

%build

%install
%make_install

%files
%doc AUTHORS ChangeLog README.adoc tests/
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
