Summary:	Post-processing scanned and photocopied book pages
Name:		unpaper
# the newest version is 0.3, the old one was 1.1. Epoch is needed.
Epoch:		1
Version:	7.0.0
Release:	%mkrel 2
License:	GPLv2+ and 0BSD
Group:		Graphics/Scanning
Url:		https://www.flameeyes.eu/projects/unpaper
Source:		https://www.flameeyes.eu/files/%{name}-%{version}.tar.xz

BuildRequires:	netpbm
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	meson
BuildRequires:	python3-sphinx

%description
unpaper is a post-processing tool for scanned sheets of paper,
especially for book pages that have been scanned from previously
created photocopies.  The main purpose is to make scanned book pages
better readable on screen after conversion to PDF. Additionally,
unpaper might be useful to enhance the quality of scanned pages before
performing optical character recognition (OCR).

unpaper tries to clean scanned images by removing dark edges that
appeared through scanning or copying on areas outside the actual page
content (e.g.  dark areas between the left-hand-side and the
right-hand-side of a double- sided book-page scan).  The program also
tries to detect unaligned centering and rotation of pages and will
automatically straighten each page by rotating it to the correct
angle. This is called "deskewing".  Note that the automatic processing
will sometimes fail. It is always a good idea to manually control the
results of unpaper and adjust the parameter settings according to the
requirements of the input. Each processing step can also be disabled
individually for each sheet.

Input and output files can be in either .pbm or .pgm format, as also
used by the Linux scanning tools scanimage and scanadf.  Conversion to
PDF can e.g. be achieved with the Linux tools pgm2tiff, tiffcp and
tiff2pdf.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
rm -fr %{buildroot}%{_datadir}/doc

%files
%doc doc/* README.md NEWS
%license LICENSES/0BSD.txt LICENSES/GPL-2.0-only.txt
%_bindir/*
%_mandir/man1/*
