%define oname		UPower

%define major		3
%define libname		%mklibname upower-glib %{major}
%define develname	%mklibname upower-glib -d

%define gi_major	1.0
%define girname		%mklibname %{name}-gir %{gi_major}

%define git_url		git://anongit.freedesktop.org/DeviceKit/upower

Name:		upower
Version:	1.90.9
Release:	%mkrel 1
Summary:	Power Management Service
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://upower.freedesktop.org/
Source0:        https://gitlab.freedesktop.org/upower/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildRequires:	meson
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	intltool
BuildRequires:	pkgconfig(libusb)
BuildRequires:	libxslt-proc
BuildRequires:	docbook-style-xsl
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libimobiledevice-1.0) >= 0.9.7
BuildRequires:	pkgconfig(libplist-2.0) >= 2.2.0
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(polkit-agent-1)

Provides:	%{oname} = %{version}-%{release}

Requires(post):		rpm-helper >= 0.24.8-1
Requires(preun):	rpm-helper >= 0.24.8-1

%description
%{oname} provides a daemon, API and command line tools for
managing power devices attached to the system.

%package -n	%{libname}
Summary:	Shared Library of %{oname}
Group:		System/Libraries
#removed by eatdirt if this breaks some packages, please consider
#adding an explicit Requires: upower in the concerned
#package
#Requires:	#{name} >= #{version}-#{release}

%description -n	%{libname}
%{oname} provides a daemon, API and command line tools for
managing power devices attached to the system.


%package -n	%{develname}
Summary:	Headers and libraries for %{oname}
Group:		Development/C
Provides:	%{oname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
#gw libtool dep
Requires:	pkgconfig(libusb)

%description -n	%{develname}
Development headers and libraries for %{oname}.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -n %{name}-v%{version} -p1

%build
%meson \
  -Dman=true \
  -Dgtk-doc=true \
  -Dintrospection=enabled \

%meson_build

%install
%meson_install

%find_lang %{name}

%post
REENABLE=no
if [ -L %{_sysconfdir}/systemd/system/graphical.target.wants/upowerd.service ]; then
  REENABLE=yes
  %{__rm} -f %{_sysconfdir}/systemd/system/graphical.target.wants/upowerd.service
fi
%_post_service upower
if [ "$REENABLE" = "yes" ]; then
  %{_bindir}/systemctl --quiet enable upower.service
fi

%preun
%_preun_service upower

%files -f %{name}.lang
%license COPYING
%doc NEWS AUTHORS HACKING.md README.md
%dir %{_sysconfdir}/UPower/
%config(noreplace) %{_sysconfdir}/UPower/UPower.conf
%{_datadir}/dbus-1/system.d/*.conf
%{_udevrulesdir}/*.rules
%{_udevhwdbdir}/*.hwdb
%ghost %dir %{_localstatedir}/lib/upower

%{_bindir}/*
%{_libexecdir}/upowerd
%{_libexecdir}/upower/

%{_mandir}/man?/*

%{_datadir}/dbus-1/system-services/*.service

%{_unitdir}/upower.service

%{_datadir}/installed-tests/upower/

%{_datadir}/polkit-1/actions/org.freedesktop.upower.policy

%{_datadir}/zsh/site-functions/_upower

%files -n %{libname}
%{_libdir}/libupower-glib.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/UPowerGlib-%{gi_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/UPower/
%{_datadir}/dbus-1/interfaces/*.xml
%{_libdir}/libupower-glib.so
%{_libdir}/pkgconfig/upower-glib.pc
%{_datadir}/gir-1.0/UPowerGlib-1.0.gir
%{_includedir}/libupower-glib/
