%define	major		0
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	A daemon to record and keep track of system uptimes
Name:		uptimed
Version:	0.4.7
Release:	%mkrel 1
License:	GPLv2+
Group:		Monitoring
URL:		https://github.com/rpodgorny/uptimed/
Source0:	https://github.com/rpodgorny/uptimed/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		uptimed-linking.patch
BuildRequires:	pkgconfig(libsystemd)

%description
Uptimed is an uptime record daemon keeping track of the highest uptimes the
system ever had. Instead of using a pid file to keep sessions apart from each
other, it uses the system boot time.

Uptimed has the ability to inform you of records and milestones though syslog
and e-mail, and comes with a console front end to parse the records, which can
also easily be used to show your records on your Web page.

%package -n %{libname}
Summary:	Generic libraries need by uptimed
Group:		System/Libraries

%description -n %{libname}
Generic libraries needed by uptimed.

%package -n %{develname}
Summary:	Generic libraries need by uptimed
Group:		Development/Other
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Development files for uptimed.

%prep
%autosetup -p1

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

mkdir -p %{buildroot}/var/spool/%{name}
install -m755 etc/uptimed.service -D %{buildroot}%{_unitdir}/%{name}.service
mv %{buildroot}%{_sysconfdir}/uptimed.conf-dist %{buildroot}%{_sysconfdir}/uptimed.conf

%post
%_post_service %{name}

%files
%doc AUTHORS CREDITS ChangeLog README.md TODO sample-cgi/
%config(noreplace) %{_sysconfdir}/uptimed.conf
%{_unitdir}/%{name}.service
%{_sbindir}/uptimed
%dir /var/spool/uptimed
%{_bindir}/uprecords
%{_mandir}/*/*

%files -n %{libname}
%{_libdir}/libuptimed.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libuptimed.so
