Name:		upx
Version:	5.0.0
Release:	%mkrel 3
Summary:	The Ultimate Packer for eXecutables
License:	GPLv2+
Group:		Archiving/Compression
URL:		https://upx.github.io/
Source0:	https://github.com/upx/upx/releases/download/v%{version}/%{name}-%{version}-src.tar.xz
# https://github.com/upx/upx/issues/883
Patch1:		0001-src_check_some-toolchains-are-buggy.patch
# https://github.com/upx/upx/issues/898
Patch2:		e0b6ff192412f5bb5364c1948f4f6b27a0cd5ea2.patch

BuildRequires:	cmake
BuildRequires:	ucl-devel >= 1.03
BuildRequires:	pkgconfig(zlib)

%description
UPX is an advanced executable file compressor. UPX will typically
reduce the file size of programs and DLLs by around 50%-70%, thus
reducing disk space, network load times, download times and other
distribution and storage costs.

Programs and libraries compressed by UPX are completely self-contained
and run exactly as before, with no runtime or memory penalty for most
of the supported formats.


%prep
%autosetup -p1 -n %{name}-%{version}-src

%build
%cmake
%cmake_build

%install
%cmake_install

mv %{buildroot}%{_datadir}/doc/upx/upx-doc.* .
rm -f %{buildroot}%{_datadir}/doc/upx/*

%files
%doc NEWS README README.SRC upx-doc.*
%license COPYING LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
