%define oname    UrbanTerror
%define majver   4.3
%define minver   4

Name:           urbanterror
Version:        %{majver}.%{minver}
Release:        %mkrel 1
Summary:        Urban Terror is a free multi-player first person shooter
License:        GPL-2.0-only
Group:          Games/Shooter
Url:            https://www.urbanterror.info/
Source0:        https://github.com/Barbatos/ioq3-for-%{oname}-4/archive/ioq3-for-%{oname}-4-release-%{version}.tar.gz
Source10:       %{name}-128.png
Source11:       %{name}-64.png
Source12:       %{name}-32.png
Source13:       %{name}-16.png
# Fix build with i586, force msse and msse2 flags needed for asm
Patch0:         urbanterror-fix-i586.patch
Patch1:         urbanterror-format_security.patch
Patch10:        urbanterror-mga-fix-install-dir.patch
ExclusiveArch:  %{ix86} x86_64
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(xxf86vm)

Requires:       opengl-games-utils
Requires:       %{name}-data >= %{version}

%description
Urban Terror(TM) is a free multi-player first person shooter developed by
FrozenSand, that (thanks to the ioquake3-code) does not require Quake III
Arena anymore. It is available for Windows, Linux and Macintosh.

Urban Terror can be described as a Hollywood tactical shooter; somewhat
realism based, but the motto is "fun over realism". This results in a very
unique, enjoyable and addictive game.

No registration required: Install&play!

This package contains the engine and game binary. For the server please install
%{name}-server.

%package server
Summary:        Standalone server for Urban Terror 4.x
Group:          Games/Shooter
Requires:       %{name}-data >= %{version}

%description server
Urban Terror standalone server.

%prep
%autosetup -p1 -n ioq3-for-UrbanTerror-4-release-%{version}

%build
%set_build_flags

%make_build \
	DEFAULT_BASEDIR=%{_gamesdatadir}/%{name} \
	USE_CURL=1 \
	USE_CURL_DLOPEN=0 \
	USE_OPENAL=1 \
	USE_OPENAL_DLOPEN=0 \
	USE_CODEC_VORBIS=1 \
	USE_LOCAL_HEADERS=0 \
	V=1 \
	BUILD_CLIENT=1 \
	BUILD_SERVER=1

%install
make copyfiles DESTDIR=%{buildroot}

install -D -m 644 %{SOURCE13} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m 644 %{SOURCE12} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m 644 %{SOURCE11} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -D -m 644 %{SOURCE10} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Urban Terror
Comment=Urban Terror is a free multi-player first person shooter
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;Shooter;
EOF

%files
%doc README id-readme.txt ioUrbanTerror_README.txt md4-readme.txt
%license COPYING.txt
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files server
%doc README id-readme.txt ioUrbanTerror_README.txt md4-readme.txt
%license COPYING.txt
%{_gamesbindir}/%{name}-server
