Name: urpmi-proxy
Version: 0.5.1
Release: %mkrel 3
Summary: A proxy for urpmi repository mirrors
Group: System/Packaging
License: GPLv2+
Source: %{name}-%{version}.tar.bz2
URL: https://wiki.mageia.org/en/Urpmi-proxy

BuildArch: noarch
Requires: apache
Requires: perl(Time::HiRes)
Recommends: perl(WWW::Curl::Easy)
Recommends: perl(urpm)
Recommends: perl(urpm::cfg)
Recommends: genhdlist2

%description
urpmi-proxy is an http proxy for urpmi, it allows clients to configure this
proxy as a local mirror. It fetches from configurable sources and stores it
in a local cache, during the request. You can also configure it to have an
extra repository so you can provide extra or modified packages.

This software is implemented using standard webserver proxy feature, you
need a running webserver to make it work.

You can start the apache webserver with:

	systemctl start httpd.service


%prep
%setup -q

%install
%{__mkdir_p} %{buildroot}%{_var}/cache/urpmi-proxy
%{__mkdir_p} %{buildroot}%{_datadir}/urpmi-proxy/cgi-bin
%{__cp} urpmi-proxy.cgi %{buildroot}%{_datadir}/urpmi-proxy/cgi-bin/
%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__cp} urpmi-proxy.conf %{buildroot}%{_sysconfdir}/
%{__mkdir_p} %{buildroot}%{_webappconfdir}
%{__mkdir_p} %{buildroot}%{_var}/log
touch %{buildroot}%{_var}/log/urpmi-proxy.log

install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/urpmi-proxy.conf <<EOF
# urpmi-proxy configuration

ScriptAlias /mageia /usr/share/urpmi-proxy/cgi-bin/urpmi-proxy.cgi

<Directory /usr/share/urpmi-proxy/cgi-bin>
    Require all granted
	Options +ExecCGI
</Directory>
EOF

%post
%create_ghostfile %{_var}/log/urpmi-proxy.log apache apache 0640

%files
%doc README AUTHORS TODO INSTALL LICENSE
%attr(0750,apache,apache) %dir %{_var}/cache/urpmi-proxy
%attr(0750,apache,apache) %ghost %{_var}/log/urpmi-proxy.log
%attr(0750,root,apache) %dir %{_datadir}/urpmi-proxy
%attr(0750,root,apache) %{_datadir}/urpmi-proxy/cgi-bin/urpmi-proxy.cgi
%attr(0750,root,apache) %config(noreplace) %{_sysconfdir}/urpmi-proxy.conf
%config(noreplace) %{_webappconfdir}/urpmi-proxy.conf

