%define upstream_version 1.0.7pre44

Summary:	The 35 standard PostScript fonts
Name:		urw-fonts
Version:	2.4
Release:	%mkrel 10

Source0:	%{name}-%{upstream_version}.tar.bz2
Source1:	fonts.alias
Source2:	copypfb.ff
Source3:	fonts.scale.sh

License:	GPLv2
Group:		System/Fonts/Type1
URL:		http://svn.ghostscript.com/ghostscript/tags/%{name}-%{upstream_version}/
BuildArch:	noarch
BuildRequires:	fontforge
BuildRequires:	perl

%description 
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH.  The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

Install the urw-fonts package if you need free versions of standard
PostScript fonts.

The fonts provided are:
URW-Avantgarde
URW-Bookman
URW Chancery
URW-Century Schoolbook
URW-Courier
URW-Dingbats
URW-Gothic
URW-Helvetica
URW-New Century Schoolbook
URW-Nimbus Sans
URW-Nimbus Roman No9
URW-Nimbus Mono
URW-Palatino
URW Palladio
URW-Standard Symbols
URW-Symbol
URW-Times
URW-Zapf Chancery
URW-Zapf Dingbats

%prep
%setup -q -n %{name}-%{upstream_version}
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} .
chmod +x copypfb.ff fonts.scale.sh

%build
# Resave PFB fonts, so /FontBBox will result as executable array
mkdir fixed
for i in *.pfb; do
	./copypfb.ff $i fixed/`basename $i`
done

%install
mkdir -p %{buildroot}%{_datadir}/fonts/default/Type1 \
	%{buildroot}%{_datadir}/fonts/default/Type1/adobestd35

# install URW fonts
install -m 644	fixed/*.afm \
		fixed/*.pfm \
		fixed/*.pfb \
			%{buildroot}%{_datadir}/fonts/default/Type1/
# install fonts.scale/fonts.dir
./fonts.scale.sh
install -m 644 fonts.scale \
			%{buildroot}%{_datadir}/fonts/default/Type1/
install -m 644 fonts.scale \
			%{buildroot}%{_datadir}/fonts/default/Type1/fonts.dir
install -m 644 fonts.scale.adobe \
	%{buildroot}%{_datadir}/fonts/default/Type1/adobestd35/fonts.scale
install -m 644 fonts.scale.adobe \
	%{buildroot}%{_datadir}/fonts/default/Type1/adobestd35/fonts.dir

cd %{buildroot}%{_datadir}/fonts/default/Type1/adobestd35
for i in ../*.pfb ../*.afm ../*.pfm; do \
	ln -s $i
done

(cd %{buildroot}/usr/share/fonts/default/Type1
# X.org's mkfontdir messes up encoding order, using alphabetical one,
# so for now comment the next line.
#    mkfontdir .
)

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/default/Type1 \
    %{buildroot}%_sysconfdir/X11/fontpath.d/type1-urw-fonts:pri=50
ln -s ../../..%_datadir/fonts/default/Type1/adobestd35 \
    %{buildroot}%_sysconfdir/X11/fontpath.d/type1-urw-fonts-adobestd35:pri=50

%files
%defattr(0644,root,root,0755)
%doc README ChangeLog COPYING
%dir %{_datadir}/fonts/default/
%dir %{_datadir}/fonts/default/Type1
%dir %{_datadir}/fonts/default/Type1/adobestd35
%{_datadir}/fonts/default/Type1/fonts.dir
%{_datadir}/fonts/default/Type1/fonts.scale
%{_datadir}/fonts/default/Type1/*.afm
%{_datadir}/fonts/default/Type1/*.pfb
%{_datadir}/fonts/default/Type1/*.pfm
%{_datadir}/fonts/default/Type1/adobestd35/*.afm
%{_datadir}/fonts/default/Type1/adobestd35/*.pfb
%{_datadir}/fonts/default/Type1/adobestd35/*.pfm
%{_datadir}/fonts/default/Type1/adobestd35/fonts.dir
%{_datadir}/fonts/default/Type1/adobestd35/fonts.scale
%{_sysconfdir}/X11/fontpath.d/type1-urw-fonts:pri=50
%{_sysconfdir}/X11/fontpath.d/type1-urw-fonts-adobestd35:pri=50
