%define fname	usb-modeswitch
%define fver	%{version}

Name:		usb_modeswitch
Summary:	Activating Switchable USB Devices on Linux
Version:	2.6.2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://www.draisberghof.de/usb_modeswitch/
Source0:	https://www.draisberghof.de/usb_modeswitch/%{fname}-%{version}.tar.bz2

BuildRequires:	pkgconfig(libusb-1.0)
# To avoid a file dependency
BuildRequires:	tcl

Requires:	sysfsutils
Requires:	usb_modeswitch-data

%description
USB_ModeSwitch is a mode switching tool for controlling "flip flop"
(multiple device) USB gear.

Several new USB devices (especially high-speed wireless WAN stuff,
they're expensive anyway) have their Windows drivers onboard; when
plugged in for the first time they act like a flash storage and start
installing the driver from there. After that (and on every consecutive
plugging) this driver switches the mode internally, the storage device
vanishes (in most cases), and a new device (like an USB modem) shows
up. The WWAN gear maker Option calls that feature "ZeroCD (TM)".

%prep
%autosetup -p1 -n %{fname}-%{version}

%build
export CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build

%install
mkdir -p %{buildroot}%{_unitdir}
%make_install \
	SYSDIR=%{buildroot}%{_unitdir} \
	UDEVDIR=%{buildroot}%{_prefix}/lib/udev

%files
%doc README ChangeLog
%license COPYING
%{_prefix}/lib/udev/%{name}
%{_unitdir}/usb_modeswitch@.service
%{_sbindir}/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/usb_modeswitch.conf
