# https://github.com/libimobiledevice/usbmuxd
# git snapshot from commit 1f8ddeff95884da404a7fbd74d27e04ca8c99a50

# comment out when not a git snapshot
#define git	20190716

%define rel	4

Name:		usbmuxd
Version:	1.1.1
Release:	%mkrel %{?git:0.git%git.}%{rel}
Summary:	Daemon for communicating with Apple's iPod Touch and iPhone
Group:		System/Kernel and hardware
License:	GPLv3+ or GPLv2+
URL:		https://www.libimobiledevice.org/
Source0:	https://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
#Source0:	%%{name}-%%{version}-git%%{git}.tar.xz
Patch0:		usbmuxd-1.1.1-pidfile-location-from-var-run-to-run.patch
Patch1:		libplist-2.3.0.patch

BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	pkgconfig(libimobiledevice-1.0)
BuildRequires:	pkgconfig(libplist-2.0) >= 2.2.0
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(libsystemd)

Requires(pre):		rpm-helper
Requires(postun):	rpm-helper

%description
usbmuxd is a daemon used for communicating with Apple's iPod Touch and iPhone
devices. It allows multiple services on the device to be accessed
simultaneously.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

install -d %{buildroot}%{_presetdir}
cat > %{buildroot}%{_presetdir}/86-usbmuxd.preset << EOF
enable usbmuxd.service
EOF

%pre
%_pre_useradd usbmux /proc /sbin/nologin

%postun
%_postun_userdel usbmux

%files
%doc AUTHORS README.md NEWS
%license COPYING.GPLv2 COPYING.GPLv3
%{_udevrulesdir}/39-%{name}.rules
%{_presetdir}/86-%{name}.preset
%{_unitdir}/%{name}.service
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8.*
