%define oname		usbredir

%define major_parser		1
%define libname_parser		%mklibname usbredirparser %{major_parser}

%define major_host		1
%define libname_host		%mklibname usbredirhost %{major_host}
%define develname		%mklibname usbredir -d

Name:		usbredir
Version:	0.15.0
Release:	%mkrel 1
License:	GPLv2+ ; LGPLv2+
Summary:	A protocol for redirection USB traffic
Group:		System/Libraries
URL:		https://www.spice-space.org/usbredir.html
Source0:	https://spice-space.org/download/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	meson >= 0.53

%description
The usbredir libraries allow USB devices to be used on remote and/or virtual
hosts over TCP.  The following libraries are provided:

usbredirparser:
A library containing the parser for the usbredir protocol

usbredirhost:
A library implementing the USB host side of a usbredir connection.
All that an application wishing to implement a USB host needs to do is:
* Provide a libusb device handle for the device
* Provide write and read callbacks for the actual transport of usbredir data
* Monitor for usbredir and libusb read/write events and call their handlers

# ---------------------------------------------------------------------------

%package -n %{libname_host}
Summary:	A protocol for redirection USB traffic
Group:		System/Libraries

%description -n %{libname_host}
usbredir is a protocol for redirection USB traffic from a single USB device,
to a different (virtual) machine then the one to which the USB device is
attached. See usb-redirection-protocol.txt for the description / definition
of this protocol.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname_host} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	usbredirparser-devel = %{version}-%{release}
Provides:	usbredirhost-devel = %{version}-%{release}
Obsoletes:	usbredir-devel <= %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

# ---------------------------------------------------------------------------

%package -n %{libname_parser}
Summary:	A protocol for redirection USB traffic
Group:		System/Libraries

%description -n %{libname_parser}
usbredir is a protocol for redirection USB traffic from a single USB device,
to a different (virtual) machine then the one to which the USB device is
attached. See usb-redirection-protocol.txt for the description / definition
of this protocol.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files -n %{develname}
%doc docs/usb-redirection-protocol.md docs/multi-thread.md ChangeLog.md TODO
%{_includedir}/usbredir*.h
%{_libdir}/libusbredir*.so
%{_libdir}/pkgconfig/libusbredir*.pc

%files
%doc ChangeLog.md README.md
%license COPYING
%{_bindir}/usbredirect
%{_mandir}/man1/usbredirect.1*

%files -n %{libname_host}
%license COPYING.LIB
%{_libdir}/libusbredirhost.so.%{major_host}{,.*}

%files -n %{libname_parser}
%license COPYING.LIB
%{_libdir}/libusbredirparser.so.%{major_parser}{,.*}

