%global sum	USB topology and device viewer

Summary:	%{sum}
Name:		usbview
Version:	3.1
Release:	%mkrel 1
Group:		System/Kernel and hardware
License:	GPL-2.0-only
URL:		http://www.kroah.com/linux-usb/
Source:		http://www.kroah.com/linux-usb//%{name}-%{version}.tar.gz
BuildRequires:	gtk+3-devel
BuildRequires:	imagemagick

%description
USBView is a GTK program that displays the topography of the devices that are
plugged into the USB bus on a Linux machine. It also displays information on
each of the devices. This can be useful to determine if a device is working
properly or not.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{name}
Comment=USB topology and device viewer
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;System;
EOF

%files
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_metainfodir}/com.kroah.usbview.metainfo.xml
%{_mandir}/*/*
