Summary:	A graphical interface for administering users and groups
Name:		userdrake
Version:	2.20
Release:	%mkrel 9
License:	GPLv2
Group:		System/Configuration
URL:		https://www.mageia.org
Source0:	https://gitweb.mageia.org/software/userdrake/snapshot/%{name}-%{version}.tar.xz
Patch0:		0001-Fix-undeclared-SvGChar.patch
Patch1:		0002-ent2sv-extract-it-fix-it-not-to-coerce-a-pointer-int.patch
Patch2:		0003-Fix-pushing-an-object-as-an-int-into-a-SV.patch
Requires:	drakxtools >= 16
Requires:	polkit
Requires:	transfugdrake
BuildRequires:  gettext
BuildRequires:  perl-devel
BuildRequires:  perl-Glib
BuildRequires:  pkgconfig(libuser)
BuildRequires:  libglib2.0-devel
BuildRequires:  pam-devel
BuildRequires:  intltool
BuildRequires:  perl_checker

%description
Userdrake is a user-friendly and powerful tool for administrating users and
groups.

%prep
%autosetup -p1

%build
cd USER
%{__perl} Makefile.PL INSTALLDIRS=vendor
cd ..
make OPTIMIZE="%{optflags} -w"

%install
%make_install PREFIX=%{buildroot}

%make_install -C USER

#install lang
%{find_lang} userdrake

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=User Administration
Comment=Add or remove users and groups
Exec=/usr/bin/drakuser
Icon=userdrake
Type=Application
StartupNotify=true
Categories=GTK;System;X-Mageia-CrossDesktop;
NoDisplay=true
EOF

# fix debug info extraction
chmod u+w %{buildroot}%{perl_vendorarch}/auto/USER/USER.so

%package -n perl-USER
Summary:	Perl module to access to user and group information
Group:		Development/Perl
Requires:	libuser

%description -n perl-USER
This package provides Perl language module to read and change user
and group information.

%files -n perl-USER
%{_mandir}/man3/USER*
%{perl_vendorarch}/USER.pm
%{perl_vendorarch}/auto/USER/

%files -f userdrake.lang
%doc README RELEASE_NOTES
%license COPYING
%config(noreplace) %{_sysconfdir}/sysconfig/userdrake
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/userdrake/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
