%define major   8
%define libname %mklibname urcu %{major}
%define devname %mklibname urcu -d

Name:           userspace-rcu
Version:        0.15.2
Release:        %mkrel 1
Summary:        RCU (read-copy-update) implementation in user space
Group:          System/Libraries
License:        LGPLv2+
URL:            https://lttng.org/urcu/
Source0:        https://lttng.org/files/urcu/%{name}-%{version}.tar.bz2
Source1:        https://lttng.org/files/urcu/%{name}-%{version}.tar.bz2.asc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool


%description
This data synchronization library provides read-side access which scales
linearly with the number of cores. It does so by allowing multiples copies
of a given data structure to live at the same time, and by monitoring
the data structure accesses to detect grace periods after which memory
reclamation is possible.

%package -n     %{libname}
Summary:        RCU (read-copy-update) implementation in user space
Group:          System/Libraries
Obsoletes:      %{name} < 0.13.0-2
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This data synchronization library provides read-side access which scales
linearly with the number of cores. It does so by allowing multiples copies
of a given data structure to live at the same time, and by monitoring
the data structure accesses to detect grace periods after which memory
reclamation is possible.

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.13.0-2
Provides:       %{name}-devel = %{version}-%{release}
# docs/examples moved to devel pkg
Conflicts:      %{_lib}urcu8 < 0.13.0-3
Conflicts:      %{name} < 0.13.0-2

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

%check
#TODO greenscientist: make check currently fail in mockbuild
make check

%files -n %{libname}
%doc ChangeLog
%license LICENSES/*
%{_libdir}/liburcu*.so.%{major}{,.*}

%files -n %{devname}
%doc ChangeLog README.md
%doc %{_docdir}/%{name}/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/liburcu*.pc
