%define mainver 2.40
%define rc_ver 0
%define rel 2

%if %{rc_ver}
%define release %mkrel 1.rc%{rc_ver}.%{rel}
%define tarname %{name}-%{version}-rc%{rc_ver}
%define distname %{tarname}
%else
%define release %mkrel %{rel}
%define tarname %{name}-%{version}
%define distname %{tarname}
%endif

%global __requires_exclude_from %{_docdir}

%define lib_blkid_major 1
%define lib_blkid %mklibname blkid %{lib_blkid_major}
%define lib_blkid_devel %mklibname blkid -d

%define lib_uuid_major 1
%define lib_uuid %mklibname uuid %{lib_uuid_major}
%define lib_uuid_devel %mklibname uuid -d

%define lib_ext2fs %mklibname ext2fs 2
%define lib_ext2fs_devel %mklibname ext2fs -d

%define lib_mount_major 1
%define lib_mount %mklibname mount %{lib_mount_major}
%define lib_mount_devel %mklibname mount -d

%define lib_smartcols_major 1
%define lib_smartcols %mklibname smartcols %{lib_smartcols_major}
%define lib_smartcols_devel %mklibname smartcols -d

%define lib_fdisk_major 1
%define lib_fdisk %mklibname fdisk %{lib_fdisk_major}
%define lib_fdisk_devel %mklibname fdisk -d

%define git_url git://git.kernel.org/pub/scm/utils/util-linux/util-linux.git

%bcond_without  e2fsprogs

%define mtab_symlink 1

### Header
Summary:	A collection of basic system utilities
Name:		util-linux
Version:	2.40.4
Release:	%{release}
License:	GPLv2 and GPLv2+ and LGPLv2+ and BSD with advertising and Public Domain
Group:		System/Base
URL:		https://en.wikipedia.org/wiki/Util-linux

### Macros
%define no_hwclock_archs s390 s390x

### Dependencies
BuildRequires:	gcc >= 5.2.1
BuildRequires:	po4a
BuildRequires:	sed
%if %{with e2fsprogs}
BuildRequires:	e2fsprogs-devel >= 1.41.6-2
%endif
BuildRequires:	pkgconfig(libsystemd) >= 216
BuildRequires:	pkgconfig(libudev)
BuildRequires:	gettext-devel
BuildRequires:	pam-devel
BuildRequires:	utempter-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(readline)
BuildRequires:	termcap-devel
BuildRequires:	texinfo
BuildRequires:	slang-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(audit)
BuildRequires:	pkgconfig(libcap-ng)
BuildRequires:	pkgconfig(libcryptsetup)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(libeconf)
BuildRequires:	pkgconfig(libmagic)
BuildRequires:	pkgconfig(libpcre2-posix)
BuildRequires:	pkgconfig(libuser)
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	ruby-asciidoctor

### Sources
Source0:	https://www.kernel.org/pub/linux/utils/%{name}/v%{mainver}/%{tarname}.tar.xz
# based on Fedora pam files, with pam_selinux stripped out
Source1:	util-linux-login.pamd
Source2:	util-linux-remote.pamd
Source3:	util-linux-chsh-chfn.pamd
Source5:	adjtime
Source12:	util-linux-su.pamd
Source13:	util-linux-su-l.pamd
Source14:	util-linux-runuser.pamd
Source15:	util-linux-runuser-l.pamd

### Obsoletes & Conflicts & Provides
# fork and rename from util-linux to util-linux-ng
Provides:	util-linux-ng = %{version}-%{release}
# eject used to be a separate package. 2.1.5 was the last released version,
# eject was merged into util-linux 2.22, so our version is guaranteed to
# be bigger than the last eject's
Provides:	eject = %{version}-%{release}

# rfkill is now part of util-linux
Provides:	rfkill
# hardlink is now part of util-linux
Provides:	hardlink

# conflicts on older sysvinit-legacy-tools due to sulogin, utmpdump, mountpoint, last, lastb, mesg and others move:
Conflicts:	sysvinit-legacy-tools < 2.87-23

# due to kill.1 conflicts
Conflicts:	procps-ng < 4.0.4-3
Conflicts:	man-pages-de < 4.23.0
Conflicts:	man-pages-uk < 4.23.0

Requires:	pam >= 0.66-4
Requires:	shadow-utils >= 2:4.1.5

Requires:	%{lib_blkid} = %{version}-%{release}
Requires:	%{lib_mount} = %{version}-%{release}
Requires:	%{lib_uuid} = %{version}-%{release}
Requires:	%{lib_smartcols} = %{version}-%{release}
Requires:	udev

### upstream fixes:

### Ready for upstream?
###

# 151635 - makeing /var/log/lastlog
Patch1000:	2.28-login-lastlog-create.patch

# Added r & w options to chfn (lsb mandate)
Patch1202:	util-linux-2.39-chfn-lsb-usergroups.patch

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
others, Util-linux contains the fdisk configuration tool and the login
program.

%package -n	%{lib_blkid}
Summary:	Block device ID library
Group:		System/Libraries
License:	LGPLv2+
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_blkid}
This is block device identification library, part of util-linux.

%package -n	%{lib_blkid_devel}
Summary:	Block device ID library
Group:		Development/C
License:	LGPLv2+
Requires:	%{lib_blkid} = %{version}-%{release}
Requires:	%{lib_uuid_devel} = %{version}
Provides:	libblkid-devel = %{version}-%{release}

%description -n	%{lib_blkid_devel}
This is the block device identification development library and headers,
part of util-linux.

%package -n	%{lib_uuid}
Summary:	Universally unique ID library
Group:		System/Libraries
License:	BSD
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_uuid}
This is the universally unique ID library, part of util-linux.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n	%{lib_uuid_devel}
Summary:	Universally unique ID library
Group:		Development/C
License:	BSD
Requires:	%{lib_uuid} = %{version}
Provides:	libuuid-devel = %{version}-%{release}
Provides:	uuid-devel = %{version}-%{release}
Conflicts:	ossp_uuid-devel < 1.6.2-23

%description -n	%{lib_uuid_devel}
This is the universally unique ID development library and headers,
part of e2fsprogs.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n	uuidd
Summary:	Helper daemon to guarantee uniqueness of time-based UUIDs
Group:		System/Servers
License:	GPLv2
Requires(post):   systemd-units >= %{systemd_required_version}
Requires(pre):    rpm-helper
Requires(post):   rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper
Requires(pre):	shadow-utils

%description -n	uuidd
The uuidd package contains a userspace daemon (uuidd) which guarantees
uniqueness of time-based UUID generation even at very high rates on
SMP systems.

%package -n	python3-libmount
Summary:	Python bindings for the libmount library
Group:		Development/Python
%{?python_provide:%python_provide python3-libmount}
License:	LGPLv2+

%description -n	python3-libmount
The python3-libmount package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libmount library to work with mount tables (fstab,
mountinfo, etc) and mount filesystems.

%package -n	%{lib_mount}
Summary:	Universal mount library
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_mount}
The libmount library is used to parse /etc/fstab,
/etc/mtab and /proc/self/mountinfo files,
manage the mtab file, evaluate mount options, etc.

%package -n	%{lib_mount_devel}
Summary:	Universal mount library development sources
Group:		Development/C
License:	LGPL2+
Requires:	%{lib_mount} = %{version}-%{release}
Provides:	libmount-devel = %{version}-%{release}

%description -n	%{lib_mount_devel}
Development files and headers for libmount library.

%package -n	%{lib_smartcols}
Summary:	Formatting library for ls-like programs
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_smartcols}
The libsmartcols library is used to format output,
for ls-like terminal programs.

%package -n	%{lib_smartcols_devel}
Summary:	Formatting library for ls-like programs development sources
Group:		Development/C
License:	LGPL2+
Requires:	%{lib_smartcols} = %{version}-%{release}
Provides:	libsmartcols-devel = %{version}-%{release}

%description -n	%{lib_smartcols_devel}
Development files and headers for libsmartcols library.

%package -n	%{lib_fdisk}
Summary:	Disk partitioning library
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_fdisk}
The libfdisk library is used to parse create and manage disk partitions.

%package -n	%{lib_fdisk_devel}
Summary:	Disk partitioning library development sources
Group:		Development/C
License:	LGPL2+
Requires:	%{lib_fdisk} = %{version}-%{release}
Provides:	libfdisk-devel = %{version}-%{release}

%description -n	%{lib_fdisk_devel}
Development files and headers for libfdisk library.


%prep
%autosetup -p1 -n %{distname}

%build
# rebuild build system for loop-AES patch
./autogen.sh

%serverbuild
unset LINGUAS || :

export CFLAGS="%{optflags} -Os"
export CPPFLAGS="-D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
%configure \
	--disable-static \
	--enable-partx \
	--enable-kill \
	--disable-bfs \
	--disable-makeinstall-chown \
	--disable-rpath \
	--disable-pg \
	--disable-liblastlog2 \
	--enable-chfn-chsh \
	--enable-usrdir-path \
	--enable-write \
	--enable-hardlink \
	--enable-fdformat \
	--enable-asciidoc \
	--with-systemd \
	--with-udev \
	--with-audit \
	--with-cryptsetup \
	--enable-tunelp \
	--with-python=3

# build util-linux
%make_build PYTHON_LIBS=-lpython%{python3_version}
%if 0
#define _disable_ld_no_undefined 1
%meson -D build-partx=enabled \
       -D build-kill=enabled \
       -D build-bfs=disabled \
       -D build-pg=disabled \
       -D build-liblastlog2=disabled \
       -D build-pam-lastlog2=disabled \
       -D build-chfn-chsh=enabled \
       -D build-write=enabled \
       -D build-hardlink=enabled \
       -D build-fdformat=enabled \
       -D systemd=enabled \
       -D audit=enabled \
       -D build-tunelp=enabled \
       -D ncurses=disabled \
       -D econf=disabled
%meson_build
%endif

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{_mandir}/man{1,6,8,5}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/{pam.d,security/console.apps,blkid}

# install util-linux
%make_install

# Correct mail spool path.
perl -pi -e 's,/usr/spool/mail,/var/spool/mail,' %{buildroot}%{_mandir}/man1/login.1

%ifarch %{sunsparc}
rm -rf %{buildroot}%{_bindir}/sunhostid
cat << E-O-F > %{buildroot}%{_bindir}/sunhostid
#!/bin/sh
# this should be _bindir/sunhostid or somesuch.
# Copyright 1999 Peter Jones, <pjones@redhat.com> .
# GPL and all that good stuff apply.
(
idprom=\`cat /proc/openprom/idprom\`
echo \$idprom|dd bs=1 skip=2 count=2
echo \$idprom|dd bs=1 skip=27 count=6
echo
) 2>/dev/null
E-O-F
chmod 755 %{buildroot}%{_bindir}/sunhostid
%endif

# PAM settings
{
  pushd %{buildroot}%{_sysconfdir}/pam.d
  install -m 644 %{SOURCE1} ./login
  install -m 644 %{SOURCE2} ./remote
  install -m 644 %{SOURCE3} ./chsh
  install -m 644 %{SOURCE3} ./chfn
  install -m 644 %{SOURCE12} ./su
  install -m 644 %{SOURCE13} ./su-l
  install -m 644 %{SOURCE14} ./runuser
  install -m 644 %{SOURCE15} ./runuser-l
  popd
}

ln -sf hwclock %{buildroot}%{_sbindir}/clock

ln -sf %{_sbindir}/rfkill %{buildroot}%{_bindir}/rfkill

# And a dirs uuidd needs that the makefiles don't create
install -d %{buildroot}%{_rundir}/uuidd
install -d %{buildroot}/var/lib/libuuid

# /etc/adjtime
install -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/adjtime

# remove libtool archives
find %{buildroot}%{_libdir} -name "*.la" -delete

# Final cleanup
%ifarch %no_hwclock_archs
rm -f %{buildroot}%{_sbindir}/{hwclock,clock} %{buildroot}%{_mandir}/man8/hwclock.8*
%endif
%ifarch s390 s390x
rm -f %{buildroot}{%{_bindir},%{_sbindir}}/{fdformat,tunelp,floppy} %{buildroot}%{_mandir}/man8/{fdformat,tunelp,floppy}.8*
%endif

%if %{mtab_symlink}
	ln -s /proc/mounts %{buildroot}/etc/mtab
%else
	touch %{buildroot}/etc/mtab
%endif

# remove vipw and vigr, they belong in shadow-utils
rm -f %{buildroot}%{_sbindir}/{vipw,vigr} %{buildroot}%{_mandir}/man8/{vigr,vipw}.*

# temporary remove to avoid conflicts with bash-completion pkg
rm -f %{buildroot}%{_datadir}/bash-completion/completions/{mount,umount}

# remove unvanted translations (conflicts with shadow-utils)
rm -f %{buildroot}%{_mandir}/*/man1/newgrp.*
rm -f %{buildroot}%{_mandir}/*/man8/vigr.*
rm -f %{buildroot}%{_mandir}/*/man8/vipw.*

# find MO files
%find_lang %name --all-name --with-man

# the files section supports only one -f option...
mv %{name}.lang %{name}.files

# create list of setarch(8) symlinks
find  %{buildroot}%{_bindir}/ -regextype posix-egrep -type l \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64|uname26)$" \
	-printf "%{_bindir}/%f\n" >> %{name}.files

find  %{buildroot}%{_mandir}/man8 -regextype posix-egrep  \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64|uname26)\.8.*" \
	-printf "%{_mandir}/man8/%f*\n" >> %{name}.files

%post
%systemd_post fstrim.timer
%if %{mtab_symlink}
rm -f /etc/mtab
ln -s /proc/mounts /etc/mtab
%else
touch /etc/mtab
/bin/chown root:root /etc/mtab
/bin/chmod 0644 /etc/mtab
%endif

%preun
%systemd_preun fstrim.timer

%post -n %{lib_blkid}
[ -e /etc/blkid.tab ] && mv /etc/blkid.tab /etc/blkid/blkid.tab || :
[ -e /etc/blkid.tab.old ] && mv /etc/blkid.tab.old /etc/blkid/blkid.tab.old || :

%pre -n uuidd
%_pre_useradd uuidd /var/lib/libuuid /bin/false

%post -n uuidd
%_tmpfilescreate uuidd-tmpfiles
%_post_service uuidd

%preun -n uuidd
%_preun_service uuidd

%postun -n uuidd
%_postun_userdel uuidd

%files -f %{name}.files
%doc Documentation/releases/*-ReleaseNotes
%doc misc-utils/getopt-*.{bash,tcsh}
%{_bindir}/dmesg
%attr(755,root,root)	%{_bindir}/login
%{_bindir}/choom
%{_bindir}/enosys
%{_bindir}/exch
%{_bindir}/fadvise
%{_bindir}/findmnt
%{_bindir}/ionice
%{_bindir}/irqtop
%{_bindir}/kill
%{_bindir}/last
%{_bindir}/lastb
%{_bindir}/lsblk
%{_bindir}/lsclocks
%{_bindir}/lsipc
%{_bindir}/lsirq
%{_bindir}/mesg
%{_bindir}/mountpoint
%{_bindir}/more
%{_bindir}/nsenter
%{_bindir}/pipesz
%{_bindir}/setpriv
%{_bindir}/setpgid
%{_bindir}/rfkill
%attr(4755,root,root)	%{_bindir}/su
%{_bindir}/taskset
%{_bindir}/uuidparse
%{_bindir}/uclampset
%{_bindir}/waitpid
%attr(2555,root,tty) %{_bindir}/wall
%{_bindir}/wdctl
%config(noreplace) %{_sysconfdir}/pam.d/chfn
%config(noreplace) %{_sysconfdir}/pam.d/chsh
%config(noreplace) %{_sysconfdir}/pam.d/login
%config(noreplace) %{_sysconfdir}/pam.d/remote
%config(noreplace) %{_sysconfdir}/pam.d/su
%config(noreplace) %{_sysconfdir}/pam.d/su-l
%config(noreplace) %{_sysconfdir}/pam.d/runuser
%config(noreplace) %{_sysconfdir}/pam.d/runuser-l
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/adjtime
%{_sbindir}/agetty
%{_sbindir}/addpart
%{_sbindir}/blkdiscard
%{_sbindir}/blkid
%{_sbindir}/blkpr
%{_sbindir}/blockdev
%{_sbindir}/chcpu
%{_sbindir}/ctrlaltdel
%{_sbindir}/delpart
%{_sbindir}/fsfreeze
%{_sbindir}/fstrim
%{_sbindir}/partx
%{_sbindir}/pivot_root
%{_sbindir}/rfkill
%{_sbindir}/runuser
%{_sbindir}/swaplabel
%{_sbindir}/zramctl
%{_mandir}/man1/choom.1*
%{_mandir}/man1/enosys.1*
%{_mandir}/man1/exch.1*
%{_mandir}/man1/irqtop.1*
%{_mandir}/man1/last.1*
%{_mandir}/man1/lastb.1*
%{_mandir}/man1/lsclocks.1*
%{_mandir}/man1/lsipc.1*
%{_mandir}/man1/lsirq.1*
%{_mandir}/man1/mesg.1*
%{_mandir}/man1/mountpoint.1*
%{_mandir}/man1/nsenter.1*
%{_mandir}/man1/setpgid.1*
%{_mandir}/man1/setpriv.1*
%{_mandir}/man1/uuidparse.1.*
%{_mandir}/man1/uclampset.1.*
%{_mandir}/man1/wall.1*
%{_mandir}/man8/agetty.8*
%{_mandir}/man8/addpart.8*
%{_mandir}/man8/delpart.8*
%{_mandir}/man8/findmnt.8*
%{_mandir}/man8/fsfreeze.8*
%{_mandir}/man8/fstrim.8*
%{_mandir}/man8/lsblk.8*
%{_mandir}/man8/partx.8*
%{_mandir}/man8/rfkill.8.*
%{_mandir}/man8/swaplabel.8*
%{_mandir}/man8/zramctl.8*
%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc ppc64 %{sunsparc} %mips %arm aarch64
%{_sbindir}/sfdisk
%{_mandir}/man8/sfdisk.8*
%{_sbindir}/cfdisk
%{_mandir}/man8/cfdisk.8*
%endif
%{_sbindir}/fdisk
%{_mandir}/man8/fdisk.8*
%ifnarch %no_hwclock_archs
%{_sbindir}/clock
%{_sbindir}/hwclock
%{_mandir}/man8/hwclock.8*
%endif
%{_sbindir}/findfs
%{_sbindir}/fsck
%{_sbindir}/mkfs
%{_sbindir}/mkswap
%{_sbindir}/nologin
%{_sbindir}/sulogin
%{_mandir}/man8/nologin.8*
%{_bindir}/chrt
%{_bindir}/cal
%attr(4711,root,root)	%{_bindir}/chfn
%attr(4711,root,root)	%{_bindir}/chsh
%{_bindir}/col
%{_bindir}/colcrt
%{_bindir}/colrm
%{_bindir}/column
%ifarch %ix86 alpha ppc ppc64 %{sunsparc} x86_64 %mips %arm aarch64
%{_bindir}/prlimit
%endif
%{_bindir}/eject
%ifnarch s390 s390x
%{_sbindir}/fdformat
%endif
%{_bindir}/flock
%{_bindir}/fallocate
%{_bindir}/getopt
%{_bindir}/hardlink
%{_bindir}/hexdump
%{_bindir}/ipcrm
%{_bindir}/ipcs
%{_bindir}/isosize
%{_bindir}/logger
%{_bindir}/look
%{_bindir}/lslocks
%{_bindir}/lslogins
%{_bindir}/lsns
%{_bindir}/mcookie
%{_bindir}/utmpdump
%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc ppc64 %{sunsparc} %mips %arm aarch64
%{_sbindir}/fsck.cramfs
%{_sbindir}/mkfs.cramfs
%{_mandir}/man8/fsck.cramfs.8*
%{_mandir}/man8/mkfs.cramfs.8*
%endif
%{_sbindir}/fsck.minix
%{_sbindir}/mkfs.minix
%{_bindir}/namei
%{_bindir}/rename
%{_bindir}/renice
%{_bindir}/rev
%{_bindir}/script
%{_bindir}/scriptreplay
%{_bindir}/scriptlive
%{_bindir}/setarch
%{_bindir}/setsid
%{_bindir}/setterm
%ifarch %{sunsparc}
%{_bindir}/sunhostid
%endif
%{_bindir}/ul
%{_bindir}/unshare
%{_bindir}/uuidgen
%{_bindir}/whereis
%{_bindir}/ipcmk
%{_bindir}/lscpu
%{_bindir}/lsfd
%{_bindir}/chmem
%{_bindir}/fincore
%{_bindir}/lsmem
%attr(2755,root,tty)	%{_bindir}/write

%ghost %verify(not md5 size mtime) %config(noreplace,missingok) /etc/mtab

%{_sbindir}/readprofile
%ifnarch s390 s390x
%{_sbindir}/tunelp
%endif
%{_sbindir}/rtcwake
%{_sbindir}/ldattach
%{_sbindir}/resizepart
%{_sbindir}/blkzone
%{_mandir}/man8/blkzone.8*
%{_mandir}/man1/cal.1*
%{_mandir}/man1/chfn.1*
%{_mandir}/man8/chmem.8*
%{_mandir}/man1/chsh.1*
%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/eject.1*
%{_mandir}/man1/fadvise.1*
%{_mandir}/man1/flock.1*
%{_mandir}/man1/fallocate.1*
%{_mandir}/man1/fincore.1*
%{_mandir}/man1/getopt.1*
%{_mandir}/man1/hardlink.1*
%{_mandir}/man1/hexdump.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/login.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/lsmem.1*
%{_mandir}/man1/mcookie.1*
%{_mandir}/man1/more.1*
%{_mandir}/man1/namei.1*
%{_mandir}/man1/pipesz.1*
%{_mandir}/man1/prlimit.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/script.1*
%{_mandir}/man1/scriptreplay.1*
%{_mandir}/man1/scriptlive.1*
%{_mandir}/man1/setterm.1*
%{_mandir}/man1/su.1*
%{_mandir}/man1/ul.1*
%{_mandir}/man1/uuidgen.1*
%{_mandir}/man1/unshare.1*
%{_mandir}/man1/utmpdump.1*
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*
%{_mandir}/man1/chrt.1*
%{_mandir}/man1/ionice.1*
%{_mandir}/man1/taskset.1*
%{_mandir}/man1/renice.1*
%{_mandir}/man1/ipcrm.1*
%{_mandir}/man1/ipcs.1*
%{_mandir}/man1/setsid.1*
%{_mandir}/man1/dmesg.1*
%{_mandir}/man1/ipcmk.1*
%{_mandir}/man1/lscpu.1*
%{_mandir}/man1/lsfd.1*
%{_mandir}/man1/lslogins.1*
%{_mandir}/man1/waitpid.1*
%{_mandir}/man8/blockdev.8*
%{_mandir}/man8/blkdiscard.8*
%{_mandir}/man8/blkid.8*
%{_mandir}/man8/blkpr.8*
%{_mandir}/man8/chcpu.8*
%{_mandir}/man8/ctrlaltdel.8*
%ifnarch s390 s390x
%{_mandir}/man8/fdformat.8*
%endif
%{_mandir}/man8/findfs.8*
%{_mandir}/man8/fsck.8*
%{_mandir}/man8/isosize.8*
%{_mandir}/man8/lslocks.8*
%{_mandir}/man8/lsns.8*
%{_mandir}/man8/mkfs.8*
%{_mandir}/man8/mkswap.8*
%{_mandir}/man8/pivot_root.8*
%{_mandir}/man1/runuser.1*
%{_mandir}/man8/readprofile.8*
%{_mandir}/man8/resizepart.8*
%ifnarch s390 s390x
%{_mandir}/man8/tunelp.8*
%endif
%{_mandir}/man8/setarch.8*
%{_mandir}/man8/sulogin.8*
%{_mandir}/man8/rtcwake.8*
%{_mandir}/man8/ldattach.8*
%{_mandir}/man8/wipefs.8*
%{_mandir}/man8/wdctl.8*
%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.minix.8*
%attr(4755,root,root)	%{_bindir}/mount
%attr(4755,root,root)	%{_bindir}/umount
%{_sbindir}/swapon
%{_sbindir}/swapoff
%{_sbindir}/switch_root
%{_mandir}/man5/adjtime_config.5*
%{_mandir}/man5/fstab.5*
%{_mandir}/man5/scols-filter.5*
%{_mandir}/man5/terminal-colors.d.5*
%{_mandir}/man8/mount.8*
%{_mandir}/man8/swapoff.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/switch_root.8*
%{_mandir}/man8/umount.8*
%{_mandir}/man8/losetup.8*
%{_sbindir}/losetup
%{_sbindir}/wipefs
%{_datadir}/bash-completion/completions/*
%{_unitdir}/fstrim.*
%exclude %{_datadir}/bash-completion/completions/uuidd

%files -n uuidd
%{_mandir}/man8/uuidd.8*
%{_unitdir}/uuidd.*
%{_tmpfilesdir}/uuidd-tmpfiles.conf
%attr(-, uuidd, uuidd) %{_sbindir}/uuidd
%dir %attr(0755, uuidd, uuidd) %{_var}/lib/libuuid
%dir %ghost %attr(2775, uuidd, uuidd) %{_rundir}/uuidd
%{_datadir}/bash-completion/completions/uuidd

%files -n python3-libmount
%{python3_sitearch}/libmount/

%files -n %{lib_blkid}
%dir /etc/blkid
%{_libdir}/libblkid.so.%{lib_blkid_major}{,.*}

%files -n %{lib_blkid_devel}
%{_libdir}/libblkid.so
%{_includedir}/blkid
%{_mandir}/man3/libblkid.3*
%{_libdir}/pkgconfig/blkid.pc

%files -n %{lib_uuid}
%{_libdir}/libuuid.so.%{lib_uuid_major}{,.*}

%files -n %{lib_uuid_devel}
%doc NEWS AUTHORS
%{_libdir}/libuuid.so
%{_includedir}/uuid/
%{_mandir}/man3/uuid.3*
%{_mandir}/man3/uuid_clear.3*
%{_mandir}/man3/uuid_compare.3*
%{_mandir}/man3/uuid_copy.3*
%{_mandir}/man3/uuid_generate.3*
%{_mandir}/man3/uuid_generate_random.3*
%{_mandir}/man3/uuid_generate_time.3*
%{_mandir}/man3/uuid_generate_time_safe.3*
%{_mandir}/man3/uuid_is_null.3*
%{_mandir}/man3/uuid_parse.3*
%{_mandir}/man3/uuid_time.3*
%{_mandir}/man3/uuid_unparse.3*
%{_libdir}/pkgconfig/uuid.pc

%files -n %{lib_mount}
%{_libdir}/libmount.so.%{lib_mount_major}{,.*}

%files -n %{lib_mount_devel}
%{_includedir}/libmount
%{_libdir}/libmount.so
%{_libdir}/pkgconfig/mount.pc

%files -n %{lib_smartcols}
%{_libdir}/libsmartcols.so.%{lib_smartcols_major}{,.*}

%files -n %{lib_smartcols_devel}
%{_includedir}/libsmartcols
%{_libdir}/libsmartcols.so
%{_libdir}/pkgconfig/smartcols.pc

%files -n %{lib_fdisk}
%{_libdir}/libfdisk.so.%{lib_fdisk_major}{,.*}

%files -n %{lib_fdisk_devel}
%{_includedir}/libfdisk
%{_libdir}/libfdisk.so
%{_libdir}/pkgconfig/fdisk.pc
