# The OCaml code is byte compiled, not native compiled, so there are no ELF
# objects in the binary RPM.
%global debug_package %{nil}

Name:           utop
Version:        2.9.2
Release:        %mkrel 1
Summary:        An improved toplevel for OCaml
License:        BSD-3-clause
Group:          Development/OCaml
URL:            https://github.com/diml/utop
Source0:        https://github.com/diml/utop/releases/download/%{version}/%{name}-%{version}.tbz
	
BuildRequires:  ocaml >= 4.03.0
BuildRequires:  ocaml-camomile-devel
BuildRequires:  ocaml-cppo >= 1.1.2
BuildRequires:  ocaml-dune >= 1.0
BuildRequires:  ocaml-findlib >= 1.7.2
BuildRequires:  ocaml-lambda-term-devel >= 3.1.0
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-lwt-react-devel
BuildRequires:  ocaml-react-devel >= 1.0.0

# for utop.el
BuildRequires:  emacs
BuildRequires:  emacs-tuareg-mode

Provides:       ocaml-%{name}%{?_isa} =  %{version}-%{release}

%description
Utop is a universal toplevel for OCaml which can run in a terminal or
in emacs. It supports completion, colors, parenthesis matching, ...

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-camomile-devel%{?_isa}
Requires:       ocaml-lambda-term-devel%{?_isa}
Requires:       ocaml-lwt-react-devel%{?_isa}
Requires:       ocaml-react-devel%{?_isa}
Provides:       ocaml-%{name}-devel%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package -n emacs-utop
Summary:        Emacs front end for utop
BuildArch:      noarch
Requires:       emacs(bin) >= %{?_emacs_version}%{!?_emacs_version:0}
Requires:       emacs-tuareg-mode
Recommends:     emacs-company

%description -n emacs-utop
This package contains an Emacs front end for utop, an improved toplevel
for OCaml.

%prep
%autosetup

%build
dune build --verbose \
    --for-release-of-packages=%{name} \
    %{?_smp_mflags}
cd src/top
emacs -batch --no-init-file --no-site-file \
    --eval "(progn (setq generated-autoload-file \"$PWD/utop-autoloads.el\" backup-inhibited t) (update-directory-autoloads \".\"))"
%_emacs_bytecompile utop.el
cd -

%install
dune install --verbose \
    --for-release-of-packages=%{name} \
    --destdir=%{buildroot} \
    --libdir=%{_libdir}/ocaml

rm -rf %{buildroot}%{_prefix}/doc

mkdir -p %{buildroot}%{_emacs_sitestartdir}
cp -p src/top/utop-autoloads.* %{buildroot}%{_emacs_sitestartdir}
cp -p src/top/utop.elc %{buildroot}%{_emacs_sitelispdir}

%files
%license LICENSE
%doc README.md CHANGES.md
%doc utoprc-dark utoprc-light
%dir %{_libdir}/ocaml/utop
%{_bindir}/utop
%{_bindir}/utop-full
%{_datadir}/%{name}/
%{_datadir}/emacs/site-lisp/utop.el
%dir %{_libdir}/ocaml/%{name}
%{_libdir}/ocaml/utop/META
%{_libdir}/ocaml/utop/*.cmi
%{_libdir}/ocaml/utop/*.cma
%{_mandir}/man1/*
%{_mandir}/man5/*

%files devel
%doc README.md CHANGES.md
%doc examples/
%{_libdir}/ocaml/utop/*dune*
%{_libdir}/ocaml/utop/opam
%{_libdir}/ocaml/utop/*.cmt
%{_libdir}/ocaml/utop/*.cmti
%{_libdir}/ocaml/utop/*.ml
%{_libdir}/ocaml/utop/*.mli

%files -n emacs-utop
%{_emacs_sitelispdir}/%{name}.el*
%{_emacs_sitestartdir}/%{name}-autoloads.el*
