%bcond_without qt

%define major		0
%define libname		%mklibname v4l %{major}
%define develname	%mklibname v4l -d
%define wrappersname	%mklibname v4l-wrappers

Name:		v4l-utils
Version:	1.28.1
Release:	%mkrel 1
Summary:	Linux V4L2 and DVB API utilities
License:	LGPLv2+
Group:		System/Libraries
URL:		https://git.linuxtv.org/v4l-utils.git
Source0:	https://linuxtv.org/downloads/%{name}/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	clang
BuildRequires:	doxygen
BuildRequires:	libsysfs-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libbpf)
BuildRequires:	pkgconfig(libelf)
BuildRequires:	pkgconfig(libjpeg)
%if %{with qt}
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6Widgets)
%endif
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(xmlrpc)
BuildRequires:	pkgconfig(x11)

Requires:	%{wrappersname} >= %{version}-%{release}

%description
v4l-utils is the combination of various v4l and dvb utilities which
used to be part of the v4l-dvb mercurial kernel tree.

%package -n	v4l-utils-qt
Summary:	Qt6 tools for v4l applications
Group:		System/Libraries
Provides:	v4l-utils-qt5 = %{version}-%{release}
Obsoletes:	v4l-utils-qt5 < 1.26.1-2

%description -n	v4l-utils-qt
v4l-utils-qt is a Qt6 gui for the v4l-utils tools.

%package -n	%{wrappersname}
Summary:	Wrappers for v4l applications
Group:		System/Libraries

%description -n %{wrappersname}
This package contains wrapper libraries that adds v4l2 device
compatibility for v4l1 applications and support for various
pixelformats to v4l2 applications.

%package -n	%{libname}
Summary:	Thin abstraction layer for video4linux2 devices
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
libv4l is a collection of libraries which adds a thin abstraction
layer on top of video4linux2 devices. The purpose of this (thin)
layer is to make it easy for application writers to support a wide
variety of devices without having to write separate code for
different devices in the same class.

%package -n	%{develname}
Summary:	Development files from libv4l
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libv4l-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files needed to build
programs that use libv4l.

%prep
%autosetup -p1

%build
%meson -Ddoxygen-man=true -Dgconv=disabled
%meson_build

%install
%meson_install

%find_lang %{name}
%find_lang libdvbv5

# already provided by ivtv-utils package, more uptodate/complete there
rm -f %{buildroot}%{_bindir}/ivtv-ctl

%files -f %{name}.lang -f libdvbv5.lang
%{_bindir}/cec-compliance
%{_bindir}/cec-ctl
%{_bindir}/cec-follower
%{_bindir}/cx18-ctl
%{_bindir}/decode_tm6000
%{_bindir}/dvb-fe-tool
%{_bindir}/dvb-format-convert
%{_bindir}/dvbv5-daemon
%{_bindir}/dvbv5-scan
%{_bindir}/dvbv5-zap
%{_bindir}/ir-ctl
%{_bindir}/ir-keytable
%{_bindir}/media-ctl
%{_bindir}/rds-ctl
%{_bindir}/v4l2-compliance
%{_bindir}/v4l2-ctl
%{_bindir}/v4l2-sysfs-path
%{_bindir}/v4l2-tracer
%{_sbindir}/v4l2-dbg
# In a wrong directory??
%exclude %{_unitdir}/systemd-udevd.service.d/50-rc_keymap.conf
%{_prefix}/lib/udev/rc_keymaps
%dir %{_sysconfdir}/rc_keymaps
%{_sysconfdir}/rc_maps.cfg
%{_udevrulesdir}/70-infrared.rules
%{_mandir}/man*/*

%if %{with qt}
%files -n	v4l-utils-qt
%{_bindir}/qv4l2
%{_bindir}/qvidcap
%{_datadir}/applications/qv4l2.desktop
%{_datadir}/applications/qvidcap.desktop
%{_iconsdir}/hicolor/*/apps/qv4l2.*
%{_iconsdir}/hicolor/*/apps/qvidcap.*
%endif

%files -n	%{wrappersname}
%dir %{_libdir}/libv4l
%dir %{_libdir}/libv4l/plugins
%{_libdir}/libv4l/v4l1compat.so
%{_libdir}/libv4l/v4l2convert.so
%{_libdir}/libv4l/*-decomp
%{_libdir}/libv4l/plugins/libv4l-mplane.so

%files -n	%{libname}
%{_libdir}/libdvbv5.so.%{major}{,.*}
%{_libdir}/libv4l1.so.%{major}{,.*}
%{_libdir}/libv4l2.so.%{major}{,.*}
%{_libdir}/libv4l2rds.so.%{major}{,.*}
%{_libdir}/libv4lconvert.so.%{major}{,.*}

%files -n	%{develname}
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/html/
%{_includedir}/libdvbv5/
%{_includedir}/libv4l-plugin.h
%{_includedir}/libv4l1.h
%{_includedir}/libv4l1-videodev.h
%{_includedir}/libv4l2.h
%{_includedir}/libv4l2rds.h
%{_includedir}/libv4lconvert.h
%{_libdir}/libdvbv5.so
%{_libdir}/libv4l1.so
%{_libdir}/libv4l2.so
%{_libdir}/libv4l2rds.so
%{_libdir}/libv4lconvert.so
%{_libdir}/libv4l2tracer.so
%{_libdir}/pkgconfig/libdvbv5.pc
%{_libdir}/pkgconfig/libv4l1.pc
%{_libdir}/pkgconfig/libv4l2.pc
%{_libdir}/pkgconfig/libv4l2rds.pc
%{_libdir}/pkgconfig/libv4lconvert.pc
