%global debug_package %{nil}

Name:			v4l2loopback
Version:	0.14.0
Release:	%mkrel 1
Summary:	Tools to create Video4Linux loopback recording devices
Group:		System/Kernel and hardware
License:	GPLv2
URL:			https://github.com/umlaeute/v4l2loopback
Source0:	https://github.com/umlaeute/v4l2loopback/archive/v%{version}.tar.gz


Requires(post):		dkms
Requires(preun):	dkms

Requires:	dkms
Requires:	v4l-utils
Requires:	%{name}-kmod = %{version}

%description
This module and associated tools can create "virtual video devices" accessible
through the Video4Linux API.
Normal (v4l2) applications will read these devices as if they were ordinary
video devices, but the video will not be read from e.g. a capture card but
instead generated by another application.

%package -n     dkms-%{name}
Summary:	Kernel module to create Video4Linux loopback devices (DKMS)
Requires:	dkms
Provides:	%{name}-kmod = %{version}

%description -n     dkms-%{name}
This package contains the module source and DKMS configuration to build the
v4l2loopback kernel module.

%prep
%setup -q
sed -i 's/^PACKAGE_VERSION.*/PACKAGE_VERSION="%{version}-%{release}"/' dkms.conf

%install
install -d %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}
cp -r * %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}/

make install-utils install-man DESTDIR="$RPM_BUILD_ROOT" PREFIX=%{_prefix} BINDIR=%{_bindir} MANDIR=%{_mandir}

%post -n dkms-%{name}
dkms add     -m %{name} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build   -m %{name} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{name} -v %{version}-%{release} --rpm_safe_upgrade --force
true

%preun -n dkms-%{name}
dkms remove  -m %{name} -v %{version}-%{release} --rpm_safe_upgrade --all
true

%files
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}*
%{_mandir}/man1/*.1*

%files -n dkms-%{name}
%{_usrsrc}/%{name}-%{version}-%{release}

