%define filename	intel-vaapi-driver

Summary:	Is the VA-API implementation for Intel GEN GPUs
Name:		vaapi-driver-intel
Version:	2.4.1
Release:	%mkrel 3
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://github.com/01org/intel-vaapi-driver
Source:		https://github.com/01org/intel-vaapi-driver/releases/download/%{version}/%{filename}-%{version}.tar.bz2
# from git upstream (see https://github.com/intel/intel-vaapi-driver)
Patch0:		0002-Handle-odd-resolution.patch
Patch1:		0003-Avoid-GPU-crash-with-malformed-streams.patch
Patch2:		0004-The-3D-multisample-state-needs-to-be-resent-as-part-.patch
Patch3:		0005-Fix-VP9.2-config-verification.patch
Patch4:		0006-i965_device_info.c-Add-missing-entries-to-gen7_cpu_h.patch
# from RPM Fusion and https://github.com/intel/intel-vaapi-driver/pull/530/commits/d03fd1f86a9aeee0b33447aee3578aadb3a93f8a
Patch50:	0001-gen7-8_jpeg_decoder-Correct-component-ID-calculation.patch
# from https://github.com/intel/intel-vaapi-driver/pull/548/commits/65cc3fdfd9632c92f4012d793801b33188cbfd60
Patch51:	0001-i965_pci_ids-Add-CFL-PCI-ID-found-on-Xeon-W-1290P.patch
#
BuildRequires:	intel-gpu-tools
BuildRequires:	pkgconfig(libva) >= 1.6.0
BuildRequires:	meson
Provides:	%{filename} = %{version}-%{release}
ExclusiveArch:	%{ix86} x86_64

%description
Libva-driver-intel is the VA-API implementation for Intel GEN Graphics family.
The current video driver back-end provides a bridge to the GEN GPUs through the
packaging of buffers and commands to be sent to the i915 driver for exercising
both hardware and shader functionality for video decode, encode, and processing.

%prep
%setup -q -n %{filename}-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/dri/*.la

%files
%doc NEWS
%{_libdir}/dri/*_drv_video.so
