%define oname	libva-vdpau-driver
%define snap	0
%define rel	12

Summary:	VA-API driver for VDPAU interface
Name:		vaapi-driver-vdpau
Version:	0.7.4
%if %snap
Release:	%mkrel 3.git%snap.%rel
%else
Release:	%mkrel %rel
%endif
Group:		System/Libraries
License:	GPLv2+
URL:		https://www.splitted-desktop.com/~gbeauchesne/vdpau-video/
%if %snap
# https://cgit.freedesktop.org/vaapi/vdpau-driver/
# git archive --prefix vdpau-video-20120224/ master | xz > ../vdpau-video-20120224.tar.xz
Source:		%{oname}-%{snap}.tar.xz
%else
Source:		https://www.freedesktop.org/software/vaapi/releases/libva-vdpau-driver/%{oname}-%{version}.tar.bz2
%endif
# (tv) fix compiling with mesa-9:
Patch0:		fix-compiling.diff
Patch1:		no-H264-buffer-type.patch
Patch2:		libva-vdpau-driver-0.7.4-libvdpau0.8.patch
# Reported in https://bugs.freedesktop.org/58836 and https://bugs.debian.org/748294
Patch3:		sigfpe-crash.patch
Patch4:		Change-struct-v4l2-to-uintptr_t.patch
# From FC
Patch5:		libva-vdpau-driver-0.7.4-glext-85.patch
# chromium-vaapi specific patches
Patch10:	implement-vaquerysurfaceattributes.patch
Patch11:	implement-vacreatesurfaces2.patch
# From https://github.com/xuanruiqi/vdpau-va-driver-vp9/commit/34f166a74996c0806917510656a49be1c043c7ae
Patch12:	0048-Check-if-x11_dpy-is-initialized.patch
#
BuildRequires:	libva-devel
BuildRequires:	vdpau-devel
Provides:	%oname

%description
VDPAU driver back-end for VA API, a video acceleration API.

%prep
%if %snap
%setup -q -n %oname-%snap
%else
%setup -q -n %oname-%version
%endif
%autopatch -p1

%build
%if %snap
./autogen.sh
%endif
%configure
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/dri/*.la

%files
%doc AUTHORS NEWS
%{_libdir}/dri/*_drv_video.so
