%define _RC beta1
Summary:	Automatic mail answering program for Linux
Name:		vacation
Version:	1.2.8.0
Release:	%mkrel %{?_RC:1.%_RC.}1
License:	BSD
Group:		Networking/Mail
Source:		https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}%{?_RC:-%_RC}/%{name}-%{version}%{?_RC:-%_RC}.tar.gz
URL:		https://sourceforge.net/projects/vacation/

BuildRequires:	gdbm-devel
BuildRequires:	mercurial

Requires:	sendmail-command

%description 
Vacation is the automatic mail answering program found
on many Unix systems. This version works with the sendmail
restricted shell.

%prep
%autosetup -S hg -n %{name}-%{version}%{?_RC:-%_RC}

%build
%make_build

%install

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/de/man1

install -m 755 vacation %{buildroot}%{_bindir}/vacation
install -m 755 vaclook %{buildroot}%{_bindir}/vaclook
install -m 444 vacation.man %{buildroot}%{_mandir}/man1/vacation.1
install -m 444 vacation-de.man %{buildroot}%{_mandir}/de/man1/vacation.1
install -m 444 vaclook.man %{buildroot}%{_mandir}/man1/vaclook.1

%post
if [ -d /etc/smrsh/ ] ; then 
  ln -s /usr/bin/vacation /etc/smrsh
fi

%postun
if [ -L /etc/smrsh/vacation ] ; then 
  rm -f /etc/smrsh/vacation
fi


%files
%doc COPYING README README.smrsh ChangeLog
%{_bindir}/vacation
%{_bindir}/vaclook
%{_mandir}/man*/*
%lang(de) %{_mandir}/de/man*/*
