%define qmumajor		2
%define vproperajor		1
%define libqmuparser		%mklibname qmuparser %{qmumajor}
%define libvpropertyexplorer	%mklibname vpropertyexplorer %{vproperajor}

%define _default_patch_fuzz 2

Name:		valentina
Version:	0.7.52
Release:	%mkrel 1
Summary:	Pattern Making Application
License:	GPLv3+
Group:		Graphics/Utilities
Url:		https://valentinaproject.bitbucket.io/
Source0:	https://gitlab.com/smart-pattern/valentina/-/archive/v%{version}/valentina-v%{version}.tar.bz2
BuildRequires:	ccache
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5XmlPatterns)
Requires:	%{name}-tape = %{version}

%description
Valentina is a cross-platform pattern making program which allows designers
to create and model patterns of clothing. This software allows pattern
creation, using either standard sizing tables or an individual’s set of
measurements. It blends new technologies with traditional methods to create
a unique pattern making tool.

%files -f %{name}.lang
%doc README.txt
%license LICENSE_GPL.txt
%{_bindir}/%{name}
%{_bindir}/puzzle
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/diagrams.rcc
%{_datadir}/%{name}/labels
%{_datadir}/%{name}/tables
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/puzzle.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/puzzle.png
%{_iconsdir}/hicolor/*/mimetypes/*%{name}*.png
%{_mandir}/man1/%{name}.1.*

#----------------------------------------------------------------------------

%package tape
Summary:	Pattern Making Application
Group:		Graphics/Utilities

%description tape
Pattern Making Application.

%files tape
%doc README.txt
%license LICENSE_GPL.txt
%{_bindir}/tape
%{_datadir}/applications/tape.desktop
%{_iconsdir}/hicolor/*/apps/tape.png
%{_mandir}/man1/tape.1.*

#----------------------------------------------------------------------------

%package -n %{libqmuparser}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libqmuparser}
Shared library for %{name}.

%files -n %{libqmuparser}
%doc README.txt
%license LICENSE_GPL.txt
%{_libdir}/libqmuparser.so.%{qmumajor}{,.*}

#----------------------------------------------------------------------------

%package -n %{libvpropertyexplorer}
Summary:	Shared library for %{name}
Group:		System/Libraries

Obsoletes:	%{_lib}libvpropertyexplorer1 < 0.6.1-4

%description -n %{libvpropertyexplorer}
Shared library for %{name}.

%files -n %{libvpropertyexplorer}
%doc README.txt
%license LICENSE_GPL.txt
%{_libdir}/libvpropertyexplorer.so.%{vproperajor}{,.*}

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%qmake_qt5 \
        PREFIX_LIB=%{_libdir} \
        CONFIG+=noStripDebugSymbols \
        CONFIG+=noRunPath
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

install -Dm 0644 dist/debian/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -m 0644 dist/debian/tape.1 %{buildroot}%{_mandir}/man1/tape.1

rm -f %{buildroot}%{_libdir}/libqmuparser.so
rm -f %{buildroot}%{_libdir}/libvpropertyexplorer.so

%find_lang %{name} --with-qt --all-name
