%global _smp_ncpus_max 4

%define sname   ValyriaTear

Name:           valyriatear
Version:        1.1.0
Release:        %mkrel 7
Summary:        Valyria Tear is a free 2D J-RPG based on the Hero of Allacrost engine
Group:          Games/Adventure
License:        GPLv2+
URL:            https://valyriatear.blogspot.com
Source0:        https://github.com/ValyriaTear/ValyriaTear/releases/download/%{version}/%{sname}-src-with-deps-%{version}.tar.gz
Patch0:         0001-Fix-Version-tag-in-desktop-file.patch
Patch1:         valyriatear-missing-stdint.patch
Patch2:         valyriatear-missing-cstdint.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(lua-5.1)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)

Requires:       %{name}-data = %{version}-%{release}

%description
Valyria Tear is a free 2D J-RPG game based on the Hero of Allacrost engine.

You can play it very much like a typical console role-playing game.
You can explore maps and talk to non-playable characters (NPCs),
fight active-time battles against multiple enemies,
and manage your characters and equipment through a series of menus.

%package data
Summary:        Data files for 2D J-RPG Valyria Tear
License:        GPLv2 and GPLv2+ and GPLv3 and CC-BY-SA and CC-BY and CC0 and OFL
BuildArch:      noarch

%description data
Data files for 2D J-RPG Valyria Tear.

%prep
%autosetup -p1 -n %{sname}

sed -i '20a\#include <cstdint>' src/utils/src/utils/utils_files.h

%build
%cmake \
  -DPKG_BINDIR=%{_gamesbindir} \
  -DPKG_DATADIR=%{_gamesdatadir}/%{name}
%cmake_build

%install
%cmake_install

install -D -p -m644 doc/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

# Not using %%files_lang so that the user has the in-game possibility to change the locale
%files
%doc AUTHORS MANUAL
%license LICENSES.txt COPYING.*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_mandir}/man6/%{name}.6.*

%files data
%{_gamesdatadir}/%{name}/
