# Mageia version really building the SW based also on
# https://raw.githubusercontent.com/linuxhq/rpmbuild-vault/master/SPECS/vault.spec
%define debug_package %{nil}

Name:           vault
Version:        1.0.3
Release:        1%{dist}
Summary:        A tool for managing secrets
Group:          Applications/Internet
License:        MPL-2.0
URL:            https://www.vaultproject.io/
Source0:        https://github.com/hashicorp/%{name}/archive/v%{version}.tar.gz
Source1:        %{name}.hcl
Source2:        %{name}.service
Source3:        %{name}.logrotate
Source4:        %{name}.sysconfig
BuildRequires:  golang >= 1.11
BuildRequires:  gox >= 0.4.0

%description
Vault is a tool for securely accessing secrets. A secret is anything that you want
to tightly control access to, such as API keys, passwords, certificates, and more.
Vault provides a unified interface to any secret, while providing tight access
control and recording a detailed audit log.

%prep
%setup -q -n %{name}-%{version}
# Does a go get so should be avoided for Mageia upstream
# Doesn't seem to be mandatory however
#make bootstrap

%build
# Do not build using git
#perl -pi -e 's|git rev-parse HEAD|echo %{version}|' scripts/build.sh
export GOPATH=$(pwd):%{gopath}
(ln -sf vendor src)
mkdir -p vendor/github.com/hashicorp/vault
mv api audit builtin command helper http logical physical plugins shamir ui vault version website vendor/github.com/hashicorp/vault
gox -osarch="linux/amd64" -ldflags "-X github.com/hashicorp/vault/version.GitCommit='%{version}'" -output "bin/%{name}" -tags="%{name}" .

%install
%{__install} -d -m 0755 %{buildroot}%{_sbindir} \
                        %{buildroot}%{_sysconfdir}/%{name} \
                        %{buildroot}%{_sysconfdir}/logrotate.d \
                        %{buildroot}%{_unitdir} \
                        %{buildroot}%{_sysconfdir}/sysconfig \
                        %{buildroot}%{_localstatedir}/{lib,log,run}/%{name}
         
%{__install} -m 0755 bin/%{name} %{buildroot}%{_sbindir}
%{__install} -m 0600 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}
%{__install} -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service
%{__install} -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
%{__install} -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
  useradd -r -g %{name} -s /sbin/nologin \
    -d %{_localstatedir}/lib/%{name} -c "RPM Created Vault User" %{name}

%post
%_post_service vault

%preun
%_preun_service vault

%files
%defattr(-,vault,vault,-)
%attr(-,root,root) %{_sbindir}/%{name}
%attr(-,root,root) %{_sysconfdir}/logrotate.d/%{name}
%attr(-,root,root) %{_unitdir}/%{name}.service
%attr(-,root,root) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.*
%{_localstatedir}/lib/%{name}
%{_localstatedir}/log/%{name}
%{_localstatedir}/run/%{name}
