%define uname   visualboyadvance-m
%define wxname  wxvbam

Name:           vbam
Version:        2.1.11
Release:        %mkrel 1
Summary:        A Game Boy emulator
Group:          Emulators
License:        GPLv2+
URL:            https://github.com/visualboyadvance-m/visualboyadvance-m
Source0:        https://github.com/visualboyadvance-m/visualboyadvance-m/archive/v%{version}/%{uname}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  git-core
BuildRequires:  nasm
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sfml-network)
BuildRequires:  pkgconfig(sfml-system)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  wxgtk-devel
BuildRequires:  zip

Provides:       visualboyadvance = %{version}-%{release}
Provides:       visualboyadvance-m = %{version}-%{release}

%description
VisualBoyAdvance-M (vbam) is a Nintendo Game Boy, Game Boy Color and
Game Boy Advance emulator. It is based on VisualBoyAdvance and integrates
the best features from the various other forks.

It also features a wxGTK frontend (%{uname}) and a CLI interface with SDL (%{name}).

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake \
  -DCMAKE_SKIP_RPATH:BOOL=ON \
  -DENABLE_WX:BOOL=ON \
  -DENABLE_SDL:BOOL=ON \
  -DENABLE_FFMPEG:BOOL=ON \
  -DDISABLE_MACOS_PACKAGE_MANAGERS=ON
%cmake_build

%install
%cmake_install

%find_lang %{wxname}

%files -f %{wxname}.lang
%doc doc/ReadMe.SDL.txt doc/DevInfo.txt
%{_bindir}/%{name}
%{_bindir}/%{uname}
%{_datadir}/%{name}/
%{_metainfodir}/%{uname}.metainfo.xml
%{_datadir}/applications/%{uname}.desktop
%{_iconsdir}/hicolor/*/apps/%{uname}.*
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{uname}.6*
%config(noreplace) %{_sysconfdir}/%{name}.cfg
