%define beta_version 5
%define rel     10

Name:           vbindiff
Version:        3.0
Release:        %mkrel -c %{rel} beta%{beta_version}
Summary:        Visual binary diff
Group:          File tools
License:        GPLv2+
URL:            https://www.cjmweb.net/%{name}/
# https://github.com/madsen/vbindiff
Source0:        https://www.cjmweb.net/%{name}/%{name}-%{version}_beta%{beta_version}.tar.gz
BuildRequires:  pkgconfig(ncursesw)

%description
VBinDiff (Visual Binary Diff) displays files in hexadecimal
and ASCII (or EBCDIC). It can also display two files at once,
and highlight the differences between them.
Unlike diff, it works well with large files (up to 4 GB).

VBinDiff was inspired by the Compare Files function
of the ProSel utilities by Glen Bredon, for the Apple II.

The single-file mode was inspired by the LIST utility
of 4DOS and friends. While less provides a good line-oriented display,
it has no equivalent to LIST's hex display.

%prep
%setup -q -n %{name}-%{version}_beta%{beta_version}

%build
%configure LIBS="-lncursesw -lpanelw"
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS README README.PuTTY putty.src
%{_bindir}/%{name}
%{_datadir}/man/man?/%{name}*
