Name:           vblade
Version:        25
Release:        %mkrel 2
Summary:        Virtual EtherDrive (R) blade daemon

Group:          System/Kernel and hardware
License:        GPLv2
URL:            https://sourceforge.net/projects/aoetools/
Source0:        https://github.com/OpenAoE/vblade/archive/%{name}-%{version}.tar.gz
Source1:        conf.d-%{name}
Source2:        %{name}.conf
Source3:        %{name}-tmpfiles.conf
Patch0:         %{name}-makefile.patch
Patch1:         local.hardening-build.patch
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper
Requires(preun): rpm-helper

%description
The vblade is the virtual EtherDrive (R) blade, a program that makes a
seekable file available over an Ethernet local area network (LAN) via
the ATA over Ethernet (AoE) protocol.

The seekable file is typically a block device like /dev/md0 but even
regular files will work.  When vblade exports the block storage over
AoE it becomes a storage target.  Another host on the same LAN can
access the storage if it has a compatible aoe kernel driver.

%post
%_tmpfilescreate %{name}
%_post_service %name

%preun
%_preun_service %name

%files
%doc HACKING NEWS README
%license COPYING
%dir %{_sysconfdir}/vblade.conf.d
%config(noreplace) %{_sysconfdir}/vblade.conf.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/vblade.service
%{_unitdir}/vblade@.service
%{_systemdgeneratordir}/vblade-generator
%{_sbindir}/vblade
%{_sbindir}/vbladed
%{_mandir}/man8/vblade.8*

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}


%build
%set_build_flags
%make_build


%install
%make_install

install -D -m 644 contrib/persistence/vblade.service %{buildroot}%{_unitdir}/vblade.service
install -D -m 644 contrib/persistence/vblade@.service %{buildroot}%{_unitdir}/vblade@.service
install -D -m 755 contrib/persistence/vblade-generator %{buildroot}%{_systemdgeneratordir}/vblade-generator

install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/vblade.conf.d/%{name}
install -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}.conf
mkdir  -p %{buildroot}%{_tmpfilesdir}
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/%{name}.conf

