#
# git clone https://git.chromium.org/git/chromiumos/platform/vboot_reference.git
# cd vboot_reference
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git archive --format=tar --prefix=vboot_reference-${DATE}/ master | xz > ../vboot_reference-${DATE}.tar.xz
#
%define gdate   20190823

Name:		vboot-utils
Version:	%{gdate}
Release:	%mkrel 4
Summary:	Verified Boot Utility from Chromium OS
Group:		System/Boot and Init
License:	BSD
URL:		https://chromium.googlesource.com/chromiumos/platform/vboot_reference/
Source0:	vboot_reference-%{gdate}.tar.xz
# Patch0 disabled static building.
Patch0:		vboot-utils-00-disable-static-linking.patch
Patch1:		vboot_reference-20190823-git-multiple-def.patch
BuildRequires:	gcc
BuildRequires:	lzma-devel
BuildRequires:	openssl-devel
BuildRequires:	trousers-devel
BuildRequires:	yaml-devel
BuildRequires:	pkgconfig(uuid)
# For tests
BuildRequires:	openssl

%description
Verified boot is a collection of utilities helpful for chromebook computer.
Pack and sign the kernel, manage gpt partitions.


%prep
%autosetup -p1 -n vboot_reference-%{version}

%build

%ifarch %{arm} aarch64
%global ARCH arm
%endif

%ifarch x86_64
%global ARCH x86_64
%endif

%ifarch i586
%global ARCH x86
%endif

%make_build HOST_ARCH=%{ARCH} COMMON_FLAGS="%{optflags} -ftree-loop-vectorize" DEBUG_FLAGS=

%install
%make_install V=1 DESTDIR=%{buildroot}%{_bindir} HOST_ARCH=%{ARCH}

%check
make runtests HOST_ARCH=%{ARCH} || true

%files
%license LICENSE
%doc README
%{_bindir}/*
