%define major     0
%define libname   %mklibname vcdinfo %{major}
%define develname %mklibname vcdinfo -d

Name:		vcdimager
Version:	2.0.1
Release:	%mkrel 8
Summary:	VideoCD (pre-)mastering and ripping tool
License:	GPLv2
Group:		Video/Utilities
Source:		https://ftp.gnu.org/gnu/vcdimager/%{name}-%{version}.tar.gz
URL:		https://www.vcdimager.org/
Requires(post):	info-install
Requires(preun): info-install
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(popt)

%description
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

VCDRip, which comes with VCDImager, does the reverse operation. That
is, ripping mpeg streams from images (and already burned VideoCDs)
and showing some information about the VideoCD.

%package -n %{libname}
Summary: Libraries from %{name}
Group: System/Libraries
Provides: libvcd = %{version}-%{release}
Obsoletes: %{_lib}vcd0 < 2.0.1

%description -n %{libname}
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

VCDRip, which comes with VCDImager, does the reverse operation. That
is, ripping mpeg streams from images (and already burned VideoCDs)
and showing some information about the VideoCD.

%package -n %{develname}
Summary: Devel files from %{name}
Group: Development/C
Requires: %{libname} = %{version}
Provides: libvcd-devel = %{version}-%{release}
Obsoletes: %{_lib}vcd-devel < 2.0.1

%description -n %{develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%prep
%setup -q

%build
%configure \
	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files
%doc NEWS README
%{_bindir}/vcd-info
%{_bindir}/vcdimager
%{_bindir}/vcdxgen
%{_bindir}/vcdxrip
%{_bindir}/vcdxbuild
%{_bindir}/vcdxminfo
%{_bindir}/cdxa2mpeg
%{_infodir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libvcdinfo.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog AUTHORS TODO
%{_includedir}/libvcd/
%{_libdir}/libvcdinfo.so
%{_libdir}/pkgconfig/libvcdinfo.pc
