# set max parallel build nodes
%global _smp_ncpus_max 12

Name:           vcmi
Version:        1.6.5
Release:        %mkrel 1
Summary:        Open-source reimplementation and extension of the Heroes III game engine
Group:          Games/Strategy
License:        GPLv2+
URL:            https://www.vcmi.eu/
Source0:        https://github.com/vcmi/vcmi/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  cmake(TBB)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(fuzzylite)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Help)
BuildRequires:  pkgconfig(Qt6Network)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(zlib)

%description
VCMI is an open-source project aiming to reimplement the Heroes of Might and
Magic III: In the Wake of Gods game engine, giving it new and extended
possibilities.

To play Heroes III, you will need a copy of the original game.
See VCMI's wiki for Heroes III installation instructions:
https://wiki.vcmi.eu/index.php?title=Installation_on_Linux#Installing_Heroes_III_data_files

%files
%doc ChangeLog.md
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}client.png
%{_iconsdir}/hicolor/*/apps/%{name}editor.png
%{_iconsdir}/hicolor/scalable/apps/%{name}client.svg
%{_libdir}/%{name}/
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}/
%{_metainfodir}/eu.vcmi.VCMI.metainfo.xml

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%cmake_qt6 \
       -DBIN_DIR=games \
       -DDATA_DIR=share/games/%{name} \
       -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=ON \
       -DCMAKE_INSTALL_RPATH=%{_libdir}/%{name} \
       -DFORCE_BUNDLED_FL=OFF \
       -DENABLE_TEST=OFF \
       -DENABLE_INNOEXTRACT=OFF
%cmake_build

%install
%cmake_install
