%define _disable_ld_no_undefined 1

%define major     3
%define libname   %mklibname vde %major
%define develname %mklibname vde -d

Name:		vde2
Version:	2.3.2
Release:	%mkrel 19
Summary:	Virtual Distributed Ethernet
# some files are under GPLv2 only
License:	GPLv2 and GPLv2+
Group:		Networking/Other
Url:		https://vde.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/vde/%{name}-%{version}.tar.bz2
Source1:	README.mageia
# Build fixes
# to send upstream
Patch0:		vde-2.2.2-string-format.patch
# from debian
Patch1:		vde_cryptcab-compile-against-openssl-1.1.0.patch
# C99 violation fix
Patch2:		vde2-C99.patch
BuildRequires:	pkgconfig(openssl)
BuildRequires:	libpcap-devel

Provides:	vde = %{version}-%{release}

%description
VDE is a virtual network that can be spawned over a set of physical
computer over the Internet

VDE connects together:
  (1) real GNU-linux boxes (tuntap)
  (2) virtual machines: UML-User Mode Linux, qemu, bochs, MPS.

VDE can be used:
  (i) to create a general purpose tunnel (every protocol that runs
    on a Ethernet can be put into the tunnel)
  (ii) to connect a set of virtual machine to the Internet with no
    need of free access of tuntap
  (iii) to support mobility: a VDE can stay interconnected despite
    of the change of virtual cables, i.e. the change of IP addresses
    and interface in the real world

%package -n %{libname}
Summary:	VDE libraries
Group:		Networking/Other

%description -n %{libname}
Library files for VDE.

%package -n %{develname}
Summary:	VDE development libraries
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	vde-devel = %{version}-%{release}
Provides:	libvde-devel = %{version}-%{release}
Provides:	libvde2-devel = %{version}-%{release}
Provides:	%{_lib}vde2-devel = %{version}-%{release}

%description -n %{develname}
Development files (headers, libraries) for libvde.

%prep
%setup -q
%patch -P 0 -p0 -b .strfmt
%patch -P 1 -p1 -b .openssl11
%patch -P 2 -p1 -b .c99
cp %SOURCE1 .

%build
autoreconf -fi
%configure --disable-python
# does not work on make -j 24
make

%install
%make_install

%files
%{_bindir}/*
%{_sbindir}/vde_tunctl
%{_libexecdir}/vdetap
%doc README README.mageia
%{_mandir}/man*/*.*
%{_sysconfdir}/vde2/libvdemgmt/asyncrecv.rc
%{_sysconfdir}/vde2/libvdemgmt/closemachine.rc
%{_sysconfdir}/vde2/libvdemgmt/openmachine.rc
%{_sysconfdir}/vde2/libvdemgmt/sendcmd.rc
%{_sysconfdir}/vde2/vdecmd
%{_libdir}/vde2/libvde*.so
%{_libdir}/vde2/vde_l3/bfifo.so
%{_libdir}/vde2/vde_l3/pfifo.so
%{_libdir}/vde2/vde_l3/tbf.so

%files -n %{libname}
# use this to make sure that the major is properly incremented
# not fool proof however
%{_libdir}/libvdeplug.so.%major.*
%{_libdir}/libvdeplug.so.%major
%{_libdir}/libvdehist.so.*
%{_libdir}/libvdesnmp.so.*
%{_libdir}/libvdemgmt.so.*

%files -n %{develname}
%{_includedir}/libvde*.h
%{_libdir}/libvde*.so
%{_libdir}/libvde*.*a
%{_libdir}/vde2/libvde*.*a
%{_libdir}/pkgconfig/*.pc
