Name:           vdfuse
Version:        8.2a
Release:        %mkrel 6.14
ExclusiveArch:  %ix86 x86_64
License:        GPLv3
Summary:        Application for mounting vdi images
#yes only forum
Url:            https://forums.virtualbox.org/viewtopic.php?f=7&t=17574
Group:          System/Libraries

#no need for kmp to build
#!BuildIgnore:	    virtualbox-host-kmp virtualbox-kmp kmp(virtualbox) virtualbox-ose-kmp virtualbox-ose-host-kmp kmp(virtualbox-ose)
BuildRequires:  fuse-devel
BuildRequires:  gcc
BuildRequires:  pkgconfig
BuildRequires:  virtualbox

Requires: virtualbox

%define virtualbox_version  4.1.18
#we need includes from virtualbox
Source0:        VirtualBox-%{virtualbox_version}-include-only.tar.bz2
#and of cource source code :)
Source1:        vdfuse-v82a.c
#script to extract includes from virtualbox sources
Source99:       virtualbox-patch-source

%description
This program presents a virtual disk as a Filesystem in User Space
(FUSE).  The separate partitions appear as block files Partition1,
... under the mount point.  You can then mount any or all of the
partitions as a Loop Device. If you use the read-only flag then these
files are read-only and the partitions themselves can only be mounted
read-only.

%prep
%setup -n VirtualBox-%{virtualbox_version}

%build
export LD_LIBRARY_PATH=%{_libdir}/virtualbox/
gcc %{SOURCE1} -o %{name} \
    `pkg-config --cflags --libs fuse` \
    -I./include \
    -Wl,-rpath,%{_libdir}/virtualbox/ \
    -l:%{_libdir}/virtualbox/VBoxDD.so \
    -l:%{_libdir}/virtualbox/VBoxDD2.so \
    -l:%{_libdir}/virtualbox/VBoxDDU.so \
    -Wall %{optflags}


# use manual requires
%global __requires_exclude ^VBox

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 -p %{name} %{buildroot}%{_bindir}

%files
%{_bindir}/%{name}
