%define plugin   epgsearch

Summary:        Powerful schedules menu replacement plugin for VDR
Name:           vdr-plugin-%plugin
Version:        2.4.2
Release:        %mkrel 2
Group:          Video/Utilities
License:        GPLv2+
URL:            https://github.com/vdr-projects/vdr-plugin-epgsearch

Source0:        https://github.com/vdr-projects/vdr-plugin-epgsearch/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz

Source1:        %{name}.conf
Source2:        %{name}-epgsearchonly.conf
Source3:        %{name}-conflictcheckonly.conf
Source4:        %{name}-quickepgsearch.conf
Source5:        %{name}-epgsearchmenu.conf

Patch0:         %{name}-2.4.0-fedora.patch

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  vdr-devel >= 2.6.0
Requires:   vdr-abi = %{vdr_abi}

%description
This plugin provides a powerful replacement for VDR's default
schedules menu entry.  It looks like the standard schedules menu, but
adds several functions, such as additional commands for EPG entries,
reusable queries which can be used as dynamic "search timers" etc.

%package -n %plugin-devel
Summary:        Development headers of epgsearch VDR plugin
Group:          Development/C++
Requires:       vdr-devel

%description -n %plugin-devel
Headers for developing plugins that will use services provided by
epgsearch.

%prep
%setup -q -n %{name}-%{version}

sed -e 's|__VARDIR__|%{vdr_vardir}|g' %{PATCH0} | %{__patch} -p1 --fuzz=0
for f in scripts/epgsearchcmds-french.conf conf/epgsearchcats.conf-tvm2vdr* ; do
    iconv -f iso-8859-1 -t utf-8 -o $f.utf8 $f ; mv $f.utf8 $f
done

chmod -x scripts/*
%vdr_plugin_prep

%build

mkdir -p %{buildroot}%_libdir/vdr
%vdr_plugin_build LDFLAGS="%vdr_plugin_ldflags" LIBDIR=%buildroot%_libdir/vdr

%install

%vdr_plugin_install
install -Dpm 644 %{SOURCE1} %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}.conf
install -Dpm 644 %{SOURCE2} %{buildroot}%{_vdr_plugin_cfgdir}/epgsearchonly.conf
install -Dpm 644 %{SOURCE3} %{buildroot}%{_vdr_plugin_cfgdir}/conflictcheckonly.conf
install -Dpm 644 %{SOURCE4} %{buildroot}%{_vdr_plugin_cfgdir}/quickepgsearch.conf

install -Dpm 644 %{SOURCE5} %{buildroot}%{_vdr_cfgdir}/plugins/epgsearch/epgsearchmenu.conf
rm %{buildroot}%{_vdr_cfgdir}/plugins/epgsearch/epgsearchcats.conf-* \
 %{buildroot}%{_vdr_cfgdir}/plugins/epgsearch/epgsearchupdmail-html.templ

install -dm 755 %{buildroot}%_vdr_plugin_cachedir/%plugin

install -d -m755 %{buildroot}%{_includedir}/vdr/%{plugin}
install -m644 services.h %{buildroot}%{_includedir}/vdr/%{plugin}

%find_lang %{name} --all-name --with-man

%files -f %{name}.lang
%license COPYING
%doc HISTORY conf/ scripts/
%lang(de) %doc HISTORY.DE
%config(noreplace) %{_vdr_plugin_cfgdir}/*.conf
%{_bindir}/createcats
%{_vdr_plugin_dir}/libvdr-*.so.%{vdr_apiversion}
%{_mandir}/man[145]/*.[145]*
%defattr(-,%{vdr_user},root,-)
%config(noreplace) %{_vdr_plugin_cfgdir}/epgsearch/
%_vdr_plugin_cachedir/%plugin

%files -n %plugin-devel
%{_includedir}/vdr/%{plugin}/
