%define plugin	live

%define url_ver %(tr . - <<< %{version})

Summary:	VDR plugin: Live Integrated VDR Environment
Name:		vdr-plugin-%plugin
Version:	3.1.11
Release:	%mkrel 1
Group:		Video/Utilities
License:	GPLv2+
URL:		https://github.com/MarkusEh/vdr-plugin-live/
Source0:	https://github.com/MarkusEh/vdr-plugin-live/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	vdr-devel >= 1.6.0
BuildRequires:	tntnet-devel
BuildRequires:	boost-devel
BuildRequires:	openssl-devel
BuildRequires:	epgsearch-devel >= 0.9.24
BuildRequires:	pcrecpp-devel
Requires:	vdr-abi = %vdr_abi

%description
Live, the "Live Interactive VDR Environment", is a plugin providing
the possibility to interactively control the VDR and some of its
plugins by a web interface.

Unlike external utility programs that communicate with VDR and its
plugins by SVDRP, Live has direct access to VDR's data structures
and is thus very fast.

%prep
%autosetup -p1

# epgsearch-devel
rm -rf epgsearch
sed -i 's,"epgsearch/services.h",<vdr/epgsearch/services.h>,' epgsearch.cpp timerconflict.cpp
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# use PORT to listen for incoming connections instead of 8008
var=PORT
param="-p PORT"
# bind server only to specified IP
# multiple IPs can be separated with a space
var=BIND_IP
param=--ip=MULTIPLE_PARAMS
# use SSLPORT to listen for incoming ssl connections instead of 8443
var=SSLPORT
param="-s PORT"
# full path to a custom ssl certificate file
var=CERT
param="-c CERT"
default="%{_sysconfdir}/pki/tls/private/vdr-%plugin.pem"
# log level for tntnet (values: INFO, DEBUG,...)
var=LOGLEVEL
param="-l LOGLEVEL"
# directory for epgimages
var=EPGIMAGES
param="-e EPGIMAGES"
default="%{_vdr_epgimagesdir}"
%vdr_plugin_params_end

%build

%vdr_plugin_build

%install
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}
touch %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}/httpd.config
touch %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}/httpd.properties

install -d -m755 %{buildroot}%{_vdr_plugin_datadir}
cp -a live %{buildroot}%{_vdr_plugin_datadir}/
for dir in %plugin/*; do
	ln -s %{_vdr_plugin_datadir}/$dir %{buildroot}%{_vdr_plugin_cfgdir}/$dir
done

%post
%_create_ssl_certificate -g vdr -b vdr-%plugin

%files -f %plugin.vdr
%doc CONTRIBUTORS HISTORY README
%dir %attr(-,vdr,vdr) %{_vdr_plugin_cfgdir}/%{plugin}
%ghost %{_vdr_plugin_cfgdir}/%{plugin}/httpd.config
%ghost %{_vdr_plugin_cfgdir}/%{plugin}/httpd.properties
%{_vdr_plugin_cfgdir}/%{plugin}/css
%{_vdr_plugin_cfgdir}/%{plugin}/img
%{_vdr_plugin_cfgdir}/%{plugin}/js
%{_vdr_plugin_cfgdir}/%{plugin}/themes
%{_vdr_plugin_datadir}/%{plugin}
