%define plugin	skinenigmang
%define rel	1

Summary:	VDR plugin: EnigmaNG skin
Name:		vdr-plugin-%plugin
Version:	0.1.5
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPL+
URL:		http://andreas.vdr-developer.org/enigmang/
Source0:	https://github.com/vdr-projects/vdr-plugin-skinenigmang/archive/refs/tags/%{version}/vdr-plugin-%plugin-%version.tar.gz
Source1:	http://andreas.vdr-developer.org/enigmang/download/skinenigmang-logos-xpm-hi-20070702.tgz
BuildRequires:	pkgconfig(vdr) >= 1.6.0-7
BuildRequires:	pkgconfig(GraphicsMagick++)
BuildRequires:	freetype2-devel
Requires:	vdr-abi = %vdr_abi

%description
"EnigmaNG" is a standalone VDR skin based on the "Enigma" text2skin
add-on.

%vdr_chanlogo_notice

%prep
%setup -q -n %name-%version -a 1
mv %plugin/HISTORY HISTORY.logos
mv %plugin/README README.logos
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# Channel logo directory
var=LOGODIR
param="-l LOGODIR"
default=%{_vdr_chanlogodir}
# Set directory where epgimages are stored
var=IMAGESDIR
param="-i IMAGESDIR"
default=%{_vdr_plugin_cachedir}/epgimages
%vdr_plugin_params_end

cat > README.install.urpmi <<EOF
%vdr_chanlogo_notice
EOF

%build
%vdr_plugin_build \
	SKINENIGMA_USE_PLUGIN_EPGSEARCH=1 \
	SKINENIGMA_USE_PLUGIN_AVARDS=1 \
	SKINENIGMA_USE_PLUGIN_MAILBOX=1 \
	HAVE_IMAGEMAGICK=GRAPHICS \
	HAVE_FREETYPE=1

%install
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_themedir}
install -m644 themes/*.theme %{buildroot}%{_vdr_themedir}

install -d -m755 %{buildroot}%{_vdr_plugin_datadir}
cp -a %{plugin} %{buildroot}%{_vdr_plugin_datadir}

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}
ln -s %{_vdr_plugin_datadir}/%{plugin} %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}

%files -f %plugin.vdr
%doc README* HISTORY*
%{_vdr_plugin_datadir}/%{plugin}
%{_vdr_plugin_cfgdir}/%{plugin}
%{_vdr_themedir}/*.theme
