%define plugin  vdrmanager
%define name    vdr-plugin-%plugin
%define version 0.14
%define rel     1

Summary:        VDR plugin: VDR-Manager support plugin
Name:           %name
Version:        %version
Release:        %mkrel %rel
Group:          Video/Utilities
# GPLv2+: services.h
License:        GPLv2+
Source:		http://projects.vdr-developer.org/attachments/download/1747/vdr-vdrmanager-%{version}.tgz
BuildRequires:  pkgconfig(vdr) >= 1.7.0
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
Requires:       vdr-abi = %vdr_abi

%description
This helper plugin allows remote programming VDR using
VDR-Manager running on Android devices.

%prep
%setup -q -n vdr-%plugin-%version

%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# port number to listen (VDR manager for Android prefer TCP 6420, the default)
var=PORT
param="-p PORT"
# password (none if not given). No password forces check against svdrphosts.conf.
var=PASSWORD
param="-P PASSWORD"
# force check against svdrphosts.conf, even if a password was given
var=FORCE_SVDRPHOSTS
param="-s"
# selects the compression mode to use ('z' for zlib or 'g' for gzip and 'n' for none).
# default: none
var=COMPRESSION
param="-c COMPRESSION"
# cert and key file for SSL separated by comma (,) or one file for both"
var=CERTFILE
param="-k CERTFILE"
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr
