%define versiondate 2014-10-20
%define date    %(echo %{versiondate} | sed -e 's/-//g')

Name:           vdrift
Version:        %{date}
Release:        %mkrel 18
Summary:        Open Source Car Racing Simulator
Group:          Games/Simulation
License:        GPLv3
Url:            https://vdrift.net/
Source0:        https://download.sf.net/%{name}/%{name}-%{versiondate}.tar.bz2
Patch0:         vdrift-2014-10-20-mga-bullet-2.85.patch
Patch1:         vdrift-fdr-error-output.patch
Patch2:         vdrift-2014-10-20-mga-scons3-python3.patch
Patch3:         vdrift-2014-10-20-bullet-double.patch

BuildRequires:  asio
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(bullet)
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_gfx)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_net)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  scons
Requires:       %{name}-data >= %{version}

%description
VDrift is a cross-platform, open source driving simulation made with
drift racing in mind.
The driving physics engine was recently re-written from scratch but
was inspired and owes much to the Vamos physics engine.

%package data
Summary:        Data files for the VDrift driving simulation
BuildArch:      noarch

%description data
This package contains data files for VDrift (Car Racing Simulator).

%prep
%setup -q -n %{name}
%autopatch -p1

%build
%set_build_flags
%scons \
  prefix=%{_prefix} \
  release=1

%install
install -D -m755 build/%{name} %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_gamesdatadir}/%{name}/data
cp -a data %{buildroot}%{_gamesdatadir}/%{name}
find %{buildroot}%{_gamesdatadir}/%{name} -name "SConscript*" -delete \
  -o -name "*.po*" -delete -o -name "*.py*" -delete
find %{buildroot}%{_gamesdatadir}/%{name} -type f -exec chmod 644 {} \;

install -D -m644 vdrift.appdata.xml \
  %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=VDrift
GenericName=Car Racing Simulation
Comment=A driving simulation made with drift racing in mind
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;Simulation;
EOF

install -D -m644 data/textures/icons/vdrift-64x64.png \
  %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png

%files
%{_gamesbindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/64x64/apps/%{name}.png

%files data
%{_gamesdatadir}/%{name}/
