%define srcname	Assets-Production

# comment out if not pre rel
#define prel	beta1

# rel for bumping
%define rel	1

Name:		vegastrike-data
Version:	0.9.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Data files for Vega Strike
License:	GPL-2.0-or-later
Group:		Games/Simulation
URL:		https://www.vega-strike.org/
Source0:	https://github.com/vegastrike/%{srcname}/archive/v%{version}%{?prel:-%prel}/%{srcname}-%{version}%{?prel:-%prel}.tar.gz
Patch10:	vegastrike-mga-fix-desktop-and-gamesdata-dir.patch

BuildArch:	noarch
ExcludeArch:	%{ix86}

BuildRequires:	cmake

%description
Data files for Vega Strike, a GPL 3D OpenGL Action RPG
space sim that allows a player to trade and bounty hunt.

%prep
%autosetup -p1 -n %{srcname}-%{version}%{?prel:-%prel}

# Fix games bindir
sed -i 's|DESTINATION bin|DESTINATION games|g' CMakeLists.txt

%build
%cmake -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir}
%cmake_build

%install
%cmake_install

# Remove duplicate license file because we package it already
rm -rfv %{buildroot}%{_gamesdatadir}/vegastrike/vega-license.txt
# Remove devel stuff - fix devel-file-in-non-devel-package 
rm -rfv %{buildroot}%{_gamesdatadir}/vegastrike/programs/*.h
rm -rfv %{buildroot}%{_gamesdatadir}/vegastrike/programs/planet/*.h

mkdir -p %{buildroot}%{_iconsdir}/hicolor/128x128/apps
install -p -m 644 vegastrike.xpm \
  %{buildroot}%{_iconsdir}/hicolor/128x128/apps

%files
%license vega-license.txt
%{_gamesbindir}/vs*
%{_gamesdatadir}/vegastrike/
%{_datadir}/applications/vega*.desktop
%{_datadir}/pixmaps/vega*
%{_iconsdir}/hicolor/128x128/apps/vegastrike.xpm
