# comment out when not a hotfix release
#define hotfix	Update7
#define sub_ver	u7

%define up_ver	1.26.20

Summary:	Disk encryption software
Name:		veracrypt
Version:	%{up_ver}%{?sub_ver}
Release:	%mkrel 1
License:	Microsoft Public License
Group:		File tools
Url:		https://veracrypt.codeplex.com
Source0:	https://github.com/veracrypt/VeraCrypt/archive/VeraCrypt_%{up_ver}%{?hotfix:-%hotfix}.tar.gz
BuildRequires:	wxgtk-devel
BuildRequires:	makeself
BuildRequires:	nasm
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(fuse)
BuildRequires:	imagemagick
%ifarch %{ix86} x86_64
BuildRequires:	yasm
%endif

%description
Free disk encryption software based on TrueCrypt.

%files
%doc %{_docdir}/veracrypt/
%{_bindir}/veracrypt
%{_sbindir}/mount.veracrypt
%{_datadir}/applications/veracrypt.desktop
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/mime/packages/veracrypt.xml
%dir %{_datadir}/veracrypt/
%{_datadir}/veracrypt/languages/

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n VeraCrypt-VeraCrypt_%{up_ver}%{?hotfix:-%hotfix}

%build
%make_build -C src \
            TC_EXTRA_LFLAGS+="%{ldflags} -ldl" \
            TC_EXTRA_CXXFLAGS="%{optflags}" \
            TC_EXTRA_CFLAGS="%{optflags}" \
            NOSTRIP=1 \
            VERBOSE=1

pushd src/Resources/Icons
convert VeraCrypt-16x16.xpm VeraCrypt-16x16.png
convert VeraCrypt-48x48.xpm VeraCrypt-48x48.png
convert VeraCrypt-128x128.xpm VeraCrypt-128x128.png
popd

%install
%make_install -C src

for png in 128x128 48x48 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  install -m 0644 src/Resources/Icons/VeraCrypt-${png}.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

rm -rf %{buildroot}%{_bindir}/%{name}-uninstall.sh
