%define major   0
%define api     0.1
%define libname %mklibname %{name} %{api} %{major}
%define devname %mklibname %{name} -d

Name:           verbiste
Version:        0.1.49
Release:        %mkrel 2
Summary:        French conjugation system
License:        GPLv2+
Group:          Office/Dictionary
URL:            http://sarrazip.com/dev/verbiste.html
Source:         http://sarrazip.com/dev/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  perl(XML::Parser)

%description
Verbiste is a French conjugation system. It contains a C++ library, two
programs that can be run from the command line or from another program,
and a GNOME applet. This applet shows a text field in the GNOME Panel
where the user can enter a conjugated verb and obtain its complete
conjugation. The knowledge base is represented in XML and contains over
6800 verbs.

%files
%doc AUTHORS HACKING LISEZMOI NEWS README THANKS COPYING
%license COPYING
%{_bindir}/french-{de,}conjugator
%{_datadir}/%{name}-%{api}/
%{_mandir}/man1/french-{de,}conjugator.1*
%lang(fr) %{_mandir}/fr/man1/french-{de,}conjugator.1*

#--------------------------------------------------------------------

%package        gtk
Summary:        Gtk+ interface for %{name}
Group:          Office/Dictionary
Requires:       %{name} >= %{version}-%{release}

%description gtk
Gtk+ interface for %{name}.

%files gtk -f %{name}.lang
%{_bindir}/verbiste-gtk
%{_iconsdir}/hicolor/*/apps/verbiste.*
%dir %{_datadir}/texmf/tex/latex/verbiste/
%{_datadir}/texmf/tex/latex/verbiste/verbiste.cfg
%{_datadir}/texmf/tex/latex/verbiste/verbiste.cls
%{_datadir}/applications/verbiste-gtk.desktop

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Shared Libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n     %{devname}
Summary:        %{name} header files
Group:          Development/GNOME and GTK+
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       lib%{name}%{api}-devel = %{version}-%{release}
Conflicts:	verbiste < 0.1.48-2

%description -n %{devname}
This package contains %{name} header files.

%files -n %{devname}
%{_includedir}/%{name}-%{api}/
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_mandir}/man3/%{name}.3*
%lang(fr) %{_mandir}/fr/man3/%{name}.3*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure --without-gnome-app
%make_build

%install
%make_install

# .desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -Dpm644 src/gnome/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}-gtk.desktop
sed -i -e 's/^\(Exec=\).*/\1%{name}-gtk/' %{buildroot}%{_datadir}/applications/%{name}-gtk.desktop

%find_lang %{name}
