Name:           vidalia
Version:        0.3.1
Release:        %mkrel 14
Summary:        Cross-platform controller GUI for Tor, built using the Qt framework
License:        GPLv2+
Group:          Networking/Other
URL:            https://www.torproject.org/projects/vidalia
Source0:        https://www.torproject.org/dist/vidalia/%{name}-%{version}.tar.gz
Source1:        https://www.torproject.org/dist/vidalia/%{name}-%{version}.tar.gz.asc
Patch0:         vidalia-0.3.1-fix-paths.patch
Patch1:         vidalia-0.3.1-gcc-4.7.patch
Patch2:         vidalia-0.3.1-TorSettings.h.patch
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(openssl)
BuildRequires:  qt4-devel
BuildRequires:  qt4-linguist
Requires:       tor

%description
Vidalia is a cross-platform controller GUI for Tor, built using the Qt
framework. Vidalia runs on any platform supported by Qt 4.1, including
Windows, Mac OS X, and Linux or other Unix variants using the X11
window system.

Vidalia allows you to start and stop Tor, view the status of Tor at a
glance, and monitor Tor's bandwidth usage. Vidalia also makes it easy
to contribute to the Tor network by helping you setup a Tor server, if
you wish.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt4
%cmake_build

# make the docs
make doxygen -C build

%install
%cmake_install

install -D -p -m 644 doc/vidalia.1 %{buildroot}%{_mandir}/man1/vidalia.1

%files
%doc CHANGELOG CREDITS HACKING LICENSE README README.marble
%doc build/doc/html
%{_bindir}/vidalia
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*
