%define uuid	com.github.unrud.VideoDownloader

Name:		video-downloader
Version:	0.12.24
Release:	%mkrel 1
Summary:	Download videos from websites like YouTube and many others
Group:		Video/Players
License:	GPLv3+
URL:		https://github.com/Unrud/video-downloader
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	appstream-util
BuildRequires:	intltool
BuildRequires:	rsvg-convert
BuildRequires:	meson
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	gtk-update-icon-cache

Requires:	python3-xlib
Requires:	yt-dlp

%description
Download videos from websites with an easy-to-use interface. Provides the
following features:

- Convert videos to MP3
- Supports password-protected and private videos
- Download single videos or whole playlists
- Automatically selects a video format based on your preferred resolution

Based on yt-dlp.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml


%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.xml
