Name:		viewnior
Version:	1.8
Release:	%mkrel 3
Summary:	Elegant image viewer
Group:		Graphics/Viewers
License:	GPLv3+
URL:		https://siyanpanayotov.com/project/viewnior/
Source0:	https://github.com/hellosiyan/Viewnior/archive/%{name}-%{version}.tar.gz
Patch1:		0001-Fix-build-with-exiv2-0.28.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(shared-mime-info)

%description
Viewnior is an image viewer program. Created to be simple, fast and elegant.
It's minimalist interface provides more screen space for your images. Among
its features are:

* Fullscreen & Slideshow
* Rotate, flip, save, delete images
* Animation support
* Browse only selected images
* Navigation window
* Simple interface
* Configurable mouse actions

%prep
%setup -q -n Viewnior-%{name}-%{version}
%autopatch -p1

# fix spurious executable perms
chmod 0644 AUTHORS NEWS README* TODO src/*

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README* TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_mandir}/man?/%{name}.?*
%{_metainfodir}/%{name}.metainfo.xml
