Name:			viking
Version:		1.10
Release:		%mkrel 2
Summary:		Global positioning system (GPS) and mapping manager
Group:			Geography
License:		GPLv2+
URL:			https://viking.sourceforge.net/
Source0:		https://prdownloads.sourceforge.net/viking/%{name}-%{version}.tar.bz2

BuildRequires:		intltool
BuildRequires:		itstool
BuildRequires:		imagemagick
BuildRequires:		pkgconfig(expat)
BuildRequires:		pkgconfig(libcurl)
BuildRequires:		pkgconfig(libgeoclue-2.0)
BuildRequires:		pkgconfig(libgps) >= 3.23-1
BuildRequires:		pkgconfig(libzip)
BuildRequires:		pkgconfig(gio-2.0) >= 2.32
BuildRequires:		pkgconfig(glib-2.0) >= 2.44
BuildRequires:		pkgconfig(gthread-2.0) >= 2.2
BuildRequires:		pkgconfig(json-glib-1.0)
BuildRequires:		pkgconfig(gtk+-3.0)
BuildRequires:		pkgconfig(gexiv2)
BuildRequires:		pkgconfig(nettle)
BuildRequires:		pkgconfig(oauth)
BuildRequires:		pkgconfig(sqlite3)
BuildRequires:		gnome-doc-utils >= 0.3.2
BuildRequires:		gtk-doc
BuildRequires:		magic-devel

Requires:		gpsbabel

%description
Viking is a free/open source program to manage GPS data. You can import and
plot tracks and way-points, show Terraserver maps under it, add coordinate
lines, make new tracks and way-points, hide different things, etc.

%prep
%autosetup -p1

%build
%configure --disable-mapnik
%make_build

%install
%make_install

desktop-file-install \
  --remove-key="Version" \
  --remove-category="Maps" \
  --add-category="X-Maps" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS README TODO NEWS ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*
