%define upstream_name    Vimana
%define upstream_version 2.26

Name:       vimana
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Download a vim plugin package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::CLI) >= 0.80.0
BuildRequires: perl(Archive::Extract)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(DateTime)
BuildRequires: perl(Data::Util)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Type)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTTP::Lite)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Mouse)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(URI) >= 1.370.0
BuildRequires: perl(Web::Scraper)
BuildRequires: perl(YAML)
BuildRequires: perl(parent)
BuildRequires: perl(inc::Module::Install)
BuildRequires: vim-enhanced
BuildArch:  noarch

%description
Vimana is an easy to use system for searching , installing, and downloading
vim script.

Vimana provides a command-line interface such like the 'aptitude' program on
Debian linux, for you to search , download , install , upgrade scripts from
https://www.vim.org/ (vimonline site).

Vimana can install a vim script package to your vim runtime path
automatically by inspecting the content of archive file or vim script. For
example , if an archive file contains 'syntax','plugin','indent' directory
, then these files should be installed to _~/.vim/_ directory (default vim
runtime directory). if it's a vim color scheme , then it should be put into
_~/.vim/colors/_, or Vimana will inspect the script type tag in script
file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#__make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
