%define         majornum        42
%define         libname         %mklibname %{name} %{majornum}
%define         develname       %mklibname %{name} -d
%define         srcname         libvips

%define         vername         8.16

Name:           vips
Version:        %{vername}.0
Release:        %mkrel 1
Summary:        A fast image processing library with low memory needs
License:        LGPLv2+
Group:          Graphics/Editors and Converters

URL:            https://www.libvips.org/
Source0:        https://github.com/libvips/libvips/releases/%{name}-%{version}.tar.xz

BuildRequires:  gtk-doc
BuildRequires:  glib-gettextize
BuildRequires:  meson
BuildRequires:  cmake
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  pkgconfig(libopenjp2)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(orc-0.4)
BuildRequires:  pkgconfig(matio)
BuildRequires:  pkgconfig(libheif)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(imagequant)
BuildRequires:  pkgconfig(libhwy)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

Requires:       %{libname} = %{version}-%{release}

%description
Vips is a demand-driven, horizontally threaded image processing
library. Compared to similar libraries, libvips runs quickly and uses
little memory. libvips is licensed under the LGPL 2.1+. It has around
300 operations covering arithmetic, histograms, convolution,
morphological operations, frequency filtering, colour, resampling,
statistics and others. It supports a large range of numeric formats,
from 8-bit int to 128-bit complex. Images can have any number of
bands. It supports a good range of image formats, including JPEG,
TIFF, PNG, WebP, FITS, Matlab, OpenEXR, PDF, SVG, HDR, PPM, CSV, GIF,
Analyze, NIfTI, DeepZoom, and OpenSlide. It can also load images via
ImageMagick or GraphicsMagick, letting it load formats like DICOM.


%package -n %{libname}
License:        LGPLv2+
Summary:        A fast image processing library with low memory needs
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
Vips is a demand-driven, horizontally threaded image processing
library. Compared to similar libraries, libvips runs quickly and uses
little memory. libvips is licensed under the LGPL 2.1+. It has around
300 operations covering arithmetic, histograms, convolution,
morphological operations, frequency filtering, colour, resampling,
statistics and others. It supports a large range of numeric formats,
from 8-bit int to 128-bit complex. Images can have any number of
bands. It supports a good range of image formats, including JPEG,
TIFF, PNG, WebP, FITS, Matlab, OpenEXR, PDF, SVG, HDR, PPM, CSV, GIF,
Analyze, NIfTI, DeepZoom, and OpenSlide. It can also load images via
ImageMagick or GraphicsMagick, letting it load formats like DICOM.


%package -n %{develname}
License:        LGPLv2+
Summary:        Headers and modules for the vips library
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Headers and modules for the vips library.


%prep

%setup -q -n %{name}-%{version}
%autopatch -p1


%build
%meson -Dcgif=disabled \
       -Dspng=disabled \
       -Dopenslide=disabled \
       -Dpdfium=disabled \
       -Dnifti=disabled

%meson_build


%install
%meson_install



#nuke la files from libtools
find %{buildroot}%{_libdir} -name *.la -delete
find %{buildroot}%{_libdir} -name *.a -delete

 %find_lang %{name}%{vername}

 
%files -f %{name}%{vername}.lang
%doc ChangeLog README.md
#{_bindir}/batch_*
#{_bindir}/light_correct
#{_bindir}/shrink_width
%{_bindir}/vips*
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/libvips.so.%{majornum}{,.*}
%{_libdir}/libvips-cpp.so.%{majornum}{,.*}
#modules
%{_libdir}/vips-modules-%{vername}
%{_libdir}/girepository-1.0/*.typelib

%files -n %{develname}
%{_libdir}/libvips.so
%{_libdir}/libvips-cpp.so
%{_libdir}/pkgconfig/vips*.pc
%{_includedir}/vips
%{_datadir}/gir-1.0/*.gir
