%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:           virt-top
Version:        1.0.4
Release:        %mkrel 1
Summary:        Utility like top(1) for displaying virtualization stats

Group:          System/Libraries
License:        GPLv2+
URL:            https://people.redhat.com/~rjones/virt-top/
Source0:        https://people.redhat.com/~rjones/virt-top/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

Patch0:         virt-top-1.0.3-bogus-zh_CN-plurals.patch
Patch1:         virt-top-1.0.4-bogus-ja-plurals.patch

BuildRequires:  ocaml >= 3.10.2
BuildRequires:  ocaml-doc
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-curses-devel >= 1.0.3-7
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-xml-light-devel
BuildRequires:  ocaml-csv-devel
BuildRequires:  ocaml-calendar-devel
BuildRequires:  ocaml-libvirt-devel
BuildRequires:  ocaml-gettext-devel >= 0.3.3
BuildRequires:  ocaml-fileutils-devel
BuildRequires:  ocaml-camomile-data
BuildRequires:  gettext
BuildRequires:  libvirt-devel
BuildRequires:  perl-devel
BuildRequires:  gawk


%description
virt-top is a 'top(1)'-like utility for showing stats of virtualized
domains.  Many keys and command line options are the same as for
ordinary 'top'.

It uses libvirt so it is capable of showing stats across a variety of
different virtualization systems.


%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
chmod -x COPYING


%build
%configure
make all
%if %opt
make opt
strip virt-top/virt-top.opt
%endif

# Build translations.
make -C po

# Force rebuild of man page.
rm virt-top/virt-top.1
make -C virt-top virt-top.1


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# Install translations.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale
make -C po install PODIR="$RPM_BUILD_ROOT%{_datadir}/locale"
%find_lang %{name}

# Install virt-top manpage by hand for now.
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 0644 virt-top/virt-top.1 $RPM_BUILD_ROOT%{_mandir}/man1


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README TODO.virt-top ChangeLog
%{_bindir}/virt-top
%{_mandir}/man1/virt-top.1*
