# Please keep this package in sync with FC

Name:		virt-viewer
Version:	11.0
Release:	%mkrel 3
Summary:	Virtual Machine Viewer
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://gitlab.com/virt-viewer/virt-viewer
Source0:	https://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.xz
# https://gitlab.com/virt-viewer/virt-viewer/-/merge_requests/129
Patch1:		0001-ovirt-Remove-unused-declaration-ovirt_foreign_menu_g.patch
Patch2:		0002-remote-viewer-Update-govirt-requirement.patch
Patch3:		0003-remote-viewer-Simplify-oVirt-username-setting.patch
#
Patch100:	0001-data-remove-bogus-param-for-meson-i18n.merge_file.patch
BuildRequires: meson
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libvirt)
BuildRequires: pkgconfig(libvirt-glib-1.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(gtk-vnc-2.0)
BuildRequires: pkgconfig(vte-2.91)
BuildRequires: pkgconfig(spice-client-gtk-3.0)
BuildRequires: pkgconfig(spice-protocol)
BuildRequires: gettext
BuildRequires: pkgconfig(govirt-1.0)
BuildRequires: pkgconfig(rest-1.0)
BuildRequires: pkgconfig(bash-completion)

Requires:       openssh-clients

%description
Virtual Machine Viewer (virt-viewer) is a lightweight interface for
interacting with the graphical display of a virtualized guest OS. It uses
GTK-VNC and libvirt to look up the VNC server details associated with the
guest. It is intended as a replacement for the traditional vncviewer
client, since the latter does not support SSL/TLS encryption of x509
certificate authentication.

%prep
%autosetup -p1

%build
%meson -Dbuild-id=%{release}
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS NEWS
%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/remote-viewer.desktop
%{_datadir}/metainfo/remote-viewer.appdata.xml
%{_datadir}/mime/packages/virt-viewer-mime.xml
%{_mandir}/man1/*
%{_datadir}/bash-completion/completions/virt-viewer
