%define         debug_package %{nil}

Name:		virtualmoon
Version:	8.2
Release:	%mkrel 2.git20240516.1
Summary:	Software for Moon observation and survey
License:	GPLv2+
Group:		Sciences/Astronomy
Url:		https://ap-i.net/avl/start
#Source0:	https://sourceforge.net/projects/virtualmoon/files/1-%20virtualmoon/Version%208.0/virtualmoon-#{version}.tar.gz
Source0:	https://github.com/pchev/virtualmoon/archive/refs/heads/master.zip
Source1:	virtualmoon-8.2-basedata.tar.xz

Patch0:		virtualmoon-8.0-nostrip.patch
Patch1:		virtualmoon-master-fix-build-with-gcc14.patch

# skip arm for now
ExcludeArch:	aarch64 armv7hl

BuildRequires:	fpc
BuildRequires:	lazarus
BuildRequires:	mesaglu-devel

# mga#32871
Requires:	libpasastro

Recommends:	virtualmoon-data

%description
Virtual Moon Atlas is the reference digital Moon atlas. Already
downloaded more than a million times worldwide, it is used in several
books, foreign observatories, researchers, websites, TV shows,
astronomical magazines. It was even used to prepare the Chandraayan 1
lunar mission and the NELIOTA program (ESA). Be ready to see what the
Moon is looking like inside telescopes or from a lunar orbiter.



%prep
%autosetup -p1 -n virtualmoon-master

sed -i -e s!destdir/lib!destdir/%{_lib}!g install.sh
sed -i -e s!../pixmaps/!! -e s!.xpm!! -e s!Astronomy!Astronomy\;! Installer/Linux/vmapro/share/applications/*.desktop

%build
# This is not GNU configure
./configure lazarus=%{_libdir}/lazarus prefix=%{_prefix}
%__make

%install
./install.sh %{buildroot}%{_prefix}
%{__install} -d -m755 %{buildroot}%{_datadir}/virtualmoon
cp -r Database %{buildroot}%{_datadir}/virtualmoon
cp -r Encyclopedia %{buildroot}%{_datadir}/virtualmoon
pushd %{buildroot}%{_datadir}/virtualmoon
tar -Jxvf %{SOURCE1}
popd


%files
%{_bindir}/*lun
%{_libdir}/libcspicevma.so
%{_datadir}/%{name}
%{_datadir}/doc/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.xpm

