#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           virtuoso-opensource
Version:        7.2.14
Release:        %mkrel %{rel}
Summary:        OpenLink Virtuoso Database System Open-Source Edition
Group:          Development/Databases
License:        GPLv2
URL:            https://vos.openlinksw.com/owiki/wiki/VOS
Source0:        https://downloads.sourceforge.net/virtuoso/%{version}/%{name}-%{version}.tar.gz
Patch1:         virtuoso-opensource-6.1.8-nodemos_buildfix.patch
Patch3:         virtuoso-opensource-wbxml2.patch
Patch4:         virtuoso-opensource-imagemagick.patch
Patch22:        virtuoso-opensource-repack-pcre.patch
Patch23:        virtuoso-opensource-pcre2.patch

# Virtuoso 7.x is 64bit only. For 32bit platforms, use 6.x
ExclusiveArch:  x86_64 aarch64

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gperf
BuildRequires:  pkgconfig(MagickWand)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  openssl
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libiodbc)
BuildRequires:  pkgconfig(libtirpc)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libwbxml2)
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(zlib)

%description
Virtuoso is a scalable cross-platform server that combines SQL/RDF/XML
Data Management with Web Application Server and Web Services Platform
functionality.

Virtuoso is at the core a high performance object-relational SQL
database. As a database, it provides transactions, a smart SQL
compiler, powerful stored procedure language with optional Java and
.Net server side hosting, hot backup, SQL 99 and more. It has all
major data access interfaces, as in ODBC, JDBC, ADO .Net and OLE/DB.

Virtuoso has a built-in web server which can serve dynamic web pages
written in Virtuoso's web page language as well as PHP, ASP .Net and
others. This same web server provides SOAP and REST access to Virtuoso
stored procedures, supporting a broad set of WS protocols such as
WS-Security, WS-Reliable Messaging and others. A BPEL4WS run time is
also available as part of Virtuoso's SOA suite.

%files -n %{name}
%doc AUTHORS CREDITS README ChangeLog README.UPGRADE.md NEWS
%license COPYING
%{_bindir}/virtuoso-t
%dir %{_sysconfdir}/virtuoso/
%config %{_sysconfdir}/virtuoso/virtuoso.ini
%dir %{_libdir}/virtuoso
%dir %{_libdir}/virtuoso/plugins
%{_libdir}/virtuoso/plugins/virtodbc_r.*
%{_libdir}/virtuoso/hosting/

#--------------------------------------------------------------------

%package -n  %{name}-applications
Summary:     Virtuoso open source applications
Group:       Development/Databases
Requires:    %{name} >= %{version}

%description -n %{name}-applications
Virtuoso is a scalable cross-platform server that combines SQL/RDF/XML
Data Management with Web Application Server and Web Services Platform
functionality.

%files -n %{name}-applications
%{_bindir}/inifile
%{_bindir}/isql-iodbc
%{_bindir}/isqlw
%{_bindir}/isql-v
%{_bindir}/isqlw-iodbc
%{_bindir}/odbc_mail
%{_bindir}/virt_mail
%{_datadir}/virtuoso/
%{_libdir}/virtuoso/plugins/*.so
%{_localstatedir}/lib/virtuoso
%exclude %{_libdir}/virtuoso/plugins/virtodbc_r.*

#--------------------------------------------------------------------

%package -n %{name}-jars
Summary: Virtuoso open source jar files
Group: Development/Databases
Requires: %{name} >= %{version}

%description -n %{name}-jars
Virtuoso is a scalable cross-platform server that combines SQL/RDF/XML
Data Management with Web Application Server and Web Services Platform
functionality.

%files -n %{name}-jars
%{_libdir}/virtuoso/jars/
%dir %{_libdir}/hibernate
%{_libdir}/hibernate/virt_dialect.jar

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
autoreconf -vfi

%configure --disable-static \
           --with-iodbc=%{_prefix} \
           --disable-all-vads \
           --disable-imagemagick \
           --with-readline \
           --without-internal-zlib

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_libdir}/virtuoso/plugins
mv %{buildroot}%{_libdir}/*.so %{buildroot}%{_libdir}/virtuoso/plugins/
mkdir -p %{buildroot}%{_libdir}/virtuoso/jars
mv %{buildroot}%{_libdir}/jdbc-4.0 %{buildroot}%{_libdir}/virtuoso/jars/jdbc4.0
mv %{buildroot}%{_libdir}/jdbc-4.1 %{buildroot}%{_libdir}/virtuoso/jars/jdbc4.1
mv %{buildroot}%{_libdir}/jdbc-4.2 %{buildroot}%{_libdir}/virtuoso/jars/jdbc4.2
mv %{buildroot}%{_libdir}/jdbc-4.3 %{buildroot}%{_libdir}/virtuoso/jars/jdbc4.3
mv %{buildroot}%{_libdir}/jena %{buildroot}%{_libdir}/virtuoso/jars/jena
mv %{buildroot}%{_libdir}/jena2 %{buildroot}%{_libdir}/virtuoso/jars/jena2
mv %{buildroot}%{_libdir}/jena3 %{buildroot}%{_libdir}/virtuoso/jars/jena3
mv %{buildroot}%{_libdir}/jena4 %{buildroot}%{_libdir}/virtuoso/jars/jena4
mv %{buildroot}%{_libdir}/sesame %{buildroot}%{_libdir}/virtuoso/jars/sesame
mv %{buildroot}%{_libdir}/rdf4j %{buildroot}%{_libdir}/virtuoso/jars/rdf4j
mv %{buildroot}%{_libdir}/rdf4j_4 %{buildroot}%{_libdir}/virtuoso/jars/rdf4j_4
mkdir -p %{buildroot}%{_sysconfdir}/virtuoso
mv %{buildroot}%{_var}/lib/virtuoso/db/virtuoso.ini %{buildroot}%{_sysconfdir}/virtuoso/

# Rename isql binary to avoid conflict with unixODBC
mv  %{buildroot}%{_bindir}/isql %{buildroot}%{_bindir}/isql-v

find %{buildroot} -name '*.a' -delete
find %{buildroot} -name '*.la' -delete
