Name:		vis
Version:	0.9
Release:	%mkrel 1
Group:		Editors
Summary:	A vi-like editor based on Plan 9's structural regular expressions

License:	BSD
URL:		https://github.com/martanne/vis
Source0:	https://github.com/martanne/vis/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(libacl)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(termkey)
BuildRequires:	pkgconfig(tre)
Requires:	lua-lpeg

%description
Vis aims to be a modern, legacy free, simple yet efficient editor combining
the strengths of both vi(m) and sam.

It extends vi's modal editing with built-in support for multiple
cursors/selections and combines it with sam's structural regular expression
based command language.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install STRIP=/bin/true

rm -rf %{buildroot}%{_docdir}/vis/LICENSE

%files
%doc README.md
%license LICENSE
%{_bindir}/vis*
%{_datadir}/vis/
%{_mandir}/man1/*
