%define major		1.1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define libnamewdt	%mklibname %{name}-widgets %{major}
%define develnamewdt	%mklibname %{name}-widgets -d
%define libnameqml	%mklibname %{name}-qml %{major}
%define develnameqml	%mklibname %{name}-qml -d
%define libnamecore	%mklibname %{name}-core %{major}
%define develnamecore	%mklibname %{name}-core -d

Name:		vlc-qt
Version:	1.1.1
Release:	%mkrel 2
Summary:	A simple library to connect Qt applications with libvlc
License:	GPLv3+
Group:		System/Libraries
URL:		https://vlc-qt.tano.si/
Source0:	https://github.com/vlc-qt/vlc-qt/archive/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickTest)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(libvlc)

%description
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	A simple library to connect Qt applications with libvlc (core)
Group:		System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n	%{libname}
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

This package contains the %{name} core library.

#----------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Headers and development libraries for vlc-qt core library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Headers and development libraries for %{name} core library.

#----------------------------------------------------------------------------

%package -n	%{libnamewdt}
Summary:	A simple library to connect Qt applications with libvlc (widgets)
Group:		System/Libraries

%description -n	%{libnamewdt}
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

This package contains the %{name} widgets library.

#----------------------------------------------------------------------------

%package -n	%{develnamewdt}
Summary:	Headers and development libraries for vlc-qt widgets library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamewdt} = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-widgets-devel = %{version}-%{release}

%description -n	%{develnamewdt}
Headers and development libraries for %{name} widgets library.

#----------------------------------------------------------------------------

%package -n	%{libnameqml}
Summary:	A simple library to connect Qt applications with libvlc (qml)
Group:		System/Libraries

%description -n	%{libnameqml}
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

This package contains the %{name} qml library.

#----------------------------------------------------------------------------

%package -n	%{develnameqml}
Summary:	Headers and development libraries for vlc-qt qml library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnameqml} = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-qml-devel = %{version}-%{release}

%description -n	%{develnameqml}
Headers and development libraries for %{name} qml library.

#----------------------------------------------------------------------------

%package -n	%{libnamecore}
Summary:	A simple library to connect Qt applications with libvlc (core)
Group:		System/Libraries

%description -n	%{libnamecore}
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

This package contains the %{name} core library.

#----------------------------------------------------------------------------

%package -n	%{develnamecore}
Summary:	Headers and development libraries for vlc-qt core library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamecore} = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-core-devel = %{version}-%{release}

%description -n	%{develnamecore}
Headers and development libraries for %{name} core library.

#----------------------------------------------------------------------------


%prep
%setup -q

%build
%cmake_qt5 \
	%ifarch x86_64
	-DLIB_SUFFIX=64 \
	%endif
	-DSYSTEM_QML=On
%cmake_build

%install
%cmake_install


%files  -n %{name}
%{_qt5_qml}/VLCQt/

%files  -n %{develname}
%{_libdir}/cmake/VLCQt/
%{_libdir}/libVLCQtCore.so

%files  -n %{libname}
%{_libdir}/libVLCQtCore.so.%{major}
%{_libdir}/libVLCQtCore.so.%{major}.*

%files  -n %{libnamewdt}
%{_libdir}/libVLCQtWidgets.so.%{major}
%{_libdir}/libVLCQtWidgets.so.%{major}.*

%files  -n %{develnamewdt}
%{_libdir}/pkgconfig/libVLCQtWidgets.pc
%{_libdir}/libVLCQtWidgets.so
%{_includedir}/VLCQtWidgets/
%{_libdir}/cmake/VLCQtWidgets/

%files  -n %{libnameqml}
%{_libdir}/libVLCQtQml.so.%{major}
%{_libdir}/libVLCQtQml.so.%{major}.*

%files  -n %{develnameqml}
%{_libdir}/pkgconfig/libVLCQtQml.pc
%{_libdir}/libVLCQtQml.so
%{_libdir}/qt5/qml/VLCQt/libVLCQt.so
%{_includedir}/VLCQtQml/
%{_libdir}/cmake/VLCQtQml/

%files  -n %{libnamecore}
%{_libdir}/libVLCQtCore.so.%{major}
%{_libdir}/libVLCQtCore.so.%{major}.*

%files  -n %{develnamecore}
%{_libdir}/pkgconfig/libVLCQtCore.pc
%{_libdir}/libVLCQtCore.so
%{_includedir}/VLCQtCore/
%{_libdir}/cmake/VLCQtCore/
