# libdummy* & libold* plugins were removed
# check freetype & telepathy support
# stream_filter/libstream_filter_rar_plugin.so has been removed
# check xulrunner patch & subpackage
# check %%pre_rel/%%snapshot handling, seems broken, mkrel -c %%pre_rel also doesn't work
# libname & libvlccore & vlc-plugin-common & -plugin-pulse does not get automatically updated, check

%define snapshot          0
%define pre_rel           0
%define nightly           0

%define rel               15

%if %{pre_rel}
%define release           %mkrel -c %{pre_rel} %{rel}
%else
%if %{snapshot}
%define release           %mkrel -c %{snapshot} %{rel}
%else
%define release           %mkrel %{rel}
%endif
%endif
%if %{snapshot}
%define release           %mkrel %{rel}
%endif

%define libmajor          5
%define coremajor         9
%define vdpaumajor        0
%global sourcedirname     %{name}-%{version}
%if %{snapshot}
%define fname             %{name}-snapshot-%{snapshot}
%endif
%if %{pre_rel}
%if %{nightly}
%define fname             %{name}-%{version}-%{nightly}-%{pre_rel}
%define sourcedirname     %{name}-%{version}-%{pre_rel}
%else
%define fname             %{name}-%{version}-%{pre_rel}
%endif
%else
%define fname             %{name}-%{version}
%endif

%define with_plf          0

%define with_fribidi      1
%define with_xml          1
%define with_ncurses      1
%define with_lirc         1
%define with_qt5          1
%define with_svlc         1
%define with_udev         1
%define with_aa           1
%define with_sdl          1
%define with_sdl_image    1
%define with_xvideo       1
%define with_twolame      1
%define with_schroedinger 1
%define with_fluidsynth   1
%define with_gme          1
%define with_zvbi         1
%define with_kate         1
%define with_goom         0
%define with_projectm     1
%define with_ass          1
%define with_lua          1
%define with_taglib       1
%define with_mtp          1
%define with_xcb_randr    1

%define with_mad          1
%define with_ogg          1
%define with_theora       1
%define with_speex        1
%define with_flac         1
%define with_a52          1
%define with_cddb         1
%define with_dv           1
%define with_dvdnav       1
%define with_dvb          1
%define with_dvbpsi       1
%define with_mpeg2dec     1
%define with_mpc          1
%define with_sid          1
%define with_faad         0
%define with_faac         0
%define with_fdkaac       0
%define with_lame         1
%define with_dts          0
%define with_x264         0
%define with_x265         0
%define with_live         1
%define with_libv4l       1
%define with_sysfs        1
%define with_shout        1

%define with_pulse        1
%define with_jack         1
%define with_alsa         1

%define with_upnp         1
%define with_smb          1
%define with_tar          1
%define with_mod          1
%define with_gnutls       1
%define with_vnc          0
%define with_vpx          1
%define with_opencv       0
%define with_srt          1
%define with_rdp          1

%ifarch x86_64 aarch64
%define with_vpl          1
%else
%define with_vpl          0
%endif

%define libname           %mklibname %{name} %{libmajor}
%define libnamecore       %mklibname vlccore %{coremajor}
%define develname         %mklibname %{name} -d

# without
%{?_without_fribidi:      %{expand: %%global with_fribidi 0}}
%{?_without_udev:         %{expand: %%global with_udev 0}}
%{?_without_ncurses:      %{expand: %%global with_ncurses 0}}
%{?_without_lirc:         %{expand: %%global with_lirc 0}}
%{?_without_qt5:          %{expand: %%global with_qt5 0}}
%{?_without_svlc:         %{expand: %%global with_svlc 0}}

%{?_without_aa:           %{expand: %%global with_aa 0}}
%{?_without_sdl:          %{expand: %%global with_sdl 0}}
%{?_without_xvideo:       %{expand: %%global with_xvideo 0}}
%{?_without_twolame:      %{expand: %%global with_twolame 0}}
%{?_without_schroedinger: %{expand: %%global with_schroedinger 0}}
%{?_without_fluidsynth:   %{expand: %%global with_fluidsynth 0}}
%{?_without_gme:          %{expand: %%global with_gme 0}}
%{?_without_lua:          %{expand: %%global with_lua 0}}
%{?_without_zvbi:         %{expand: %%global with_zvbi 0}}
%{?_without_kate:         %{expand: %%global with_kate 0}}

%{?_without_mad:          %{expand: %%global with_mad 0}}
%{?_without_ogg:          %{expand: %%global with_ogg 0}}
%{?_without_theora:       %{expand: %%global with_theora 0}}
%{?_without_speex:        %{expand: %%global with_speex 0}}
%{?_without_flac:         %{expand: %%global with_flac 0}}
%{?_without_mpeg2dec:     %{expand: %%global with_mpeg2dec 0}}
%{?_without_mpc:          %{expand: %%global with_mpc 0}}
%{?_without_sid:          %{expand: %%global with_sid 0}}
%{?_without_faad:         %{expand: %%global with_faad 0}}
%{?_without_faac:         %{expand: %%global with_faac 0}}
%{?_without_fdkaac:       %{expand: %%global with_fdkaac 0}}
%{?_without_x264:         %{expand: %%global with_x264 0}}
%{?_without_x265:         %{expand: %%global with_x265 0}}
%{?_without_lame:         %{expand: %%global with_lame 0}}
%{?_without_dts:          %{expand: %%global with_dts 0}}
%{?_without_live:         %{expand: %%global with_live 0}}
%{?_without_a52:          %{expand: %%global with_a52 0}}
%{?_without_dv:           %{expand: %%global with_dv 0}}
%{?_without_dvdnav:       %{expand: %%global with_dvdnav 0}}
%{?_without_dvb:          %{expand: %%global with_dvb 0}}
%{?_without_dvbpsi:       %{expand: %%global with_dvbpsi 0}}
%{?_without_libv4l:       %{expand: %%global with_libv4l 0}}
%{?_without_sysfs:        %{expand: %%global with_sysfs 0}}
%{?_without_cddb:         %{expand: %%global with_cddb 0}}
%{?_without_shout:        %{expand: %%global with_shout 0}}


%{?_without_pulse:        %{expand: %%global with_pulse 0}}
%{?_without_jack:         %{expand: %%global with_jack 0}}
%{?_without_alsa:         %{expand: %%global with_alsa 0}}

%{?_without_upnp:         %{expand: %%global with_upnp 0}}
%{?_without_tar:          %{expand: %%global with_tar 0}}
%{?_without_mod:          %{expand: %%global with_mod 0}}
%{?_without_gnutls:       %{expand: %%global with_gnutls 0}}
%{?_without_vnc:          %{expand: %%global with_vnc 0}}
%{?_without_vpx:          %{expand: %%global with_vpx 0}}
%{?_without_vpl:          %{expand: %%global with_vpl 0}}
%{?_without_srt:          %{expand: %%global with_srt 0}}
# with
%{?_with_fribidi:         %{expand: %%global with_fribidi 1}}
%{?_with_udev:            %{expand: %%global with_udev 1}}
%{?_with_ncurses:         %{expand: %%global with_ncurses 1}}
%{?_with_lirc:            %{expand: %%global with_lirc 1}}
%{?_with_qt5:             %{expand: %%global with_qt5 1}}
%{?_with_svlc:            %{expand: %%global with_svlc 1}}

%{?_with_aa:              %{expand: %%global with_aa 1}}
%{?_with_sdl:             %{expand: %%global with_sdl 1}}
%{?_with_xvideo:          %{expand: %%global with_xvideo 1}}
%{?_with_twolame:         %{expand: %%global with_twolame 1}}
%{?_with_schroedinger:    %{expand: %%global with_schroedinger 1}}
%{?_with_fluidsynth:      %{expand: %%global with_fluidsynth 1}}
%{?_with_gme:             %{expand: %%global with_gme 1}}
%{?_with_lua:             %{expand: %%global with_lua 1}}
%{?_with_zvbi:            %{expand: %%global with_zvbi 1}}
%{?_with_kate:            %{expand: %%global with_kate 1}}

%{?_with_mad:             %{expand: %%global with_mad 1}}
%{?_with_ogg:             %{expand: %%global with_ogg 1}}
%{?_with_theora:          %{expand: %%global with_theora 1}}
%{?_with_speex:           %{expand: %%global with_speex 1}}
%{?_with_flac:            %{expand: %%global with_flac 1}}
%{?_with_mpeg2dec:        %{expand: %%global with_mpeg2dec 1}}
%{?_with_mpc:             %{expand: %%global with_mpc 1}}
%{?_with_sid:             %{expand: %%global with_sid 1}}
%{?_with_faad:            %{expand: %%global with_faad 1}}
%{?_with_faac:            %{expand: %%global with_faac 1}}
%{?_with_fdkaac:          %{expand: %%global with_fdkaac 1}}
%{?_with_x264:            %{expand: %%global with_x264 1}}
%{?_with_x265:            %{expand: %%global with_x265 1}}
%{?_with_lame:            %{expand: %%global with_lame 1}}
%{?_with_dts:             %{expand: %%global with_dts 1}}
%{?_with_live:            %{expand: %%global with_live 1}}
%{?_with_a52:             %{expand: %%global with_a52 1}}
%{?_with_dv:              %{expand: %%global with_dv 1}}
%{?_with_dvdnav:          %{expand: %%global with_dvdnav 1}}
%{?_with_dvb:             %{expand: %%global with_dvb 1}}
%{?_with_dvbpsi:          %{expand: %%global with_dvbpsi 1}}
%{?_with_libv4l:          %{expand: %%global with_libv4l 1}}
%{?_with_sysfs:           %{expand: %%global with_sysfs 1}}
%{?_with_cddb:            %{expand: %%global with_cddb 1}}
%{?_with_shout:           %{expand: %%global with_shout 1}}

%{?_with_pulse:           %{expand: %%global with_pulse 1}}
%{?_with_jack:            %{expand: %%global with_jack 1}}
%{?_with_alsa:            %{expand: %%global with_alsa 1}}

%{?_with_upnp:            %{expand: %%global with_upnp 1}}
%{?_with_tar:             %{expand: %%global with_tar 1}}
%{?_with_mod:             %{expand: %%global with_mod 1}}
%{?_with_gnutls:          %{expand: %%global with_gnutls 1}}
%{?_with_vnc:             %{expand: %%global with_vnc 1}}
%{?_with_vpx:             %{expand: %%global with_vpx 1}}
%{?_with_vpl:             %{expand: %%global with_vpl 1}}
%{?_with_srt:             %{expand: %%global with_srt 1}}
%{?_with_rdp:             %{expand: %%global with_rdp 1}}

%if "%{?distro_section}" == "tainted"
%define with_plf          1
%endif

%if %{with_plf}
%global with_faac         0
%global with_faad         1
%global with_fdkaac       1
%global with_dts          1
%global with_x264         1
%global with_x265         1
%endif

%define git_url           git://git.videolan.org/vlc.git

Summary:        MPEG, MPEG2, DVD and DivX player
Name:           vlc
Version:        3.0.21
Release:        %{release}
License:        LGPLv2+
Group:          Video/Players
URL:            https://www.videolan.org/
%if %{nightly}
Source0:        https://nightlies.videolan.org/build/source/%{fname}.tar.xz
%else
Source0:        https://download.videolan.org/pub/videolan/vlc/%{version}/vlc-%{version}.tar.xz
%endif
# See https://github.com/shlomif/vlc/tree/shlomif-testing-2
Patch3:         vlc--shlomif--fix-metakey--1.patch
Patch6:         vlc-qt-buttongroup.patch
Patch7:         vlc-3.0.6-fix-build-with-fdk_aac-v2.patch
# port from intel-mediasdk to oneVPL
Patch8:         oneVPL.patch

#
# git upstream (see branch 3.0.x at https://code.videolan.org/videolan/vlc)
Patch0100:	0001-contrib-sidplay-Do-not-overwrite-CXXFLAGS-in-configu.patch
Patch0101:	0002-d3d11_fmt-create-texture-for-decoders-or-not.patch
Patch0102:	0003-d3d11_fmt-remove-unused-variable.patch
Patch0103:	0004-d3d11_scaler-fix-AMD-super-scaler-if-the-source-has-.patch
Patch0104:	0005-d3d11_scaler-fix-missing-picture-sys-for-AMD-super-s.patch
Patch0105:	0006-freetype-win32-fix-bogus-string-cast.patch
Patch0106:	0007-freetype-win32-fix-string-constant-when-using-WCHAR-.patch
Patch0107:	0008-d3d11_scaler-always-read-the-staging-size-without-th.patch
Patch0108:	0009-d3d11_tonemap-log-when-the-TrueHDR-feature-is-not-av.patch
Patch0109:	0010-contrib-bluray-update-to-1.3.4.patch
Patch0110:	0011-demux-image-detect-ICC-profile-before-JFIF-data.patch
Patch0111:	0012-avoid-using-wcscat_s.patch
Patch0112:	0013-d3d11_quad-fix-bogus-pointer-type-on-reset.patch
Patch0113:	0014-demux-avi-do-not-set-up-invalid-bitsperpixel.patch
Patch0114:	0015-configure-only-use-static-libgcc-if-the-C-compiler-a.patch
Patch0115:	0016-configure-don-t-pass-gcodeview-to-the-linker.patch
Patch0116:	0017-contrib-matroska-update-to-1.7.0.patch
Patch0117:	0018-opus_header-fix-channel-mapping-family-1-parsing.patch
Patch0118:	0023-sftp-fix-seek-for-large-files-on-32-bit-OS.patch
Patch0119:	0024-qt-hardcode-the-name-of-the-shortcut-for-the-AMD-VQ-.patch
Patch0120:	0026-packetizer-h264-fix-reading-prediction-weight-tables.patch
Patch0121:	0032-magnify-check-the-image-conversion-worked.patch
Patch0122:	0033-opencv-check-the-image-conversion-worked.patch
Patch0123:	0078-lua-don-t-use-operator-on-VLC-errors.patch
Patch0124:	0085-archive-fix-the-type-used-for-libarchive_skip_cb.patch
Patch0125:	0086-stream_extractor-set-correct-offset-on-read-failure.patch
# for newer ffmpeg
Patch0126:	0183-avcodec-avoid-signedness-mismatch-warning.patch
Patch0127:	0184-avcodec-use-p_dec-fmt_out-instead-of-context-channel.patch
Patch0128:	0185-avcodec-audio-decoder-to-use-ch_layout.patch
Patch0129:	0186-avcodec-use-p_enc-audio-channels-instead-of-context-.patch
Patch0130:	0187-codec-avcodec-map-AYUV-as-RAWVIDEO-with-ffmpeg-6.0.patch
Patch0131:	0188-avcodec-encoder-fix-channel_layout-conditionals.patch
Patch0132:	0189-codec-avcodec-fix-audio-channel_layout-conditionals.patch
Patch0133:	0190-use-ch_layout-from-ffmpeg-5.1.patch
Patch0134:	0191-avcodec-add-handling-of-new-ch_layout-in-audio-encod.patch
Patch0135:	0192-avcodec-use-ch_layout-for-channel-layout-in-audio-en.patch
Patch0136:	0193-codec-avcodec-bypass-removed-define-for-Intel-workar.patch
Patch0137:	0194-fix-avio-callbacks-signature-with-ffmpeg-6.1.patch
# avcodec: vaapi: support VAAPI with latest FFmpeg
Patch0138:	https://code.videolan.org/videolan/vlc/-/merge_requests/6606.patch
#
# P138 and P139 not needed with x265 4.1
Source0138:	0206-codec-x265-handle-X265_MAX_FRAME_THREADS-on-newer-CP.patch
Source0139:	0207-codec-x265-handle-4.0-encoding-API-change.patch
Patch0140:	0211-fetcher-don-t-download-network-metadata-if-the-user-.patch

# git upstream (master branch) at https://code.videolan.org/videolan/vlc
# update to freerdp2 api
Patch0300:	0001-update-to-freerdp2-api.patch

# FC
# fix appstreamcli validate to show in Software (rhbz#2258611)
Patch1000:	appdata.patch
# port from libidn to libidn2
Patch1001:	libidn2.patch
# fix build with live555-2024.11.28
Patch1003:	live555.patch

# Arch
#
# Omv
Patch1200:	vlc-3.0.9.2-compile.patch
Patch1201:	vlc-2.0.1-automake-1.12.patch
Patch1202:	vlc-2.1.2-fix-default-font.patch
Patch1203:	vlc-3.0.0-libarchive-tar.patch
# Gentoo
Patch1300:	vlc-2.1.0-fix-libtremor-libs.patch
Patch1302:	vlc-3.0.18-drop-minizip-dep.patch
# Debian
Patch1400:	0002-Do-not-generate-cache-during-build.patch
# Opensuse
Patch1500:	vlc-allow-deprecated-fribidi.patch
Patch1501:	vlc-taglib-2.0.patch

# might be useful too:
Recommends:     vlc-plugin-theora = %{version}-%{release}
# today's graphic drivers provides vdpau, without this plugin it is useless:
Recommends:     vlc-plugin-vdpau = %{version}-%{release}
%if %{with_pulse}
# needed when using pulseaudio
Recommends:     vlc-plugin-pulse = %{version}-%{release}
%endif
# browser plugin for npapi/mozilla-based browsers
Recommends:     npapi-vlc
# required to playback youtube videos
Recommends:     vlc-plugin-lua
# required for basic video playing (mga#27377)
Recommends:     vlc-plugin-opengl
Requires:       fonts-ttf-vera
Requires:       %{name}-plugin-common
# both explicit required to ensure lib is always the same version
Requires:       libvlc = %{version}-%{release}
Requires:       libvlccore = %{version}-%{release}

Provides:       vlc-plugin-dvb vlc-plugin-mad vlc-plugin-alsa
Obsoletes:      vlc-plugin-dvb <= 3.0.7
Obsoletes:      vlc-plugin-mad <= 3.0.7
Obsoletes:      vvlc-plugin-alsa <= 3.0.7

BuildRequires:  git
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(libidn2)
BuildRequires:  pkgconfig(libmatroska)
%if %{with_sysfs}
BuildRequires:  libsysfs-devel
%endif
%if %{with_tar}
BuildRequires:  libtar-devel
%endif
%if %{with_mod}
BuildRequires:  pkgconfig(libmodplug) >= 0.8.9.0
%endif
%if %{with_gnutls}
BuildRequires:  pkgconfig(gnutls) >= 1.0.17
BuildRequires:  libgcrypt-devel
%endif
BuildRequires:  pkgconfig(freetype2)
%if %{with_fribidi}
BuildRequires:  pkgconfig(fribidi)
%endif
%if %{with_libv4l}
BuildRequires:  v4l-utils-devel
%endif
%if %{with_udev}
BuildRequires:  pkgconfig(udev) >= 142
%endif
Provides:       gvlc
Obsoletes:      gvlc <= 3.0.7
Provides:       gnome-vlc
Obsoletes:      gnome-vlc <= 3.0.7
Provides:       kvlc
Obsoletes:      kvlc <= 3.0.7
%if %{with_qt5}
BuildRequires:  pkgconfig(Qt5Core) >= 5.1.0
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5X11Extras)
%endif
BuildRequires:  pkgconfig(glu)
%if %{with_taglib}
BuildRequires:  pkgconfig(taglib) > 1.5
%endif
%if %{with_mtp}
BuildRequires:  pkgconfig(libmtp) >= 1.0.0
%endif
%if %{with_mad}
BuildRequires:  pkgconfig(id3tag)
BuildRequires:  pkgconfig(mad)
%endif
%if %{with_ogg}
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(ogg)
Provides:       vlc-plugin-ogg
Obsoletes:      vlc-plugin-ogg <= 3.0.7
%endif
BuildRequires:  pkgconfig(xpm)
BuildRequires:  crystalhd-devel
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xcb-keysyms)
%if %{with_xcb_randr}
BuildRequires:  pkgconfig(xcb) > 1.2
%endif
BuildRequires:  pkgconfig(libproxy-1.0)
%if %{with_speex}
BuildRequires:  pkgconfig(speex) >= 1.1.6
BuildRequires:  pkgconfig(speexdsp)
%endif
%if %{with_flac}
BuildRequires:  pkgconfig(flac)
%endif
%if %{with_dvdnav}
BuildRequires:  pkgconfig(dvdnav) > 4.9.0
Provides:       vlc-plugin-dvdnav
Obsoletes:      vlc-plugin-dvdnav <= 3.0.7
%endif
%if %{with_a52}
BuildRequires:  a52dec-devel
Provides:       vlc-plugin-a52
Obsoletes:      vlc-plugin-a52 <= 3.0.7
%endif
BuildRequires:  pkgconfig(libcdio) >= 0.72
%if %{with_cddb}
BuildRequires:  pkgconfig(libcddb) >= 0.9.5
%else
BuildConflicts: libcddb-devel
%endif
%if %{with_smb}
BuildRequires:  pkgconfig(smbclient) >= 0.2.3
%endif
BuildRequires:  ffmpeg-devel >= 3.2.2
%if %{with_lame}
BuildRequires:  lame-devel
%endif

%if %{with_mpeg2dec}
BuildRequires:  libmpeg2dec-devel >= 0.4.0
%endif
%if %{with_mpc}
BuildRequires:  musepack-devel
%endif
%if %{with_faad}
BuildRequires:  pkgconfig(faad2) >= 2.0
Provides:       vlc-plugin-faad
Obsoletes:      vlc-plugin-faad
%endif
%if %{with_faac}
BuildRequires:  libfaac-devel
%endif
%if %{with_fdkaac}
BuildRequires:  pkgconfig(fdk-aac)
%endif
%if %{with_alsa}
BuildRequires:  pkgconfig(alsa)
%endif
%if %{with_pulse}
BuildRequires:  pkgconfig(libpulse) >= 0.9.10
%endif
%if %{with_jack}
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(samplerate)
%endif
Provides:       vlc-plugin-slp
Obsoletes:      vlc-plugin-slp <= 3.0.7

%if %{with_dvbpsi}
BuildRequires:  pkgconfig(libdvbpsi)
%endif
BuildRequires:  autoconf
BuildRequires:  gettext-devel
BuildRequires:  automake >= 1.10
BuildRequires:  libtool
%if %{with_dts}
BuildRequires:  libdca-devel
%endif
%if %{with_x264}
BuildRequires:  pkgconfig(x264)
%endif
%if %{with_x265}
BuildRequires:  pkgconfig(x265)
%endif
%if %{with_xml}
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6
%endif
%if %{with_live}
BuildRequires:  pkgconfig(live555) >= 2019.03.06
%endif
%if %{with_xvideo}
BuildRequires:  pkgconfig(xv)
%endif
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(dirac)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(caca)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libbluray) >= 0.2.1
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(libssh2)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libchromaprint)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(microdns)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(protobuf-lite)
BuildRequires:  pkgconfig(vdpau)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols)
%if %{with_sid}
BuildRequires:  pkgconfig(libsidplay2)
%endif
%if %{with_vnc}
BuildRequires:  pkgconfig(libvncclient)
%endif
%if %{with_vpx}
BuildRequires:  pkgconfig(vpx)
%endif
%if %{with_vpl}
BuildRequires:  pkgconfig(vpl)
%endif
BuildRequires:  desktop-file-utils
Provides:       wxvlc
Obsoletes:      wxvlc <= 3.0.7
BuildRequires:  pkgconfig(dvdread)
%if %{with_opencv}
BuildRequires:  pkgconfig(opencv)
%endif
BuildRequires:  pkgconfig(soxr)
BuildRequires:  pkgconfig(libnfs) >= 1.10
BuildRequires:  pkgconfig(aom)
BuildRequires:  pkgconfig(dav1d)
BuildRequires:  pkgconfig(aribb25)
BuildRequires:  pkgconfig(sndio)
%if %{with_srt}
BuildRequires:  pkgconfig(srt)
%endif
%if %{with_rdp}
BuildRequires:  pkgconfig(freerdp2)
%endif
BuildRequires:  bison
BuildRequires:  flex
# (sander85) avoid dependency loop during build
BuildConflicts: phonon-vlc

# Not yet in Mageia
#BuildRequires:  pkgconfig(libdsm)
#BuildRequires:  pkgconfig(libvsxu)
#BuildRequires:  pkgconfig(shine)
#BuildRequires:  pkgconfig(spatialaudio)

%if %{with_plf}
Requires: %mklibname dvdcss 2
%endif

%description
VideoLAN is an OpenSource streaming solution for every OS developed by
students from the Ecole Centrale Paris and developers from all over the
World.
VLC (VideoLAN Client) is a media player that can play MPEG1, MPEG2 and
MPEG4 (aka DivX) files, DVDs, VCDs, SVCDs, from a satellite card, from
a stream sent by VLS (VideoLAN Server), from another VLC, or from a Web
server.
This package contains no CSS unscrambling functionality for DVDs ;
you need the libdvdcss library available from
https://www.videolan.org/libdvdcss/

%if %{with_plf}
This package is in the 'tainted' section as it is violating software patents.
%endif

#
### general packages
%package -n     %{libname}
Summary:        Shared code for the VLC media player
Group:          System/Libraries
Provides:       libvlc = %{version}-%{release}

%description -n %{libname}
Shared code for the VLC media player
This package contains code that is shared by different modules of the
VLC media player.

%package -n     %{libnamecore}
Summary:        Shared core code for the VLC media player
Group:          System/Libraries
#gw needed by the python bindings:
Provides:       libvlccore = %{version}-%{release}

%description -n %{libnamecore}
Shared core code for the VLC media player
This package contains code that is shared by different modules of the
VLC media player.

%package -n     %{develname}
Summary:        Development files for the VLC media player
Group:          Development/C
Requires:       %{libname} = %{version}
Requires:       %{libnamecore} = %{version}
#Requires:      %%{name}-plugin-vdpau = %%{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
%define olddevellib %mklibname -d %{name} 0
Obsoletes:      %{olddevellib} <= 3.0.7

%description -n %{develname}
Development files for the VLC media player
This package contains headers and a static library required to build plugins
for the VLC media player, or standalone applications using features from VLC.

%package        plugin-common
Summary:        Common plugins for vlc
Group:          Video/Players
Requires:       %{name} = %{version}
Obsoletes:      vlc-plugin-ggi < 1.1.12-4
Obsoletes:      vlc-plugin-svgalib < 1.1.12-4
%if %{with_smb}
Recommends:     vlc-plugin-samba
%endif

%description    plugin-common
This package contains all common plugins needed by vlc to work.

%if %{with_plf}
This 'tainted' build has additional support for encoding,
which is covered by software patents.
%endif

%if %{with_zvbi}
%package        plugin-zvbi
Summary:        Add Teletext and Closed Caption support to VLC
Group:          Video/Players
Requires:       %{name} = %{version}
BuildRequires:  pkgconfig(zvbi-0.2)

%description    plugin-zvbi
This package adds support for Raw VBI, Teletext and Closed Caption based on
the ZVBI library to VLC.
%endif

%if %{with_kate}
%package        plugin-kate
Summary:        Add subtitle and Karaoke text support to VLC
Group:          Video/Players
Requires:       %{name} = %{version}
BuildRequires:  pkgconfig(tiger)

%description    plugin-kate
This package adds support for subtitles and Karaoke text display based on
the libkate library to VLC.
%endif

%if %{with_ass}
%package        plugin-libass
Summary:        Add subtitle support to VLC using libass
Group:          Video/Players
Requires:       %{name} = %{version}
BuildRequires:  pkgconfig(libass)

%description    plugin-libass
This package adds support for subtitles based on the libass library to VLC.
%endif

%if %{with_lua}
%package        plugin-lua
Summary:        Add Lua scripting to vlc
Group:          Video/Players
Requires:       %{name} = %{version}
BuildRequires:  pkgconfig(lua)

%description    plugin-lua
This plugin adds lua scripting and provides a few example scripts as well.
%endif

%if %{with_ncurses}
%package        plugin-ncurses
Summary:        Ncurses console-based plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}
BuildRequires:  pkgconfig(ncurses)

%description    plugin-ncurses
This plugin adds a ncurses interface to the VLC media player. To
activate it, use the `--intf ncurses' flag.
%endif

%if %{with_lirc}
%package        plugin-lirc
Summary:        Lirc plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}
Obsoletes:      vlc-lirc <= 3.0.7
Provides:       vlc-lirc
BuildRequires:  pkgconfig(liblircclient0)

%description    plugin-lirc
This plugin is an infrared lirc interface for the VLC media player. To
activate it, use the `--extraintf lirc' flag.
%endif

%package -n     svlc
Summary:        Skinned GUI plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}
Provides:       vlc-gui

%description -n svlc
This plugin adds a skinned GUI interface to the VLC media player. To
activate it, run the `svlc' program.

#
### video plugins
%if %{with_aa}
%package        plugin-aa
Summary:        ASCII art video plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}
Obsoletes:      vlc-aa <= 3.0.7
Provides:       vlc-aa
BuildRequires:  aalib-devel

%description    plugin-aa
This is an ASCII art video output plugin for the VLC media player. To
activate it, use the `--vout aa' flag or select the `aa' video output
plugin from the preferences menu.
%endif

%if %{with_sdl}
%package        plugin-sdl
Summary:        Simple DirectMedia Layer video plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}
Obsoletes:      vlc-sdl <= 3.0.7
Provides:       vlc-sdl
%if %{with_sdl_image}
BuildRequires:  pkgconfig(SDL_image) >= 1.2.10
%endif
BuildRequires:  pkgconfig(sdl) >= 1.2.10
BuildRequires:  nas-devel

%description    plugin-sdl
This plugin adds support for the Simple DirectMedia Layer library to
the VLC media player. To activate it, use the `--vout sdl' or
`--aout sdl' flags or select the `sdl' video or audio output plugin
from the preferences menu.
%endif

%if %{with_shout}
%package        plugin-shout
Summary:        Shoutcast and Icecast connector
Group:          Sound/Players
Requires:       %{name} = %{version}
BuildRequires:  pkgconfig(shout) >= 2.1

%description    plugin-shout
This plugin adds support for Icecast and Shoutcast servers.
%endif

%package        plugin-opengl
Summary:        OpenGL video output plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}

%description    plugin-opengl
This plugin adds support for OpenGL video output to
the VLC media player.

%package        plugin-vdpau
Summary:        VDPAU video plugins for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}
Conflicts:      vlc-plugin-common < 3.0.18-4

%description    plugin-vdpau
This plugin adds support for several video operations
using VDPAU to the VLC media player.

#
### visualization plugins
%if %{with_goom}
%package        plugin-goom
Summary:        Visualization plugin for the VLC media player
Group:          Video/Players
BuildRequires:  libgoom2-devel
Requires:       %{name} = %{version}

%description    plugin-goom
This is a visualization plugin for VLC media player based on the Goom library.
%endif

%if %{with_projectm}
%package        plugin-projectm
Summary:        Visualization plugin for the VLC media player
Group:          Video/Players
BuildRequires:  pkgconfig(libprojectM)
Requires:       %{name} = %{version}

%description    plugin-projectm
This is a visualization plugin for VLC media player based on projectm.
%endif

%if %{with_theora}
%package        plugin-theora
Summary:        Theora video codec for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}
BuildRequires:  pkgconfig(theora)

%description    plugin-theora
These plugin adds support for the Ogg Theora video format to the VLC
media player. They are autodetected.
%endif

%if %{with_twolame}
%package        plugin-twolame
Summary:        MP2 encoder plugin for VLC
Group:          Sound/Players
Requires:       %{name} = %{version}
BuildRequires:  pkgconfig(twolame)

%description    plugin-twolame
These plugins add support for the Twolame MPEG Audio Layer 2 encoder
to the VLC media player. They are autodetected.
%endif

%if %{with_fluidsynth}
%package        plugin-fluidsynth
Summary:        Add MIDI playback support to VLC based on Fluidsynth
Group:          Sound/Players
Requires:       %{name} = %{version}
BuildRequires:  pkgconfig(fluidsynth)

%description    plugin-fluidsynth
This plugin adds support for MIDI playback to VLC based on the Fluidsynth
library.
%endif

%if %{with_gme}
%package        plugin-gme
Summary:        Add game music playback support to VLC based on libgme
Group:          Sound/Players
Requires:       %{name} = %{version}
BuildRequires:  pkgconfig(libgme)

%description    plugin-gme
This plugin adds support for video game music playback to VLC based on the
GME library.
%endif

%if %{with_schroedinger}
%package        plugin-schroedinger
Summary:        Dirac plugin for VLC based on Schroedinger
Group:          Video/Players
Requires:       %{name} = %{version}
BuildRequires:  pkgconfig(schroedinger-1.0) >= 1.0.6

%description    plugin-schroedinger
These plugins add support for the Dirac video format based on Schroedinger.
to the VLC media player.
%endif

%package        plugin-speex
Summary:        Ogg Speex codec plugin for the VLC media player
Group:          Sound/Players
Requires:       %{name} = %{version}

%description    plugin-speex
These plugins add support for the Ogg Speex codec to the VLC media
player. They are autodetected.

%if %{with_fdkaac}
%package        plugin-fdkaac
Summary:        Fdk-aac codec plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}

%description    plugin-fdkaac
These plugins add support for the FDK-AAC codec to the
VLC media player.
%endif

%package        plugin-flac
Summary:        Flac codec plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}

%description    plugin-flac
These plugins add support for the FLAC compressed audio format to the
VLC media player.

%if %{with_dv}
%package        plugin-dv
Summary:        DV codec plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}
BuildRequires:  pkgconfig(libdv)
BuildRequires:  pkgconfig(libraw1394) >= 2.0.1
BuildRequires:  pkgconfig(libdc1394-2) >= 2.1.0
BuildRequires:  pkgconfig(libavc1394) >= 0.5.3

%description    plugin-dv
This plugin adds support for the DV video format to the VLC media player.
The plugin is autodetected.
%endif

%package        plugin-mod
Summary:        MOD audio decoder plugin for the VLC media player
Group:          Sound/Players
Requires:       %{name} = %{version}

%description    plugin-mod
This plugin adds support for music module playback based on libmodplug
to the VLC media player.

%package        plugin-mpc
Summary:        MPC audio decoder plugin for the VLC media player
Group:          Sound/Players
Requires:       %{name} = %{version}

%description    plugin-mpc
This plugin adds support for Musepack audio playback based on libmpcdec
to the VLC media player.

%if %{with_sid}
%package        plugin-sid
Summary:        SID audio decoder plugin for the VLC media player
Group:          Sound/Players
Requires:       %{name} = %{version}

%description    plugin-sid
This plugin adds support for Commodore 64 audio playback based on sidplay2
to the VLC media player.
%endif

#
### audio plugins
%package        plugin-sndio
Summary:        Sndio plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}

%description    plugin-sndio
This plugin adds support for the Sndio Sound to the VLC
media player. To activate it, use the `--aout sndio' flag or select the
`sndio' audio output plugin from the preferences menu.

%if %{with_pulse}
%package        plugin-pulse
Summary:        PulseAudio plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}
Obsoletes:      vlc-pulse <= 3.0.7
Provides:       vlc-pulse

%description    plugin-pulse
This plugin adds support for the PulseAudio Sound Daemon to the VLC
media player. To activate it, use the `--aout pulse' flag or select the
`pulse' audio output plugin from the preferences menu.
%endif

%package        plugin-jack
Summary:        Jack audio plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}
Obsoletes:      vlc-jack <= 3.0.7
Provides:       vlc-jack

%description    plugin-jack
This plugin adds support for the Jack Audio Connection Kit to the VLC
media player. To activate it, use the `--aout jack' flag or select the
`jack' audio output plugin from the preferences menu.

%package        plugin-rist
Summary:        Rist plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}

%description    plugin-rist
This plugin adds support for the RIST (Reliable Internet Stream Transport) 
input module to the VLC media player.

%if %{with_upnp}
%package        plugin-upnp
Summary:        UPNP service discovery plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}
BuildRequires:  pkgconfig(libupnp)

%description    plugin-upnp
This plugin adds support for UPNP service discovery to
the VLC media player.
%endif

%package        plugin-gnutls
Summary:        Secure Socket Layer plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}

%description    plugin-gnutls
This plugin adds support for SSL/TLS to the VLC media player.

%package        plugin-vnc
Summary:        VNC plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}

%description    plugin-vnc
This plugin adds support for VNC/RFB to the VLC media player.

%package        plugin-libnotify
Summary:        Notification pop-up plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}

%description    plugin-libnotify
This plugin adds support for notification pop-up messages to
the VLC media player.

%package        plugin-chromaprint
Summary:        Fingerprinting plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}

%description    plugin-chromaprint
This plugins adds fingerprinting support to the VLC media
player using the chromaprint library.

%package        plugin-samba
Summary:        Samba shares plugin for the VLC media player
Group:          Video/Players
Requires:       %{name} = %{version}
Conflicts:      vlc-plugin-common < 3.0.6-3

%description    plugin-samba
This plugin adds support to access Samba shares from the VLC
media player.

%prep
%if %{snapshot}
%setup -q -n %{name}
%else
%setup -q -n %{sourcedirname}
%endif
%autopatch -p1

#gw if we want to regenerate libtool, we must remove the local versions of
# the libtool m4 files, aclocal will replace them
cd m4
rm -fv argz.m4 libtool.m4 ltdl.m4 ltoptions.m4 ltsugar.m4 ltversion.m4 lt~obsolete.m4
cd ..
# perl -pi -e "s^/usr/share/fonts/truetype/freefont/FreeSerifBold.ttf^/usr/share/fonts/TTF/VeraBd.ttf^" modules/misc/freetype.c

# find our lua
sed -i -e '/PKG_CHECK_MODULES/s/lua5\.[2,3]/lua/' configure.ac

# fix build with lua >= 5.3
sed -i 's/luaL_checkint(/(int)luaL_checkinteger(/' \
 $(grep -rl luaL_checkint)
sed -i 's/luaL_optlong(/(long)luaL_optinteger(/' \
 $(grep -rl luaL_optlong)

%build
%if %{snapshot}
./bootstrap
%endif
#gw we always need to call libtoolize to replace Debian's libtool
#we get this error on 2011.0 and 2010.0, but not on 2010.1
##libtool: Version mismatch error.  This is libtool 2.2.6b Debian-2.2.6b-2, but the
##libtool: definition of this LT_INIT comes from libtool 2.2.10.
##libtool: You should recreate aclocal.m4 with macros from libtool 2.2.6b Debian-2.2.6b-2
##libtool: and run autoconf again.
libtoolize --install --force --copy
aclocal -I m4
autoheader
autoconf
automake -acf

# gw flags for the mozilla build
export CPPFLAGS="$CPPFLAGS -DOJI -DMOZ_X11"
# add missing ebml include dir
export CPPFLAGS="$CPPFLAGS -I/usr/include/ebml"
#gw the speex headers have moved
export CPPFLAGS="$CPPFLAGS -I%{_includedir}/speex"
%if %{mgaversion} < 10
export CXXFLAGS="$CXXFLAGS -std=c++17"
%endif

%configure \
    --disable-dependency-tracking \
%if %{with_smb}
    --enable-smbclient \
%else
    --disable-smbclient \
%endif
%if %{with_ncurses}
    --enable-ncurses \
%endif
%if %{with_lirc}
    --enable-lirc \
%endif
    --enable-xvideo \
%if %{with_aa}
    --enable-aa \
%endif
%if %{with_sdl}
    --enable-sdl-image \
%endif
%if %{with_mad}
    --enable-mad \
%endif
%if %{with_ogg}
    --enable-vorbis \
    --enable-ogg \
%else
    --disable-vorbis \
    --disable-ogg \
%endif
%if %{with_opencv}
    --enable-opencv \
%else
    --disable-opencv \
%endif
%if %{with_theora}
    --enable-theora \
%endif
%if %{with_speex}
    --enable-speex \
%else
    --disable-speex \
%endif
%if %{with_flac}
    --enable-flac \
%else
    --disable-flac \
%endif
%if %{with_dv}
    --enable-dv1394 \
%else
    --disable-dv1394 \
%endif
%if %{with_dvbpsi}
    --enable-dvbpsi \
%else
    --disable-dvbpsi \
%endif
%if %{with_shout}
    --enable-shout \
%endif
%if %{with_pulse}
    --enable-pulse \
%endif
%if %{with_jack}
    --enable-jack \
%endif
%if %{with_alsa}
    --enable-alsa \
%endif
%if %{with_mpeg2dec}
    --enable-libmpeg2 \
%else
    --disable-libmpeg2 \
%endif
%if %{with_faad}
    --enable-faad \
%else
    --disable-faad \
%endif
%if %{with_fdkaac}
    --enable-fdkaac \
%else
    --disable-fdkaac \
%endif
%if %{with_dts}
    --enable-dca \
%else
    --disable-dca \
%endif
%if ! %{with_svlc}
    --disable-skins2 \
%endif
%if ! %{with_dvdnav}
    --disable-dvdnav \
%endif
%if %{with_live}
    --enable-live555 \
%endif
    --enable-v4l2 \
%if %{with_gnutls}
    --enable-gnutls \
%endif
    --disable-rpath \
%if %{with_cddb}
    --enable-libcddb \
%else
    --disable-libcddb \
%endif
%if %{with_x264}
    --enable-x264 \
%else
    --disable-x264 \
    --disable-x26410b \
%endif
%if %{with_x265}
    --enable-x265 \
%else
    --disable-x265 \
%endif
%if %{with_twolame}
    --enable-twolame \
%endif
%if %{with_vnc}
    --enable-vnc \
%else
    --disable-vnc \
%endif
%if %{with_srt}
    --enable-srt \
%else
    --disable-srt \
%endif
%ifarch x86_64
    --with-pic \
%endif
%if %{with_vpl}
    --enable-vpl \
%endif
%if ! %{with_vpx}
    --disable-vpx \
%endif
%if %{with_rdp}
    --enable-freerdp \
%endif
    --enable-dav1d \
    --with-kde-solid=%{_datadir}/solid/actions/ \
    --enable-aom \
    --enable-sndio \
    --enable-sout \
    --disable-bpg \
    --disable-mmal

# avoid redefinition warnings
sed -i -e '/^#define _FORTIFY_SOURCE/d' config.h

%make_build

%install
mkdir -p %{buildroot}%{_libdir}
%make_install transform=""

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

install -d %{buildroot}/%{_mandir}/man1
install doc/vlc.1 %{buildroot}/%{_mandir}/man1

# install doc/vlc-config.1 %%{buildroot}/%%{_mandir}/man1
rm -rf installed-docs
mv %{buildroot}%{_datadir}/doc/vlc installed-docs

%if ! %{with_svlc}
rm -rf %{buildroot}%{_datadir}/vlc/skin*
%endif

# this development symlink causes us headaches, so remove it
rm -f %{buildroot}%{_libdir}/vlc/libvlc_vdpau.so

# menu
desktop-file-install --vendor="" \
  --add-mime-type="x-content/video-dvd" \
  --add-mime-type="x-content/video-vcd" \
  --add-mime-type="x-content/video-svcd" \
  --add-mime-type="x-content/audio-cdda" \
  --add-category="Qt" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%if %{with_svlc}
cat > %{buildroot}%{_datadir}/applications/svlc.desktop << EOF
[Desktop Entry]
Name=VLC skinned GUI media player
Comment=VLC is a free MPEG, MPEG2, DVD and DivX player
Exec=%{_bindir}/svlc %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Audio;Video;Player;
EOF
grep -F MimeType= %{buildroot}%{_datadir}/applications/vlc.desktop >> %{buildroot}%{_datadir}/applications/svlc.desktop
%endif

# icons
%define pngdir share/icons
mkdir -p %{buildroot}/{%{_miconsdir},%{_liconsdir}}
install -m 644 %{pngdir}/16x16/vlc.png %{buildroot}/%{_miconsdir}/vlc.png
install -m 644 %{pngdir}/32x32/vlc.png %{buildroot}/%{_iconsdir}/vlc.png
install -m 644 %{pngdir}/48x48/vlc.png %{buildroot}/%{_liconsdir}/vlc.png

# do not install plugins cache generated at build time
rm -f %{buildroot}%{_libdir}/vlc/plugins/plugins.dat

# (doktor5000) transaction-based trigger to refresh plugin cache after plugin package installation
%transfiletriggerin -- %{_libdir}/vlc/plugins/
if [ -x %{_libdir}/vlc/vlc-cache-gen ]; then
  %{_libdir}/vlc/vlc-cache-gen %{_libdir}/vlc/plugins
fi

%files -f %{name}.lang
%doc NEWS README COPYING AUTHORS THANKS
%doc installed-docs/* doc/lirc/
%{_bindir}/cvlc
%{_bindir}/qvlc
%{_bindir}/vlc
%{_bindir}/vlc-wrapper
%dir %{_datadir}/vlc/
%{_datadir}/vlc/*.*
%{_datadir}/vlc/utils
%dir %{_libdir}/vlc

%{_mandir}/man1/vlc.*
%{_mandir}/man1/vlc-wrapper.1*
%{_datadir}/applications/vlc.desktop
%{_datadir}/metainfo/vlc.appdata.xml
%{_miconsdir}/vlc.png
%{_iconsdir}/vlc.png
%{_liconsdir}/vlc.png
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/solid/actions/*.desktop

%files plugin-common
%{_libdir}/vlc/vlc-cache-gen
%ghost %{_libdir}/vlc/plugins/plugins.dat

%dir %{_libdir}/vlc/plugins/access
%if %{with_live}
%{_libdir}/vlc/plugins/access/liblive555_plugin.so
%endif
%{_libdir}/vlc/plugins/access/libaccess_alsa_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_concat_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_imem_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_mms_plugin.so*
%if %{with_srt}
%{_libdir}/vlc/plugins/access/libaccess_srt_plugin.so
%endif
%{_libdir}/vlc/plugins/access/libattachment_plugin.so
%{_libdir}/vlc/plugins/access/libavio_plugin.so
%if %{with_dvdnav}
%{_libdir}/vlc/plugins/access/libdvdnav_plugin.so*
%endif
%if %{with_mtp}
%{_libdir}/vlc/plugins/access/libaccess_mtp_plugin.so
%{_libdir}/vlc/plugins/access/libimem_plugin.so
%{_libdir}/vlc/plugins/access/liblibbluray_plugin.so
%{_libdir}/vlc/plugins/access/libsftp_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libmtp_plugin.so
%endif
%{_libdir}/vlc/plugins/access/libcdda_plugin.so*
%{_libdir}/vlc/plugins/access/libftp_plugin.so*
%{_libdir}/vlc/plugins/access/libhttp_plugin.so*
%{_libdir}/vlc/plugins/access/libhttps_plugin.so
%{_libdir}/vlc/plugins/access/libnfs_plugin.so
%{_libdir}/vlc/plugins/access/libsatip_plugin.so
%{_libdir}/vlc/plugins/access/libtcp_plugin.so*
%{_libdir}/vlc/plugins/access/libudp_plugin.so*
%{_libdir}/vlc/plugins/access/libvdr_plugin.so

%if %{with_dv}
%{_libdir}/vlc/plugins/access/libdv1394_plugin.so*
%endif
%if %{with_dvb}
%{_libdir}/vlc/plugins/access/libdvb_plugin.so*
%endif
%{_libdir}/vlc/plugins/access/libdtv_plugin.so
%{_libdir}/vlc/plugins/access/libfilesystem_plugin.so
%{_libdir}/vlc/plugins/access/libidummy_plugin.so
%{_libdir}/vlc/plugins/access/liblinsys_hdsdi_plugin.so
%{_libdir}/vlc/plugins/access/liblinsys_sdi_plugin.so
%{_libdir}/vlc/plugins/access/libpulsesrc_plugin.so
%{_libdir}/vlc/plugins/access/librtp_plugin.so
%{_libdir}/vlc/plugins/access/libsdp_plugin.so
%{_libdir}/vlc/plugins/access/libshm_plugin.so
%{_libdir}/vlc/plugins/access/libv4l2_plugin.so*
%{_libdir}/vlc/plugins/access/libdvdread_plugin.so*
%{_libdir}/vlc/plugins/access/libvcd_plugin.so*
%{_libdir}/vlc/plugins/access/libtimecode_plugin.so
%{_libdir}/vlc/plugins/access/libxcb_screen_plugin.so

%dir %{_libdir}/vlc/plugins/access_output/
%{_libdir}/vlc/plugins/access_output/libaccess_output_dummy_plugin.so*
%{_libdir}/vlc/plugins/access_output/libaccess_output_file_plugin.so*
%{_libdir}/vlc/plugins/access_output/libaccess_output_http_plugin.so*
%{_libdir}/vlc/plugins/access_output/libaccess_output_livehttp_plugin.so
%if %{with_srt}
%{_libdir}/vlc/plugins/access_output/libaccess_output_srt_plugin.so
%endif
%{_libdir}/vlc/plugins/access_output/libaccess_output_udp_plugin.so*
%if %{with_rdp}
%{_libdir}/vlc/plugins/access/librdp_plugin.so
%endif

%dir %{_libdir}/vlc/plugins/audio_filter
%{_libdir}/vlc/plugins/audio_filter/libaudiobargraph_a_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libaudio_format_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libchorus_flanger_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libdolby_surround_decoder_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libequalizer_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libgain_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libheadphone_channel_mixer_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libmono_plugin.so
%if %{with_mad}
%{_libdir}/vlc/plugins/audio_filter/libmad_plugin.so*
%endif
%{_libdir}/vlc/plugins/audio_filter/libnormvol_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libparam_eq_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libremap_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libscaletempo_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libscaletempo_pitch_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libsimple_channel_mixer_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libsoxr_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libspatializer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libstereo_widen_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libtospdif_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libtrivial_channel_mixer_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libugly_resampler_plugin.so*

%dir %{_libdir}/vlc/plugins/audio_mixer
%{_libdir}/vlc/plugins/audio_mixer/libfloat_mixer_plugin.so*
%{_libdir}/vlc/plugins/audio_mixer/libinteger_mixer_plugin.so*

%dir %{_libdir}/vlc/plugins/audio_output
%{_libdir}/vlc/plugins/audio_output/libafile_plugin.so*

%dir %{_libdir}/vlc/plugins/codec
%if %{with_a52}
%{_libdir}/vlc/plugins/codec/liba52_plugin.so*
%endif
%{_libdir}/vlc/plugins/codec/libadpcm_plugin.so*
%{_libdir}/vlc/plugins/codec/libaes3_plugin.so
%{_libdir}/vlc/plugins/codec/libaom_plugin.so
%{_libdir}/vlc/plugins/codec/libaraw_plugin.so*
%{_libdir}/vlc/plugins/codec/libavcodec_plugin.so
%{_libdir}/vlc/plugins/codec/libvaapi_drm_plugin.so
%{_libdir}/vlc/plugins/codec/libvaapi_plugin.so 
%{_libdir}/vlc/plugins/codec/libcc_plugin.so
%{_libdir}/vlc/plugins/codec/libcdg_plugin.so
%{_libdir}/vlc/plugins/codec/libcvdsub_plugin.so*
%{_libdir}/vlc/plugins/codec/libdav1d_plugin.so
%{_libdir}/vlc/plugins/codec/libg711_plugin.so
%{_libdir}/vlc/plugins/codec/libgstdecode_plugin.so
%{_libdir}/vlc/plugins/codec/libjpeg_plugin.so
%{_libdir}/vlc/plugins/codec/libmpg123_plugin.so
%{_libdir}/vlc/plugins/codec/liboggspots_plugin.so
%{_libdir}/vlc/plugins/codec/librawvideo_plugin.so
%{_libdir}/vlc/plugins/codec/librtpvideo_plugin.so*
%ifarch x86_64 aarch64
%{_libdir}/vlc/plugins/codec/libqsv_plugin.so*
%endif
%{_libdir}/vlc/plugins/codec/libscte18_plugin.so
%{_libdir}/vlc/plugins/codec/libscte27_plugin.so
%{_libdir}/vlc/plugins/codec/libspdif_plugin.so
%{_libdir}/vlc/plugins/codec/libsubstx3g_plugin.so
%{_libdir}/vlc/plugins/codec/libsubsusf_plugin.so
%{_libdir}/vlc/plugins/codec/libsvcdsub_plugin.so*
%{_libdir}/vlc/plugins/codec/libsvgdec_plugin.so*
%{_libdir}/vlc/plugins/codec/libttml_plugin.so
%{_libdir}/vlc/plugins/codec/libuleaddvaudio_plugin.so*
%if %{with_vpx}
%{_libdir}/vlc/plugins/codec/libvpx_plugin.so
%endif
%{_libdir}/vlc/plugins/codec/libxwd_plugin.so*
%{_libdir}/vlc/plugins/codec/libt140_plugin.so
%{_libdir}/vlc/plugins/codec/liblpcm_plugin.so*
%{_libdir}/vlc/plugins/codec/liblibmpeg2_plugin.so*
%{_libdir}/vlc/plugins/codec/libpng_plugin.so*
%{_libdir}/vlc/plugins/codec/libsubsdec_plugin.so*
%{_libdir}/vlc/plugins/codec/libopus_plugin.so*
%{_libdir}/vlc/plugins/codec/libtelx_plugin.so
%{_libdir}/vlc/plugins/codec/libtextst_plugin.so
%{_libdir}/vlc/plugins/stream_extractor/libarchive_plugin.so
%{_libdir}/vlc/plugins/codec/libwebvtt_plugin.so
 
%if %{with_x264}
%{_libdir}/vlc/plugins/codec/libx264_plugin.so*
%{_libdir}/vlc/plugins/codec/libx26410b_plugin.so*
%endif
%if %{with_x265}
%{_libdir}/vlc/plugins/codec/libx265_plugin.so*
%endif
%{_libdir}/vlc/plugins/codec/libspudec_plugin.so*
%{_libdir}/vlc/plugins/codec/libdvbsub_plugin.so*

%if %{with_dts}
%{_libdir}/vlc/plugins/codec/libdca_plugin.so
%endif

%if %{with_faad}
%{_libdir}/vlc/plugins/codec/libfaad_plugin.so*
%endif

%dir %{_libdir}/vlc/plugins/control
%{_libdir}/vlc/plugins/control/libdbus_plugin.so
%{_libdir}/vlc/plugins/control/libhotkeys_plugin.so*
%{_libdir}/vlc/plugins/control/libmotion_plugin.so
%{_libdir}/vlc/plugins/control/libnetsync_plugin.so
%{_libdir}/vlc/plugins/control/liboldrc_plugin.so*
%{_libdir}/vlc/plugins/control/libgestures_plugin.so*
%{_libdir}/vlc/plugins/control/libxcb_hotkeys_plugin.so

%dir %{_libdir}/vlc/plugins/demux
%{_libdir}/vlc/plugins/demux/libadaptive_plugin.so*
%{_libdir}/vlc/plugins/demux/libaiff_plugin.so*
%{_libdir}/vlc/plugins/demux/libasf_plugin.so*
%{_libdir}/vlc/plugins/demux/libau_plugin.so*
%{_libdir}/vlc/plugins/demux/libavformat_plugin.so
%{_libdir}/vlc/plugins/demux/libavi_plugin.so*
%{_libdir}/vlc/plugins/demux/libcaf_plugin.so
%{_libdir}/vlc/plugins/demux/libdemux_cdg_plugin.so
%{_libdir}/vlc/plugins/demux/libdemux_chromecast_plugin.so
%{_libdir}/vlc/plugins/demux/libdemuxdump_plugin.so*
%{_libdir}/vlc/plugins/demux/libdiracsys_plugin.so
%{_libdir}/vlc/plugins/demux/libdirectory_demux_plugin.so
%{_libdir}/vlc/plugins/demux/libes_plugin.so
%{_libdir}/vlc/plugins/demux/libh26x_plugin.so
%{_libdir}/vlc/plugins/demux/libmjpeg_plugin.so*
%{_libdir}/vlc/plugins/demux/libmp4_plugin.so*
%{_libdir}/vlc/plugins/demux/libmpgv_plugin.so*
%{_libdir}/vlc/plugins/demux/libmkv_plugin.so
%{_libdir}/vlc/plugins/demux/libnoseek_plugin.so
%{_libdir}/vlc/plugins/demux/libnsc_plugin.so*
%{_libdir}/vlc/plugins/demux/libnsv_plugin.so*
%{_libdir}/vlc/plugins/demux/libnuv_plugin.so*
%{_libdir}/vlc/plugins/demux/libplaylist_plugin.so*
%{_libdir}/vlc/plugins/demux/libps_plugin.so*
%{_libdir}/vlc/plugins/demux/libpva_plugin.so*
%{_libdir}/vlc/plugins/demux/librawaud_plugin.so
%{_libdir}/vlc/plugins/demux/librawdv_plugin.so*
%{_libdir}/vlc/plugins/demux/librawvid_plugin.so
%{_libdir}/vlc/plugins/demux/libreal_plugin.so*
%{_libdir}/vlc/plugins/demux/libsmf_plugin.so
%{_libdir}/vlc/plugins/demux/libsubtitle_plugin.so*
%{_libdir}/vlc/plugins/demux/libtta_plugin.so
%{_libdir}/vlc/plugins/demux/libty_plugin.so*
%{_libdir}/vlc/plugins/demux/libvobsub_plugin.so*
%{_libdir}/vlc/plugins/demux/libvc1_plugin.so
%{_libdir}/vlc/plugins/demux/libvoc_plugin.so*
%{_libdir}/vlc/plugins/demux/libwav_plugin.so*
%if %{with_dvbpsi}
%{_libdir}/vlc/plugins/demux/libts_plugin.so*
%endif
%{_libdir}/vlc/plugins/demux/libxa_plugin.so*
%if %{with_ogg}
%{_libdir}/vlc/plugins/demux/libogg_plugin.so*
%{_libdir}/vlc/plugins/codec/libvorbis_plugin.so*
%endif
%dir %{_libdir}/vlc/plugins/gui/
%{_libdir}/vlc/plugins/gui/libqt_plugin.so
%dir %{_libdir}/vlc/plugins/keystore/
%{_libdir}/vlc/plugins/keystore/libfile_keystore_plugin.so
%{_libdir}/vlc/plugins/keystore/libkwallet_plugin.so
%{_libdir}/vlc/plugins/keystore/libmemory_keystore_plugin.so
%{_libdir}/vlc/plugins/keystore/libsecret_plugin.so
%dir %{_libdir}/vlc/plugins/logger/
%{_libdir}/vlc/plugins/logger/libconsole_logger_plugin.so
%{_libdir}/vlc/plugins/logger/libfile_logger_plugin.so
%{_libdir}/vlc/plugins/logger/libsd_journal_plugin.so
%{_libdir}/vlc/plugins/logger/libsyslog_plugin.so
%dir %{_libdir}/vlc/plugins/meta_engine
%{_libdir}/vlc/plugins/meta_engine/libfolder_plugin.so
%if %{with_taglib}
%{_libdir}/vlc/plugins/meta_engine/libtaglib_plugin.so
%endif
%dir %{_libdir}/vlc/plugins/misc
%{_libdir}/vlc/plugins/misc/libaudioscrobbler_plugin.so
%{_libdir}/vlc/plugins/misc/libaddonsfsstorage_plugin.so
%{_libdir}/vlc/plugins/misc/libaddonsvorepository_plugin.so
%{_libdir}/vlc/plugins/misc/libexport_plugin.so*
%{_libdir}/vlc/plugins/misc/libfingerprinter_plugin.so
%{_libdir}/vlc/plugins/text_renderer/libfreetype_plugin.so
%{_libdir}/vlc/plugins/misc/liblogger_plugin.so*
%{_libdir}/vlc/plugins/misc/libstats_plugin.so
%{_libdir}/vlc/plugins/text_renderer/libsvg_plugin.so
%{_libdir}/vlc/plugins/misc/libvod_rtsp_plugin.so*
%{_libdir}/vlc/plugins/misc/libxdg_screensaver_plugin.so*
%{_libdir}/vlc/plugins/misc/libdbus_screensaver_plugin.so*
%if %{with_xml}
%{_libdir}/vlc/plugins/misc/libxml_plugin.so*
%endif

%ifarch %{arm}
%dir %{_libdir}/vlc/plugins/arm_neon
%{_libdir}/vlc/plugins/arm_neon/libchroma_yuv_neon_plugin.so
%{_libdir}/vlc/plugins/arm_neon/libvolume_neon_plugin.so
%{_libdir}/vlc/plugins/arm_neon/libyuv_rgb_neon_plugin.so
%endif

#dir %%{_libdir}/vlc/plugins/mmx
#_libdir/vlc/plugins/mmx/libi420_rgb_mmx_plugin.so
#_libdir/vlc/plugins/mmx/libi420_yuy2_mmx_plugin.so
#_libdir/vlc/plugins/mmx/libi422_yuy2_mmx_plugin.so
# %%{_libdir}/vlc/plugins/mmx/libmemcpymmx_plugin.so

# %%dir %%{_libdir}/vlc/plugins/mmxext
# %%{_libdir}/vlc/plugins/mmxext/libmemcpymmxext_plugin.so

%dir %{_libdir}/vlc/plugins/mux
%{_libdir}/vlc/plugins/mux/libmux_asf_plugin.so*
%{_libdir}/vlc/plugins/mux/libmux_avi_plugin.so*
%{_libdir}/vlc/plugins/mux/libmux_dummy_plugin.so*
%{_libdir}/vlc/plugins/mux/libmux_mp4_plugin.so*
%{_libdir}/vlc/plugins/mux/libmux_mpjpeg_plugin.so*
%if %{with_ogg}
%{_libdir}/vlc/plugins/mux/libmux_ogg_plugin.so*
%endif
%{_libdir}/vlc/plugins/mux/libmux_ps_plugin.so*
%{_libdir}/vlc/plugins/mux/libmux_ts_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_wav_plugin.so*
%dir %{_libdir}/vlc/plugins/packetizer
%{_libdir}/vlc/plugins/packetizer/libpacketizer_a52_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_av1_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_avparser_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_copy_plugin.so*
%{_libdir}/vlc/plugins/packetizer/libpacketizer_dirac_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_dts_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_flac_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_h264_plugin.so*
%{_libdir}/vlc/plugins/packetizer/libpacketizer_hevc_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mlp_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpegaudio_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4audio_plugin.so*
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4video_plugin.so*
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpegvideo_plugin.so*
%{_libdir}/vlc/plugins/packetizer/libpacketizer_vc1_plugin.so

%dir %{_libdir}/vlc/plugins/services_discovery/
%{_libdir}/vlc/plugins/services_discovery/libavahi_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libmediadirs_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libmicrodns_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libpodcast_plugin.so*
%{_libdir}/vlc/plugins/services_discovery/libsap_plugin.so*
%if %{with_udev}
%{_libdir}/vlc/plugins/services_discovery/libudev_plugin.so*
%endif
%{_libdir}/vlc/plugins/services_discovery/libxcb_apps_plugin.so

%dir %{_libdir}/vlc/plugins/spu/
%{_libdir}/vlc/plugins/spu/libaudiobargraph_v_plugin.so
%{_libdir}/vlc/plugins/spu/libdynamicoverlay_plugin.so
%{_libdir}/vlc/plugins/spu/liblogo_plugin.so
%{_libdir}/vlc/plugins/spu/libmarq_plugin.so
%{_libdir}/vlc/plugins/spu/libmosaic_plugin.so
%{_libdir}/vlc/plugins/spu/libremoteosd_plugin.so
%{_libdir}/vlc/plugins/spu/librss_plugin.so
%{_libdir}/vlc/plugins/spu/libsubsdelay_plugin.so

# %%dir %%{_libdir}/vlc/plugins/sse2/
# %%{_libdir}/vlc/plugins/sse2/libi420_rgb_sse2_plugin.so
# %%{_libdir}/vlc/plugins/sse2/libi420_yuy2_sse2_plugin.so
# %%{_libdir}/vlc/plugins/sse2/libi422_yuy2_sse2_plugin.so

%dir %{_libdir}/vlc/plugins/stream_filter/
%{_libdir}/vlc/plugins/stream_filter/libadf_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libaribcam_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libcache_block_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libcache_read_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libdecomp_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libhds_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libinflate_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libprefetch_plugin.so
%{_libdir}/vlc/plugins/stream_filter/librecord_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libskiptags_plugin.so

%dir %{_libdir}/vlc/plugins/stream_out
%{_libdir}/vlc/plugins/stream_out/libstream_out_autodel_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_bridge_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_cycle_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_description_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_delay_plugin.so

%{_libdir}/vlc/plugins/stream_out/libstream_out_display_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_dummy_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_duplicate_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_es_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_gather_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_mosaic_bridge_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_record_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_rtp_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_setid_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_smem_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_standard_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_stats_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_transcode_plugin.so*

%dir %{_libdir}/vlc/plugins/vaapi
%{_libdir}/vlc/plugins/vaapi/libvaapi_filters_plugin.so

%dir %{_libdir}/vlc/plugins/video_chroma
%{_libdir}/vlc/plugins/video_chroma/libchain_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libgrey_yuv_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_10_p010_plugin.so*
%{_libdir}/vlc/plugins/video_chroma/libi420_nv12_plugin.so*
%{_libdir}/vlc/plugins/video_chroma/libi420_rgb_*plugin.so*
%{_libdir}/vlc/plugins/video_chroma/libi420_yuy2_*plugin.so*
%{_libdir}/vlc/plugins/video_chroma/libi422_i420_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_yuy2_*plugin.so*
%{_libdir}/vlc/plugins/video_chroma/librv32_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libswscale_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuvp_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuy2_i420_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuy2_i422_plugin.so

%dir %{_libdir}/vlc/plugins/video_filter
%{_libdir}/vlc/plugins/video_filter/libadjust_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libalphamask_plugin.so
%{_libdir}/vlc/plugins/video_filter/libanaglyph_plugin.so
%{_libdir}/vlc/plugins/video_filter/libantiflicker_plugin.so
%{_libdir}/vlc/plugins/video_filter/libball_plugin.so
%{_libdir}/vlc/plugins/video_filter/libblendbench_plugin.so
%{_libdir}/vlc/plugins/video_filter/libblend_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libbluescreen_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcanvas_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcolorthres_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcroppadd_plugin.so
%{_libdir}/vlc/plugins/video_filter/libdeinterlace_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libedgedetection_plugin.so
%{_libdir}/vlc/plugins/video_filter/liberase_plugin.so
%{_libdir}/vlc/plugins/video_filter/libextract_plugin.so
%{_libdir}/vlc/plugins/video_filter/libfps_plugin.so
%{_libdir}/vlc/plugins/video_filter/libfreeze_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgaussianblur_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgradfun_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgradient_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgrain_plugin.so
%{_libdir}/vlc/plugins/video_filter/libhqdn3d_plugin.so
%{_libdir}/vlc/plugins/video_filter/libinvert_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libmagnify_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libmirror_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmotionblur_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libmotiondetect_plugin.so*
%{_libdir}/vlc/plugins/video_filter/liboldmovie_plugin.so
%if %{with_opencv}
%{_libdir}/vlc/plugins/video_filter/libopencv_example_plugin.so
%{_libdir}/vlc/plugins/video_filter/libopencv_wrapper_plugin.so
%endif
%{_libdir}/vlc/plugins/video_filter/libposterize_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpostproc_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpsychedelic_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpuzzle_plugin.so
%{_libdir}/vlc/plugins/video_filter/libripple_plugin.so
%{_libdir}/vlc/plugins/video_filter/librotate_plugin.so
%{_libdir}/vlc/plugins/video_filter/libscale_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libscene_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsepia_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsharpen_plugin.so
%{_libdir}/vlc/plugins/video_filter/libtransform_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libvhs_plugin.so
%{_libdir}/vlc/plugins/video_filter/libwave_plugin.so

%dir %{_libdir}/vlc/plugins/video_splitter
%{_libdir}/vlc/plugins/video_splitter/libclone_plugin.so*
%if %{with_xcb_randr}
%{_libdir}/vlc/plugins/video_splitter/libpanoramix_plugin.so
%endif
%{_libdir}/vlc/plugins/video_splitter/libwall_plugin.so*

%dir %{_libdir}/vlc/plugins/video_output
%{_libdir}/vlc/plugins/video_output/libcaca_plugin.so
%{_libdir}/vlc/plugins/video_output/libfb_plugin.so*
%{_libdir}/vlc/plugins/video_output/libflaschen_plugin.so*
%{_libdir}/vlc/plugins/video_output/libglconv_vaapi_drm_plugin.so
%{_libdir}/vlc/plugins/video_output/libglconv_vaapi_x11_plugin.so

%{_libdir}/vlc/plugins/video_output/libvdummy_plugin.so
%{_libdir}/vlc/plugins/video_output/libvmem_plugin.so
%{_libdir}/vlc/plugins/video_output/libyuv_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_x11_plugin.so*
%{_libdir}/vlc/plugins/video_output/libxcb_window_plugin.so*
%if %{with_xvideo}
%{_libdir}/vlc/plugins/video_output/libxcb_xv_plugin.so*
%endif

%dir %{_libdir}/vlc/plugins/visualization
%{_libdir}/vlc/plugins/visualization/libvisual_plugin.so*
%if %{with_alsa}
%{_libdir}/vlc/plugins/audio_output/libalsa_plugin.so*
%endif

### new plugins, need to be resorted to various subpackages

%{_libdir}/vlc/plugins/audio_filter/libcompressor_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libkaraoke_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libsamplerate_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libspeex_resampler_plugin.so
%{_libdir}/vlc/plugins/audio_output/libadummy_plugin.so
%{_libdir}/vlc/plugins/audio_output/libamem_plugin.so
%{_libdir}/vlc/plugins/codec/libcrystalhd_plugin.so
%{_libdir}/vlc/plugins/codec/libddummy_plugin.so
%{_libdir}/vlc/plugins/codec/libedummy_plugin.so
%{_libdir}/vlc/plugins/codec/libstl_plugin.so
%{_libdir}/vlc/plugins/control/libdummy_plugin.so
%{_libdir}/vlc/plugins/demux/libdemux_stl_plugin.so
%{_libdir}/vlc/plugins/demux/libimage_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libpulselist_plugin.so
%{_libdir}/vlc/plugins/text_renderer/libtdummy_plugin.so

%files -n %{libname}
%{_libdir}/libvlc.so.%{libmajor}{,.*}
%{_libdir}/vlc/libvlc_pulse.so*
%{_libdir}/vlc/libvlc_xcb_events.so*

%files -n %{libnamecore}
%{_libdir}/libvlccore.so.%{coremajor}{,.*}

%files -n %{develname}
%doc README doc/release-howto.txt doc/skins
%dir %{_includedir}/vlc
%{_libdir}/libvlc.so
%{_libdir}/vlc/libcompat.a
%{_libdir}/libvlccore.so
%{_includedir}/vlc/*
%{_libdir}/pkgconfig/*

%if %{with_shout}
%files plugin-shout
%doc README
%{_libdir}/vlc/plugins/access_output/libaccess_output_shout_plugin.so
%endif

### intf plugins
%if %{with_svlc}
%files -n svlc
%doc README
%{_bindir}/svlc
%{_libdir}/vlc/plugins/gui/libskins2_plugin.so*
%{_datadir}/applications/svlc.desktop
%{_datadir}/vlc/skins2
%endif

%if %{with_zvbi}
%files plugin-zvbi
%doc README
%{_libdir}/vlc/plugins/codec/libzvbi_plugin.so
%endif

%if %{with_kate}
%files plugin-kate
%doc README
%{_libdir}/vlc/plugins/codec/libkate_plugin.so
%endif

%if %{with_ass}
%files plugin-libass
%doc README
%{_libdir}/vlc/plugins/codec/liblibass_plugin.so
%endif

%if %{with_lua}
%files plugin-lua
%doc README
%{_libdir}/vlc/plugins/lua/liblua_plugin.so
%{_libdir}/vlc/lua/*/*.luac
%{_libdir}/vlc/lua/*/*/*.luac
# %%{_libdir}/vlc/plugins/misc/liblua_plugin.so
%{_datadir}/vlc/lua
# These are configuration that should not be overrided due to this bug:
# https://bugs.mageia.org/show_bug.cgi?id=10002
#
# Remmed out because seems to no longer be installed.
#
# %%config %%{_datadir}/vlc/lua/http/.hosts
# %%config %%{_datadir}/vlc/lua/http/dialogs/.hosts
%{_bindir}/rvlc
%endif

%if %{with_ncurses}
%files plugin-ncurses
%doc README
%{_bindir}/nvlc
%{_libdir}/vlc/plugins/gui/libncurses_plugin.so*
%endif

%if %{with_lirc}
%files plugin-lirc
%doc README
%{_libdir}/vlc/plugins/control/liblirc_plugin.so*
%endif

### video plugins
%if %{with_sdl}
%files plugin-sdl
%doc README
%if %{with_sdl_image}
%{_libdir}/vlc/plugins/codec/libsdl_image_plugin.so*
%endif
%endif

%files plugin-opengl
%doc README
%{_libdir}/vlc/plugins/video_output/libegl_x11_plugin.so
%{_libdir}/vlc/plugins/video_output/libgl_plugin.so*
%{_libdir}/vlc/plugins/video_output/libglx_plugin.so*
%{_libdir}/vlc/plugins/visualization/libglspectrum_plugin.so

%files plugin-vdpau
%doc README
%{_libdir}/vlc/libvlc_vdpau.so.%{vdpaumajor}{,.*}
%dir %{_libdir}/vlc/plugins/vdpau
%{_libdir}/vlc/plugins/vdpau/libvdpau_adjust_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_avcodec_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_chroma_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_deinterlace_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_display_plugin.so
%{_libdir}/vlc/plugins/vdpau/libvdpau_sharpen_plugin.so
%{_libdir}/vlc/plugins/video_output/libglconv_vdpau_plugin.so

%if %{with_aa}
%files plugin-aa
%doc README
%{_libdir}/vlc/plugins/video_output/libaa_plugin.so*
%endif

%if %{with_goom}
%files plugin-goom
%doc README
%{_libdir}/vlc/plugins/visualization/libgoom_plugin.so
%endif

%if %{with_projectm}
%files plugin-projectm
%doc README
%{_libdir}/vlc/plugins/visualization/libprojectm_plugin.so
%endif

%if %{with_theora}
%files plugin-theora
%doc README
%{_libdir}/vlc/plugins/codec/libtheora_plugin.so
%endif

%if %{with_fluidsynth}
%files plugin-fluidsynth
%doc README
%{_libdir}/vlc/plugins/codec/libfluidsynth_plugin.so
%endif

%if %{with_gme}
%files plugin-gme
%doc README
%{_libdir}/vlc/plugins/demux/libgme_plugin.so
%endif

%if %{with_schroedinger}
%files plugin-schroedinger
%doc README
%{_libdir}/vlc/plugins/codec/libschroedinger_plugin.so
%endif

%if %{with_twolame}
%files plugin-twolame
%doc README
%{_libdir}/vlc/plugins/codec/libtwolame_plugin.so*
%endif

%if %{with_speex}
%files plugin-speex
%doc README
%{_libdir}/vlc/plugins/codec/libspeex_plugin.so*
%endif

%if %{with_fdkaac}
%files plugin-fdkaac
%doc README
%{_libdir}/vlc/plugins/codec/libfdkaac_plugin.so
%endif

%files plugin-flac
%doc README
%{_libdir}/vlc/plugins/demux/libflacsys_plugin.so
%{_libdir}/vlc/plugins/codec/libflac_plugin.so*

%if %{with_dv}
%files plugin-dv
%doc README
%{_libdir}/vlc/plugins/access/libdc1394_plugin.so
%endif

%if %{with_mod}
%files plugin-mod
%{_libdir}/vlc/plugins/demux/libmod_plugin.so*
%endif

%if %{with_mpc}
%files plugin-mpc
%{_libdir}/vlc/plugins/demux/libmpc_plugin.so*
%endif

%if %{with_sid}
%files plugin-sid
%{_libdir}/vlc/plugins/demux/libsid_plugin.so*
%endif

### audio plugins
%files plugin-sndio
%{_libdir}/vlc/plugins/audio_output/libsndio_plugin.so*

%if %{with_pulse}
%files plugin-pulse
%{_libdir}/vlc/plugins/audio_output/libpulse_plugin.so*
%endif

%files plugin-rist
%{_libdir}/vlc/plugins/access/librist_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_rist_plugin.so

%if %{with_jack}
%files plugin-jack
%{_libdir}/vlc/plugins/access/libaccess_jack_plugin.so
%{_libdir}/vlc/plugins/audio_output/libjack_plugin.so*
%endif

%if %{with_upnp}
%files plugin-upnp
%{_libdir}/vlc/plugins/services_discovery/libupnp_plugin.so
%endif

%if %{with_gnutls}
%files plugin-gnutls
%{_libdir}/vlc/plugins/misc/libgnutls_plugin.so*
%endif

%if %{with_vnc}
%files plugin-vnc
%{_libdir}/vlc/plugins/access/libvnc_plugin.so
%endif

%files plugin-libnotify
%{_libdir}/vlc/plugins/notify/libnotify_plugin.so

%files plugin-chromaprint
%{_libdir}/vlc/plugins/stream_out/libstream_out_chromaprint_plugin.so

%if %{with_smb}
%files plugin-samba
%{_libdir}/vlc/plugins/access/libsmb_plugin.so
%endif
