%global debug_package %{nil}

%global git_commit c191e5efbee353a32dd89af0964ee62d18c79ee2
%global git_date 20201001

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}

Name:          vmmlib
Version:       1.14.0
Release:       %mkrel -c %{git_suffix} 2
Summary:       A vector and matrix math library implemented using C++ templates
Group:         Development/C++
License:       BSD
URL:           https://github.com/Eyescale/vmmlib
# retrieve the source archive with
# git clone --recursive https://github.com/Eyescale/vmmlib.git
Source0:       %{version}/%{name}-%{version}-%{git_suffix}.tar.gz
# skip test failing on i586 arch
Patch0:        vmmlib-1.14.0-i586-skip-norm-squared-test.patch
BuildRequires: boost-devel
BuildRequires: glibc-devel
BuildRequires: doxygen
BuildRequires: cmake

%description
vmmlib is a vector and matrix math library implemented using C++ templates.
Its basic functionality includes a vector and a matrix class, with additional
functionality for the often-used 3d and 4d vectors and 3x3 and 4x4 matrices.
More advanced functionality include solvers, frustum computations and frustum
culling classes, and spatial data structures.

%package devel
Summary:       A vector and matrix math library implemented using C++ templates
Group:         Development/C++
Requires:      pkgconfig
Requires:      cmake

%description devel
vmmlib is a vector and matrix math library implemented using C++ templates.
Its basic functionality includes a vector and a matrix class, with additional
functionality for the often-used 3d and 4d vectors and 3x3 and 4x4 matrices.
More advanced functionality include solvers, frustum computations and frustum
culling classes, and spatial data structures.

%prep
%setup
%ifarch %{ix86}
%patch -P 0 -p1
%endif

%build
%cmake
%cmake_build

%install
%cmake_install

# move cmake files to right place
mkdir -p %{buildroot}%{_datadir}/cmake/vmmlib/
mv %{buildroot}%{_datadir}/%{name}/CMake/*.cmake %{buildroot}%{_datadir}/cmake/vmmlib/
rmdir %{buildroot}%{_datadir}/%{name}/CMake

%check
make -C build test

%files devel
%doc ACKNOWLEDGEMENTS LICENSE.txt README.md
%{_includedir}/vmmlib
%{_datadir}/cmake/vmmlib/
%{_datadir}/vmmlib
