%define rdnsname net.sourceforge.VMPK

Name:           vmpk
Version:        0.9.1
Release:        %mkrel 1
Summary:        Virtual MIDI Piano Keyboard
Group:          Sound/Midi
License:        GPLv3+
URL:            https://vmpk.sourceforge.io
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  qttools6
BuildRequires:  cmake(drumstick-rt)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  xsltproc
BuildRequires:  docbook-style-xsl
Requires:       fluid-soundfont-gm

%description
VMPK is a MIDI event generator/receiver. It doesn't produce any sound by
itself, but can be used to drive a MIDI synthesizer (either hardware or
software, internal or external). You can use the computer's keyboard to play
MIDI notes, and also the mouse. You can use the Virtual MIDI Piano Keyboard to
display the played MIDI notes from another instrument or MIDI file player.

This package is compiled with JACK driver.

%prep
%autosetup -p1

%build
%cmake_qt6 -DUSE_QT=6
%cmake_build

%install
%cmake_install

%files
%doc NEWS README.md ChangeLog AUTHORS TODO
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{rdnsname}.desktop
%{_metainfodir}/%{rdnsname}.metainfo.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1.*
