%define vnc_version 4_1_2
%define java_vnc_version 4_1
%define gcj_support 1
%define libname %{mklibname rfb 0}

Name:      vnc
Version:   4.1.2
Release:   %mkrel 2
Summary:   A remote display system
URL:       https://www.realvnc.com/
Source0:   https://www.realvnc.com/dist/vnc-%{vnc_version}-unixsrc.tar.gz
Source1:   https://www.realvnc.com/dist/vnc-%{java_vnc_version}-javasrc.tar.gz
Source2:   vncserver.init
Source3:   vnc-16x16.png
Source4:   vnc-24x24.png
Source5:   vnc-48x48.png
Source100: xorg-server-1.4.tar.bz2
Patch0:    vnc-cookie.patch
Patch1:    vnc-gcc4.patch
Patch2:    vnc-use-fb.patch
Patch3:    vnc-xclients.patch
Patch4:    vnc-idle.patch
Patch5:    vnc-via.patch
Patch8:    vnc-restart.patch
Patch9:    vnc-vncpasswd.patch
Patch11:   vnc-modular-xorg.patch
Patch12:   vnc-nohttpd.patch
Patch15:   vnc-viewer-reparent.patch
Patch16:   vnc-64bit.patch
Patch17:   vnc-select.patch
Patch21:   vnc-newfbsize.patch
Patch23:   vnc-210617.patch
Patch24:   vnc-102434.patch
Patch25:   vnc-config.patch
Patch28:   vnc-render.patch
Patch31:   vnc-autotools.patch
Patch32:   vnc-autotools-compile.patch
Patch33:   vnc-always_use_fb.patch
Patch34:   vnc-vsnprintf.patch
Patch36:   vnc-24bit.patch
License:   GPLv2
Group:     Networking/Remote access
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl 
BuildRequires: zlib-devel libjpeg-devel
BuildRequires: desktop-file-utils >= 0.2.92
BuildRequires: java-rpmbuild
BuildRequires: autoconf,  automake, libtool, flex, bison, pkgconfig, patchutils
BuildRequires: expat-devel, freetype-devel
BuildRequires: libx11-devel, x11-xtrans-devel, libxau-devel
BuildRequires: libxdmcp-devel, libxkbfile-devel, libxfont-devel
BuildRequires: x11-proto-devel, libxext-devel, tcp_wrappers-devel
BuildRequires: libxtst-devel, libfontenc-devel, x11-util-macros
BuildRequires: libxt-devel
BuildRequires: libstdc++-devel, gcc-c++, selinux-devel
#BuildRequires: mesagl-devel >= 6.5.2, mesa-source >= 6.5.2, libdrm-devel
BuildRequires: mesagl-devel >= 6.5.2, libdrm-devel
BuildRequires: pixman-devel

Requires: gtk2 >= 2.6
Requires: coreutils
#Requires: vnc-libs

Requires(post): rpm-helper
Requires(preun): rpm-helper

Conflicts: tightvnc

%description
Virtual Network Computing (VNC) is a remote display system which
allows you to view a computing 'desktop' environment not only on the
machine where it is running, but from anywhere on the Internet and
from a wide variety of machine architectures.  This package contains a
client which will allow you to connect to other desktops running a VNC
server.

%package server
Summary: A VNC server
Requires: bash >= 2.0, util-linux, x11-font-misc-misc, xauth, chkconfig
#Requires: vnc-libs
Group: Networking/Remote access
Conflicts: tightvnc-server

%description server
The VNC system allows you to access the same desktop from a wide
variety of platforms.  This package is a VNC server, allowing others
to access the desktop on your machine.

%package java
Summary:        A VNC server
Group:          Development/Java
BuildRequires:  jpackage-utils
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
BuildRequires:  java-devel
%endif
Conflicts: tightvnc-java

%description java
The VNC system allows you to access the same desktop from a wide variety
of platforms. This package is a VNC server, allowing  others  to  access
the desktop on your machine.

%package -n %{libname}
Summary: VNC Remote framebuffer libraries
Group: Networking/Remote access

%description -n %{libname}
Remote framebuffer library which is used by vncviewer and vncserver

%prep
%setup -q -n vnc-%{vnc_version}-unixsrc -a1
##cp -r %{_datadir}/xorg-x11-server-source unix
%if 0
tar xvf %{SOURCE100} -C unix
(cd unix && %{__ln_s} xorg-server-1.4 xorg-x11-server-source)
%endif
%patch -P 0 -p1 -b .cookie
%patch -P 1 -p1 -b .gcc4
%patch -P 2 -p1 -b .use-fb
%patch -P 3 -p1 -b .xclients
%patch -P 4 -p1 -b .idle
%patch -P 5 -p1 -b .via
%patch -P 8 -p1 -b .restart
%patch -P 9 -p1 -b .vncpasswd
%if 0
%patch -P 11 -p1 -b .modular-xorg
%endif
%patch -P 12 -p1 -b .nohttpd
%patch -P 15 -p1 -b .viewer-reparent
%patch -P 16 -p1 -b .64bit
%patch -P 17 -p1 -b .select
%patch -P 21 -p1 -b .newfbsize
%patch -P 23 -p1 -b .ipv6
%patch -P 24 -p1 -b .102434
%patch -P 25 -p1 -b .config
%patch -P 28 -p1 -b .render
%patch -P 31 -p1 -b .autotools
%patch -P 32 -p1 -b .autotools-compile
%patch -P 33 -p1 -b .always_use_fb
%patch -P 34 -p1 -b .vsnprintf
%patch -P 36 -p1 -b .24bit

%if 0
cp -a unix/xc/programs/Xserver/vnc/Xvnc/xvnc.cc \
	unix/xc/programs/Xserver/Xvnc.man \
	unix/xc/programs/Xserver/vnc/*.{h,cc} \
	unix/xorg-x11-server-source/hw/vnc/
cp -a unix/xorg-x11-server-source/{cfb/cfb.h,hw/vnc}
cp -a unix/xorg-x11-server-source/{fb/fb.h,hw/vnc}
cp -a unix/xorg-x11-server-source/{fb/fbrop.h,hw/vnc}
sed -i -e 's,xor,c_xor,' -e 's,and,c_and,' \
	unix/xorg-x11-server-source/hw/vnc/{cfb,fb,fbrop}.h
%endif

%build
cd common
%{_bindir}/autoreconf --install --force --verbose
%{configure}
%{make}

cd ../vnc-%{java_vnc_version}-javasrc/java
%{make} JAVAC="%{javac}" JAR="%{jar}"

cd ../../unix
%{_bindir}/autoreconf --install --force --verbose
%{configure}
%{make}

%if 0
cd xorg-x11-server-source
%{__aclocal}; %{__automake} -a; %{__autoconf}
%{configure} --disable-xorg \
	--disable-xnest --enable-xvfb \
	--disable-dmx --disable-xwin --disable-xephyr --disable-kdrive \
	--with-pic \
        --disable-xorgcfg \
        --disable-xprint \
        --disable-static \
        --disable-composite \
	--enable-xtrap \
	--enable-xcsecurity \
	--with-default-font-path="unix/:7100,built-ins" \
	--with-fontdir=%{_datadir}/X11/fonts \
        --with-os-name="Fedora Core 8" \
        --with-os-vendor="Red Hat, Inc." \
        --with-xkb-output=%{_localstatedir}/lib/xkb \
        --with-rgb-path=%{_datadir}/X11/rgb \
	--enable-install-libxf86config \
	--disable-xevie \
	--disable-dri \
        --enable-glx \
        --with-mesa-source=%{_usrsrc}/Mesa

%{make}
%endif

%install
rm -rf $RPM_BUILD_ROOT

cd common;
%make_install

cd ../unix

mandst=$RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $mandst
%if 0
for f in xorg-x11-server-source/hw/vnc/Xvnc vncviewer/vncviewer vncpasswd/vncpasswd \
         vncconfig/vncconfig vncserver x0vncserver/x0vncserver; do
%else
for f in vncviewer/vncviewer vncpasswd/vncpasswd \
         vncconfig/vncconfig vncserver x0vncserver/x0vncserver; do
%endif
    cp -pf $f.man $mandst/`basename $f.1`
    chmod 0444 $mandst/`basename $f.1`
done
%make_install
cp vncserver $RPM_BUILD_ROOT/usr/bin

%if 0
cd xorg-x11-server-source/hw/vnc
%make_install
cd ../../../
%endif

mkdir -p $RPM_BUILD_ROOT%{_datadir}/vnc/classes
cp -a ../vnc-%{java_vnc_version}-javasrc/java/{index.vnc,logo150x150.gif} $RPM_BUILD_ROOT%{_datadir}/vnc/classes

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -a ../vnc-%{java_vnc_version}-javasrc/java/vncviewer.jar %{buildroot}%{_javadir}/vncviewer-%{version}.jar
(cd %{buildroot}%{_javadir} && %{__ln_s} vncviewer-%{version}.jar VncViewer-%{version}.jar)
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s} ${jar} ${jar/-%{version}/}; done)

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/vncserver

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cat > $RPM_BUILD_ROOT/etc/sysconfig/vncservers << "EOF"
# The VNCSERVERS variable is a list of display:user pairs.
#
# Uncomment the lines below to start a VNC server on display :2
# as my 'myusername' (adjust this to your own).  You will also
# need to set a VNC password; run 'man vncpasswd' to see how
# to do that.  
#
# DO NOT RUN THIS SERVICE if your local area network is
# untrusted!  For a secure way of using VNC, see
# <URL:http://www.uk.research.att.com/archive/vnc/sshvnc.html>.

# Use "-nolisten tcp" to prevent X connections to your VNC server via TCP.

# Use "-nohttpd" to prevent web-based VNC clients connecting.

# Use "-localhost" to prevent remote VNC clients connecting except when
# doing so through a secure tunnel.  See the "-via" option in the
# `man vncviewer' manual page.

# VNCSERVERS="2:myusername"
# VNCSERVERARGS[2]="-geometry 800x600 -nolisten tcp -nohttpd -localhost"
EOF
chmod 644 $RPM_BUILD_ROOT/etc/sysconfig/vncservers

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/{16x16,24x24,48x48}/apps
install %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/vnc.png
install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/vnc.png
install %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/vnc.png
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications
cat > vncviewer.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=VNC Viewer
Comment=Connect to VNC server and display remote desktop
Exec=/usr/bin/vncviewer
Icon=vnc
Terminal=false
Type=Application
StartupWMClass=VNC Viewer: Connection Details
EOF
# Desktop file installation.
mkdir $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor vnc --delete-original    \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications        \
  --remove-category X-Red-Hat-Extra                       \
  --add-category Network                               \
  --remove-category Application                           \
  vncviewer.desktop

# removing unwanted files
rm -f $RPM_BUILD_ROOT%{_libdir}/librfb.a
rm -f $RPM_BUILD_ROOT%{_libdir}/librfb.la
rm -f $RPM_BUILD_ROOT%{_libdir}/librfb.so
%if 0
rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/extensions/libvnc.la
%endif

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%post server
%_post_service vncserver

%preun server
%_preun_service vncserver

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENCE.txt README 
%{_bindir}/vncviewer
%{_datadir}/applications/*
%{_mandir}/man1/vncviewer.1*
%{_datadir}/icons/hicolor/*/*/*

%files server
%defattr(-,root,root)
%attr(0755,root,root) %config /etc/rc.d/init.d/vncserver
%config(noreplace) /etc/sysconfig/vncservers
%if 0
%{_bindir}/Xvnc
%endif
%{_bindir}/vncpasswd
%{_bindir}/vncconfig
%{_bindir}/vncserver
%{_bindir}/x0vncserver
%if 0
%{_datadir}/vnc
%{_mandir}/man1/Xvnc.1*
%endif
%{_mandir}/man1/vncpasswd.1*
%{_mandir}/man1/vncconfig.1*
%{_mandir}/man1/vncserver.1*
%{_mandir}/man1/x0vncserver.1*
%if 0
%{_libdir}/xorg/modules/extensions/libvnc.so
%endif

%files java
%defattr(0644,root,root,0755)
%{_javadir}/*
%{_datadir}/vnc
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/librfb.so.*



