# disable fortify as it causes segmentation fault in vnstati
%undefine _fortify_cflags

Summary:		Console-based network traffic monitor
Name:			vnstat
Version:		2.12
Release:		%mkrel 1
License:		GPLv2+
Group:			Monitoring
Url:			https://humdi.net/vnstat/
Source0:		https://humdi.net/vnstat/%{name}-%{version}.tar.gz
Source1:		vnstat.conf
Patch0:			vnstat.service.patch

BuildRequires:		make
BuildRequires:		gcc
BuildRequires:		gd-devel
BuildRequires:		systemd
BuildRequires:		pkgconfig(sqlite3)

Requires(pre):		shadow-utils
Requires(pre):		rpm-helper >= %{rpmhelper_required_version}
Requires(post):		rpm-helper >= %{rpmhelper_required_version}
Requires(post):		systemd >= %{systemd_required_version}
Requires(preun):	rpm-helper >= %{rpmhelper_required_version}
Requires(postun):	rpm-helper >= %{rpmhelper_required_version}

%description
vnStat is a console-based network traffic monitor for Linux and BSD that keeps
a log of network traffic for the selected interface(s). It uses the network
interface statistics provided by the kernel as information source. This means
that vnStat won't actually be sniffing any traffic and also ensures light use
of system resources.

%prep
%autosetup -p1

# disable maximum bandwidth setting and change pidfile location
sed -i -e "s,/var/run/,/run/vnstat/,g; \
	s,MaxBandwidth 100,MaxBandwidth 0,g;" \
	cfg/vnstat.conf

%build
%configure
%make_build CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_tmpfilesdir}
%make_install
install -p -m 644 examples/systemd/vnstat.service %{buildroot}%{_unitdir}/
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf
rm -rf examples/init.d
rm -rf examples/systemd
rm -rf examples/launchd
rm -rf examples/upstart

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin

%post
%_tmpfilescreate %{name}
%_post_service vnstat

%preun
%_preun_service vnstat

%postun
%_postun_userdel %{name}

%files
%license COPYING
%doc CHANGES FAQ README INSTALL examples
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
%{_mandir}/man1/vnstat.1*
%{_mandir}/man1/vnstati.1*
%{_mandir}/man5/vnstat.conf.5*
%{_mandir}/man8/vnstatd.8*
%{_bindir}/vnstat
%{_bindir}/vnstati
%{_sbindir}/vnstatd
