Summary:	Description of Finnish morphology written in Malaga
Name:		voikko-fi
Version:	2.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Text tools
URL:		https://voikko.puimula.org/
Source:		https://www.puimula.org/voikko-sources/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	python3
BuildRequires:	voikko-tools
BuildRequires:	foma
# NOTE: Packages are endianness specific, but all Mageia architectures are little-endian
# and having this as no-noarch causes issues with urpmi:
# https://bugs.mageia.org/show_bug.cgi?id=5404
BuildArch:	noarch
Requires:	locales-fi
# aspell = 1, myspell = 2, lang-specific = 3
Provides:	enchant-dictionary = 3
Provides:	voikko-dictionary
Provides:	voikko-fi_FI
Provides:	spell-fi
Provides:	suomi-malaga = %{version}-%{release}
Obsoletes:	suomi-malaga < 2.1
Obsoletes:	suomi-malaga-voikko < 1.0

%description
Voikko-fi (previously know as Suomi-malaga) is a description of
Finnish morphology written for libvoikko.

%prep
%setup -q

mkdir -p build

%build
%make_build vvfst \
	VVFST_BUILDDIR=build \
	GENLEX_OPTS="--extra-usage=it" \
	EXTRA_LEX="vocabulary/erikoisalat/linux-distributions.lex vocabulary/erikoisalat/atk-lyhenteet.lex"

%install
# Files differ on big-endian and small-endian archs, and they have different
# names (*_l vs *_b). This is the reason we use %{_prefix}/lib instead of
# %{_datadir} and won't noarch the package. Note that we use %{_prefix}/lib
# instead of %{_libdir} to achieve biarch compatibility. That is, if the user
# has both libvoikkoX and lib64voikkoX installed, both of them work with the
# same voikko-fi package.
make vvfst-install VVFST_BUILDDIR=build DESTDIR=%{buildroot}%{_prefix}/lib/voikko

%files
%doc README.md CONTRIBUTORS
%dir %{_prefix}/lib/voikko
%{_prefix}/lib/voikko/?/
