%global somajor 1
%global libname %mklibname %{name} %{somajor}
%global devname %mklibname %{name} -d

Summary: An utility for manipulating storage encryption keys and passphrases
Name: volume_key
Version: 0.3.12
Release: %mkrel 10
# lib/{SECerrs,SSLerrs}.h are both licensed under MPLv1.1 and GPLv2
License: GPLv2 and (MPLv1.1 or GPLv2)
Group: Security
URL: https://pagure.io/%{name}/
Source0: https://releases.pagure.org/%{name}/%{name}-%{version}.tar.xz
# Support all LUKS devices
# - backport of 26c09768662d8958debe8c9410dae9fda02292c3
Patch0: volume_key-0.3.12-support_LUKS2_and_more.patch
# Fix resource leaks
# - backport of bf6618ec0b09b4e51fc97fa021e687fbd87599ba
Patch1: volume_key-0.3.12-fix_resource_leaks.patch
BuildRequires: gcc
BuildRequires: cryptsetup-devel
BuildRequires: gettext-devel
BuildRequires: glib2-devel
BuildRequires: gnupg2
BuildRequires: gpgme-devel
BuildRequires: libblkid-devel
BuildRequires: nss-devel
BuildRequires: python3-devel
# Needed by %%check:
BuildRequires: nss

Requires: %{libname}%{?_isa} = %{version}-%{release}

%global desc_common The main goal of the software is to allow restoring access to an encrypted\
hard drive if the primary user forgets the passphrase.  The encryption key\
back up can also be useful for extracting data after a hardware or software\
failure that corrupts the header of the encrypted volume, or to access the\
company data after an employee leaves abruptly.

%global desc_app This package provides a command-line tool for manipulating storage volume\
encryption keys and storing them separately from volumes.\
\
%{desc_common}

%global desc_lib This package provides lib%{name}, a library for manipulating storage volume\
encryption keys and storing them separately from volumes.\
\
%{desc_common}

%global desc_python(V:) This package provides %%{-V:Python %%{-V*}}%%{!-V:Python} bindings for lib%{name}, a library for\
manipulating storage volume encryption keys and storing them separately from\
volumes.\
\
%{desc_common}\
\
%{name} currently supports only the LUKS volume encryption format.  Support\
for other formats is possible, some formats are planned for future releases.

%description
%{desc_app}

%package -n %{devname}
Summary: A library for manipulating storage encryption keys and passphrases
Group: Development/C
Provides: %{name}-devel%{?_isa} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname}%{?_isa} = %{version}-%{release}

%description -n %{devname}
%{desc_lib}

%package -n %{libname}
Summary: A library for manipulating storage encryption keys and passphrases
Group: System/Libraries
Requires: gnupg2

%description -n %{libname}
%{desc_lib}

%package -n python3-%{name}
%{?python_provide:%python_provide python3-%{name}}
Summary: Python 3 bindings for lib%{name}
Group: Development/Python
Requires: %{libname}%{?_isa} = %{version}-%{release}

%description -n python3-%{name}
%desc_python -V 3

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure --with-python=no --with-python3=yes
%make_build

%install
%make_install

# Remove libtool archive
find %{buildroot} -type f -name "*.la" -delete

%check
make check || { \
echo "======================== ./test-suite.log ========================"; \
cat ./test-suite.log; \
echo "=================================================================="; \
exit 1; \
}

%find_lang %{name}

%files -f %{name}.lang
%doc README contrib AUTHORS ChangeLog NEWS
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*

%files -n %{devname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so

%files -n %{libname}
%license COPYING
%{_libdir}/lib%{name}.so.*

%files -n python3-%{name}
%{python3_sitearch}/_%{name}.so
%{python3_sitearch}/%{name}.py*
%{python3_sitearch}/__pycache__/%{name}.*

