Summary:	Lightweight volume control
Name:		volumeicon
Version:	0.5.1
Release:	%mkrel 4
Group:		Graphical desktop/Other
License:	GPLv3+
URL:		https://nullwise.com/pages/volumeicon/volumeicon.html
Source0:	https://nullwise.com/pages/volumeicon/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	intltool
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(alsa)

%description
Volume Icon aims to be a lightweight volume control that sits
in your systray.

Features:

* Change volume by scrolling on the systray icon
* Ability to choose which channel to control
* Configurable step size (percentage of volume increase/decrease
  per scroll wheel step)
* Several icon themes (with gtk theme as default)
* Configurable external mixer
* Volume Slider


%prep
%setup -q

%build
%configure

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart/
cat > %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=volumeicon
Comment=Volume Icon
Exec=%{name}
Terminal=false
Type=Application
Icon=%{_datadir}/%{name}/gui/appicon.svg
Categories=AudioVideo;Audio
EOF

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}
