%define	theirversion %version

Name:		vorbis-tools
Summary:	Several Ogg Vorbis Tools
Version:	1.4.2
Release:	%mkrel 5
Group:		Sound/Utilities
License:	GPL-2.0-only
URL:		https://www.xiph.org/
Source:		https://ftp.osuosl.org/pub/xiph/releases/vorbis/%{name}-%{version}.tar.gz
Patch0:		vorbis-tools-1.4.0-next_on_SIGUSR1.patch
Patch1:		vorbis-tools-1.2.0-ogg123-play-stdin.patch
# CVE-2023-43361
Patch2:		vorbis-tools-CVE-2023-43361.patch
Patch3:		vorbis-tools-c99.patch
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(ogg) >= 1.0
BuildRequires:	pkgconfig(ao) >= 1.0
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(vorbis) >= 1.3.0
BuildRequires:	texinfo
# (gc) needed for AM_PATH_PROG_WITH_TEST
BuildRequires:	gettext-devel

%description
This package contains oggenc (encoder), oggdec, ogg123 (command line player)
vorbiscomment (metadata editor) and vcut (cut tool).

Find some free Ogg Vorbis music here: http://www.vorbis.com/music/

%prep
%autosetup -p1 -n %{name}-%{theirversion}

%build
autoreconf -fi
%configure \
	--enable-vcut
%make_build

%install
%make_install

%find_lang %{name}

# cleanup
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}

%files -f %{name}.lang
%doc README ogg123/ogg123rc-example
%license COPYING
%{_bindir}/ogg123
%{_bindir}/oggdec
%{_bindir}/oggenc
%{_bindir}/ogginfo
%{_bindir}/vcut
%{_bindir}/vorbiscomment
%{_mandir}/man1/ogg123*
%{_mandir}/man1/oggenc*
%{_mandir}/man1/oggdec*
%{_mandir}/man1/ogginfo*
%{_mandir}/man1/vcut*
%{_mandir}/man1/vorbiscomment*
