%define uname     vowpal_wabbit
%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           vowpal-wabbit
Version:        8.8.0
Release:        %mkrel 19
Summary:        A fast and efficient machine learning system
License:        BSD
Group:          Sciences/Mathematics
Url:            https://hunch.net/~vw/
Source0:        https://github.com/JohnLangford/%{uname}/archive/%{version}/%{uname}-%{version}.tar.gz
Patch1:         0001-Unit-tests-dynamically-link-to-libvw-so-they-can-t-c.patch
Patch100:       vowpal_wabbit-8.8.0-soversion.patch
Patch101:       vowpal_wabbit-8.8.0-system-rapidjson.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  zlib-devel
BuildRequires:  rapidjson

%description
The Vowpal Wabbit (VW) project is a fast out-of-core learning system sponsored
by Microsoft Research and (previously) Yahoo! Research.

%package -n     %{libname}
Summary:        Main library for Vowpal Wabbit
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with vowpal-wabbit.

%package -n     %{develname}
Summary:        Headers for developing programs that will use Vowpal Wabbit
Group:          Development/C
Requires:       %{name} = %{version}
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use Vowpal Wabbit.

%prep
%autosetup -p1 -n %{uname}-%{version}

# build with system rapidjson
rm -rf rapidjson

# 'port' to python3
2to3 -n -w utl/vw-csv2bin

# fix python shebang
%py3_shebang_fix utl/vw-csv2bin

# drop -fvisibility=hidden
sed -i -e '/-fvisibility=hidden/d' CMakeLists.txt

%build
%cmake \
	-DGIT_SUBMODULE:BOOL=OFF \
	-DWARNINGS:BOOL=OFF \
	-DBUILD_TESTS:BOOL=OFF \
	-DUSE_LATEST_STD=ON
%cmake_build

%install
%cmake_install

# install the utl scripts
install -m 0755 utl/logistic %{buildroot}%{_bindir}/
install -m 0755 utl/vw-convergence %{buildroot}%{_bindir}/
install -m 0755 utl/vw-csv2bin %{buildroot}%{_bindir}/
install -m 0755 utl/vw-hypersearch %{buildroot}%{_bindir}/
install -m 0755 utl/vw-regr %{buildroot}%{_bindir}/
install -m 0755 utl/vw-top-errors %{buildroot}%{_bindir}/
install -m 0755 utl/vw-varinfo %{buildroot}%{_bindir}/
install -m 0755 utl/vw2csv %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/vowpalwabbit
install -m 0644 utl/vw-validate.html %{buildroot}%{_datadir}/vowpalwabbit/

# unpackaged files
rm -rf %{buildroot}%{_includedir}/vowpalwabbit/config.h.in

%files
%doc README.md AUTHORS
%license LICENSE
%{_bindir}/active_interactor
#%%{_bindir}/ezexample_predict
#%%{_bindir}/ezexample_train
#%%{_bindir}/library_example
%{_bindir}/logistic
%{_bindir}/spanning_tree
%{_bindir}/vw
%{_bindir}/vw-convergence
%{_bindir}/vw-csv2bin
%{_bindir}/vw-hypersearch
%{_bindir}/vw-regr
%{_bindir}/vw-top-errors
%{_bindir}/vw-varinfo
%{_bindir}/vw2csv
%dir %{_datadir}/vowpalwabbit
%{_datadir}/vowpalwabbit/vw-validate.html
%{_mandir}/man1/vw.1*

%files -n %{libname}
%{_libdir}/liballreduce.so.{%{version},%{major}}
%{_libdir}/libvw.so.{%{version},%{major}}
%{_libdir}/libvw_c_wrapper.so.{%{version},%{major}}

%files -n %{develname}
%dir %{_includedir}/vowpalwabbit
%{_includedir}/vowpalwabbit/*.h
%{_libdir}/cmake/VowpalWabbit/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libvw.pc
%{_libdir}/pkgconfig/libvw_c_wrapper.pc
