Name:           voxelands
Version:        1709.00
Release:        %mkrel 4
Summary:        The fun-focused free software voxel world game
Group:          Games/Simulation
License:        GPLv3+
URL:            https://www.voxelands.com/
# https://gitlab.com/voxelands/voxelands/tags
Source0:        %{name}-%{version}.tar.xz
Patch0:         voxelands-1709.00-mga-games-and-locale-install-paths.patch
Patch1:         voxelands-1409.00-mga-desktop-file.patch
# https://gitlab.com/voxelands/voxelands/merge_requests/109
Patch2:         0001-CMake-Fix-include-path-for-out-of-source-build.patch

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  irrlicht-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(jthread)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vorbis)

%description
Voxelands (formerly “Minetest-Classic”) is a fork of Minetest-C55, aiming
to return Minetest to the speedy game it was once known as, while fixing
bugs and continuing to add features and functionality. It aims to be a fast,
polished 3D sandbox voxel world game, rather than just a base for modding.

Voxelands features hundreds of blocks, official and player-run servers,
a growing community and rapid development.

%prep
%setup -q
%autopatch -p1

%build
%cmake \
       -DRUN_IN_PLACE=0 \
       -DENABLE_FREETYPE=1 \
       -DBUILD_SHARED_LIBS=OFF \
       -DJTHREAD_INCLUDE_DIR=%{_includedir}/jthread
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.txt doc/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-server
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}*.6*
