%define upname libvpl

%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           vpl
Version:        2.13.0
Release:        %mkrel 1
Summary:        Intel Video Processing Library (Intel VPL) dispatcher, tools, and examples
License:        MIT
Group:          System/Libraries
Url:            https://intel.github.io/libvpl
Source0:        https://github.com/intel/libvpl/archive/v%{version}/%{upname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(libva-drm)
BuildRequires:  pkgconfig(libva-x11)
BuildRequires:  pkgconfig(pciaccess)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)

%description
Intel® Video Processing Library (Intel VPL) supports AI visual inference,
media delivery, cloud gaming, and virtual desktop infrastructure use cases by
providing access to hardware accelerated video decode, encode, and frame
processing capabilities on Intel® GPUs.

%package -n %{libname}
Summary:        Intel Video Processing Library (Intel VPL) dispatcher, tools, and examples
Group:          System/Libraries

%description -n %{libname}
Intel® Video Processing Library (Intel VPL) supports AI visual inference,
media delivery, cloud gaming, and virtual desktop infrastructure use cases by
providing access to hardware accelerated video decode, encode, and frame
processing capabilities on Intel® GPUs.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       onevpl-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

%prep
%autosetup -p1 -n %{upname}-%{version}

%build
%cmake \
	-DBUILD_TESTS=OFF

%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/vpl/licensing/

%files
%doc CHANGELOG.md README.md SECURITY.md
%dir %{_sysconfdir}/vpl
%{_sysconfdir}/vpl/vars.sh
%{_datadir}/vpl/

%files -n %{libname}
%doc CHANGELOG.md README.md SECURITY.md
%license LICENSE
%{_libdir}/libvpl.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/vpl/
%{_libdir}/cmake/vpl/
%{_libdir}/libvpl.so
%{_libdir}/pkgconfig/vpl.pc
