Name:           vpnc
Version:        0.5.3
Release:        %mkrel 18
Summary:        A free vpn client for the Cisco 3000 concentrators
License:        GPLv2+
Group:          Networking/Other
Url:            https://www.unix-ag.uni-kl.de/~massar/vpnc/
Source0:        https://www.unix-ag.uni-kl.de/~massar/vpnc/%{name}-%{version}.tar.gz
# taken from https://gitlab.com/openconnect/vpnc-scripts
Source1:        vpnc-script
Patch0:         vpnc-0.5.3-linkage.patch
Requires:       iproute2
BuildRequires:  libgcrypt-devel
Provides:       kvpnc-backend

%description
A free VPN client for the cisco3000 VPN Concentrator, completely in userspace,
Requires Universal TUN/TAP device driver support compiled in the kernel or as a
module.


%prep
%setup -q
%patch -P 0 -p0

perl -pi -e 's|/var/run/vpnc/pid|/var/run/vpnc.pid|' config.c vpnc-disconnect

%build
%serverbuild
%make_build CFLAGS="%{optflags}" LFLAGS="%{?ldflags}"

%install
install -d -m 755 %{buildroot}%{_sbindir}
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man8
install -d -m 755 %{buildroot}%{_mandir}/man1
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}
install -m 755 {vpnc,vpnc-disconnect,cisco-decrypt} \
    %{buildroot}%{_sbindir}
install -m 755 pcf2vpnc %{buildroot}%{_bindir}
install -m 755 vpnc.8 %{buildroot}%{_mandir}/man8
install -m 755 cisco-decrypt.1 %{buildroot}%{_mandir}/man1
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}

install -m 755 %{SOURCE1} %{buildroot}%{_sbindir}/vpnc-script
ln -s %{_sbindir}/vpnc-script %{buildroot}%{_sysconfdir}/%{name}/vpnc-script

%files
%doc COPYING README TODO VERSION ChangeLog
%{_mandir}/man8/vpnc.8*
%{_mandir}/man1/cisco-decrypt.1*
%{_sbindir}/*
%{_bindir}/*
%{_localstatedir}/lib/%{name}
%{_sysconfdir}/%{name}
