%define rev	git20181123

%define major	2
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary:	Qt wrapper library for vk.com API
Name:		vreen
# From CMakeLists.txt
Version:	0.9.5
Release:	%mkrel -c %{rev} 2
License:	LGPLv3+
Group:		System/Libraries
Url:		https://github.com/alekseysidorov/vreen
# From git
Source0:	https://github.com/gorthauer/vreen/archive/master.tar.gz#/%{name}-%{version}%{?rev:%{rev}}.tar.gz
Patch0:		vreen-qt5-check.patch
Patch1:		vreen-linkage.patch
Patch2:		vreen-0.9.5-mga-no-lto.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(proj)


%description
Qt wrapper library for VKontakte social network (vk.com) API.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Qt wrapper library for vk.com API
Group:		System/Libraries

%description -n %{libname}
Qt wrapper library for VKontakte social network (vk.com) API.

%files -n %{libname}
%doc AUTHORS
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for vk.com API Qt wrapper library
Group:		Development/C++
Requires:	%{libname} = %{version}

%description -n %{devname}
Development files for %{name} library.

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}oauth.a

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-master
%autopatch -p1

%build
%cmake_qt5 \
	-DVREEN_WITH_QMLAPI=OFF
%cmake_build

%install
%cmake_install
