Name:		vstar
Version:	2.24.0
Release:	%mkrel 1
Summary:	Variable star plotting
License:	GPLV2+
Group:		Sciences/Astronomy
Url:		https://www.aavso.org/vstar
Source0:	%{name}-%{version}.tar.gz
#svn export  http://vstar.svn.sourceforge.net/svnroot/vstar/tags/DEV-AAVSO-XXXXX vstar-XXXXX
#rm -rf vstar-XXXXX/mockups
#tar cjf vstar-XXXXX.tar.bz2 vstar-XXXXX
#rm -rf vstar-XXXXX

BuildRequires:	java-devel
BuildRequires:	ant
# Build runs svnversion
BuildRequires:	subversion
BuildRequires:  locales
Requires:	java
BuildArch:	noarch

%description
VStar is a multi-platform, easy-to-use variable star data
visualization and analysis tool that was developed as part of the
Citizen Sky project. Data for a star can be read from the AAVSO
database or from a text file of your own creation. It will plot the
data on a light curve then its up to you what happens next!

%prep
%setup -q -n VStar-%version
%autopatch -p1

%build
LC_ALL=UTF-8 ant

%install
#make some install dirs
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_exec_prefix}/lib/%{name}

#icons
%{__mkdir_p} %{buildroot}/%{_datadir}/icons
cp extlib/vstaricon.png %{buildroot}/%{_datadir}/icons/vstar.png

#install package
cp -avr dist %{buildroot}%{_exec_prefix}/lib/%{name}
cp -avr extlib %{buildroot}%{_exec_prefix}/lib/%{name}

cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
cd %{_exec_prefix}/lib/%{name}
java -splash:"extlib/vstaricon.png" \
     -Xms25m -Xmx500m -jar "dist/vstar.jar" $*
EOF

#make our launch wrapper executable
chmod +x %{buildroot}%{_bindir}/*

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=VStar
Comment=%summary
Exec=%{name}
Terminal=false
Type=Application
Icon=vstar
Categories=Astronomy;Education;Science;
EOF


%files
%doc doc data FAQ.txt
%{_bindir}/vstar
%{_exec_prefix}/lib/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/vstar.png

