%define api		2.91
%define apigtk4		3.91
%define major		0
%define libname		%mklibname vte %{api} %{major}
%define libgtk4name	%mklibname vte-gtk4_ %{api} %{major}
%define girname		%mklibname vte-gir %{api}
%define girgtk4name	%mklibname vte-gir %{apigtk4}
%define develname	%mklibname -d %{name}
%define develgtk4name	%mklibname -d %{name}-gtk4

Name:		vte
Version:	0.80.0
Release:	%mkrel 1
Summary:	A terminal emulator widget
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/vte/%{url_ver}/vte-%{version}.tar.xz
BuildRequires:	fast_float
BuildRequires:	gi-docgen
BuildRequires:	gperf
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(cairo-xlib)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(x11)
BuildRequires:	systemd
Requires:	%{name}-profile >= %{version}-%{release}

%description
VTE is a terminal emulator widget for use with GTK+ 3.0 and GTK+ 4.0.

%package glade
Summary:	Glade catalogs and icons for VTE Terminal
Group:		Development/Other
BuildArch:	noarch

%description glade
Glade catalogs and icons for VTE Terminal.

%package -n %{libname}
Summary:        GTK3 terminal emulator library
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
VTE is a library implementing a terminal emulator widget for GTK 3. VTE is
mainly used in gnome-terminal, but can also be used to embed a console/terminal
in games, editors, IDEs, etc.

%package -n %{libgtk4name}
Summary:        GTK4 terminal emulator library
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libgtk4name}
VTE is a library implementing a terminal emulator widget for GTK 4. VTE is
mainly used in gnome-terminal, but can also be used to embed a console/terminal
in games, editors, IDEs, etc.

%package gtk3
Summary:	VTE demo app based on GTK+ 3
Group:		Graphical desktop/GNOME

%description gtk3
VTE demo app based on GTK+ 3.

%package gtk4
Summary:	VTE demo app based on GTK+ 4
Group:		Graphical desktop/GNOME

%description gtk4
VTE demo app based on GTK+ 4.

%package -n %{develname}
Summary:	Files needed for developing applications which use VTE for GTK+ 3
Group:		Development/C
Provides:	vte-devel = %{version}-%{release}
Provides:	vte3-devel = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Recommends:	%{name}-glade = %{version}-%{release}
Recommends:	%{name}-gtk3 = %{version}-%{release}

%description -n %{develname}
VTE is a terminal emulator widget for use with GTK+ 3.0. This package contains
the files needed for building applications using VTE.

%package -n %{develgtk4name}
Summary:	Files needed for developing applications which use VTE for GTK+ 4
Group:		Development/C
Provides:	vte-gtk4-devel = %{version}-%{release}
Requires: 	%{libgtk4name} = %{version}-%{release}
Requires:	%{girgtk4name} = %{version}-%{release}
Recommends:	%{name}-glade = %{version}-%{release}
Recommends:	%{name}-gtk4 = %{version}-%{release}

%description -n %{develgtk4name}
VTE is a terminal emulator widget for use with GTK+ 4.0. This package contains
the files needed for building applications using VTE.

%package -n %{girname}
Summary:	GObject Introspection interface description for vte with GTK+ 3.0
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for vte with GTK+ 3.0.

%package -n %{girgtk4name}
Summary:	GObject Introspection interface description for vte with GTK+ 4.0
Group:		System/Libraries
Requires:	%{libgtk4name} = %{version}-%{release}

%description -n %{girgtk4name}
GObject Introspection interface description for vte with GTK+ 4.0.

%package profile
Summary:	Profile script for VTE terminal emulator library
BuildArch:	noarch

%description profile
This package package contains a profile.d script for the VTE terminal emulator
library.

%prep
%autosetup -p1 -n vte-%{version}

%build
%meson -Ddocs=true -Dgtk3=true -Dgtk4=true
%meson_build

%install
%meson_install

%find_lang vte-%{api}

%files -f vte-%{api}.lang
%{_libexecdir}/vte-urlencode-cwd
%{_userunitdir}/vte-spawn-.scope.d/defaults.conf

%files gtk3
%{_bindir}/vte-%{api}
%{_datadir}/applications/org.gnome.Vte.App.Gtk3.desktop
%{_datadir}/xdg-terminals/org.gnome.Vte.App.Gtk3.desktop

%files gtk4
%{_bindir}/vte-%{api}-gtk4
%{_datadir}/applications/org.gnome.Vte.App.Gtk4.desktop
%{_datadir}/xdg-terminals/org.gnome.Vte.App.Gtk4.desktop

%files glade
%{_datadir}/glade/catalogs/%{name}*
%{_datadir}/glade/pixmaps/hicolor/*/*/*-%{name}*.*

%files profile
%{_sysconfdir}/profile.d/vte.sh
%{_sysconfdir}/profile.d/vte.csh

%files -n %{libname}
%{_libdir}/libvte-%{api}.so.%{major}{,.*}

%files -n %{libgtk4name}
%{_libdir}/libvte-%{api}-gtk4.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Vte-%{api}.typelib

%files -n %{girgtk4name}
%{_libdir}/girepository-1.0/Vte-%{apigtk4}.typelib

%files -n %{develname}
%doc %{_docdir}/vte-%{api}/
%{_includedir}/vte-%{api}
%{_libdir}/libvte-%{api}.so
%{_libdir}/pkgconfig/vte-%{api}.pc
%{_datadir}/gir-1.0/Vte-%{api}.gir
%{_datadir}/vala/vapi/vte-%{api}.deps
%{_datadir}/vala/vapi/vte-%{api}.vapi

%files -n %{develgtk4name}
%doc %{_docdir}/vte-%{api}-gtk4/
%{_includedir}/vte-%{api}-gtk4/
%{_libdir}/libvte-%{api}-gtk4.so
%{_libdir}/pkgconfig/vte-%{api}-gtk4.pc
%{_datadir}/gir-1.0/Vte-%{apigtk4}.gir
%{_datadir}/vala/vapi/vte-%{api}-gtk4.deps
%{_datadir}/vala/vapi/vte-%{api}-gtk4.vapi
