# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define libver  %(echo %{version} | cut -d'.' -f-3)

%define uname   Vulkan-Loader

Name:           vulkan-loader
Version:        1.4.304.0
Release:        %mkrel 1
Summary:        Vulkan ICD desktop loader
Group:          System/Libraries
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Loader
Source0:        https://github.com/KhronosGroup/Vulkan-Loader/archive/vulkan-sdk-%{version}/%{uname}-sdk-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  python3-devel
BuildRequires:  vulkan-headers = %{version}

%description
This project provides the Khronos official Vulkan ICD desktop
loader for Windows, Linux, and MacOS.

%package -n %{libname}
Summary:        Library files for the Vulkan ICD loader
Group:          System/Libraries

%description -n %{libname}
Library files for the Vulkan ICD loader.

%package -n %{devname}
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Requires:       vulkan-headers >= %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       vulkan-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing
applications that use the Vulkan ICD loader.

%prep
%autosetup -p1 -n %{uname}-vulkan-sdk-%{version}

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

# create the filesystem
install -d \
    %{buildroot}%{_sysconfdir}/vulkan/{explicit_layer,implicit_layer,icd}.d/ \
    %{buildroot}%{_datadir}/vulkan/{explicit_layer,implicit_layer,icd}.d/

%files -n %{libname}
%doc README.md CONTRIBUTING.md
%license LICENSE.txt
%dir %{_sysconfdir}/vulkan
%dir %{_sysconfdir}/vulkan/explicit_layer.d
%dir %{_sysconfdir}/vulkan/icd.d
%dir %{_sysconfdir}/vulkan/implicit_layer.d
%dir %{_datadir}/vulkan
%dir %{_datadir}/vulkan/explicit_layer.d
%dir %{_datadir}/vulkan/icd.d
%dir %{_datadir}/vulkan/implicit_layer.d
%{_libdir}/libvulkan.so.%{major}
%{_libdir}/libvulkan.so.%{libver}

%files -n %{devname}
%{_libdir}/pkgconfig/vulkan.pc
%{_libdir}/cmake/VulkanLoader/
%{_libdir}/libvulkan.so
