# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

%define uname   Vulkan-Tools

Name:           vulkan-tools
Version:        1.4.304.0
Release:        %mkrel 1
Summary:        Vulkan utilities and tools
Group:          Development/Tools
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Tools
Source0:        https://github.com/KhronosGroup/Vulkan-Tools/archive/vulkan-sdk-%{version}/%{uname}-sdk-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  glslang
BuildRequires:  vulkan-volk
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  python3-devel

%description
This project provides Khronos official Vulkan Tools and Utilities for
Windows, Linux, Android, and MacOS.

%prep
%autosetup -p1 -n %{uname}-vulkan-sdk-%{version}

%build
%cmake -GNinja \
       -DGLSLANG_INSTALL_DIR=%{_bindir}
%cmake_build

%install
%cmake_install

%files
%doc README.md CONTRIBUTING.md
%license LICENSE.txt
%{_bindir}/vkcube
%{_bindir}/vkcubepp
%{_bindir}/vulkaninfo
