# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

%define major    1
%define libname  %mklibname vulkanlayersettings %{major}
%define libname2 %mklibname vulkansafestruct %{major}
%define devname  %mklibname vulkanutilitylibraries -d

%define uname   Vulkan-Utility-Libraries

Name:           vulkan-utility-libraries
Version:        1.4.304.0
Release:        %mkrel 1
Summary:        Vulkan utility libraries
Group:          System/Libraries
License:        Apache-2.0
URL:            https://github.com/KhronosGroup/Vulkan-Utility-Libraries
Source0:        %url/archive/vulkan-sdk-%{version}/%{uname}-sdk-%{version}.tar.gz
Patch0:         vulkan-utility-libraries-shared.patch

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  python3-devel
BuildRequires:  vulkan-headers

%description
Vulkan utility libraries.

%package -n %{libname}
Summary:        Library files for %{name}
Group:          System/Libraries

%description -n %{libname}
Library files for Vulkan Utility Libraries.

%package -n %{libname2}
Summary:        Library files for %{name}
Group:          System/Libraries

%description -n %{libname2}
Library files for Vulkan Utility Libraries.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname2} = %{version}-%{release}
Requires:       vulkan-headers
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}

Obsoletes:      vulkan-utility-libraries < 1.3.290.0-2

%description -n %{devname}
This package contains libraries and header files for developing
applications that use %{name}.

%prep
%autosetup -p1 -n %{uname}-vulkan-sdk-%{version}

%build
%cmake \
        -DVERSION=%{version} \
        -DSOVERSION=%{major} \
        -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
        -DBUILD_TESTS:BOOL=OFF \
        -DVUL_WERROR:BOOL=OFF \
        -DUPDATE_DEPS:BOOL=OFF \
        -GNinja
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE.md
%doc README.md
%{_libdir}/libVulkanLayerSettings.so.%{major}{,.*}

%files -n %{libname2}
%license LICENSE.md
%doc README.md
%{_libdir}/libVulkanSafeStruct.so.%{major}{,.*}

%files -n %{devname}
%license LICENSE.md
%doc README.md
%{_includedir}/vulkan/
%{_libdir}/cmake/VulkanUtilityLibraries/
%{_libdir}/libVulkanLayerSettings.so
%{_libdir}/libVulkanSafeStruct.so
