# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

# (akien) No soname upstream, using 1 for now like other SDK components.
# Without proper soname, the devel package would not generate the
# devel() provides that RPM relies on to pull in the proper deps
# in reverse dependencies.
%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define uname   Vulkan-ValidationLayers

Name:           vulkan-validation-layers
Version:        1.4.304.0
Release:        %mkrel 1
Summary:        Vulkan validation layers
Group:          System/Libraries
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-ValidationLayers
Source0:        https://github.com/KhronosGroup/Vulkan-ValidationLayers/archive/vulkan-sdk-%{version}/%{uname}-sdk-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  glslang-devel
BuildRequires:  cmake(VulkanUtilityLibraries)
BuildRequires:  pkgconfig(SPIRV-Tools)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  python3

%description
This project provides the Khronos official Vulkan validation layers for
Windows, Linux, Android, and MacOS.

%prep
%autosetup -p1 -n %{uname}-vulkan-sdk-%{version}

%build
%cmake \
    -GNinja \
    -DBUILD_LAYER_SUPPORT_FILES=ON \
    -DGLSLANG_INSTALL_DIR=%{_bindir} \
    -DSPIRV_HEADERS_INSTALL_DIR=%{_prefix} \
    -DVULKAN_HEADERS_INSTALL_DIR=%{_prefix} \
    -DUSE_ROBIN_HOOD_HASHING=OFF
# (akien) robin_hood disabled because not packaged yet.
%cmake_build

%install
%cmake_install

%files
%doc README.md CONTRIBUTING.md
%license LICENSE.txt
%{_datadir}/vulkan/explicit_layer.d/VkLayer_*.json
%{_libdir}/libVkLayer_*.so
