# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

Name:           vulkan-volk
Version:        1.4.304.0
Release:        %mkrel 1
Summary:        Meta loader for Vulkan API
Group:          System/Libraries
License:        MIT
URL:            https://github.com/zeux/volk
Source0:        %url/archive/vulkan-sdk-%{version}/Vulkan-Volk-sdk-%{version}.tar.gz
# from opensuse
Patch0:         vulkan-volk-shared.patch

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  vulkan-headers

Requires:       vulkan-headers
Conflicts:      volk-devel

Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description
Meta loader for Vulkan API.

%prep
%autosetup -n volk-vulkan-sdk-%{version} -p1

%build
%cmake \
        -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
        -DVOLK_INSTALL:BOOL=ON \
        -GNinja
%cmake_build

%install
%cmake_install

%files
%license LICENSE.md
%doc README.md
%{_includedir}/volk.h
%{_includedir}/volk.c
%{_libdir}/cmake/volk/
%{_libdir}/libvolk.so
