%global __requires_exclude .*BugzillaClient.*

Summary:	Tool to manage mind maps
Name:		vym
Version:	2.9.26
Release:	%mkrel 1
URL:		https://www.insilmaril.de/vym
License:	GPLv2
Group:		Office/Utilities
Source0:	https://github.com/insilmaril/vym/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Source1:	vym-doc-2.9.0.pdf
#Source1:	https://sourceforge.net/projects/vym/files/%{version}/vym.pdf#/%{name}-doc-%{version}.pdf
Source2:	vym.xml
Source3:	vym-logo-new-16.png
Source4:	vym-logo-new-22.png
Source5:	vym-logo-new-24.png
Source6:	vym-logo-new-32.png
Source7:	vym-logo-new-48.png
Source8:	vym-logo-new-256.png
#Patch0:		vym-2.9.0-mga-find-right-man-file.patch 
#Patch0:		%{name}-2.8.8-mga-qttranslations.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	qttools5
%{?filter_setup:
%filter_from_requires /^perl(BugzillaClient)$/d
%?perl_default_filter
}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(BugzillaClient\\)
Requires:	perl-BZ-Client
Requires:	unzip
Requires:	zip
Requires:	xsltproc
Requires:	qttranslations5
Recommends:	ruby

%description
VYM (View Your Mind) is a tool to generate and manipulate maps which
show your thoughts. Such maps can help you to improve your creativity
and effectiveness. You can use them for time management, to organize
tasks, to get an overview over complex contexts, to sort your ideas etc.

Maps can be drawn by hand on paper or a flip chart and help to structure
your thoughts. While a tree-like structure can be drawn by hand or any
drawing software vym offers much more features to work with such maps.

vym is not another drawing software, but a tool to store and modify
information in an intuitive way. For example you can reorder parts of
the map by pressing a key or add various information like a complete
email by a simple mouse click.

%prep
%autosetup -p1

%build
%global docval %{_docdir}
%cmake -DCMAKE_INSTALL_DATAROOTDIR:PATH=share/vym
%cmake_build

#translations
%{_qt5_bindir}/lrelease vym.pro

%install
mkdir -p %{buildroot}%{_datadir}/vym
%cmake_install

#cleanup translations
find %{buildroot} -name "*.ts" -delete

install -m a+rx,u+w -d %{buildroot}%{_datadir}/mime/packages
install -p -m a+r,u+w %{SOURCE2} %{buildroot}%{_datadir}/mime/packages/vym.xml

%{__mkdir} -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps
%{__cp} -p %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{__cp} -p icons/%{name}.xpm %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.xpm

%{__mkdir} -p %{buildroot}%{_iconsdir}/hicolor/22x22/apps
%{__cp} -p %{SOURCE4} %{buildroot}%{_iconsdir}/hicolor/22x22/apps/%{name}.png

%{__mkdir} -p %{buildroot}%{_iconsdir}/hicolor/24x24/apps
%{__cp} -p %{SOURCE5} %{buildroot}%{_iconsdir}/hicolor/24x24/apps/%{name}.png

%{__mkdir} -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps
%{__cp} -p %{SOURCE6} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

%{__mkdir} -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
%{__cp} -p %{SOURCE7} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{__cp} -p icons/%{name}-editor.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}-editor.png

%{__mkdir} -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
%{__cp} -p %{SOURCE8} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Vym
Comment=View Your Mind
Comment[af]=View Your Mind (Besigitig jou verstand)
Comment[sq]=View Your Mind (Shfaq Mendjen Tënde)
Comment[ast]=View Your Mind (Ve la to miente)
Comment[bn]=View Your Mind (আপনার উদ্দেশ্য প্রদর্শন করুন)
Comment[bs]=View Your Mind (Pogledajte svoje misli)
Comment[ca@valencia]=View Your Mind (Visualitzeu la vostra ment)
Comment[ca]=View Your Mind (Visualitzeu la vostra ment)
Comment[zh_CN]=View Your Mind (浏览您的思维)
Comment[da]=View Your Mind (Vis dit sind)
Comment[et]=View Your Mind (Vaata oma mõtteid)
Comment[fi]=View Your Mind (Näytä mielesi)
Comment[fr]=View Your Mind (Cartographier vos idées)
Comment[gl]=View Your Mind (Vexa a súa mente)
Comment[ky]=View Your Mind (Акылыңды иштетип көр)
Comment[oc]=View Your Mind (Cartografiar vòstras idèas)
Comment[pl]=View Your Mind (Uzewnętrznia myśli)
Comment[ro]=View Your Mind (Hărți mentale)
Comment[ru]=View Your Mind (Просмотр ваших мыслей)
Comment[sl]=View Your Mind (Oglejte si svoje misli)
Comment[es]=View Your Mind (Vea su mente)
Comment[vi]=View Your Mind (Xem tư duy của bạn)
GenericName=Vym - View Your Mind
GenericName[af]=Besigitig jou verstand
GenericName[sq]=Shfaq Mendjen Tënde
GenericName[ast]=Ve la to miente
GenericName[bn]=আপনার উদ্দেশ্য প্রদর্শন করুন
GenericName[bs]=Pogledajte svoje misli
GenericName[ca@valencia]=Visualitzeu la vostra ment
GenericName[ca]=Visualitzeu la vostra ment
GenericName[zh_CN]=浏览您的思维
GenericName[da]=Vis dit sind
GenericName[et]=Vaata oma mõtteid
GenericName[fi]=Näytä mielesi
GenericName[fr]=Cartographier vos idées
GenericName[gl]=Vexa a súa mente
GenericName[ky]=Акылыңды иштетип көр
GenericName[oc]=Cartografiar vòstras idèas
GenericName[pl]=Uzewnętrznia myśli
GenericName[ro]=Hărți mentale
GenericName[ru]=Просмотр ваших мыслей
GenericName[sl]=Oglejte si svoje misli
GenericName[es]=Vea su mente
GenericName[vi]=Xem tư duy của bạn
StartupNotify=true
Terminal=false
Type=Application
Icon=%{name}
Exec=%{name} %%f
MimeType=application/x-vym;application/zip;
Categories=KDE;Qt;Office;Chart;
EOF

gunzip %{buildroot}%{_datadir}/vym/man/vym.1.gz
%__mkdir_p %{buildroot}%{_mandir}/man1
%__mv %{buildroot}%{_datadir}/vym/man/vym.1 %{buildroot}%{_mandir}/man1/
%__rm %{buildroot}%{_datadir}/vym/doc/ViewYourMind/doc/vym.1.gz
%__rm -rf %{buildroot}%{_datadir}/vym/man

%files
%license LICENSE.txt
%doc README.md demos/* doc/*.pdf
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_mandir}/man1/%{name}.*
