# TODO add option to remove dependencies

%define gcversion gc6.3
%define gitcommit c8223fed7cc631ad85d8e5665e509e7988bedbab
%define gitdate 20230121

Summary:        Pager that can also be used as text-based web browser
Name:           w3m
Version:        0.5.3
Release:        %mkrel 13.git%{gitdate}.1
Group:          Networking/WWW
License:        MIT-like
URL:            https://github.com/tats/w3m/
Source0:	https://github.com/tats/w3m/archive/%{gitcommit}/%{name}-git%{gitdate}.tar.gz
Source2:        w3mconfig

Patch0:         0001-allow-to-configure-the-accept-option-for-bad-cookies.patch

# let help handle japanese
Patch10:        w3m-0.5.3-helpcharset.patch
# Fix build
Patch17:        w3m-0.5.3-x11.patch

Patch19:        w3m-0.5.3-fix-oob-access.patch

Provides:       webclient
BuildRequires:  gpm-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:  imlib2-devel
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:  termcap-devel
BuildRequires:  pkgconfig(bdw-gc)
BuildRequires:  pkgconfig(gdk-pixbuf-xlib-2.0)

%global __requires_exclude        perl\\(w3mhelp-.*\\)

%description
W3m is a text-based web browser as well as a pager like `more' or
`less'. With w3m you can browse web pages through a terminal emulator
window (xterm, rxvt or something like that). Moreover, w3m can be used
as a text formatting tool which typesets HTML into plain text. w3m also
provides w3mman which is a great manpage browser.

%prep
%setup -q -n %{name}-%{version}-git%{gitdate}
%autopatch -p1

%{__cp} -a %{SOURCE2} w3mconfig

%build
sed -i s/showaudio/mplayer/ config.h.in
export CFLAGS="$RPM_OPT_FLAGS -DUSE_BUFINFO -DOPENSSL_NO_SSL_INTERN -D_GNU_SOURCE $(getconf LFS_CFLAGS) -fno-strict-aliasing `ncursesw6-config --cflags` -fPIE -I%{_includedir}/glib-2.0 -I%{_libdir}/glib-2.0/include -I%{_includedir}/gdk-pixbuf-2.0"

%{configure} \
                --with-browser=%{_bindir}/www-browser \
                --with-editor=%{_bindir}/vi \
                --with-mailer=/bin/mail \
                --with-termlib=ncurses \
                --enable-alarm \
                --enable-ansi-color \
                --enable-bgcolor \
                --enable-color \
                --enable-cookie \
                --enable-dict \
                --enable-digest-auth \
                --enable-external-uri-loader \
                --enable-gopher \
                --enable-help-cgi \
                --enable-history \
                --enable-image \
                --enable-ipv6 \
                --disable-japanese \
                --enable-keymap=w3m \
                --enable-menu \
                --enable-mouse \
                --enable-nntp \
                --enable-sslverify \
                --enable-w3mmailer \
                --disable-xface \
                --enable-m17n \
                --enable-unicode \
                --with-charset=UTF-8

make

%install
install -d %{buildroot}/{%{_bindir},{%{_datadir},%{_libdir}}/%{name},%{_mandir}/{,ja_JP.ujis}/man1}

%make_install

install -m0644 doc-jp/w3m.1 %{buildroot}/%{_mandir}/ja_JP.ujis/man1
install -m0644 doc/w3m.1 %{buildroot}/%{_mandir}/man1

install -d %{buildroot}%{_sysconfdir}/w3m
install -m0644 w3mconfig %{buildroot}%{_sysconfdir}/w3m/config

rm -rf %{buildroot}/%{_mandir}/ja*

%find_lang %{name}

%files -f %{name}.lang
%doc README doc doc-jp w3mhelp-lynx_*
%dir %{_sysconfdir}/w3m
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/w3m/config
%attr(0755,root,root) %{_bindir}/*
%{_libexecdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/*/man1/w3m*.1.*

