Name:		waagent
Summary:	Windows Azure Linux Agent
Version:	2.12.0.4
Release:	%mkrel 1
License:	Apache-2.0
Group:		System/Libraries
Url:		https://github.com/Azure/WALinuxAgent
Source:		https://github.com/Azure/WALinuxAgent/archive/v%{version}/WALinuxAgent-%{version}.tar.gz
Patch0:		waagent-2.12.0.4-mageia-support.patch
Patch1:		0001-waagent.service-set-ConditionVirtualization-microsof.patch
Patch2:		0001-Fedora-do-not-require-legacycrypt.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-crypt-r
BuildRequires:	python3-distro
Requires:	ntfs-3g
Requires:	iptables
Requires:	openssh-server
Requires:	openssl
Requires:	parted
Requires:	sudo
Requires:	python3
Requires:	python3-pyasn1
Conflicts:	networkmanager

%description
The Windows Azure Linux Agent (%{name}) manages Linux provisioning and VM
interaction with the Windows Azure Fabric Controller.
This package should be installed on Linux disk images that are built to run
in the Windows Azure environment.

%prep
%autosetup -p1 -n WALinuxAgent-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%py3_install -- --lnx-distro='%_real_vendor'

mkdir -p %{buildroot}%{_localstatedir}/log
touch %{buildroot}%{_localstatedir}/log/%{name}.log

# python shebangs
%py3_shebang_fix %{buildroot}%{_sbindir}/%{name}

%post
/usr/sbin/waagent --setup --force

%files
%doc NOTICE README.md
%license LICENSE.txt
%{_sbindir}/%{name}
%{_sbindir}/%{name}2.0
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}.logrotate
%config %{_sysconfdir}/%{name}.conf
%ghost %{_localstatedir}/log/%{name}.log
%{_unitdir}/%{name}.service
%{_udevrulesdir}/66-azure-storage.rules
%{_udevrulesdir}/99-azure-product-uuid.rules
%{python3_sitelib}/azurelinuxagent/
%{python3_sitelib}/WALinuxAgent-%{version}-py%{python3_version}.egg-info/
