#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# comment out when not pre-release
#define prel	beta1

%define rel	1

Name:		wacomtablet
Version: 6.3.4
Release:	%mkrel %{rel}
Summary:	KCM module to configure Wacom linux Drivers
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		https://userbase.kde.org/Wacomtablet
Source0:	https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Patch0:		wacomtablet-fix-desktop-file.patch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6GlobalAccel)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6KCMUtils)
BuildRequires:	cmake(KF6KIO)

BuildRequires:	cmake(Plasma)
BuildRequires:	cmake(Plasma5Support)

BuildRequires:	gettext
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xorg-wacom)
BuildRequires:	pkgconfig(xi)

Provides:	kcm_tablet = %{version}-%{release}
Requires:	%{name}-kcmodule
Requires:	x11-driver-input-wacom

%description
This module implements a GUI for the Wacom Linux Drivers and extends it
with profile support to handle different button/pen layouts per profile.

%files
%doc AUTHORS COPYING README.md
%license COPYING

#-----------------------------------------------------------------------

%package -n plasma-applet-%{name}
Summary:	Plasma applet for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kcmodule = %{version}
Requires:	plasma-dataengine-%{name} = %{version}
Provides:	plasma-applet

%description -n plasma-applet-%{name}
This package provides a plasma applet for %{name}.

%files -n plasma-applet-%{name} -f plasma_applet_org.kde.plasma.wacomtablet.lang
%{_kf6_datadir}/plasma/plasmoids/org.kde.plasma.%{name}/
%{_kf6_datadir}/plasma5support/services/%{name}.operations

#-----------------------------------------------------------------------

%package -n plasma-dataengine-%{name}
Summary:	Plasma dataengine for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kcmodule = %{version}

%description -n plasma-dataengine-%{name}
This package provides the engine of the %{name} plasma applet.

%files -n plasma-dataengine-%{name}
%{_qt6_plugindir}/plasma5support/dataengine/plasma_engine_%{name}.so

#-----------------------------------------------------------------------

%package tabletfinder
Summary:	Tabletfinder tool for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kcmodule = %{version}

%description tabletfinder
This package provides a tabletfinder tool for %{name}.

%files tabletfinder
%{_kf6_bindir}/kde_wacom_tabletfinder
%{_kf6_applicationdir}/kde_wacom_tabletfinder.desktop

#-----------------------------------------------------------------------

%package kcmodule
Summary:	Kcmodule for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kded = %{version}

%description kcmodule
This package provides the necessary files for kcmmodule.

%files kcmodule -f %{name}.lang
%doc AUTHORS COPYING README.md
%license COPYING
%{_kf6_categoriesdir}/wacomtablet.categories
%{_qt6_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_wacomtablet.so
%{_kf6_docdir}/HTML/*/kcontrol/%{name}/
%{_kf6_datadir}/%{name}/
%{_kf6_metainfodir}/org.kde.plasma.%{name}.appdata.xml
%{_kf6_metainfodir}/org.kde.%{name}.metainfo.xml
%{_kf6_applicationsdir}/kcm_wacomtablet.desktop

#-----------------------------------------------------------------------

%package kded
Summary:	Kded module for %{name}
Group:		Graphical desktop/KDE

%description	kded
This package provides the kded module and dbus files for %{name}.

%files kded
%{_kf6_plugindir}/kded/wacomtablet.so
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_datadir}/dbus-1/interfaces/org.kde.Wacom*.xml

#-----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
%find_lang plasma_applet_org.kde.plasma.wacomtablet
