Name:       wapiti
Version:    3.0.5
Release:    %mkrel 5
Summary:    A web application vulnerability scanner
Group:      Security
License:    GPLv2
Url:        https://wapiti.sourceforge.net/
Source:     https://sourceforge.net/projects/wapiti/files/%{version}/wapiti3-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: pkgconfig(python3)
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(pytest-runner)

%description
Wapiti allows you to audit the security of your web applications. It performs
"black-box" scans, i.e. it does not study the source code of the application
but will scans the webpages of the deployed webapp, looking for scripts and
forms where it can inject data. Once it gets this list, Wapiti acts like a
fuzzer, injecting payloads to see if a script is vulnerable.

%prep
%setup -qn wapiti3-%{version}

# loosen reqs
sed -i -e 's/\(\s\+".*\)==/\1>=/g' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wapitiCore

# dont ship tests
rm -rf %{buildroot}%{python3_sitelib}/tests

%files -f %{pyproject_files}
%doc %{_docdir}/%{name}/
%{_bindir}/wapiti
%{_bindir}/wapiti-getcookie
%{_mandir}/man1/wapiti.1*
%{_mandir}/man1/wapiti-getcookie.1*
