Name:           wargus
Version:        3.3.2
Release:        %mkrel 1
Summary:        Warcraft II mod for the Stratagus engine
License:        GPLv2
Group:          Games/Strategy
Url:            https://github.com/WARGUS/WARGUS
Source:         https://github.com/Wargus/wargus/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         wargus-3.3.2-fix-version.patch
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  stratagus-devel
BuildRequires:  pkgconfig(libmikmod)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  libstdc++-static-devel
Requires:       stratagus = %{version}

%description
Wargus is a Warcraft2 Mod that allows you to play Warcraft2 with the
Stratagus engine, as opposed to play it with the original
Warcraft2 one.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_mandir}/man6
mv doc/*.6 %{buildroot}%{_mandir}/man6/

%files
%doc COPYING README.md doc/
%{_gamesbindir}/wargus
%{_bindir}/pudconvert
%{_bindir}/wartool
%{_datadir}/pixmaps/wargus.png
%{_datadir}/applications/wargus.desktop
%{_gamesdatadir}/stratagus/wargus
%{_mandir}/man6/*.6.*
