#SPEC by Julien Catalano

Name:		warmux
Summary:	Turn-based artillery game with your favorite free software mascots
Version:	11.04.1
Release:	%mkrel 22
License:	GPLv2+
Group:		Games/Shooter
Url:		https://www.warmux.org/
Source0:	http://download.gna.org/warmux/%{name}-%{version}.tar.bz2
Patch0:		warmux-11.04.1-zlib-include.patch
Patch1:		warmux-gcc47.patch
Patch2:		warmux-gcc60.patch
Patch3:		warmux-11.04-fribidi-1.0.patch

BuildRequires:	autoconf-archive
BuildRequires:	gettext-devel
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libxml++-2.6)
BuildRequires:	pkgconfig(SDL_gfx)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(SDL_ttf)
Obsoletes:	wormux
Requires:	%{name}-data = %{version}

%description
Have the mascots of your favorite free software titles battle it out
in the Wormux arena using dynamite, grenades, baseball bats, and bazookas.
Exterminate your opponent in a 2-D environment with toon-style scenery.
Each player controls the team of his choice (penguin, gnu, firefox,
wilber, ...) and must destroy his adversary using more or less casual
weapons. Although a minimum of strategy is required to vanquish, Wormux
is pre-eminently a "convivial mass murder" game where, turn by turn,
each member of each team attempts to produce a maximum of damage
to his opponents.

%package	data
Summary:	Games data for the %{name} game
Group:		Games/Shooter
Conflicts:	warmux < 11.04.1-1
BuildArch:	noarch

%description	data
This package contains data files for %{name} game.

%prep
%setup -q -n %{name}-11.04
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p0 -b .gcc60
%patch -P 3 -p1 -b .fribidi

%build
%configure	\
	--bindir=%{_gamesbindir} \
	--with-datadir-name=%{_gamesdatadir}/%{name} \
	--disable-rpath \
	--enable-fribidi
%make_build

%install
# allow this script to be executed
chmod +x install-sh

# drop icon extension
perl -pi -e 's/.png//g' data/warmux.desktop

%make_install localedir=%{_datadir}/locale

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-list-games
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}_files.desktop
%{_datadir}/pixmaps/%{name}_128x128.png
%{_mandir}/man6/%{name}.*

%files data
%{_gamesdatadir}/%{name}
