%global _legacy_common_support 1

%define gamelibdir	%{_libdir}/games/%{name}

Name:		warsow
Summary:	A fast-paced first-person-shooter game
Version:	2.1
Release:	%mkrel 4
License:	GPLv2
Group:		Games/Shooter
URL:		https://www.warsow.net/
# Huge, contains all data sources (500MB+)
#Source0:	http://update.warsow.gg/mirror/warsow_21_sdk.tar.gz
# Derived from http://ftp.heanet.ie/mirrors/www.getdeb.net/getdeb/ubuntu/pool/games/w/warsow/warsow_2.10.orig.tar.xz
# with embedded libraries removed.
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		warsow-2.1-fix-cmake.patch
Patch1:		warsow-2.1-fix-linkings.patch
Patch2:		qfusion-git-Remove-sound-mixer-asm-for-GNU-C.patch

# Warsow is only ported to these architectures
ExclusiveArch:	%{ix86} x86_64 %{arm}

BuildRequires:	cmake
BuildRequires:	dos2unix
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(zlib)

Requires:	%{name}-data

%description
Warsow is a free standalone first person shooter game based on the Qfusion 3D
engine (a modification of the Quake 2 GPL engine), and aimed on the competitive
scene, or the e-sports community.

The base gameplay is focused around the art of movement; speed and tricks play
a big part in the gameplay. Besides this, mapcontrol, aim, teamplay and
fragging skills play their role too.

Another twist in gameplay is the weapon system. Warsow has two firing
modes for each weapon; by picking up a weapon, you will be equipped with the
standard (weak) ammo for the weapon, but when you pick up an ammo pack, you
will equip your weapon with special (strong) ammo. Weapons may have different
damage or slightly different behaviour depending on which ammo you use.

To keep the focus on competitive gaming, visibility is important in Warsow.
Cell-shaded, cartoon-like styles on the maps, textures, and models combine for
good visibility, suitable for competitive gameplay.

%files
%doc docs/*
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*.desktop
%{_gamesdatadir}/%{name}/
%{gamelibdir}/libs/
%dir %{gamelibdir}

#----------------------------------------------------------------

%package server
Group:		Games/Shooter
Summary:	Dedicated server for Warsow
Requires:	%{name}-data

%description server
Warsow is a free and open source cross-platform
third-person action game using a modified version of the ioquake3 engine.

This package contains the dedicated server for Warsow.

%files server
%{_gamesbindir}/%{name}-server
%{_gamesbindir}/%{name}-tv-server

#----------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

sed -i -e "/fs_basepath =/ s:\.:%{_gamesdatadir}/%{name}:" source/source/qcommon/files.c

dos2unix docs/{license.txt,sourcecode_quickstart.txt}

%build
%global _vpath_srcdir source/source
%cmake \
	-DQFUSION_GAME=Warsow
%cmake_build

%install
pushd source/source
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{32x32,64x64,128x128,256x256}/apps
mkdir -p %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
mkdir -p %{buildroot}%{gamelibdir}/libs

install -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png
convert -scale 128x128 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert -scale 64x64 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 32x32 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

install -m 755 %{_vpath_builddir}/warsow.* %{buildroot}%{_gamesbindir}/%{name}
install -m 755 %{_vpath_builddir}/wsw_server.* %{buildroot}%{_gamesbindir}/%{name}-server
install -m 755 %{_vpath_builddir}/wswtv_server.* %{buildroot}%{_gamesbindir}/%{name}-tv-server

cp %{SOURCE1} "%{buildroot}%{_datadir}/applications/"

install -m 755 %{_vpath_builddir}/libs/*.so %{buildroot}%{gamelibdir}/libs/
ln -s %{gamelibdir}/libs %{buildroot}%{_gamesdatadir}/%{name}/libs
popd
