# Version of the videos in warzone2100-videos-low.
# May not match current game version (e.g. videos 2.2 for game 2.3.5).
%define videoversion 2.2

%bcond_without vulkan

Name:           warzone2100
Version:        4.5.5
Release:        %mkrel 1
Summary:        Post-nuclear real-time strategy
Group:          Games/Strategy
License:        GPLv2+
URL:            https://wz2100.net/
Source0:        https://downloads.sourceforge.net/project/%{name}/releases/%{version}/%{name}_src.tar.xz
#Patch1:         warzone2100-alt-unbundle-libs.patch

BuildRequires:  cmake
BuildRequires:  gettext-devel
BuildRequires:  p7zip
BuildRequires:  cmake(utf8cpp)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(fmt)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libsodium)
BuildRequires:  pkgconfig(libutf8proc)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(miniupnpc)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(OpenCL)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(re2)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(zlib)
%if %{with vulkan}
BuildRequires:  glslc
BuildRequires:  pkgconfig(shaderc)
BuildRequires:  pkgconfig(vulkan)
%endif

Requires:       %{name}-data = %{version}
Requires:       fonts-ttf-dejavu
Recommends:     %{name}-videos = %{videoversion}

%description
Upon entering the game you land from your transport and establish your base.
Here you conduct research, design and manufacture vehicles, build new
structures and prepare your plans of global conquest. If the game goes badly
you'll end up fighting last ditch battles here to defend your base from
enemy attacks.

Combat is frenetic, with extensive graphical effects and damage to the
terrain and buildings giving rise to flying shrapnel and boulders. Within
the game are many different structures and vehicles. From an initial Command
Centre, you then go on to build Resource Extractors to provide fuel for Power
Generators, which in turn supply energy to Factories, Research Facilities and
weapons emplacements to protect your base.

Features:
 * 400+ Technologies to research
 * 2,000+ different units to design
 * 3 Large campaign maps to conquer
 * 24 Fast play mission maps for extra action
 * Intelligence Display sets objectives dynamically
 * Interactive message system
 * Fast Play Interface graphically Based
 * Quick Screen Navigation
 * Fast Find System for units & structures
 * Set Factories to constant production
 * Automatically send each factory's units to where you want them

The Warzone 2100 ReDev Project aims to continue the vision of Pumpkin studios
started in 1999 with the game Warzone 2100, Which was closed source until
Dec 6, 2004 when it was let out the doors for the first time under a
GPL license.

%package data
Summary:        Data files for Warzone2100
BuildArch:      noarch

%description data
This package contains arch-independent data files for Warzone 2100.

%prep
%autosetup -p1 -n %{name}

# Don't use -Werror for distro builds
sed -i -e '/^CONFIGURE_WZ_COMPILER_WARNINGS()$/d' CMakeLists.txt

# Fix icon install path
sed -i 's|\${CMAKE_INSTALL_DATADIR}/icons|\${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps|' \
pkg/appstream/CMakeLists.txt

%build
%cmake \
%if %{without vulkan}
    -DWZ_ENABLE_BACKEND_VULKAN=OFF \
%endif
    -DBUILD_SHARED_LIBS=OFF \
    -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
    -DCMAKE_INSTALL_LOCALEDIR=%{_datadir}/locale \
    -DENABLE_DOCS=OFF \
    -DWZ_DATADIR=%{_gamesdatadir}/%{name} \
    -DWZ_DISTRIBUTOR=%{_vendor}
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%license COPYING COPYING.NONGPL COPYING.README
%doc %{_docdir}/%{name}
%{_datadir}/applications/net.wz2100.%{name}.desktop
%{_metainfodir}/net.wz2100.%{name}.metainfo.xml
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/net.wz2100.%{name}.png

%files data
%{_gamesdatadir}/%{name}/
