Name:		wasistlos
Version:	1.7.0
Release:	%mkrel 1
Summary:	An unofficial WhatsApp desktop application for Linux
Group:		Networking/Chat
License:	GPL-3.0
URL:		https://github.com/xeco23/WasIstLos
Source0:	https://github.com/xeco23/WasIstLos/archive/v%{version}/%{name}-%{version}.tar.gz
# Upstream patches from the release branch

BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(libcanberra)

# Let's make it easier to find this application
Provides:	whatsapp
Provides:	WhatsApp
Provides:	whatsapp-for-linux = %{version}-%{release}
Obsoletes:	whatsapp-for-linux < 1.6.5-2

%description
WasIstLos is an unofficial WhatsApp desktop application for Linux.

Features:
- Features that come with WhatsApp Web except audio and image capture
- Zoom in/out
- System tray icon
- Autostart with system
- Fullscreen mode
- Show/Hide headerbar by pressing Alt+H
- Spell check in system language. You might need to install the
  corresponding dictionary to get this working i.e. aspell-en
  package for English
- Open chat by phone number

%prep
%autosetup -p1 -n WasIstLos-%{version}

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/com.github.xeco23.WasIstLos.desktop
%{_metainfodir}/com.github.xeco23.WasIstLos.appdata.xml
%{_iconsdir}/hicolor/*/apps/*WasIstLos*.png
%{_iconsdir}/hicolor/*/status/*WasIstLos*.png
