Summary:        Software watchdog
Name:           watchdog
Version:        5.16
Release:        %mkrel 4
Group:          System/Kernel and hardware
License:        GPLv2+ & QPL
URL:            https://sourceforge.net/projects/watchdog/
Source0:        https://downloads.sourceforge.net/watchdog/%{name}-%{version}.tar.gz
Source4:        watchdog.service
Source5:        watchdog-ping.service
# Fixes building on glibc without RPC.  Sent upstream 2019-02-06.
Patch1:         0001-Choose-libtirpc-or-another-RPC-library-for-XDR-heade.patch
# Fixes potentional mem leak
Patch2:         0002-mem-leak-verbose.patch
Requires:       kernel
BuildRequires:  kernel-headers
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(libtirpc)

%description
Watchdog monitors various aspects of a machine to ensure that is has not
locked up.  In the event that a machine has locked up, watchdog will invoke
a reboot of the system.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
    CFLAGS="%{__global_cflags} -I/usr/include/tirpc" \
    LDFLAGS="%{__global_ldflags} -ltirpc"
%make_build

mv README README.orig
iconv -f ISO-8859-1 -t UTF-8 < README.orig > README

%install
install -d -m0755 %{buildroot}%{_sysconfdir}
install -d -m0755 %{buildroot}%{_sysconfdir}/watchdog.d
%make_install
install -Dp -m0644 %{SOURCE4} %{buildroot}%{_unitdir}/watchdog.service
install -Dp -m0644 %{SOURCE5} %{buildroot}%{_unitdir}/watchdog-ping.service
install -Dd -m0755 %{buildroot}%{_libexecdir}/watchdog/scripts
rm %{name}.sysconfig

%check
make check

%post
%_post_service watchdog
%_post_service watchdog-ping

%preun
%_preun_service watchdog
%_preun_service watchdog-ping

%triggerun -- watchdog < 5.16-3
# Save the current service runlevel info
# User must manually run systemd-sysv-convert --apply watchdog
# to migrate them to systemd targets
/usr/bin/systemd-sysv-convert --save watchdog >/dev/null 2>&1 ||:

# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del watchdog >/dev/null 2>&1 || :
/bin/systemctl try-restart watchdog.service >/dev/null 2>&1 || :
/bin/systemctl try-restart watchdog-ping.service >/dev/null 2>&1 || :

%files
%doc AUTHORS ChangeLog NEWS README TODO README.watchdog.ipmi examples/
%attr(0755,root,root) %{_sbindir}/watchdog
%attr(0755,root,root) %{_sbindir}/wd_keepalive
%attr(0755,root,root) %{_sbindir}/wd_identify
%{_mandir}/man5/watchdog.conf.5*
%{_mandir}/man8/watchdog.8*
%{_mandir}/man8/wd_keepalive.8*
%{_mandir}/man8/wd_identify.8*
%config(noreplace) %{_sysconfdir}/watchdog.conf
%{_unitdir}/watchdog.service
%{_unitdir}/watchdog-ping.service
%dir %{_libexecdir}/watchdog
%{_libexecdir}/watchdog/scripts
%{_sysconfdir}/watchdog.d
