Name:           wavemon
Version:        0.9.6
Release:        %mkrel 1
Summary:        Ncurses-based monitoring application for wireless network devices
License:        GPLv2+
Group:          System/Networking
URL:            https://github.com/uoaerg/wavemon
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  ncursesw-devel
BuildRequires:  libcap-devel
BuildRequires:  libpcap-devel
BuildRequires:  libnl3-devel
BuildRequires:  autoconf
BuildRequires:  automake

%description
wavemon is a wireless device monitoring application that allows you to
watch all important information like device configuration, encryption,
and power management parameters and network information at once.
Adaptive level bar graphs for link quality, signal/noise strength and
signal-to-noise ratio.  The customizable "level alarm" feature that 
notices the user of changes in signal level strength audibly and/or
visually. wavemon is able to list of access points in range and shows
full-screen level histogram displaying signal/noise levels and SNR.

%prep
%autosetup -p1

sed -r 's|\?=|=|g' -i Makefile.in

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

# Delete wrong placed doc files
rm -rf %{buildroot}%{_datadir}/%{name}/*

%files
%doc README.md
%license LICENSE
%{_mandir}/man*/%{name}*.*
%caps(cap_net_admin=ep) %{_bindir}/%{name}
