%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           wavpack
Version:        5.8.1
Release:        %mkrel 1
Summary:        Lossless Audio command-line tools for encode/decode
Group:          Sound/Utilities
License:        BSD
Url:            https://github.com/dbry/WavPack
Source0:        https://github.com/dbry/WavPack/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(ncurses)

%description
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

%package -n %{libname}
Summary:        Lossless Audio encode/decode library
Group:          System/Libraries

%description -n %{libname}
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

%package -n %{devname}
Summary:        Development files for the WavPack library
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}

%description -n %{devname}
This package contains development header and library for WavPack.

%prep
%autosetup -p1

%build
%configure \
%ifarch %{arm}
    --disable-asm \
%endif
    --disable-static \
    --disable-dependency-tracking \
    --enable-maintainer-mode \
    --enable-man \
    --disable-rpath

%make_build

%install
%make_install

%files
%doc README.md ChangeLog doc/wavpack_doc.html doc/style.css
%{_bindir}/wavpack
%{_bindir}/wvgain
%{_bindir}/wvtag
%{_bindir}/wvunpack
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc doc/WavPack5PortingGuide.pdf doc/WavPack5LibraryDoc.pdf doc/WavPack5FileFormat.pdf
%doc %_docdir/wavpack/WavPack5FileFormat.pdf
%doc %_docdir/wavpack/WavPack5LibraryDoc.pdf
%doc %_docdir/wavpack/WavPack5PortingGuide.pdf
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
