%global __requires_exclude pear\\((Zend.*|Win32)\\)
Name:          webacula
Version:       5.5.1
Release:       %mkrel 6
Summary:       Web interface of a Bacula backup system
Summary(ru):   Веб интерфейс для Bacula backup system
Group:      Archiving/Backup
License:    GPLv3+
URL:        https://webacula.sourceforge.net/
Source0:    https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:    webacula.sudoers
Patch0:     webacula-5.5.1-conf.diff
Patch1:     webacula-5.5-version.diff
BuildArch:  noarch
Requires: webserver
Requires: bacula-console >= 5.0
Requires: php-ZendFramework >= 1.8.3
Requires: php >= 5.2.4
Requires: php-pdo
Requires: php-json
Requires: php-pcre
Requires: php-gd
Requires: php-xml
Requires: apache-mod_php
Requires: sudo
Requires: php-ZendFramework-Captcha

%description
Webacula - Web Bacula - web interface of a Bacula backup system.
Supports the run Job, restore all files or selected files,
restore the most recent backup for a client,
restore backup for a client before a specified time,
mount/umount storage, show scheduled, running and terminated Jobs and more.
Supported languages: English, Czech, French, German, Italian,
Brazil Portuguese, Russian.

%description -l ru
Webacula - Web Bacula - веб интерфейс для Bacula backup system.
Поддерживает запуск Заданий, восстановление всех или выбранных файлов,
восстановление самого свежего бэкапа для клиента,
восстановление бэкапа для клиента сделанного перед указанным временем,
монтирование/размонтирование Хранилищ, показ запланированных, 
выполняющихся и завершенных Заданий и прочее.
Поддерживаемые языки: английский, чешский, французский, немецкий, итальянский,
бразильский португальский, русский.


%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_webconfdir}/conf.d/
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily/
mkdir -p %{buildroot}%{_sysconfdir}/sudoers.d/
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/application
mkdir -p %{buildroot}%{_datadir}/%{name}/html
mkdir -p %{buildroot}%{_datadir}/%{name}/languages
mkdir -p %{buildroot}%{_datadir}/%{name}/library
mkdir -p %{buildroot}%{_datadir}/%{name}/install
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/data

cp ./application/config.ini  %{buildroot}/%{_sysconfdir}/%{name}/config.ini
rm -f ./application/config.ini
ln -s %{_sysconfdir}/%{name}/config.ini  %{buildroot}/%{_datadir}/%{name}/application/config.ini 

cp ./install/apache/webacula.conf  %{buildroot}/%{_webconfdir}/conf.d/webacula.conf
rm -f ./install/apache/webacula.conf

cp -pr ./application %{buildroot}/%{_datadir}/%{name}
cp -pr ./html        %{buildroot}/%{_datadir}/%{name}
cp -pr ./languages   %{buildroot}/%{_datadir}/%{name}
cp -pr ./library     %{buildroot}/%{_datadir}/%{name}
cp -pr ./install     %{buildroot}/%{_datadir}/%{name}

ln -s %{_localstatedir}/lib/%{name}/data %{buildroot}/%{_datadir}/%{name}/data

cp %{SOURCE1} %{buildroot}%{_sysconfdir}/sudoers.d/%{name}

%files
%doc 4CONTRIBUTORS 4CONTRIBUTORS.ru AUTHORS COPYING README UPDATE ChangeLog
%doc docs/
%{_datadir}/%{name}/application
%{_datadir}/%{name}/html
%{_datadir}/%{name}/library
%{_datadir}/%{name}/install
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/languages
%config(noreplace) %{_webconfdir}/conf.d/webacula.conf
%config(noreplace) %{_sysconfdir}/%{name}/config.ini
%lang(cs) %{_datadir}/%{name}/languages/cs
%lang(de) %{_datadir}/%{name}/languages/de
%lang(en) %{_datadir}/%{name}/languages/en
%lang(es) %{_datadir}/%{name}/languages/es
%lang(fr) %{_datadir}/%{name}/languages/fr
%lang(it) %{_datadir}/%{name}/languages/it
%lang(pt) %{_datadir}/%{name}/languages/pt
%lang(ru) %{_datadir}/%{name}/languages/ru
%attr(2770, apache, apache) %dir %{_localstatedir}/lib/%{name}
%{_datadir}/%{name}/data
%{_sysconfdir}/sudoers.d/%{name}
