%define	subname		avkys
%define	major		9
%define	libname		%mklibname %{subname} %{major}
%define	develname	%mklibname %{subname} -d

Name:		webcamoid
Version:	9.2.3
Release:	%mkrel 1
Summary:	A webcam funny video tool
Group:		Video/Utilities
License:	GPLv3+
URL:		https://github.com/webcamoid/webcamoid
Source0:	https://github.com/webcamoid/webcamoid/archive/%{version}/%{name}-%{version}.tar.gz

# Upstream patches
#

BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:	pkgconfig(libpipewire-0.3)
BuildRequires:	pkgconfig(libspa-0.2)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(vlc-plugin)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(libkmod)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(libuvc)
BuildRequires:	pkgconfig(xrandr)

# mga#29166
Requires:	qt6-qtdeclarative

%description
Webcamoid is a full featured webcam capture application.
Features:
    * Take pictures and record videos with the webcam.
    * Manages multiple webcams.
    * Written in C++/Qt.
    * Custom controls for each webcam.
    * Add funny effects to the webcam.
    * +60 effects available.
    * Effects with live previews.
    * Translated to many languages.
    * Use custom network and local files as capture devices.
    * Capture from desktop.

%package -n	%{libname}
Summary:	The webcamoid library
Group:		System/Libraries
Provides:	%{subname} = %{version}-%{release}

%description -n %{libname}
This package contains the library for webcamoid.

%package -n     %{develname}
Summary:	Headers for developing programs that will use avkys lib
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{subname}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use avkys library as webcamoid.


%prep
%autosetup -p1

%build
%cmake -DPLUGINSDIR=%{_qt6_plugindir} \
       -DOUTPUT_QT_PLUGINS_DIR=%{_qt6_plugindir}
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS TODO README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%dir %{_qt6_plugindir}/avkys
%{_qt6_plugindir}/avkys/*.so
%{_metainfodir}/io.github.webcamoid.Webcamoid.metainfo.xml
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%license COPYING
%{_libdir}/lib%{subname}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
