%global commit          a59fd76dd730432c76b12ee6347ea66567107ab9
%global snapshotdate    20170219
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

%define rel 9

Name:       webkit2-sharp
Version:    0
Release:    %mkrel %{?snapshotdate:0.%{snapshotdate}git%{shortcommit}.}%{rel}
Summary:    C# bindings for WebKit 2 with GTK+ 3
Group:      Development/C#
License:    MIT
URL:        https://github.com/hbons/%{name}
%{?shortcommit:
Source0:    %url/archive/%{commit}/%{name}-%{shortcommit}.tar.gz}
%{!?shortcommit:
Source0:    %url/archive/%{commit}/%{name}-%{version}.tar.gz}

Patch0:     %{name}-a59fd76-fix_libdir.patch
# https://github.com/hbons/webkit2-sharp/issues/6
Patch1:     0001-Fix-for-new-webkit2.patch

BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig(gtk-sharp-3.0)
BuildRequires:  pkgconfig(gapi-3.0)
BuildRequires:  pkgconfig(monodoc)
BuildRequires:  atk-sharp3
BuildRequires:  cairo-sharp3
BuildRequires:  pango-sharp3
BuildRequires:  xsltproc
BuildRequires:  dos2unix
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  gettext

ExclusiveArch:  %mono_arches

#https://fedoraproject.org/wiki/Packaging:Mono#Empty_debuginfo
%global debug_package %{nil}

%description
C# bindings for WebKit 2 with GTK+ 3


%package devel
Summary:    Development files for WebKit2-sharp
Requires:   %{name} = %{version}-%{release}
Requires:   pkgconfig

%description devel
Development files for WebKit2-sharp


%prep
%{?shortcommit:
%setup -q -n %{name}-%{commit}}
%{!?shortcommit:
%setup -q -n %{name}-%{version}}
%patch -P 0 -p1
%patch -P 1 -p1


%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
sed -i 's/\r$//' COPYING
# No parallel make, race condition with monodoc
make


%install
%make_install

find %{buildroot} -name '*.la' -delete


%files
%license COPYING
%doc README.md
%{_prefix}/lib/mono/
%{_datadir}/gapi-3.0/webkit2-sharp-api.xml
%{_libdir}/libwebkit2sharpglue-2.10.9.so


%files devel
%{_libdir}/pkgconfig/webkit2-sharp-4.0.pc
%{_prefix}/lib/monodoc/sources/webkit2-sharp*
