# zero out some useless deps.
# (tv) we'd better had a link in minicom & package Encode::HanConvert:
%global __requires_exclude runscript

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\((\\.|\\.\\.)::|^perl\\((ctime.pl|saa-lib.pl|system-status-lib.pl)\\)||^perl\\(gray-theme::gray-theme-lib.pl\\)
%global __provides_exclude %__provides_exclude|^perl\\(.*\\)

# don't spend time with this either
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

Summary:	An SSL web-based administration interface for Unix systems
Name:		webmin
Version:	2.202
Release:	%mkrel 1
License:	BSD
Group:		System/Configuration
URL:		https://www.webmin.com/webmin/
Source0:	https://download.sourceforge.net/project/webadmin/%{name}/%{version}/%{name}-%{version}.tar.gz
Source2:	other.modules.tar.bz2
# some images were missing
Source33:	advanced.png
Source34:	descs.png
Source4:	webmin-postinstallscript.sh
Source5:	webmin
Source6:	webmin.initscript
# There is no easy way to get the direct link to this file. Download it manually
# and move it to the SOURCES directory.
# Remember to update the version here
# https://www.openit.it/index.php/en/downloads?task=viewcategory&catid=7
Source9:	openvpn-3.2.wbm.gz
Source10:	webmin.pam
Source11:	webmin-16.png
Source12:	webmin-32.png
Source13:	webmin-48.png
# uses include instead of pam_stack
Source14:	webmin.pam-new
Source15:	webmin.logrotate
# (gc) have the updates; this needs to change for each version and/or release, see
#      https://www.webmin.com/webmin/updates.html
Patch0:		webmin-1.950-remove-atboot-problem.diff
Patch5:		webmin-fix-newmods.patch
Patch7:		webmin-0.85-never-fail-detect-os.patch
Patch8:		webmin-0.85-enable-changed-theme-at-installation.patch

Patch19:	webmin-0.92-add-default-configs-logviewer-fp2k.patch
Patch21:	webmin-0.950-add-netsaint-mandrake-config.patch
Patch23:	webmin-1.020-ssl-location.patch
Patch29:	webmin-1.100-let-localauth-config.patch
Patch37:	webmin-temp-permission-fix.diff
Patch38:	webmin-ssldir-cosmetic.diff
Patch39:	webmin-fix-bandwith.diff
Patch44:	webmin-openvpn-config.patch
Patch45:	webmin-2.102-disable-update-notifications.patch
Patch46:	webmin-1.999-pidfile.patch

BuildRequires:	python3

Requires(post): systemd >= %{systemd_required_version}
Requires(pre):  rpm-helper
Requires:	perl
Requires:	perl-CGI
Requires:	perl(Authen::Libwrap)
Requires:	perl(IO::Tty)
Requires:	perl(JSON::PP)
Requires:	perl(Encode::Detect)
Requires:	perl(Encode::HanConvert)
Requires:	lsof
Requires(pre): sed chkconfig findutils coreutils initscripts grep perl-Net_SSLeay perl-Authen-PAM
Provides:	%{name}-%{version}
BuildArch:	noarch

%description
A web-based administration interface for Unix systems. Using Webmin you can
configure DNS, Samba, NFS, local/remote filesystems, Apache, Sendmail/Postfix,
and more using your web browser.

After installation, enter the URL https://localhost:10000/ into your browser
and login as root with your root password. Please consider logging in and
modify your password for security issue.

PLEASE NOTE THAT THIS VERSION NOW USES SECURE WEB TRANSACTIONS: YOU HAVE TO
LOGIN TO "https://localhost:10000/" AND NOT "http://localhost:10000/".

%prep

%setup -q -a 2
%setup -q -D -T -c -a 9 -n %{name}-%{version}

%patch 0 -p0
%patch 5 -p0
%patch 7 -p1
%patch 8 -p1

%patch 19 -p0
%patch 21 -p0
%patch 23 -p1
%patch 29 -p1
%patch 37 -p1
%patch 38 -p1
%patch 39 -p1
%patch 44 -p1
%patch 45 -p1
%patch 46 -p1

rm -rf inetd jabber netsaint pptp-server webalizer wuftpd
rm -rf JSON
rm -rf acl/Authen-SolarisRBAC-0.1

find bind8 -type f -maxdepth 1 | xargs perl -pi -e 's|/var/run/(named/)*named\.pid|/run/named/named.pid|'

# daouda: added mageia-linux to known OS
cp config-mandrake-linux config-mageia

perl -pi -e 's|mandrake-linux|mageia mandrake-linux| if $_ =~ /^os_support.*mandrake-linux/ && $_ !~ /mageia/' */module.info

cat <<EOF >> software/config-mandrake-linux
update_system=urpmi
EOF

perl -pi -e 's|base_([ug])id=500|base_\1id=1000|' useradmin/config-mandrake-linux

(find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -

rm -f mount/freebsd-mounts-*
rm -f mount/macos-mounts-*
rm -f mount/openbsd-mounts-*

find -name ".xvpics" -o -name ".*.swp" | xargs rm -rf

%py3_shebang_fix webmin/acme_tiny.py

%build

# nothing to do here...

%install
# IMPORTANT: there is no %{_datadir} and so on, since the directories are decided by the post install script.
mkdir -p %{buildroot}/usr/share/webmin
mkdir -p %{buildroot}/%{_initrddir}
mkdir -p %{buildroot}/usr/bin

find -type f -print0 | xargs -0 chmod a+r
find -type d -print0 | xargs -0 chmod a+rx

cp -a * %{buildroot}/usr/share/webmin
install -m755 %{SOURCE6} %{buildroot}/%{_initrddir}/webmin
install -m755 %{SOURCE4} %{buildroot}/usr/share/webmin/postinstall.sh
install -m755 %{SOURCE5} %{buildroot}/usr/bin

mkdir -p %{buildroot}/%{_sysconfdir}/pam.d

install -m755 %{SOURCE14} %{buildroot}/%{_sysconfdir}/pam.d/webmin

rm -rf %{buildroot}/usr/share/webmin/*/{CVS,*/CVS}
rm -f `find %{buildroot} -type f -name .cvsignore`

# (gc) remove zero-length files (to check sometimes if they are still zero-length'ed)
for i in /usr/share/webmin/caldera/images/letters/254.gif /usr/share/webmin/i4lctrl-0.6.7/lang/de /usr/share/webmin/caldera/images/letters/255.gif; do
    if [ -f $i ]; then rm -f %{buildroot}$i; fi
done

echo "rpm" > %{buildroot}/usr/share/webmin/install-type

echo 'blue-theme' > %{buildroot}%{_datadir}/webmin/defaulttheme


# Install icons
install -d -m 0755 %{buildroot}%{_liconsdir}
install -d -m 0755 %{buildroot}%{_miconsdir}
install -m 0644 %{SOURCE11} %{buildroot}%{_miconsdir}/webmin.png
install -m 0644 %{SOURCE12} %{buildroot}%{_iconsdir}/webmin.png
install -m 0644 %{SOURCE11} %{buildroot}%{_liconsdir}/webmin.png

# Menu entry

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=An SSL web-based administration interface for Unix systems
Exec=%{_bindir}/www-browser https://localhost:10000/
Icon=%{name}
Terminal=false
Type=Application
Categories=X-Mageia-System-Configuration-Other;Settings;
EOF

#logrotate
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m 0644 %{SOURCE15} %{buildroot}%{_sysconfdir}/logrotate.d/webmin

# create /var/run/webmin
mkdir -p %{buildroot}%{_tmpfilesdir}
cat > %{buildroot}%{_tmpfilesdir}/%{name}.conf <<EOF
d /run/webmin 0700 root bin -
EOF

%pretrans
if [ -d %{_datadir}/webmin/blue-theme ]; then
  rm -rf %{_datadir}/webmin/blue-theme
fi

%post
if [ "$1" != 0 ]; then
    service webmin status >/dev/null 2>/dev/null && need_restart=1
    service webmin stop >/dev/null 2>/dev/null || :
else
    [[ -e /etc/cron.allow ]] && if [ "x`grep root /etc/cron.allow`" == "x" ] ; then
	echo root >> /etc/cron.allow
    fi
fi
/usr/share/webmin/postinstall.sh
%_tmpfilescreate %{name}
%_post_service %{name}
[[ -n $need_restart ]] && service webmin start >/dev/null 2>/dev/null || :

%preun
%_preun_service webmin

%postun
if [ "$1" = 0 ]; then
    rm -rf /etc/webmin /var/webmin /var/lib/webmin /var/log/webmin
fi

%files
%license LICENCE
%doc README.md
%{_initrddir}/webmin
%config(noreplace) %{_sysconfdir}/pam.d/webmin
%config(noreplace) %{_sysconfdir}/logrotate.d/webmin
%{_datadir}/webmin
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*.desktop
%{_tmpfilesdir}/%{name}.conf
