# For packagers: please note webrtc-audio-processing release 1.0 (and beyond)
# moved to package webrtc-audio-processing1.

# Laziness
%define _disable_ld_no_undefined 1

# Majors
%define major 1

# Library names
%define libname %mklibname %{name} %{major}
%define libname_devel %mklibname -d %{name}

Summary: WebRTC Audio Processing Library
Name: webrtc-audio-processing
Version: 0.3.1
Release: %mkrel 4
Source0: https://freedesktop.org/software/pulseaudio/%{name}/%{name}-%{version}.tar.xz
Patch0: webrtc-fix-typedefs-on-other-arches.patch
License: Distributable
Group: System/Libraries
Url: https://freedesktop.org/software/pulseaudio/webrtc-audio-processing/

%description
Packaging friendly copy of the AudioProcessing module from the WebRTC project.
See https://code.google.com/p/webrtc/ for more details

%package -n %{libname}
Summary: WebRTC Audio Processing Library
Group: System/Libraries

%description -n %{libname}
WebRTC Audio Processing Library

%package -n %{libname_devel}
Summary: Development files for WebRTC Audio Processing Library
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname_devel}
Development files for WebRTC Audio Processing Library

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static \
%ifarch armv7hl
               --disable-neon \
%endif

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libwebrtc_audio_processing.so.%{major}
%{_libdir}/libwebrtc_audio_processing.so.%{major}.*

%files -n %{libname_devel}
%doc README* COPYING
%{_includedir}/webrtc_audio_processing/
%{_libdir}/libwebrtc_audio_processing.so
%{_libdir}/pkgconfig/%{name}.pc
