%define fname         webrtc-audio-processing

# Majors
%define major         3
# Library names
%define libname       %mklibname %{name}_ %{major}
%define libname_devel %mklibname %{name} -d

Summary:        WebRTC Audio Processing Library
Name:           webrtc-audio-processing1
Version:        1.3
Release:        %mkrel 2
License:        Distributable
Group:          System/Libraries
Url:            https://freedesktop.org/software/pulseaudio/webrtc-audio-processing/
Source0:        https://freedesktop.org/software/pulseaudio/%{fname}/%{fname}-%{version}.tar.gz

# Upstream patches merged from from https://gitlab.freedesktop.org/pulseaudio/webrtc-audio-processing
#

# other patches
Patch101:       big-endian-support.patch
Patch102:       Add-generic-byte-order-and-pointer-size-detection.patch
# actually doesn't build on i586 with these two patchset, temporarily disabling
Source103:      Avoid-SSE2-on-i386.patch
Source104:      Avoid-SSE2-on-i386-meson.patch
#
Patch105:       webrtc-audio-processing-noavx2-nosse2-i586.patch
# from PLD
Patch106:       webrtc-audio-processing1-nosimd.patch
#
BuildRequires:  meson
BuildRequires:  abseil-cpp-devel
BuildRequires:  cmake

%description
Packaging friendly copy of the AudioProcessing module from the WebRTC project.
See https://code.google.com/p/webrtc/ for more details

%package -n     %{libname}
Summary:        WebRTC Audio Processing Library
Group:          System/Libraries
# fix libpkg name
Obsoletes:      %{_lib}webrtc-audio-processing11 < 1.0-6

%description -n %{libname}
WebRTC Audio Processing Library.

%package -n     %{libname_devel}
Summary:        Development files for WebRTC Audio Processing Library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
# (daviddavid) my bad with a typo
Obsoletes:      %{_lib}webrtc-audio-processing1webrtc-audio-processing1-devel < 1.0-7

%description -n %{libname_devel}
Development files for WebRTC Audio Processing Library.

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1
#this fixed in next release, remove after update to v. 1.1
sed -i 's!absl_flags_registry!absl_flags_reflection!g' meson.build

%build
%meson \
	-Dcpp_std=gnu++17
%meson_build

%install
%meson_install

%files -n %{libname}
%{_libdir}/libwebrtc-audio-coding-1.so.%{major}
%{_libdir}/libwebrtc-audio-processing-1.so.%{major}

%files -n %{libname_devel}
%doc README* COPYING
%{_includedir}/webrtc-audio-processing-1/
%{_libdir}/libwebrtc-audio-coding-1.so
%{_libdir}/libwebrtc-audio-processing-1.so
%{_libdir}/pkgconfig/webrtc-*.pc
