# since version 0.8.0 it can't be a noarch pkg anymore due to:
# check that the installed version has the same 32/64bit-ness as the one
# which is currently searching (see in websocketpp-configVersion.cmake)
%define debug_package %{nil}

Name:    websocketpp
Summary: C++ WebSocket Protocol Library
Version: 0.8.2
Release: %mkrel 3
Group:   Development/Other
License: BSD
Url:     https://www.zaphoyd.com/websocketpp
Source0: https://github.com/zaphoyd/websocketpp/archive/%{version}/%{name}-%{version}.tar.gz
Source1: websocketpp.pc

# Switch from ExactVersion to AnyNewerVersion to improve compatibility
# https://cmake.org/cmake/help/v3.0/module/CMakePackageConfigHelpers.html
# Fixes build failure of tomahawk, which uses "find_package(websocketpp 0.2.99 REQUIRED)"
# PR submitted upstream: https://github.com/zaphoyd/websocketpp/pull/740
Patch2: websocketpp-0.8.1-cmake-configversion-compatibility-anynewerversion.patch

BuildRequires:  boost-devel
BuildRequires:  cmake

%description
WebSocket++ is an open source (BSD license) header only C++ library
that implements RFC6455 The WebSocket Protocol. It allows integrating
WebSocket client and server functionality into C++ programs. It uses
interchangeable network transport modules including one based on C++
iostreams and one based on Boost Asio.

%package devel
Summary:  C++ WebSocket Protocol Library
Group: Development/Other
Requires: boost-devel

%description devel
WebSocket++ is an open source (BSD license) header only C++ library
that implements RFC6455 The WebSocket Protocol. It allows integrating
WebSocket client and server functionality into C++ programs. It uses
interchangeable network transport modules including one based on C++
iostreams and one based on Boost Asio.

%prep
%autosetup -p1


%build
%cmake -DINSTALL_CMAKE_DIR=%{_libdir}/cmake/websocketpp
%cmake_build


%install
%cmake_install


%files devel
%doc changelog.md readme.md roadmap.md
%license COPYING
%{_includedir}/websocketpp/
%{_libdir}/cmake/websocketpp/
