%global namedreltag .SP2
%global namedversion %{version}%{?namedreltag}

Name:             weld-api
Version:          2.3
Release:          %mkrel 2%{namedreltag}.3
Group:            Development/Java
Summary:          Weld API
License:          ASL 2.0
URL:              https://weld.cdi-spec.org/
Source0:          https://github.com/weld/api/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(javax.enterprise:cdi-api)
BuildRequires:    mvn(javax.inject:javax.inject)
BuildRequires:    mvn(javax.validation:validation-api)
BuildRequires:    mvn(org.apache.maven.surefire:surefire-testng)
BuildRequires:    mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:    mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires:    mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
BuildRequires:    mvn(org.jboss.spec.javax.ejb:jboss-ejb-api_3.2_spec)
BuildRequires:    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec)
BuildRequires:    mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
BuildRequires:    mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)
BuildRequires:    mvn(org.jboss.weld:weld-parent:pom:)
BuildRequires:    mvn(org.testng:testng::jdk15:)

%description
Weld specific extensions to the CDI API.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n api-%{namedversion}

%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin ":maven-checkstyle-plugin" weld/pom.xml
%pom_remove_plugin ":maven-checkstyle-plugin" weld-spi/pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc


