# Mix of py2 and py3 files badly identified by RPM
%define _python_bytecompile_errors_terminate_build 0

Summary:	The Battle for Wesnoth - Fantasy turn-based strategy game
Name:		wesnoth
Version:	1.18.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Strategy
Url:		https://www.wesnoth.org
Source0:	https://www.wesnoth.org/files/%{name}-%{version}.tar.bz2
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(readline)
Requires:	%{name}-data = %{version}

%description
The Battle for Wesnoth is a free, turn-based tactical strategy game
with a high fantasy theme, featuring both single-player, and online/hotseat
multiplayer combat. Fight a desperate battle to reclaim the throne
of Wesnoth, or take hand in any number of other adventures.

Battle for control of villages, using variety of units which
have advantages and disadvantages in different types of terrains and
against different types of attacks. Units gain experience and advance
levels, and are carried over from one scenario to the next campaign.

%package data
Summary:	Data files for the Battle for Wesnoth game
Group:		Games/Strategy
# Use DejaVu and Lato font packages rather than included fonts
Requires:	fonts-ttf-dejavu
Requires:	lato-fonts
BuildArch:	noarch

%description data
This package contains data files for Battle for Wesnoth.

%package server
Summary:	Server for the Battle for Wesnoth game
Group:		Games/Strategy
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description server
This package contains the Battle for Wesnoth server, used to host multiplayer
games without needing to install the full client.

%prep
%autosetup -p1

%build
%cmake \
	-DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
	-DCMAKE_INSTALL_DATADIR=%{_gamesdatadir} \
	-DCMAKE_INSTALL_DATAROOTDIR=%{_datadir} \
	-DENABLE_LTO=ON
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man
%find_lang %{name}d --with-man

# Use DejaVu and Lato font packages rather than included fonts
pushd %{buildroot}%{_gamesdatadir}/wesnoth/fonts
for font in DejaVuSans*; do
  rm -f $font
  ln -sf %{_datadir}/fonts/TTF/dejavu/$font $font
done
for font in Lato*; do
  rm -f $font
  ln -sf %{_datadir}/fonts/lato/$font $font
done
popd

%files -f %{name}.lang
%doc README.md changelog.md
%doc %{_docdir}/%{name}/html/
%license COPYING copyright
%{_gamesbindir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/org.wesnoth.Wesnoth.desktop
%{_metainfodir}/org.wesnoth.Wesnoth.appdata.xml
%{_iconsdir}/HighContrast/scalable/apps/wesnoth-icon.svg
%{_iconsdir}/hicolor/*/apps/%{name}-icon.png

%files data
%{_gamesdatadir}/%{name}/

%files server -f %{name}d.lang
%{_gamesbindir}/%{name}d
%{_mandir}/man6/%{name}d.6*
%ghost %{_localstatedir}/run/%{name}d/socket
