%define wayland_ver 1.24
%global apiver   14
%global libname  %mklibname weston  %{libapiver}
%global libdevel %mklibname weston -d

%bcond_without freerdp

# "fix" underlinking:
%define _disable_ld_no_undefined 1

%global meson_prob 0

Summary:	The Weston Wayland Compositor
Name:		weston
Version:	%{apiver}.0.1
Release:	%mkrel 2
License:	MIT
Group:		Graphics/Utilities
Url:		https://wayland.freedesktop.org/
Source0:        https://gitlab.freedesktop.org/wayland/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz
# Backport from upstream
## Allow neatvnc 0.9.0 as a build dependency
Patch0:         https://gitlab.freedesktop.org/wayland/weston/-/merge_requests/1649.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(cairo-xcb)
BuildRequires:	pkgconfig(colord) >= 0.1.27
BuildRequires:	pkgconfig(dbus-1) >= 1.6
BuildRequires:	pkgconfig(egl)
%if %{with freerdp}
BuildRequires:	pkgconfig(freerdp2)
%endif
BuildRequires:	pkgconfig(gbm) >= 10.2
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-allocators-1.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libdisplay-info)
BuildRequires:	pkgconfig(libdrm) >= 2.4.30
BuildRequires:	pkgconfig(libevdev)
BuildRequires:	pkgconfig(libinput) >= 0.8.0
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libsystemd)  >= 209
BuildRequires:	pkgconfig(libudev) >= 136
BuildRequires:	pkgconfig(libunwind)
BuildRequires:	pkgconfig(libva) >= 0.34.0
BuildRequires:	pkgconfig(libva-drm) >= 0.34.0
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6
BuildRequires:	pkgconfig(mtdev) >= 1.1.0
BuildRequires:	pkgconfig(neatvnc)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(pixman-1) >= 0.25.2
BuildRequires:	pkgconfig(libseat)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(wayland-client) >= 1.12.0
BuildRequires:	pkgconfig(wayland-cursor)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(wayland-protocols) >= 1.18
BuildRequires:	pkgconfig(wayland-scanner)
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(x11-xcb)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-composite)
BuildRequires:	pkgconfig(xcb-cursor)
BuildRequires:	pkgconfig(xcb-shm)
BuildRequires:	pkgconfig(xcb-xfixes)
BuildRequires:	pkgconfig(xcb-xkb)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xwayland)
BuildRequires:	pkgconfig(libpipewire-0.3)
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(libjpeg)
Requires:	x11-data-xkbdata

%description
Weston is the reference implementation of a Wayland compositor, and a
useful compositor in its own right. Weston has various backends that
lets it run on Linux kernel modesetting and evdev input as well as
under X11.
There is also a quite capable terminal emulator (weston-terminal) and
an toy/example desktop shell. Finally, Weston also provides
integration with the Xorg server and can pull X clients into the
Wayland desktop and act as a X window manager.

%package        libs
Summary:        Weston compositor libraries
Group:          System/Libraries

%description    libs
This package contains Weston compositor libraries.

%package -n %libdevel
Summary:        Common headers for weston
Group:          Development/C
License:        MIT

%description -n %libdevel
Common headers for weston.

%prep
%autosetup -p1

%build
%if %{meson_prob}
%meson -Dpipewire=false
%else
%meson \
%if %{without freerdp}
	-Dbackend-rdp=false \
%endif
%endif
%meson_build

%install
%meson_install

for d in $(find clients/ -type f -not -name Makefile -and -not -name '*.*' -and -not -name '%{name}-*'); do
    install -m755 $d %{buildroot}%{_bindir}/%{name}-$(basename $d)
done

%files
%config %{_sysconfdir}/pam.d/weston-remote-access
%{_bindir}/%{name}
%{_bindir}/weston-[^l]*
%{_bindir}/wcap-decode
%{_libexecdir}/%{name}-*
%dir %{_libdir}/%{name}*/
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/*.so.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.svg
%{_mandir}/man*/*
%{_datadir}/wayland-sessions/weston.desktop

%files libs
%license COPYING
%dir %{_libdir}/libweston-%{apiver}
%{_libdir}/libweston-%{apiver}/color-lcms.so
%{_libdir}/libweston-%{apiver}/drm-backend.so
%{_libdir}/libweston-%{apiver}/gl-renderer.so
%{_libdir}/libweston-%{apiver}/headless-backend.so
%{_libdir}/libweston-%{apiver}/pipewire-backend.so
%if !%{meson_prob}
%{_libdir}/libweston-%{apiver}/pipewire-plugin.so
%endif
%{_libdir}/libweston-%{apiver}/remoting-plugin.so
%if %{with freerdp}
%{_libdir}/libweston-%{apiver}/rdp-backend.so
%endif
%{_libdir}/libweston-%{apiver}/vnc-backend.so
%{_libdir}/libweston-%{apiver}/remoting-plugin.so
%{_libdir}/libweston-%{apiver}/wayland-backend.so
%{_libdir}/libweston-%{apiver}/x11-backend.so
%{_libdir}/libweston-%{apiver}/xwayland.so
%{_libdir}/libweston-%{apiver}.so.0*

%files -n %libdevel
%{_includedir}/libweston-%{apiver}/
%{_includedir}/weston/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libweston-%{apiver}.so
%{_datadir}/pkgconfig/libweston-%{apiver}-protocols.pc
%{_datadir}/libweston-%{apiver}/protocols/
