Summary:	A utility for retrieving files using the HTTP or FTP protocols
Name:		wget
Version:	1.25.0
Release:	%mkrel 1
Group:		Networking/WWW
License:	GPLv3
URL:		https://www.gnu.org/software/wget/
Source0:	https://ftp.gnu.org/gnu/wget/%{name}-%{version}.tar.gz
Source1:	https://ftp.gnu.org/gnu/wget/%{name}-%{version}.tar.gz.sig
Patch3:		wget-forceclobber.patch
Patch7:		wget-1.24.5-etc.patch
Provides:	webclient webfetch
BuildRequires:	gettext
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	texinfo
BuildRequires:	pkgconfig(libidn2)
BuildRequires:	pkgconfig(libpsl)

%description
GNU Wget is a file retrieval utility which can use either the HTTP or FTP
protocols. Wget features include the ability to work in the background
while you're logged out, recursive retrieval of directories, file name
wildcard matching, remote file timestamp storage and comparison, use of
Rest with FTP servers and Range with HTTP servers to retrieve files over
slow or unstable connections, support for Proxy servers, and
configurability.

%prep
%autosetup -p1

%build
%configure \
	--enable-ipv6 \
	--disable-rpath \
	--with-ssl=openssl

%make_build

# all tests must pass (but where are they?)
# %%check
# %%__make check

%install
%make_install

%__install -m755 util/rmold.pl %{buildroot}/%{_bindir}/rmold

%find_lang %{name}
%find_lang %{name}-gnulib

%files -f %{name}.lang -f %{name}-gnulib.lang
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/wgetrc
%doc AUTHORS ChangeLog MAILING-LIST NEWS README
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/wget.1*
