%define major	2
%define libname	%mklibname wget %{major}
%define devname	%mklibname -d wget

Name:		wget2
Summary:	The successor of GNU Wget, a file and recursive website downloader
Version:	2.1.0
Release:	%mkrel 1
# GNU Wget2 is licensed under GPLv3+.
License:	GPLv3+
Group:		Networking/WWW
Url:		https://gitlab.com/gnuwget/wget2
Source0:	https://ftp.gnu.org/gnu/wget/wget2-%{version}.tar.gz
BuildRequires:	doxygen
BuildRequires:	git-core
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	pkgconfig(libbrotlidec)
BuildRequires:	pkgconfig(libidn2)
BuildRequires:	pkgconfig(libnghttp2)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libpsl)
#Provides:	wget
Provides:	webclient
Provides:	webfetch

%description
GNU Wget2 is the successor of GNU Wget, a file and recursive website downloader.

Designed and written from scratch it wraps around libwget, that provides the basic
functions needed by a web client.

Wget2 works multi-threaded and uses many features to allow fast operation.

In many cases Wget2 downloads much faster than Wget1.x due to HTTP2, HTTP compression,
parallel connections and use of If-Modified-Since HTTP header.

%package -n %{libname}
Summary:	Shared libraries for wget2
Group:		System/Libraries
# Libwget is licensed under LGPLv3+.
License:	LGPLv3+

%description -n %{libname}
Shared libraries for wget2 providing the basic functions needed by a web client.

%package -n %{devname}
Summary:	Development files for wget2
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libwget2-devel = %{version}-%{release}
Provides:	wget2-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries and headers for wget2.

%prep
%autosetup -p1

# update doxyfile
doxygen -u ./docs/libwget.doxy.in

%build
autoreconf -fi
%configure \
    --disable-static \
    --disable-rpath \
    --disable-manylibs \
    --with-openssl=no \
    --with-ssl=gnutls \
    --without-libhsts \
    --without-libidn \
    --without-libpcre
%make_build

%install
%make_install

# man page
install -Dpm644 docs/man/man1/wget2.1 %{buildroot}%{_mandir}/man1/wget2.1

# not needed
rm -rf %{buildroot}%{_bindir}/wget2_noinstall

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README* NEWS
%{_bindir}/wget2
%{_mandir}/man1/wget2.1*

%files -n %{libname}
%license COPYING.LESSER
%{_libdir}/libwget.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/wget*.h
%{_libdir}/libwget.so
%{_libdir}/pkgconfig/libwget.pc
%{_mandir}/man3/libwget-*.3*
