Summary:	Enhanced WHOIS client
Name:		whois
Version:	5.5.23
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Other
URL:		https://www.linux.it/~md/software/
#Source0:	https://ftp.debian.org/debian/pool/main/w/%%{name}/%%{name}_%%{version}.tar.xz
Source0:	https://github.com/rfc1036/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gettext
BuildRequires:	pkgconfig(libidn2)
BuildRequires:	bash-completion

%description
This is a new whois (RFC 954) client rewritten from scratch.

It is derived from and compatible with the usual BSD and RIPE whois(1)
programs.

It is intelligent and can automatically select the appropriate whois
server for most queries.

%prep
%autosetup -p1

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}" INSTALL="install -p" whois pos

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man1

%make_install BASEDIR=%{buildroot} prefix=%{_prefix}/ mandir=%{_mandir}
%make_install BASEDIR=%{buildroot} prefix=%{_prefix}/ mandir=%{_mandir} -C po

install -m0644 whois.conf %{buildroot}%{_sysconfdir}

%find_lang %{name}

# fix a file conflict with expect (#46500)
mv %{buildroot}%{_bindir}/mkpasswd %{buildroot}%{_bindir}/whois-mkpasswd
mv %{buildroot}%{_mandir}/man1/mkpasswd.1 %{buildroot}%{_mandir}/man1/whois-mkpasswd.1

%files -f %{name}.lang
%doc README
%config(noreplace) %{_sysconfdir}/whois.conf
%{_bindir}/whois
%{_bindir}/whois-mkpasswd
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-mkpasswd.1*
%{_mandir}/man5/%{name}.conf.5*
%{_datadir}/bash-completion/completions/mkpasswd
%{_datadir}/bash-completion/completions/whois
