# Comment out when not prerel
#define prerel	rc1

%define rel	2

Name:		widelands
Summary:	Settlers II clone
Epoch:		2
Version:	1.2.1
Release:	%mkrel %{?prerel:0.%prerel.}%{rel}
License:	GPLv2+
Group:		Games/Strategy
URL:		https://wl.widelands.org
Source0:	https://github.com/widelands/widelands/archive/v%{version}%{?prerel:-%prerel}/%{name}-%{version}%{?prerel:-%prerel}.tar.gz
Patch1:		widelands-minizip-ng.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	ctags
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	libasan-devel
BuildRequires:	optipng
BuildRequires:	pkgconfig(asio)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(minizip)
BuildRequires:	pkgconfig(SDL2_gfx)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_net)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pngrewrite

Requires:	%{name}-data = %{epoch}:%{version}-%{release}
Recommends:	%{name}-music = %{epoch}:%{version}-%{release}

%description
Widelands is an open source real-time strategy game. It is built upon
libSDL and other open source libraries and is still under heavy development.
If you know Settlers I & II™ (© Bluebyte), you might already have a rough
idea what Widelands is about.

%files
%doc ChangeLog CREDITS
%license COPYING
%{_datadir}/metainfo/org.widelands.Widelands.appdata.xml
%{_datadir}/applications/org.widelands.Widelands.desktop
%{_gamesbindir}/%{name}
%{_gamesbindir}/wl*
%dir %{_gamesdatadir}/%{name}
%{_iconsdir}/hicolor/*/apps/org.widelands.Widelands.png
%{_mandir}/man6/%{name}.*

#------------------------------------------------

%package -n %{name}-data
Summary:	Game data files for %{name}
Group:		Games/Strategy
BuildArch:	noarch
Requires:	%{name} >= %{epoch}:%{version}-%{release}
# Reduced package granularity, this was overkill
Obsoletes:	%{name}-basic-data < 2:b20-1
Obsoletes:	%{name}-i18n < 2:b20-1
Obsoletes:	%{name}-maps < 2:b20-1

%description -n %{name}-data
Architecture-independent data files for the %{name} game.

%files -n %{name}-data
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/data/
%exclude %{_gamesdatadir}/%{name}/data/music/

#------------------------------------------------

%package -n %{name}-music
Summary:	Music for %{name}
Group:		Games/Strategy
BuildArch:	noarch
Requires:	%{name} >= %{epoch}:%{version}-%{release}

%description -n %{name}-music
Music files for %{name}. These are not needed, but may improve fun while playing.

%files -n %{name}-music
%{_gamesdatadir}/%{name}/data/music/

#------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}%{?prerel:-%prerel}

# fix data installation
sed -i -e '/CONFIGURATIONS/s/\(;Release\)/;RelWithDebInfo\1/g' CMakeLists.txt

%build
# CMAKE_BUILD_TYPE=Release # disables -Werror
%cmake \
  -GNinja \
  -DCMAKE_BUILD_TYPE=Release \
  -DWL_INSTALL_BASEDIR=%{_gamesdatadir}/%{name} \
  -DWL_INSTALL_DATADIR=%{_gamesdatadir}/%{name}/data
%cmake_build

%install
%cmake_install

# handle docs in %%files section
for f in COPYING CREDITS ChangeLog VERSION; do
  rm -rf %{buildroot}%{_gamesdatadir}/%{name}/$f
done
