%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           wiiuse
Version:        0.15.6
Release:        %mkrel 1
Summary:        Library to connect and control multiple Nintendo Wii remotes
Group:          System/Libraries
License:        GPLv3+
URL:            https://github.com/wiiuse/wiiuse
Source0:        https://github.com/wiiuse/wiiuse/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:  pkgconfig(bluez)

%description
Wiiuse is a library written in C that connects with several Nintendo Wii
remotes. Supports motion sensing, IR tracking, nunchuk, classic controller,
Balance Board, and the Guitar Hero 3 controller. Single threaded and
non-blocking makes a light weight and clean API.

%package -n %{libname}
Summary:        Library to connect and control multiple Nintendo Wii remotes
Group:          System/Libraries

%description -n %{libname}
Wiiuse is a library written in C that connects with several Nintendo Wii
remotes. Supports motion sensing, IR tracking, nunchuk, classic controller,
Balance Board, and the Guitar Hero 3 controller. Single threaded and
non-blocking makes a light weight and clean API.

%package -n %{devname}
Summary:        Developer tools for the wiiuse library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files needed to develop programs that link against the wiiuse library.

%prep
%autosetup -p1

dos2unix CHANGELOG.mkd README.mkd

sed -i 's|VERSION 0.15.5|VERSION %{version}|' CMakeLists.txt

%build
%cmake \
  -DBUILD_EXAMPLE=NO \
  -DBUILD_EXAMPLE_SDL=NO \
  -DINSTALL_EXAMPLES=NO
%cmake_build

%install
%cmake_install

# Handle in %%files
rm -rf %{buildroot}%{_docdir}

%files -n %{libname}
%doc CHANGELOG.mkd README.mkd
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/wiiuse.pc
