%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          wildfly-arquillian
Version:       1.0.2
Release:       %mkrel 4
Group:         Development/Java
Summary:       The Wildfly Arquillian Adaptor

# LGPLv2:
# ./common/src/main/java/org/jboss/as/arquillian/api/ContainerResource.java
# ./common/src/main/java/org/jboss/as/arquillian/api/ServerSetup.java
# ./common/src/main/java/org/jboss/as/arquillian/api/ServerSetupTask.java
# ./common/src/main/java/org/jboss/as/arquillian/container/Authentication.java
# ./common/src/main/java/org/jboss/as/arquillian/container/ContainerResourceTestEnricher.java
# ./common/src/main/java/org/jboss/as/arquillian/container/MBeanProxy.java
# ./common/src/main/java/org/jboss/as/arquillian/container/NetworkUtils.java
# ./common/src/main/java/org/jboss/as/arquillian/container/SecurityActions.java
# ./common/src/main/java/org/jboss/as/arquillian/container/ServerSetupObserver.java
# ./common-domain/src/main/java/org/jboss/as/arquillian/container/domain/NetworkUtils.java
# ./container-embedded/src/main/java/org/jboss/as/arquillian/container/embedded/SecurityActions.java
# ./protocol-jmx/src/main/java/org/jboss/as/arquillian/service/ArquillianConfig.java
# ./protocol-jmx/src/main/java/org/jboss/as/arquillian/service/ArquillianConfigBuilder.java
# ./protocol-jmx/src/main/java/org/jboss/as/arquillian/service/ArquillianService.java
# ./protocol-jmx/src/main/java/org/jboss/as/arquillian/service/ArquillianServiceActivator.java
# ./protocol-jmx/src/main/java/org/jboss/as/arquillian/service/InContainerManagementClientExtension.java
# ./protocol-jmx/src/main/java/org/jboss/as/arquillian/protocol/jmx/ManifestUtils.java

# https://github.com/wildfly/wildfly-arquillian/pull/60
License:       ASL 2.0 and LGPLv2+
URL:           https://arquillian.org/
Source0:       https://github.com/wildfly/wildfly-arquillian/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz
# https://github.com/wildfly/wildfly-arquillian/blob/master/LICENSE.txt
Source1:       wildfly-arquillian-LICENSE.txt

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(javax.enterprise:cdi-api)
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.jboss:jboss-ejb-client)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.arquillian.container:arquillian-container-test-impl-base)
BuildRequires: mvn(org.jboss.arquillian.container:arquillian-container-test-spi)
BuildRequires: mvn(org.jboss.arquillian.core:arquillian-core-api)
BuildRequires: mvn(org.jboss.arquillian.core:arquillian-core-spi)
BuildRequires: mvn(org.jboss.arquillian.junit:arquillian-junit-container)
BuildRequires: mvn(org.jboss.arquillian.protocol:arquillian-protocol-jmx)
BuildRequires: mvn(org.jboss.arquillian.protocol:arquillian-protocol-servlet)
BuildRequires: mvn(org.jboss.arquillian.test:arquillian-test-spi)
BuildRequires: mvn(org.jboss.arquillian.testenricher:arquillian-testenricher-cdi)
BuildRequires: mvn(org.jboss.arquillian.testenricher:arquillian-testenricher-ejb)
BuildRequires: mvn(org.jboss.arquillian.testenricher:arquillian-testenricher-initialcontext)
BuildRequires: mvn(org.jboss.arquillian.testenricher:arquillian-testenricher-resource)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.marshalling:jboss-marshalling)
BuildRequires: mvn(org.jboss.marshalling:jboss-marshalling-river)
BuildRequires: mvn(org.jboss.remoting:jboss-remoting)
BuildRequires: mvn(org.jboss.remotingjmx:remoting-jmx)
BuildRequires: mvn(org.jboss.sasl:jboss-sasl)
BuildRequires: mvn(org.jboss.shrinkwrap.descriptors:shrinkwrap-descriptors-impl-base)
BuildRequires: mvn(org.jboss.spec.javax.ejb:jboss-ejb-api_3.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
BuildRequires: mvn(org.jboss.xnio:xnio-api)
BuildRequires: mvn(org.jboss.xnio:xnio-nio)
BuildRequires: mvn(org.wildfly.build:wildfly-server-provisioning-maven-plugin)
BuildRequires: mvn(org.wildfly.core:wildfly-controller-client)
BuildRequires: mvn(org.wildfly.core:wildfly-embedded)
BuildRequires: mvn(org.wildfly.core:wildfly-jmx)
BuildRequires: mvn(org.wildfly.core:wildfly-launcher)
BuildRequires: mvn(org.wildfly.core:wildfly-protocol)
BuildRequires: mvn(org.wildfly.core:wildfly-server)
BuildRequires: mvn(org.wildfly.security:wildfly-security-manager)

BuildArch:     noarch

%description
The Wildfly Arquillian Adaptor.

%package common
Summary:       WildFly: Arquillian Common

%description common
WildFly: Arquillian Common.

%package common-domain
Summary:       WildFly: Arquillian Common Domain

%description common-domain
WildFly: Arquillian Common Domain.

%package container-domain-managed
Summary:       WildFly: Arquillian Managed Domain Container

%description container-domain-managed
WildFly: Arquillian Managed Domain Container.

%package container-domain-remote
Summary:       WildFly: Arquillian Remote Domain Container

%description container-domain-remote
WildFly: Arquillian Remote Domain Container.

%package container-embedded
Summary:       WildFly: Arquillian Embedded Container

%description container-embedded
WildFly: Arquillian Embedded Container.

%package container-managed
Summary:       WildFly: Arquillian Managed Container

%description container-managed
WildFly: Arquillian Managed Container.

%package container-remote
Summary:       WildFly: Arquillian Remote Container

%description container-remote
WildFly: Arquillian Remote Container.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package parent
Summary:       WildFly: Arquillian Parent POM

%description parent
WildFly: Arquillian Parent POM.

%package protocol-jmx
Summary:       WildFly: Arquillian Protocol JMX

%description protocol-jmx
WildFly: Arquillian Protocol JMX.

%package testenricher-msc
Summary:       WildFly: Arquillian TestEnricher MSC

%description testenricher-msc
WildFly: Arquillian TestEnricher MSC.

%prep
%setup -q -n %{name}-%{namedversion}

cp -p %SOURCE1 LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%pom_remove_plugin -r :maven-checkstyle-plugin

%pom_disable_module testng-integration

sed -i "s|EmbeddedStandAloneServerFactory|EmbeddedStandaloneServerFactory|" \
 container-embedded/src/main/java/org/jboss/as/arquillian/container/embedded/EmbeddedContainerConfiguration.java \
 container-embedded/src/main/java/org/jboss/as/arquillian/container/embedded/EmbeddedDeployableContainer.java

# org.wildfly.core:wildfly-core-feature-pack:zip:1.0.1.Final
%pom_remove_plugin -r :wildfly-server-provisioning-maven-plugin container-embedded container-managed container-managed-domain
# ./container-*/target/wildfly-core' must exist
rm -r container-{embedded,managed}/src/test

%build

%mvn_build -s

%install
%mvn_install

%files common -f .mfiles-%{name}-common
%files common-domain -f .mfiles-%{name}-common-domain
%license LICENSE.txt

%files container-domain-managed -f .mfiles-%{name}-container-domain-managed
%files container-domain-remote -f .mfiles-%{name}-container-domain-remote
%files container-embedded -f .mfiles-%{name}-container-embedded
%files container-managed -f .mfiles-%{name}-container-managed
%files container-remote -f .mfiles-%{name}-container-remote

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%files parent -f .mfiles-%{name}-parent
%license LICENSE.txt

%files protocol-jmx -f .mfiles-%{name}-protocol-jmx
%files testenricher-msc -f .mfiles-%{name}-testenricher-msc
%license LICENSE.txt

