%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           wildmidi
Version:        0.4.6
Release:        %mkrel 1
Summary:        Open-source MIDI synthesizer and player
Group:          Sound/Midi
License:        GPLv3+ and LGPLv3+
URL:            https://www.mindwerks.net/projects/wildmidi/
Source:         https://github.com/Mindwerks/wildmidi/archive/%{name}-%{version}.tar.gz
Patch0:         wildmidi-0.3.6-mga-cfg-timidity-freepats.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(openal)
Requires:       timidity-patch-freepats

%description
WildMIDI is a simple software MIDI player which has a core software
synthesizer (softsynth) library that can be used with other applications.

The WildMIDI library uses Gravis Ultrasound patch files to convert MIDI files
into audio which is then passed back to the calling application. The library
API is designed so that it is easy to include WildMIDI into applications
that wish to include MIDI file playback.

%files
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.cfg.5*
%{_sysconfdir}/%{name}/%{name}.cfg

#-----------------------------------------------------------

%package -n     %{libname}
Summary:        Library for WildMIDI
Group:          System/Libraries

%description -n %{libname}
WildMIDI is a simple software MIDI player which has a core software
synthesizer (softsynth) library that can be used with other applications.

This package contains WildMIDI's shared library.

%files -n       %{libname}
%{_libdir}/libWildMidi.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for Wildmidi
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
WildMIDI is a simple software MIDI player which has a core software
synthesizer (softsynth) library that can be used with other applications.

This package contains development files for WildMIDI.

%files -n       %{devname}
%{_includedir}/wildmidi_lib.h
%{_libdir}/libWildMidi.so
%{_libdir}/cmake/WildMidi/
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/WildMidi_*.3*

#-----------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

install -D -m644 cfg/wildmidi.cfg %{buildroot}%{_sysconfdir}/%{name}/%{name}.cfg
