%define major	15
%define libname	%mklibname wim %{major}
%define devname	%mklibname wim -d

Summary:	Create, extract, and modify Windows Imaging (WIM) files
Name:		wimlib
Version:	1.14.4
Release:	%mkrel 1
License:	GPLv3
Group:		System/Libraries
Url:		https://wimlib.net/
Source0:	https://wimlib.net/downloads/%{name}-%{version}.tar.gz
BuildRequires:	attr-devel
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(fuse3)
BuildRequires:	pkgconfig(libntfs-3g)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(openssl)

Recommends:	mkisofs
Recommends:	mtools
Recommends:	syslinux
Recommends:	cabextract

%description
wimlib is a library that can be used to create, extract, and modify
files in the Windows Imaging Format. These files are normally created
by the 'imagex.exe' program on Windows, but this library provides a
free implementation of 'imagex' for UNIX-based systems. wimlib
supports mounting WIM files, just like imagex.exe.

%package -n %{libname}
Summary:	Library to create, extract, and modify Windows Imaging (WIM) files
Group:		System/Libraries

%description -n %{libname}
wimlib is a library that can be used to create, extract, and modify
files in the Windows Imaging Format. These files are normally created
by the 'imagex.exe' program on Windows, but this library provides a
free implementation of 'imagex' for UNIX-based systems. wimlib
supports mounting WIM files, just like imagex.exe.

%package -n %{devname}
Summary:	Headers for developing programs using wimlib
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the headers needed to build programs that will
use wimlib.

%prep
%setup -q

# drop prebuilt example binaries
make clean -C examples

%build
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc README.md NEWS.md
%license COPYING*
%{_bindir}/mkwinpeimg
%{_bindir}/wim*
%{_mandir}/man1/mkwinpeimg*
%{_mandir}/man1/wim*

%files -n %{libname}
%license COPYING*
%{_libdir}/libwim.so.%{major}{,.*}

%files -n %{devname}
%doc examples
%{_includedir}/wimlib.h
%{_libdir}/pkgconfig/wimlib.pc
%{_libdir}/libwim.so
