%define srcname         WindowMaker
%define _pixdir         %{_datadir}/pixmaps
%define gnustepdir      %{_datadir}/GNUstep
%define wmsysdir        %{_sysconfdir}/X11/WindowMaker
%define wmdatdir        %{_datadir}/WindowMaker
%define wmdefdir        %{wmdatdir}/Defaults

%define major           6
%define libwraster      %mklibname wraster %{major}
%define libwrasterdev   %mklibname wraster -d

%define wgsmajor        3
%define libwgsname      %mklibname wings %{wgsmajor}
%define libwgsnamedev   %mklibname wings -d

%define wutmajor        5
%define libwutname      %mklibname wutil %{wutmajor}
%define libwutnamedev   %mklibname wutil -d

%define wmkmajor        1
%define libwmkname      %mklibname wmaker %{wmkmajor}
%define libwmknamedev   %mklibname wmaker -d

Name:           windowmaker
Version:        0.96.0
Release:        %mkrel 3
Summary:        A window manager for the X Window System
License:        GPLv2+
Group:          Graphical desktop/WindowMaker

URL:            https://windowmaker.org/
%dnl Source0:        https://windowmaker.org/pub/source/release/%{srcname}-%{version}.tar.gz
Source0:        https://github.com/window-maker/wmaker/releases/download/wmaker-%{version}/WindowMaker-%{version}.tar.gz
Source1:        addxdgsupport.bash
Source2:        startwindowmaker
Source3:        WindowMaker.desktop
Source4:        autostart.sh.mga
Source5:        WMState.mga
Source6:        WMWindowAttributes.mga
Source7:        WindowMaker.mga

# Fixes
# (cjw) try to implement _NET_WM_MOVERESIZE events, required by gtk+3 (though that appears to be a bug)
#Patch0:         windowmaker-0.95.7-net_wm_moveresize.patch

# Reconfiguration
Patch100:       %{name}-0.95.4-mga-use-xdg-menu-extension.patch

# Upstream work from the next branch

Requires:       desktop-common-data
Requires:       xdg-compliance-menu
Requires:       task-x11

BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  libhermes-devel
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  giflib-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  mawk
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(libexif)

Requires:       default-windowmaker-desktop
Recommends:     mageia-windowmaker-desktop
Conflicts:      desktop-common-data < 1:3.10-2

%description
Window Maker is a X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME. Window Maker allows users to switch themes on the fly, to place favorite
applications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.

%package -n %{libwraster}
Summary:        Window Maker Raster Graphics Library
Group:          Graphical desktop/WindowMaker
Conflicts:      %{_lib}wraster < 0.95
Provides:       %{_lib}wraster2 = %{version}-%{release}
Obsoletes:      %{_lib}wraster2 < 0.95

%description -n %{libwraster}
Also known as libwraster, it is WindowMaker's core graphics and image
processing system. libwraster is an optimized, fast, lightweight image library.
It takes advantage of MMX optimizations (on systems that have support for it)
to accelerate rendering. You can load a picture from a file easily with
libwraster, and it has support for .gif, .jpg, .png, .xpm, .ppm, and .tiff at
the moment. Support for other image formats can be added in the future.

%package -n %{libwrasterdev}
Summary:        Window Maker Raster Graphics Library development files
Group:          Development/C
Requires:       %{libwraster} = %{version}-%{release}
Provides:       libwraster-devel = %{version}-%{release}
Conflicts:      libwraster2-devel < 0.95

%description -n %{libwrasterdev}
This package allows building applications using the libwraster library.

%package -n %{libwgsname}
Summary:        Libraries for Window Maker widgets
Group:          System/Libraries

%description -n %{libwgsname}
%{summary}.

%package -n %{libwgsnamedev}
Summary:        Development files for the Window Maker widgets
Group:          Development/C
Requires:       %{libwgsname} = %{version}-%{release}
Provides:       libwings-devel = %{version}-%{release}

%description -n %{libwgsnamedev}
%{summary}.

%package -n %{libwutname}
Summary:        Libraries for Window Maker utilities
Group:          System/Libraries

%description -n %{libwutname}
%{summary}.

%package -n %{libwutnamedev}
Summary:        Development files for the Window Maker utilities
Group:          Development/C
Requires:       %{libwutname} = %{version}-%{release}
Provides:       libwutil-devel = %{version}-%{release}

%description -n %{libwutnamedev}
%{summary}.

%package -n %{libwmkname}
Summary:        Libraries for Window Maker programming interface
Group:          System/Libraries

%description -n %{libwmkname}
%{summary}.

%package -n %{libwmknamedev}
Summary:        Development files for the Window Maker programming interface
Group:          Development/C
Requires:       %{libwmkname} = %{version}-%{release}
Requires:       %{libwrasterdev} = %{version}-%{release}
Requires:       %{libwgsnamedev} = %{version}-%{release}

%description -n %{libwmknamedev}
%{summary}.

%package -n default-%{name}-desktop
Summary:        Default Window Maker desktop
Group:          Graphical desktop/WindowMaker
Conflicts:      %{name} < 0.95.3-0.snapshot20120330.4
Requires:       windowmaker
BuildArch:      noarch

%description -n default-%{name}-desktop
Default config files for the Window Maker desktop.

%package -n %{_real_vendor}-%{name}-desktop
Summary:        %{_vendor} Window Maker desktop
Group:          Graphical desktop/WindowMaker
Conflicts:      %{name} < 0.95.3-0.snapshot20120330.4
Requires:       windowmaker
Requires:       windowmaker-theme-mageia
Requires:       wmcalclock
Requires:       wmudmount
Requires:       wmsystemtray
Requires:       pulseaudio-utils
Requires:       gvolwheel
Requires:       drakx-net-applet
Requires:       mate-polkit
BuildArch:      noarch

%description -n %{_real_vendor}-%{name}-desktop
%{_vendor} enhanced config files for the Window Maker desktop.

%prep
%setup -q -n %{srcname}-%{version}
#patch -P 0 -p1 -b .netwm-moveresize
%patch -P 100 -p0
cp %{SOURCE1} WindowMaker/addxdgsupport.bash

%build
#xdg support in menu
pushd WindowMaker
./addxdgsupport.bash
popd #WindowMaker

# protect the WPrefs.app location for unclean build envs with gnustep-make installed
unset GNUSTEP_LOCAL_ROOT

LINGUAS=`(cd po ; echo *.po | sed 's/.po//g')`
export LINGUAS
autoreconf -fi
%configure \
    --prefix=%{_prefix} \
    --enable-static=no \
    --sysconfdir=%{_sysconfdir}/X11 \
    --localedir=%{_datadir}/locale \
    --with-pixmapdir=%{_pixdir} \
    --with-gnustepdir=%{gnustepdir} \
    --enable-xinerama \
    --enable-usermenu \
    --enable-pango \
    --disable-randr \
    --with-pic \
    --with-x

%make_build

%install
%make_install

chmod 755 %{buildroot}%{_datadir}/WindowMaker/exitscript.sh

install -D -m 755 %{SOURCE2} %{buildroot}%{_bindir}/startwindowmaker
install -D -m 644 %{SOURCE3} %{buildroot}%{_datadir}/xsessions/WindowMaker.desktop

%find_lang WindowMaker --all-name --with-man

# install mageia-windowmaker-desktop files
install -D -m 755 %{S:4} %{buildroot}%{wmdatdir}/autostart.sh
install -D -m 644 %{S:5} %{buildroot}%{wmdefdir}/WMState
install -D -m 644 %{S:6} %{buildroot}%{wmdefdir}/WMWindowAttributes
install -D -m 644 %{S:7} %{buildroot}%{wmdefdir}/WindowMaker

# add compat symlink for WPrefs needed by WPrefs.desktop Exec (mga#33986)
ln -s %{gnustepdir}/Applications/WPrefs.app/WPrefs %{buildroot}%{_bindir}/WPrefs

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/03WindowMaker.desktop ]; then
        rm -rf %{_datadir}/xsessions/03WindowMaker.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/03WindowMaker.desktop ]; then
        rm -rf %{_sysconfdir}/X11/dm/Sessions/03WindowMaker.desktop
fi

%files -f WindowMaker.lang
%doc AUTHORS BUGFORM BUGS ChangeLog FAQ NEWS README* TODO
%license COPYING.WTFPL
%{_bindir}/*
%{_datadir}/xsessions/WindowMaker.desktop
%dir %{gnustepdir}
%{gnustepdir}/Applications/WPrefs.app
%{_mandir}/man[18]/*
%dir %{wmdatdir}
%{_datadir}/WindowMaker/README*
%{_datadir}/WindowMaker/*menu*
%{_datadir}/WindowMaker/exitscript.sh
%{_datadir}/WindowMaker/wmmacros
%{_datadir}/WindowMaker/Backgrounds
%{_datadir}/WindowMaker/IconSets
%{_datadir}/WindowMaker/Icons
%{_datadir}/WindowMaker/Pixmaps
%{_datadir}/WindowMaker/Styles
%{_datadir}/WindowMaker/Themes
%{_datadir}/WINGs/
%{_datadir}/applications/WPrefs.desktop
%{_datadir}/xsessions/wmaker.desktop

%files -n %{libwraster}
%{_libdir}/libwraster.so.%{major}{,.*}

%files -n %{libwrasterdev}
%{_includedir}/wraster.h
%{_libdir}/libwraster.so
%{_libdir}/pkgconfig/wrlib.pc

%files -n %{libwgsname}
%{_libdir}/libWINGs.so.%{wgsmajor}{,.*}

%files -n %{libwgsnamedev}
%{_libdir}/libWINGs.so
%{_includedir}/WINGs
%{_libdir}/pkgconfig/WINGs.pc

%files -n %{libwutname}
%{_libdir}/libWUtil.so.%{wutmajor}{,.*}

%files -n %{libwutnamedev}
%{_libdir}/libWUtil.so
%{_libdir}/pkgconfig/WUtil.pc

%files -n %{libwmkname}
%{_libdir}/libWMaker.so.%{wmkmajor}{,.*}

%files -n %{libwmknamedev}
%{_includedir}/WMaker.h
%{_libdir}/libWMaker.so
%{_libdir}/pkgconfig/wmlib.pc

%files -n default-%{name}-desktop
%dir %{wmsysdir}
%config(noreplace)%{wmsysdir}/WMGLOBAL
%config(noreplace)%{wmsysdir}/WMRootMenu
%config(noreplace)%{wmsysdir}/WMState
%config(noreplace)%{wmsysdir}/WMWindowAttributes
%config(noreplace)%{wmsysdir}/WindowMaker

%files -n %{_real_vendor}-%{name}-desktop
%dir %{wmdefdir}
%{wmdatdir}/autostart.sh
%{wmdefdir}/WMState
%{wmdefdir}/WMWindowAttributes
%{wmdefdir}/WindowMaker
