%ifarch x86_64 aarch64
%define	wine	wine64
%define	mark64	()(64bit)
%else
%define	wine	wine
%define	mark64	%{nil}
%endif
%define	lib_name_orig	lib%{name}
%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%mklibname wine -d

%define have_mingw 0
# Mingw can only be used on x86 (aarch64 listed just for filelist conditional):
%ifarch %{ix86} x86_64 aarch64
%define have_mingw 1
%endif

# On 32-bit we have
# wine32 - those 32-bit binaries that are also used on 64-bit for 32-bit support
# wine - all other files (requires 'wine32')
# On 64-bit we have
# wine64 - all 64-bit files (suggests 'wine32')
# - Anssi 07/2010

%define mainver 9.16
%define mainget 9.16
#define bugfix  0
%define rel     1
#define prerel  rc5

# When altering these, make sure corresponding wine-gecko/wine-mono is
# submitted, or notify their maintainer about the new version:
# Dependencies hardcoded in dlls/appwiz.cpl/addons.c
%define gecko_version	2.47.4
%define mono_version	9.2.0

# build with wine-staging patches, see:  https://github.com/wine-staging/wine-staging
# Build with staging during our development cycles, stick to stable for Mageia stable releases
%global wine_staging 0

%ifarch %{ix86}
%global winepedir i386-windows
%global winesodir i386-unix
%endif
%ifarch x86_64
%global winepedir x86_64-windows
%global winesodir x86_64-unix
%endif
%ifarch %{arm}
%global winepedir arm-windows
%global winesodir arm-unix
%endif
%ifarch aarch64
%global winepedir aarch64-windows
%global winesodir aarch64-unix
%global __brp_llvm_compile_lto_elf %nil
%global __brp_strip_lto %nil
%global __brp_strip_static_archive %nil
%endif


Name:		wine
Epoch:		1
Version:	%{mainver}%{?bugfix:.%{bugfix}}
Release:	%mkrel %{?prerel:0.%{prerel}.}%{rel}
Summary:	WINE Is Not An Emulator - runs MS Windows programs
License:	LGPLv2+
Group:		Emulators
URL:            https://www.winehq.org/
Source0:	https://dl.winehq.org/wine/source/9.x/%{name}-%{version}%{?prerel:-%{prerel}}.tar.xz
Source10:	https://dl.winehq.org/wine/source/9.x/%{name}-%{version}%{?prerel:-%{prerel}}.tar.xz.sign
Source2:        wine.systemd
Source3:	%{name}-icons_256.tar.xz

%if 0%{?wine_staging}
Source900:	https://github.com/wine-staging/wine-staging/archive/v%{mainver}%{?prerel:-%{prerel}}/wine-staging-%{mainver}%{?prerel:-%{prerel}}.tar.gz
%endif

# Autoconf 2.72 support - https://bugzilla.redhat.com/show_bug.cgi?id=2143724
Patch100:       wine-7.22-autoconf-2.72.patch

# https://bugs.winehq.org/show_bug.cgi?id=45277
#Patch100:      wine-6.0-vulkan-child-window.patch

# (Anssi 05/2008) Adds:
# a: => /media/floppy
# d: => $HOME (at config_dir creation time, not refreshed if $HOME changes;
#              note that Wine also provides $HOME in My Documents)
# com4 => /dev/ttyUSB0 (replaces /dev/ttyS3)
Patch108:	%{name}-mgaconf.patch

# https://github.com/wine-staging/wine-staging/commit/cd2cce28ccd2791d0a7ab02bb02b804551ee4095
Patch900:       wine-staging-9.15-esync.patch

ExclusiveArch:  %{ix86} x86_64 aarch64

BuildRequires:  autoconf
BuildRequires:  bison
BuildRequires:  flex
%ifarch  %{arm} aarch64
BuildRequires:  clang >= 5.0
BuildRequires:  lld
BuildRequires:  llvm
%else
BuildRequires:  gcc
%endif
%if %have_mingw
BuildRequires:  mingw32-FAudio
BuildRequires:  mingw64-FAudio
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-lcms2
BuildRequires:  mingw64-lcms2
BuildRequires:  mingw32-libpng
BuildRequires:  mingw64-libpng
BuildRequires:  mingw32-libxml2
BuildRequires:  mingw64-libxml2
BuildRequires:  mingw32-libxslt
BuildRequires:  mingw64-libxslt
BuildRequires:  mingw32-vkd3d >= 1.12
BuildRequires:  mingw64-vkd3d >= 1.12
BuildRequires:  mingw32-vulkan-headers
BuildRequires:  mingw64-vulkan-headers
BuildRequires:  mingw32-zlib
BuildRequires:  mingw64-zlib
%endif
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-dtd-sgml
BuildRequires:  docbook-utils
BuildRequires:  ffmpeg-devel
BuildRequires:  fontconfig-devel
BuildRequires:  fontforge
BuildRequires:  freetype2-devel
BuildRequires:  gettext-devel
BuildRequires:  glibc-static-devel
BuildRequires:  cups-devel
BuildRequires:  dbus-devel
BuildRequires:  gnutls-devel
BuildRequires:  gphoto2-devel
BuildRequires:  gpm-devel
BuildRequires:  gsm-devel
BuildRequires:  gstreamer1.0-devel
BuildRequires:  gtk3-devel
BuildRequires:  icoutils
BuildRequires:  imagemagick
BuildRequires:  libalsa-devel
BuildRequires:  libgstreamer1.0-plugins-base-devel
BuildRequires:  libmpg123-devel
BuildRequires:  libpcap-devel
BuildRequires:  librsvg
BuildRequires:  libsm-devel
BuildRequires:  libv4l-devel
BuildRequires:  chrpath
BuildRequires:  libva-devel
BuildRequires:  libx11-devel
BuildRequires:  libxcomposite-devel
BuildRequires:  libxcursor-devel
BuildRequires:  libxext-devel
BuildRequires:  libxi-devel
BuildRequires:  libxinerama-devel
BuildRequires:  libxrandr-devel
BuildRequires:  libxrender-devel
BuildRequires:  mesaglu-devel
BuildRequires:  ncurses-devel
BuildRequires:  opencl-devel
BuildRequires:  openldap-devel
BuildRequires:  osmesa-devel
BuildRequires:  perl-devel
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  png-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  sane-devel
BuildRequires:  sgml-tools
BuildRequires:  tiff-devel
BuildRequires:  ungif-devel
BuildRequires:  unixODBC-devel
BuildRequires:  valgrind-devel
BuildRequires:  xpm-devel

%define desc Wine is a program which allows running Microsoft Windows programs \
(including DOS, Windows 3.x and Win32 executables) on Unix. It \
consists of a program loader which loads and executes a Microsoft \
Windows binary, and a library (called Winelib) that implements Windows \
API calls using their Unix or X11 equivalents.  The library may also \
be used for porting Win32 code into native Unix executables.

%ifarch x86_64 aarch64
%package -n	%{wine}
Summary:	WINE Is Not An Emulator - runs MS Windows programs
Group:		Emulators
Recommends:	%{name}32 = %{epoch}:%{version}-%{release}
Recommends:       mingw32-wine-gecko = %gecko_version
%else
# on 32-bit we always want wine32 package
Requires:	%{name}32 = %{epoch}:%{version}-%{release}
%endif

Provides:	%{wine}-utils = %{epoch}:%{version}-%{release} %{wine}-full = %{epoch}:%{version}-%{release}
Provides:	%{lib_name}-capi = %{epoch}:%{version}-%{release} %{lib_name}-twain = %{epoch}:%{version}-%{release}
Provides:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	wine-bin = %{epoch}:%{version}-%{release}
Obsoletes:	%{wine}-utils %{wine}-full %{lib_name}-capi %{lib_name}-twain
Obsoletes:	%{lib_name} <= %{epoch}:%{version}-%{release}
Recommends:	sane-frontends
%define dlopenreq() %(F=%{_libdir}/lib%{1}.so;[ -e $F ] && (file $F|grep -q ASCII && grep -o 'lib[^ ]*' $F|sed -e "s/\$/%{mark64}/"||objdump -p $F | grep SONAME | awk '{ print $2 "%{mark64}" }') || echo "wine-missing-buildrequires-on-%{1}")
# wine dlopen's these, so let's add the dependencies ourself
# Adding these here is especially important with wine, since wine32 is
# commonly one of the few 32-bit components on a 64-bit installation, so
# these packages might not necessarily be pulled by anything else.
# grep WINE_CHECK_SONAME configure.ac :) (though note that some of those
# results are in autoreq already) - (Anssi 08/2012)
Requires:       %dlopenreq asound
Requires:       %dlopenreq crypto
Requires:       %dlopenreq cups
Requires:       %dlopenreq dbus-1
Requires:       %dlopenreq fontconfig
Requires:       %dlopenreq freetype
Requires:       %dlopenreq gnutls
Requires:       %dlopenreq gsm
Requires:       %dlopenreq jpeg
Requires:       %dlopenreq ncurses
Requires:       %dlopenreq odbc
Requires:       %dlopenreq OSMesa
Requires:       %dlopenreq png
Requires:       %dlopenreq sane
Requires:       %dlopenreq ssl
Requires:       %dlopenreq tiff
Requires:       %dlopenreq v4l1
Requires:       %dlopenreq Xcomposite
Requires:       %dlopenreq Xcursor
Requires:       %dlopenreq Xi
Requires:       %dlopenreq Xinerama
Requires:       %dlopenreq Xrandr
Requires:       %dlopenreq Xrender
Requires:       %dlopenreq Xxf86vm
#Requires:	%%dlopenreq capi20  # ISDN support - unlikely to be needed
# (Anssi) If not installed, wine pops up a dialog on first start proposing to
# download pre-built binaries (unlike wine-gecko, same wine-mono works with
# both wine and wine64):
Recommends:	wine-mono = %mono_version
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils
Requires(post):		desktop-common-data
Requires(postun):	desktop-common-data
Requires(preun):	rpm-helper
Requires(post):		rpm-helper
%ifarch %{ix86}
Conflicts:	%{name}64
%else
Conflicts:	%{name}
%endif
# (tv) needed by games:
Requires:  %{mklibname dri-drivers}
%ifnarch x86_64 aarch64
Requires:  mingw32-FAudio
Requires:  mingw32-lcms2
Requires:  mingw32-libpng
Requires:  mingw32-libxml2
Requires:  mingw32-libxslt
Requires:  mingw32-vkd3d >= 1.12
Requires:  mingw32-zlib
%else
Requires:  mingw64-FAudio
Requires:  mingw64-lcms2
Requires:  mingw64-libpng
Requires:  mingw64-libxml2
Requires:  mingw64-libxslt
Requires:  mingw64-vkd3d >= 1.12
Requires:  mingw64-zlib
%endif

%description
%desc

%ifarch x86_64 aarch64
%description -n	%{wine}
%desc

This package contains the Win64 version of Wine. You need the wine32
package from the 32-bit repository to be able to run 32-bit applications.
%endif

%ifnarch x86_64 aarch64
%package -n	wine32
Summary:	32-bit support for Wine
Group:		Emulators
# This is not an EVR-specific requirement, as otherwise on x86_64 urpmi could
# resolve the dependency to wine64 even on upgrades, and therefore replace
# wine+nwine32 installation with a wine32+wine64 installation. - Anssi
Requires:	%{name}-bin
Conflicts:	%{name} < 1:1.2-0.rc7.1
Conflicts:	%{name}64 < 1:1.2-0.rc7.1
# (Anssi) If wine-gecko is not installed, wine pops up a dialog on first
# start proposing to download wine-gecko from sourceforge, while recommending
# to use distribution packages instead. Therefore suggest wine-gecko here:
Recommends:       mingw64-wine-gecko = %gecko_version

%description -n	wine32
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix.

This package contains the files needed to support 32-bit Windows
programs.
%endif

%package -n	%{wine}-devel
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires:	%{wine} = %{epoch}:%{version}
Provides:	%{lib_name_devel} = %{epoch}:%{version}-%{release}
Provides:	%{lib_name_orig}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{lib_name_devel} <= %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname -d wine 1} < %{epoch}:%{version}
%ifarch %{ix86}
Conflicts:	%{name}64-devel
%else
Conflicts:	%{name}-devel
%endif

%description -n	%{wine}-devel
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix.

%{wine}-devel contains the libraries and header files needed to
develop programs which make use of wine.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prerel:-%{prerel}}

%if 0%{?wine_staging}
# setup and apply wine-staging patches
gzip -dc %{SOURCE900} | tar -xf - --strip-components=1
./patches/patchinstall.sh --all
%endif

GECKO_VERSION=$(sed -rn 's,^#define\s+GECKO_VERSION\s+"([^"]*)".*$,\1,p' dlls/appwiz.cpl/addons.c)
[ "$GECKO_VERSION" = "%gecko_version" ] || { echo %{name}-gecko version mismatch; exit 1; }
MONO_VERSION=$(sed -rn 's,^#define\s+MONO_VERSION\s+"([^"]*)".*$,\1,p' dlls/appwiz.cpl/addons.c)
[ "$MONO_VERSION" = "%mono_version" ] || { echo wine-mono version mismatch; exit 1; }

%build
autoreconf -vfi

%ifarch %ix86
# (Anssi 04/2008) mdvbug #39604
# Some protection systems complain "debugger detected" with our
# -fomit-frame-pointer flag, so disable it.
# It also causes some crashing issues, and the upstream workaround
# in configure script does not seem to work properly. -Anssi 12/2012
export CFLAGS="%{optflags} -fno-omit-frame-pointer"
%endif

# disable fortify as it breaks wine
# https://bugs.winehq.org/show_bug.cgi?id=24606
# https://bugs.winehq.org/show_bug.cgi?id=25073
# Disable Red Hat specs for package notes (Fedora 38+) and annobin.
# MinGW GCC does not support these options.
export LDFLAGS="$(echo "%{build_ldflags}" | sed -e 's/-Wl,-z,relro//' -e 's/-Wl,--build-id=sha1//' -e 's/-specs=\/usr\/lib\/rpm\/redhat\/redhat-package-notes//' -e 's/-specs=\/usr\/lib\/rpm\/redhat\/redhat-annobin-cc1//')"
%ifarch x86_64
export CFLAGS="$(echo "%{optflags}" | sed -e 's/-O2//' -e 's/-Wp,-D_FORTIFY_SOURCE=2//' -e 's/-fcf-protection//' -e 's/-fstack-protector-strong//' -e 's/-fstack-clash-protection//' -e 's/-specs=\/usr\/lib\/rpm\/redhat\/redhat-annobin-cc1//') -O2"
%else
export CFLAGS="$(echo "%{optflags}" | sed -e 's/-Wp,-D_FORTIFY_SOURCE=2//' -e 's/-fcf-protection//' -e 's/-fstack-protector-strong//' -e 's/-fstack-clash-protection//' -e 's/-specs=\/usr\/lib\/rpm\/redhat\/redhat-annobin-cc1//')"
%endif

%ifarch  %{arm} aarch64
# Wine enabled -Wl,-WX that turns linker warnings into errors
# Fedora passes '--as-needed' for all binaries and this is a warning from the linker, now an error, so disable flag for now
sed -i 's/-Wl,-WX//g' configure
# ARM64 now requires clang
# https://source.winehq.org/git/wine.git/commit/8fb8cc03c3edb599dd98f369e14a08f899cbff95
export CC="/usr/bin/clang"
# Our build_ldflags have stuff unsupported by lld
export LDFLAGS=$(echo "$LDFLAGS" | sed -e 's/-Wl,-O1//' -e 's/-Wl,--as-needed -Wl,--no-undefined//' -e 's/-Wl,--enable-new-dtags//')
%endif
%ifarch armv7hl
export CFLAGS="`echo $CFLAGS | sed -e 's/-fexceptions//'`"
%endif

# required so that both Linux and Windows development files can be found
unset PKG_CONFIG_PATH

%configure \
		--with-x \
		--with-dbus \
		--with-pulse \
%ifarch %{arm}
		--with-float-abi=hard \
%endif
%ifarch x86_64 aarch64
		--enable-win64 \
%ifarch x86_64
 --with-system-dllpath=%{mingw64_bindir} \
%endif
%endif
%ifarch %{ix86}
 --with-system-dllpath=%{mingw32_bindir} \
 %endif
 %{?wine_staging: --with-xattr} \
		--disable-tests

%make_build depend
%make_build

%install
%make_install LDCONFIG=/bin/true

%ifarch aarch64
mv %{buildroot}%{_bindir}/wine %{buildroot}%{_bindir}/wine64
mv %{buildroot}%{_bindir}/wine-preloader %{buildroot}%{_bindir}/wine64-preloader
%endif

# remove rpath
chrpath --delete %{buildroot}%{_bindir}/wmc
chrpath --delete %{buildroot}%{_bindir}/wrc
%ifarch x86_64 aarch64
chrpath --delete %{buildroot}%{_bindir}/wine64
chrpath --delete %{buildroot}%{_bindir}/wineserver
%else
chrpath --delete %{buildroot}%{_bindir}/wine
chrpath --delete %{buildroot}%{_bindir}/wineserver
%endif

# Allow users to launch Windows programs by just clicking on the .exe file...
mkdir -p %{buildroot}%{_binfmtdir}
install -p -c -m 644 %{SOURCE2} %{buildroot}%{_binfmtdir}/wine.conf

mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
cat > %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged/%{name}.menu <<EOF
<!DOCTYPE Menu PUBLIC "-//freedesktop//DTD Menu 1.0//EN"
"https://www.freedesktop.org/standards/menu-spec/menu-1.0.dtd">
<Menu>
    <Name>Applications</Name>
    <Menu>
        <Name>Tools</Name>
        <Menu>
            <Name>Emulators</Name>
            <Menu>
                <Name>Wine</Name>
                <Directory>%{name}.directory</Directory>
                <Include>
                    <Category>X-Wine</Category>
                </Include>
            </Menu>
        </Menu>
    </Menu>
</Menu>
EOF

mkdir -p %{buildroot}%{_datadir}/desktop-directories
cat > %{buildroot}%{_datadir}/desktop-directories/%{name}.directory <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Wine
Icon=%{name}
Type=Directory
EOF

mkdir -p %{buildroot}%{_datadir}/applications
for i in	winecfg:Wine\ Configuration:winecfg \
		notepad:Wine\ Notepad:notepad \
		winefile:Wine\ File\ Manager:winefile \
		regedit:Wine\ Registry\ Editor:regedit \
		winemine:Wine\ Minesweeper:winemine \
		wineboot:Wine\ Reboot:wine \
		"wineconsole cmd":Wine\ Command\ Line:wine \
		"wine uninstaller":Wine\ Software\ Uninstaller:msiexec \
		"wine wordpad":Wine\ Wordpad:wordpad \
		"wine winhlp32":Wine\ WinHelp:winhelp \
		"wine oleview":Wine\ OLE\ View:wine;
do cat > %{buildroot}%{_datadir}/applications/%{name}-`echo $i|cut -d: -f1|sed s/"%{name} "//g`.desktop << EOF
[Desktop Entry]
Name=`echo $i|cut -d: -f2`
Comment=`echo $i|cut -d: -f2`
Exec=`echo $i|cut -d: -f1`
Icon=`echo $i|cut -d: -f3`
Terminal=false
Type=Application
Categories=X-Wine;
EOF
done

# Use Category=Wine instead of the previous workaround (Category=Emulator)
desktop-file-install	--add-mime-type=application/x-zip-compressed \
			--remove-mime-type=application/x-zip-compressed \
			--add-category=X-Wine \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%ifarch x86_64 aarch64
# fix the binary name
sed -i 's,Exec=wine ,Exec=wine64 ,' %{buildroot}%{_datadir}/applications/%{name}.desktop
%endif

mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
tar -Jxf %{SOURCE3} -C %{buildroot}%{_iconsdir}/hicolor/256x256/apps/

%ifarch x86_64 aarch64
cat > README.install.urpmi <<EOF
This is the Win64 version of Wine. This version can only be used to run
64-bit Windows applications as is. For running 32-bit Windows applications,
you need to also install the 'wine32' package from the 32-bit repository.
EOF
%endif

%files -n %{wine}
%doc ANNOUNCE.md AUTHORS README.md
%config %{_binfmtdir}/wine.conf
%ifarch x86_64 aarch64
%doc README.install.urpmi
%{_bindir}/%{name}64
%{_bindir}/%{name}64-preloader
%endif
%{_bindir}/winecfg
%{_bindir}/wineconsole*
%{_bindir}/wineserver
%{_bindir}/wineboot
%{_bindir}/function_grep.pl
%if 0%{?wine_staging}
%{_bindir}/msidb
%endif
%{_bindir}/msiexec
%{_bindir}/notepad
%{_bindir}/regedit
%{_bindir}/winemine
%{_bindir}/winepath
%{_bindir}/regsvr32
%{_bindir}/winefile
%ifnarch x86_64
%{_mandir}/man?/%{name}.?*
%lang(de) %{_mandir}/de.UTF-8/man?/%{name}.?*
%lang(fr) %{_mandir}/fr.UTF-8/man?/%{name}.?*
%lang(pl) %{_mandir}/pl.UTF-8/man?/%{name}.?*
%endif
%lang(de) %{_mandir}/de.UTF-8/man?/wineserver.?*
%lang(fr) %{_mandir}/fr.UTF-8/man?/wineserver.?*
%{_mandir}/man?/wineserver.?*
%{_mandir}/man?/msiexec.?*
%{_mandir}/man?/notepad.?*
%{_mandir}/man?/regedit.?*
%{_mandir}/man?/regsvr32.?*
%{_mandir}/man?/wineboot.?*
%{_mandir}/man?/winecfg.?*
%{_mandir}/man?/wineconsole.?*
%{_mandir}/man?/winefile.?*
%{_mandir}/man?/winemine.?*
%{_mandir}/man?/winepath.?*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.inf
%{_datadir}/%{name}/nls
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/menus/applications-merged/%{name}.menu
%{_datadir}/desktop-directories/%{name}.directory
%dir %{_datadir}/wine/fonts
%{_datadir}/wine/fonts/*
%{_iconsdir}/hicolor/*/apps/*.png

%ifnarch x86_64 aarch64
%files -n wine32
%{_bindir}/wine
%ifarch %{ix86} %arm
%{_bindir}/wine-preloader
%endif
%{_mandir}/man?/%{name}.?*
%lang(de) %{_mandir}/de.UTF-8/man?/%{name}.?*
%lang(fr) %{_mandir}/fr.UTF-8/man?/%{name}.?*
%lang(pl) %{_mandir}/pl.UTF-8/man?/%{name}.?*
%endif

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{winesodir}/*dll.so
%{_libdir}/%{name}/%{winesodir}/avicap32.so
%{_libdir}/%{name}/%{winesodir}/bcrypt.so
%{_libdir}/%{name}/%{winesodir}/crypt32.so
%{_libdir}/%{name}/%{winesodir}/ctapi32.so
%{_libdir}/%{name}/%{winesodir}/dnsapi.so
%{_libdir}/%{name}/%{winesodir}/dwrite.so
%{_libdir}/%{name}/%{winesodir}/gphoto2.so
%{_libdir}/%{name}/%{winesodir}/kerberos.so
%{_libdir}/%{name}/%{winesodir}/localspl.so
%{_libdir}/%{name}/%{winesodir}/mountmgr.so
%{_libdir}/%{name}/%{winesodir}/msv1_0.so
%{_libdir}/%{name}/%{winesodir}/netapi32.so
%{_libdir}/%{name}/%{winesodir}/nsiproxy.so
%{_libdir}/%{name}/%{winesodir}/odbc32.so
%{_libdir}/%{name}/%{winesodir}/opencl.so
%{_libdir}/%{name}/%{winesodir}/opengl32.so
%{_libdir}/%{name}/%{winesodir}/qcap.so
%{_libdir}/%{name}/%{winesodir}/sane.so
%{_libdir}/%{name}/%{winesodir}/secur32.so
%{_libdir}/%{name}/%{winesodir}/win32u.so
%{_libdir}/%{name}/%{winesodir}/winealsa.so
%{_libdir}/%{name}/%{winesodir}/winebus.so
%{_libdir}/%{name}/%{winesodir}/winegstreamer.so
%{_libdir}/%{name}/%{winesodir}/wineps.so
%{_libdir}/%{name}/%{winesodir}/winepulse.so
%{_libdir}/%{name}/%{winesodir}/wineusb.so
%{_libdir}/%{name}/%{winesodir}/winevulkan.so
%{_libdir}/%{name}/%{winesodir}/winewayland.so
%{_libdir}/%{name}/%{winesodir}/winex11.so
%{_libdir}/%{name}/%{winesodir}/winspool.so
%{_libdir}/%{name}/%{winesodir}/wpcap.so
%{_libdir}/%{name}/%{winesodir}/ws2_32.so

# PE format objects.
%if %have_mingw
%{_libdir}/%{name}/*/light.msstyles*
%{_libdir}/%{name}/%{winepedir}/*.acm
%{_libdir}/%{name}/%{winepedir}/*.ax
%{_libdir}/%{name}/%{winepedir}/*.cpl
%{_libdir}/%{name}/%{winepedir}/*.dll
%{_libdir}/%{name}/%{winepedir}/*.drv
%{_libdir}/%{name}/%{winepedir}/*.ds
%{_libdir}/%{name}/%{winepedir}/*.exe
%{_libdir}/%{name}/%{winepedir}/*.com
%{_libdir}/%{name}/%{winepedir}/*.ocx
%{_libdir}/%{name}/%{winepedir}/*.sys
%{_libdir}/%{name}/%{winepedir}/*.tlb
%endif
%ifarch %{ix86}
%{_libdir}/%{name}/%{winepedir}/*.dll16
%{_libdir}/%{name}/%{winepedir}/*.drv16
%{_libdir}/%{name}/%{winepedir}/*.exe16
%{_libdir}/%{name}/%{winepedir}/*.mod16
%{_libdir}/%{name}/%{winepedir}/*.vxd
%endif

%files -n %{wine}-devel
%ifarch %{ix86} x86_64 aarch64
%{_libdir}/%{name}/%{winepedir}/*.a
%endif
%ifarch %{ix86} x86_64
%{_libdir}/%{name}/%{winesodir}/*.a
%endif
%{_includedir}/*
%{_bindir}/msidb
%{_bindir}/wmc
%{_bindir}/wrc
%{_bindir}/winebuild
%{_bindir}/winegcc
%{_bindir}/wineg++
%{_bindir}/winecpp
%{_bindir}/widl
%{_bindir}/winedbg
%{_bindir}/winemaker
%{_bindir}/winedump
%lang(de) %{_mandir}/de.UTF-8/man?/winemaker.?*
%lang(fr) %{_mandir}/fr.UTF-8/man?/winemaker.?*
%{_mandir}/man1/wmc.1*
%{_mandir}/man1/wrc.1*
%{_mandir}/man1/winebuild.1*
%{_mandir}/man1/winemaker.1*
%{_mandir}/man1/winedump.1*
%{_mandir}/man1/widl.1*
%{_mandir}/man1/winedbg.1*
%{_mandir}/man1/wineg++.1*
%{_mandir}/man1/winegcc.1*
%{_mandir}/man1/winecpp.1*
