# Either one of gtk2, qt5, qt6. gtk3 is experimental and avoid it.
%bcond_without	qt
%define qt_ver	6

Summary:	A graphical interface for the video converter ffmpeg or avconv
Name:		winff
Version:	1.6.4
Release:	%mkrel 1
License:	GPLv3+
Group:		Video/Editors and Converters
Url:		https://github.com/WinFF/winff/
Source0:	https://github.com/WinFF/winff/archive/%{name}-%{version}.tar.gz
Source1:	winff-qt6.desktop
BuildRequires:	lazarus
BuildRequires:	dos2unix
%if %{with qt}
BuildRequires:	qt%{qt_ver}pas-devel
%endif
Requires:	ffmpeg
Requires:	xterm

%description
WinFF is a GUI for the command line video converter, FFMPEG. It will convert
most any video file that FFmpeg will convert. WinFF does multiple files in
multiple formats at one time. You can for example convert mpeg's, flv's, and
mov's, all into avi's all at once.

%if %{with qt}
%package	qt%{qt_ver}
Summary:	A Lazarus/Qt%{qt_ver} graphical interface for the video converter ffmpeg or avconv
Group:		Video/Editors and Converters
License:	GPLv3+
Requires:	%{name} >= %{version}-%{release}

%description	qt%{qt_ver}
WinFF is a GUI for the command line video converter, FFMPEG. It will convert
most any video file that FFmpeg will convert. WinFF does multiple files in
multiple formats at one time. You can for example convert mpeg's, flv's, and
mov's, all into avi's all at once.
This is WinFF for Qt written in Lazarus/Qt%{qt_ver}.
%endif

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

# Fix EOL (Version 1.2.0)
dos2unix winff/*.txt

cp %{SOURCE1} ./winff

%build

for i in gtk2 %{?with_qt:qt%{qt_ver}}; do
  lazbuild --ws=$i winff/winff.lpr
  mv winff/winff winff/winff-$i
done
mv winff/winff-gtk2 winff/winff

%install
pushd winff
mkdir -p %{buildroot}{%{_bindir},%{_datadir}/%{name}/languages}

# Install winff binary
install -p -m 0755 %{name} %{buildroot}%{_bindir}

# Install languages
install -p -m 0644 languages/*.po %{buildroot}%{_datadir}/%{name}/languages

# Install presets
install -p -m 0644 presets.xml %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}{%{_datadir}/pixmaps,%{_datadir}/applications,%{_mandir}/man1}

# Install man page
install -p -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1

# Install icons
install -p -m 0644 winff-icons/48x48/%{name}.png %{buildroot}%{_datadir}/pixmaps
for i in 16 24 32 48; do
	mkdir -p %{buildroot}%{_datadir}/icons/hicolor/"$i"x"$i"/apps
	install -p -m 0644 winff-icons/"$i"x"$i"/*.png %{buildroot}%{_datadir}/icons/hicolor/"$i"x"$i"/apps
done

# Desktop file
install -p -m 0644 winff.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%if %{with qt}
# Install winff binary for Qt
install -p -m 0755 %{name}-qt%{qt_ver} %{buildroot}%{_bindir}

# Desktop file for Qt-backend
install -p -m 0644 %{name}-qt%{qt_ver}.desktop %{buildroot}%{_datadir}/applications/%{name}-qt%{qt_ver}.desktop
%endif


%files
%doc winff/AUTHORS winff/*.txt winff/docs/*
%license winff/COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/apps/winff.png
%{_mandir}/man1/*

%if %{with qt}
%files qt%{qt_ver}
%doc winff/AUTHORS winff/*.txt winff/docs/*
%license winff/COPYING
%{_bindir}/%{name}-qt%{qt_ver}
%{_datadir}/applications/%{name}-qt%{qt_ver}.desktop
%endif
