Name:           wipe
Version:        2.3.1
Release:        %mkrel 15
Summary:        Secure file deletion utility
License:        GPLv2
Group:          File tools
URL:            https://wipe.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2.sig
Patch0:         wipe-rootbuildfix.patch
Patch1:         wipe-optflags.patch
Patch2:         wipe-gcc14.patch
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description
Wipe is a tool that effectively degausses the surface of a hard
disk, making it virtually impossible to retrieve the data that was
stored on it. This tool is designed to make sure secure data that is
erased from a hard drive is unrecoverable.

%prep
%autosetup -p1

%build
%configure
%make_build OPTFLAGS="%{optflags}" LIBS="%{ldflags}"

%install
%make_install bindir=%{buildroot}%{_bindir} \
              datadir=%{buildroot}%{_datadir} \
              mandir=%{buildroot}%{_mandir}

%{__mv} %{buildroot}%{_bindir}/wipe %{buildroot}%{_bindir}/wipe.wipe
%{__mv} %{buildroot}%{_mandir}/man1/wipe.1 %{buildroot}%{_mandir}/man1/wipe.wipe.1

# remove package installed docs
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%post
%{_sbindir}/update-alternatives --install %{_bindir}/wipe wipe %{_bindir}/wipe.wipe 10 --slave %{_mandir}/man1/wipe.1.lzma wipe.1.lzma %{_mandir}/man1/wipe.wipe.1.lzma

%postun
%{_sbindir}/update-alternatives --remove wipe %{_bindir}/wipe.wipe

%files
%doc README CHANGES TODO TESTING
%license LICENSE copyright
%attr(0755,root,root) %{_bindir}/wipe.wipe
%{_mandir}/man1/wipe.wipe.1*
