%define _verdate 2024.10.07
%define _version %(echo %{_verdate} | sed 's/\\.//g')

Name:		wireless-regdb
Version:	%{_version}
Release:	%mkrel 1
Summary:	The wireless regulatory database
License:	ISC
Group:		System/Kernel and hardware
URL:		https://wireless.wiki.kernel.org/en/developers/regulatory/wireless-regdb
Source: 	https://www.kernel.org/pub/software/network/%{name}/%{name}-%{_verdate}.tar.xz
BuildArch:	noarch

%description
Database with wireless regulatory information, used by crda or which can
be used by another user space helpers to communicate wireless regulatory
data to linux kernel.

%prep
%setup -q -n %{name}-%{_verdate}

%build
#NOTHING TO BUILD!!!

%install
%make_install

%files
%doc LICENSE
%{_mandir}/man5/regulatory.bin.5*
%{_mandir}/man5/regulatory.db.5*
%{_prefix}/lib/crda/regulatory.bin
%{_prefix}/lib/crda/pubkeys/wens.key.pub.pem
/lib/firmware/regulatory.db
/lib/firmware/regulatory.db.p7s
