%define pre	9
%define rel	15
%if %{pre}
%define release	%mkrel 0.pre%{pre}.%{rel}
%define src	wireless_tools.%{version}.pre%{pre}.tar.gz
%else
%define release	%mkrel %{rel}
%define src	wireless_tools.%{version}.tar.gz
%endif
%define lib_name_orig libiw
%define lib_major %{version}
%define lib_name %mklibname iw %{lib_major}
%define develname %mklibname -d iw
%define docs README INSTALL CHANGELOG.h DISTRIBUTIONS.txt COPYING PCMCIA.txt

Summary: Wireless Ethernet configuration tools
Group: System/Kernel and hardware
License: GPL
Name: wireless-tools
Version: 30
Release: %{release}
URL: https://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
Source: https://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/%{src}
Patch0: wireless_tools.diff
Patch1: revert-19-udev-ifrename.rules.diff
Patch2: wireless_tools.27-wireless-man-upd.patch
# (blino) strict Requires, see 28-1.pre9.2 changelog
Requires: %{lib_name} = %{version}-%{release}

%description
This package contain the Wireless tools, used to manipulate
the Wireless Extensions. The Wireless Extension is an interface
allowing you to set Wireless LAN specific parameters and get the
specific stats for wireless networking equipment.

This is specifically useful since it allows manipulation of encryption
parameters possible with the GPL WaveLAN cards.

%package -n %{lib_name}
Summary: Wireless_tools library
Group: System/Libraries
Provides: %{lib_name_orig} = %{version}-%{release}

%description -n %{lib_name}
This package contains libraries to configure and access wireless interface
cards.

%package -n %{develname}
Summary: Wireless_tools development library
Group: Development/C
Provides: libiw-devel = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Obsoletes: %{_lib}iw30-devel < %{version}-%{release}
Obsoletes: %{_lib}iw29-devel < %{version}-%{release}

%description -n %{develname}
This package contains libraries and headers for use in developing
wireless tools.

%prep
%setup -q -n wireless_tools.%{version}
%patch -P 0 -p0
%patch -P 1 -p1
#%patch -P 2 -p0
chmod a+r %{docs}

%build
%make_build clean
%make_build "CFLAGS=$RPM_OPT_FLAGS -I."

%install
%makeinstall \
	PREFIX=%{buildroot}%{_prefix} \
	INSTALL_LIB=%{buildroot}%{_libdir} \
	INSTALL_MAN=%{buildroot}%{_mandir} \
	INSTALL_DIR=%{buildroot}%{_sbindir}

%{find_lang} %{name} --with-man --all-name

%triggerpostun -- wireless-tools < 28-1.pre9.3
[ -f /etc/iftab ] && sed -i -e s,mac_ieee1394,mac, /etc/iftab
:

%files -f %{name}.lang
%doc %{docs}
%{_sbindir}/*
%{_mandir}/man5/iftab.*
%{_mandir}/man7/wireless.*
%{_mandir}/man8/*.*

%files -n %{lib_name}
%{_libdir}/libiw.so.%{version}

%files -n %{develname}
%{_libdir}/libiw.so
%{_includedir}/iwlib.h
%{_includedir}/wireless.h
