%define Werror_cflags %{nil}

%define	major		18
%define wiretapmajor	15
%define wsutilmajor	16
%define libname		%mklibname wireshark %{major}
%define libwiretap	%mklibname wiretap %{wiretapmajor}
%define libwsutil	%mklibname wsutil %{wsutilmajor}
%define devname		%mklibname wireshark d 

Summary:	Network traffic analyzer
Name:		wireshark
Version:	4.4.5
Release:	%mkrel 2
License:	GPLv2+ and GPLv3
Group:		Monitoring
URL:		https://www.wireshark.org
Source0:	https://www.wireshark.org/download/src/%{name}-%{version}.tar.xz
Source10:	README.urpmi
BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	flex
BuildRequires:	libelf-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6MultimediaWidgets)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
# Optional BRs
BuildRequires:	asciidoctor
BuildRequires:	doxygen
BuildRequires:	git-core
BuildRequires:	krb5-devel
BuildRequires:	pkgconfig(libcap)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(libsmi)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(libbcg729)
BuildRequires:	pkgconfig(libcares)
BuildRequires:	pkgconfig(libilbc)
BuildRequires:	pkgconfig(libnghttp2)
BuildRequires:	pkgconfig(libnghttp3)
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(libmaxminddb)
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(minizip)
#BuildRequires:	pkgconfig(minizip-ng)
BuildRequires:	pkgconfig(opencore-amrnb)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(sbc)
BuildRequires:	pkgconfig(snappy)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(spandsp)
BuildRequires:	pkgconfig(zlib)
#BuildRequires:	pkgconfig(zlib-ng)
BuildRequires:	xsltproc

Requires:	dumpcap
Requires:	xdg-utils

%description
Wireshark is a network traffic analyzer for Unix-ish operating systems. It is
based on Qt, a graphical user interface library, and libpcap, a packet
capture and filtering library.

%package -n	%{libname}
Summary:	Network traffic and protocol analyzer libraries
Group:		System/Libraries

%description -n	%{libname}
Wireshark is a network traffic analyzer for Unix-ish operating systems. It is
based on Qt, a graphical user interface library, and libpcap, a packet
capture and filtering library.

%package -n	%{libwiretap}
Summary:	Packet-capture library for %{name}
Group:		System/Libraries

%description -n	%{libwiretap}
The wiretap library is a packet-capture library currently under development
parallel to wireshark.

Wiretap is used in wireshark for its ability to read multiple file types.

%package -n	%{libwsutil}
Summary:	Network packet dissection utilities library
Group:		System/Libraries

%description -n	%{libwsutil}
The libwsutil library provides utility functions for wireshark.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	wireshark-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libwiretap} = %{version}-%{release}
Requires:	%{libwsutil} = %{version}-%{release}

%description -n	%{devname}
This package contains files used for development with %{name}.

%package	tools
Summary:	Tools for manipulating capture files
Group:		Monitoring

%description	tools
Set of tools for manipulating capture files. Contains:

- editcap - Edit and/or translate the format of capture files
- mergecap - Merges two capture files into one
- text2cap - Generate a capture file from an ASCII hexdump of packets

%package -n	tshark
Summary:	Text-mode network traffic and protocol analyzer
Group:		Monitoring
Requires:	dumpcap

%description -n	tshark
Tshark is a network protocol analyzer. It lets you capture packet data from a
live network, or read packets from a previously saved capture file, either
printing a decoded form of those packets to the standard output or writing the
packets to a file. Twireshark's native capture file format is libpcap format,
which is also the format used by tcpdump and various other tools.

%package -n	rawshark
Summary:	Dump and analyze raw libpcap data
Group:		Monitoring

%description -n	rawshark
Rawshark reads a stream of packets from a file or pipe, and prints a line
describing its output, followed by a set of matching fields for each packet on
stdout.

%package -n	dumpcap
Summary:	Network traffic dump tool
Group:		Monitoring

%description -n	dumpcap
Dumpcap is a network traffic dump tool. It lets you capture packet data from a
live network and write the packets to a file. Many wireshark utilities require it.

%prep
%autosetup -p1

# README.urpmi
install -Dm644 %{SOURCE10} .

%build
%cmake \
	-DUSE_qt6=ON \
	-DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
	-DDUMPCAP_INSTALL_OPTION:STRING="capabilities" \
	-DENABLE_DUMPCAP_GROUP:BOOL=ON \
	-DDUMPCAP_INSTALL_GROUP:STRING="wireshark"
%cmake_build

%install
%cmake_install
%cmake_install --component Development

# link to main executable
mv %{buildroot}%{_bindir}/wireshark %{buildroot}%{_bindir}/wireshark-qt
ln -s wireshark-qt %{buildroot}%{_bindir}/wireshark

# icons
install -Dpm0644 resources/icons/wsicon16.png %{buildroot}%{_miconsdir}/%{name}.png
install -Dpm0644 resources/icons/wsicon32.png %{buildroot}%{_iconsdir}/%{name}.png
install -Dpm0644 resources/icons/wsicon48.png %{buildroot}%{_liconsdir}/%{name}.png

# install includes
mkdir -p %{buildroot}%{_includedir}/wireshark
for include in `find epan -type f -name '*.h'`; do
	mkdir -p %{buildroot}%{_includedir}/wireshark/`dirname $include`
	install -m 0644 $include %{buildroot}%{_includedir}/wireshark/`dirname $include`
done

# remaining include files
install -m 0644 *.h %{buildroot}%{_includedir}/wireshark
mkdir -p %{buildroot}%{_includedir}/wireshark/wiretap
install -m 0644 wiretap/*.h %{buildroot}%{_includedir}/wireshark/wiretap
mkdir -p %{buildroot}%{_includedir}/wireshark/wsutil
install -m 0644 wsutil/*.h %{buildroot}%{_includedir}/wireshark/wsutil

chmod a+r %{buildroot}%{_bindir}/dumpcap

%pre -n dumpcap
if ! getent group wireshark > /dev/null ;then
	%{_sbindir}/groupadd -r -f wireshark
fi

%files -n dumpcap
%attr(0750, root, wireshark) %caps(cap_net_raw,cap_net_admin=ep) %{_bindir}/dumpcap
%{_mandir}/man1/dumpcap.1*

%files
%doc README.urpmi
%doc build/doc/wireshark-filter.html
%doc build/doc/wireshark.html
%{_bindir}/%{name}
%{_bindir}/%{name}-qt
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/plugins/
%dir %{_libdir}/%{name}/extcap/
%{_datadir}/%{name}/
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man1/%{name}.1*
%{_mandir}/man4/%{name}-filter.4*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/org.wireshark.Wireshark.xml
%{_metainfodir}/org.wireshark.Wireshark.metainfo.xml

%files tools
%{_bindir}/capinfos
%{_bindir}/captype
%{_bindir}/editcap
%{_bindir}/idl2wrs
%{_bindir}/mergecap
%{_bindir}/mmdbresolve
%{_bindir}/randpkt
%{_bindir}/reordercap
%{_bindir}/text2pcap
%{_bindir}/sharkd
%{_libdir}/%{name}/extcap/androiddump
%{_libdir}/%{name}/extcap/ciscodump
%{_libdir}/%{name}/extcap/dpauxmon
%{_libdir}/%{name}/extcap/randpktdump
%{_libdir}/%{name}/extcap/sdjournal
%{_libdir}/%{name}/extcap/sshdump
%{_libdir}/%{name}/extcap/udpdump
%{_libdir}/%{name}/extcap/wifidump
%{_mandir}/man1/androiddump.1*
%{_mandir}/man1/capinfos.1*
%{_mandir}/man1/captype.1*
%{_mandir}/man1/ciscodump.1*
%{_mandir}/man1/dpauxmon.1*
%{_mandir}/man1/editcap.1*
%{_mandir}/man1/etwdump.1*
%{_mandir}/man1/mergecap.1*
%{_mandir}/man1/mmdbresolve.1*
%{_mandir}/man1/randpkt.1*
%{_mandir}/man1/randpktdump.1*
%{_mandir}/man1/reordercap.1*
%{_mandir}/man1/sdjournal.1*
%{_mandir}/man1/sshdump.1*
%{_mandir}/man1/text2pcap.1*
%{_mandir}/man1/udpdump.1*
%{_mandir}/man1/wifidump.1*
%{_mandir}/man4/extcap.4*
%{_mandir}/man1/falcodump.1.*
%doc %_docdir/wireshark/COPYING
%doc %_docdir/wireshark/README.xml-output
%doc %_docdir/wireshark/androiddump.html
%doc %_docdir/wireshark/capinfos.html
%doc %_docdir/wireshark/captype.html
%doc %_docdir/wireshark/ciscodump.html
%doc %_docdir/wireshark/dpauxmon.html
%doc %_docdir/wireshark/dumpcap.html
%doc %_docdir/wireshark/editcap.html
%doc %_docdir/wireshark/etwdump.html
%doc %_docdir/wireshark/extcap.html
%doc %_docdir/wireshark/falcodump.html
%doc %_docdir/wireshark/mergecap.html
%doc %_docdir/wireshark/mmdbresolve.html
%doc %_docdir/wireshark/pdml2html.xsl
%doc %_docdir/wireshark/randpkt.html
%doc %_docdir/wireshark/randpktdump.html
%doc %_docdir/wireshark/rawshark.html
%doc %_docdir/wireshark/release-notes.html
%doc %_docdir/wireshark/reordercap.html
%doc %_docdir/wireshark/sdjournal.html
%doc %_docdir/wireshark/sshdump.html
%doc %_docdir/wireshark/text2pcap.html
%doc %_docdir/wireshark/tshark.html
%doc %_docdir/wireshark/udpdump.html
%doc %_docdir/wireshark/wifidump.html
%doc %_docdir/wireshark/ws.css


%files -n tshark
%{_bindir}/tshark
%{_mandir}/man1/tshark*

%files -n rawshark
%{_bindir}/rawshark
%{_mandir}/man1/rawshark.1*

%files -n %{libname}
%{_libdir}/libwireshark.so.%{major}{,.*}

%files -n %{libwiretap}
%{_libdir}/libwiretap.so.%{wiretapmajor}{,.*}

%files -n %{libwsutil}
%{_libdir}/libwsutil.so.%{wsutilmajor}{,.*}

%files -n %{devname}
%{_includedir}/wireshark/
%{_libdir}/libwireshark.so
%{_libdir}/libwiretap.so
%{_libdir}/libwsutil.so
%{_libdir}/pkgconfig/wireshark.pc
%{_libdir}/cmake/wireshark/
