Name:           withlock
Version:        0.5
Release:        %mkrel 6
Summary:        Locking wrapper script
Group:          System/Base
License:        ASL 2.0
URL:            https://github.com/poeml/withlock
Source0:        https://mirrorbrain.org/files/releases/%{name}-%{version}.tar.gz
# Use /usr/bin/python3 not /usr/bin/python, it's not agnostic
Patch0:         withlock-0.5-mga-python3.patch
BuildArch:      noarch
# (doktor5000) required for manpage formatting
BuildRequires:  ruby-ronn
Requires:       python(abi) >= 3.2

%description
withlock is a locking wrapper script to make sure that some program
isn't run more than once. It is ideal to prevent periodic jobs spawned
by cron from stacking up.

The locks created are valid only while the wrapper is running, and
thus will never require additional cleanup, even after a reboot. This
makes the wrapper safe and easy to use, and much better than
implementing half-hearted locking within scripts.

%prep
%setup -q
%patch -P 0 -p1

# (doktor5000) fix prefix to point to %%prefix and not /usr/local
sed -i 's|/usr/local|%{_prefix}|g' Makefile

%build
# No build

%install
%make_install

# (doktor5000) remove doc files, use %%doc macro to install them
rm -rf %buildroot/%_defaultdocdir/packages

%files
%doc LICENSE-2.0.txt README.md withlock.1.html
%{_bindir}/withlock
%{_mandir}/man1/%{name}.*
