%define major		0
%define libname		%mklibname wkhtmltox %{major}
%define develname	%mklibname wkhtmltox -d

Name:		wkhtmltopdf
Version:	0.12.6
Release:	%mkrel 1
Summary:	Simple shell utility to convert html to pdf
License:	GPLv3+
Group:		System/Printing
URL:		https://wkhtmltopdf.org/
Source0:	https://github.com/wkhtmltopdf%{name}/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5XmlPatterns)

%description
Simple shell utility to convert html to pdf using the webkit
rendering engine, and qt.

%package -n %{libname}
Summary:	Libraries for developing apps which will use bzip2
Group:		System/Libraries

%description -n %{libname}
Library of  %{name} functions, for developing apps which will use the
%{name} library.

%package -n %{develname}
Summary:	Header files for developing apps which will use bzip2
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%autopatch -p1

# libdir handling.. better handling needed
sed -i.lib -e \
	'/INSTALLBASE/s|lib|%{_lib}|' \
	src/lib/lib.pro


%build
%qmake_qt5
%make_build


%install
%make_install INSTALL_ROOT=%{buildroot}%{_prefix}


%files
%doc AUTHORS CHANGELOG.md CHANGELOG-OLD README.md
%{_bindir}/wkhtmltoimage
%{_bindir}/wkhtmltopdf
%{_mandir}/man1/wkhtmltoimage.1.*
%{_mandir}/man1/wkhtmltopdf.1.*

%files -n %{libname}
%license LICENSE
%{_libdir}/libwkhtmltox.so.%{major}{,.*}

%files -n %{develname}
%doc examples/
%{_libdir}/libwkhtmltox.so
%{_includedir}/wkhtmltox/
