Name:		wmakerconf
Version:	2.12
Release:	%mkrel 22
Summary:	WMakerConf is a configuration utility for WindowMaker
License:	GPLv2
Group:		Graphical desktop/WindowMaker
URL:		https://wmakerconf.sourceforge.net/
Source0:	https://downloads.sourceforge.net/wmakerconf/%{name}_%{version}.tar.gz
Patch0:		wmakerconf.src.error.c.patch
Patch1:		wmakerconf.configure.patch
Patch2:		wmakerconf-2.12-format-string.patch
Patch3:		wmakerconf-2.12-wmwriteproplisttofile.patch
Patch4:		wmakerconf-2.12-gettext.patch
Patch5:		wmakerconf-2.12-po.patch
Patch6:		wmakerconf-2.12-segfault.patch
Patch7:		wmakerconf-2.12-gtk-flags.patch
Patch8:         wmakerconf-2.12-mga-fix-build-with-automake.1.13-patch
Patch9:		wmakerconf-2.12-linkage.patch
Patch10:	wmakerconf-autoconf.patch
Patch11:	wmakerconf-2.12-glib-2.62.patch
Patch12:	wmakerconf-gcc14.patch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(wrlib)
BuildRequires:	pkgconfig(WINGs)
BuildRequires:	windowmaker

%description
WMakerConf (short for Window Maker Configurator) is a configuration
utility for the Window Maker window manager. Unlike the WPrefs.app program
included with Window Maker, WMakerConf uses the GTK+ graphics library. 


%prep
%setup -q
# force use of stdarg.h
%patch -P 0 -p0
# suppresss imlib support : broken. it's force to use gtk+1.2
%patch -P 1 -p1 -b .imlib
# the configure file seems to be really broken

%patch -P 2 -p1 -b .format-string
%patch -P 3 -p1 -b .wmwriteproplisttofile
# (cjw) gettextize refuses to run from a script, so patch results + 2 suggested fixes
%patch -P 4 -p1 -b .gettext
# (cjw) mark 2 translations fuzzy so msgfmt doesn't complain about a missing %%s
%patch -P 5 -p1 -b .msgfmt
# (cjw) fix segfault on exit which is probably caused by getstyle not working
%patch -P 6 -p1 -b .segfault
%patch -P 7 -p0 -b .gtk
%patch -P 8 -p0
%patch -P 9 -p1
%patch -P 10 -p1
%patch -P 11 -p1
%patch -P 12 -p1

rm -rf po/ja.*
sed -i 's|it ja no|it no|' configure.*

%build
autoreconf -fi
%configure
%make_build

%install
%make_install
# create missing directories
mkdir -p %{buildroot}%{_datadir}/pixmaps
# move stuff at the right place
mv %{buildroot}%{_datadir}/%{name}/%{name}.xpm %{buildroot}%{_datadir}/pixmaps/
for docfile in README ABOUT-NLS AUTHORS COPYING ChangeLog MANUAL NEWS NLS-TEAM1
do
mv %{buildroot}%{_datadir}/%{name}/$docfile .
done

# fix the desktop file
sed -i -e 's/^Icon=.*$/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*.desktop
sed -i -e 's/^Categories=.*$/Categories=GTK;Settings;/g' \
%{buildroot}%{_datadir}/applications/*.desktop

desktop-file-install \
	--remove-key="Encoding" \
	%{buildroot}%{_datadir}/applications/*.desktop --dir=%{buildroot}%{_datadir}/applications/

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc README ABOUT-NLS AUTHORS COPYING ChangeLog MANUAL NEWS NLS-TEAM1
%{_bindir}/*
%{_datadir}/pixmaps/*.xpm
%{_datadir}/applications/*
%{_datadir}/%{name}/
%{_mandir}/man1/*
