%define         configfilename        sample.wmixrc

Name:           wmix
Version:        3.5
Release:        %mkrel 2
Summary:        A dock application that is a small sound mixer
License:        GPLv2
Group:          Sound/Mixers

URL:            https://www.dockapps.net/wmix
Source0:        https://www.dockapps.net/download/wmix-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(alsa)

#needs /dev/mixer to work
Recommends:      alsa-oss
Recommends:      ossp 



%description
Wmix is a dock application mixer designed to adjust sound levels for
ALSA under OSS compatibility. You can either use the genuine OSS layer
of ALSA or the OSS Proxy Daemon under PULSE. It allows toggling record
source, muting individual channels, adjusting volume and balance, all
in a compact size, with TV-like on-screen-display for volume
levels. It also supports the mouse wheel to adjust current channel
volume and can be controlled remotely. Some features can be specified
through a configuration file assumed to reside in your home directory,
an example of which being provided in
%{_datadir}/%{name}/%{configfilename}.


%prep
%setup -q 


%build
autoreconf --force --install
%configure
%make_build CFLAGS="%optflags -fcommon" LDFLAGS="%ldflags"


%install
%make_install
install -D -m 644 sample.wmixrc %{buildroot}%{_datadir}/%{name}/%{configfilename}



%files
%doc AUTHORS BUGS NEWS README 
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{configfilename}
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}.1*


