%{?perl_default_filter}

# do not provide/require private perl modules
%global __requires_exclude GD.so|perl\\(HTML::Clean\\)|perl\\((WML::GD|find.pl)\\)
%global __provides_exclude GD.so|perl\\(HTML::Clean\\)|perl\\(WML::GD\\)

Summary:	Website META Language
Name:		wml
Version:	2.32.0
Release:	%mkrel 7
License:	GPLv2+
Group:		Publishing
URL:		https://github.com/thewml/website-meta-language
Source:		https://github.com/thewml/website-meta-language/releases/download/releases%2Fwml-%{version}/wml-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	libtool
BuildRequires:	libltdl-devel
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	perl-devel
BuildRequires:	gdbm-devel
BuildRequires:	db-devel
BuildRequires:	gettext-devel
BuildRequires:	lynx
# Please do not ever link this with an old db version than the current system db version
# libperl uses {get,set}pw*() functions which might bring in the system db version via nss,
# and lead to unexpected crashes
# BuildRequires: db2-devel, libgdbm-devel
BuildRequires:	perl(Bit::Vector) >= 5.2
BuildRequires:	perl(Carp::Always)
BuildRequires:	perl(Class::XSAccessor)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Which)
BuildRequires:	perl(GD)
BuildRequires:	perl(Getopt::Long) >= 2.16
BuildRequires:	perl(Image::Size) >= 2.6
BuildRequires:	perl(IO::All)
BuildRequires:	perl(Path::Tiny)
BuildRequires:	perl(Perl::Critic)
BuildRequires:	perl(Perl::Tidy)
BuildRequires:	perl(Term::ANSIColor)
BuildRequires:	perl(Term::ReadKey) >= 2.11
BuildRequires:	perl(Test::Code::TidyAll)
# why does not autorequires catch those???
Requires:	perl(Bit::Vector) >= 5.2
Requires:	perl(Class::XSAccessor)
Requires:	perl(File::Spec)
Requires:	perl(Getopt::Long) >= 2.16
Requires:	perl(IO::All)
Requires:	perl(Image::Size) >= 2.6
Requires:	perl(Term::ReadKey) >= 2.11
Requires:	wml-data
Provides:	wml-params-conf = %{version}-%{release}

%description
WML is a free and extensible web designer's off-line HTML generation
toolkit for Unix, distributed under the GNU General Public License
(GPL v2). It is written in ANSI C and Perl 5, built using a CMake
based source tree and runs out-of-the-box on all major Unix derivatives.
It can be used free of charge both in educational and commercial
environments.

%package data
BuildArch: noarch
Summary: wml data

%description data
Data files for wml.

%prep

%setup -q
%autopatch -p2

%build
%cmake -DLOCALE_INSTALL_DIR=%{_datadir}/locale

%cmake_build

%check
export PERL5LIB="$PWD/wml_test/:$PERL5LIB"
%make_build -C build -Onone check

%install
%cmake_install

%files
%doc BUGREPORT.md ChangeLog CREDITS.md
%doc README.md SUPPORT.asciidoc
%license COPYING COPYRIGHT COPYRIGHT.OTHER
%{_bindir}/*
%{_datadir}/%{name}/TheWML/Config.pm
%{_libdir}/%{name}
%{_mandir}/*/*
/usr/lib/mp4h/*/*

%files data
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/TheWML/Config.pm
