%define         configfile      sample.wmndrc

Name:           wmnd
Version:        0.4.18
Release:        %mkrel 4
Summary:        A dock application to monitor your network interfaces
License:        GPLv2
Group:          Monitoring

URL:            https://www.thregr.org/~wavexx/software/wmnd
Source0:        https://www.thregr.org/~wavexx/software/wmnd/releases/%{name}-%{version}.tar.gz


BuildRequires:  gawk
BuildRequires:  grep
BuildRequires:  libtool-base
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  libnet-snmp-devel
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(openssl)


%description
Wmnd is a highly customizable network monitoring dock application for
WindowMaker, or any desktop environment that handles docking. It shows
a graph of the network traffic of the past few minutes, current
activity and current and overall send and receive rates. Additionally
it can launch any program in response to mouse clicks. Other
customizations can be set in an easy-to-understand configuration file
".wmndrc" assumed to reside in your home directory, an example of
which being provided in %{_datadir}/%{name}/%{configfile}.


%prep
%setup -q

%build
%configure --datadir=%{_datadir}/%{name}
%make_build


%install
%make_install
mv %buildroot%{_docdir}/%{name}/examples/wmndrc %buildroot%{_docdir}/%{name}/%{configfile}



%files
%doc README.rst NEWS.rst THANKS.rst TODO.rst ChangeLog.0
%{_bindir}/%{name}
%{_docdir}/%{name}/%{configfile}
%{_mandir}/man1/%{name}*.1.*



