%define         configfilename        sample.wmsmixer

Name:           wmsmixer
Version:        0.5.1
Release:        %mkrel 10
Summary:        A dock application that is another small sound mixer
License:        GPLv2
Group:          Sound/Mixers

URL:            https://www.dockapps.net/wmsmixer
Source0:        https://distro.ibiblio.org/pub/linux/distributions/amigolinux/download/DockApps/wmsmixer-0.5.1/%{name}-%{version}.tar.bz2
#fix obsolete compilation flags
Patch0:         wmsmixer-0.5.1-Imakefile.patch

BuildRequires:  imake
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)

#needs /dev/mixer to work
Recommends:      alsa-oss
Recommends:      ossp 



%description
Wmsmixer is another dock application mixer designed to adjust the
sound levels under OSS compatibility. You can either use the genuine
OSS layer of ALSA or the OSS Proxy Daemon under PULSE. Most common
channels are identified with an appropriate icon and controls include
a stereo (mono when appropriate) volume control and a recording source
toggle button. Some features can be specified through an configuration
file assumed to reside in your home directory, an example of which
being provided in %{_datadir}/%{name}/%{configfilename}.



%prep
%setup -q 
%autopatch -p0

%build
xmkmf
%make_build CXXFLAGS="%optflags" LDLIBS="%ldflags" %{name}


%install
%make_install
install -D -m 644 home.wmsmixer %{buildroot}%{_datadir}/%{name}/%configfilename

%files
%doc README COPYING README.wmmixer
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{configfilename}


