#global _legacy_common_support 1

%define         srcname        wmSpaceWeather

Name:           wmspaceweather
Version:        1.05
Release:        %mkrel 4
Summary:        A space weather monitor which displays cosmic ray fluxes from the Sun
License:        GPLv2
Group:          Sciences/Astronomy

URL:            https://www.dockapps.net/wmspaceweather
Source0:        https://github.com/eatdust/wmspaceweather/files/15365910/%{srcname}-%{version}_fix.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(dockapp)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xext)

Requires: python3



%description
Wmspaceweather is another dockapp for WindowMaker, or any window
manager and desktop environment that handles dock applications. It
displays the current fluxes and spectra for electrons and protons at
geosynchronous orbit, as well as X-ray levels and the last K-index
values. The K-index is a measure of how disturbed the Earth's magnetic
field has been over a 3-hour interval which ranges from 0 to 9 (0
is quiet and 9 is very disturbed). The K-index values shown are the 8
previous values (i.e. the last 24 hours). If the display is
up-to-date, the led next to the K bars will flash blue, otherwise it
will flash orange.


%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
cd %{srcname}
%set_build_flags
%make_build


%install
cd %{srcname}
%__install -D -m 755 getspaceweather.py %{buildroot}%{_bindir}/getspaceweather.py
%__install -D -m 755 %{srcname} %{buildroot}%{_bindir}/%{name}
%__install -D -m 644 %{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc BUGS CHANGES COPYING HINTS README
%{_bindir}/%{name}
%{_bindir}/getspaceweather.py
%{_mandir}/man1/%{name}.1*



