%define         videodev      /dev/video0

Name:           wmwebcam
Version:        0.3.5
Release:        %mkrel 13
Summary:        A dock application for your webcam
License:        GPLv2
Group:          Video/Players

URL:            https://www.dockapps.net/wmwebcam
Source0:        https://repo.or.cz/dockapps.git/tree/HEAD:/wmwebcam/%{name}-%{version}.tar.gz
#old legacy v4l1 prog, patch to use libv4l1
Patch0:         %{name}-0.3.5-libv4l1.patch
#clean the perl script: removed call to "stamp" (old)
Patch1:         %{name}-0.3.5-script.patch
Patch2:         %{name}-fix-build-with-gcc14.patch


BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  libv4l-devel
Requires:       openssh-clients
Requires:       perl
Requires:       grep


%description
Wmwebcam is yet another dockapp for WindowMaker, or any desktop
environment that handles dock applications, that streams your webcam
into a small docked window. Check the perl script
"%{_bindir}/%{name}.pl" if you want to publish the captured images
with your favorite web server.


%prep
%setup -q
%autopatch -p0


%build
%make_build \
      CFLAGS="%optflags -DVIDEO_DEV='\"%videodev\"'" \
      LDFLAGS="%ldflags" LIBS="-lX11 -lXext -lm -ljpeg -lv4l1"


%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 755 %{name}.pl %{buildroot}%{_bindir}/%{name}.pl

%files
%doc COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}.pl


