Name:           wob
Version:        0.15.1
Release:        %mkrel 1
Summary:        A lightweight overlay volume/backlight/progress/anything bar for Wayland
License:        ISC
Group:          System/X11
URL:            https://github.com/francma/wob
Source0:        %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:        %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz.sig
# francma publishes their public keys on github as
# wget https://keys.openpgp.org/vks/v1/by-fingerprint/5C6DA024DDE27178073EA103F4B432D5D67990E3
# gpg --import ~/tmp/5C6DA024DDE27178073EA103F4B432D5D67990E3.asc
# gpg2 --export --export-options export-minimal 5C6DA024DDE27178073EA103F4B432D5D67990E3 > 5C6DA024DDE27178073EA103F4B432D5D67990E3.gpg
Source2:        5C6DA024DDE27178073EA103F4B432D5D67990E3.gpg

BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  meson
BuildRequires:  scdoc
BuildRequires:  pkgconfig(libseccomp)
BuildRequires:  pkgconfig(cmocka)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(inih)

%description
A lightweight overlay volume/backlight/progress/anything bar for
Wayland.

%prep
%gpgverify -k 2 -s 1 -d 0
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man5/%{name}.ini.5.*
