Name:			woeusb-ng
Version:		0.2.12
Release:		%mkrel 3
Summary:		Create a Windows USB from a real Windows DVD or image
License:		GPLv3
Group:			Archiving/Other
URL:			https://github.com/WoeUSB/WoeUSB-ng
Source0:		https://github.com/WoeUSB/WoeUSB-ng/archive/v%{version}/WoeUSB-ng-%{version}.tar.gz
Patch1:			WoeUSB-ng-fix-polkit-action.patch
Patch2:			0001-Added-some-missing-translations-for-the-French-language.patch
Patch3:			0001-fix-python-packaging-using-latest-methods.patch
Patch10:		woeusb-ng-mga-fix-install.patch
Patch11:		woeusb-ng-mga-fix-gui-polkit-actions.patch
BuildArch:		noarch
BuildRequires:		gettext
BuildRequires:		pkgconfig(python3)
Requires:		dosfstools
Requires:		ntfs-3g
Requires:		grub2-common
Requires:		parted
Requires:		p7zip
Requires:		python3dist(termcolor)
Requires:		python3dist(wxpython)
Obsoletes:		woeusb < 3.3.2
Provides:		woeusb

%description
WoeUSB-ng is a simple tool that enable you to create your own usb stick windows
installer from an iso image or a real DVD. This is a rewrite of original
WoeUSB.

#------------------------------------------------------------

%prep
%autosetup -n WoeUSB-ng-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
msgfmt --output-file=src/WoeUSB/locale/fr/LC_MESSAGES/woeusb.mo src/WoeUSB/locale/fr/LC_MESSAGES/woeusb.po
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files WoeUSB

#------------------------------------------------------------
%files -f %{pyproject_files}
%license COPYING
%doc CONTRIBUTING.md README.md
%{_bindir}/woeusb
%{_bindir}/woeusbgui
%{_datadir}/polkit-1/actions/com.github.woeusb.woeusb-ng.policy
%{_datadir}/applications/WoeUSB-ng.desktop
%{_iconsdir}/hicolor/256x256/apps/woeusb-logo.png
#------------------------------------------------------------
