%define major	1.0.2
%define comlib	%mklibname woff2common %{major}
%define enclib	%mklibname woff2enc %{major}
%define declib	%mklibname woff2dec %{major}
%define devname	%mklibname woff2 -d

Name:		woff2
Summary:	Web Open Font Format 2.0 library
Version:	1.0.2
Release:	%mkrel 5
License:	MIT
Group:		System/Libraries
Url:		https://github.com/google/woff2/
Source0:	https://github.com/google/woff2/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(libbrotlidec)

%description
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF 1.0 with
improved compression that is achieved by using the Brotli algorithm. The primary
purpose of the WOFF2 format is to efficiently package fonts linked to Web
documents by means of CSS @font-face rules.

%package tools
Summary:	Web Open Font Format 2.0 tools
Group:		Archiving/Compression
Provides:	%{name} = %{version}-%{release}

%description tools
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF 1.0 with
improved compression that is achieved by using the Brotli algorithm. The primary
purpose of the WOFF2 format is to efficiently package fonts linked to Web
documents by means of CSS @font-face rules.

%package -n %{comlib}
Summary:	Shared data used by libwoff2 and libwoff2dec libraries
Group:		System/Libraries

%description -n %{comlib}
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF 1.0 with
improved compression that is achieved by using the Brotli algorithm. The primary
purpose of the WOFF2 format is to efficiently package fonts linked to Web
documents by means of CSS @font-face rules.

%package -n %{enclib}
Summary:	WOFF2 encoder library

%description -n %{enclib}
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF 1.0 with
improved compression that is achieved by using the Brotli algorithm. The primary
purpose of the WOFF2 format is to efficiently package fonts linked to Web
documents by means of CSS @font-face rules.

%package -n %{declib}
Summary:	WOFF2 decoder library

%description -n %{declib}
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF 1.0 with
improved compression that is achieved by using the Brotli algorithm. The primary
purpose of the WOFF2 format is to efficiently package fonts linked to Web
documents by means of CSS @font-face rules.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{comlib} = %{version}-%{release}
Requires:	%{enclib} = %{version}-%{release}
Requires:	%{declib} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF 1.0 with
improved compression that is achieved by using the Brotli algorithm. The primary
purpose of the WOFF2 format is to efficiently package fonts linked to Web
documents by means of CSS @font-face rules.

%prep
%setup -q

%build
%cmake -DCMAKE_SKIP_RPATH:BOOL=ON
%cmake_build

%install
%cmake_install

# binaries
install -Dpm755 build/woff2_compress %{buildroot}%{_bindir}/woff2_compress
install -Dpm755 build/woff2_decompress %{buildroot}%{_bindir}/woff2_decompress
install -Dpm755 build/woff2_info %{buildroot}%{_bindir}/woff2_info

%files tools
%{_bindir}/woff2_compress
%{_bindir}/woff2_decompress
%{_bindir}/woff2_info

%files -n %{comlib}
%license LICENSE
%{_libdir}/libwoff2common.so.%{major}{,.*}

%files -n %{enclib}
%license LICENSE
%{_libdir}/libwoff2enc.so.%{major}{,.*}

%files -n %{declib}
%license LICENSE
%{_libdir}/libwoff2dec.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/woff2/
%{_libdir}/libwoff2*.so
%{_libdir}/pkgconfig/libwoff2*.pc
