Name:		woob
Version:	3.7
Release:	%mkrel 3
Summary:	Web Outside Of Browsers: applications to interact with websites
Group:		Networking/Other
License:	GPLv3+ and LGPLv3+
URL:		https://woob.tech/
Source0:	https://gitlab.com/woob/woob/-/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		woob-relax-dependencies.patch
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3dist(babel)

Recommends:	gstreamer1.0-rtmp
Recommends:	python3dist(nose)
Recommends:	python3dist(pdfminer.six)
Recommends:	python3dist(simplejson)
Recommends:	yt-dlp

Obsoletes:	weboob < 2:2.0-5
Provides:	weboob = 2:%{version}-%{release}

%description
Woob is Web Outside Of Browsers.

Woob is a collection of applications able to interact with websites,
without requiring the user to open them in a browser. It also provides
well-defined APIs to talk to websites lacking one.

Why using Woob?
 * You get information faster;
 * You can script around woob to automate tasks;
 * It extends websites features;
 * It helps blind people use crappy websites;
 * Reuse your favorite applications.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name} weboob

mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 man/*.1 %{buildroot}%{_mandir}/man1

%files -f %{pyproject_files}
%doc AUTHORS ChangeLog README.rst
%license COPYING*
%{_bindir}/*
%{_mandir}/man1/*.1*
