#define         git 20201023
%define         rel 8

Name:           wordgrinder
Version:        0.8
Release:        %mkrel %{?git:-c git%{git}} %{rel}
Summary:        A word processor which gets out of your way
Group:          Editors
License:        MIT and BSD and OFL
URL:            https://cowlark.com/wordgrinder
Source0:        https://github.com/davidgiven/wordgrinder/archive/%{?git:master}%{?!git:%{version}}/%{name}-%{version}.tar.gz
Patch0:         makefile.patch
Patch1:         wordgrinder-sys-bitop.patch
Patch2:         https://github.com/davidgiven/wordgrinder/pull/237.patch
BuildRequires:  ninja
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(lua-5.1)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  freetype-devel
BuildRequires:  uthash-devel
BuildRequires:  lua5.1-lpeg
BuildRequires:  lua5.1-bitop

Requires:       lua5.1-lpeg
Requires:       lua5.1-bitop

Conflicts:      %{name} < 0.7.2-2

%description
WordGrinder is a simple, Unicode-aware word processor that runs on the
console. It's designed to get the hell out of your way and let you write;
it does very little, but what it does it does well.

It supports basic paragraph styles, basic character styles, basic screen
markup, a menu interface that means you don't have to remember complex
key sequences, HTML import and export, and some other useful features.

WordGrinder does not require X. It runs in a terminal. (But there's a
version which uses X if you want it.)

%package gui
Summary:        A X11 word processor which gets out of your way
Group:          Editors
Conflicts:      %{name} < 0.7.2-2

%description gui
WordGrinder does not require X. It runs in a terminal. (But there's a
version which uses X if you want it.)

This is the X11 version of %{name}

%prep
%autosetup -p1 %{?git:-n %{name}-master}

#use system libs
rm -rf src/c/emu/lua*
rm -rf src/c/emu/lpeg/
rm -rf src/c/emu/minizip
rm -rf src/c/emu/uthash

%build
export WANT_STRIPPED_BINARIES=no
%set_build_flags
%make_build all \
           PREFIX="%{_prefix}" \
           DESTDIR="%{buildroot}" \
           OBJDIR="%{_vpath_builddir}" \
           LUA_INTERPRETER="%{_bindir}/lua-5.1" \
           LUA_PACKAGE="lua-5.1" \
           LPEG_PACKAGE="--cflags={} --libs={%{_libdir}/lua/5.1/lpeg.so}" \
           LUABITOP_PACKAGE="--cflags={} --libs={%{_libdir}/lua/5.1/bit.so}" \
           MINIZIP_PACKAGE="minizip" \
           UTHASH_PACKAGE="--cflags={} --libs={}"

%install
%make_install LUA_INTERPRETER="%{_bindir}/lua-5.1" OBJDIR="%{_vpath_builddir}" DESTDIR=%{buildroot} PREFIX=%{_prefix}

%files
%doc README README.wg
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*

%files gui
%{_bindir}/x%{name}
%{_mandir}/man1/x%{name}.*
%{_datadir}/applications/wordgrinder.desktop
%{_datadir}/mime-info/wordgrinder.mime
%{_datadir}/pixmaps/wordgrinder.png
