Name:           wordwarvi
Version:        1.0.4
Release:        %mkrel 2
Summary:        Retro-styled side scrolling shoot'em up arcade game
Group:          Games/Shooter
License:        GPLv2+ and CC-BY and CC-BY-SA
URL:            https://smcameron.github.io/wordwarvi
Source0:        https://github.com/smcameron/wordwarvi/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(vorbisfile)

%description
Word War vi is your basic side-scrolling shoot 'em up '80s style arcade game.
You pilot your "vi"per craft through core memory, rescuing lost .swp files,
avoiding OS defenses, and wiping out those memory hogging emacs processes.
When all the lost .swp files are rescued, head for the socket which will take
you to the next node in the cluster. 

%prep
%autosetup
sed -i Makefile -e 's@^DATADIR=.*@DATADIR=%{_gamesdatadir}/%{name}@'

%build
%set_build_flags
%make_build

%install
%make_install

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Word War vi
Comment=Retro-styled side scrolling shoot'em up arcade game
GenericName=Side scrolling shooter
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;Shooter;
EOF

for size in 16x16 22x22 32x32 48x48 64x64 128x128; do
  install -D -m644 icons/wordwarvi_icon_${size}.png \
      %{buildroot}%{_iconsdir}/hicolor/${size}/apps/%{name}.png
done

%files
%doc AUTHORS changelog.txt
%license COPYING sounds/Attribution.txt
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}.6*
