%define 	docver	2.10.0.2

Name: 		worker
Version: 	5.1.0
Release: 	%mkrel 1
Summary: 	A file manager for X in AMIGA style
License: 	GPLv2+
Group: 		File tools
URL: 		http://www.boomerangsworld.de/cms/worker/
Source0: 	http://www.boomerangsworld.de/cms/worker/downloads/%{name}-%{version}.tar.bz2
Source1: 	http://www.boomerangsworld.de/cms/worker/downloads/worker-%{docver}-doc.tar.bz2
Source3: 	%{name}-48.png
Source4: 	%{name}-32.png
Source5: 	%{name}-16.png
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	magic-devel
BuildRequires:	lua-devel
BuildRequires:	avfs-devel

%description
Worker is a graphical filemanager for the X Window System.
It use the classical two-panel-view of the files and directories.
It hast many intern operations while any extern program can also be
used for operate on the selected items. You can easily add actions
to file types or buttons with the builtin configuration program.

%prep
%setup -q -a 1

#Fix ChangeLog and Man pages(UTF-8)
for f in ChangeLog man/fr/worker.1 man/it/worker.1; do
	iconv -f ISO-8859-1 -t UTF-8 $f > $f.new && \
	touch -r $f $f.new && \
	mv $f.new $f
done

%build
%configure
%make_build

pushd %{name}-%{docver}-doc
%configure
%make_build
popd

%install
%make_install
%make_install -C %{name}-%{docver}-doc

# python shebang
%py3_shebang_fix %{buildroot}%{_datadir}/%{name}/scripts/*

%files
%doc README NEWS AUTHORS ChangeLog
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/pixmaps/*.xpm
%{_metainfodir}/de.boomerangsworld.%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1*
%lang(fr) %{_mandir}/fr/man1/%{name}.1.*
%lang(it) %{_mandir}/it/man1/%{name}.1.*
