%define api     1.0
%define major   0
%define libname %mklibname workrave-private %api %major
%define girname %mklibname %name-gir %api

%define api_gtk4     2.0
%define libname_gtk4 %mklibname workrave-gtk4-private %api %major
%define girname_gtk4 %mklibname %name-gir %api_gtk4

%define tag %(echo %{version}|tr . _)

%bcond_without gtk4
%bcond_without gnome_flashback
%bcond_without mate
%bcond_without xfce

Summary:	Assists in recovery and prevention of Repetitive Strain Injury (RSI)
Name:		workrave
Version:	1.10.53
Release:	%mkrel 1
License:	GPLv2
Group:		Accessibility
URL:		https://www.workrave.org/
Source0:	https://github.com/rcaelers/workrave/releases/download/v%{tag}/%{name}-v%{version}.tar.gz
BuildRequires:	autoconf-archive
BuildRequires:	doxygen
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(dbus-1) >= 1.2
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(dbusmenu-glib-0.4) >= 0.1.1
BuildRequires:	pkgconfig(dbusmenu-gtk3-0.4) >= 0.3.95
BuildRequires:	pkgconfig(gdk-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.0.0
%if %{with gtk4}
BuildRequires:	pkgconfig(gtk4)
%endif
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(ayatana-indicator3-0.4) >= 0.7.1-3
BuildRequires:	pkgconfig(libpulse) >= 0.9.15
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 0.9.15
BuildRequires:	pkgconfig(sigc++-2.0) >= 2.2.4.2
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool >= 0.40.0
BuildRequires:	python3dist(jinja2)
%if %{with gnome_flashback}
BuildRequires:	pkgconfig(libgnome-panel)
%endif
%if %{with mate}
BuildRequires:	pkgconfig(libmatepanelapplet-4.0)
%endif
%if %{with xfce}
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.12
%endif

%description
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

%package	gnome-applet
Summary:	Workrave GNOME Desktop applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}

Conflicts:	%{name} < 1.10.51.1-3

%description	gnome-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

This package contains applet specific for GNOME desktop environment.
It is not necessary for basic functionality, but %{name} can cooperate
more with GNOME environment, such as embedding in GNOME panel.

%package	gnome-flashback-applet
Summary:	Workrave GNOME Flashback applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}

%description	gnome-flashback-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

This package contains applet specific for GNOME Flashback panel.

%package	cinnamon-applet
Summary:	Workrave Cinnamon Desktop applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}

Conflicts:	%{name} < 1.10.51.1-3

%description	cinnamon-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

This package contains applet specific for Cinnamon desktop environment.

%if %{with mate}
%package	mate-applet
Summary:	Workrave MATE Panel applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}

%description	mate-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

This package contains applet specific for MATE desktop environment panel.
%endif

%if %{with xfce}
%package	xfce4-applet
Summary:	Workrave Xfce4 Panel plugin applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}

%description	xfce4-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

This package contains applet specific for Xfce desktop environment panel plugin.
%endif

%package -n %{libname}
Group:		System/Libraries
Summary:	Private library for %{name}

%description -n %{libname}
Private library for %{name}

%package -n %{girname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface library for %{name}.

%if %{with gtk4}
%package -n %{libname_gtk4}
Group:		System/Libraries
Summary:	Private library for %{name} (Gtk4)

%description -n %{libname_gtk4}
Private library for %{name} (Gtk4).

%package -n %{girname_gtk4}
Summary:	GObject Introspection interface library for %{name} (Gtk4)
Group:		System/Libraries
Requires:	%{libname_gtk4} = %{version}-%{release}

%description -n %{girname_gtk4}
GObject Introspection interface library for %{name} (Gtk4).
%endif

%package devel
Summary:	Development libraries, header files and utilities for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
%if %{with gtk4}
Requires:	%{girname_gtk4} = %{version}
%endif

%description devel
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

This package contains the files necessary to develop applications with
%{name}.

%prep
%autosetup -p1

%build
%configure \
	%{?with_gnome_flashback:--enable-gnome3} \
	%{?with_mate:--enable-mate} \
	%{?with_xfce:--enable-xfce} \
	--enable-gnome45 \
	--disable-rpath \
	--disable-static \
	--disable-schemas-compile
%make_build

%install
%make_install

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license COPYING
%{_bindir}/*
%{_libdir}/ayatana-indicators3/7/libworkrave.so
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.workrave.Workrave.service
%{_iconsdir}/hicolor/*/apps/workrave.png
%{_iconsdir}/hicolor/scalable/apps/workrave.svg
%{_iconsdir}/hicolor/scalable/workrave-sheep.svg
%{_datadir}/sounds/workrave/
%{_metainfodir}/workrave.appdata.xml
%{_datadir}/glib-2.0/schemas/org.workrave.enums.xml
%{_datadir}/glib-2.0/schemas/org.workrave.gschema.xml
%{_datadir}/glib-2.0/schemas/org.workrave.gui.gschema.xml

%files gnome-applet
%{_datadir}/gnome-shell/extensions/workrave@workrave.org/

%if %{with gnome_flashback}
%files gnome-flashback-applet
%{_libdir}/gnome-panel/modules/libworkrave-applet.so
%endif

%files cinnamon-applet
%{_datadir}/cinnamon/applets/workrave@workrave.org/

%if %{with mate}
%files mate-applet
%{_libdir}/mate-applets/workrave-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.WorkraveAppletFactory.service
%{_datadir}/mate-panel/applets/org.workrave.WorkraveApplet.mate-panel-applet
%{_datadir}/mate-panel/ui/workrave-menu.xml
%endif

%if %{with xfce}
%files xfce4-applet
%{_libdir}/xfce4/panel/plugins/libworkrave-plugin.so
%{_datadir}/xfce4/panel/plugins/workrave-xfce-applet.desktop
%endif

%files -n %{libname}
%{_libdir}/libworkrave-private-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Workrave-%{api}.typelib

%if %{with gtk4}
%files -n %{libname_gtk4}
%{_libdir}/libworkrave-gtk4-private-%{api}.so.%{major}{,.*}

%files -n %{girname_gtk4}
%{_libdir}/girepository-1.0/Workrave-%{api_gtk4}.typelib
%endif

%files devel
%{_libdir}/libworkrave-private-%{api}.so
%{_datadir}/gir-1.0/Workrave-%{api}.gir
%if %{with gtk4}
%{_libdir}/libworkrave-gtk4-private-%{api}.so
%{_datadir}/gir-1.0/Workrave-%{api_gtk4}.gir
%endif
