%define gamelibdir	%{_libdir}/games/%{name}

Name:		worldofpadman
Version:	1.6.2
Release:	%mkrel 1
Summary:	World Of Padman - Comic 3D-Shooter
Group:		Games/Shooter
License:	GPLv2+
URL:		https://worldofpadman.net/
Source0:	https://github.com/PadWorld-Entertainment/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
ExcludeArch:	%{ix86}
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(zlib)

Requires:	%{name}-data = %{version}


%description
World of Padman (WoP) is a first-person shooter computer game available in
both English and German. The idea is based on the Padman comic strip for the
magazine PlayStation Games created by the professional cartoon artist Andreas
'ENTE' Endres, who is also the man who made many of the maps included with the
game in 1998. Most of the maps in the game are Lilliput style.

%files
%{_gamesbindir}/%{name}
%dir %{gamelibdir}
%{gamelibdir}/*
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_datadir}/applications/*.desktop

#----------------------------------------------------------------

%package server
Group:		Games/Shooter
Summary:	Dedicated server for World of Padman
Requires:	%{name}-data => %{version}

%description server
This package contains the dedicated server for World of Padman.

%files server
%{gamelibdir}/wopded.*

#----------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}

sed -i 's|#include <opus.h>|#include <opus/opus.h>|' code/client/client.h
sed -i 's|#include <opusfile.h>|#include <opus/opusfile.h>|' code/client/snd_codec_opus.c

%build
%make_build \
	OPTIMIZE="$RPM_OPT_FLAGS -fno-strict-aliasing" \
	DEFAULT_BASEDIR=%{_gamesdatadir}/%{name}/ \
	BUILD_CLIENT=YES \
	BUILD_SERVER=YES \
	USE_INTERNAL_LIBS=0 \
	%ifnarch x86_64
	BUILD_RENDERER_VULKAN=0 \
	%endif
	NO_STRIP=1

%install
%make_build \
	copyfiles USE_INTERNAL_LIBS=0 \
	%ifnarch x86_64
	BUILD_RENDERER_VULKAN=0 \
	%endif
	NO_STRIP=1 \
	COPYDIR=%{buildroot}%{gamelibdir}

mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps

binary=`basename %{buildroot}%{gamelibdir}/wop.*`

install -d %{buildroot}%{_gamesbindir}
cat > %{buildroot}%{_gamesbindir}/%{name} <<EOF
#!/bin/sh
cd %{gamelibdir}
exec ./$binary \$*
EOF
chmod 755 %{buildroot}%{_gamesbindir}/%{name}

install -m 0644 misc/wop.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

cp %{SOURCE1} "%{buildroot}%{_datadir}/applications/"
