
Name:          ws-commons-policy
Version:       1.0
Release:       %mkrel 1
Summary:       Web Services Commons - WS-Policy implementation
Group:         Development/Java
License:       ASL 2.0
Url:           https://ws.apache.org/
Source0:       https://www.apache.org/dist/ws/commons/policy/1_0/policy-%{version}-src.tar.gz
Source1:       ws-commons-policy-%{version}-build.xml
Source2:       ws-commons-policy-%{version}-pom
Patch0:        ws-commons-policy-1.0-OMPolicyReader.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: apache-commons-logging
BuildRequires: bea-stax
BuildRequires: bea-stax-api
BuildRequires: ws-commons-axiom
BuildRequires: wsdl4j

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
WS-Policy implementation, part of Web Services Commons.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n policy-%{version}-src

find . -name '*.jar' -exec rm -f '{}' \;
find . -name '*.class' -exec rm -f '{}' \;

%patch -P 0 -p0
cp -p %SOURCE1 build.xml

%build

ant build test javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/policy.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE2 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "ws-commons:policy"

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc AUTHORS.txt LICENSE.txt README.txt RELEASE-NOTE.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt