Name:		wsjtx
Summary:	Provides popular modes for Weak Signal digital Amateur Radio communication
Version:	2.7.0
Release:	%mkrel 1
License:	GPLv3
Url:		https://wsjt.sourceforge.io/wsjtx.html
Group:		Communications/Radio
Source0:	https://sourceforge.net/projects/wsjt/files/%{name}-%{version}/%{name}-%{version}.tgz
Patch0:		wsjtx-2.6.0-mga-hamlib_binary_conflicts.patch

BuildRequires:	asciidoc
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
BuildRequires:	gcc-c++
BuildRequires:	gcc-gfortran
BuildRequires:	git
BuildRequires:	hamlib-utils >= 4.4
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(hamlib) >= 4.4
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	ruby-asciidoctor
BuildRequires:	subversion
BuildRequires:	texinfo

Requires:		qtmultimedia5

%description
WSJT-X implements communication protocols or "modes" called:

FST4, FST4W, FT4, FT8, JT4, JT9, JT65, Q65, MSK144, and WSPR.

Also 'Echo' for detecting and measuring your own radio signals
reflected from the Moon.

These modes were all designed for making reliable, confirmed QSOs under
extreme weak-signal conditions.

%prep
%setup -q
mv src ../src
rm -f *
tar -xzf ../src/%{name}.tgz
cp -rf %{name}/* .
rm -rf ../src

# convert CR + LF to LF
dos2unix *.ui *.iss *.txt

%patch -P 0 -p1

# remove bundled boost.
rm -rf boost

%build
%cmake_qt5  \
			-DPC_HAMLIB_LIBRARY_DIRS=%{_libdir} \
			-DHAMLIB_LIBRARY_DIRS=%{_libdir} \
			-DBoost_NO_SYSTEM_PATHS=FALSE \
			-DBoost_INCLUDE_DIR=%{_includedir} \
			-DCMAKE_BUILD_TYPE=Release

%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_docdir}/WSJT-X/{INSTALL,COPYING,changelog.Debian.gz,copyright}

desktop-file-install %{buildroot}%{_datadir}/applications/%{name}.desktop \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications

%files
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}_icon.png
%{_mandir}/man1/*
