%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           wslay
Version:        1.1.1
Release:        %mkrel 2
Summary:        Lightweight WebSocket library in C
Group:          System/Libraries
License:        MIT
URL:            https://tatsuhiro-t.github.io/wslay
Source0:        https://github.com/tatsuhiro-t/wslay/archive/release-%{version}/%{name}-release-%{version}.tar.gz
# Patch from Debian: https://salsa.debian.org/debian/wslay
Patch0:         10_update_cmake.patch

BuildRequires:  cmake
# For tests
BuildRequires:  pkgconfig(cunit)

%description
Wslay is a WebSocket library written in C. It implements the protocol
version 13 described in RFC 6455. This library offers 2 levels of API:
event-based API and frame-based low-level API.

For event-based API, it is suitable for non-blocking reactor pattern
style. You can set callbacks in various events.
For frame-based API, you can send WebSocket frame directly. Wslay only
supports data transfer part of WebSocket protocol and does not perform
opening handshake in HTTP.

%package -n %{libname}
Summary:        Lightweight WebSocket library in C
Group:          System/Libraries

%description -n %{libname}
Wslay is a WebSocket library written in C. It implements the protocol
version 13 described in RFC 6455. This library offers 2 levels of API:
event-based API and frame-based low-level API.

For event-based API, it is suitable for non-blocking reactor pattern
style. You can set callbacks in various events.
For frame-based API, you can send WebSocket frame directly. Wslay only
supports data transfer part of WebSocket protocol and does not perform
opening handshake in HTTP.

%package -n %{devname}
Summary:        Development headers and library for Wslay
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development headers and library for the Wslay C WebSocket library.

%prep
%autosetup -p1 -n %{name}-release-%{version}

%build
%cmake -DWSLAY_EXAMPLES=NO
%cmake_build

%install
%cmake_install

# Create and install pkgconfig file
install -d %{buildroot}%{_libdir}/pkgconfig
cat << EOF > %{buildroot}%{_libdir}/pkgconfig/lib%{name}.pc
prefix=%{_prefix}
exec_prefix=\${prefix}
libdir=\${prefix}/%{_lib}
includedir=\${prefix}/include

Name: %{name}
Description: Lightweight WebSocket library in C
URL: %{url}
Version: %{version}
Libs: -L\${libdir} -l%{name}
Cflags: -I\${includedir}
EOF

%check
./build/tests/wslay_tests

%files -n %{libname}
%license AUTHORS COPYING
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{devname}
%doc NEWS README.rst
%license AUTHORS COPYING
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
