%define api_version 1.2
%define lib_major   4
%define lib_name    %mklibname %{name} %{api_version} %{lib_major}
%define develname   %mklibname -d %{name}

Name:           wv
Epoch:          1
Version:        1.2.9
Release:        %mkrel 16
Summary:        MS Word 2,6,7,8,9 file to HTML and latex converter
License:        GPLv2
Group:          Office/Word processor
URL:            https://www.abisource.com/downloads/wv/
Source:         https://www.abisource.com/downloads/wv/%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.2.4-fix-str-fmt.patch
BuildRequires:  glib2-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  zlib-devel
Requires:       latex
Requires:       dvips

%description
Wv is a program that understands the Microsoft Word 2,6,7,8,9 binary file
format and is able to convert Word documents into HTML and LaTeX, which can
then be read with a browser.


%package -n %{lib_name}
Summary:        Library used by wv
Group:          System/Libraries
Provides:       lib%{name} = %{epoch}:%{version}-%{release}

%description -n %{lib_name}
Wv is a program that understands the Microsoft Word 2,6,7,8,9 binary file
format and is able to convert Word documents into HTML and LaTeX, which can
then be read with a browser.

This package provides the library that is used by wv.


%package -n %{develname}
Summary:        MS Word 2,6,7,8,9 file to HTML and latex converter (development)
Group:          Development/C
Requires:       %{lib_name} = %{epoch}:%{version}
Provides:       %{name}-devel = %{epoch}:%{version}

%description -n %{develname}
Wv is a program that understands the Microsoft Word 2,6,7,8,9 binary file
format and is able to convert Word documents into HTML and LaTeX, which can
then be read with a browser.

This is the development package.

%prep
%setup -q
%patch -P 0 -p1 -b .strfmt

# make autoreconf happy
sed -i -e 's,AM_INIT_AUTOMAKE.*,AM_INIT_AUTOMAKE(\[foreign\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

# uggly fix for symlink /usr/bin/wvText to wvConvert.
ln -sf wvConvert %{buildroot}/%{_bindir}/wvText
# the following file seems not to be used by any wv executable.
#cp $RPM_BUILD_DIR/%%{name}/config-mswordview %%{buildroot}/usr/lib/mswordview
rm -f notes/decompress/a.out
# make sure libwv.a is in lib directory
# mv %%{buildroot}%%{_datadir}/libwv.a %%{buildroot}%%{_libdir}/libwv.a

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc README COPYING INSTALL NEWS
%{_bindir}/*
%{_datadir}/wv
%{_mandir}/man1/*

%files -n %{lib_name}
%{_libdir}/libwv-%{api_version}.so.%{lib_major}{,.*}

%files -n %{develname}
%{_includedir}/wv
%{_libdir}/libwv.so
%{_libdir}/pkgconfig/wv-1.0.pc
