#gw 2.8.11 doesn't build otherwise:
%define Werror_cflags	%nil

%define oname		wxGTK

%define major		0
%define api		2.8

%define	libnameu	%mklibname wxgtku %{api} %{major}
%define	libnameudev	%mklibname -d wxgtku %{api}
%define libglu		%mklibname wxgtkugl %{api} %{major}

Summary:	GTK+ port of the wxWidgets library
Name:		wxgtk%{api}
Version:	2.8.12
Release:	%mkrel 32
License:	wxWidgets Library Licence
Group:		System/Libraries
URL:		https://www.wxwidgets.org/
Source0:	https://prdownloads.sourceforge.net/wxwindows/%{oname}-%{version}.tar.bz2
#gw security patch for bundled expat which we don't use:
Patch2:		wxGTK-2.8.10-CVE-2009-XXXX.diff
Patch3:		wxgtk2.8-2.8.11-fix-linking.patch
Patch8:		wxWidgets-2.7.0-multiarch-includes.patch
#gw security patch for bundled expat which we don't use:
Patch9:		wxGTK-2.8.8-CVE-2009-3560.diff
# originally from Gentoo
Patch10:	wxGTK-2.8.12-collision.patch
# backported from https://github.com/wxWidgets/wxWidgets/commit/1780a38b7bc9a9c04d33775a3176fe8516465f50
Patch11:	wxGTK-2.8.12-char.patch
# From Fedora
Patch12:	wxGTK-2.8.12-abicheck.patch
Patch13:	wxGTK-2.8.12-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(zlib)

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package -n %{libnameu}
Group:		System/Libraries
Summary:	Base shared library part of wxGTK - Unicode enabled
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}wxgtku2.8 < 2.8.12-5

%description -n %{libnameu}
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

This package contains the library needed to run programs dynamically
linked with the unicode enabled version of %{name}.

%package -n %{libnameudev}
Summary:	Header files and development documentation for wxGTK - unicode
Group:		Development/C++
Requires:	%{libnameu} = %{version}-%{release}
Requires:	%{libglu} = %{version}-%{release}
Provides:	libwxgtku-devel = %{version}-%{release}
Provides:	libwxgtku%{api}-devel = %{version}-%{release}
Provides:	wxgtku-devel = %{version}-%{release}
Provides:	wxgtku%{api}-devel = %{version}-%{release}
Provides:	wxgtk%{api}-devel = %{version}-%{release}
Provides:	libwxgtk-devel = %{version}-%{release}
Provides:	libwxgtk%{api}-devel = %{version}-%{release}
Obsoletes:	%{_lib}wxgtk2.8-devel < 2.8.12-8
Requires(post):		update-alternatives
Requires(postun):	update-alternatives

%description -n %{libnameudev}
Header files for the unicode enabled version of wxGTK, the GTK+ port of
the wxWidgets library.

%package  -n %{libglu}
Summary:	GTK+ port of the wxWidgets library, OpenGl add-on - unicode
Group:		System/Libraries
Obsoletes:	%{_lib}wxgtkglu2.8 < 2.8.12-5

%description -n %{libglu}
OpenGl add-on library for the unicode enabled version of wxGTK, the
GTK+ port of the wxWidgets library.

%prep
%setup -qn %{oname}-%{version}
%patch -P 2 -p0 -b .CVE-2009-XXXX
%patch -P 3 -p1 -b .linking
%patch -P 8 -p1 -b .multiarch
%patch -P 9 -p0 -b .CVE-2009-3560
%patch -P 10 -p1 -b .collision
%patch -P 11 -p1 -b .char
%patch -P 12 -p1 -b .abicheck
%patch -P 13 -p1 -b .gcc14

# (fwang) Don't promote LDFLAGS in wx-config
sed -i -e 's/@LDFLAGS@//' -e 's/@WXCONFIG_CXXFLAGS@//' wx-config.in

# fix plugin dir for 64-bit
sed -i -e 's|/lib|/%{_lib}|' src/unix/stdpaths.cpp

find samples demos -name .cvsignore -exec rm {} \;

# to recognize aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} src/expat/conftools/

%build
# --disable-optimise prevents our $RPM_OPT_FLAGS being overridden
# (see OPTIMISE in configure).
# this code dereferences type-punned pointers like there's no tomorrow.
CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"

%configure --enable-unicode \
	--without-odbc \
  	--with-opengl \
	--enable-gtk2 \
	--with-gtk \
	--without-debug_flag \
  	--without-debug_info \
	--with-sdl \
  	--with-libpng=sys \
	--with-libjpeg=sys \
	--with-libtiff=sys \
	--with-zlib=sys \
	--with-expat=sys \
	--disable-optimise \
	--enable-calendar \
	--enable-wave \
	--enable-fraction \
	--enable-wxprintfv \
	--enable-xresources \
	--enable-controls \
	--enable-tabdialog \
	--enable-msgdlg \
	--enable-dirdlg \
	--enable-numberdlg \
	--enable-splash \
	--enable-textdlg \
	--enable-graphics_ctx \
	--enable-grid \
	--enable-catch_segvs \
	--enable-mediactrl \
	--enable-dataviewctrl \
	--enable-permissive \
	--disable-rpath

%make_build
# Why isn't this this part of the main build? Need to investigate.
%make_build -C locale allmo
%make_build -C contrib

#gw prepare samples
pushd demos
	make clean
	rm -f makefile* demos.bkl
popd

pushd samples
	make clean
	rm -f makefile* samples.bkl
popd

find demos samples -name Makefile|xargs perl -pi -e 's^CXXC =.*^CXXC=\$(CXX) `wx-config --cflags`^'
find demos samples -name Makefile|xargs perl -pi -e 's^EXTRALIBS =.*^EXTRALIBS=^'
find demos samples -name Makefile|xargs perl -pi -e 's^SAMPLES_RPATH_FLAG =.*^SAMPLES_RPATH_FLAG=^'

%install
%make_install
%make_install -C contrib

# dummy translation file
find %{buildroot} -name "wxmsw.mo" -delete

%find_lang wxstd28

%triggerun -n %{libnameudev} -- %{_lib}wxgtku2.8-devel < 2.8.12-26
%{_sbindir}/update-alternatives \
	--remove wx-config \
	%{_bindir}/wx-config%{api}

%{_sbindir}/update-alternatives \
	--remove wxrc \
	%{_bindir}/wxrc-%{api}

%{_sbindir}/update-alternatives \
	--add-slave wx-config %{_bindir}/wx-config-%{api} \
	%{_bindir}/wxrc wxrc %{_bindir}/wxrc-%{api}

%post -n %{libnameudev}
%{_sbindir}/update-alternatives \
        --install %{_bindir}/wx-config wx-config %{_bindir}/wx-config-%{api} 25 \
	--slave %{_bindir}/wxrc wxrc %{_bindir}/wxrc-%{api}

%postun -n %{libnameudev}
if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
        --remove wx-config %{_bindir}/wx-config-%{api}
fi

%files -f wxstd28.lang
%doc *.txt

%files -n %{libnameu}
%{_libdir}/libwx_gtk2u_adv-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_aui-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_core-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_html-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_richtext-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_baseu-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_baseu_net-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_baseu_xml-%{api}.so.%{major}{,.*}
# contribs
%{_libdir}/libwx_gtk2u_fl-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_gizmos-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_gizmos_xrc-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_ogl-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_plot-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_qa-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_stc-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_svg-%{api}.so.%{major}{,.*}
%{_libdir}/libwx_gtk2u_xrc-%{api}.so.%{major}{,.*}

%files -n %{libnameudev}
%doc samples/ docs/ demos/
%ghost %{_bindir}/wx-config
%ghost %{_bindir}/wxrc
%{_bindir}/wx-config-%{api}
%{_bindir}/wxrc-%{api}
%{_includedir}/wx-%{api}/
%dir %{_libdir}/wx/
%dir %{_libdir}/wx/include/
%dir %{_libdir}/wx/include/gtk2-unicode-release-%{api}/
%dir %{_libdir}/wx/include/gtk2-unicode-release-%{api}/wx/
%dir %{_libdir}/wx/config
%{_libdir}/wx/config/gtk2-unicode-release-%{api}
%{_libdir}/wx/include/gtk2-unicode-release-%{api}/wx/setup.h
%{_libdir}/libwx_gtk2u_adv-%{api}.so
%{_libdir}/libwx_gtk2u_aui-%{api}.so
%{_libdir}/libwx_gtk2u_core-%{api}.so
%{_libdir}/libwx_gtk2u_html-%{api}.so
%{_libdir}/libwx_gtk2u_richtext-%{api}.so
%{_libdir}/libwx_baseu-%{api}.so
#{_libdir}/libwx_gtk2u_media-%{api}.so
%{_libdir}/libwx_baseu_net-%{api}.so
%{_libdir}/libwx_baseu_xml-%{api}.so
# contribs
%{_libdir}/libwx_gtk2u_fl-%{api}.so
%{_libdir}/libwx_gtk2u_gizmos-%{api}.so
%{_libdir}/libwx_gtk2u_gizmos_xrc-%{api}.so
%{_libdir}/libwx_gtk2u_ogl-%{api}.so
%{_libdir}/libwx_gtk2u_plot-%{api}.so
%{_libdir}/libwx_gtk2u_qa-%{api}.so
%{_libdir}/libwx_gtk2u_stc-%{api}.so
%{_libdir}/libwx_gtk2u_svg-%{api}.so
%{_libdir}/libwx_gtk2u_xrc-%{api}.so
#gl
%{_libdir}/libwx_gtk2u_gl-%{api}.so
%{_datadir}/aclocal/*
%{_datadir}/bakefile/

%files -n %{libglu}
%{_libdir}/libwx_gtk2u_gl-%{api}.so.%{major}{,.*}
