%define uname	wxHexEditor

Name:		wxhexeditor
Version:	0.24
Summary:	A hex editor that supports files up to 2^64 bytes
Release:	%mkrel 17
Group:		Editors
License:	GPLv2
Url:		https://www.wxhexeditor.org/
Source0:	https://github.com/EUA/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
Patch0:		wxhexeditor-0.24-mga-fix_arm_build2.patch
Patch1:		0001-Fix-build-with-wxgtk-3.1.2.patch
Patch2:		0001-Disable-update-check.patch
Patch3:		0001-Fix-possible-empty-language-selection-in-preferences.patch
BuildRequires:	wxgtk-devel
BuildRequires:	libgomp-devel

%description
A hex editor that supports files up to 2^64 bytes

 Features
 Ability to work with files up to 2EB (ExaByte)
 Multi OS, cross-compilable
 Small footprint on RAM
 Raw Disk Access (on POSIX systems)
 Does not create temporary files!

%prep
%setup -q -n %{uname}-%{version}
%autopatch -p1

# make autoconf happy
mkdir -p udis86/build/m4

%build
pushd udis86
  autoreconf -fi
  %configure
  %make_build
  %make_build -C libudis86
popd

pushd mhash
  autoreconf -fi
  %configure
  %make_build
popd

%make_build

%install
%make_install

desktop-file-install \
	--remove-key="Encoding" \
	--remove-key="Keywords" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{uname}.desktop

%find_lang %{uname}

%files -f %{uname}.lang
%doc docs/*
%{_bindir}/%{uname}
%{_datadir}/applications/%{uname}.desktop
%{_datadir}/pixmaps/%{uname}.png
