%define upstream_name	wxMaxima

Name:		wxmaxima
Version:	24.02.1
Release:	%mkrel 1
Summary:	An interface for the computer algebra system Maxima
Group:		Sciences/Mathematics
License:	GPLv2+
URL:		https://andrejv.github.io/wxmaxima/
Source0:	https://github.com/wxMaxima-developers/wxmaxima/archive/Version-%{version}/wxmaxima-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	wxgtk-devel >= 3.1.2
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils

Requires:	maxima
Recommends:	jsmath-fonts

%description
wxMaxima is a cross-platform graphical front-end for the computer
algebra system Maxima based on wxWidgets. It provides nice display
of mathematical output and easy access to Maxima functions through
menus and dialogs.


%prep
%autosetup -n %{name}-Version-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang %{upstream_name} --with-man --all-name

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --remove-category="Utility" \
    --remove-category="X-Red-Hat-Base" \
    --remove-category="X-Red-Hat-Base-Only" \
    --add-category="GTK" \
    --add-category="Science" \
    --add-category="Math" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/*

#unneeded(?)
rm -rf %{buildroot}%{_datadir}/menu/wxmaxima.menu
rm -rf %{buildroot}%{_datadir}/%{name}

%define _id_basename io.github.wxmaxima_developers.wxMaxima

%files -f %{upstream_name}.lang
%license COPYING GPL.txt
%doc README.md AUTHORS.md ChangeLog NEWS.md
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{_id_basename}.desktop
%{_datadir}/%{upstream_name}/
%{_iconsdir}/hicolor/*/apps/%{_id_basename}.png
%{_iconsdir}/hicolor/scalable/apps/%{_id_basename}.svg
%{_metainfodir}/%{_id_basename}.appdata.xml
%{_datadir}/mime/packages/*
%{_datadir}/pixmaps/*
%{_datadir}/bash-completion/completions/wxmaxima
%{_mandir}/man1/wxmaxima.1.*
