%global wxversion 3.2
%global wxincdir %{_includedir}/wx-%{wxversion}

%define major   0
%define libname %mklibname wx_gtk3u_wxsqlite3_ %{wxversion} %{major}
%define devname %mklibname wx_gtk3u_wxsqlite3_ %{wxversion} -d

Name:           wxsqlite3
Version:        4.10.5
Release:        %mkrel 1
Summary:        C++ wrapper around the SQLite 3.x database
Group:          System/Libraries
License:        LGPLv3+ with WxWindows-exception-3.1
URL:            https://utelle.github.io/wxsqlite3
Source0:        https://github.com/utelle/wxsqlite3/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         wxsqlite3-4.6.1-linking.patch

BuildRequires:  dos2unix
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  wxgtk%{wxversion}-devel

%description
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database and
is specifically designed for use in programs based on the wxWidgets %{wxversion} library.

wxSQLite3 does not try to hide the underlying database, in contrary almost
all special features of the recent SQLite3 versions are supported, like
for example the creation of user defined scalar or aggregate functions.

%package -n     %{libname}
Summary:        C++ wrapper around the SQLite 3.x database
Group:          System/Libraries

%description -n %{libname}
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database and
is specifically designed for use in programs based on the wxWidgets %{wxversion} library.

wxSQLite3 does not try to hide the underlying database, in contrary almost
all special features of the recent SQLite3 versions are supported, like
for example the creation of user defined scalar or aggregate functions.

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing
applications that use %{name}.

%prep
%autosetup -p1

dos2unix readme.md

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install includewxdir=%{wxincdir}/wx

%files -n %{libname}
%doc LICENCE.txt WxWindows-exception-3.1.txt readme.md
%{_libdir}/libwx_gtk?u_%{name}-%{wxversion}.so.%{major}{,.*}

%files -n %{devname}
%{wxincdir}/wx/%{name}*.h
%{_libdir}/libwx_gtk?u_%{name}-%{wxversion}.so
%{_libdir}/pkgconfig/%{name}.pc
