%define         oname           wxSVG

%define         major           3
%define         libname         %mklibname %{name} %{major}
%define         develname       %mklibname %{name} -d

Name:           wxsvg
Summary:        A library to create, manipulate and render SVG files
Version:        1.5.25
Release:        %mkrel 2
License:        wxWindows
Group:          System/Libraries

URL:            https://wxsvg.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  wxgtk-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  libexif-devel

%description
wxSVG is a C++ library to create, manipulate and render SVG files.

%package -n     %{libname}
Summary:        Shared libraries for %{oname}
Group:          System/Libraries

%description -n %{libname}
wxSVG is a C++ library to create, manipulate and render SVG
files. This package contains the shared libraries.

%package -n     %{develname}
Summary:        Development files and headers for %{oname}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %{oname}.

%prep
%autosetup -p1

#move files to a better place
mv *.m4 m4/

%build
autoreconf -vfi
%configure \
  --disable-static \
  --enable-libav
%make_build

%install
%make_install

#unpackaged file
rm -rf %{buildroot}%{_bindir}/svgview

%files -n %{libname}
%license COPYING
%doc AUTHORS ChangeLog TODO README
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{oname}*
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/lib%{name}.so
