Name:           x-tile
Version:        3.3
Release:        %mkrel 7
Summary:        A GTK application to tile windows in different ways
Group:          Graphical desktop/Other
License:        GPLv2+
URL:            https://www.giuspen.com/x-tile/
Source0:        https://www.giuspen.com/software/%{name}-%{version}.tar.xz
Patch1:		0001-Port-to-Ayatana-AppIndicator.patch
Patch2:		x-tile-3.3-setuptools.patch
BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

Requires:       python3-cairo
Requires:       python3-gi

%description
X-tile is a GTK application that allows you to select a number of windows and
tile them in different ways. This is especially useful for comparing products
in separate web pages, or for programmers referring to documentation as they
are programming.

%prep
%autosetup -p1

# Remove import of cons module in setup.py, only needed to get the current
# version of x-tile. The cons module calls the gtk one, which needs a running
# graphical session
sed -i "\|import cons|d; s|cons.VERSION|\"%{version}\"|" setup.py

%build
%py3_build

%install
%{__python3} setup.py install --no-compile --root %{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc license
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{python3_sitelib}/*.egg-info
%{_mandir}/man1/%{name}.1.*
