Name: x11-driver-input-evdev
Version: 2.10.6
Release: %mkrel 5
Summary: X.org input driver for Linux generic event devices
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/archive/individual/driver/xf86-input-evdev-%{version}.tar.bz2

License: MIT

BuildRequires: pkgconfig(libevdev)
BuildRequires: pkgconfig(mtdev)
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(udev)
Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Conflicts: x11-server < 1.4

Obsoletes: imwheel
Obsoletes: x11-driver-input-keyboard
Obsoletes: x11-driver-input-mouse

%description
Evdev is an Xorg input driver for Linux's generic event devices.
It therefore supports all input devices that the kernel knows about,
including most mice and keyboards.


%package devel
Summary: Development files for %{name}
Group: Development/X11
License: MIT

%description devel
Development files for %{name}

%prep
%setup -q -n xf86-input-evdev-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%doc COPYING
%{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.4*
%{_datadir}/X11/xorg.conf.d/10-evdev.conf

%files devel
%doc COPYING
%{_libdir}/pkgconfig/xorg-evdev.pc
%{_includedir}/xorg/evdev-properties.h


