%global tarball xf86-video-amdgpu
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers
#global gitdate 20160929
%global gitversion 97d7386c

%if 0%{?gitdate}
%global gver .%{gitdate}git%{gitversion}
%endif

Name: x11-driver-video-amdgpu
Version: 23.0.0
Release: %mkrel 2%{?gver}
Summary: X.org driver for AMD
Group: System/X11
URL: https://xorg.freedesktop.org
License: MIT
%if 0%{?gitdate}
Source0: %{tarball}-%{gitdate}.tar.xz
%else
Source0: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-amdgpu-%{version}.tar.xz
%endif

# upstream fixes (see https://gitlab.freedesktop.org/xorg/driver/xf86-video-amdgpu)
#
Patch0001:     0001-Fix-segfault-on-dock-suspend-unplug-resume.patch
Patch0002:     0002-Free-output_ids.patch
Patch0003:     0003-Enable-TearFree-if-it-s-set-to-auto-and-VariableRefr.patch

BuildRequires: pkgconfig(applewmproto) >= 1.0.0
BuildRequires: pkgconfig(dri)
BuildRequires: pkgconfig(gbm)
BuildRequires: pkgconfig(libdrm) >= 2.4.76
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: pkgconfig(libudev)
BuildRequires: x11-util-macros >= 1.0.1
# force new gcc
BuildRequires: gcc >= 12.0.1-0.20220227.2
BuildRequires: binutils >= 1:2.38-4

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Recommends: radeon-firmware

%description
x11-driver-video-amdgpu is the X.org driver for AMD Southern Islands
and later.

%prep
%setup -q -n %{tarball}-%{?gitdate:%{gitdate}}%{?!gitdate:%{version}}
%autopatch -p1

%build
#autoreconf -fiv
%configure --enable-glamor
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%{driverdir}/amdgpu_drv.so
%{_datadir}/X11/xorg.conf.d/10-amdgpu.conf
%{_mandir}/man4/amdgpu.4*
