%define tarball xf86-video-ati
%define git_url git://anongit.freedesktop.org/xorg/driver/xf86-video-ati 6.12-branch
#global gitdate 20160928
#global gitversion 3fc839ff

%define rel 9
%if 0%{?gitdate}
%define gver .%{gitdate}git%{gitversion}
%endif

Name: x11-driver-video-ati
Version: 22.0.0
Release: %mkrel %{rel}%{?gver}
Epoch: 1
Summary: X.org driver for ATI Technologies
Group: System/X11
URL: https://xorg.freedesktop.org
%if 0%{?gitdate}
Source0: %{tarball}-%{gitdate}.tar.xz
%else
Source0: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-ati-%{version}.tar.xz
%endif

# upstream git:

# Fedora patches:
Patch10:	radeon-6.12.2-lvds-default-modes.patch
Patch13:	fix-default-modes.patch

License: MIT

BuildRequires: pkgconfig(libdrm) >= 2.4.46
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(gbm) >= 10.6

# force new gcc
BuildRequires: gcc >= 12.0.1-0.20220227.2
BuildRequires: binutils >= 1:2.38-4

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Obsoletes: x11-driver-video-radeonhd
Provides: x11-driver-video-radeonhd

Recommends: x11-driver-video-r128
Recommends: x11-driver-video-mach64
Recommends: radeon-firmware


%description
x11-driver-video-ati is the X.org driver for ATI Technologies.

%prep
%setup -q -n %{tarball}-%{?gitdate:%{gitdate}}%{?!gitdate:%{version}}
%autopatch -p1
sed -i '/USE_XAA, 1/d' configure.ac

%build
autoreconf -ifs
%configure --disable-static --enable-glamor
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%{_libdir}/xorg/modules/drivers/radeon_drv.so
%{_libdir}/xorg/modules/drivers/ati_drv.so
%{_mandir}/man4/ati.*
%{_mandir}/man4/radeon.*
%{_datadir}/X11/xorg.conf.d/10-radeon.conf
