# Module is dynamically loaded and references to X Server, and other
# modules resolved at runtime.
%define _disable_ld_no_undefined 1

%define chipset		geode
# 20081113
%define snapshot	0
%define rel		7
%if %snapshot
%define release		%mkrel 10.%{snapshot}.%{rel}
%define distname	xf86-video-%{chipset}-%{snapshot}
%else
%define release		%mkrel %{rel}
%define distname	xf86-video-%{chipset}-%{version}
%endif

Name: x11-driver-video-%{chipset}
Version: 2.11.19
Release: %{release}
Summary: X.org driver for AMD Geode GX and LX Processors
Group: System/X11
URL: https://xorg.freedesktop.org
# git://anongit.freedesktop.org/git/xorg/driver/xf86-video-geode
# git archive --format=tar --prefix=xf86-video-geode-$(date +%Y%m%d)/ master |
#   bzip2 > ../xf86-video-geode-$(date +%Y%m%d).tar.bz2
Source: https://xorg.freedesktop.org/releases/individual/driver/%{distname}.tar.bz2
Patch1: 0001-Remove-call-to-LoaderGetOS.patch
Patch2: 0002-gx-Fix-RANDR-initialization-for-xserver-1.20.patch
Patch3: xf86-video-geode-2.11.19-fix-multiple-definitions.patch
License: MIT
ExclusiveArch: %{ix86}
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.3.0
# geode replaces amd driver (renamed in order to prevent confusion after AMD/ATI
# merge), and cyrix and nsc drivers
# (https://lists.freedesktop.org/archives/xorg/2008-July/036970.html)
Provides: x11-driver-video-amd
Provides: x11-driver-video-cyrix
Provides: x11-driver-video-nsc
Obsoletes: x11-driver-video-amd
Obsoletes: x11-driver-video-cyrix <= 1.1.0-7mdv2008.1
Obsoletes: x11-driver-video-nsc <= 2.8.3-5mdv2009.0
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
This is the X graphics driver for the AMD Geode GX and LX processors.
The GX driver features XAA and EXA support for graphics acceleration,
and the LX driver supports EXA (including compositing).  Both drivers
support dynamic rotation with XRandR, and Xv overlay support.

%prep
%autosetup -p1 -n %{distname}
%if %snapshot
./autogen.sh
%endif

%build
%configure
%make_build

%install
%make_install

%files
%doc README TODO
%{_libdir}/xorg/modules/drivers/ztv_drv.so
%{_libdir}/xorg/modules/drivers/geode_drv.so


