# (anssi) The unversioned symlink of XvMC library must be present in
# %%{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%global __requires_exclude devel\\(
%define _disable_ld_no_undefined 1

%define kmsonly 1

# git snapshot date
%define gitdate 20210115

Name: x11-driver-video-intel
Version: 2.99.917
Release: %mkrel 70
Summary: X.org driver for Intel graphics controllers
Group: System/X11
URL: https://xorg.freedesktop.org
# Created with: git archive --prefix=xf86-video-intel-2.99.917/ origin/master | xz > xf86-video-intel-2.99.917-git20181203.tar.xz
# (or you can use the Source1 downloading script)
Source:		xf86-video-intel-%{version}-git%{gitdate}.tar.xz
Source1:	xf86-video-intel-getfromgit.sh
License:	MIT
ExclusiveArch: %{ix86} x86_64

# from git upstream (https://gitlab.freedesktop.org/xorg/driver/xf86-video-intel)
Patch1:		0001-sna-Fix-async-flips.patch
# https://gitlab.freedesktop.org/mesa/mesa/-/merge_requests/9734
Patch2:		0002-sna-Allow-DRI3-on-gen2-3.patch
# fix crash on non-see for i586 (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=979276)
Patch3:		0003-sna-Don-t-emit-sse2-code-where-not-wanted.patch
Patch4:		0004-sna-Dump-fences-also-on-ENOBUFS.patch
Patch5:		0005-sna-Eliminate-sna_mode_wants_tear_free.patch
Patch6:		0006-sna-Don-t-redefine-NV12-stuff-if-already-defined.patch
Patch7:		0007-sna-Shut-up-enum-warns.patch

BuildRequires: flex
BuildRequires: bison
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(xvmc)
BuildRequires: pkgconfig(xv)
BuildRequires: GL-devel
BuildRequires: pkgconfig(libdrm) >= 2.4.25
BuildRequires: x11-proto-devel
BuildRequires: x11-util-macros
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(xcb) >= 1.5 
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pkgconfig(cairo)
BuildRequires: python3
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(pixman-1)

# force new gcc
BuildRequires: gcc >= 12.0.1-0.20220227.2
BuildRequires: binutils >= 1:2.38-4

Requires(post): update-alternatives
Requires(postun): update-alternatives
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
Recommends: vaapi-driver-intel

%description
x11-driver-video-intel is the X.org driver for Intel video chipsets.

%prep
%autosetup -p1 -n xf86-video-intel-%{version}

%build
./autogen.sh
%configure %{?kmsonly:--enable-kms-only} --with-default-dri=3 --enable-tools
%make_build

%install
%make_install

%files
%{_bindir}/intel-virtual-output
%if !0%{?kmsonly}
%{_libdir}/libI810XvMC.so
%{_libdir}/libI810XvMC.so.1
%{_libdir}/libI810XvMC.so.1.0.0
%endif
%{_libdir}/libIntelXvMC.so
%{_libdir}/libIntelXvMC.so.1
%{_libdir}/libIntelXvMC.so.1.0.0
%{_libdir}/xorg/modules/drivers/intel_drv.*
/usr/libexec/xf86-video-intel-backlight-helper
%{_datadir}/polkit-1/actions/org.x.xf86-video-intel.backlight-helper.policy
%{_mandir}/man4/i*
