%define upname		xf86-video-nouveau
#define snapshot	20151008
%define snapshot	%nil
%define rel		3

%if 0%{snapshot}
%define release %mkrel 10.%{snapshot}.%{rel}
%else
%define release %mkrel %{rel}
%endif

Summary:	Accelerated open source driver for NVIDIA cards
Name:		x11-driver-video-nouveau
Version:	1.0.18
Release:	%{release}
Group:		System/X11
License:	MIT
URL:		https://nouveau.freedesktop.org/
# rm -rf xf86-video-nouveau && git clone git://anongit.freedesktop.org/git/nouveau/xf86-video-nouveau/ && cd xf86-video-nouveau/
# git archive --prefix=xf86-video-nouveau-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../xf86-video-nouveau-$(date +%Y%m%d).tar.xz
%if 0%{snapshot}
Source0:	%{upname}-%{snapshot}.tar.xz
%else
Source0:	https://xorg.freedesktop.org/releases/individual/driver/%{upname}-%{version}.tar.xz
%endif

# from opensuse (better logs for missed acceleration)
Patch100:	N_xf86-video-nouveau_nva3-noaccel-info.patch

BuildRequires:	pkgconfig(libdrm_nouveau)
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	pkgconfig(xorg-server) >= 1.19.0
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	GL-devel
BuildRequires:	pkgconfig(udev)
# force new gcc
BuildRequires:	gcc >= 12.0.1-0.20220227.2
BuildRequires:	binutils >= 1:2.38-4

Conflicts:	xorg-x11-server < 7.0
# No DKMS package for now; nouveau module is in main kernel.
# If needed, DKMS package may be resurrected, but work is needed to make it
# build with the new linux-2.6 tree of nouveau.
Obsoletes:	dkms-nouveau < 0.0.13-0.20090600
Requires:	kmod(nouveau.ko)
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
# No firmware needed:
Obsoletes:	nouveau-firmware < 20091212-2
Obsoletes:	x11-driver-video-nv < 2.1.20-13
ExclusiveArch:	%{ix86} x86_64 aarch64

%description
The nouveau project aims to build high-quality, open source drivers
for NVIDIA cards.

%prep
%if 0%{snapshot}
%setup -q -n %{upname}-%{snapshot}
%else
%setup -q -n %{upname}-%{version}
%endif
%autopatch -p1
grep -q %{version} configure.ac

%build
%if 0%{snapshot}
autoreconf -v --install
%endif
# WARNING Please do not compile with '-z,now' flag
# hardened flags are now enabled in makepkg.conf
# With them, module fail to load with undefined symbol (mga#33878).
%global _disable_ld_now 1
# add -fpermissive (opensuse boo#1225956) to build with gcc14
export CFLAGS="%{optflags} -fpermissive"
%configure
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau*
