Name: x11-driver-video-nv
Version: 2.1.23
Release: %mkrel 1
Summary: X.org driver for NVidia Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-nv-%{version}.tar.xz
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.2
BuildRequires: x11-util-macros >= 1.0.1
%ifarch aarch64 %{arm}
BuildRequires: x11-server-source
%endif

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

Patch1: 0001-RedHat-nv-riva-videomem-autodetection-debugging.patch

# upstream patches (from https://gitlab.freedesktop.org/xorg/driver/xf86-video-nv)

%description
x11-driver-video-nv is the X.org driver for NVidia Cards.

%prep
%autosetup -p1 -n xf86-video-nv-%{version}

%build
autoreconf -ifs
%ifarch aarch64 %{arm}
# for missed vbe.h and x86int10.h
CFLAGS="%{optflags} -I %{_datadir}/x11-server-source/hw/xfree86/int10/" \
%endif
%configure
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/nv_drv.so
%{_mandir}/man4/nv*
