%global commit0 857d892b668b4737d41ef1b7f58fd45eac84d552
%global date 20230328
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
#global tag %{version}

%define tarball xf86-video-openchrome
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/drivers

# (anssi) The unversioned symlink of XvMC library must be present in
# %%{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%global __requires_exclude devel\\(

%global rel     2

Summary:        X.org driver for Unichrome cards from the OpenChrome project
Name:           x11-driver-video-openchrome
Version:        0.6.604
Release:        %mkrel 0.%{date}git%{shortcommit0}.%{rel}
Group:          System/X11
URL:            https://www.freedesktop.org/wiki/Openchrome/
License:        MIT

%if 0%{?tag:1}
Source0:        https://xorg.freedesktop.org/archive/individual/driver/%{tarball}-%{version}.tar.bz2
%else
Source0:        %{tarball}-%{shortcommit0}.tar.bz2
%endif
Source1:        make-git-snapshot.sh
Patch1:         xf86-video-openchrome-fix-linking.patch

ExclusiveArch:  %{ix86} x86_64

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  GL-devel
BuildRequires:  pkgconfig(libdrm) >= 2.2
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(pciaccess) >= 0.8.0
BuildRequires:  pkgconfig(xorg-server) >= 1.0.1
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(xvmc)
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
A free and Open Source video driver for the VIA/S3G
UniChrome and UniChrome Pro graphics chipsets. (CLE266,
KN400, KM400, K8M800, PM800, CN400, VN800)

%prep
%if 0%{?tag:1}
%autosetup -p1 -n %{tarball}-%{version}
%else
%autosetup -p1 -n %{tarball}-%{commit0}
%endif

%build
autoreconf -vif
%configure --disable-static --enable-viaregtool
%make_build

%install
%make_install
find %{buildroot} -name "*.la" -delete

%files
%doc NEWS README
%license COPYING
%{driverdir}/openchrome_drv.so
%{_libdir}/libchromeXvMC.so
%{_libdir}/libchromeXvMC.so.1
%{_libdir}/libchromeXvMC.so.1.0.0
%{_libdir}/libchromeXvMCPro.so
%{_libdir}/libchromeXvMCPro.so.1
%{_libdir}/libchromeXvMCPro.so.1.0.0
%{_mandir}/man4/openchrome.4.xz
%{_sbindir}/via_regs_dump
