%define name		x11-driver-video-%{chipset}
%define chipset		psb
%define snapshot	0
%define version		0.31.0
%if %snapshot
%define release		%mkrel 2.%{snapshot}.1
%define sname		xf86-video-%{chipset}-%{snapshot}
%define dname		%{distname}
%else
%define release		%mkrel 11
%define sname		xserver-xorg-video-%{chipset}_%{version}
%define dname		xserver-xorg-video-%{chipset}-%{version}
%endif

%define _enable_libtoolize 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The X.org driver for Poulsbo chipsets
Group:		System/X11
URL:		http://git.moblin.org/cgit.cgi/deprecated/xf86-video-psb/
# https://moblin.org/repos/projects/xf86-video-psb.git
# DATE=20081006; git archive --format=tar --prefix=xf86-video-psb-$DATE/ origin/GASTON | gzip > xf86-video-psb-$DATE.tar.gz
Source:		%{sname}.tar.gz
Patch0:		xorg-x11-drv-psb-0.31.0-ignoreacpi.patch
Patch1:		xserver-xorg-video-psb-0.31.0-greedy.patch
Patch2:		xorg-x11-drv-psb-0.31.0-xserver17.patch
Patch3:		xserver-xorg-video-psb-0.31.0-loader.patch
Patch4:		xserver-xorg-video-psb-0.31.0-comment_unused.patch
Patch5:		xserver-xorg-video-psb-0.31.0-assert.patch
# proprietary Xpsb is using it
Patch6:		xserver-xorg-video-psb-0.31.0-xf86AddModuleInfo.patch
# add patch to disable mibank.h includes for Xserver < 1.8
Patch7:		xorg-x11-drv-psb-0.31.0-xserver18.patch
# add patch to fix root-gc in psb_dga.c, got the patch from
# http://git.overlays.gentoo.org/gitweb/?p=user/luman.git;a=blob;f=x11-drivers/xf86-video-psb/files/root-gc.patch
Patch8:		xorg-x11-drv-psb-0.31.0-dga-root-gc.patch
License:	MIT
BuildRequires:	x11-proto-devel
BuildRequires:	x11-server-devel
BuildRequires:	libdrm-psb-devel
BuildRequires:	GL-devel
Requires:	libdrm-%{chipset}
Requires:	kmod(%{chipset})
Recommends:	x11-driver-video-psb-binary-blobs

%description
The X.org driver for the video chipset from the Poulsbo SCH.
 
%prep
%setup -q -n %{dname}
%autopatch -p1

%build
# inline drm.pc and xf86driproto.pc flags to use libdrm-psb instead
export DRI_CFLAGS="-I%{_includedir}/libdrm-psb -I%{_includedir}/libdrm-psb/drm -I%{_includedir}/X11/dri"
export LDFLAGS="-L%{_libdir}/libdrm-psb -ldrm"
# regenerate not to build EXA fork (not necessary for Xorg server >= 1.4.99)
autoreconf -v --install
# change visibility back to default so that psb can find mmCreateDRM in libmm
export CFLAGS="%optflags -fvisibility=default"
%configure
%make

%install
rm -rf %{buildroot}
%make_install DRIVER_MAN_DIR=%{_mandir}/man4

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/libmm.so
%{_libdir}/xorg/modules/drivers/libmm.la
%{_libdir}/xorg/modules/drivers/psb_drv.so
%{_libdir}/xorg/modules/drivers/psb_drv.la
%{_mandir}/man4/psb.*
