%define name		x11-driver-video-%{chipset}
%define chipset		radeonhd
%define snapshot	0
%define version		1.3.0
%define date		20100512
%define rel		6.git%{date}.6
%if %snapshot
%define release		%mkrel 2.%{snapshot}.%{rel}
%define distname	xf86-video-%{chipset}-%{snapshot}
%define compress	lzma
%else
%define release		%mkrel %{rel}
%define distname	xf86-video-%{chipset}-%{version}
%define compress	bz2
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
Summary:	X.org driver for AMD / ATI r5xx/r6xx chipsets
Group:		System/X11
URL:		https://xorg.freedesktop.org
# for GIT:
# git://anongit.freedesktop.org/git/xorg/driver/xf86-video-radeonhd
# git archive --format=tar --prefix=xf86-video-radeonhd-$(date +%Y%m%d)/ master | lzma > ../xf86-video-radeonhd-$(date +%Y%m%d).tar.lzma
Source0:	%{distname}.tar.%{compress}
Patch0:		xf86-video-radeonhd-git-%{date}.patch
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	x11-proto-devel
BuildRequires:	x11-server-devel
BuildRequires:	x11-util-macros
BuildRequires:	mesagl-devel
BuildRequires:	autoconf
# For rhd_conntest
BuildRequires:	pciutils-devel
BuildRequires:	zlib-devel
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-radeonhd is the X.org driver for AMD / ATI r5xx/r6xx chipsets
(Radeon X1xxx and HD 2xxx cards).
 
%prep
%setup -q -n %{distname}
%patch -P 0 -p1

%build
autoreconf -v --install
%configure
%make

%install
rm -rf %{buildroot}
%make_install
mkdir -p %{buildroot}%{_bindir}
install -m 755 utils/conntest/rhd_conntest %{buildroot}%{_bindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/radeonhd_drv.so
%{_libdir}/xorg/modules/drivers/radeonhd_drv.la
%{_bindir}/rhd_conntest
%{_mandir}/*/*


