Name: x11-driver-video-suncg14
Version: 1.1.3
Release: %mkrel 1
Summary: The X.org driver for sun cg14 Cards
Group: Development/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-suncg14-%{version}.tar.xz

License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

%description
The X.org driver for sun cg14 Cards.


%prep
%setup -q -n xf86-video-suncg14-%{version}
%autopatch -p1

# remove old includes, this file doesn't exist in newer Xserver versions
sed -i 's,#include "xf86Version.h",,' src/cg14_driver.c

%build
# so that it builds with our current version of libtool
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f 

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/suncg14_drv.so
%{_mandir}/man4/suncg14.*
