Name: x11-driver-video-vmware
Version: 13.4.0
Release: %mkrel 1
Summary: X.org driver for VMWare(tm)
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-vmware-%{version}.tar.xz
License: MIT
# Backported from: https://gitlab.freedesktop.org/xorg/driver/xf86-video-vmware.git

# from archlinux, to properly check definitions
Patch100:	gcc8.patch

# from FC
Patch200:	0001-saa-Build-compatibility-with-xserver-1.20.patch

# (tv) it doesn't build on armv5 and there's no VMWare for it anyway:
ExcludeArch: %{arm} aarch64

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(udev)
BuildRequires: pkgconfig(xatracker)
BuildRequires: pkgconfig(libdrm)

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-vmware is the X.org driver for VMWare(tm).

%package progs
Summary: A unit test client tool for VMWare(tm)
Group: System/X11
Requires: %{name} = %{version}-%{release}

%description progs
This package contains vmwarectrl, a unit test client tool for developers.

%prep
%setup -q -n xf86-video-vmware-%{version}
%autopatch -p1

%build
autoreconf -vfi

%configure \
	--enable-vmwarectrl-client
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_libdir}/xorg/modules/drivers/vmware_drv.so
%{_mandir}/man4/vmware.*

%files progs
%{_bindir}/vmwarectrl
