Name: x11-driver-video-xgi
Version: 1.6.1
Release: %mkrel 16
Summary: X.org driver for XGI Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-xgi-%{version}.tar.bz2
Patch1:	0001-Add-missing-includes-to-avoid-implicit-function-decl.patch
Patch2:	0002-Fix-invalid-mode-passed-to-open.patch
Patch3: 0003-Fixed-Module-xgi-does-not-have-a-xgiModuleData.patch
Patch4: 0004-Add-check-for-libpciaccess-on-ARM.patch
Patch5: 0005-Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
Patch6: x11-driver-video-xgi-fix-build-with-gcc14.patch

ExclusiveArch: %ix86 x86_64

License: MIT
BuildRequires: x11-util-macros		>= 1.1.5
BuildRequires: pkgconfig(libdrm)		>= 2.3.0
BuildRequires: pkgconfig(pixman-1)	>= 0.9.6
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: pkgconfig(xorg-server)		>= 1.4
BuildRequires: libmesagl-devel		>= 7.0.2
Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-xgi is the X.org driver for Generic XGI Cards.

%prep
%setup -q -n xf86-video-xgi-%{version}
%autopatch -p1

%build
CFLAGS="%{optflags} -fcommon"
%configure
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/xgi_drv.so
%{_mandir}/man4/xgi.*


