%define origname wqy-unibit
%define version 1.1.0
%define betaver RC1

Name:	x11-font-%{origname}
Version:	%{version}
Release:	%mkrel 1
Summary:	WenQuanYi Unibit Bitmap Font
Group:	System/Fonts/X11 bitmap
URL:	http://www.wenq.org
Source0:	https://downloads.sourceforge.net/project/wqy/wqy-unibit/%version/wqy-unibit-bdf-1.1.0-1.tar.gz
License:	GPLv2+
BuildArch:	noarch
Requires(pre):	mkfontdir, mkfontscale
Requires(postun):	mkfontdir, mkfontscale
Requires:	fontconfig >= 2.4.2-7
Conflicts:	fontconfig < 2.4.2-7

%description
The Wen Quan Yi Unibit is designed as a dual-width (16x16,16x8) 
bitmap font to provide the most complete international symbol 
coverage, serving as the system-wide fall-back font. This font 
has covered over 46000 Unicode code points in BMP.
It is intended to supersede the outdated GNU Unifont.
This font was created by merging the latest update of GNU 
Unifont [GPL] (by Roman Czyborra and David Starner et al., the 
font was last updated in 2004), WenQuanYi Bitmap Song [GPL] 
0.8.1 (by Qianqian Fang and WenQuanYi contributors) and 
Fixed-16x8 [public domain] bitmap fonts from X11 core fonts. 
The entire CJK Unified Ideographics (U4E00-U9FA5) and CJK Unified 
Ideographics Extension A(U3400-U4DB5) blocks were replaced by 
high-quality glyphs from China National Standard GB19966-2005 
(public domain). Near a thousand of non-CJK characters were improved by 
WenQuanYi contributors via their collaborative font editing website at
http://wenq.org/eindex.cgi?Unicode_Chart_EN

%prep
%setup -qn wqy-unibit

%build
%make

%install
rm -fr %buildroot

install -d %{buildroot}/%_datadir/fonts/wqy-unibit
install -m 0644 *.pcf %{buildroot}/%_datadir/fonts/wqy-unibit

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/wqy-unibit \
    %{buildroot}%_sysconfdir/X11/fontpath.d/wqy-unibit:pri=50

%post
mkfontscale %_datadir/fonts/wqy-unibit
mkfontdir %_datadir/fonts/wqy-unibit

%postun
mkfontscale %_datadir/fonts/wqy-unibit
mkfontdir %_datadir/fonts/wqy-unibit

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS COPYING
%_sysconfdir/X11/fontpath.d/wqy-unibit:pri=50
%_datadir/fonts/wqy-unibit/*.pcf


