Summary:       Programs for Processing and Analysis of Astronomical Data
Name:          x11iraf
Version:       2.1
Release:       %mkrel 3
License:       MIT-like
Group:         Sciences/Astronomy

Url:           https://github.com/iraf-community/x11iraf
Source0:       https://github.com/iraf-community/x11iraf/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:        x11iraf-makefile.patch
Patch1:        x11iraf-fix-building-with-gcc14.patch

BuildRequires: iraf
BuildRequires: iraf-devel
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(expat)
BuildRequires: pkgconfig(readline)
BuildRequires: pkgconfig(cfitsio)
BuildRequires: pkgconfig(xmlrpc)
BuildRequires: tcsh
BuildRequires: flex
BuildRequires: imake
BuildRequires: pkgconfig(ncurses)
BuildRequires: gccmakedep
BuildRequires: pkgconfig(tcl)
#Mageia
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(xaw3d)
BuildRequires: pkgconfig(xaw7)
BuildRequires: pkgconfig(xpm)

%description
IRAF stands for the Image Reduction and Analysis Facility. It
is the de facto standard for the general processing of astronomical images
and spectroscopy from the ultraviolet to the far infrared.  IRAF is a
product of the National Optical Astronomy Observatories (www.noao.edu).

%prep
%autosetup -p1

sed -i 's|use=xterm-r5|use=xterm|' xgterm/xgterm.terminfo

%build
%set_build_flags

%define iraf %{_libdir}/iraf/
%define host unix/
%define hlib %{iraf}%{host}hlib/
unset IRAFARCH
export IRAFARCH=`%{hlib}irafarch.sh`

export PATH=$PATH:%{iraf}%{host}bin:%{iraf}%{host}bin.${IRAFARCH}
# Parallel make does not work
make

%install
%make_install PREFIX=%{buildroot}%{_prefix}

%files
%doc CHANGES.md README.md
%license LICENSES
%{_bindir}/obmsh
%{_bindir}/xgterm
%{_bindir}/ximtool
%{_bindir}/xtapemon
%{_bindir}/ism_wcspix.e
%{_mandir}/man1/*.1*
