# According to
# https://download.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-20191218-README.txt
#
# The snapshotting service is discontinued.
#
# Please use https://code.videolan.org/videolan/x264/ to get the tarballs.
#
###
#
# git clone https://code.videolan.org/videolan/x264.git
# cd x264 && git checkout stable
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git config tar.tar.xz.command "xz -c"
# git archive --format=tar.xz -o x264-${DATE}.tar.xz --prefix=x264-${DATE}/ stable
#

%define date		20231001
%define rel		2

%define major		164
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

Name: 		x264
Version: 	0.%{major}
Release: 	%mkrel -c %{date} %{rel}
Summary: 	H264/AVC encoder
License: 	GPLv2+
Group: 		Video/Utilities
URL: 		https://www.videolan.org/developers/x264.html
Source0: 	%{name}-%{date}.tar.xz
Patch1:		x264-use-upstream-opt-level.patch

BuildRequires:	ffmpeg-devel
BuildRequires:	git-core
BuildRequires:	pkgconfig(gpac)
BuildRequires:	pkgconfig(x11)
BuildRequires:	nasm
BuildRequires:	bash-completion

%description
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

This package is in tainted repository as the video encoder may be covered
by software patents.

#------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Shared library of x264
Group:		System/Libraries

%description -n %{libname}
x264 dynamic libraries.

#------------------------------------------------------------------------

%package -n	%{develname}
Summary:	H264/AVC encoding library headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

#------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{date}

perl -pi -e 's|usr/local|usr||g' configure

%build
%set_build_flags
./configure \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--extra-cflags="%{optflags}" \
		--extra-ldflags="%{ldflags}" \
		--enable-shared \
		--enable-lto \
		--system-libx264 \
		--enable-pic

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS doc/*
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}*.h
%{_libdir}/pkgconfig/%{name}.pc
