%define major		215
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

%global _vpath_srcdir source

Name:		x265
Version:	4.1
Release:	%mkrel 4
Summary:	H265/AVC encoder
License:	GPLv2
Group:		Video/Utilities
Url:		https://x265.org/
Source0:	https://bitbucket.org/multicoreware/x265_git/downloads/%{name}_%{version}.tar.gz
# From https://bitbucket.org/multicoreware/x265/issues/442/detect512-is-needed-on-all-architectures
Patch3:		enable512.patch
# originaly from debian
Patch4:		x265-armv7hl.patch
Patch6:		x265-static-build.patch
BuildRequires:	yasm
%ifarch %ix86 x86_64
BuildRequires:	nasm
%endif
BuildRequires:	cmake
BuildRequires:	git-core
%ifnarch %{arm}
BuildRequires:	pkgconfig(numa)
%endif

%description
x265 is an open-source project and free application library for encoding
video streams into the H.265/High Efficiency Video Coding (HEVC) format.

This package is in tainted repository as the video encoder may be covered
by software patents.

%package -n	%{libname}
Summary:	Shared library of x265
Group:		System/Libraries

%description -n	%{libname}
x265 dynamic libraries.

%package -n	%{develname}
Summary:	H265/AVC encoding library headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files for %{name}.

%prep
%autosetup -p1 -n %{name}_%{version}

%build
%cmake \
  -DLIB_INSTALL_DIR=%{_lib} \
  -DENABLE_ASSEMBLY=ON \
  -DENABLE_PIC=ON

%cmake_build

%install
%cmake_install

%files
%license COPYING
%{_bindir}/%{name}

%files -n %{libname}
%license COPYING
%{_libdir}/libx265.so.%{major}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/libx265.so
%{_libdir}/pkgconfig/*.pc
