%define use_qt5 1
%{?_with_qt5: %global use_qt5 1}
%{?_without_qt5: %global use_qt5 0}

Name:		x2goclient
Epoch:		1
Version:	4.1.2.2
Release:	%mkrel 5
License:	GPLv2+
Group:		Networking/Remote access
%if %{use_qt5}
Summary:	A Qt5 client for the x2go system
%else
Summary:	A Qt4 client for the x2go system
%endif
Url:		https://www.x2go.org
Source0:	https://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
Patch2:		x2goclient-optflags.patch
BuildRequires:	gcc-c++
BuildRequires:	libldap-devel
BuildRequires:	ImageMagick
BuildRequires:	cups-devel
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	man
%if %{mdvver} > 5
BuildRequires:	man2html
%endif
%if %{use_qt5}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
%else
BuildRequires:	qt4-devel
%endif
Requires:	hicolor-icon-theme
Requires:	nxproxy
# For GSSAPI authenticated connections
Requires:	openssh-clients
# For local folder sharing and printing
Requires:	openssh-server

Obsoletes:	x2goclient-mozilla-plugin < 4.0.5.2-2

%description
X2goclient is a graphical Qt5 client for the x2go system.
You can use it to connect to running sessions and start new sessions. 

%prep
%setup -q
%patch -P 2 -p1 -b .optflags

# Fix up install issues
sed -i -e 's/-o root -g root//' Makefile

%if %{use_qt5}
sed -i -e '/^QMAKE_BINARY=/s@qmake-qt4@%{_qt5_bindir}/qmake@' Makefile
sed -i -e '/^LRELEASE_BINARY=/s@lrelease-qt4@%{_qt5_bindir}/lrelease@' Makefile
%else
sed -i -e '/^QMAKE_BINARY=/s@qmake-qt4@%{_libdir}/qt4/bin/qmake@' Makefile
sed -i -e '/^LRELEASE_BINARY=/s@lrelease-qt4@%{_libdir}/qt4/bin/lrelease@' Makefile
%endif

# Fix build with libssh >= 0.8
sed -e 's/-lssh_threads//' -i x2goclient.pro

%build
%make_build PREFIX=%{_prefix}

%install
%make_install PREFIX=%{_prefix} \
	INSTALL_DIR="install -d -m0755" \
	INSTALL_FILE="install -m0644" \
	INSTALL_PROGRAM="install -m0755"

desktop-file-edit --remove-key=Version %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS ChangeLog README.*
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*
