%define	tversion	4.4

Name:		x3270
Version:	4.4ga5
Release:	%mkrel 1
Summary:	An X Window System based IBM 3278/3279 terminal emulator
License:	BSD
Group:		Terminals
URL:		https://x3270.bgp.nu/
Source0:	https://prdownloads.sourceforge.net/%{name}/suite3270-%{version}-src.tgz
Patch0:		0001-Fix-mga-ibmhostpath.patch
Patch1:		0002-Fix-shebangs.patch
BuildRequires:	bdftopcf
BuildRequires:	dos2unix
BuildRequires:	imake
BuildRequires:	libtool
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(ncurses)

Requires(post):		mkfontdir
Requires(postun):	mkfontdir

%description
The x3270 program opens a window in the X Window System which emulates
the actual look of an IBM 3278/3279 terminal, commonly used with
mainframe applications. x3270 also allows you to telnet to an IBM host
from the x3270 window.

Install the x3270 package if you need to access IBM hosts using an
IBM 3278/3279 terminal emulator.

%prep
%autosetup -p1 -n suite3270-%{tversion}

for d in c3270 pr3287 s3270 x3270; do
    for f in html; do
	mv $d/$f $f.$d
    done
done

%build
%configure \
		--enable-ssl=yes \
		--with-fontdir=%{_xfontdir}/misc \
		--x-libraries=%{_sysconfdir}/X11 \
		--enable-app-defaults \
		--enable-x3270 \
		--enable-c3270 \
		--enable-s3270 \
		--enable-pr3287 \
		--enable-playback

%make_build CCOPTIONS="%{optflags}"

%install
%make_install install.man

rm -f %{buildroot}%{_xfontdir}/misc/fonts.dir

install -p -m 755 "$(find ./obj -type f -name playback -print -quit)" %{buildroot}%{_bindir}
install -p -m 644 playback/playback.man %{buildroot}%{_mandir}/man1/playback.1

# desktop menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=X3270
Comment=IBM 3270 Terminal Emulator
Exec=%{name}
Icon=terminals_section
Terminal=false
Type=Application
StartupNotify=true
Categories=TerminalEmulator;System;
EOF

%post
mkfontdir %{_xfontdir}/misc

%postun
mkfontdir %{_xfontdir}/misc

%files
%doc x3270/Examples html*
%{_bindir}/*
%{_xfontdir}/misc/*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_datadir}/applications/%{name}.desktop
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
