Name:           xa
Version:        2.4.1
Release:        %mkrel 1
Summary:        6502/65816 cross-assembler

Group:          Development/Other
License:        GPLv2+
URL:            https://www.floodgap.com/retrotech/xa/
Source0:        https://www.floodgap.com/retrotech/%{name}/dists/%{name}-%{version}.tar.gz
# update the build system, reported in private email
Patch0:         %{name}-2.4.1-make.patch


%description
xa is a high-speed, two-pass portable cross-assembler. It understands
mnemonics and generates code for NMOS 6502s (such as 6502A, 6504, 6507,
6510, 7501, 8500, 8501, 8502 ...), CMOS 6502s (65C02 and Rockwell R65C02)
and the 65816.

Key amongst its features:

    * C-like preprocessor (and understands cpp for additional feature support)
    * rich expression syntax and pseudo-op vocabulary
    * multiple character sets
    * binary linking
    * supports o65 relocatable objects with a full linker and relocation suite, 
      as well as "bare" plain binary object files
    * block structure for label scoping 


%prep
%autosetup -p1

# fix encoding
for f in ChangeLog attic/doc/xa-de.txt attic/doc/fileformat.txt
do
    iconv -f ISO-8859-1 -t UTF-8 < $f > $f.new
    touch -r $f $f.new
    mv $f.new $f
done


%build
%make_build CFLAGS="%{optflags}"

%install
%make_install PREFIX=%_prefix

%check
# Tests fail if run in parallel
%__make test

%files
%doc ChangeLog README.1st attic/doc/xa.txt attic/doc/fileformat.txt
%lang(de) %doc attic/doc/xa-de.txt
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*
