%define major       112
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %{name} -d

Name:           xalan-c
Version:        1.12
Release:        %mkrel 7
Summary:        Xalan-C++ XSLT processor
Group:          System/Libraries
License:        ASL 2.0
URL:            https://xml.apache.org/xalan-c/
Source0:        https://archive.apache.org/dist/xalan/xalan-c/sources/xalan_c-%{version}.tar.gz
BuildRequires:  pkgconfig(xerces-c)
BuildRequires:  icu-devel
BuildRequires:  ninja-build
BuildRequires:  cmake

%description
Xalan is an XSLT processor for transforming XML documents into HTML, text, or
other XML document types.

%package -n %{libname}
Summary:        Xalan-C++ XSLT processor
Group:          System/Libraries

%description -n %{libname}
Xalan is an XSLT processor for transforming XML documents into HTML, text, or
other XML document types.

This package contains the shared xalan-c library.

%package -n %{develname}
Summary:        Header files for Xalan-C++ XSLT processor
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Xalan is an XSLT processor for transforming XML documents into HTML, text, or
other XML document types.

This package contains development files such as header files you can use to
develop XML applications with Xalan-C++.

%package doc
Group:          Documentation
Summary:        Documentation for Xerces-C++ validating XML parser
BuildRequires:  doxygen
BuildRequires:  graphviz

%description doc
Documentation for %{name}.

%prep
%setup -q -n xalan_c-%{version}
chmod 644 NOTICE

# Remove the Autotools build system cruft from the samples; otherwise, it would
# be installed as documentation. We leave the CmakeLists.txt even though it
# cannot be used standalone; it is used in the build (even though the built
# samples are only tested and not installed), and is annoying to exclude.
rm -vf samples/configure samples/configure.in

# Use C++17 to fix build with ICU >= 76
sed -i -e 's/CMAKE_CXX_STANDARD\s\+[0-9]\+/CMAKE_CXX_STANDARD 17/' CMakeLists.txt

%build
%cmake \
    -Dtranscoder=icu \
    -GNinja
%cmake_build

%install
%cmake_install

# Remove CMake-installed docs in favor of using the doc macro. We refer to
# _prefix/share instead of _datadir to mirror how the install path is defined
# in the relevant CMakeLists.txt.
rm -rf %{buildroot}%{_prefix}/share/doc/xalan-c/api

%check
%ctest

%files
%doc LICENSE CREDITS KEYS NOTICE README.md
%{_bindir}/Xalan

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_includedir}/xalanc
%{_libdir}/lib*.so
%{_libdir}/cmake/XalanC/*.cmake
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%doc docs/*.md docs/images
%doc %{_vpath_builddir}/docs/doxygen/api
%doc samples
