%define alt_name	XaoS

Summary:	A real-time fractal zoomer
Name:		xaos
Epoch:		1
Version:	4.3.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Sciences/Mathematics
URL:		https://xaos-project.github.io
Source0:	https://github.com/xaos-project/XaoS/archive/release-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)

Obsoletes:	xaos-aalib < 1:3.6-19

%description
XaoS is a fast portable real-time interactive fractal zoomer. It
displays the Mandelbrot set (among other escape time fractals) and
allows you to zoom smoothly into the fractal.  Various coloring modes
are provided for both the points inside and outside the selected set.
In addition, switching between Julia and Mandelbrot fractal types and
displaying planes is provided.

%prep
%autosetup -p1 -n XaoS-release-%{version}

%build
%qmake_qt6 PREFIX=%{_prefix}
%make_build STRIP=:

%install
# Binary
%make_install INSTALL_ROOT=%{buildroot}

#
# Stolen from https://build.opensuse.org/package/view_file/openSUSE:Factory/xaos/xaos.spec?expand=1
#
# Data; Datapath forced to %%{alt_name} (not configurable)
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/%{alt_name}/catalogs catalogs/*.cat
cp --archive examples tutorial %{buildroot}%{_datadir}/%{alt_name}

# Icon, .desktop, AppData
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/metainfo xdg/%{name}.appdata.xml
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/applications xdg/io.github.xaos_project.XaoS.desktop
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/pixmaps xdg/%{name}.png

# Man
install -D --mode 0644 --target-directory %{buildroot}%{_mandir}/man6 doc/%{name}.6

%files
%doc CREDITS.md NEWS doc/README
%license COPYING
%{_bindir}/xaos
%{_datadir}/%{alt_name}/
%{_datadir}/applications/io.github.xaos_project.XaoS.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/*
