%define major           1
%define girmajor        1.0
%define libname         %mklibname xapp %{major}
%define develname       %mklibname xapp -d
%define girname         %mklibname xapp-gir %{girmajor}

Name:           xapps
Version:        2.8.8
Release:        %mkrel 1
Summary:        Common files for XApp desktop apps
Group:          Development/Other
License:        LGPLv2+
URL:            https://github.com/linuxmint
Source0:        %url/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %url/flags/archive/1.0.2.tar.gz#/flags-1.0.2.tar.gz
BuildRequires:  gnome-common
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  intltool
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libgnomekbd)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(vapigen)
BuildRequires:  pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:  meson
Requires:       inxi
Requires:       xdg-utils
Requires:       fpaste

%description
This package includes files that are shared between several XApp
apps (i18n files and configuration schemas).

%package -n %{libname}
Group:          System/Libraries
Summary:        JavaScript bindings based on %{name}
Obsoletes:      %{_lib}xapps0 < 1.0.3-2

%description -n %{libname}
This package contains JavaScript bindings based on %{name}.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}xapps-devel < 1.0.3-2

%description -n %{develname}
Files for development with %{name}.

%package        mate
Summary:        Mate status applet with HIDPI support
Requires:       %{name} = %{version}-%{release}

%description    mate
Mate status applet with HIDPI support

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      %{_lib}xapps-gir1.0 < 1.0.3-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package     -n python3-xapps-overrides
Summary:        Python3 files for %{name}
BuildArch:      noarch
Requires:       python3-gobject3
Requires:       %{name} >= %{version}-%{release}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-gobject3
%{?python_provide:%python_provide python3-xapps-overrides}

%description -n python3-xapps-overrides
Python3 files for XApp apps.

%prep
%autosetup -p1 -n xapp-%{version}

%build
%meson -D deprecated_warnings=false
%meson_build

%install
%meson_install
tar -xf %{SOURCE1} -C %{buildroot}%{_datadir} --strip 3
	
rm %{buildroot}%{_datadir}/format

find %buildroot -name '*.la' -exec rm -f {} ';'
	
%{_bindir}/desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/xapp-sn-watcher.desktop

%find_lang xapp

%files -f xapp.lang
%license COPYING
%doc README.md
%{_sysconfdir}/X11/xinit/xinitrc.d/*.sh
%{_sysconfdir}/xdg/autostart/xapp-sn-watcher.desktop
%{_bindir}/pastebin
%{_bindir}/upload-system-info
%{_bindir}/xfce4-set-wallpaper
%{_bindir}/xapp-gpu-offload
%{_datadir}/iso-flag-png/
%{_datadir}/glib-2.0/schemas/org.x.apps.*.xml
%{_datadir}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/icons/hicolor/scalable/places/*.svg
%{_datadir}/icons/hicolor/scalable/categories/*.svg
%{_datadir}/dbus-1/services/org.x.StatusNotifierWatcher.service
%{_libdir}/gtk-3.0/modules/libxapp-gtk3-module.so
%{_datadir}/icons/hicolor/scalable/emblems/emblem-xapp-favorite.svg
%{_libdir}/xapps/xapp-sn-watcher
# sn-watcher changes cursor
%dir %{_libdir}/xapps/

%files -n %{libname}
%{_libdir}/libxapp.so.%{major}
%{_libdir}/libxapp.so.%{version}

%files -n %{girname}
%{_libdir}/girepository-1.0/XApp-1.0.typelib

%files -n python3-xapps-overrides
%{python3_sitearch}/gi/overrides

%files -n %{develname}
%{_includedir}/*
%{_libdir}/libxapp.so
%{_libdir}/pkgconfig/xapp.pc
%{_datadir}/gir-1.0/XApp-1.0.gir
%{_datadir}/glade/catalogs/xapp-glade-catalog.xml
%{_datadir}/vala/vapi/xapp.vapi
%{_datadir}/vala/vapi/xapp.deps

 
	
%files mate
%{_libexecdir}/xapps/
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateXAppStatusAppletFactory.service
%{_datadir}/mate-panel/applets/org.x.MateXAppStatusApplet.mate-panel-applet
