Summary:	A lightweight archiving/compression tool
Name:		xarchiver
Version:	0.5.4.25
Release:	%mkrel 1
License:	GPLv2
Group:		Archiving/Compression
URL:		https://github.com/ib/%{name}
Source0:	https://github.com/ib/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	intltool
BuildRequires:	gtk+3-devel
BuildRequires:	xsltproc
Requires:	binutils
Requires:	unzip
Requires:	zip
Recommends:	arj
Recommends:	p7zip
Recommends:	lha
Recommends:	unrar

%description
Xarchiver is a GTK+ frontend to 7z, a (libraries), arj, bzip2, compress, cpio,
gzip, lha, lrzip, lz4, lzip, lzma, lzop, rar, tar, xz, zip, zstd, tar.bz2,
tar.gz, tar.lrz, tar.lz, tar.lz4, tar.lzma, tar.lzop, tar.xz, tar.Z, tar.zst,
rpm and deb (open and extract only).  Xarchiver allows you to create,
add, extract and delete files in the above formats.  Password protected
archives are supported.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

# make the .desktop file compliant with xdg specs
desktop-file-install \
	--vendor="" \
	--remove-key="Encoding" \
	--remove-mime-type="multipart/x-zip" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/xarchiver.desktop

%files -f %{name}.lang
%doc %{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_libexecdir}/thunar-archive-plugin/xarchiver.tap
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/%{name}/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_mandir}/man1/%{name}.1*
