%define major        8
%define libname      %mklibname %{name} %{major}
%define develname    %mklibname %{name} -d

%define upstream_name Xaw3d

Summary:	A version of the MIT Athena widget set for X
Name:		xaw3d
Version:	1.6.6
Release:	%mkrel 1
Group:		System/Libraries
License:	MIT
Url:		https://xorg.freedesktop.org/
Source0:	https://xorg.freedesktop.org/archive/individual/lib/lib%{upstream_name}-%{version}.tar.xz
Patch1:		Xaw3d-1.6.1-glibc.patch
Patch7:		Xaw3d-1.6.1-3Dlabel.patch
Patch10:	Xaw3d-1.6.1-fontset.patch
Patch11:	Xaw3d-1.6.1-hsbar.patch

BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	x11-util-macros

Obsoletes:	Xaw3d

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.


%package -n	%{libname}
Summary:	A version of the MIT Athena widget set for X
Group:		System/Libraries

%description -n	%{libname}
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.


%package -n	%{develname}
Summary:	Header files and libraries for development using Xaw3d
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:       %{upstream_name}-devel = %{version}-%{release}

%description -n	%{develname}
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes. Xaw3d-devel includes
the header files and libraries for developing programs that take full
advantage of Xaw3d's features.

You should install Xaw3d-devel if you are going to develop applications
using the Xaw3d widget set.  You'll also need to install the Xaw3d
package.


%prep
%autosetup -p1 -n lib%{upstream_name}-%{version}

%build
export CFLAGS="%{optflags} -Wno-error=cast-qual -Wno-error=implicit-function-declaration"
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/libXaw3d.la
rm -rf %{buildroot}%{_docdir}

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/X11/Xaw3d
