%define major		1
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Summary:	Xbase dBase database file library
Name:		xbase
Version:	3.1.2
Release:	%mkrel 18
Group:		Databases
License:	LGPLv2+
URL:		http://linux.techass.com/projects/xdb/
Source:		https://downloads.sourceforge.net/xdb/%{name}64-%{version}.tar.gz

Patch0:		xbase-3.1.2-fixconfig.patch
Patch2:		xbase-3.1.2-gcc44.patch
Patch3:		xbase-2.0.0-ppc.patch
Patch4:		xbase-3.1.2-xbnode.patch
Patch5:		xbase-3.1.2-lesserg.patch
Patch6:		xbase-3.1.2-outofsource.patch
Patch7:		xbase-3.1.2-gcc47.patch
Patch8:		xbase-3.1.2-gcc-version.patch
Patch9:		xbase-3.1.2-automake-1.13.patch
Patch10:	xbase-3.1.2-gcc6.patch
Patch11:	xbase-3.1.2-gcc7.patch

BuildRequires:	doxygen

%description
Library for accessing dBase .dbf, .ndx, .dbt, and Clipper .ntx files.

%package -n %{libname}
Summary:	Libraries needed for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Libraries needed for %{name}

%package -n %{libnamedev}
Summary:	Xbase development package
Group:		Development/Databases
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Headers and such for compiling programs that use the Xbase library.

%prep
%setup -qn %{name}64-%{version}
%autopatch -p1

# make autoreconf happy
sed -i -e 's,AM_INIT_AUTOMAKE.*,AM_INIT_AUTOMAKE(\[foreign\]),' configure.in

cp -a copying COPYING

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name '*.la' -delete

# Fix files for multilib
touch -r COPYING %{buildroot}%{_bindir}/xbase-config

pushd %{buildroot}%{_libdir}
ln -s libxbase64.so.1.0.0 libxbase.so.1.0.0
ln -s libxbase64.so.1 libxbase.so.1
ln -s libxbase64.so libxbase.so
popd

pushd %{buildroot}%{_includedir}
ln -s xbase64 xbase
ln -s xbase64.h xbase64/xbase.h
popd

%files
%license COPYING
%doc ChangeLog
%{_bindir}/*
%exclude %{_bindir}/xbase-config

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedev}
%doc docs html
%{_bindir}/xbase-config
%{_includedir}/xbase*
%{_libdir}/*.so
