%if "%{?distro_section}" == "tainted"
%define include_patented_variants 1
%else
%define include_patented_variants 0
%endif

Name:           xboard
Version:        4.9.1
Release:        %mkrel 7
Summary:        An X Window System graphical chessboard
License:        GPLv3+
Group:          Games/Boards
URL:            https://www.gnu.org/software/xboard
Source0:        https://ftp.gnu.org/gnu/xboard/%{name}-%{version}.tar.gz
Source1:        https://ftp.gnu.org/gnu/xboard/%{name}-%{version}.tar.gz.sig
%if !%{include_patented_variants}
Patch1:         xboard-4.9.0-mga-remove-patented-chess-variants.patch
%endif
# (kamil) use universal xvt and not xterm for man and info help window
Patch2:         xboard-4.7.3-mga-replace-xterm-with-xvt.patch
Patch3:         xboard-4.9.1-mga-multiple-def.patch

BuildRequires:  texinfo
BuildRequires:	pkgconfig(cairo) >= 1.2.0
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.14.0
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	gettext-devel
BuildRequires:	xdg-utils
Requires:       xorg-x11-fonts
# default chess engine
Recommends:       fairymax
# to play sounds
Recommends:       alsa-utils
# for UCI chess engines
Recommends:       polyglot

%description
XBoard is a graphical user interface for chess in all its major forms,
including international chess, xiangqi (Chinese chess), shogi (Japanese chess)
and Makruk, in addition to many minor variants such as Losers Chess,
Crazyhouse, Chess960 and Capabanca Chess. It displays a chessboard on the
screen, accepts moves made with the mouse, and loads and saves games in
Portable Game Notation (PGN). It serves as a front-end for many different chess
services, including:
- Chess engines that will run on your machine and play a game against you or
help you analyze, such as GNU Chess, Crafty, or many others.
- Chess servers on the Internet, where you can connect to play chess with
people from all over the world, watch other users play, or just hang out and
chat.
- Correspondence chess played by electronic mail. The CMail program automates
the tasks of parsing email from your opponent, playing his moves out on your
board, and mailing your reply move after you've chosen it.

XBoard runs on Unix and Unix-like systems that use the X Window System.

XBoard is built with zippy.

%if %include_patented_variants
Gothic Chess is protected by U.S. patent #6,481,716 by Ed Trice.
Falcon Chess is protected by U.S. patent #5,690,334 by George W. Duke
%endif


%prep
%autosetup -p1

%build
autoreconf -fi
%configure --bindir=%{_gamesbindir} --with-gtk
%make_build

%install
%make_install

install -m 0755 -p cmail %{buildroot}%{_gamesbindir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING COPYRIGHT NEWS README SHORTLOG TODO zippy.README
%doc *.txt *.html
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_gamesbindir}/cmail
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_infodir}/%{name}.info*
%{_mandir}/man6/%{name}.6*
%config(noreplace) %{_sysconfdir}/%{name}.conf
