Summary:	GUI for handling X509 certificates, RSA keys and PKCS#10 requests
Name:		xca
Version:	2.8.0
Release:	%mkrel 1
License:	BSD
Group:		System/Servers
URL:		https://hohnstaedt.de/xca/
Source0:	https://github.com/chris2511/xca/releases/download/RELEASE.%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6ToolsTools)
BuildRequires:	qttools6
BuildRequires:	qttools6-assistant
BuildRequires:	db-devel
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	sphinx-build
BuildRequires:	linuxdoc-tools
BuildRequires:	libltdl-devel

%description
XCA uses a Berkeley DB for storage and supports RSA keys,
certificate signing requests (PKCS#10) and Certificates (X509v3)
The signing of requests, and the creation of self-signed certificates
is supported. Both can use templates for simplicity.
The PKI structures can be imported and exported in several formats
like PKCS#7, PKCS#12, PEM, DER, PKCS#8.

%prep
%autosetup -p1

perl -n -i -e '$/="\r\n";chomp;print;print "\n"' COPYRIGHT

%build
%cmake
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_datadir}/pixmaps/xca-32x32.xpm

%files
%doc AUTHORS README.md
%{_docdir}/%{name}/*
%{_iconsdir}/hicolor/*/apps/*%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/x-%{name}-*.png
%{_datadir}/applications/*.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/mime/packages/xca.xml
%{_datadir}/bash-completion/completions/%{name}
%{_metainfodir}/*.xml
%{_mandir}/man1/*.1*
