%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define oldlibname	%{mklibname xcb-keysyms 1}

Summary:	xcb-util's xcb-keysyms
Name:		xcb-util-keysyms
Version:	0.4.1
Release:	%mkrel 1
License:	MIT
Group:		System/X11
Url:		https://xcb.freedesktop.org/
Source0:	https://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-util) >= 0.3.8
BuildRequires:	x11-util-macros

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%package -n %{libname}
Summary:	xcb-util-keysyms library package
Group:		System/X11
%rename %{oldlibname}

%description -n %{libname}
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

This is the xcb-util-keysyms library package.

%package -n %{develname}
Summary:	xcb-util-keysyms development files
Group:		Development/C
Provides:	libxcb-util-keysyms-devel = %{version}-%{release}
Provides:	xcb-util-keysyms-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{mklibname xcb-util -d} < 0.3.8
Conflicts:	%{mklibname xcb-util -d -s} < 0.3.8

%description -n %{develname}
This package includes the development files required to build
software against %{name}.

%prep
%setup -q

%build
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libxcb-keysyms.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog NEWS README.md
%{_includedir}/xcb/xcb_keysyms.h
%{_libdir}/libxcb-keysyms.so
%{_libdir}/pkgconfig/xcb-keysyms.pc
