%define build_staticlib 0
%{?_with_staticlib: %global build_staticlib 1}

Summary:		A binary delta generator
Name:			xdelta3
Version:		3.0.11
Release:		%mkrel 5
License:		GPLv2
Group:			File tools
URL:			https://github.com/jmacd/xdelta-gpl
Source0:		https://github.com/jmacd/xdelta-gpl/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:		pkgconfig(zlib)
BuildRequires:		pkgconfig(liblzma)

%description
Xdelta3 is the third and latest release of Xdelta, which is a set of
tools and APIs for reading and writing compressed deltas. Deltas
encode the differences between two versions of a document. This
release features a completely new compression engine, several
algorithmic improvements, a fully programmable interface modelled
after zlib, in addition to a command-line utility, use of the RFC3284
(VCDIFF) encoding, a python extension, and now 64-bit support.

%if %build_staticlib
%package devel
Summary:		Static libraries and header files for development with XDelta3
Group:			Development/C
Requires:		%{name}

%description devel
This package contains the static libraries and header files
required to develop applications using Xdelta3.
%endif

%prep
%setup -q
%autopatch -p1

%build
%configure --with-liblzma
%make_build CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install

# Create compat symlinks
pushd %{buildroot}/%{_bindir}
ln -s xdelta3 xdelta
popd

pushd %{buildroot}/%{_mandir}/man1
ln -s xdelta3.1 xdelta.1
popd


%files
%doc COPYING
%{_bindir}/*
%{_mandir}/man1/xdelta*

%if %build_staticlib
%files devel
%{_includedir}/*.h
%{_libdir}/*.a
%endif
