%global xdg_desktop_portal_version 1.14.0

Name:           xdg-desktop-portal-gtk
Version:        1.15.3
Release:        %mkrel 1
Summary:        Back-end implementation for xdg-desktop-portal using GTK+
Group:          Graphical desktop/GNOME
License:        LGPL-2.0-or-later
URL:            https://github.com/flatpak/xdg-desktop-portal-gtk
Source0:        https://github.com/flatpak/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  systemd
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
BuildRequires:  pkgconfig(xdg-desktop-portal) >= %{xdg_desktop_portal_version}
Requires:       dbus
Requires:       gsettings-desktop-schemas
Requires:       xdg-desktop-portal >= %{xdg_desktop_portal_version}
%{?systemd_requires}
# Use rich deps to pull in this package when flatpak and gtk3 are both installed
# Add back when urpmi will handle rich deps
#Supplements:    (flatpak and gtk+3.0)
Recommends:     flatpak

%description
A back-end implementation for xdg-desktop-portal that is using GTK+.


%prep
%autosetup -p1


%build
# All backends that are disabled are instead provided by
# xdg-desktop-portal-gnome, to keep this package free of GNOME dependencies.
%meson \
    -Dappchooser=enabled \
    -Dsettings=enabled \
    -Dlockdown=disabled \
    -Dwallpaper=disabled \
    %{nil}
%meson_build


%install
%meson_install

%find_lang %{name}


%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service


%files -f %{name}.lang
%license COPYING
%doc NEWS
%{_libexecdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.gtk.service
%{_datadir}/xdg-desktop-portal/portals/gtk.portal
%{_userunitdir}/%{name}.service
