#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           xdg-desktop-portal-kde
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        Back-end implementation for xdg-desktop-portal using Qt/KF6
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://invent.kde.org/plasma/xdg-desktop-portal-kde
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6Crash)

BuildRequires:  cmake(KWayland)
BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  pkgconfig(wayland-protocols)

BuildRequires:  cups-devel
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(gbm)

Requires:       xdg-desktop-portal
Requires:       flatpak
Requires:       kirigami
BuildRequires:  kio-fuse
Requires:       kio-fuse

# Use rich deps to pull in this package when flatpak and Qt5 are both installed
Supplements:    (flatpak and qtbase6-common)

%description
A back-end implementation for xdg-desktop-portal that is using Qt/KF6
and various pieces of KDE infrastructure.

%files -f %{name}.lang
%{_libexecdir}/%{name}
%{_kf6_categoriesdir}/xdp-kde.categories
%{_kf6_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.kde.service
%{_kf6_datadir}/xdg-desktop-portal/portals/kde.portal
%{_kf6_applicationsdir}/org.freedesktop.impl.portal.desktop.kde.desktop
%{_kf6_knotificationsdir}/xdg-desktop-portal-kde.notifyrc
%{_userunitdir}/plasma-xdg-desktop-portal-kde.service

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %{name}
