# For macro compatibility
%{!?_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}}

Name:    xdg-desktop-portal
Version: 1.20.0
Release: %mkrel 1
Summary: Portal frontend service to flatpak
Group:   System/Servers
License: LGPLv2+
URL:     https://github.com/flatpak/xdg-desktop-portal/
Source0: https://github.com/flatpak/xdg-desktop-portal/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: gettext
BuildRequires: gstreamer1.0-tools
BuildRequires: gstreamer1.0-plugins-good
BuildRequires: meson
BuildRequires: pkgconfig(flatpak)
BuildRequires: pkgconfig(fuse3)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gstreamer-pbutils-1.0)
BuildRequires: pkgconfig(gudev-1.0)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libgeoclue-2.0)
BuildRequires: pkgconfig(libpipewire-0.3)
BuildRequires: pkgconfig(libportal)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(umockdev-1.0)
BuildRequires: xmlto
BuildRequires: systemd
BuildRequires: python3-dbusmock
BuildRequires: python3-docutils
BuildRequires: python3-gobject-base
BuildRequires: python3-pytest
BuildRequires: python3-pytest-xdist
BuildRequires: python3-sphinx
BuildRequires: python3-sphinx-copybutton
BuildRequires: python3-sphinx-theme-furo
BuildRequires: python3-sphinxext-opengraph
%{?systemd_requires}
Requires:      dbus
# Required version for icon validator.
Recommends:    flatpak >= 1.2.0
Requires:      geoclue
Requires:      pipewire
Requires:      fuse3

%description
xdg-desktop-portal works by exposing a series of D-Bus interfaces known as
portals under a well-known name (org.freedesktop.portal.Desktop) and object
path (/org/freedesktop/portal/desktop). The portal interfaces include APIs for
file access, opening URIs, printing and others.

%package  devel
Summary:  Development files for %{name}
Group:    Development/Other
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The pkg-config file for %{name}.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install
install -dm 755 %{buildroot}%{_pkgdocdir}
install -pm 644 README.md %{buildroot}%{_pkgdocdir}

# This directory is used by implementations such as xdg-desktop-portal-gtk.
install -dm 755 %{buildroot}%{_datadir}/%{name}/portals

# This directory is used for local system configurations for all users
install -dm 755 %{buildroot}%{_sysconfdir}/%{name}/

%find_lang %{name}


%post
%systemd_user_post %{name}.service
%systemd_user_post xdg-desktop-portal-rewrite-launchers.service
%systemd_user_post xdg-document-portal.service
%systemd_user_post xdg-permission-store.service


%preun
%systemd_user_preun %{name}.service
%systemd_user_preun xdg-desktop-portal-rewrite-launchers.service
%systemd_user_preun xdg-document-portal.service
%systemd_user_preun xdg-permission-store.service


%files -f %{name}.lang
%doc %{_pkgdocdir}
%license COPYING
%dir %{_sysconfdir}/%{name}/
%{_datadir}/dbus-1/interfaces/org.freedesktop.portal.*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.impl.portal.*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.host.portal.*.xml
%{_datadir}/dbus-1/services/org.freedesktop.portal.Desktop.service
%{_datadir}/dbus-1/services/org.freedesktop.portal.Documents.service
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.PermissionStore.service
%{_datadir}/%{name}/
%{_libexecdir}/xdg-desktop-portal
%{_libexecdir}/xdg-desktop-portal-rewrite-launchers
%{_libexecdir}/xdg-desktop-portal-validate-icon
%{_libexecdir}/xdg-desktop-portal-validate-sound
%{_libexecdir}/xdg-document-portal
%{_libexecdir}/xdg-permission-store
%{_userunitdir}/%{name}.service
%{_userunitdir}/xdg-desktop-portal-rewrite-launchers.service
%{_userunitdir}/xdg-document-portal.service
%{_userunitdir}/xdg-permission-store.service
%{_mandir}/man5/portals.conf.5*

%files devel
%{_datadir}/pkgconfig/xdg-desktop-portal.pc
