Summary:	XDG user dirs
Name:		xdg-user-dirs
Version:	0.18
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
Url:		https://freedesktop.org/wiki/Software/xdg-user-dirs
Source0:	https://user-dirs.freedesktop.org/releases/%{name}-%{version}.tar.gz
# (fc) 0.8-2mdv use locale encoding on disk, not UTF-8
Patch0:		xdg-user-dirs-0.8-locale.patch
# (fc) 0.8-2mdv disable some default directories
Patch1:		xdg-user-dirs-0.11-mdv.patch
# (fc) 0.8-2mdv migrate old Mdk folders
Patch3:		xdg-user-dirs-0.13-mdkfolders.patch
# (fc) use fuzzy translations in order to get localized ~/Downloads folder
Patch5:		xdg-user-dirs-fdo-use-fuzzy.patch
# (upstream MR #10) add a systemd service to run xdg-user-dirs-update (fixes mga#30966)
Patch6:		xdg-user-dirs-0.18-add-a-systemd-service.patch
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl

%description
xdg-user-dirs is a tool to help manage "well known" user directories
like the desktop folder and the music folder. It also handles
localization (i.e. translation) of the filenames.

%prep
%autosetup -p1

%build
%configure

%make_build

# Needed by patch5
cd po
touch *.po
make update-gmo

%install
%make_install

%find_lang %{name}

mkdir -p %{buildroot}%{_userunitdir}
install -p -m 644 %{name}.service %{buildroot}%{_userunitdir}

%define _systemd_service_installed %{_localstatedir}/lib/rpm-state/xdg_user_dirs_service_installed

%pre
if [ $1 -eq 2 ] ; then
    if [ -f %{_userunitdir}/%{name}.service ] ; then
        touch %{_systemd_service_installed}
    fi
fi

%post
if [ -f %{_systemd_service_installed} ] ; then
    # We are upgrading from a version that included the systemd service.
    rm %{_systemd_service_installed}
else
    # We are either installing or upgrading from a version that didn't
    # include the systemd service. Force it to be installed.
    set -- 1
fi
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%files -f %{name}.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.conf
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.defaults
%attr(644,root,root) %{_sysconfdir}/xdg/autostart/xdg-user-dirs.desktop
%{_bindir}/xdg-user-dir
%{_bindir}/xdg-user-dirs-update
%{_mandir}/man1/xdg-user-dir.1.*
%{_mandir}/man1/xdg-user-dirs-update.1.*
%{_mandir}/man5/user-dirs.conf.5.*
%{_mandir}/man5/user-dirs.defaults.5.*
%{_mandir}/man5/user-dirs.dirs.5.*
%{_userunitdir}/%{name}.service
