#comment out if not pre-release
#define prel     rc3

%define rel     2

Name:           xdg-utils
Version:        1.2.1
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Interfaces and Tools for easy integration with the free desktop configuration
License:        MIT
Url:            https://www.freedesktop.org/wiki/Software/xdg-utils/
Group:          System/Base
Source0:        https://gitlab.freedesktop.org/xdg/xdg-utils/-/archive/v%{version}/%{name}-v%{version}%{?prel:-%prel}.tar.gz
Patch0:         xdg-utils-1.2.1-email_loop.patch
Patch1:         xdg-utils-1.2.1-email_silent_errors.patch
#squidf: don't open a pop-up with kdialog for url-scheme-handler error with XFCE
#       this issue is created by Patch0
Patch3:         xdg-utils-1.1.3-silence-dialog-url-scheme-handler-xfce.patch
# Fix for MGA #15286
# So chromium-browser won't put a dialog on LXDE (and other unrecognised
# desktop environments) when it's not the default browser.
Patch8:         xdg-utils-1.1.0-rc3-silence-dialog-with-chromium-browser-on-lxde.patch
# https://gitlab.freedesktop.org/xdg/xdg-utils/-/issues/177
# CVE-2020-27748
Patch10:	0001-xdg-email-remove-attachment-handling-from-mailto.patch

BuildArch:      noarch
BuildRequires:  libxslt-proc
BuildRequires:  gawk
BuildRequires:  xmlto-notex
BuildRequires:  docbook-dtd412-xml
BuildRequires:  docbook-style-xsl
Requires:       desktop-file-utils
Requires:       xprop
Requires:       xset

%description
The %{name} package is a set of simple scripts that provide basic
desktop integration functions for any Free Desktop, such as Linux.

This version of xdg-utils contains the following commands:
xdg-desktop-menu:       command line tool for (un)installing
                        desktop menu items
xdg-desktop-icon:       command line tool for (un)installing
                        icons to the desktop
xdg-mime:               command line tool for querying information
                        about file type handling and adding
                        descriptions for new file types
xdg-icon-resource:      command line tool for (un)installing icon resources
xdg-open:               opens a file or URL in the user's preferred
                        application
xdg-email:              command line tool for sending mail using the user's
                        preferred e-mail composer
xdg-screensaver:        command line tool for controlling the screensaver
xdg-settings:           get various settings from the desktop environment


%files
%doc README.md TODO RELEASE_NOTES
%{_bindir}/xdg-desktop-icon
%{_bindir}/xdg-desktop-menu
%{_bindir}/xdg-email
%{_bindir}/xdg-icon-resource
%{_bindir}/xdg-mime
%{_bindir}/xdg-open
%{_bindir}/xdg-screensaver
%{_bindir}/xdg-settings
%{_mandir}/man1/xdg-desktop-icon.*
%{_mandir}/man1/xdg-desktop-menu.*
%{_mandir}/man1/xdg-email.*
%{_mandir}/man1/xdg-icon-resource.*
%{_mandir}/man1/xdg-mime.*
%{_mandir}/man1/xdg-open.*
%{_mandir}/man1/xdg-screensaver.*
%{_mandir}/man1/xdg-settings.*

#-------------------------------------------------------------------------------#


%prep
%autosetup -p1 -n %{name}-v%{version}%{?prel:-%prel}

%build
%configure
%make_build
%make_build -C scripts

%install
%make_install
