%define major     3
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           xdotool
Version:         3.20211022.1
Release:        %mkrel 1
Summary:        Fake keyboard/mouse input, window management, and more
License:        BSD
Group:          Toys
URL:            https://www.semicomplete.com/projects/xdotool
Source0:        https://github.com/jordansissel/xdotool/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-3.20211022.1-makefile.patch

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xinerama)


%description
This tool lets you simulate keyboard input and mouse activity, move and resize
windows, etc. It does this using X11's XTEST extension and other Xlib
functions.

Additionally, you can search for windows and move, resize, hide, and modify
window properties like the title. If your window manager supports it, you can
use xdotool to switch desktops, move windows between desktops, and change the
number of desktops. 


%package -n %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries


%description -n %{libname}
This package contains libraries for %{name}.


%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}


%description -n %{develname}
This package contains development files for %{name}.


%prep
%setup -q

#disable tests (it requires Gnome), fix linking
%autopatch -p1

%build
%set_build_flags
%make_build WITHOUT_RPATH_FIX=1

%install
%make_install \
    PREFIX=%{_prefix} \
    INSTALLMAN=%{_mandir} \
    INSTALLLIB=%{_libdir}


%files
%doc COPYRIGHT README.md VERSION CHANGELIST
%{_bindir}/xdotool
%{_mandir}/man1/xdotool.1*

%files -n %{libname}
%{_libdir}/libxdo.so.%{major}

%files -n %{develname}
%{_libdir}/libxdo.so
%{_libdir}/pkgconfig/libxdo.pc
%{_includedir}/xdo.h

