%define tarversion   2_8_0

%define major        28

%define libname      %mklibname xerces-c %major
%define libdev       %mklibname xerces-c %major -d

%define enable_debug 0
%{?_enable_debug: %{expand: %%global enable_debug 1}}

Name:           xerces-c%major
Epoch:          1
Version:        2.8.0
Release:        %mkrel 21
Summary:        Xerces-C++ validating XML parser
Group:          System/Libraries
URL:            https://xml.apache.org/xerces-c/
License:        Apache
Source0:        https://archive.apache.org/dist/xerces/c/2/sources/xerces-c-src_%{tarversion}.tar.gz
Patch0:         xerces-c-lib64.patch
# Most of apps
Patch1:         xerces-c-pvtheader.patch
# XQilla patches
Patch2:         xercesc_content_type.patch
Patch3:         xercesc_regex.patch
Patch4:         xerces-c-2.8.x-CVE-2009-1885.diff
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(icu-i18n)

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.


#----------------------------------------------------------------------

%package -n     %libname
Summary:        Xerces-c library
Group:          System/Libraries

%description -n %libname
xerces-c library

%files -n %libname
%doc LICENSE.txt
%_libdir/libxerces-*.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %libdev
Summary:        Header files for Xerces-C++ validating XML parser
Group:          Development/C
Requires:       %libname = %epoch:%version-%release
Provides:       xerces-c%major-devel = %epoch:%version-%release
Conflicts:      %{mklibname xerces-c 0 -d}
Conflicts:      %{mklibname xerces-c 3.0 -d}

%description -n %libdev
Header files you can use to develop XML applications with Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%files -n %libdev
%_libdir/libxerces-c.so
%_libdir/libxerces-depdom.so
%_includedir/xercesc

#----------------------------------------------------------------------

%prep
%setup -q -n xerces-c-src_%{tarversion}
%if "%{_lib}" != "lib"
%patch -P 0 -p1 -b .orig
%endif
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p0 -b .CVE-2009-1885

# fix build on aarch64
for d in $(find . -name "config.sub");do
 cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} $(dirname $d)
done

%build
%set_build_flags
export XERCESCROOT=%_builddir/xerces-c-src_%{tarversion}

cd $XERCESCROOT/src/xercesc
./runConfigure \
	-plinux \
	-cgcc \
	-xg++ \
	-minmem \
	-nsocket \
	-tnative \
	-rpthreads \
%if %{enable_debug}
	-d \
%endif
%if "%{_lib}" != "lib"
	-b "64" \
%else
	-b "32" \
%endif
	-P %_prefix \
	-C --libdir=%_libdir

%__make

%install
export XERCESCROOT=%_builddir/xerces-c-src_%{tarversion}

%make_install -C $XERCESCROOT/src/xercesc
