%define major     0
%define libname   %mklibname xeus-cling %major
%define develname %mklibname xeus-cling -d

%define _disable_ld_no_undefined 1
# these requires are provided by cling, but are not found because the libs are in /usr/lib(64)/cling
%global __requires_exclude  libclingInterpreter*|libclingMetaProcessor*|libclingUtils*

Name:           xeus-cling
Version:        0.15.3
Release:        %mkrel 1
Summary:        Jupyter kernel for the C++ programming language
Group:          System/Libraries
License:        BSD
URL:            https://github.com/jupyter-xeus/xeus-cling
Source0:        https://github.com/jupyter-xeus/xeus-cling/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         cmake.patch
Patch11:        0001-Rename-kernels.patch
Patch12:        0002-Use-llvm-from-cling.patch
Patch13:        0003-put-config-file-at-etc.patch
Patch14:        0004-argparse-compatibility.patch
BuildRequires:  cmake
BuildRequires:  xeus-devel
BuildRequires:  cmake(argparse)
BuildRequires:  cmake(cling)
BuildRequires:  cmake(pugixml)
BuildRequires:  cmake(xtl)
BuildRequires:  cmake(cxxopts)
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  cmake(GTest)
BuildRequires:  cmake(xeus-zmq)
# for tests
BuildRequires:  cmake(doctest)

%description
xeus-cling is a Jupyter kernel for C++ based on the C++ interpreter cling and the native implementation of the Jupyter protocol xeus.

%package -n %{libname}
Summary:        Jupyter kernel for the C++ programming language
Group:          System/Libraries
Provides:       %{name}-libs = %{version}-%{release}

%description -n %{libname}
xeus-cling is a Jupyter kernel for C++ based on the C++ interpreter
cling and the native implementation of the Jupyter protocol xeus.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

%prep
%autosetup -p1

%build
CXXFLAGS="%{build_cxxflags} -I%{_includedir}/cling -DLLVM_DISABLE_ABI_BREAKING_CHECKS_ENFORCING=1"
export PATH=/usr/libexec/cling:$PATH
%cmake \
 -DXEUS_CLING_BUILD_TESTS=ON \
 -DXEUS_CLING_CONF_DIR=%{_sysconfdir}/xeus-cling \
 -DLLVM_CMAKE_DIR=%{_libdir}/cmake/cling/llvm \
 -DLLVM_ABI_BREAKING_CHECKS=FORCE_OFF \
 -DCMAKE_PREFIX_PATH='%{_libdir}/cmake/cling/clang;%{_libdir}/cmake/cling/llvm'
%cmake_build

%install
%cmake_install

%check
pushd build
./test/test_xeus_cling
popd

%files
%doc README.md
%license LICENSE
%{_bindir}/xcpp
%{_sysconfdir}/xeus-cling/
%{_datadir}/jupyter/
%{_datadir}/%{name}/

%files -n %{libname}
%license LICENSE
%{_libdir}/libxeus-cling.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%{_libdir}/libxeus-cling.so
%{_includedir}/xcpp/
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
