%define major           1
%define libname         %mklibname xeus-sqlite %{major}
%define develname       %mklibname xeus-sqlite -d

Name:           xeus-sqlite
Version:        0.7.0
Release:        %mkrel 3
Summary:        Xeus back-end for SQLite
Group:          System/Libraries
License:        BSD
URL:            https://github.com/jupyter-xeus/xeus-sqlite
Source0:        https://github.com/jupyter-xeus/xeus-sqlite/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake >= 3.8
BuildRequires:  cmake(xeus) >= 0.24.1
BuildRequires:  cmake(nlohmann_json) >= 3.2.0
BuildRequires:  cmake(xtl) >= 0.5
BuildRequires:  cmake(cppzmq)
BuildRequires:  cmake(SQLiteCpp)
BuildRequires:  cmake(tabulate)
BuildRequires:  cmake(xvega-bindings)
BuildRequires:  cmake(xeus-zmq)

BuildRequires:  pkgconfig(sqlite3)

BuildRequires:  doxygen
BuildRequires:  gcc-c++

%description
xeus-sqlite is a Jupyter kernel for SQL based on the native implementation of the Jupyter protocol xeus.

%package -n %{develname}
Summary: %{summary}
Group:   Development/C
Requires: %{name} = %{version}-%{release}

%description -n %{develname}
xeus-sqlite is a Jupyter kernel for SQL based on the native implementation of the Jupyter protocol xeus.
Requires: xeus-sqlite = %{version}-%{release}

%prep
%autosetup -p1

%build
%cmake -DCMAKE_SKIP_RPATH:BOOL=ON
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%doc README.md
%license LICENSE
%{_bindir}/xsqlite
%{_libdir}/libxeus-sqlite.so.*
%{_datadir}/jupyter/kernels/xsqlite/*

%files -n %{develname}
%{_includedir}/xeus-sqlite/
%{_libdir}/libxeus-sqlite.so
%{_libdir}/cmake/xeus-sqlite/
%{_libdir}/libxeus-sqlite.a
