%define major           11
%define libname         %mklibname xeus %{major}
%define develname       %mklibname xeus -d

Name:           xeus
Version:        5.1.1
Release:        %mkrel 1
Summary:        C++ implementation of the Jupyter kernel protocol
Group:          System/Libraries

License:        BSD
URL:            https://github.com/jupyter-xeus/xeus
Source0:        https://github.com/jupyter-xeus/xeus/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake >= 3.8
BuildRequires:  cmake(cppzmq) >= 4.3.0
BuildRequires:  cmake(nlohmann_json) >= 3.2.0
BuildRequires:  cmake(xtl) >= 0.5
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  gtest-devel
BuildRequires:  libuuid-devel
BuildRequires:  openssl-devel >= 1.0.1
BuildRequires:  pkgconfig(libzmq) >= 4.2.5
BuildRequires:  python3dist(breathe)
#BuildRequires:  python3dist(jupyter-kernel-test)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
xeus is a library meant to facilitate the implementation of kernels for
Jupyter. It takes the burden of implementing the Jupyter Kernel protocol so
developers can focus on implementing the interpreter part of the kernel.

%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
xeus is a library meant to facilitate the implementation of kernels for
Jupyter. It takes the burden of implementing the Jupyter Kernel protocol so
developers can focus on implementing the interpreter part of the kernel.


%package -n %{develname}
Summary:        %{summary}
Requires:       %{libname} = %{version}-%{release}
Requires:       cppzmq-devel
Provides:       %{name}-devel = %{version}-%{release}
Group:          System/Libraries

%description -n %{develname}
Development files for %{name} library.

%package docs
Summary:        %{summary}
Group:          System/Libraries
BuildArch:      noarch

%description docs
Documentation files for %{name} library.

%prep
%autosetup -p1

%build
%cmake -DXEUS_BUILD_STATIC_LIBS=OFF -DXEUS_DISABLE_ARCH_NATIVE=ON
%cmake_build

make -C docs SPHINXBUILD=sphinx-build-3 html BUILDDIR=${PWD}
rm html/.buildinfo


%install
%cmake_install


%check
cd build
ctest -V

%files docs
%doc html

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libxeus.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/xeus/
%{_libdir}/cmake/xeus/
%{_libdir}/libxeus.so

