%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A simple CD burning tool for the Xfce Desktop Environment
Name:		xfburn
Version:	0.7.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/applications/xfburn
Source0:	https://archive.xfce.org/src/apps/xfburn/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libburn-1)
BuildRequires:	pkgconfig(libisofs-1)
BuildRequires:	pkgconfig(libxfce4ui-2)

%description
Xfburn is a simple CD/DVD burning tool based on libburn libraries.

It can blank CD-RWs, burn and create iso images, as well as burn personal
compositions of data to either CD or DVD.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure \
	--disable-static
%make_build

%install
%make_install

desktop-file-edit \
	--set-icon="media-optical" \
	--remove-category="X-XFCE" \
	--add-category="AudioVideo" \
	--add-category="XFCE" \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files  -f %{name}.lang
%doc AUTHORS ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/org.xfce.xfburn.appdata.xml
%{_datadir}/%{name}/
%{_datadir}/Thunar/sendto/thunar-sendto-xfburn.desktop
%{_iconsdir}/hicolor/*/stock/media/*
%{_mandir}/man1/*
