Summary:	Find every application in the system
Name:		xfce4-appfinder
Version:	4.21.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/xfce4-appfinder/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	git-core
BuildRequires:	meson
BuildRequires:	pkgconfig(garcon-1) >= 4.18.0
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.21.0
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.18.0
BuildRequires:	pkgconfig(libxfconf-0) >= 4.18.0

%description
Xfce appfinder is an useful software that permits you to find
every application in the system supporting Desktop entry format.

%prep
%autosetup -p1 -Sgit_am

%build
%meson
%meson_build

%install
%meson_install

for f in %{buildroot}%{_datadir}/applications/*.desktop; do
desktop-file-edit \
  --remove-category="Application" \
  --remove-category="X-FACE" \
  --add-only-show-in="XFCE" \
  $f
done

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS
%{_bindir}/%{name}
%{_bindir}/xfrun4
%{_datadir}/applications/xfce4-appfinder.desktop
%{_datadir}/applications/xfce4-run.desktop
%{_datadir}/metainfo/org.xfce.xfce4-appfinder.appdata.xml
%{_iconsdir}/hicolor/*/apps/org.xfce.appfinder.{png,svg}
