%define url_ver	%(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Embedding of arbitrary application windows into the Xfce panel
Name:		xfce4-embed-plugin
Version:	1.6.0
Release:	%mkrel 4
License:	LGPLv2
Group:		Graphical desktop/Xfce
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-embed-plugin
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.8.0
BuildRequires:	pkgconfig(libxfce4panel-1.0) >= 4.8.0

%description
This plugin enables the embedding of arbitrary application windows
into the Xfce panel. The window is resized into the panel space
available, and the associated program can be automatically launched
if it is not open.

Example uses include embedding an instant messaging buddy list, a mail
client's new mail ticker, a simple media application, or a fancy clock
or timer. Combining with Xfce's ability to auto-hide panels can make
this very convenient.

%prep
%setup -q

%build
%configure \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_libdir}/xfce4/panel/plugins/libembed.so
%{_datadir}/xfce4/panel/plugins/embed.desktop
