%define url_ver %(echo %{version} | cut -d. -f1,2)

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary: 	Notification daemon for Xfce desktop environment
Name: 		xfce4-notifyd
Version: 	0.9.7
Release: 	%mkrel 1
License:	GPLv3
Group: 		Graphical desktop/Xfce
URL:		https://docs.xfce.org/apps/notifyd/start
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	systemd-devel

# for dbus-binding-tool
BuildRequires:	pkgconfig(dbus-glib-1)

BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(gdk-wayland-3.0)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(gtk-layer-shell-0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libcanberra-gtk3)

Requires:	xfconf
Requires:	libnotify
Provides:	virtual-notification-daemon
Provides:	%{name}-plugin = %{version}-%{release}

%description
Xfce4-notifyd is a simple, visually-appealing notification daemon for
Xfce that implements the Freedesktop.org Desktop Notifications
Specification.

Apart from the notification server a panel plugin is included which
shows recent notifications in a drop-down menu in the Xfce Panel.

%prep
%autosetup -p1

%build
%configure \
	--disable-static \
	--disable-dbus-start-daemon
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README* TODO
%{_bindir}/xfce4-notifyd-config
%{_libdir}/xfce4/notifyd
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_userunitdir}/xfce4-notifyd.service
#%%{_datadir}/dbus-1/services/org.xfce.xfce4-notifyd.Notifications.service
%{_iconsdir}/hicolor/*/*/*.{png,svg}
%{_datadir}/themes/*/
%{_mandir}/man1/xfce4-notifyd-config.1*
#panel plugin
%{_libdir}/xfce4/panel/plugins/libnotification-plugin.so
%{_datadir}/xfce4/panel/plugins/notification-plugin.desktop
