%define url_ver	%(echo %{version} | cut -d. -f1,2)

%define major	5
%define libname %mklibname xfce4sensors %{major}

Summary:	Sensor plugin for the Xfce panel
Name:		xfce4-sensors-plugin
Version:	1.4.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-sensors-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	hddtemp
BuildRequires:	intltool
BuildRequires:	lm_sensors-devel
BuildRequires:	netcat
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	xfce4-dev-tools
Requires:	xfce4-panel
Requires:	xfce4-sensors
Requires:	lm_sensors
Requires:	netcat
Requires:	hddtemp

%description
A Xfce panel plugin which reads your hardware sensor
values and displays them in your panel.

%package -n %{libname}
Summary:	Library for the Xfce 4 Sensors Plugin and Viewer
Group:		System/Libraries

%description -n %{libname}
Library for the Xfce 4 Sensors Plugin and Viewer.

%package -n xfce4-sensors
Summary:	Xfce 4 Sensors Viewer
Group:		Graphical desktop/Xfce
Requires:	lm_sensors
Requires:	netcat
Requires:	hddtemp

%description -n xfce4-sensors
Xfce 4 Sensors Viewer.

%prep
%setup -q
%autopatch -p1

sed -i -e 's,\(plugindir = \).*,\1$(libdir),' lib/Makefile.am

%build
%xdt_autogen
%configure \
	--disable-static \
	--disable-pathchecks \
	--enable-hddtemp=yes \
	--with-pathhddtemp=%{_bindir}/hddtemp \
	--enable-libsensors=yes \
	--enable-procacpi=yes \
	--enable-sysfsacpi=yes \
	--enable-netcat=yes \
	--enable-notification=yes

%make_build

%install
%make_install manualdir=%{_mandir}/man1

rm -rf %{buildroot}%{_libdir}/pkgconfig/libxfce4sensors-1.0.pc
rm -rf %{buildroot}%{_libdir}/*.so

%find_lang %{name} %{name}.lang

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_libdir}/xfce4/panel/plugins/libxfce4-sensors-plugin.so
%{_datadir}/xfce4/panel/plugins/%{name}.*

%files -n xfce4-sensors
%{_bindir}/xfce4-sensors
%{_iconsdir}/hicolor/*/apps/*.*g
%{_datadir}/applications/xfce4-sensors.desktop
%{_mandir}/man1/xfce4-sensors.1*

%files -n %{libname}
%{_libdir}/libxfce4sensors.so.%{major}
%{_libdir}/libxfce4sensors.so.%{major}.*
