%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Configuration settings manager for Xfce
Name:		xfce4-settings
Version:	4.21.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/xfce4-settings/%{url_ver}/%{name}-%{version}.tar.xz
# Upstream patches:
#
# Mageia patches:
Patch501:	0001-Fix-Chromium-helper.patch
Patch502:	0002-Add-Firefox-Beta-helper.patch
Patch503:	0001-Add-MATE-terminal-helper.patch
Patch504:	0001-Add-Google-Chrome-Beta-helper.patch
BuildRequires:	git-core
BuildRequires:	meson
BuildRequires:	pkgconfig(colord)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(garcon-1) >= 4.18.0
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(inputproto)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4kbd-private-3) >= 4.18.0
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.21.0
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.18.0
BuildRequires:	pkgconfig(libxfconf-0) >= 4.18.0
BuildRequires:	pkgconfig(libxklavier)
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xorg-libinput)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:  pkgconfig(gtk-layer-shell-0)

# for color profile handling
Requires:	xiccd
# for showing information about the profile
Recommends:	gnome-color-manager

%description
Configuration settings manager for Xfce desktop environment.

%prep
%autosetup -p1 -Sgit_am

%build
%meson \
  -Dhelper-path-prefix=%{_libexecdir} \
  -Dupower=enabled \
  -Dsound-settings=true
%meson_build

%install
%meson_install

# (wally) these files are in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/helpers.rc

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README*
%dir %{_sysconfdir}/xdg/xfce4/xfconf/
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/
%{_sysconfdir}/xdg/autostart/xfsettingsd.desktop
%{_sysconfdir}/xdg/menus/xfce-settings-manager.menu
%{_libdir}/gtk-3.0/modules/libxfsettingsd-gtk-settings-sync.so
%dir %{_libexecdir}/xfce4/
%{_libexecdir}/xfce4/xfce4-compose-mail
%dir %{_libexecdir}/xfce4/settings/
%{_libexecdir}/xfce4/settings/appearance-install-theme
%{_bindir}/xfsettingsd
%{_bindir}/xfce4*
%dir %{_datadir}/xfce4/helpers/
%{_datadir}/xfce4/helpers/*.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.{png,svg}
