%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	System load plugin for the Xfce panel
Name:		xfce4-systemload-plugin
Version:	1.3.3
Release:	%mkrel 1
License:	BSD
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-systemload-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-systemload-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(upower-glib)
Requires:	xfce4-panel

%description
A system load panel plugin for the Xfce Desktop Environment.

%prep
%autosetup -Sgit_am -p1

%build
# to fix debug symbols build
%xdt_autogen
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README* ChangeLog AUTHORS
%{_libdir}/xfce4/panel/plugins/libsystemload.so
%{_datadir}/xfce4/panel/plugins/systemload.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.panel.systemload.{png,svg}
