%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A small taskmanager for Xfce desktop environment
Name:		xfce4-taskmanager
Epoch:		1
Version:	1.5.8
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/apps/xfce4-taskmanager
Source0:	https://archive.xfce.org/src/apps/xfce4-taskmanager/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(xmu)
Requires:	xfdesktop

%description
xfce-taskmanager is a small taskmanager based on the Xfce libraries.

Features:
    * Lists up all tasks of the running System
    * Provides sending signals to tasks:
    - STOP
    - CONT
    - TERM
    - KILL

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure \
	--enable-maintainer-mode \
	--with-x
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README*
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/actions/*.{png,svg}
%{_iconsdir}/hicolor/*/apps/org.xfce.taskmanager.{png,svg}
