%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	X terminal emulator for Xfce desktop environment
Name:		xfce4-terminal
Version:	1.1.5
Release:	%mkrel 1
Group:		Terminals
License:	GPLv2+
URL:		https://docs.xfce.org/apps/terminal/
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch501:	0001-Improve-debugging-messages.patch
Patch502:	0001-Improve-debugging-messages-vol-2.patch
Patch503:	0001-Duplicate-string-gvalues.patch
BuildRequires:	git-core
BuildRequires:	meson
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk-layer-shell-0)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.21.0
Obsoletes:	terminal < 0.6.0

%description
Terminal is a modern, lightweight, and low memory cost terminal
emulator with tabs and multiple windows for the Xfce desktop
environment. It offers full-customization for the key bindings,
the aspect, the colors, and more.

%prep
%autosetup -p1 -Sgit_am

%build
%meson -Dlibutempter=disabled
%meson_build

%install
%meson_install

desktop-file-edit \
	--add-category="GTK" \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-edit \
	--remove-key="NotShowIn" \
	--add-only-show-in="XFCE" \
		%{buildroot}%{_datadir}/applications/%{name}-settings.desktop

%find_lang %{name} --with-man

%files -f %{name}.lang
%license COPYING
%doc README* NEWS AUTHORS HACKING THANKS
%{_bindir}/%{name}
%{_datadir}/xfce4/terminal/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.terminal{,-settings}.{png,svg}
%{_mandir}/man1/%{name}.1.*
