%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from	%{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	A weather plugin for the Xfce panel
Name:		xfce4-weather-plugin
Version:	0.11.3
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-weather-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-weather-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches
#
Patch1:		0001-libxfce4ui-Avoid-deprecated-functions.patch
Patch2:		0002-parsers-Generalise-input-to-array-of-gchar.patch
Patch3:		0003-libsoup-Port-to-libsoup-3.0.patch
Patch4:		0004-Report-UPower-Glib-support.patch
Patch5:		0005-Make-libsoup-v3-support-optional.patch
Patch6:		0006-Alignment-fixes-only-use-single-row-when-labels-not-.patch

# for %%autosetup -S git_am
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(libxml-2.0)
#Optional
BuildRequires:	pkgconfig(upower-glib)
Requires:	xfce4-panel
# For TLS/SSL support
Requires:	glib-networking

%description
This panel plugin shows the current temperature and weather condition,
using weather data provided by the Norwegian Meteorological Institute.

%prep
%autosetup -p1 -S git_am

%build
%xdt_autogen
# (wally) use my account for geonames service
export GEONAMES_USERNAME=wally_mageia
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README*
%{_datadir}/xfce4/weather/
%{_datadir}/xfce4/panel/plugins/weather.desktop
%{_libdir}/xfce4/panel/plugins/libweather.so
%{_iconsdir}/hicolor/*/apps/*.{svg,png}
