%define url_ver %(echo %{version} | cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Name:		xfce4-whiskermenu-plugin
Version:	2.9.2
Release:	%mkrel 1
Summary:	An alternate application launcher for Xfce
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://gottcode.org/xfce4-whiskermenu-plugin/
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-whiskermenu-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
# for %%autosetup -S git_am
BuildRequires:	git-core
BuildRequires:	cmake
BuildRequires:	pkgconfig(accountsservice)
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(gtk-layer-shell-0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
Requires:	xfce4-panel
Requires:	hicolor-icon-theme

%description
Alternate application launcher for Xfce. When you open it you are shown
a list of applications you have marked as favorites. You can browse through
all of your installed applications by clicking on the category buttons on the
side. Top level categories make browsing fast, and simple to switch between.
Additionally, Whisker Menu keeps a list of the last ten applications
that you've launched from it.

%prep
%autosetup -p1 -S git_am

%build
%cmake \
	-DCMAKE_INSTALL_DO_STRIP:BOOL=OFF \
	-DCMAKE_STRIP:PATH=%{_bindir}/true
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README NEWS
%{_bindir}/xfce4-popup-whiskermenu
%{_libdir}/xfce4/panel/plugins/libwhiskermenu.so
%{_datadir}/xfce4/panel/plugins/whiskermenu.desktop
%{_datadir}/icons/hicolor/*/apps/org.xfce.panel.whiskermenu.{png,svg}
%{_mandir}/man1/xfce4-popup-whiskermenu.1*
