%define url_ver %(echo %{version} | cut -d. -f1,2)

#filter out plugin .so provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\.so

Summary:	A plugin for the Xfce4 panel displaying keyboard layout
Name:		xfce4-xkb-plugin
Version:	0.8.5
Release:	%mkrel 1
License:	BSD
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-xkb-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxklavier)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libnotify)
Requires:	xfce4-panel

%description
A plugin for the Xfce4 panel displaying keyboard layout.
The plugin may be used as an indicator for the current layout
and to switch layouts.

The layouts must be defined either in XF86Config, by
using setxkbmap, or in xfce4-keyboard-settings.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README*
%{_datadir}/xfce4/xkb/
%{_datadir}/xfce4/panel/plugins/xkb.desktop
%{_libdir}/xfce4/panel/plugins/libxkb.so
%{_iconsdir}/hicolor/*/apps/org.xfce.panel.xkb.{png,svg}
