%define url_ver %(echo %{version} | cut -d. -f1,2)

# fix copr builds
%{!?_real_vendor:%global _real_vendor mageia}

Summary:	Desktop manager for the Xfce Desktop Environment
Name:		xfdesktop
Version:	4.20.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches
#
# Mageia patches
Patch500:	0001-Disable-ellipsizing-unselected-icon-labels-by-defaul.patch
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(garcon-gtk3-1)
BuildRequires:	pkgconfig(gdk-wayland-3.0)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk-layer-shell-0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4windowing-0) >= 4.19.5
BuildRequires:	pkgconfig(libxfce4windowingui-0) >= 4.19.5
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(thunarx-3)
BuildRequires:	pkgconfig(yaml-0.1)
Requires:	desktop-common-data
Requires:	%{_real_vendor}-xfce-config
Requires:	%{_real_vendor}-theme

%description
The desktop manager sets the background image, provides a right-click menu to
launch applications and can optionally show files (including application
launchers) or iconified windows. It includes gradient support for background
color, saturation support for background image, real multiscreen and xinerama
support, and it provides a desktop menu editor.

%prep
%autosetup -p1 -Sgit_am

%build
%configure \
	--disable-static \
	--enable-desktop-icons \
	--enable-file-icons \
	--enable-thunarx \
	--enable-desktop-menu \
	--with-file-manager-fallback=%{_bindir}/Thunar \
	--enable-notifications

%make_build

%install
%make_install

# symlink to default mageia background
ln -s %{_datadir}/mga/backgrounds/default.png %{buildroot}%{_datadir}/backgrounds/xfce/mageia.png

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README* AUTHORS NEWS
%{_bindir}/xfdesktop*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.xfdesktop.{png,svg}
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/xfdesktop/
%{_mandir}/man1/xfdesktop*
%dir %{_datadir}/backgrounds/xfce/
%{_datadir}/backgrounds/xfce/xfce-*.{jpg,png,svg}
%{_datadir}/backgrounds/xfce/mageia.png
