Summary:	An X Window System tool for drawing basic vector graphics
Name:		xfig
Epoch:	 	1
Version:	3.2.9
Release:	%mkrel 1
License:	MIT
Group:		Graphics/Editors and Converters
URL:		https://www.xfig.org/
Source0:	https://downloads.sourceforge.net/mcj/%{name}-%{version}.tar.xz
Source1:	xfig.png
Source3:	xfig-mini.png
Source4:	xfig-large.png
Patch0:		xfib-desktop.patch

BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw3d)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xft)
BuildRequires:	transfig
Requires:	transfig >= 3.2.8
Requires:	xdg-utils, hunspell
Requires:	netpbm

%description
Xfig is an X Window System tool for creating basic vector graphics,
including Bezier curves, lines, rulers and more.  The resulting
graphics can be saved, printed on PostScript printers or converted to
a variety of other formats (e.g., X11 bitmaps, Encapsulated
PostScript, LaTeX).

You should install xfig if you need a simple program to create vector
graphics.

%prep
%setup -q
# fix perms
find -type d | xargs chmod 755

%autopatch -p1

%build
autoreconf -vi
find Libraries -type d -exec chmod 700 {} \;

export CFLAGS="-DXAW_ARROW_SCROLLBARS $RPM_OPT_FLAGS -fno-strength-reduce -fno-strict-aliasing"

%configure
%make_build

%install
%make_install

# Fix for mdv#42629:
find %{buildroot}%{_docdir}/%{name}/html -type d -exec chmod 755 {} \;
find %{buildroot}%{_docdir}/%{name}/html -type f -exec chmod 644 {} \;

install -m 644 CHANGES README FIGAPPS doc/FORMAT* doc/TODO doc/%{name}-howto.* %{buildroot}%{_docdir}/%{name}

# (fg) 10000918 Icons
install -m 755 -d %{buildroot}%{_iconsdir}/{mini,large}
install -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}
install -m 644 %{SOURCE3} %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 %{SOURCE4} %{buildroot}%{_liconsdir}/%{name}.png
rm -rf %{buildroot}%{_datadir}/pixmaps

%files
%docdir %{_docdir}/%{name}
%{_docdir}/%{name}
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/X11/app-defaults/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
