Summary:	Administrative utilities for the XFS filesystem
Name:		xfsdump
Version:	3.2.0
Release:	%mkrel 1
License:	GPLv2
Group:		System/Kernel and hardware
URL:		https://xfs.org/index.php/Getting_the_latest_source_code
Source0:	https://www.kernel.org/pub/linux/utils/fs/xfs/xfsdump/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libattr)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	xfs-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	libtool
Requires(pre):	filesystem >= 2.1.9-18

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transferred between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

%prep
%setup -q

%build
%configure
%make_build

%install
make install DIST_ROOT=%{buildroot}/

%find_lang %{name}

# nuke files already packaged as %%doc
rm -rf %{buildroot}%{_datadir}/doc/xfsdump/

# for coerency, rename xfsdump|xfsrestore to dump|restore.xfs
mv %{buildroot}/sbin/xfsdump %{buildroot}%{_sbindir}/dump.xfs
mv %{buildroot}/sbin/xfsrestore %{buildroot}%{_sbindir}/restore.xfs
ln -sf dump.xfs %{buildroot}%{_sbindir}/xfsdump
ln -sf restore.xfs %{buildroot}%{_sbindir}/xfsrestore
ln -sf %{_mandir}/man8/xfsdump.8 %{buildroot}%{_mandir}/man8/dump.xfs
ln -sf %{_mandir}/man8/xfsrestore.8 %{buildroot}%{_mandir}/man8/restore.xfs

%files -f %{name}.lang
%doc doc/CHANGES.gz doc/README.xfsdump
%license doc/COPYING
%{_sbindir}/*
%{_mandir}/*/*
