%undefine _hardened_build

Summary:        Interactive plotting and graphing X11 in command line
Name:           xgraph
Version:        12.1
Release:        %mkrel 16
License:        GPL
Group:          Sciences/Mathematics
URL:            https://www.isi.edu/nsnam/xgraph
Source:         https://www.isi.edu/nsnam/dist/xgraph-%version.tar.bz2
Patch0:         xgraph-12.1-glibc-2.10.patch
Patch1:         xgraph-makefile-gentoo.patch
Patch2:         xgraph-12.1-fix-str-fmt.patch
Patch3:         xgraph-fix-building-with-gcc14.patch
BuildRequires:  pkgconfig(x11)

%description
The xgraph program draws a graph on an X display given data read from
either data files or from standard input if no files are specified.  It can
display up to 64 independent data sets using different colors and/or line
styles for each set.  It annotates the graph with a title,  axis labels,
grid lines or tick marks, grid labels, and a legend.  There are options to
control the appearance of most components of the graph.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p0
%patch -P 3 -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

mv %buildroot%{_mandir}/manm %buildroot%{_mandir}/man1
mv %buildroot%{_mandir}/man1/xgraph.man %buildroot%{_mandir}/man1/xgraph.1

%files
%doc README* examples
%{_bindir}/xgraph
%{_mandir}/man1/xgraph.*
