Name:           xhost
Version:        1.0.9
Release:        %mkrel 1
Summary:        Server access control program for X
Group:          Development/X11
License:        MIT
URL:            https://www.x.org
Source0:        https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xau) >= 1.0.0
BuildRequires:  pkgconfig(xmu) >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

%description
The xhost program is used to add and delete host names or user names to the
list allowed to make connections to the X server. In the case of hosts, this
provides a rudimentary form of privacy control and security. It is only
sufficient for a workstation (single user) environment, although it does limit
the worst abuses. Environments which require more sophisticated measures should
implement the user-based mechanism or use the hooks in the protocol for passing
other authentication data to the server.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/xhost
%{_mandir}/man1/xhost.1%{_extension}
