%define oname	xine-lib
%define branch	1.2

# bcond_without: default enabled
# bcond_with: default disabled
%if "%{?distro_section}" == "tainted"
%bcond_without	plf
%else
%bcond_with	plf
%endif

%define major	2
%define libname	%mklibname xine %{major}
%define devname	%mklibname xine %{branch} -d

%define plugin_api	%{major}.11

Summary:	A free multimedia engine
Name:		%{oname}%{branch}
Version:	1.2.13
Release:	%mkrel 7
License:	GPLv2+
Group:		System/Libraries
URL:		https://xine-project.org/
Source:		https://downloads.sourceforge.net/xine/%{oname}-%{version}.tar.xz

# ffmpeg6 compatibility
# See: https://sourceforge.net/p/xine/xine-lib-1.2/ci/771f4ae27e582123ff3500444718fc8f96186d74/
Patch0:		xine-lib-1.2.13-ffmpeg6-compatibility.patch
#
Patch1:		xine-lib-configure-c99.patch
# See: https://sourceforge.net/p/xine/xine-lib-1.2/ci/1e7b184008860c8be2289c3cefd9dee57f06193a/
Patch2:		 xine-lib-1.2.13-ffmpeg6-compatibility_2.patch
# See: https://sourceforge.net/p/xine/xine-lib-1.2/ci/73b833e7fe356cd2d9490dda4ebc9bfe16fce958/
Patch3:		xine-lib-1.2.13-ffmpeg7-compatibility.patch
# From https://wiki.linuxfromscratch.org/blfs/ticket/16940
Patch5:		xine-lib-1.2.12-fix-linking.patch
#
# From opensuse
Patch10:	xine-lib-dvdread_udf.patch
Patch11:	xine-lib-v4l.patch
Patch12:	xine-lib-theora.patch
#
Patch13:	xine-lib-1.2.13-mga-egrep-to-grep-E.patch

BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	pkgconfig(libvmaf)
BuildRequires:	a52dec-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	libmagick-devel
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	musepack-devel
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(gnome-vfs-2.0)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libvcdinfo)
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	aalib-devel
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xvmc)
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:	pkgconfig(libbluray)
BuildRequires:	xmlto
BuildRequires:	librsvg
BuildRequires:	optipng
BuildRequires:	gettext-devel
BuildRequires:	docbook-dtd44-xml
BuildRequires:	pkgconfig(libxdg-basedir)
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	pkgconfig(aom)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(dav1d) >= 0.6.0
BuildRequires:	pkgconfig(libnfs)
BuildRequires:	pkgconfig(vpx)
%if %with plf
BuildRequires:	pkgconfig(faad2)
BuildRequires:	pkgconfig(libdca)
BuildRequires:	libfame-devel
%endif

%description
Xine-lib is a free multimedia engine.

%if %with plf
This package is in tainted because this build depends on other tainted
packages.
%endif

%package -n xine%{branch}-common
Summary:	Common files of xine-lib1.2
Group:		System/Libraries

%description -n xine%{branch}-common
Common files for xine-lib1.2, the free multimedia engine.

%package -n %{libname}
Summary:	Shared libraries of xine-lib1.2
Group:		System/Libraries
Provides:	%{libname}-plugin-api = %{plugin_api}
Requires:	xine%{branch}-common >= %{version}

%description -n %{libname}
Shared libraries for xine-lib1.2, the free multimedia engine.

%package -n %{devname}
Summary:	Development files for xine-lib1.2
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	xine1.2-devel = %{version}-%{release}
Conflicts:	libxine-devel < %{version}

%description -n %{devname}
Development libraries and headers for xine-lib1.2, the free
multimedia engine.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
autoreconf -fi
%configure \
	--with-w32-path=%{_libdir}/codecs \
	--with-external-dvdnav \
	--disable-rpath \
	--enable-v4l \
	--enable-antialiasing \
%if ! %{with plf}
	--disable-faad \
	--disable-dts \
%endif
	%nil

%make_build

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/xine-config
mv %{buildroot}%{_mandir}/man5/xine{,-%{branch}}.5
rm -f %{buildroot}%{_libdir}/*.la
mv %{buildroot}%{_datadir}/doc/xine-lib installed-docs

%find_lang libxine%{major}

%files -n xine%{branch}-common -f libxine%{major}.lang
%doc CREDITS NEWS doc/README* doc/faq/faq.txt
# this tool lists currently supported formats (i.e. output depends on
# installed plugins); it is thus architecture-specific, but it would not
# be easy to handle it correctly, i.e. so that 32-bit calls to it return
# 32-bit plugins and 64-bit calls the 64-bit plugins; multiarch-utils is
# not used for non-devel packages -Anssi 01/2010
%{_bindir}/xine-list-%{branch}
%{_mandir}/man1/xine-list-%{branch}.1*
%{_mandir}/man5/xine-%{branch}.5*
# these should preferably be in an unversioned directory,
# but they don't conflict with main xine-lib so it is not
# critical:
%dir %{_datadir}/xine-lib
%dir %{_datadir}/xine-lib/fonts
%{_datadir}/xine-lib/fonts/*.xinefont.gz

%files -n %{libname}
%{_libdir}/libxine.so.%{major}{,.*}
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%dir %{_libdir}/xine/plugins/%{plugin_api}
%dir %{_libdir}/xine/plugins/%{plugin_api}/post
%{_libdir}/xine/plugins/%{plugin_api}/mime.types
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_audio_filters.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_goom.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_mosaico.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_planar.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_switch.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_tvtime.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_visualizations.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_alsa.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_jack.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_oss.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_pulseaudio.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_a52.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_dav1d.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_nfs.so
%if %{with plf}
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_dts.so
%endif
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_dvaudio.so
%if %{with plf}
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_faad.so
%endif
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_ff.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_gdk_pixbuf.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_gsm610.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_image.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_libaom.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_libpng.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_libjpeg.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_libvpx.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_lpcm.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_mad.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_mpc.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_mpeg2.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_rawvideo.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_real.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spu.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spucc.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spucmml.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spudvb.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spuhdmv.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_to_spdif.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_vdpau.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_asf.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_audio.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_fli.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_games.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_image.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_mng.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_modplug.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_nsv.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_playlist.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_pva.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_slave.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_video.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dxr3.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_flac.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_bluray.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_cdda.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_dvb.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_dvd.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_gnome_vfs.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_mms.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_network.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_pvr.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_rtp.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_smb.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_ssh.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_v4l.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_v4l2.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_vcd.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_vcdo.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_nsf.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_sputext.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_tls_gnutls.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_tls_openssl.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vdr.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_gl_egl_wl.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_gl_egl_x11.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_gl_glx.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_aa.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_caca.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_fb.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_opengl.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_opengl2.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_raw.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_sdl.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_vaapi.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_vdpau.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xcbshm.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xcbxv.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xshm.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xv.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xvmc.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xxmc.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_xiph.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_sndio.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_hw_frame_vaapi.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_crypto.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_va_display_drm.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_va_display_glx.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_va_display_wl.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_va_display_x11.so
%ifarch %ix86
%dir %{_libdir}/xine/plugins/%{plugin_api}/vidix
%{_libdir}/xine/plugins/%{plugin_api}/vidix/*_vid.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_w32dll.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_vidix.so
%endif

%files -n %{devname}
%doc installed-docs/*
%{_bindir}/xine-config
%{multiarch_bindir}/xine-config
%{_includedir}/xine.h
%{_includedir}/xine
%{_datadir}/aclocal/xine.m4
%{_libdir}/libxine.so
%{_libdir}/pkgconfig/libxine.pc
%{_mandir}/man1/xine-config.1*
