%define	xineversion 1.2.0

%define rel 	2

Name:		xine-ui
Summary:	A Free Video Player
Version:	0.99.14
Release:	%mkrel %rel
License:	GPLv2+
Group:		Video/Players
URL:		https://xine.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/xine/%name-%version.tar.xz
Source1:	xine.desktop
Patch0:		%name-0.99.10-mga-i18n-desktop.patch
Patch1:		fix-tvout-parenthesis.patch
Patch2:		fix-missed-strlcpy-on-arm.patch
Patch5:		fix-attr-inline-stringops-skin.patch
Patch7:		xine-ui-0.99.14-mga-fix-attr-inline-stringops-xitk.patch
#
# from deb
Patch11:	01-fix-lirc-pkg-config.patch
Patch17:	07-undefined-macro.patch
#
Patch20:	xine-ui-configure-c99.patch
Requires:	curl
BuildRequires:	aalib-devel
BuildRequires:	gettext
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxine) >= %xineversion
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(libjpeg)

%description
xine is a free GPL-licensed video player for UNIX-like systems.

User interface for the X Window system.

%package	aa
Summary:	XINE - Ascii Art player
Group:		Video/Players

%description	aa
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with ascii art (text mode) output.

%package	fb
Summary:	XINE - framebuffer video player
Group:		Video/Players

%description	fb
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with support for linux framebuffer output.


%prep
%autosetup -p1

%build
./autogen.sh noconfig
export XINE_DOCPATH="%_datadir/doc/xine-ui"
%configure --enable-vdr-keys --with-caca --with-aalib --disable-nvtvsimple
%make_build

%install
%make_install transform=""

#language files
%find_lang xine-ui --all-name --with-man

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

rm -rf %buildroot%_datadir/doc
rm -rf %buildroot%_datadir/xine/desktop

%files -f xine-ui.lang
%doc AUTHORS ChangeLog README
%doc doc/README*
%_bindir/xine*
%_datadir/xine
%_datadir/pixmaps/*
%_datadir/applications/*.desktop
%_datadir/icons/hicolor/*/apps/xine*
%_datadir/mime/packages/xine-ui.xml
%_mandir/man1/*

%files aa
%doc README
%_bindir/aaxine
%_bindir/cacaxine

%files fb
%doc README
%_bindir/fbxine
