Summary: 	Powerful replacement for inetd
Name: 		xinetd
Version: 	2.3.15.4
Release: 	%mkrel 4
Group: 		System/Base
# convert.pl is GPL
License: 	BSD and GPL
URL: 		https://github.com/openSUSE/xinetd/
Source0: 	https://github.com/openSUSE/xinetd/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:	sysconfig.xinetd
Source3:	convert.pl
Source4:	xinetd-ttime
Source5:	xinetd-utime
Source6:	xinetd-tdtime
Source7:	xinetd-udtime
Source8:	xinetd-echo
Source9:	xinetd-uecho
Source10:	xinetd-chargen
Source11:	xinetd-uchargen
Source13:	xinetd-servers
Source14:	xinetd-services
Source15:	xinetd-xadmin
Source50:	faq.html
Patch0:		xinetd-service-sysconfig.patch
Patch1:		xinetd-2.3.15.4-disable-bin.patch
Requires:	tcp_wrappers
Requires(post):	rpm-helper
Requires(postun):	rpm-helper
Requires(preun):	rpm-helper
BuildRequires:	tcp_wrappers-devel
BuildRequires:	pkgconfig(libtirpc)
Obsoletes:	xinetd-ipv6
Obsoletes:	xinetd-devel
Obsoletes:	netkit-base
Provides:	xinetd-devel
Provides:	netkit-base

%description
xinetd is a powerful replacement for inetd.
xinetd has access control mechanisms, extensive logging capabilities,
the ability to make services available based on time, and can place
limits on the number of servers that can be started, among other things.

xinetd has the ability to redirect TCP streams to a remote host and
port. This is useful for those of that use ip masquerading, or NAT,
and want to be able to reach your internal hosts.

xinetd also has the ability to bind specific services to specific
interfaces. This is useful when you want to make services available
for your internal network, but not the rest of the world.  Or to have
a different service running on the same port, but different interfaces.

%package simple-services
Summary:	Internal xinetd simple services
Group:		System/Base
License:	BSD
Requires:	xinetd

%description simple-services
Internal xinetd simple services (not very useful one):

- chargen
- daytime
- echo
- time
- servers
- services
- xadmin

%prep
%setup -q
%autopatch -p1

install -m 0644 %{SOURCE50} FAQ.html

%build
%serverbuild
autoreconf -fi
%configure --disable-silent-rules
%make_build

%install
%make_install

install -m 755 %SOURCE3 %{buildroot}%{_sbindir}/inetdconvert
install -D -m 644 contrib/%{name}.service %{buildroot}%{_unitdir}/%{name}.service
install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/xinetd

install -d -m 755 %{buildroot}%{_sysconfdir}/xinetd.d
install -m 644 %SOURCE4 %{buildroot}%{_sysconfdir}/xinetd.d/time
install -m 644 %SOURCE5 %{buildroot}%{_sysconfdir}/xinetd.d/time-udp
install -m 644 %SOURCE6 %{buildroot}%{_sysconfdir}/xinetd.d/daytime
install -m 644 %SOURCE7 %{buildroot}%{_sysconfdir}/xinetd.d/daytime-udp
install -m 644 %SOURCE8 %{buildroot}%{_sysconfdir}/xinetd.d/echo
install -m 644 %SOURCE9 %{buildroot}%{_sysconfdir}/xinetd.d/echo-udp
install -m 644 %SOURCE10 %{buildroot}%{_sysconfdir}/xinetd.d/chargen
install -m 644 %SOURCE11 %{buildroot}%{_sysconfdir}/xinetd.d/chargen-udp
install -m 644 %SOURCE14 %{buildroot}%{_sysconfdir}/xinetd.d/services

# no need to ship this one since we provide inetdconvert
rm -f %{buildroot}%{_sbindir}/itox
rm -f %{buildroot}%{_sbindir}/xconv.pl
rm -f %{buildroot}/%{_mandir}/man8/itox*

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README.md FAQ.html CHANGELOG COPYRIGHT contrib/xinetd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/xinetd
%config(noreplace) %{_sysconfdir}/xinetd.conf
%{_unitdir}/xinetd.service
%{_sbindir}/xinetd
%{_sbindir}/inetdconvert
%{_mandir}/*/*

%files simple-services
%config(noreplace) %{_sysconfdir}/xinetd.d/*
