Summary:	A generic touchscreen calibration program for X.Org
Name:		xinput_calibrator
Version:	0.7.5
Release:	%mkrel 11
Url:		https://www.freedesktop.org/wiki/Software/xinput_calibrator
Source0:	https://github.com/downloads/tias/xinput_calibrator/%{name}-%{version}.tar.gz
# code it MIT, xinput_calibrator.svg is CC-BY-SA
License:	MIT and CC-BY-SA
Group:		System/X11
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	gtkmm2.4-devel
BuildRequires:	imagemagick

%description
xinput_calibrator is created to fill the gap of touchscreen calibration
software, featuring:
   o works for any standard Xorg touchscreen driver (uses XInput protocol)
   o mis-click detection (prevents bogus calibration)
   o dynamically recalibrates the evdev driver
   o outputs the calibration as xorg.conf.d snippet or HAL policy file
   o and more

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

export CXXFLAGS="%{optflags} -std=gnu++11"
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
for i in 16 32 48;do
    convert -scale "$i"x"$i" scripts/%{name}.xpm %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/"$i"x"$i".png
done

%files
%doc Changelog COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/pixmaps/%{name}.*
