%define old_name x11-data-xkbdata

%define git_url git://anongit.freedesktop.org/xkeyboard-config

Name:           xkeyboard-config
Epoch:          1
Version:        2.40
Release:        %mkrel 2
Summary:        XKB data files
Group:          Development/X11
License:        MIT
URL:            https://www.freedesktop.org/wiki/Software/XKeyboardConfig
Source:         https://www.x.org/releases/individual/data/%{name}/%{name}-%{version}.tar.xz
BuildArch:      noarch

# symbols/kg and symbols/la besides looking very simple patches, did not apply
#   cleanly, so removed for now
# Dropped all conflicting patches
# (cg) When doing 1.3->1.4 rediff the tj keymap changes were dropped
# due to an upstream change that seems to address the issue differently
Patch0:         xkeyboard-config-2.10.1-fixkbd.patch

# (Anssi 09/2008) Add fi(kotoistus_classic_nbsp) and use that by default.
# It has nbsp in level4 instead of level3 to avoid typos, as in fi(classic).
# See https://bugs.freedesktop.org/show_bug.cgi?id=12764
# Comments have been sent to the Kotoistus project.
Patch1:         xkeyboard-config-2.10.1-fi-kotoistus_classic_nbsp.patch

# Morocco symbols/tifinagh should be symbols/ma in the official version
# Nigerian symbols/ng seens to match
# Pakistanese is pk in 1.1, not snd
# symbols/tm "Turkmen" is the same as symbols/tr "Turkey" in 1.1? seens
#	quite different
# symbols/urd seens to be 1.1's symbols/in (claims support for all Indian
#	keyboard layouts)
# symbols/kur "Kurdish" is apparently in several different Kurdish support
#	files/descriptions
# symbols/chr "Cherokee" being dropped? or already integrated in some other
#	description?
Patch2:         xkbdata-1.0.1-newkbd.patch

# Keeping for bugzilla #28919
Patch4:         xkb-fix_uz.patch
# Revert change that disables zapping by default
Patch9:         xkeyboard-config-2.36-Enable-zapping-by-default.patch
Patch10:    0001-Fix-symbols-in-syntax-error-spurious-git-conflict-ma.patch
# Debian patches
# Fedora patches
# Both upstream already

BuildRequires:  meson
BuildRequires:  xsltproc
BuildRequires:  x11-util-macros >= 1.0.1
BuildRequires:  x11-proto-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  xkbcomp >= 1.0.1
BuildRequires:  perl(XML::Parser)
BuildRequires:  glib-gettextize
BuildRequires:  gettext-devel

%description
Xkeyboard-config provides consistent, well-structured, frequently released of X
keyboard configuration data (XKB) for various X Window System implementations.

%package -n %{old_name}
Summary:        XKB data files
Group:          Development/X11
Provides:       xkeyboard-config

%description -n %{old_name}
Xkeyboard-config provides consistent, well-structured, frequently released of X
keyboard configuration data (XKB) for various X Window System implementations.

%prep
%setup -q

# Keyboard fixes patches -- pablo
%patch -P 0 -p1

	#   Not applied as most are already implemented, but in a compeletely
	#   different way. May need some review as described for Patch2:
	#   Still just keeping the old patch for reference in case problems
	#   arise.
# New keyboard layouts -- pablo
# %%patch2 -p1 -b .newkbd
# needed by patch2
# automake

%patch -P 1 -p1
%patch -P 4 -p1

## Debian patches

## Fedora patches

## Upstream patches

##
%patch -P 9 -p1 -b .enable-zapping

%build
%meson -Dcompat-rules=true -Dxorg-rules-symlinks=true
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_localstatedir}/lib/xkb
#need this symlink for xkb to work
ln -snf %{_localstatedir}/lib/xkb %{buildroot}%{_datadir}/X11/xkb/compiled

%find_lang %{name}

%files -f %{name}.lang -n %{old_name}
%dir %{_datadir}/X11/xkb/
%attr(1777,root,root) %dir %{_localstatedir}/lib/xkb
%{_datadir}/X11/xkb/*
%{_datadir}/pkgconfig/xkeyboard-config.pc
%{_mandir}/man7/%{name}.7.*
