Name:		xkill
Version:	1.0.6
Release:	%mkrel 1
Summary:	Kill a client by its X resource
Group: 		Monitoring
Source0: 	https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1:	%{name}.png
License: 	MIT
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xmu) >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
Xkill is a utility for forcing the X server to close connections to clients.
This program is very dangerous, but is useful for aborting programs that have
displayed undesired windows on a user's screen.

%prep
%setup -q

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
install -m644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=XKill
GenericName=Window Termination Tool
GenericName[ar]=أداة إنهاء النوافذ
GenericName[ca]=Eina de terminació de finestra
GenericName[cs]=Nástroj pro ukončování oken
GenericName[da]=Værktøj til terminering af vinduer
GenericName[de]=Programm zum Beenden eines Fensters
GenericName[el]=Εργαλείο Τερματισμού Παραθύρων
GenericName[es]=Herramienta para terminación de ventanas
GenericName[fi]=Ikkunoiden lopetustyökalu
GenericName[hu]=X-ablakbezáró
GenericName[it]=Strumento di terminazione delle finestre
GenericName[ja]=ウインドウ終了ツール
GenericName[nb]=Verktøy for å drepe vindu
GenericName[nl]=Vensters geforceerd sluiten hulpmiddel
GenericName[pl]=Narzędzie do kończenia działania okna
GenericName[pt_BR]=Ferramenta para encerramento da janela
GenericName[ro]=Utilitar de distrugere ferestre
GenericName[ru]=Инструмент уничтожения окон
GenericName[uk]=Інструмент знищення вікон
GenericName[wa]=Usteye po touwer les finiesses
GenericName[zh_CN]=窗口终结者
GenericName[zh_TW]=視窗終結工具
Comment=Kill a client by its X resource
Comment[ar]=اقتل عميلاً بموارده في إكس
Comment[cs]=Zabití klienta podle jeho zdroje X
Comment[cy]=Lladd rhaglen drwy ei adnodd X
Comment[da]=Dræb en klient ud fra dens X-ressource
Comment[el]=Σκότωμα ενός πελάτη (client) χρησιμοποιώντας τους X πόρους του
Comment[es]=Matar un programa por su fuente X
Comment[et]=Kliendi tapmine selle X'i ressursi abil
Comment[eu]=Bezero bat hil bere X baliabideen bitartez
Comment[fi]=Tapa asiakasohjelma katkaisemalla sen yhteys X-palvelimeen
Comment[fr]=Termine un processus depuis X
Comment[gl]=Mate un cliente usando o seu recurso x
Comment[he]=הריגת תוכנה לפי מקור ה-X שלה
Comment[hu]=Program kilövése a grafikus rendszerben (X ablakrendszerben) megjelenő ablaka alapján
Comment[is]=Drepa biðlara byggt á X glugga
Comment[it]=Elimina client tramite le sue risorse X
Comment[nb]=Drep en klient basert på X-ressursene
Comment[nl]=Een programma gedwongen afsluiten door erop te klikken
Comment[nn]=Drep ein klient etter tilhøyrande X-ressurs
Comment[pl]=Zamykanie awaryjne programów
Comment[pt]=Mate um cliente pelo seu recurso X
Comment[pt_BR]=Mata um cliente via X resource
Comment[ro]=Omorîți un client după resursa sa X11
Comment[ru]=Убийство задачи по Х-ресурсу
Comment[sl]=Poboj odjemalca prek njegovega X vira
Comment[sv]=Döda en klient via dess X resurs
Comment[tr]=X kaynağıyla bir istemciyi geçersiz kılın
Comment[uk]=Вбийте клієнтську програму за її ресурсом у X
Comment[zh_CN]=由进程的 X 资源来中止这个进程
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Monitor;
EOF

%files
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
