Name:		xlog
Version:	2.0.25
Release:	%mkrel 1
Summary:	Logging program for Amateur Radio Operators
Group:		Communications/Radio
License:	GPLv3+
URL:		https://www.nongnu.org/xlog/
Source0:	https://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch1:		xlog-incompatible-pointer-types.patch
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.18
BuildRequires:	pkgconfig(hamlib) >= 4.1
BuildRequires:	shared-mime-info
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils

Recommends:	hamlib
Recommends:	hamlib-utils

%description
xlog is a logging program for amateur radio operators. The log is stored
in a text file. QSO's are presented in a list. Items in the list can be
added, deleted or updated. For each contact, dxcc information is displayed
and bearing and distance is calculated, both short and long path.
xlog supports trlog, adif, cabrillo, edit, twlog and editest files.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache
rm -f %{buildroot}%{_datadir}/doc/%{name}/glabels/qsllabels.glabels

%find_lang %{name}

desktop-file-install \
--dir %{buildroot}%{_datadir}/applications \
--remove-category='Utility' \
--remove-category='Database' \
--add-category='AudioVideo' \
--add-category='Audio' \
--add-category='X-Mageia-CrossDesktop' \
--set-key=Icon \
--set-value=%{name} \
%{buildroot}%{_datadir}/applications/xlog.desktop

%files -f %{name}.lang
%doc AUTHORS data/doc/BUGS ChangeLog NEWS README
%doc data/doc/TODO data/doc/manual data/doc/KEYS
%doc data/glabels/qsllabels.glabels
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/dxcc
%{_datadir}/%{name}/maps
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*
%{_mandir}/man?/*
