%define    longname  XLogical
%define    majorversion   1.0
%define    subversion 8
%define    sourceversion %{majorversion}-%{subversion}

%undefine _hardened_build


Summary:   %{longname} - A puzzle game
Name:      xlogical
Version:   %{majorversion}_%{subversion}
Release:   %mkrel 20
Source0:   %{name}-%{sourceversion}.tar.bz2
Source1:   %{name}-16.png
Source2:   %{name}-32.png
Source3:   %{name}-48.png
Patch0:    xlogical-c++-compil.patch
Patch1:    xlogical-gcc43.patch
Patch2:    xlogical-1.0-chown.patch
Patch3:    xlogical-1.0.8-gcc11.patch
Group:     Games/Puzzles
License: GPLv2+
URL:        https://changeling.ixionstudios.com/xlogical/
BuildRequires: pkgconfig(sdl)
BuildRequires: pkgconfig(SDL_image)
BuildRequires: pkgconfig(SDL_mixer)

%description
XLogical is a puzzle game based on an Amiga game developed
by Rainbow Arts called Logical. It features ray-traced graphics,
music, and sound effects. The game is addictive, requiring
parallel thinking and quick reflexes.

%prep
%setup -n %{name}-%{sourceversion} -q
%patch -P 0 -p0 -b .nanar
%patch -P 1 -p1 -b .gcc43
%patch -P 2 -p0 -b .chown
%patch -P 3 -p1 -b .gcc11

%build

rm -f config.* configure

autoreconf -fi
%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir --localstatedir=%{_localstatedir}/lib

%make_build

%install
%makeinstall bindir=%buildroot%_gamesbindir datadir=%buildroot%_gamesdatadir localstatedir=%buildroot%{_localstatedir}/lib

install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A puzzle game
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF

%files
%defattr(-,root,games)
%doc README COPYING ChangeLog AUTHORS NEWS TODO LICENSE
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%dir %{_localstatedir}/lib/%{name}
%{_localstatedir}/lib/%{name}/xlogical.scores
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/applications/mageia-%{name}.desktop
