%define	enable_xprint 0

Name:		xman
Version:	1.2.0
Release:	%mkrel 1
Summary:	Manual page display program for the X Window System
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

# Not really required, but configure checks for /etc/man.config
# to know if should or not use it.
BuildRequires:	man
BuildRequires:	pkgconfig(xaw7) >= 1.0.1
%if %{enable_xprint}
BuildRequires:	libxprintutil-devel >= 1.0.1
BuildRequires:	libxp-devel >= 1.0.0
%endif
BuildRequires:	x11-util-macros >= 1.0.1

Requires:	man-db

%description
Xman is a manual page display program for the X Window System.

%prep
%autosetup

# fix man path (mga#18104)
for f in `grep -rsl /usr/man .`; do
	sed -i 's@/usr/man@/usr/share/man@g' $f
done
# fix zsoelim script path (mga#18104)
sed -i -e 's|path, ZSOELIM,|path, "%{_libexecdir}/man-db/zsoelim",|' misc.c

%build
%configure \
%if %{enable_xprint}
		--enable-xprint
%else
		--disable-xprint
%endif
%make_build

%install
%make_install

%files
%doc README.md
%license COPYING
%{_bindir}/xman
%{_datadir}/X11/xman.help
%{_datadir}/X11/app-defaults/Xman
%{_mandir}/man1/xman.*
