Summary:	Prepare for fast, easily-extended simulations
Name:		xmds
Version:	3.0.0
Release:	%mkrel 8
License:	GPLv2
Group:		Sciences/Other
Url:		http://www.xmds.org/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		xmds-3.0.0-relax-dependencies.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
Provides:	xmds2 = %{version}

%description
The purpose of XMDS2 is to simplify the process of creating
simulations that solve systems of initial-value first-order partial
and ordinary differential equations. Instead of going through the
error-prone process of writing by hand thousands of lines of code,
XMDS2 enables many problems to be described in a simple XML format.
From this XML description XMDS2 writes a C++ simulation that solves
the problem using fast algorithms. Anecdotally, the code generated
by XMDS2 is as fast as, or faster than, code hand-written by an
expert, but by using XMDS2 the time taken to produce the simulation
is significantly reduced.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation

%description	doc
This package contains documentation for %{name}.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xpdeint

%files -f %{pyproject_files}
%doc README ReleaseNotes examples
%{_bindir}/*

%files doc
%doc documentation/*
