%define major       20
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %{name} -d

Name:		xml-security-c
Version:	2.0.4
Release:	%mkrel 1
Summary:	C++ Implementation of W3C security standards for XML
Group:		System/Libraries
License:	ASL 2.0
URL:		https://santuario.apache.org/cindex.html
Source0:	https://ftp.wayne.edu/apache/santuario/c-library/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(xerces-c)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	xalan-c-devel

%description
The xml-security-c library is a C++ implementation of the XML Digital Signature
specification. The library makes use of the Apache XML project's Xerces-C XML
Parser and Xalan-C XSLT processor. The latter is used for processing XPath and
XSLT transforms.

%package -n %{libname}
Summary:	C++ Implementation of W3C security standards for XML
Group:          System/Libraries

%description -n %{libname}
The xml-security-c library is a C++ implementation of the XML Digital Signature
specification. The library makes use of the Apache XML project's Xerces-C XML
Parser and Xalan-C XSLT processor. The latter is used for processing XPath and
XSLT transforms.

This package contains the shared xml-security-c library.

%package -n %{develname}
Summary:	Development files for xml-security-c
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
The xml-security-c library is a C++ implementation of the XML Digital Signature
specification. The library makes use of the Apache XML project's Xerces-C XML
Parser and Xalan-C XSLT processor. The latter is used for processing XPath and
XSLT transforms.

This package contains development files for xml-security-c.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%check
# Verify that what was compiled actually works.
./xsec/xsec-xtest

%install
%make_install

# We do not ship .la files.
find %{buildroot} -name '*.la' -delete

# Do not ship library test utilities. These are only needed for
# xml-security-c developers and they should have the whole source anyway.
rm -rf %{buildroot}%{_bindir}

%files -n %{libname}
%doc CHANGELOG.txt NOTICE.txt
%license LICENSE.txt
%{_libdir}/libxml-security-c.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/xsec
%{_libdir}/pkgconfig/xml-security-c.pc
%{_libdir}/libxml-security-c.so
