%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           xmlbird
Version:        1.2.14
Release:        %mkrel 1
Summary:        XML parser with support for Vala iterators
Group:          System/Libraries
License:        LGPLv3+
Url:            https://birdfont.org/xmlbird.php
Source0:        https://birdfont.org/xmlbird-releases/lib%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  python3
BuildRequires:  vala

%description
XML parser with support for Vala iterators.

%package -n %{libname}
Summary:        XML parser with support for Vala iterators
Group:          System/Libraries

%description -n %{libname}
XML parser with support for Vala iterators.

%package -n %{devname}
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel

%description -n %{devname}
Development files for the %{name} XML parser.

%prep
%autosetup -p1 -n lib%{name}-%{version}

sed -i -e 's/^libdir=.*/libdir=\${exec_prefix}\/%{_lib}/' scripts/pkgconfig.py

%build
%{__python3} configure -p%{_prefix} -l%{_lib} --cflags="%{optflags}"
%{__python3} build.py

%install
%{__python3} install.py -d%{buildroot}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%{_datadir}/vala/vapi/%{name}.vapi
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
