Name:           xmlgraphics-batik
Version:        1.7
Release:        %mkrel 19
Summary:        Scalable Vector Graphics for Java
License:        ASL 2.0
Url:            https://xml.apache.org/batik/
Group:          Graphics
Source:         batik-src-%{version}.zip
Source1:        %{name}.squiggle.script
Source2:        %{name}.svgpp.script
Source3:        %{name}.ttf2svg.script
Source4:        %{name}.rasterizer.script
Source5:        %{name}.slideshow.script
Source6:        %{name}-squiggle.desktop
Source7:        %{name}.rasterizer.policy
Patch1:         %{name}-manifests.patch
Patch2:         %{name}-policy.patch
Obsoletes:      batik < %{version}-%{release}
Provides:       batik = %{version}-%{release}
Requires:       rhino >= 1.5
Requires:       xml-commons-jaxp-1.3-apis >= 1.3.03

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ant
BuildRequires:  java-rpmbuild
BuildRequires:  rhino >= 1.5
BuildRequires:  java-devel
BuildRequires:  xerces-j2
BuildRequires:  jython
BuildRequires:  java-javadoc
BuildRequires:  rhino-javadoc
BuildRequires:  xml-commons-jaxp-1.3-apis >= 1.3.03
BuildRequires:  unzip
BuildArch:      noarch

%description
Batik is a Java(tm) technology based toolkit for applications that want
to use images in the Scalable Vector Graphics (SVG) format for various
purposes, such as viewing, generation or manipulation.

%package squiggle
License:        ASL 2.0
Summary:        Batik SVG browser
Group:          Graphics
Obsoletes:      batik-squiggle < %{version}-%{release}
Provides:       batik-squiggle = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils >= 1.5
Requires:       xerces-j2 >= 2.3

%description squiggle
The Squiggle SVG Browser lets you view SVG file, zoom, pan and rotate
in the content and select text items in the image and much more.

%package svgpp
License:        ASL 2.0
Summary:        Batik SVG pretty printer
Group:          Graphics
Obsoletes:      batik-svgpp < %{version}-%{release}
Provides:       batik-svgpp = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils >= 1.5
Requires:       xerces-j2 >= 2.3

%description svgpp
The SVG Pretty Printer lets developers "pretty-up" their SVG files and
get their tabulations and other cosmetic parameters in order. It can
also be used to modify the DOCTYPE declaration on SVG files.

%package ttf2svg
License:        ASL 2.0
Summary:        Batik SVG font converter
Group:          Graphics
Obsoletes:      batik-ttf2svg < %{version}-%{release}
Provides:       batik-ttf2svg = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils >= 1.5

%description ttf2svg
The SVG Font Converter lets developers convert character ranges from
the True Type Font format to the SVG Font format to embed in SVG
documents. This allows SVG document to be fully self-contained be
rendered exactly the same on all systems.

%package rasterizer
License:        ASL 2.0
Summary:        Batik SVG rasterizer
Group:          Graphics
Obsoletes:      batik-rasterizer < %{version}-%{release}
Provides:       batik-rasterizer = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils >= 1.5
Requires:       xerces-j2 >= 2.3

%description rasterizer
The SVG Rasterizer is a utility that can convert SVG files to a raster
format. The tool can convert individual files or sets of files, making
it easy to convert entire directories of SVG files. The supported
formats are JPEG, PNG, and TIFF, however the design allows new formats
to be added easily.

%package slideshow
License:        ASL 2.0
Summary:        Batik SVG slideshow
Group:          Graphics
Obsoletes:      batik-slideshow < %{version}-%{release}
Provides:       batik-slideshow = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils >= 1.5
Requires:       xerces-j2 >= 2.3

%description slideshow
Batik SVG slideshow.

%package javadoc
License:        ASL 2.0
Summary:        Javadoc for %{name}
Group:          Graphics
Obsoletes:      batik-javadoc < %{version}-%{release}
Provides:       batik-javadoc = %{version}-%{release}

%description javadoc
Javadoc for %{name}.

%package demo
License:        ASL 2.0
Summary:        Demo for %{name}
Group:          Graphics
Obsoletes:      batik-demo < %{version}-%{release}
Provides:       batik-demo = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n batik-%{version}
%patch -P 1 -p1
%patch -P 2 -p1

rm resources/org/apache/batik/ext/awt/image/codec/properties
rm test-resources/org/apache/batik/apps/rasterizer/readOnly.png

%build
export CLASSPATH=
export OPT_JAR_LIST=:
%{ant} all-jar jars javadoc

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}

for dir in batik-%{version} batik-%{version}/lib batik-%{version}/extensions; do
  pushd ${dir}
    for jar in batik-*.jar; do
      basename=`basename ${jar} .jar`
      name=`echo ${basename} | sed -e 's/batik-//'`
      cp -p ${jar} $RPM_BUILD_ROOT%{_javadir}/%{name}/${name}-%{version}.jar
    done
  popd
done

for pkg in squiggle squiggle-ext svgpp ttf2svg rasterizer rasterizer-ext slideshow; do
  ln -s %{name}/${pkg}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/batik-${pkg}-%{version}.jar
done

mv $RPM_BUILD_ROOT%{_javadir}/%{name}/all-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-all-%{version}.jar
ln -s %{name}-all-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/batik-all-%{version}.jar

for dir in $RPM_BUILD_ROOT%{_javadir} $RPM_BUILD_ROOT%{_javadir}/%{name}; do
  pushd ${dir}
    for jar in *-%{version}*.jar; do
      ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; 
    done
  popd
done

# scripts
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}-squiggle
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}-svgpp
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}-ttf2svg
cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}/%{name}-rasterizer
cp -p %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/%{name}-slideshow

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr batik-%{version}/docs/javadoc/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version} || :
# FIXME: (dwalluck): This breaks bi --short-circuit
rm -rf %{name}-%{version}/docs/javadoc
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/batik-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
ln -s %{name} $RPM_BUILD_ROOT%{_javadocdir}/batik

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr contrib resources samples test-resources test-sources \
  $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -s %{name} $RPM_BUILD_ROOT%{_datadir}/batik

# policy
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cp -p %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/rasterizer.policy

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE MAINTAIN NOTICE README
%dir %{_javadir}/%{name}
%{_javadir}/%{name}-all-%{version}.jar
%{_javadir}/%{name}-all.jar
%{_javadir}/batik-all-%{version}.jar
%{_javadir}/batik-all.jar
%{_javadir}/%{name}/anim-%{version}.jar
%{_javadir}/%{name}/anim.jar
%{_javadir}/%{name}/awt-util-%{version}.jar
%{_javadir}/%{name}/awt-util.jar
%{_javadir}/%{name}/bridge-%{version}.jar
%{_javadir}/%{name}/bridge.jar
%{_javadir}/%{name}/codec-%{version}.jar
%{_javadir}/%{name}/codec.jar
%{_javadir}/%{name}/css-%{version}.jar
%{_javadir}/%{name}/css.jar
%{_javadir}/%{name}/dom-%{version}.jar
%{_javadir}/%{name}/dom.jar
%{_javadir}/%{name}/ext-%{version}.jar
%{_javadir}/%{name}/ext.jar
%{_javadir}/%{name}/extension-%{version}.jar
%{_javadir}/%{name}/extension.jar
%{_javadir}/%{name}/gui-util-%{version}.jar
%{_javadir}/%{name}/gui-util.jar
%{_javadir}/%{name}/gvt-%{version}.jar
%{_javadir}/%{name}/gvt.jar
%{_javadir}/%{name}/parser-%{version}.jar
%{_javadir}/%{name}/parser.jar
%{_javadir}/%{name}/script-%{version}.jar
%{_javadir}/%{name}/script.jar
%{_javadir}/%{name}/svg-dom-%{version}.jar
%{_javadir}/%{name}/svg-dom.jar
%{_javadir}/%{name}/svggen-%{version}.jar
%{_javadir}/%{name}/svggen.jar
%{_javadir}/%{name}/swing-%{version}.jar
%{_javadir}/%{name}/swing.jar
%{_javadir}/%{name}/transcoder-%{version}.jar
%{_javadir}/%{name}/transcoder.jar
%{_javadir}/%{name}/util-%{version}.jar
%{_javadir}/%{name}/util.jar
%{_javadir}/%{name}/xml-%{version}.jar
%{_javadir}/%{name}/xml.jar
%dir %{_sysconfdir}/%{name}

%files squiggle
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/squiggle-%{version}.jar
%{_javadir}/%{name}/squiggle.jar
%{_javadir}/%{name}/squiggle-ext-%{version}.jar
%{_javadir}/%{name}/squiggle-ext.jar
%{_javadir}/batik-squiggle-%{version}.jar
%{_javadir}/batik-squiggle.jar
%{_javadir}/batik-squiggle-ext-%{version}.jar
%{_javadir}/batik-squiggle-ext.jar
%attr(0755,root,root) %{_bindir}/%{name}-squiggle

%files svgpp
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/svgpp-%{version}.jar
%{_javadir}/%{name}/svgpp.jar
%{_javadir}/batik-svgpp-%{version}.jar
%{_javadir}/batik-svgpp.jar
%attr(0755,root,root) %{_bindir}/%{name}-svgpp

%files ttf2svg
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/ttf2svg-%{version}.jar
%{_javadir}/%{name}/ttf2svg.jar
%{_javadir}/batik-ttf2svg-%{version}.jar
%{_javadir}/batik-ttf2svg.jar
%attr(0755,root,root) %{_bindir}/%{name}-ttf2svg

%files rasterizer
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/rasterizer-%{version}.jar
%{_javadir}/%{name}/rasterizer.jar
%{_javadir}/%{name}/rasterizer-ext-%{version}.jar
%{_javadir}/%{name}/rasterizer-ext.jar
%{_javadir}/batik-rasterizer-%{version}.jar
%{_javadir}/batik-rasterizer.jar
%{_javadir}/batik-rasterizer-ext-%{version}.jar
%{_javadir}/batik-rasterizer-ext.jar
%attr(0755,root,root) %{_bindir}/%{name}-rasterizer
%config(noreplace) %{_sysconfdir}/%{name}/rasterizer.policy

%files slideshow
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/slideshow-%{version}.jar
%{_javadir}/%{name}/slideshow.jar
%{_javadir}/batik-slideshow-%{version}.jar
%{_javadir}/batik-slideshow.jar
%attr(0755,root,root) %{_bindir}/%{name}-slideshow

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}
%{_javadocdir}/batik-%{version}
%{_javadocdir}/batik

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}
%{_datadir}/batik
%attr(0755,root,root) %{_datadir}/%{name}/contrib/rasterizertask/build.sh 
%attr(0755,root,root) %{_datadir}/%{name}/contrib/charts/convert.sh

