Name:    xmlstarlet
Version: 1.6.1
Release: %mkrel 10
Summary: Command Line XML Toolkit
Group:   Text tools
License: MIT
URL:     https://xmlstar.sourceforge.net/
Source0: https://downloads.sourceforge.net/xmlstar/%{name}-%{version}.tar.gz
Patch0:  xmlstarlet-1.6.1-configure-version.patch

BuildRequires: xmlto
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(libxml-2.0) >= 2.6.23
BuildRequires: docbook-style-xsl

%description
XMLStarlet is a set of command line utilities which can be used
to transform, query, validate, and edit XML documents and files
using simple set of shell commands in similar way it is done for
plain text files using UNIX grep, sed, awk, diff, patch, join, etc
commands.

%prep
%autosetup -p1

sed -i configure.ac -e "s/@REPLACE_VERSION@/%{version}/"

%build
autoreconf -fi
%configure --disable-static-libs \
	--with-libxml-include-prefix=%{_includedir}/libxml2
%make_build
pushd doc
xmlto man xmlstarlet-man.xml --skip-validation
xmlto html-nochunks xmlstarlet-ug.xml --skip-validation
./gen-doc > xmlstarlet.txt
popd

%install
%make_install
# Avoid name kludging in autotools
mv $RPM_BUILD_ROOT%{_bindir}/xml $RPM_BUILD_ROOT%{_bindir}/xmlstarlet

%files
%doc AUTHORS ChangeLog NEWS README Copyright TODO doc/xmlstarlet.txt doc/xmlstarlet-ug.html
%{_mandir}/man1/xmlstarlet.1*
%{_bindir}/xmlstarlet
%exclude  /usr/share/doc/xmlstarlet/html.css
