%bcond_with check

Name:		xmltv
Version:	1.3.0
Release:	%mkrel 2
Summary:	A set of utilities to manage your TV viewing
License:	GPLv2+
Group:		Video/Television
URL:		https://wiki.xmltv.org/
Source0:	https://github.com/XMLTV/xmltv/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		xmltv-0.5.63-noask.patch
#
# Patches since 1.3.0 release
#
Patch0001:	0001-uk_freeview-adjust-cache-location.patch
Patch0002:	0002-uk_freeview-fix-actor-names-containing-utf8.patch
Patch0003:	0003-uk_freeview-fix-grab-times-wrong-during-BST-230.patch
Patch0004:	0004-uk_freeview-fix-missing-title-in-api-data-231.patch
Patch0005:	0005-fix-error-handling-in-DB_open.patch

BuildArch:	noarch
BuildRequires:	locales
BuildRequires:	perl(Archive::Zip)
BuildRequires:	perl(CGI)
BuildRequires:  perl(Data::Dump)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl-DateManip >= 5.42
BuildRequires:	perl(DateTime::Format::ISO8601)
BuildRequires:	perl(DateTime::Format::Strptime)
BuildRequires:	perl(DateTime::Format::SQLite)
BuildRequires:	perl(DBD::SQLite)
BuildRequires:	perl-devel
BuildRequires:	perl(Digest::SHA)
BuildRequires:	perl(Encode)
BuildRequires:	perl(File::Which)
BuildRequires:	perl(File::HomeDir)
BuildRequires:	perl(HTML::LinkExtractor)
BuildRequires:	perl(HTML::TableExtract) >= 1.08
BuildRequires:	perl(HTML::Tree)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	perl(HTTP::Cache::Transparent)
BuildRequires:	perl-IO-stringy
BuildRequires:	perl-libwww-perl >= 5.65
BuildRequires:	perl(Lingua::Preferred)
BuildRequires:	perl(Lingua::EN::Numbers::Ordinate)
BuildRequires:	perl(Linux::DVB)
BuildRequires:	perl(LWP::UserAgent::Determined)
BuildRequires:	perl(Parse::RecDescent)
BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl(SOAP::Lite)
BuildRequires:	perl(Term::ProgressBar) >= 2.03
BuildRequires:	perl(Term::ReadKey)
BuildRequires:	perl-TimeDate
BuildRequires:	perl(Tk::TableMatrix)
BuildRequires:	perl(Unicode::String)
BuildRequires:	perl(Unicode::UTF8simple)
BuildRequires:	perl(URI::Encode)
BuildRequires:	perl(WWW::Mechanize) >= 1.02
BuildRequires:	perl(XML::DOM)
BuildRequires:	perl(XML::LibXML)
BuildRequires:	perl(XML::LibXSLT)
BuildRequires:	perl(XML::Simple)
BuildRequires:	perl(XML::TreePP)
BuildRequires:	perl(XML::Twig) >= 3.09
BuildRequires:	perl(XML::Writer) >= 0.4.6
Requires:	perl-HTML-Parser >= 3.34

# deleted grabbers
Obsoletes:	%{name}-grabbers-es < 0.6.1
Obsoletes:	%{name}-grabbers-nl < 0.6.1
Obsoletes:	%{name}-grabbers-tr < 1.2.1

%description
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the back-end (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

There are five backends at present, grabbing TV listings for Canada,
the USA, the UK, Germany, Austria, Sweden and Norway. There are
filters to sort the listings by date, to remove shows that have
already been broadcast, and a couple of programmes to organize your
viewing by storing preferences of what shows you watch. There are a
couple of backends to produce printed output.

%files
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/tv_augment_tz
%{_bindir}/tv_augment
%{_bindir}/tv_cat
%{_bindir}/tv_count
%{_bindir}/tv_extractinfo_en
%{_bindir}/tv_find_grabbers
%{_bindir}/tv_grep
%{_bindir}/tv_imdb
%{_bindir}/tv_merge
%{_bindir}/tv_remove_some_overlapping
%{_bindir}/tv_sort
%{_bindir}/tv_split
%{_bindir}/tv_tmdb
%{_bindir}/tv_to_latex
%{_bindir}/tv_to_text
%{_bindir}/tv_validate_file
%{_bindir}/tv_validate_grabber
%{_mandir}/man1/tv_augment_tz.1*
%{_mandir}/man1/tv_augment.1*
%{_mandir}/man1/tv_cat.1*
%{_mandir}/man1/tv_count.1*
%{_mandir}/man1/tv_extractinfo_en.1*
%{_mandir}/man1/tv_find_grabbers.1*
%{_mandir}/man1/tv_grep.1*
%{_mandir}/man1/tv_imdb.1*
%{_mandir}/man1/tv_merge.1*
%{_mandir}/man1/tv_remove_some_overlapping.1*
%{_mandir}/man1/tv_sort.1*
%{_mandir}/man1/tv_split.1*
%{_mandir}/man1/tv_tmdb.1*
%{_mandir}/man1/tv_to_latex.1*
%{_mandir}/man1/tv_to_text.1*
%{_mandir}/man1/tv_validate_file.1*
%{_mandir}/man1/tv_validate_grabber.1*
%dir %{_datadir}/xmltv/
%{_datadir}/xmltv/xmltv.dtd
%{_datadir}/xmltv/xmltv-lineups.xsd
%dir %{_datadir}/xmltv/tv_augment/
%{_datadir}/xmltv/tv_augment/augment.conf
%{_datadir}/xmltv/tv_augment/augment.rules

%package -n perl-XMLTV
Summary:	Perl modules for managing your TV viewing
Group:		Development/Perl

%description -n perl-XMLTV
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the back-end (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the perl modules from xmltv.

%files -n perl-XMLTV
%{perl_vendorlib}/XMLTV.pm
%{perl_vendorlib}/XMLTV
%{_mandir}/man3/*

%package grabbers-ar
Summary:	Argentinian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-ar
This package contains the Argentinian grabbers for xmltv.

%files grabbers-ar
%{_bindir}/tv_extractinfo_ar
%{_mandir}/man1/tv_extractinfo_ar*.1*

%if 0
%package grabbers-au
Summary:	Australian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-au
This package contains the australian grabbers for xmltv.

%files grabbers-au
%{_bindir}/tv_grab_au
%{_mandir}/man1/tv_grab_au*.1*
%{_datadir}/xmltv/tv_grab_au/channel_ids

%package grabbers-be
Summary:	Belgian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-be
This package contains the belgian grabbers for xmltv.

%files grabbers-be
%{_bindir}/tv_grab_be
%{_mandir}/man1/tv_grab_be*.1*
%{_datadir}/xmltv/tv_grab_be/channel_ids_fr
%{_datadir}/xmltv/tv_grab_be/channel_ids_nl

%package grabbers-br
Summary:	Brazillian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-br
This package contains the brazillian grabbers for xmltv.

%files grabbers-br
%{_bindir}/tv_grab_br
%{_bindir}/tv_grab_br_net
%{_mandir}/man1/tv_grab_br*.1*
%endif

%if 1
%package grabbers-ch
Summary:	Swiss grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-ch
This package contains the swiss grabbers for xmltv.

%files grabbers-ch
%{_bindir}/tv_grab_ch_*
%{_mandir}/man1/tv_grab_ch_*.1*
%endif

%package grabbers-combiner
Summary:	Grabber to grab data from multiple grabbers at once
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-combiner
This package contains a grabber to grab data from multiple grabbers at once.

%files grabbers-combiner
%{_bindir}/tv_grab_combiner
%{_mandir}/man1/tv_grab_combiner.1*

%if 0
%package grabbers-de
Summary:	German grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-de
This package contains the german grabbers for xmltv.

%files grabbers-de
%{_bindir}/tv_grab_de*
%{_mandir}/man1/tv_grab_de*.1*
%{_datadir}/xmltv/tv_grab_de_tvtoday
%endif

%if 0
%package grabbers-dk
Summary:	Danish grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-dk
This package contains the danish grabbers for xmltv.

%files grabbers-dk
%{_bindir}/tv_grab_dk_dr
%{_mandir}/man1/tv_grab_dk_dr.1*
%endif

%if 0
%package grabbers-dtv_la
Summary:	Latin American grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-dtv_la
This package contains the Latin American grabbers for xmltv.

%files grabbers-dtv_la
%{_bindir}/tv_grab_dtv_la
%{_mandir}/man1/tv_grab_dtv_la.1*
%endif

%if 0
%package grabbers-ee
Summary:	Estonian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-ee
This package contains the estonian grabbers for xmltv.

%files grabbers-ee
%{_bindir}/tv_grab_ee*
%{_mandir}/man1/tv_grab_ee*.1*
%endif

%if 0
%package grabbers-es
Summary:	Spanish grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-es
This package contains the spanish grabbers for xmltv.

%files grabbers-es
%{_bindir}/tv_grab_es*
%{_mandir}/man1/tv_grab_es*.1*
%endif

%if 0
%package grabbers-eu
Summary:	European grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-eu
This package contains the European grabbers for xmltv.

%files grabbers-eu
#{_bindir}/tv_grab_eu_egon
#{_bindir}/tv_grab_eu_epgdata
#{_bindir}/tv_grab_eu_dotmedia
#{_bindir}/tv_grab_eu_xmltvse
#{_mandir}/man1/tv_grab_eu_egon.1*
#{_mandir}/man1/tv_grab_eu_epgdata.1*
#{_mandir}/man1/tv_grab_eu_dotmedia.1*
#{_mandir}/man1/tv_grab_eu_xmltvse.1*
#{_datadir}/xmltv/tv_grab_eu_epgdata/channel_ids
%endif

%package grabbers-fi
Summary:	Finnish grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-fi
This package contains the Finnish grabbers for xmltv.

%files grabbers-fi
%{_bindir}/tv_grab_fi*
%{_mandir}/man1/tv_grab_fi*.1*

%package grabbers-fr
Summary:	French grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers
Requires:	perl(HTML::TreeBuilder)

%description grabbers-fr
This package contains the french grabbers for xmltv.

%files grabbers-fr
%{_bindir}/tv_grab_fr*
%{_mandir}/man1/tv_grab_fr*.1*

%if 0
%package grabbers-hr
Summary:	Croatia grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-hr
This package contains the Croatia grabbers for xmltv.

%files grabbers-hr
%{_bindir}/tv_grab_hr
%{_mandir}/man1/tv_grab_hr.1*
%endif

%package grabbers-huro
Summary:	Hungarian-Romanian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-huro
This package contains the Hungarian-Romanian grabbers for xmltv.
It also includes Czech and Romanian support.

%files grabbers-huro
%{_bindir}/tv_grab_huro
%{_mandir}/man1/tv_grab_huro.1*
%{_datadir}/xmltv/tv_grab_huro/jobmap
%{_datadir}/xmltv/tv_grab_huro/catmap.hu
%{_datadir}/xmltv/tv_grab_huro/catmap.ro
%{_datadir}/xmltv/tv_grab_huro/catmap.cz
%{_datadir}/xmltv/tv_grab_huro/catmap.sk


%if 0
%package grabbers-il
Summary:	Israeli grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-il
This package contains the israeli grabbers for xmltv.

%files grabbers-il
%{_bindir}/tv_grab_il*
%{_mandir}/man1/tv_grab_il*.1*
%endif

%if 0
%package grabbers-in
Summary:        Indian grabbers for xmltv
Group:          Video/Television
Provides:	xmltv-grabbers

%description grabbers-in
This package contains the indian grabbers for xmltv.

%files grabbers-in
%{_bindir}/tv_grab_in*
%{_mandir}/man1/tv_grab_in*.1*
%endif

%package grabbers-is
Summary:	Icelandic grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-is
This package contains the Icelandic grabbers for xmltv.

%files grabbers-is
%{_bindir}/tv_grab_is*
%{_mandir}/man1/tv_grab_is*.1*
%{_datadir}/xmltv/tv_grab_is/category_map

%package grabbers-it
Summary:	Italian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-it
This package contains the italian grabbers for xmltv.

%files grabbers-it
%{_bindir}/tv_grab_it*
%{_mandir}/man1/tv_grab_it*.1*
%{_datadir}/xmltv/tv_grab_it*

%if 0
%package grabbers-jp
Summary:	Japanese grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-jp
This package contains the japanese grabbers for xmltv.

%files grabbers-jp
%doc grab/jp/README.CATV
%{_bindir}/tv_grab_jp
%{_mandir}/man1/tv_grab_jp.1*
%endif

%package grabbers-na
Summary:	North American grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-na
This package contains the North American grabbers for xmltv.

%files grabbers-na
%{_bindir}/tv_grab_na*
%{_mandir}/man1/tv_grab_na*.1*

%if 0
%package	grabbers-nc
Summary:	Nouvelle Caledonie (France) grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-nc
This package contains the nouvelle caledonie (france) grabbers for xmltv.

%files grabbers-nc
%{_bindir}/tv_grab_nc
%{_mandir}/man1/tv_grab_nc.1*
%endif

%if 0
%package grabbers-nl
Summary:	Dutch grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-nl
This package contains the dutch grabbers for xmltv.

%files grabbers-nl
%{_bindir}/tv_grab_nl*
%{_mandir}/man1/tv_grab_nl*.1*
%endif

%if 0
%package grabbers-no
Summary:	Norwegian grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-no
This package contains the norwegian grabbers for xmltv.

%files grabbers-no
%{_bindir}/tv_grab_no*
%{_mandir}/man1/tv_grab_no*.1*
%endif

%package grabbers-pt
Summary:	Portugese grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-pt
This package contains the portugese grabbers for xmltv.

%files grabbers-pt
%{_bindir}/tv_grab_pt_vodafone
%{_mandir}/man1/tv_grab_pt_vodafone.1*

%if 0
%package grabbers-re
Summary:	Reunion island grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-re
This package contains the Reunion Island (France) grabbers for xmltv.

%files grabbers-re
%{_bindir}/tv_grab_re*
%{_mandir}/man1/tv_grab_re*.1*
%endif

%package grabbers-zz_sdjson
Summary:	ScheduleDirect.org's SD-JSON service grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers
Obsoletes:	xmltv-grabbers-sd_json < 0.5.69

%description grabbers-zz_sdjson
This package contains ScheduleDirect.org's SD-JSON service grabbers for xmltv.

%files grabbers-zz_sdjson
%{_bindir}/tv_grab_zz_sdjson
%{_bindir}/tv_grab_zz_sdjson_sqlite
%{_mandir}/man1/tv_grab_zz_sdjson.1*
%{_mandir}/man1/tv_grab_zz_sdjson_sqlite.1*

%if 0
%package grabbers-se
Summary:	Swedish grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-se
This package contains the swedish grabbers for xmltv.

%files grabbers-se
%{_bindir}/tv_grab_se*
%{_mandir}/man1/tv_grab_se*.1*
%endif

%if 0
%package grabbers-tr
Summary:	Turkish grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-tr
This package contains the turkish grabbers for xmltv.

%files grabbers-tr
%{_bindir}/tv_grab_tr
%{_mandir}/man1/tv_grab_tr*.1*
%endif

%package grabbers-uk
Summary:	English grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-uk
This package contains the English grabbers for xmltv.

%files grabbers-uk
%{_bindir}/tv_grab_uk*
%{_mandir}/man1/tv_grab_uk*.1*

%if 0
%package grabbers-za
Summary:	South-African grabbers for xmltv
Group:		Video/Television
Provides:	xmltv-grabbers

%description grabbers-za
This package contains the south-african grabbers for xmltv.

%files grabbers-za
%{_bindir}/tv_grab_za*
%{_mandir}/man1/tv_grab_za*.1*
%endif

%package gui
Summary:	Graphical frontends to xmltv
Group:		Video/Television

%description gui
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the back-end (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains graphical frontends to xmltv.

%files gui
%doc choose/tv_check/README.tv_check
%{_bindir}/tv_check
%{_mandir}/man1/tv_check.1*

%package -n tv_to_potatoe
Summary:	Convert XML to the potatoe guide view tool
Group:		Video/Television

%description -n tv_to_potatoe
Convert XML to the potatoe guide view tool.

%files -n tv_to_potatoe
%{_bindir}/tv_to_potatoe
%{_mandir}/man1/tv_to_potatoe.1*

%prep
%autosetup -p1

%build
perl Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} TZ=UTC
%make_build

%install
%make_install

%if %{with check}
%check
make test TZ=UTC LC_ALL=UTF-8
%endif
