%define _disable_ld_no_undefined 1

# Needs waf 2.0
%bcond_with system_waf

%if ! %{with system_waf}
%global __waf ./waf
%endif

Name:           xmms2
Summary:        A modular audio framework and plugin architecture
Version:        0.9.5
Release:        %mkrel 4
License:        LGPLv2+ and GPLv2+ and BSD
Group:          Sound/Players
URL:            http://wiki.xmms2.xmms.se/
Source0:        https://github.com/xmms2/xmms2-devel/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        xmms2-client-launcher.sh
# update ruby config module name, because waf this can't be a patch...
Source2:        xmms2-0.8DrO_o-ruby22.patch
# More sane versioning
Patch5:         xmms2-0.9.5DrPong-moresaneversioning.patch
Patch6:         xmms2-0.9.1DrPong-no-rpath.patch
BuildRequires:      waf
BuildRequires:      pkgconfig(cunit)
BuildRequires:      pkgconfig(sqlite3)
BuildRequires:      pkgconfig(flac)
BuildRequires:      pkgconfig(libofa)
BuildRequires:      pkgconfig(libcdio_cdda)
BuildRequires:      pkgconfig(libdiscid)
BuildRequires:      pkgconfig(smbclient)
BuildRequires:      musepack-devel
BuildRequires:      gnome-vfs2-devel
BuildRequires:      pkgconfig(jack)
BuildRequires:      fftw-devel
BuildRequires:      pkgconfig(samplerate)
BuildRequires:      pkgconfig(libxml-2.0)
BuildRequires:      pkgconfig(alsa)
BuildRequires:      pkgconfig(ao)
BuildRequires:      pkgconfig(shout)
BuildRequires:      pkgconfig(ruby)
BuildRequires:      ruby
BuildRequires:      perl-devel
BuildRequires:      boost-devel
BuildRequires:      pkgconfig(libpulse)
BuildRequires:      pkgconfig(avahi-glib)
BuildRequires:      pkgconfig(libmodplug)
BuildRequires:      pkgconfig(efl)
BuildRequires:      pkgconfig(gamin)
BuildRequires:      pkgconfig(avahi-compat-libdns_sd)
BuildRequires:      doxygen >= 1.6.7.1
BuildRequires:      pkgconfig(libvisual-0.4)
BuildRequires:      pkgconfig(wavpack)
BuildRequires:      pkgconfig(sdl)
BuildRequires:      pkgconfig(glib-2.0)
BuildRequires:      pkgconfig(readline)
BuildRequires:      pkgconfig(ncurses)
BuildRequires:      perl-Pod-Parser
BuildRequires:      pkgconfig(libmms)
BuildRequires:      pkgconfig(mad)
BuildRequires:      pkgconfig(fluidsynth)
BuildRequires:      pkgconfig(libavcodec)
BuildRequires:      pkgconfig(libmpg123)
BuildRequires:      pkgconfig(libsidplay2)
BuildRequires:      pkgconfig(opusfile)
BuildRequires:      pkgconfig(libgme)
BuildRequires:      pkgconfig(libcurl)
BuildRequires:      flex
BuildRequires:      valgrind
BuildRequires:      lcov
%if "%distro_section" == "tainted"
BuildRequires:      pkgconfig(faad2)
%endif

%description
XMMS2 is an audio framework, but it is not a general multimedia player - it 
will not play videos. It has a modular framework and plugin architecture for 
audio processing, visualization and output, but this framework has not been 
designed to support video. Also the client-server design of XMMS2 (and the 
daemon being independent of any graphics output) practically prevents direct 
video output being implemented. It has support for a wide range of audio 
formats, which is expandable via plugins. It includes a basic CLI interface 
to the XMMS2 framework, but most users will want to install a graphical XMMS2 
client (such as gxmms2 or esperanza).

%if "%distro_section" == "tainted"
This package is in the "tainted" section as it is built with FAAC support.
%endif

%package devel
Summary:    Development libraries and headers for XMMS2
Group:      Development/C++
Requires:   glib2-devel, boost-devel
Requires:   %{name} = %{version}-%{release}

%description devel
Development libraries and headers for XMMS2. You probably need this to develop
or build new plugins for XMMS2.

%package docs
Summary:    Development documentation for XMMS2
Group:      Sound/Players
BuildArch:  noarch
Requires:   %{name} >= %{version}-%{release}

%description docs
API documentation for the XMMS2 modular audio framework architecture.

%package perl
Summary:    Perl support for XMMS2
License:    GPL+ or Artistic
Group:      Sound/Players
Requires:   %{name} = %{version}-%{release}

%description perl
Perl bindings for XMMS2.

%package ruby
Summary:    Ruby support for XMMS2
Group:      Sound/Players
Requires:   %{name} = %{version}-%{release}

%description ruby
Ruby bindings for XMMS2.

%prep
%autosetup -p1

%if "%distro_section" != "tainted"
rm -rf src/plugins/mp4
%endif

%build
%global optflags %optflags -Wno-deprecated-declarations -Wno-unused-but-set-variable
%waf \
	--without-optionals=python \
	--with-ruby-libdir=%{ruby_vendorlibdir} \
	--with-ruby-archdir=%{ruby_vendorarchdir} \
	--with-perl-archdir=%{perl_vendorarch} \
	--with-pkgconfigdir=%{_libdir}/pkgconfig
%waf_build -v

# make the docs
doxygen -u
doxygen

%install
%waf_install \
	--with-ruby-libdir=%{ruby_vendorlibdir} \
	--with-ruby-archdir=%{ruby_vendorarchdir} \
	--with-perl-archdir=%{perl_vendorarch} \
	--with-pkgconfigdir=%{_libdir}/pkgconfig

# exec flags for debuginfo
chmod +x %{buildroot}%{_libdir}/%{name}/* %{buildroot}%{_libdir}/libxmmsclient*.so* \
    %{buildroot}%{perl_vendorarch}/auto/Audio/XMMSClient/XMMSClient.so %{buildroot}%{ruby_vendorarchdir}/xmmsclient_*.so

# Convert to utf-8
for i in %{buildroot}%{_mandir}/man1/*.gz; do
    gunzip $i;
done
for i in %{buildroot}%{_mandir}/man1/*.1 xmms2-%{version}.ChangeLog; do
    iconv -o $i.iso88591 -f iso88591 -t utf8 $i
    mv $i.iso88591 $i
done

install -m 0755 %{SOURCE1} %{buildroot}%{_bindir}

%files
%doc AUTHORS xmms2-%{version}.ChangeLog README.mdown
%license COPYING COPYING.GPL COPYING.LGPL
%{_bindir}/%{name}*
%{_bindir}/_xmms2-migrate-collections-v0
%{_bindir}/sqlite2s4
%{_libdir}/libxmmsclient*.so.*
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}*
%{_datadir}/pixmaps/%{name}*
%{_datadir}/%{name}/

%files devel
%{_includedir}/%{name}/
%{_libdir}/libxmmsclient*.so
%{_libdir}/pkgconfig/%{name}-*.pc

%files docs
%doc doc/xmms2/html

%files perl
%{perl_vendorarch}/Audio/
%{perl_vendorarch}/auto/Audio/

%files ruby
%{ruby_vendorarchdir}/xmmsclient*
%{ruby_vendorlibdir}/xmmsclient*
