%define major	1
%define libname	%mklibname morph %{major}
%define devname	%mklibname morph -d

Summary:	An X Window System tool for creating morphed images
Name:		xmorph
Epoch:		2
Version:	20060817
Release:	%mkrel 19
License:	GPLv2+
Group:		Graphics/Editors and Converters
URL:		https://sourceforge.net/projects/xmorph/
Source0:	%{name}_%{version}.tar.gz
Source2:	%{name}-icons.tar.bz2
# (fc) 20060817-1mdv fix build with latest gcc
Patch0:		xmorph-20060817-fixbuild.patch
Patch1:		xmorph-20060817-texinfo.patch
Patch2:		xmorph-20060817-autoreconf.patch
Patch3:		xmorph-dont-override-LDFLAGS.patch
Patch4:		xmorph-20060817-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	texinfo
BuildRequires:	pkgconfig(fftw3)
# for X11/bitmaps/gray:
BuildRequires:	x11-data-bitmaps

%package -n %{libname}
Summary:	Internal library required for xmorph/gtkmorph
Group:		System/Libraries
# Obsolete old wrongly named lib for smooth upgrades
Obsoletes:	%{_lib}morph0 < 2:20060817-5

%package -n %{devname}
Summary:	Headers and libraries required for xmorph/gtkmorph development
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	libmorph-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{_lib}morph0-devel < 2:20060817-5

%description
Xmorph is a digital image warping (aka morphing) program.  Xmorph
provides the tools needed and comprehensible instructions for you to
create morphs: changing one image into another.  Xmorph runs under the
X Window System.

Install the xmorph package if you need a program that will create
morphed images.

%description -n %{libname}
Internal library for xmorph and gtkmorph.

%description -n %{devname}
Development headers and libs for xmorph and gtkmorph.

%prep
%setup -q
%autopatch -p1

#generate info file
rm -rf doc/xmorph.info

# fix build with autoreconf
sed -i -e 's,\(AM_GNU_GETTEXT.*\),\1\nAM_GNU_GETTEXT_REQUIRE_VERSION(\[0.19.8\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

export CFLAGS="%{optflags} -fgnu89-inline"
%configure \
	--disable-static \
	--without-morph \
	--with-gtk=2
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Categories=Graphics;Viewer;
Name=Xmorph
Comment=Morphing software
Exec=gtkmorph
Icon=%{name}
EOF

#mdk icons
install -d %{buildroot}%{_iconsdir}
tar xjvf %{SOURCE2} -C %{buildroot}%{_iconsdir}

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README HISTORY NEWS
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/applications/*.desktop
%{_infodir}/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/%{name}/

%files -n %{libname}
%{_libdir}/libmorph.so.%{major}
%{_libdir}/libmorph.so.%{major}.*

%files -n %{devname}
%doc TODO
%{_libdir}/libmorph.so
%{_prefix}/include/%{name}/
