Name:           xmoto
Version:        0.6.3
Release:        %mkrel 1
Summary:        A challenging 2D motocross platform game
Group:          Games/Arcade
License:        GPLv2+
Url:            https://xmoto.sourceforge.net/
Source0:        https://github.com/xmoto/xmoto/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         xmoto-0.6.3-mga-sysdata.patch
Patch1:         xmoto-0.6.2-desktop-and-icon.patch

BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(ode)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(SDL2_net)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libxdg-basedir)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(zlib)

# Use fonts-ttf-dejavu package rather than included fonts
Requires:       fonts-ttf-dejavu

%description
X-Moto is a challenging 2D motocross platform game, where physics play
an all important role in the gameplay. You need to control your bike
to its limit, if you want to have a chance finishing the more
difficult of the challenges.
First you'll try just to complete the levels, while later you'll
compete with yourself and others, racing against the clock.

%prep
%autosetup -p1

sed -i 's|DESTINATION bin|DESTINATION games|' src/CMakeLists.txt
sed -i 's|share/xmoto|share/games/xmoto|' bin/CMakeLists.txt extra/CMakeLists.txt

%build
%cmake \
        -DPREFER_SYSTEM_BZip2=ON \
        -DPREFER_SYSTEM_Lua=ON \
        -DPREFER_SYSTEM_XDG=ON
%cmake_build

%install
%cmake_install

# Remove included DejaVu fonts and replace with symlinks to fonts-ttf-dejavu packaged fonts
rm -f %{buildroot}%{_gamesdatadir}/%{name}/Textures/Fonts/DejaVu*
ln -sf %{_datadir}/fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_gamesdatadir}/%{name}/Textures/Fonts/DejaVuSans.ttf
ln -sf %{_datadir}/fonts/TTF/dejavu/DejaVuSansMono.ttf %{buildroot}%{_gamesdatadir}/%{name}/Textures/Fonts/DejaVuSansMono.ttf

for png in 128x128 64x64 32x32 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png extra/xmoto.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc ChangeLog README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*
