%define rel	14
%define beta	2
%if %{beta}
%define release %mkrel 0.beta%{beta}.%{rel}
%else
%define release	%mkrel %{rel}
%endif

Name:		xmove
Version:	2.0
Release:	%{release}
Summary:	X11 pseudo-server to dynamically move X11 applications
# These URLs are no longer valid
%if %{beta}
Source0:	ftp://ftp.cs.columbia.edu/pub/xmove/%{name}.%{version}beta%{beta}.tar.bz2
%else
Source0:	ftp://ftp.cs.columbia.edu/pub/xmove/%{name}.%{version}.tar.bz2
%endif
License:	MIT
Group:		System/X11
URL:		ftp://ftp.cs.columbia.edu/pub/xmove/
BuildRequires:	pkgconfig(x11)
BuildRequires:	imake
Patch0:		xmove-2.0-unix-domain.patch
Patch1:		xmove-fix-building-with-gcc14.patch

%description
xmove is a pseudo-server (aka proxy server) which allows you
to dynamically move an X application between servers, and screens
within a server.

%prep
%setup -q -n %{name}
%patch -P 0 -p1 -b .unix-domain
%patch -P 1 -p1 -b .gcc14
chmod 644 doc/*

%build
for i in xmove xmovectrl; do
	cd $i
	ln -sf ../man/man1/$i.1 $i.man
	xmkmf
	%make_build CXXOPTIONS="%optflags" EXTRA_LDOPTIONS="%ldflags" CDEBUGFLAGS="%optflags"
	cd $OLDPWD
done

%install
install -d -m755 $RPM_BUILD_ROOT%{_mandir}/man1/
for i in xmove xmovectrl; do
	cd $i
	%make_install
	cd $OLDPWD
	install -m 644 man/man1/$i.1 $RPM_BUILD_ROOT%{_mandir}/man1/
done

%files
%doc README doc/*
%_bindir/xmove*
%{_mandir}/man1/xmove*



