Name:			xnec2c
Version:		4.4.16
Release:		%mkrel 1
Summary:		GTK based graphical wrapper for nec2c
Group:			Communications/Radio
License:		GPLv2+
URL:			https://github.com/KJ7LNW/xnec2c
Source0:		https://github.com/KJ7LNW/xnec2c/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Patch0:			xnec2c-4.4.12-mga-Zo_max.patch

BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	intltool

Requires:		nec2c

Recommends:		atlas
Recommends:		openblas-serial
Recommends:		openblas-threads
Recommends:		openblas-openmp

%description
xnec2c is a GUI interactive application that (in its current form) reads NEC2
input files but presents output data in graphical form, e.g. as wire frame
drawings of the radiation pattern or near E/H field, graphs of maximum gain,
input impedance, vswr etc against frequency and simple rendering of the antenna
structure, including color code representation of currents or charge densities.

These results are only calculated and drawn on user demand via menu items or
buttons, e.g. xnec2c is interactive and does not execute NEC2 "commands" in
batch style as the original does.

%prep
%autosetup -p1

%build
autoreconf -ivf
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README
%doc doc/NearFieldCalcs.txt doc/NEC2-bug.txt doc/nec2c.txt doc/xnec2c.html
%doc doc/images examples
%{_bindir}/xnec2c
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/xnec2c.svg
%{_datadir}/%{name}/examples/
%{_mandir}/man1/xnec2c.1*
%{_iconsdir}/hicolor/256x256/apps/xnec2c.png
%{_datadir}/mime/packages/x-nec2.xml
