%define soname 20
%define libname %mklibname %{name} %{soname}
%define develname %mklibname %{name} -d

Name:		xneur
Version:	0.20.0
Release:	%mkrel 4
Summary:	X Neural Switcher
License:	GPLv2
Group:		System/X11
URL:		https://www.xneur.ru/
Source0:	https://github.com/AndrewCrewKuznetsov/xneur-devel/blob/master/dists/%{version}/%{name}_%{version}.orig.tar.gz
Patch2:		%{name}-0.16.0-link.patch

BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	aspell-devel
BuildRequires:	xosd-devel
BuildRequires:	gettext-devel
BuildRequires:	intltool

%description
X Neural Switcher.  Automatic switcher of keyboard layout.

%package -n %{develname}
Summary:	Include Files and Libraries
Group:		Development/X11
Requires:	%{libname} = %{version}
Provides:	xneur-devel = %{version}
Provides:	lib%{name}-devel = %{version}

%description -n %{develname}
Development files for the package XNeur.

%package -n %{libname}
Summary:	XNeur Shared Library
Group:		System/Libraries

%description -n %{libname}
Shared libraries for the package XNeur.

%prep
%setup -q
%autopatch -p0

# switch to enchant2
sed -i -e '/PKG_CHECK_MODULES/s,enchant,enchant-2,' configure.ac
sed -i -e 's,<enchant/enchant.h>,<enchant-2/enchant.h>,' lib/lib/xneur.h

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_datadir}/%{name}
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libxn*.so.*
%{_mandir}/man1/*
%{_mandir}/man5/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_iconsdir}/hicolor/*/apps/%{name}.*

%files -n %{libname}
%{_libdir}/libxn*.so.%{soname}
%{_libdir}/libxn*.so.%{soname}.*

%files -n %{develname}
%{_libdir}/*.so
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}
