%define major		2
%define libname		%mklibname %{name} %major
%define develname	%mklibname %{name} -d

Summary:	X On Screen Display, displays XMMS status information
Name:		xosd
Version:	2.2.15
Release:	%mkrel 1
License:	GPLv2
Group:		System/Libraries
URL:		https://github.com/Schlauf/libXosd
# source tarball in github currently broken
Source0:	http://ftp.debian.org/debian/pool/main/x/xosd/%{name}_%{version}.orig.tar.gz
Source1:	http://ldots.org/xosd-guide/xosd-doc-0.01.tar.bz2
Patch0:		xosd-2.2.14-fix-underquoted-calls.patch
# (anssi) drop requirement on gtk+, it is not actually used when the
# xmms plugin is not build
Patch1:		xosd-drop-gtk+.patch
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)

%description
This package contains an programs & plugins to display various things whenever they 
change (volume, track, paused/shuffle/repeat,...) in a TV set's on screen 
display fashion.

%package	tools
Group:		Graphics/Utilities
Summary:	Example applications of the xosd library
Provides:	osd_cat

%description	tools
This package contains sample applications for the xosd library that
can be used to display information in a TV set's on screen display
fashion.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for displaying information in an OSD

%description -n	%{libname}
This package contains the shared library of xosd, it is requires by programs 
that display it's output in a TV set's on screen display fashion.

%package -n	%{develname}
Group:		Development/C
Summary:	Header files for developing programs using libxosd
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
This package contains the header files you need to develop programs based on 
libxosd that display it's output in a TV set's on screen display fashion.

%prep
%autosetup -p1 -a 1

%build
%configure --disable-static
%make_build

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/xosd-config

%ifarch aarch64 %arm
export QA_RPATHS=0x0001
%endif

%files tools
%doc ChangeLog README
%license COPYING
%{_bindir}/display_info
%{_bindir}/osd_cat
%{_mandir}/man1/osd_cat.1*
%{_datadir}/%{name}/

%files -n %{libname}
%license COPYING
%{_libdir}/libxosd.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog README AUTHORS xosd-doc-0.01/html
%multiarch %{multiarch_bindir}/xosd-config
%{_bindir}/xosd-config
%{_mandir}/man1/xosd-config.1*
%{_libdir}/libxosd.so
%{_includedir}/*.h
%{_datadir}/aclocal/libxosd.m4
%{_mandir}/man3/*
