Name:           xosview
Version:        1.24
Release:        %mkrel 1
Summary:        An X Window System utility for monitoring system resources
Group:          Monitoring
License:        GPLv2 and BSD with advertising and (GPLv2 or BSD with advertising)
URL:            https://www.pogo.org.uk/~mark/xosview/
Source0:        https://www.pogo.org.uk/~mark/xosview/releases/%{name}-%{version}.tar.gz
Source2:        %{name}16.png.bz2
Source3:        %{name}32.png.bz2
Source4:        %{name}48.png.bz2
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)

%description
The xosview utility displays a set of bar graphs which show the current
system state, including memory usage, CPU usage, system load, etc.
Xosview runs under the X Window System.

Install the xosview package if you need a graphical tool for monitoring
your system's performance.

%prep
%setup -q
%autopatch -p1

%build
%make_build LDFLAGS="%{ldflags}" OPTFLAGS="%{optflags}"

%install
%make_install PREFIX=%{_prefix}

install -m 755 -d %{buildroot}%{_datadir}/icons/mini
bzcat %SOURCE2 > %{buildroot}%{_datadir}/icons/mini/%{name}.png
install -m 755 -d %{buildroot}%{_datadir}/icons
bzcat %SOURCE3 > %{buildroot}%{_datadir}/icons/%{name}.png
install -m 755 -d %{buildroot}%{_datadir}/icons/large
bzcat %SOURCE4 > %{buildroot}%{_datadir}/icons/large/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Xosview
Comment=System resources monitor for X11
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Monitor;
Keywords=System;Utility;System Monitor;
EOF

%files
%doc README README.linux TODO Xdefaults
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/icons/%{name}.png
%{_datadir}/icons/mini/*
%{_datadir}/icons/large/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
