%global sum	Pen-based journal and PDF annotator

Name:		xournal
Summary:	%{sum}
Version:	0.4.8.2016
Release:	%mkrel 8
Source:		https://downloads.sourceforge.net/project/%{name}/%{name}//%{version}/%{name}-%{version}.tar.gz
Patch0:		xournal-c99-1.patch
Patch1:		xournal-c99-2.patch
URL:		https://xournal.sourceforge.net/
License:	GPLv2
Group:		Office/Utilities
BuildRequires:	imagemagick
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.10.0
BuildRequires: pkgconfig(libgnomecanvas-2.0) >= 2.4.0
BuildRequires: pkgconfig(poppler-glib) >= 0.5.4
BuildRequires: pkgconfig(x11)
# For pdftoppm: see https://forum.mandriva.com/viewtopic.php?t=92135
Requires:	poppler

%description
Xournal is an application for note taking, sketching, keeping a journal using a
stylus.  It is similar to Microsoft Windows Journal or to other alternatives
such as Jarnal, Gournal, and NoteLab.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%makeinstall

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Xournal
Comment=%{sum}
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Office;
MimeType=text/pdf;text/x-pdf;application/pdf;application/x-pdf;application/x-xoj;
EOF

# application/x-xoj mimetype support & mimetype icons
install -D -T %{name}.xml %{buildroot}/%{_datadir}/mime/packages/%{name}.xml
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes
ln -s %{_datadir}/%{name}/pixmaps/xoj.svg %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes/gnome-mime-application-x-xoj.svg
ln -s %{_datadir}/%{name}/pixmaps/xoj.svg %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes/application-x-xoj.svg

# icons
mkdir -p %{buildroot}%{_liconsdir}
convert -size 48x48 pixmaps/%{name}.png %{buildroot}/%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_iconsdir}
convert -size 32x32 pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_miconsdir}
convert -size 16x16 pixmaps/%{name}.png %{buildroot}/%{_miconsdir}/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README html-doc/*
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}
%{_iconsdir}/hicolor/scalable/mimetypes/*x-xoj.svg
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
