# Upstream version
%define upversion    2.1.20

%define major        1
%define libname      %mklibname %{name} %{major}
%define libname_virt lib%{name}
%define develname    %mklibname %{name} -d

Name:           xpa
Version:        2.1.20
Release:        %mkrel 3
Summary:        The XPA messaging system
Group:          System/Networking
License:        LGPLv2+
URL:            https://hea-www.harvard.edu/RD/xpa/
Source0:        https://hea-www.harvard.edu/saord/download/xpa/%{name}-%{upversion}.tar.gz
Patch0:         xpa-2.1.20-makefile.patch
Patch1:         xpa-2.1.15-stdint.h.patch
Patch2:         xpa-2.1.20-pkgindex.patch
BuildRequires:  pkgconfig(tcl)
BuildRequires:  pkgconfig(xt)
BuildRequires:  awk

Requires:       %{libname_virt} = %{version}-%{release}

%description
The XPA messaging system provides seamless communication between many kinds 
of Unix programs, including X programs and Tcl/Tk programs. 
It also provides an easy way for users to communicate with these 
XPA-enabled programs by executing XPA client commands in the shell or by 
utilizing such commands in scripts. Because XPA works both at the programming 
level and the shell level, it is a powerful tool for unifying any 
analysis environment: users and programmers have great flexibility 
in choosing the best level or levels at which to access XPA services, 
and client access can be extended or modified easily at any time.
This package contains command-line utilities for managing XPA.

%package -n %{develname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C
Requires:       %{libname_virt} = %{version}-%{release}
Requires:       %{name}-tcl = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
These are the header files and libraries needed to develop a %{name} 
application.

%package -n %{libname}
Summary:        The XPA messaging system runtime libraries
Group:          Development/C
Provides:       %{libname_virt} = %{version}-%{release}

%description -n %{libname}
The XPA messaging system provides seamless communication between many kinds 
of Unix programs, including X programs and Tcl/Tk programs. 
This package contains the %{name} run-time library

%package tcl
Summary:        The XPA messaging system TCL interface
Group:          System/Networking
Requires:       %{libname_virt} = %{version}-%{release}

%description tcl
The XPA messaging system provides seamless communication between many kinds 
of Unix programs, including X programs and Tcl/Tk programs. 
This package contains the %{name} TCL interface

%prep
%setup -q -n %{name}-%{upversion}
%autopatch -p1
#patch -P 0 -p1 -b .orig
#patch -P 1 -p1 -b .orig

# Remove ps files in html docs
%{__rm} -rf %{_builddir}/%{name}-%{version}/doc/*.ps

%build
%configure \
	--enable-shared --with-tcl=%{_libdir} \
	--with-x --enable-threaded-xpans \
	--libdir=%{tcl_sitearch}/tclxpa
%make_build
%make_build tclxpa

%install
%{__make} INSTALL_ROOT=%{buildroot} install
%{__cp} -a pkgIndex.tcl %{buildroot}%{tcl_sitearch}/tclxpa
%{__mv} %{buildroot}%{tcl_sitearch}/tclxpa/pkgconfig  %{buildroot}%{_libdir}/
%{__mkdir_p} %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo %{tcl_sitearch}/tclxpa > %{buildroot}%{_sysconfdir}/ld.so.conf.d/tclxpa.conf

find %{buildroot}%{_libdir} -name *.a -delete

%files
%doc README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%files -n %{libname}
%doc BUGS
%{_sysconfdir}/ld.so.conf.d/tclxpa.conf
%{tcl_sitearch}/tclxpa/libxpa.so.%{major}{,.*}

%files tcl
%{tcl_sitearch}/tclxpa/libtclxpa.so.%{major}{,.*}
%{tcl_sitearch}/tclxpa/*.tcl

%files -n %{develname}
%doc doc/*.html
%doc doc/*.pdf
%{tcl_sitearch}/tclxpa/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/mann/*
