%define	major 0
%define libname %mklibname xpdf %{major}
%define develname %mklibname xpdf -d

%define urwdir %{_datadir}/fonts/default/Type1
%define x11dir		/usr/X11R6

%define _disable_ld_no_undefined 1

Summary:	A PDF file viewer for the X Window System
Name:		xpdf
Version:	4.05
Release:	%mkrel 1
License:	GPLv2+
URL:		https://www.xpdfreader.com/
Group:		Publishing
Source:		https://dl.xpdfreader.com/%{name}-%{version}.tar.gz
Source1:	icons-%{name}.tar.bz2
Source3:	https://dl.xpdfreader.com/%{name}-chinese-simplified.tar.gz
Source4:	https://dl.xpdfreader.com/%{name}-chinese-traditional.tar.gz
Source5:	https://dl.xpdfreader.com/%{name}-japanese.tar.gz
Source6:	https://dl.xpdfreader.com/%{name}-korean.tar.gz
Source7:	https://dl.xpdfreader.com/%{name}-cyrillic.tar.gz
Source8:	https://dl.xpdfreader.com/%{name}-thai.tar.gz
Source12:	https://dl.xpdfreader.com/%{name}-arabic.tar.gz
Source13:	https://dl.xpdfreader.com/%{name}-greek.tar.gz
Source14:	https://dl.xpdfreader.com/%{name}-hebrew.tar.gz
Source15:	https://dl.xpdfreader.com/%{name}-latin2.tar.gz
Source16:	https://dl.xpdfreader.com/%{name}-turkish.tar.gz

Patch3:		%{name}-4.01-ext.patch
Patch11:	%{name}-4.01-crash.patch
Patch12:	%{name}-4.01-64bit.patch

# Security patches
Patch101:	xpdf-4.02-CVE-2019-12360.patch

# Debian patches
Patch200:	xpdf-4.02-permissions.patch
# Proper stream encoding on 64bit platforms
Patch203:	fix-444648.dpatch

Requires:	urw-fonts
Requires:	xdg-utils
Requires:	poppler
# Lesstif user interface requires these
Requires:	x11-font-adobe-75dpi
Requires:	x11-font-adobe-100dpi
Requires:	%{_lib}qt5svg5
Requires:	%{name}-common >= %{version}-%{release}

BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	freetype2-devel >= 2.1.7
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xft)
BuildRequires:	libpaper-devel
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	pkgconfig(libpng)
BuildRequires:	qt5-devel
BuildRequires:	cmake
BuildRequires:	cups-devel

%description
Xpdf is an X Window System based viewer for Portable Document Format (PDF)
files. PDF files are sometimes called Acrobat files, after Adobe Acrobat
(Adobe's PDF viewer).  Xpdf is a small and efficient program which uses
standard X fonts.

%package	common
Group:		Publishing
Summary:	Common files for xpdf and the applications based on it
Conflicts:	xpdf < 3.02-7

%description	common
Xpdf is an X Window System based viewer for Portable Document Format (PDF)
files. PDF files are sometimes called Acrobat files, after Adobe Acrobat
(Adobe's PDF viewer).  Xpdf is a small and efficient program which uses
standard X fonts.

This package contains common files (such as UnicodeMap and xpdfrc) needed for
xpdf and the applications based on it.

%prep
%setup -q -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 12 -a 13 -a 14 -a 15 -a 16
%autopatch -p1

# Comment out unused urlCommand option
sed -i 's|urlCommand|#urlCommand|g' doc/sample-xpdfrc

%build
find -name "*orig" | xargs rm -f

# This may seem pointless, but in the unlikely event that _sysconfdir != /etc ...
for file in doc/*.1 doc/*.5 xpdf-*/README; do
  sed -i -e 's:/etc/xpdfrc:%{_sysconfdir}/xpdfrc:g' $file
done
# Same action for _datadir.
for file in xpdf-*/README xpdf-*/add-to-xpdfrc; do
  sed -i -e 's:/usr/share/:%{_datadir}/:g' $file
  sed -i -e 's:/usr/local/share/:%{_datadir}/:g' $file
done

export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -Wno-deprecated -fPIC"
%cmake -DMULTITHREADED=ON -DOPI_SUPPORT=ON -DXPDFWIDGET_PRINTING=1 -DSYSTEM_XPDFRC="%{_sysconfdir}/xpdfrc"

%cmake_build

%install
for i in chinese-simplified chinese-traditional cyrillic japanese \
	korean thai greek latin2 turkish hebrew arabic; \
	do
		mkdir -p %{buildroot}%{_datadir}/%{name}/$i
		cp -a xpdf-$i/* %{buildroot}%{_datadir}/%{name}/$i/
	done

%cmake_install

mkdir -p %{buildroot}%{_libdir}
cp -a %{_vpath_builddir}/fofi/libfofi.so* %{buildroot}%{_libdir}
cp -a %{_vpath_builddir}/goo/libgoo.so* %{buildroot}%{_libdir}
cp -a %{_vpath_builddir}/splash/libsplash.so* %{buildroot}%{_libdir}

install -m 755 -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Xpdf
Comment=Views PDF files
Exec=%{_bindir}/%{name} %f
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
MimeType=text/pdf;text/x-pdf;application/pdf;application/x-pdf;
Categories=Office;Viewer;
EOF

# mdk icons
install -d %{buildroot}%{_iconsdir}
tar xjf %{SOURCE1} -C %{buildroot}%{_iconsdir}

# poppler provides all utilities now
rm %{buildroot}%{_bindir}/pdfdetach
rm %{buildroot}%{_bindir}/pdffonts
rm %{buildroot}%{_bindir}/pdfimages
rm %{buildroot}%{_bindir}/pdfinfo
rm %{buildroot}%{_bindir}/pdftohtml
rm %{buildroot}%{_bindir}/pdftops
rm %{buildroot}%{_bindir}/pdftotext
rm %{buildroot}%{_bindir}/pdftoppm
rm %{buildroot}%{_mandir}/man1/pdftoppm.1*
rm %{buildroot}%{_mandir}/man1/pdfdetach.1*
rm %{buildroot}%{_mandir}/man1/pdffonts.1*
rm %{buildroot}%{_mandir}/man1/pdfimages.1*
rm %{buildroot}%{_mandir}/man1/pdfinfo.1*
rm %{buildroot}%{_mandir}/man1/pdftohtml.1*
rm %{buildroot}%{_mandir}/man1/pdftops.1*
rm %{buildroot}%{_mandir}/man1/pdftotext.1*

mkdir -p %{buildroot}%{_sysconfdir}/xpdf/
for i in arabic chinese-simplified chinese-traditional cyrillic greek hebrew japanese korean latin2 thai turkish; do
     mv %{buildroot}%{_datadir}/%{name}/$i/README README.$i
     mv %{buildroot}%{_datadir}/%{name}/$i/add-to-xpdfrc %{buildroot}%{_sysconfdir}/xpdf/add-to-xpdfrc.$i
done

# xpdfrc cleanup
mkdir -p %{buildroot}%{_sysconfdir}/
cp -a doc/sample-xpdfrc %{buildroot}%{_sysconfdir}/xpdfrc
sed -i -e 's:/usr/local/share/:%{_datadir}/:g' %{buildroot}%{_sysconfdir}/xpdfrc

%files
%license COPYING COPYING3
%doc CHANGES README README.*
%{_bindir}/xpdf
%{_bindir}/pdftopng
%{_libdir}/lib*.so
%{_mandir}/man1/pdftopng.1*
%{_mandir}/man1/xpdf.1*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*.*
%{_liconsdir}/*.*
%{_miconsdir}/*.*

%files common
%{_mandir}/man5/*
%config(noreplace) %{_sysconfdir}/xpdfrc
%dir %{_sysconfdir}/%{name}
%lang(ar) %config(noreplace) %{_sysconfdir}/%{name}/add-to-xpdfrc.arabic
%lang(zh_CN) %config(noreplace) %{_sysconfdir}/%{name}/add-to-xpdfrc.chinese-simplified
%lang(zh_TW) %config(noreplace) %{_sysconfdir}/%{name}/add-to-xpdfrc.chinese-traditional
%lang(el) %config(noreplace) %{_sysconfdir}/%{name}/add-to-xpdfrc.greek
%lang(iw) %config(noreplace) %{_sysconfdir}/%{name}/add-to-xpdfrc.hebrew
%lang(ja) %config(noreplace) %{_sysconfdir}/%{name}/add-to-xpdfrc.japanese
%lang(ko) %config(noreplace) %{_sysconfdir}/%{name}/add-to-xpdfrc.korean
%lang(th) %config(noreplace) %{_sysconfdir}/%{name}/add-to-xpdfrc.thai
%lang(tr) %config(noreplace) %{_sysconfdir}/%{name}/add-to-xpdfrc.turkish
# cyrillic and latin2 are not langs, many languages are cyrillic/latin2
%config(noreplace) %{_sysconfdir}/%{name}/add-to-xpdfrc.cyrillic
%config(noreplace) %{_sysconfdir}/%{name}/add-to-xpdfrc.latin2
%dir %{_datadir}/%{name}
%lang(ar) %{_datadir}/%{name}/arabic
%lang(zh_CN) %{_datadir}/%{name}/chinese-simplified
%lang(zh_TW) %{_datadir}/%{name}/chinese-traditional
%lang(el) %{_datadir}/%{name}/greek
%lang(iw) %{_datadir}/%{name}/hebrew
%lang(ja) %{_datadir}/%{name}/japanese
%lang(ko) %{_datadir}/%{name}/korean
%lang(th) %{_datadir}/%{name}/thai
%lang(tr) %{_datadir}/%{name}/turkish
%{_datadir}/%{name}/cyrillic
%{_datadir}/%{name}/latin2
