Name:		xplanet
Version:	1.3.1
Release:	%mkrel 8
Summary:	OpenGL based planet renderer
URL:		https://xplanet.sourceforge.net/
License:	GPLv2+
Group:		Toys
Source0:	https://downloads.sourceforge.net/xplanet/%{name}-%{version}.tar.gz
#fix new api calls to libgif5
Patch0:         xplanet-1.3.1-giflib5.patch
#Fix compilation with GCC 6
Patch1:		xplanet-1.3.1-gcc6.patch

BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(pango)

%description
Xplanet is similar to Xearth, where an image of the earth is rendered into
an X window. Azimuthal, Mercator, Mollweide, orthographic, or rectangular
projections can be displayed as well as a window with a globe the user can
rotate interactively. The other planets and some satellites may also be
displayed. The latest version, as well as maps for other planets can be
found at https://xplanet.sourceforge.net/. Xplanet can support separate
night and day maps, as well as a separate cloud map.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --with-xscreensaver --with-x
%make_build

%install
%make_install


%files
%doc COPYING ChangeLog
%{_mandir}/man1/%{name}.1*
%{_bindir}/*
%{_datadir}/%{name}
