%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           xplc
Version:        0.3.13
Release:        %mkrel 20
License:        LGPLv2+
Group:          System/Libraries
Summary:        Component system
URL:            https://xplc.sourceforge.net/
Source:         https://downloads.sourceforge.net/xplc/%{name}-%{version}.tar.bz2
# Install devel libraries to /usr/lib and not /usr/lib/%%name-%%version
Patch0:         xplc-0.3.13-devel-location.patch
# rename uuidgen to xplc-uuidgen
Patch1:         xplc-0.3.13-uuidgen.patch
Patch2:         xplc-0.3.13-as-needed.patch
Patch3:         xplc-0.3.13-mga-narrowing-conversion.patch
Patch4:         xplc-0.3.13-mga-libdl-link.patch
BuildRequires:  pkgconfig(ext2fs)

%description
XPLC ("Cross-Platform Lightweight Components") is a component system that will
provide extensibility and reusability both inside and between applications, 
while being portable across platforms (and languages) and having the lowest 
possible overhead (both in machine resources and programming effort).

%package uuidgen
Group:          System/Libraries
Summary:        Component system

%description uuidgen
XPLC ("Cross-Platform Lightweight Components") is a component system that will
provide extensibility and reusability both inside and between applications, 
while being portable across platforms (and languages) and having the lowest 
possible overhead (both in machine resources and programming effort). This
packages contains the UUID generation tools that are provided with XPLC. The
'uuidgen' tool is renamed 'xplc-uuidgen' to avoid conflict with the 'uuidgen'
tool in the e2fs-progs package.

%package -n %{libname}
Group:          System/Libraries
Summary:        Component system

%description -n %{libname}
XPLC ("Cross-Platform Lightweight Components") is a component system that will
provide extensibility and reusability both inside and between applications, 
while being portable across platforms (and languages) and having the lowest 
possible overhead (both in machine resources and programming effort).

%package -n %{develname}
Summary:        Development files for XPLC
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
XPLC ("Cross-Platform Lightweight Components") is a component system that will
provide extensibility and reusability both inside and between applications, 
while being portable across platforms (and languages) and having the lowest 
possible overhead (both in machine resources and programming effort). This 
package contains the files needed for developing applications which use 
XPLC.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%check
%make_build tests

%files uuidgen
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%doc NEWS README TODO
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}-%{version}
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
