Summary:	X Printing Panel
Name:		xpp
Version:	1.5
Release:	%mkrel 17
License:	GPL
Group:		Publishing

Source0:		https://cups.sourceforge.net/xpp/%{name}-%{version}cvs.tar.gz
Patch0:		01_old_debian_changes.patch
Patch1:		02_build_system.patch
Patch2:		xpp-new-fltk.patch
Url:		https://cups.sourceforge.net/xpp/
BuildRequires:	libcups-devel 
BuildRequires:	fltk-devel
BuildRequires:	cups 
BuildRequires:	libstdc++-devel
BuildRequires:	libpng-devel 
BuildRequires:	libjpeg-devel
BuildRequires:  libxext-devel

%description
The X Printing Panel (XPP) is a completely free tool for easy choosing of
the desired printer out of a list of all available printers and
for setting printer options by an easy-to-use graphical user interface.
One simply calls the program (xpp) instead of the usual utilities
(lpr or lp) at the command line or out of applications.

%prep
%setup -qn %{name}
%autopatch -p1

%build
autoreconf -fi
%configure

make

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=X Printing Panel
Comment=Frontend for easy printing with CUPS
Exec=%{_bindir}/%{name}
Icon=printing_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Utility;Settings;Printing;
EOF

# Use update-alternatives to make printing with XPP also possible with
# the "lpr" command

( cd $RPM_BUILD_ROOT%{_bindir}
  ln -s xpp lpr-xpp
)

%post
# Set up update-alternatives entry
%{_sbindir}/update-alternatives --install %{_bindir}/lpr lpr %{_bindir}/lpr-xpp 8

%preun
if [ "$1" = 0 ]; then
  # Remove update-alternatives entry
  %{_sbindir}/update-alternatives --remove lpr /usr/bin/lpr-xpp
fi

%files
%doc README LICENSE ChangeLog
%_bindir/*
%{_datadir}/applications/mageia-%{name}.desktop
