Name:           xproperty
Version:        0.12.0
Release:        %mkrel 2
Summary:        Traitlets-like C++ properties and implementation of the observer pattern
Group:          Development/C++
License:        BSD
Url:            https://github.com/jupyter-xeus/xproperty
Source0:        https://github.com/jupyter-xeus/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-doc_fix-compat-with-Sphinx-6.0.patch
# Header-only library.
BuildArch:      noarch

BuildRequires:  binutils
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  cmake(doctest)
BuildRequires:  cmake(GTest) >= 1.8.1
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  python3dist(breathe)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
xproperty is a C++ library providing traitlets-style properties.


%package devel
Summary:        Traitlets-like C++ properties and implementation of the observer pattern
Group:          Development/C++

%description devel
Development files for %{name} library.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation

%description doc
Documentation for %{name}.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS=ON \
       -DCMAKE_INSTALL_LIBDIR=%{_datadir}
%cmake_build

pushd docs
make html SPHINXBUILD=sphinx-build-3
rm build/html/.buildinfo
popd

%install
%cmake_install

%check
make xtest -C build

%files devel
%doc README.md
%license LICENSE
%{_includedir}/xproperty/
%{_datadir}/cmake/xproperty/

%files doc
%doc docs/build/html
