%define mainrel 1
%define date    20210914
%define rel 1

Name:           xqf
Version:        1.0.6.2
Release:        %mkrel %{mainrel}.%{date}.%{rel}
Summary:        Graphical server browser and launcher for popular FPS games
Group:          Games/Shooter
License:        GPLv2+
URL:            https://xqf.github.io
# Snapshot from https://github.com/XQF/xqf
Source0:        %{name}-%{version}+%{date}.tar.xz
Patch0:         xqf-compat-minizip-ng.patch

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  pkgconfig(geoip)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(minizip)
Requires:       qstat

%description
XQF is a server browser and launcher for games using id Tech engines, Unreal
engines and many others (see https://github.com/XQF/xqf/wiki/Supported-games
for details). XQF is a front-end to QStat and uses the GTK+ 2 toolkit.

%prep
%autosetup -p1 -n %{name}-%{version}+%{date}

%build
%cmake -DWITH_QSTAT=qstat-quake
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
