%define gimpplugin 1

Name:		xsane
Version:	0.999
Release:	%mkrel 17
Summary:	Frontend for the SANE scanner interface
Group:		Graphics/Scanning
License:	GPLv2+
URL:		http://www.xsane.org/
Source:		ftp://ftp.sane-project.org/pub/sane/xsane/%{name}-%version.tar.gz
Patch0:		xsane-0.995-xdg-open.patch
Patch1:		xsane-0.995-close-fds.patch
Patch2: 	xsane-0.996-no-eula.patch
Patch3:		xsane-0.997-off-root-build.patch
Patch4:		xsane-0.999-no-file-selected.patch
Patch5:		xsane-0.997-ipv6.patch
Patch6:		xsane-0.998-preview-selection.patch
Patch7:		xsane-0.998-libpng.patch
Patch8:		xsane-0.998-wmclass.patch
Patch9: 	xsane-desktop.patch
Patch10:	xsane-0.999-man-page.patch
Patch11:	xsane-0.999-pdf-no-high-bpp.patch
Patch12:	xsane-0.999-lcms2.patch
Patch13:	xsane-0.999-coverity.patch
Patch14:	xsane-0.999-snprintf-update.patch
Patch15:	xsane-0.999-signal-handling.patch
Patch16:	xsane-configure-implicit-function-declaration.patch

Requires:	libsane >= 1.0.4
# Contains "www-browser" script
Requires:	desktop-common-data
# This is for the drakxtools so that they can install a GUI for scanning
# but decide depending on the system environment which GUI actually to
# install
Provides:       scanner-gui
BuildRequires:	pkgconfig(sane-backends)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	imagemagick
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  libgphoto-devel
BuildRequires:  libv4l-devel
BuildRequires:	gtk+2-devel
%if %{gimpplugin}
BuildRequires:	pkgconfig(gimp-2.0)
BuildRequires:	gtk+3.0-devel
%else
Obsoletes:	xsane-gimp < %{version}-%{release}
%endif
Recommends:	gocr

%description
XSane is an X based interface for the SANE (Scanner Access Now Easy)
library, which provides access to scanners, digital cameras, and other
capture devices.  XSane is written in GTK+ and provides control for
performing the scan and then manipulating the captured image.
%if %{gimpplugin}

You may install xsane-gimp if you want the GIMP plug-in.

%package gimp
Summary: 	GIMP plug-in which provides the SANE scanner interface
Group: 		Graphics/Scanning
Requires: 	sane >= 1.0, %{name} >= %{version}
 
%description gimp
This package provides the regular XSane frontend for the SANE scanner
interface, but it works as a GIMP 2.0 plug-in.  You must have GIMP 2.0 (or
newer) installed to use this package.
%endif

%prep
%setup -q
%patch -P0 -p1 -b .xdg-open
%patch -P1 -p1 -b .close-fds
#%patch -P2 -p1 -b .no-eula
%patch -P3 -p1 -b .off-root-build
%patch -P4 -p1 -b .no-file-selected
%patch -P5 -p1 -b .ipv6
%patch -P6 -p1 -b .preview-selection.patch
%patch -P7 -p1 -b .libpng
%patch -P8 -p1 -b .wmclass
%patch -P9 -p1 -b .desktop-file
%patch -P10 -p1 -b .man-page
%patch -P11 -p1 -b .pdf-no-high-bpp
%patch -P12 -p1 -b .lcms2
%patch -P13 -p1 -b .coverity
%patch -P14 -p1 -b .snprintf-update
%patch -P15 -p1 -b .signal-handling
%patch -P16 -p1 -b .implicit-function-declaration

%build
%configure
%if %{gimpplugin}
%make_build
mv src/xsane src/xsane-gimp

make clean
%endif
%configure --disable-gimp
%make_build

%install
%make_install

%if %{gimpplugin}
install src/xsane-gimp %{buildroot}%{_bindir}
%endif

%find_lang %{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
mv src/xsane-48x48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# dynamic desktop support
%define launchers /etc/dynamic/launchers/scanner
mkdir -p %{buildroot}%{launchers}
cat > %{buildroot}%{launchers}/%{name}.desktop << EOF
[Desktop Entry]
Name=XSane \$device
Comment=XSane
Exec=%{_bindir}/xsane
Terminal=false
Icon=%{name}
Type=Application
EOF

%files -f %{name}.lang
%doc xsane*
%config(noreplace) %{launchers}/%{name}.desktop
%{_bindir}/xsane
%dir %{_datadir}/sane
%{_datadir}/sane/*
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/*

%post
update-alternatives --install %{launchers}/kde.desktop scanner.kde.dynamic %{launchers}/%{name}.desktop 30
update-alternatives --install %{launchers}/gnome.desktop scanner.gnome.dynamic %{launchers}/%{name}.desktop 30

%postun
if [ $1 = 0 ]; then
  update-alternatives --remove scanner.kde.dynamic %{launchers}/%{name}.desktop
  update-alternatives --remove scanner.gnome.dynamic %{launchers}/%{name}.desktop
fi

%if %{gimpplugin}
%files gimp
%doc xsane*
%{_bindir}/xsane-gimp

%post gimp
if [ -d %{_libdir}/gimp ]; then
  GIMPDIR=`ls -d %{_libdir}/gimp/[012]*`
  [ -z "$GIMPDIR" ] && exit 0
  for i in $GIMPDIR;do
  [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
  %__ln_s -f %{_bindir}/xsane-gimp $i/plug-ins/xsane
  done
fi

%postun gimp
if [ $1 = 0 ]; then
  if [ -d %{_libdir}/gimp ]; then
    GIMPDIR=`ls -d %{_libdir}/gimp/[012]*`
        [ -z "$GIMPDIR" ] && exit 0
        for i in $GIMPDIR;do
    [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
    %{__rm} -f $i/plug-ins/xsane
        done
  fi
fi
%endif
