%define plf 0
%define enable_extrusion 1
%define disable_inappropriate 1
# Allow --with[out] <feature> at rpm command line build
%{?_with_plf: %{expand: %%global plf 1}}
%{?_without_plf: %{expand: %%global plf 0}}
%{?_with_extrusion: %{expand: %%global enable_extrusion 1}}
%{?_without_extrusion: %{expand: %%global enable_extrusion 0}}
%{?_with_inappropriate: %{expand: %%global disable_inappropriate 0}}
%{?_without_inappropriate: %{expand: %%global disable_inappropriate 1}}

%if %plf
%define distsuffix plf
%define disable_inappropriate 0
%endif
%if "%distro_section" == "tainted"
%global plf 1
%global disable_inappropriate 0
%endif

Summary:	A set of X Window System screen savers
Name:		xscreensaver
Version:	6.09
Release:	%mkrel 2
License:	BSD
Group:		Graphical desktop/Other
URL:		https://www.jwz.org/xscreensaver/
Source0:	https://www.jwz.org/xscreensaver/%{name}-%{version}.tar.gz
Source1:	xscreensaver-newlogin-wrapper
# (fc) 4.05-3mdk disable openGL hacks by default
Patch2:		xscreensaver-5.09-noGL.patch
# (fc) 4.23-1mdk disable inappropriate stuff (Mdk bug #19866)
Patch4:		xscreensaver-5.00-inappropriate.patch
# Only Themed should be enabled
Patch5:		xscreensaver-6.06-defaultconfig.patch
Patch6:		xscreensaver-6.07-mga-fix-desktop-file-for-lxde.patch
Requires:	xscreensaver-base = %{version}-%{release}
Requires:	xscreensaver-common = %{version}-%{release}
Requires:	fortune-mod
Requires:	mageia-theme-screensaver
Requires:	xdg-utils
Requires:	procps-ng
Requires:	dbus
#BuildRequires:	gdm
BuildRequires:	bc
BuildRequires:	fortune-mod
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(xft)
BuildRequires:	intltool
BuildRequires:	pkgconfig(libsystemd)
%if %enable_extrusion
BuildRequires:	libgle-devel
%endif
BuildRequires:	desktop-file-utils
BuildRequires:	xdg-utils
BuildRequires:	mageia-theme-screensavers

%description
The xscreensaver package contains a variety of screen savers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure.

Install the xscreensaver package if you need screen savers for use with
the X Window System.

%if %plf
This package is in the "tainted" section as it contains copyrighted images.
%endif

%package base
Summary:	A set of screen savers
Group:		Graphical desktop/Other
Requires:	xscreensaver-common = %{version}-%{release}
Conflicts:	xscreensaver < 5.00-2
Requires:	words
Requires:	xwininfo

%description base
Various screen savers used by Xscreensaver.

%package common
Summary:	Utilities used by xscreensaver screen savers
Group:		Graphical desktop/Other
Conflicts:	xscreensaver < 5.00-2
Obsoletes:	xscreensaver-utils < %{version}-%{release}
Provides:	xscreensaver-utils = %{version}-%{release}
Requires:	chbg

%description common
Utilities used by xscreensaver screen savers.

%package gl
Summary:	A set of GL screen savers
Group:		Graphical desktop/Other
Requires:	xscreensaver-common = %{version}-%{release}
Requires(post):	xscreensaver-common = %{version}-%{release}
Requires(postun):	xscreensaver-common = %{version}-%{release}
Requires:	appres

%description gl
The xscreensaver-gl package contains even more screen savers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure. These screen savers require OpenGL or Mesa support.

Install the xscreensaver-gl package if you need more screen savers for
use with the X Window System and you have OpenGL or Mesa installed.

%if %plf
%package matrix
Summary:	The Matrix screen savers
Group:		Graphical desktop/Other
Requires:	xscreensaver-common = %{version}-%{release}

%description matrix
The xscreensaver-matrix package contains two screen savers for
xscreensaver based on the movie The Matrix. It is in the "tainted" section
because there might by copyright problems with the artwork used in this
screen savers.
%endif

%if %enable_extrusion
%package extrusion
Summary:	OpenGL screen saver
Group:		Graphical desktop/Other
Requires:	xscreensaver-common = %{version}-%{release}

%description extrusion
The xscreensaver-extrusion package contains the extrusion
screen savers for your mind-numbing, ambition-eroding, time-wasting,
hypnotized viewing pleasure. This screen saver requires OpenGL or Mesa
support.

This screen saver is in a separate package, because it is the only
application in %{distribution} which requires the GLE extrusion library.
%endif

%prep
%setup -q
%patch -P 2 -p1 -b .noGL
%if %{disable_inappropriate}
%patch -P 4 -p1 -b .inappropriate
%endif

# WARNING this patch must ALWAYS be applied, if it fails, REGENERATE it !!!
%patch -P 5 -p1 -b .defaultconfig

%patch -P 6 -p1 -b .fix-for-lxde

%build
%ifarch %{arm} aarch64
CFLAGS="%optflags -flax-vector-conversions"
export CFLAGS
%endif

mv po/Makefile.in.in po/Makefile.in.in.save
touch config.rpath
autoreconf -vfi
rm -f po/Makefile.in.in
mv po/Makefile.in.in.save po/Makefile.in.in
pushd po
sed -i Makefile.in.in \
	-e "\@^POFILES[ \t]*=@s@^.*@POTFILES\t=$(ls -1 *po | grep -v ca.po | grep -v lt.po | while read f ; do echo -n -e " $f" ; done)@" \
	-e "\@^GMOFILES[ \t]*=@s@^.*@GMOTFILES\t=$(ls -1 *po | grep -v ca.po | grep -v lt.po | while read f ; do echo -n -e " ${f%.po}.gmo" ; done)@" \
	-e "\@^CATALOGS[ \t]*=@s@^.*@CATALOGS\t=$(ls -1 *po | grep -v ca.po | grep -v lt.po | while read f ; do echo -n -e " ${f%.po}.gmo" ; done)@" \
	-e "\@^CATOBJEXT[ \t]*=@s@^.*@CATOBJEXT\t= .gmo@" \
	-e "\@^INSTOBJEXT[ \t]*=@s@^.*@INSTOBJEXT\t= .mo@" \
	-e "\@^MKINSTALLDIRS[ \t]*=@s@^.*@MKINSTALLDIRS\t= install -d@" \
	%{nil}
popd
eval "$(echo '%configure' | sed "s/--disable-dependency-tracking //")" \
    --enable-locking \
    --enable-root-passwd \
    --with-browser=xdg-open \
    --with-dpms-ext \
    --with-xinerama-ext \
    --with-xf86vmode-ext \
    --with-xf86gamma-ext \
    --with-randr-ext \
    --with-login-manager=xscreensaver-newlogin-wrapper \
    --without-shadow \
    --with-pixbuf \
    --with-jpeg \
    --with-png \
    --with-xft \
    --with-xshm-ext \
    --with-xdbe-ext \
    --without-setuid-hacks \
    --with-gtk \
    --without-motif \
    --with-pam \
    --with-gl \
    --with-image-directory="%{_datadir}/mga/screensaver" \
    --without-kerberos \
%if %enable_extrusion
    --with-gle
%else
    --without-gle
%endif

%make_build

%install
rm -rf %{buildroot} gl-extras.files base.files %{name}.lang
mkdir -p %{buildroot}%{_sysconfdir}/X11/app-defaults/
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man6
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
mkdir -p %{buildroot}%{_libexecdir}/xscreensaver

# translate desktop file
intltool-merge -d ./po ./driver/xscreensaver-settings.desktop.in ./driver/xscreensaver-settings.desktop

make install_prefix=%{buildroot} bindir=%{_bindir} \
 KDEDIR=%{_prefix} GNOME_BINDIR=%{_bindir}  GNOME_DATADIR=%{_datadir} \
 mandir=%{_mandir} AD_DIR=%{_sysconfdir}/X11/app-defaults/ \
 gnulocaledir=%{_datadir}/locale install

install -c -m 644 hacks/config/themed.xml %{buildroot}%{_datadir}/xscreensaver/config/themed.xml

install -c -m 0755 %{SOURCE1} %{buildroot}%{_libexecdir}/xscreensaver

cat<<EOF >README.GL
The xscreensaver-gl package contains even more screen savers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure. These screen savers require OpenGL or Mesa support.

Install the xscreensaver-gl package if you need more screen savers for
use with the X Window System and you have OpenGL or Mesa installed.
EOF

%__mkdir_p %{buildroot}%{_datadir}/applications/
%__cp -a driver/*.desktop %{buildroot}%{_datadir}/applications/

desktop-file-install \
  --remove-category="Application" \
  --remove-category="AdvancedSettings" \
  --remove-category="Appearance" \
  --remove-category="Screensaver" \
  --add-category="Settings" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%if 0
#icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
cp %{SOURCE1}  %{buildroot}%{_datadir}/pixmaps
convert -scale 16x16 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
ln -s %{_datadir}/pixmaps/xscreensaver-capplet.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%endif

#remove unpackaged files
rm -f %{buildroot}%{_datadir}/xscreensaver/config/xjack.xml
rm -f %{buildroot}%{_mandir}/man6/xjack.6
rm -f  %{buildroot}%{_libexecdir}/xscreensaver/xjack

%if ! %plf
rm -rf %{buildroot}%{_libexecdir}/xscreensaver/*matrix
rm -rf %{buildroot}%{_mandir}/man6/*matrix*
rm -rf %{buildroot}%{_datadir}/xscreensaver/config/*matrix*
%endif
%if ! %enable_extrusion
rm -f %{buildroot}%{_datadir}/xscreensaver/config/extrusion.xml
rm -f %{buildroot}%{_mandir}/man6/extrusion.6
%endif

# Ship xscreensaver-auth setuid (mga#31539)
chmod 4755 %{buildroot}%{_libexecdir}/xscreensaver/xscreensaver-auth

%find_lang %{name}

# This function prints a list of things that get installed.
# It does this by parsing the output of a dummy run of "make install".
#
list_files() {
  make -s install_prefix=%{buildroot} mandir=%{_mandir}/ \
  bindir=%{_bindir} INSTALL=true "$@"	\
   | sed -n -e 's@.* \(/[^ ]*\)$@\1@p'				\
   | sed    -e "s@^%{buildroot}@@"				\
	    -e "s@/[a-z][a-z]*/\.\./@/@"			\
   | sed    -e 's@\(.*/man/.*\)@\1\*@'				\
   | sed    -e 's@\(.*/app-defaults/\)@%config \1@'		\
	    -e 's@\(.*/pam\.d/\)@%config(missingok) \1@'	\
   | sort
}

# Generate three lists of files for the three packages.
#
dd=%{_builddir}/%{name}-%{version}
( cd hacks/glx ; list_files install > $dd/gl-extras.files)
( cd hacks     ; list_files install > $dd/base.files)

#gw remove the files we don't package:
perl -pi -e "s/.*(themed|xjack|matrix|extrusion).*//" gl-extras.files base.files

%find_lang %{name}

%post gl
sed -i -e 's/\A-\s+GL:/ GL:/' %{_sysconfdir}/X11/app-defaults/XScreenSaver

%postun gl
sed -i -e '/\A\s*GL:/ and print "- $_" or print "$_"' %{_sysconfdir}/X11/app-defaults/XScreenSaver

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/pam.d/xscreensaver
%doc README
%{_mandir}/man1/xscreensaver-command.1*
%{_mandir}/man1/xscreensaver-demo.1*
%{_mandir}/man1/xscreensaver-settings.1*
%{_mandir}/man1/xscreensaver.1*
%attr(755,root,chkpwd) %{_bindir}/xscreensaver
%{_bindir}/xscreensaver-command
%{_bindir}/xscreensaver-demo
%{_bindir}/xscreensaver-settings
%dir %{_datadir}/xscreensaver
%{_datadir}/xscreensaver/xscreensaver.service
%{_datadir}/applications/
%{_datadir}/pixmaps/
%{_datadir}/xscreensaver/config/themed.xml
%{_datadir}/fonts/%{name}/*.ttf

%files common
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/xscreensaver-*
%{_mandir}/man6/xscreensaver-*.6*
%dir %{_datadir}/%{name}/config
%{_datadir}/%{name}/config/README

%files base -f base.files
%exclude %{_datadir}/xscreensaver/config/themed.xml

%files gl -f gl-extras.files
%doc README.GL

%if %enable_extrusion
%files extrusion
%doc README.GL
%{_datadir}/xscreensaver/config/extrusion.xml
%{_mandir}/man6/extrusion.6*
%{_libexecdir}/xscreensaver/extrusion
%endif

%if %plf
%files matrix
%doc README.GL
%{_mandir}/man6/xmatrix.6*
%{_mandir}/man6/glmatrix.6*
%{_datadir}/xscreensaver/config/glmatrix.xml
%{_datadir}/xscreensaver/config/xmatrix.xml
%{_libexecdir}/xscreensaver/xmatrix
%{_libexecdir}/xscreensaver/glmatrix
%endif
