Name:           xsimd
Version:        13.2.0
Release:        %mkrel 1
Summary:        C++ wrappers for SIMD intrinsics
Group:          Development/C++
License:        BSD
URL:            https://xsimd.readthedocs.io/
Source0:        https://github.com/xtensor-stack/xsimd/archive/%{version}/%{name}-%{version}.tar.gz
# Headers only pkg
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  cmake(doctest)
BuildRequires:  cmake(gtest)

%description
SIMD (Single Instruction, Multiple Data) is a feature of
microprocessors that has been available for many years. SIMD
instructions perform a single operation on a batch of values at once
and thus provide a way to significantly accelerate code
execution. However, these instructions differ between microprocessor
vendors and compilers.

xsimd provides a unified means for using these features for library
authors. Namely, it enables the manipulation of batches of numbers
with the same arithmetic operators as for single values. It also
provides an accelerated implementation of common mathematical
functions operating on batches.

%package devel
Summary:        Development files for xsimd
Group:          Development/C++
Provides:       %{name} = %{version}-%{release}

%description devel
SIMD (Single Instruction, Multiple Data) is a feature of
microprocessors that has been available for many years. SIMD
instructions perform a single operation on a batch of values at once
and thus provide a way to significantly accelerate code
execution. However, these instructions differ between microprocessor
vendors and compilers.

xsimd provides a unified means for using these features for library
authors. Namely, it enables the manipulation of batches of numbers
with the same arithmetic operators as for single values. It also
provides accelerated implementation of common mathematical functions
operating on batches.

This package contains the headers needed to compile programs that make
use of xsimd.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS:BOOL=ON \
       -DCMAKE_INSTALL_LIBDIR=%{_datadir}
%cmake_build

%install
%cmake_install

%check
%cmake_build -- xtest

%files devel
%doc README.md
%license LICENSE
%{_includedir}/%{name}/
%{_datadir}/cmake/%{name}/
%{_datadir}/pkgconfig/%{name}.pc
