Summary:        The card game Skat as defined by the official Skat Order
Name:           xskat
Version:        4.0
Release:        %mkrel 21
License:        GPLv2
Group:          Games/Cards
Url:            https://www.xskat.de/xskat.html
Source0:        https://www.gulu.net/xskat/%{name}-%{version}.tar.bz2
Patch1:		xskat-implicit-int.patch
BuildRequires:  pkgconfig(x11)
BuildRequires:  rman
BuildRequires:  gccmakedep
BuildRequires:  imagemagick
BuildRequires:  imake

%description
XSkat lets you play the card game Skat as defined by
the official Skat Order on any Un*x machine running X11.

Features

* Single- and multiplayer mode.
* Playing over LAN or IRC.
* Game lists and logs.
* Three types of scoring.
* English or German text.
* German or French suited cards.
* Different computer strategies.
* Pre-definable card distributions.
* Variations: Ramsch, Bock, Kontra & Re, ...

%prep
%autosetup -p1

%build
%configure --bindir=%{_gamesbindir}
%make_build CDEBUGFLAGS="%{build_cflags}"

%install
mkdir -p %{buildroot}{%{_gamesbindir},%{_mandir}/{man1,de/man1},%{_menudir}}
install xskat %{buildroot}%{_gamesbindir}
install xskat.man %{buildroot}%{_mandir}/man1/xskat.1
install xskat-de.man %{buildroot}%{_mandir}/de/man1/xskat.1

mkdir -p %{buildroot}%{_iconsdir}
convert icon.xbm %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Xskat
Comment=The Skat game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;CardGame;
EOF

%files
%doc README* CHANGE*
%{_gamesbindir}/%{name}
%{_datadir}/applications/mageia*
%{_iconsdir}/%{name}.png
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
