Name:		xsp
Version:	4.7.1
Release:	%mkrel 3
License:	BSD
Summary:	Small Web Server Hosting ASP.NET
Group:		System/Servers
URL:		https://www.mono-project.com/
Source:		https://download.mono-project.com/sources/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	mono-data
BuildRequires:	mono-data-sqlite
BuildRequires:	mono-data-oracle 
BuildRequires:	mono-devel
BuildRequires:	mono-web-devel
BuildRequires:	mono-nunit-devel
BuildRequires:	monodoc-devel
Requires:	mono-core
# Mono only available on these:
ExclusiveArch: %mono_arches


%description
XSP is a standalone web server written in C# that can be used to run ASP.NET 
applications as well as a set of pages, controls and web services that you can 
use to experience ASP.NET.

%package devel
Group:		Development/C#
Summary:	Development files for %name
Requires:	%name = %version-%release

%description devel
Development files for xsp

%prep
%setup -q

sed -i "s#dmcs#mcs#g" configure

%build
%configure --libdir=%{_prefix}/lib --disable-docs
make

%install
make DESTDIR=%{buildroot} install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
test "%{_libdir}" = "%{_prefix}/lib" || mv $RPM_BUILD_ROOT/%{_prefix}/lib/pkgconfig/* $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

# Remove libtool archives and static libs
find %{buildroot} -type f -name "*.la" -delete
find %{buildroot} -type f -name "*.a" -delete

# Remove scripts that are referencing .NET 2.0
for f in asp-state dbsessmgr mod-mono-server fastcgi-mono-server xsp
do
  rm %{buildroot}/%{_bindir}/${f}
  rm %{buildroot}/%{_bindir}/${f}2
done

# remove tests
rm -rf  %{buildroot}/%{_prefix}/lib/xsp/test
   
%files
%doc AUTHORS NEWS README COPYING
%{_bindir}/asp-state4
%{_bindir}/dbsessmgr4
%{_bindir}/mod-mono-server4
%{_bindir}/mono-fpm
%{_bindir}/shim
%{_bindir}/xsp4
%{_bindir}/fastcgi-mono-server4
%{_prefix}/lib/xsp
%{_monogacdir}/Mono.WebServer*/
%{_monogacdir}/fastcgi-mono-server4
%{_monogacdir}/mod-mono-server*/
%{_monogacdir}/mono-fpm
%{_monogacdir}/xsp*/
%{_monodir}/4.?/Mono.WebServer2.dll
%{_monodir}/4.?/fastcgi-mono-server4.exe
%{_monodir}/4.?/mod-mono-server4.exe
%{_monodir}/4.?/mono-fpm.exe
%{_monodir}/4.?/xsp4.exe
%{_prefix}/lib/libfpm_helper.so.0*
%{_mandir}/man1/asp*
%{_mandir}/man1/dbsessmgr*
%{_mandir}/man1/mod-mono-server*
%{_mandir}/man1/xsp*
%{_mandir}/man1/fastcgi-mono-server*

%files devel
%{_libdir}/pkgconfig/xsp*
%{_prefix}/lib/libfpm_helper.so
