Summary: 	Fullscreen gesture and alphabet recognition
Name: 		xstroke
Version: 	0.6.cvs20040921
Release: 	%mkrel 13
Url: 		https://cworth.org/~cworth/papers/xstroke/	
License: 	GPLv2+
Group: 		Accessibility
Source: 	%{name}-%{version}.tar.bz2
Patch0:		xstroke-0.6-link.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	imagemagick

%description
XStroke is a full-screen gesture recognition program for the X Window
System. It captures gestures performed with a pointer device, (such as a
mouse, a stylus, or a pen/tablet), recognizes the gestures and performs
actions based on the gestures. xstroke has been developed on Linux systems,
(i386 and StrongARM), but should be quite portable to any reasonable
system with X.

%prep
%setup -q -n %{name}-0.6
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/%{name}
Name=XStroke
Comment=Fullscreen gesture recognition
Icon=%{name}
Categories=Utility;Accessibility;
EOF

mkdir -p %{buildroot}%{_liconsdir}
convert -size 48x48 %{name}_inactive.xpm %{buildroot}%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}
convert -size 32x32 %{name}_inactive.xpm %{buildroot}%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}%{_miconsdir}
convert -size 16x16 %{name}_inactive.xpm %{buildroot}%{_miconsdir}/%{name}.png

%files
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
