Summary:	This tool permits to execute X-application with sudo
Name:		xsudo
Version:	0.7.0
Release:	%mkrel 3
License:	GPLv3+
Group:		System/Base
Url:		https://sourceforge.net/p/xsudo
Source0:	https://sourceforge.net/p/xsudo/files/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	sudo

%description
This tool allows to run X-application with sudo
(with the same sudo syntax).

%package -n %{name}-sudoers
Summary:	GUI for adding users to /etc/sudoers and for deleting users from /etc/sudoers
Group:		System/Base
Requires:	%{name} = %{version}
Requires:	zenity
Requires:	beesu

%description -n %{name}-sudoers
GUI for adding users to /etc/sudoers and for deleting users from /etc/sudoers.

%prep
%setup -q

%build
# nothing

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}/
install -m 0755 add2sudoers %{buildroot}%{_bindir}/
install -m 0755 rmfromsudoers %{buildroot}%{_bindir}/
install -m 0755 sudoers4user %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 *.desktop %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 *.png %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_datadir}/locale
cp -af i18n/* %{buildroot}%{_datadir}/locale

%find_lang %{name}

%post
A=`cat /etc/sudoers | grep "DISPLAY XAUTHORITY XAUTHLOCALHOSTNAME"`
B=`cat /etc/sudoers | grep "# Defaults requiretty"`
if [ -z "$A" ]
then
  echo "Defaults env_keep += \"DISPLAY XAUTHORITY XAUTHLOCALHOSTNAME\"" >> /etc/sudoers
fi
if [ -z "$B" ]
then
  sed -i '/requiretty/s/^Defaults/# Defaults/g' /etc/sudoers
fi

%files
%{_bindir}/%{name}

%files -n %{name}-sudoers -f %{name}.lang
%{_bindir}/add2sudoers
%{_bindir}/rmfromsudoers
%{_bindir}/sudoers4user
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

