%define xp_version 0.5
Name:          xt-dash
Version:       20051206
Release:       %mkrel 0
Summary:       A fast, free implementation of XSLT in Java 
Group:         Development/Java
License:       BSD, JamesClark
Url:           http://www.blnz.com/xt/
Source0:       http://www.blnz.com/xt/xt-20051206-src.zip
Patch0:        xt-dash-20051206-xp-java5-enum.patch
Patch1:        xt-dash-20051206-build_xml.patch
Patch2:        xt-dash-20051206-TransformerFactoryImpl.patch
Patch3:        xt-dash-20051206-java5.patch
BuildRequires: ant
BuildRequires: jpackage-utils
BuildRequires: servletapi5
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      servletapi5
Requires:      xerces-j2
Requires:      xml-commons-apis
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
XT is an implementation in Java of XSL Transformations. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
Requires:       jpackage-utils

%description javadoc
A fast, free implementation of XSLT in Java 

Javadoc for %{name}.

%package -n xp-dash
Summary:        XP - an XML Parser in Java - Version %{xp_version}
Group:          Development/Java
Requires:       jpackage-utils

%description -n xp-dash
XP - an XML Parser in Java - Version %{xp_version}.

%package -n xp-dash-javadoc
Summary:        Javadoc for xp-dash
Group:          Development/Java
Requires:       jpackage-utils

%description -n xp-dash-javadoc
XP - an XML Parser in Java - Version %{xp_version}.

Javadoc for xp-dash.

%prep
%setup -q -n xt-%{version}
%patch -P 1 -p0
%patch -P 2 -p0
%patch -P 3 -p0

for j in $(find . -name "*.jar"); do
  rm -f $j
done

ln -sf $(build-classpath servletapi5) thirdparty/servlet/servlet-api.jar

%build

export CLASSPATH=$(build-classpath servletapi5 xerces-j2 xml-commons-apis)
pushd thirdparty/xp
  unzip xp.zip
  patch -l -p0 < %{PATCH0}
  mkdir classes
  javac -d classes -source 1.4 -target 1.4 $(find com/ -name "*.java")
  javadoc -d apidocs $(find com/ -name "*.java")
  pushd classes
    jar cf ../xp.jar *
  popd
popd
cp -pr thirdparty/xp/xp.jar lib
CLASSPATH=$CLASSPATH:$PWD/thirdparty/xp/xp.jar
ant -Dunzip.done=true compile javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 lib/xt%{version}.jar %{buildroot}%{_javadir}/xt-dash-%{version}.jar
install -m 644 lib/xp.jar %{buildroot}%{_javadir}/xp-dash-%{xp_version}.jar

(
  cd %{buildroot}%{_javadir}/
  ln -sf xt-dash-%{version}.jar xt-dash.jar
  ln -sf xp-dash-%{xp_version}.jar xp-dash.jar
)

mkdir -p %{buildroot}%{_javadocdir}/xt-dash-%{version}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/xt-dash-%{version}
ln -sf xt-dash-%{version} %{buildroot}%{_javadocdir}/xt-dash

mkdir -p %{buildroot}%{_javadocdir}/xp-dash-%{xp_version}
cp -pr thirdparty/xp/apidocs/* %{buildroot}%{_javadocdir}/xp-dash-%{xp_version}
ln -sf xp-dash-%{xp_version} %{buildroot}%{_javadocdir}/xp-dash

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%{_javadir}/xt-dash-%{version}.jar
%{_javadir}/xt-dash.jar
%doc *.txt index.html

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/xt-dash-%{version}
%{_javadocdir}/xt-dash

%files -n xp-dash
%defattr(-,root,root)
%{_javadir}/xp-dash-%{xp_version}.jar
%{_javadir}/xp-dash.jar
%doc thirdparty/xp/docs/copying.txt thirdparty/xp/docs/index.html

%files -n xp-dash-javadoc
%defattr(-,root,root)
%{_javadocdir}/xp-dash-%{xp_version}
%{_javadocdir}/xp-dash

