Summary:	Standard terminal emulator for the X window system
Name:		xterm
Version:	397
Release:	%mkrel 1
License:	MIT
Group:		Terminals
Url:		https://invisible-island.net/xterm/
# URL with a list of downloads / tarballs:
# https://invisible-island.net/archives/xterm
Source0:	https://invisible-island.net/archives/xterm/%{name}-%{version}.tgz
Source1:	https://invisible-island.net/archives/xterm/%{name}-%{version}.tgz.asc

# from https://www.vim.org/scripts/script.php?script_id=1349, public domain
Source20:	colortest.pl

BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	luit
Requires:	luit

%description
The XTerm program is the standard terminal emulator for the X Window System. It
provides DEC VT102/VT220 and Tektronix 4014 compatible terminals for programs
that can't use the window system directly. If the underlying operating system
supports terminal resizing capabilities (for example, the SIGWINCH signal in
systems derived from 4.3bsd), xterm will use the facilities to notify programs
running in the window whenever it is resized.

The xterm included in this package has support for 256 colors enabled.

%prep
%autosetup -p1

cp %{SOURCE20} .

%build
%configure \
   --disable-full-tgetent \
   --enable-wide-chars \
   --x-includes=%{_includedir}/freetype2 \
   --enable-luit \
   --enable-256-color \
   --with-app-defaults=%{_libdir}/X11/app-defaults \
   --with-icon-theme=hicolor \
   --with-icondir=%{_datadir}/icons

%make_build

%install
make DESTDIR=%{buildroot} install

# NOTE: encodingMode: locale means to follow the charset encoding of the
# locale. A quite complete unicode font is set as the default (instead of the
# very poor "fixed" one). a quick cat is used instead of patching the sources;
# it shoulmd be made the default imho
# locale: true means to use luit to convert locale encoding to unicode
# for display.
# luit support is needed for it to work -- pablo
cat << EOF >> %{buildroot}%{_libdir}/X11/app-defaults/XTerm

*.vt100.font: -misc-fixed-medium-r-normal--15-140-75-75-c-90-iso10646-1
*.vt100.encodingMode: locale
*.locale: true
*.PtyInitialErase: on
*.backarrowKeyIsErase: on
*.allowFontOps: false
*.allowTcapOps: false
*.disallowedWindowOps: 1,2,3,4,5,6,7,8,9,11,13,14,18,19,20,21,GetSelection,SetSelection,SetWinLines,SetXprop
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=XTerm
GenericName=Terminal
GenericName[ru]=Терминал
Comment=Standard terminal emulator for the X window system
Comment[ar]=برنامج سطر الأوامر القياسي لنظام نوافذ إكس
Comment[az]=X Windows sistemi üçün standart terminal emulyator
Comment[bg]=Стандартният терминален емулатор за Х
Comment[bn]=এক্স উইন্ডো সিস্টেমের সাধারণ টার্মিনাল এমুলেটর
Comment[bs]=Standardni simulator terminala za X Window sistem
Comment[ca]=L'emulador estàndard de terminal per al sistema de finestres X
Comment[cs]=Standardní emulátor terminálu pro X Window Systém
Comment[cy]=Efelychydd terfynell safonol ar gyfer System Ffenestr X
Comment[da]=Den almindelige terminalemulator for X vinduessystemet
Comment[de]=Die Standard-Terminal-Emulation des X Window Systems
Comment[el]=Ο προκαθορισμένος εξομοιωτής τερματικού για το Σύστημα Παραθύρων Χ
Comment[es]=El emulador de terminal estándar para el X Window System
Comment[et]=Tavaline terminaliemulaator X Window süsteemi jaoks
Comment[eu]=X Window sistemaren terminal-emulatzaile estandarra
Comment[fa]=شبیه‌ساز پایانه استاندارد در سیستم پنجره X
Comment[fi]=X-ikkunointijärjestelmän oletuspääte-emulaattori
Comment[fr]=L'émulateur de terminal standard du système X Window
Comment[gl]=O emulador de terminal estandar para o Sistema X Window
Comment[he]=אמולטור המסוף הסטנדרטי של מערכת X
Comment[hi]=एक्स विण्डो प्रणाली के लिए मानक टर्मिनल ऐम्यूलेटर
Comment[hu]=Az X ablakrendszer standard terminálemulátora
Comment[id]=Emulator terminal standar untuk Sistem Window X
Comment[is]=Staðlaði skjáhermirinn fyrir X gluggakerfið
Comment[it]=L'emulatore di terminale standard per il sistema X Window
Comment[ja]=X ウィンドウシステムの標準ターミナル
Comment[ko]=X용 표준 터미널 에뮬레이터
Comment[ky]=X Window Системасы үчүн стндарттык терминал эмулятору
Comment[lt]=Standartinis terminalo emuliatorius X Window sistemai
Comment[lv]=Standarta termināļa emulators priekš X logu sistēmas
Comment[mk]=Стандардниот терминал-емулатор за системот „X Window“
Comment[mt]=L-emulatur ta' terminal standard tas-sistema X Windows
Comment[nb]=Standard terminalemulatoren for X
Comment[nl]=De standaard terminal emulator voor het X Window systeem
Comment[nn]=Standard terminalemulator for X
Comment[pl]=Standardowy emulator terminala dla systemu X Window
Comment[pt]=O emulador de terminal padrão para o Sistema de Janelas X
Comment[pt_BR]=Emulador de terminal padrão do Sistema de Janelas X
Comment[ro]=Emulator de terminal standard pentru sistemul X Window
Comment[ru]=Стандартный эмулятор терминала для системы X Window
Comment[sc]=S'emuladori de terminali standard po su X Window System
Comment[sk]=Štandardný emulátor terminálu pre X Window Systém
Comment[sl]=Standardna kozola za X okna
Comment[sq]=Një imitues standard i terminalit për Sistemin X Windows
Comment[sr]=Стандардни емулатор терминала за X Window Систем
Comment[sr@Latn]=Standardni emulator terminala za X Window Sistem
Comment[sv]=Den förvalda terminalemulatorn för X
Comment[ta]=கொடாநிலை முனையம்
Comment[tg]=Намунасози низоммеъёри поёна барои X Системаи Тирезавӣ
Comment[th]=โปรแกรมเทอร์มินัลมาตรฐานบน X Windows
Comment[tl]=And standard terminal emulator (manggagaya terminal) para sa X Window System
Comment[tr]=X Window Sistemi için bir standart Uçbirim Emülasyonu
Comment[uk]=Емулятор стандартного терміналу для системи X Window
Comment[vi]=Trình mô phỏng Terminal chuẩn cho Hệ thống Cửa sổ X
Comment[wa]=Li terminå standård pol sistinme di purneas X
Comment[zh_CN]=X 窗口系统模拟终端
Comment[zh_TW]=X Window 系統的標準終端機模擬器
Exec=%{name} -name Terminal
Icon=xterm-color
Terminal=false
Type=Application
StartupNotify=true
Categories=TerminalEmulator;System;Utility;
EOF

for xpm in *xterm{-color_32x32,-color_48x48,_32x32,_48x48}.xpm; do
	rm -f %{buildroot}%{_datadir}/pixmaps/$xpm
done

%files
%doc ctlseqs.txt colortest.pl
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/X11/app-defaults/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*xterm*.*
%{_datadir}/pixmaps/*.xpm
