Name:           xtl
Version:        0.7.7
Release:        %mkrel 1
License:        BSD
Summary:        QuantStack tools library
Group:          Development/C++
Url:            https://github.com/QuantStack/xtl
Source0:        https://github.com/QuantStack/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
# Header-only library.
BuildArch:      noarch

BuildRequires:  binutils
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(gtest)
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  python3dist(breathe)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  cmake(doctest)

%description
Basic tools (containers, algorithms) used by other QuantStack packages.


%package devel
Summary:        %{summary}
Group:          Development/C++
Provides:       xtl-static = %{version}-%{release}
Requires:       cmake(nlohmann_json)
Requires:       xproperty-devel

%description devel
Development files for %{name} library.

%package doc
Summary:        Documentation files for %{name}
Group:          Documentation
BuildArch:      noarch

%description doc
Documentation files for %{name} library.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS=ON
%cmake_build

pushd docs
make html SPHINXBUILD=sphinx-build-3
rm build/html/.buildinfo
popd


%install
%cmake_install

%check
pushd build
make xtest
popd

%files devel
%doc README.md
%license LICENSE
%{_includedir}/xtl/
%{_datadir}/cmake/xtl/
%{_datadir}/pkgconfig/xtl.pc

%files doc
%doc docs/build/html

