Summary:	X based image viewer for darned near all images
Name:		xv
Version:	5.0.0
Release:	%mkrel 1
License:	Shareware
Group:		Graphics/Viewers
URL:		https://github.com/jasper-software/xv
Source0:	https://github.com/jasper-software/xv/archive/v%{version}/%{name}-%{version}.tar.gz
Source2:	DISTRIBUTE.txt
Source3:	%{name}.desktop
Source6:	%{name}-16.png
Source7:	%{name}-32.png
Source8:	%{name}-48.png

BuildRequires:	cmake
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libwebp)
Requires:	ghostscript

%description
Xv is an image display and manipulation utility for the X Window
System.  Xv can display GIF, JPEG, TIFF, PBM, PPM, X11 bitmap, Utah
Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS RGB, XPM,
Targa, XWD, PostScript(TM) and PM format image files.  Xv is also
capable of image manipulation like cropping, expanding, taking
screenshots, etc.

%prep
%setup -q

# Include permission to distribute
install -m 0644 -p %{SOURCE2} .

%build
%cmake -DCMAKE_INSTALL_SYSCONFDIR:PATH=%{_sysconfdir}
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_datadir}/applications
install %{SOURCE3} %{buildroot}%{_datadir}/applications

mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}

install -m 644 %{SOURCE6} %{buildroot}%_miconsdir/%name.png
install -m 644 %{SOURCE7} %{buildroot}%_iconsdir/%name.png
install -m 644 %{SOURCE8} %{buildroot}%_liconsdir/%name.png

# Add DISTRIBUTE.txt to the docs directory
cp -a DISTRIBUTE.txt %{buildroot}%{_docdir}/xv/

%files
%doc %{_docdir}/xv/
%config(noreplace) %{_sysconfdir}/xv_mgcsfx
%{_bindir}/bggen
%{_bindir}/vdcomp
%{_bindir}/xcmap
%{_bindir}/xv
%{_bindir}/xvpictoppm
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_mandir}/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(pl) %{_mandir}/pl/man1/*
