Name:		xvidcap
Summary:	Screen capture video recorder
Version:	1.1.7
Release:	%mkrel 16
License:	GPLv2+
Group:		Video/Editors and Converters
URL:		https://xvidcap.sourceforge.net/
Source:		https://downloads.sourceforge.net/xvidcap/%{name}-%{version}.tar.gz
Patch0:		xvidcap-1.1.5-mdv-docbook.patch
Patch1:		xvidcap-1.1.7-mdv-fix-headers.patch
Patch2:		xvidcap-1.1.5-mdv-nawk.patch
Patch3:		xvidcap-1.1.7-mdv-desktop-entry.patch
Patch4:		xvidcap-1.1.7-mdv-ffmpeg-options.patch
Patch5:		xvidcap-1.1.7-mga-glib-disable_single_includes.patch
Patch6:		xvidcap-1.1.7-mga-undefined-references.patch
Patch7:		xvidcap-1.1.7-mga-external_ffmpeg.patch
Patch8:		xvidcap-1.1.7-mga-ffmpeg0.11.patch
Patch9:		xvidcap-1.1.7-automake-1.13.patch
BuildRequires:	gnome-doc-utils
BuildRequires:	docbook-utils
BuildRequires:	xmlto
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	scrollkeeper
BuildRequires:	intltool
BuildRequires:	ffmpeg-devel
BuildRequires:	lame-devel
Requires:	mplayer
Requires:	mencoder
Requires:	ffmpeg
Requires:	imagemagick

%description
xvidcap is a screen capture enabling you to capture videos off your X-Window
desktop for illustration or documentation purposes. It is intended to be a
standards-based alternative to tools like Lotus ScreenCam.

%prep
%setup -q
%patch -P 0 -p0 -b .docbook
%patch -P 1 -p1
%patch -P 2 -p0 -b .fixawk
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1
%patch -P 7 -p1
#patch -P 8 -p0
%patch -P 9 -p0

# don't use bot intltool and gettext
sed -i -e '/INTLTOOL/d' configure.in

%build
# fix build on aarch64
autoreconf -vfi

%configure --enable-libtheora \
           --enable-libmp3lame \
           --without-forced-embedded-ffmpeg
%make_build

%install
%make_install

chmod 755 %{buildroot}%{_datadir}/%{name}/ppm2mpeg.sh
ln -s %{_datadir}/%{name}/ppm2mpeg.sh %{buildroot}%{_bindir}/ppm2mpeg.sh

rm -fr %{buildroot}%{_docdir}

%find_lang %{name} --all-name --with-gnome --with-man

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_bindir}/%{name}
%{_bindir}/xvidcap-dbus-client
%{_bindir}/ppm2mpeg.sh
%{_datadir}/dbus-1/services/net.jarre_de_the.Xvidcap.service
%{_datadir}/applications/xvidcap.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/*
