%define _name   xviewer
Name:           xviewer-plugins
Version:        3.4.0
Release:        %mkrel 2
Summary:        A collection of plugins for xviewer
License:        GPL-2.0+
Group:          Graphics/Viewers
Url:            https://github.com/linuxmint/xviewer-plugins
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        xviewer-plugins.txt
BuildRequires:  gnome-common
BuildRequires:  meson
BuildRequires:  python3 >= 3.2
BuildRequires:  pkgconfig(champlain-gtk-0.12) >= 0.9.0
BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 1.1.2
BuildRequires:  pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.3.8
BuildRequires:  pkgconfig(libexif) >= 0.6.16
BuildRequires:  pkgconfig(libgdata)
BuildRequires:  pkgconfig(libpeas-1.0)
BuildRequires:  pkgconfig(xviewer)
BuildRequires:  pkgconfig(glib-2.0)
Requires:       %{_name}
Suggests:       %{_name}-plugin-exif-display
Suggests:       %{_name}-plugin-exif-export-to-folder
Suggests:       %{_name}-plugin-exif-map
Suggests:       %{_name}-plugin-exif-postasa
Suggests:       %{_name}-plugin-exif-pythonconsole
Suggests:       %{_name}-plugin-exif-send-by-mail
Suggests:       %{_name}-plugin-exif-slideshowshuffle
Enhances:       %{_name}
Patch0: meson.libdir.patch

# postr no more available in Mageia
Obsoletes:      xviewer-plugin-postr <= %{version}
Obsoletes:      %{_name}-plugin-exif-fit-to-width <= 3.4.0
Obsoletes:      %{_name}-plugin-exif-light-theme  <= 3.4.0

%description
This package contains plugins for additional features in xviewer.

%package -n %{name}-data
Summary:        Common data for xviewer-plugins
Group:          Graphics/Viewers
Requires:       %{_name}
BuildArch:      noarch

%description -n %{name}-data
Common data required by all xviewer plugins.

%package -n %{_name}-plugin-exif-display
Summary:        Xviewer exif-display plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/exif-display.plugin

%description -n %{_name}-plugin-exif-display
xviewer exif display plugin.

%package -n %{_name}-plugin-export-to-folder
Summary:        Xviewer export to directory plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/export-to-folder.plugin

%description -n %{_name}-plugin-export-to-folder
xviewer export to directory plugin.

%package -n %{_name}-plugin-map
Summary:        Xviewer map plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/map.plugin

%description -n %{_name}-plugin-map
xviewer map plugin.

%package -n %{_name}-plugin-postasa
Summary:        Xviewer postasa plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/postasa.plugin

%description -n %{_name}-plugin-postasa
xviewer postasa plugin.

%package -n %{_name}-plugin-pythonconsole
Summary:        Xviewer pythonconsole plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/pythonconsole.plugin

%description -n %{_name}-plugin-pythonconsole
xviewer python console plugin.

%package -n %{_name}-plugin-send-by-mail
Summary:        Xviewer send-by-mail plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/send-by-mail.plugin

%description -n %{_name}-plugin-send-by-mail
xviewer Send by Mail plugin.

%package -n %{_name}-plugin-slideshowshuffle
Summary:        Xviewer slideshowshuffle plugin
Group:          Graphics/Viewers
Requires:       %{name}-data = %{version}
Provides:       %{_name}-plugins:%{_libdir}/%{_name}/plugins/slideshowshuffle.plugin

%description -n %{_name}-plugin-slideshowshuffle
xviewer slideshowshuffle plugin.

%lang_package

%prep
%autosetup -p1
cp -f %{SOURCE1} .

%build
%meson
%meson_build 

%install
%meson_install
%find_lang %{name}

find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc %{_name}-plugins.txt

%files -n %{name}-data
%doc COPYING
%dir %{_datadir}/%{_name}/plugins/

%files -n %{_name}-plugin-exif-display
%dir %{_datadir}/metainfo/
%{_datadir}/metainfo/%{_name}-exif-display.metainfo.xml
%{_libdir}/%{_name}/plugins/exif-display.plugin
%{_datadir}/glib-2.0/schemas/org.x.viewer.plugins.exif-display.gschema.xml
%{_libdir}/%{_name}/plugins/libexif-display.so

%files -n %{_name}-plugin-export-to-folder
%dir %{_datadir}/metainfo/
%{_datadir}/metainfo/%{_name}-export-to-folder.metainfo.xml
%{_libdir}/%{_name}/plugins/export-to-folder.plugin
%{_datadir}/%{_name}/plugins/export-to-folder/
%{_datadir}/glib-2.0/schemas/org.x.viewer.plugins.export-to-folder.gschema.xml
%{_libdir}/%{_name}/plugins/export-to-folder.py*

%files -n %{_name}-plugin-map
%dir %{_datadir}/metainfo/
%{_datadir}/metainfo/%{_name}-map.metainfo.xml
%{_libdir}/%{_name}/plugins/map.plugin
%{_libdir}/%{_name}/plugins/libmap.so

%files -n %{_name}-plugin-postasa
%dir %{_datadir}/metainfo/
%{_datadir}/metainfo/%{_name}-postasa.metainfo.xml
%{_libdir}/%{_name}/plugins/postasa.plugin
%{_libdir}/%{_name}/plugins/libpostasa.so

%files -n %{_name}-plugin-pythonconsole
%dir %{_datadir}/metainfo/
%{_datadir}/metainfo/%{_name}-pythonconsole.metainfo.xml
%{_libdir}/%{_name}/plugins/pythonconsole.plugin
%{_libdir}/%{_name}/plugins/pythonconsole/
%{_datadir}/glib-2.0/schemas/org.x.viewer.plugins.pythonconsole.gschema.xml
%{_datadir}/%{_name}/plugins/pythonconsole/

%files -n %{_name}-plugin-send-by-mail
%dir %{_datadir}/metainfo/
%{_datadir}/metainfo/%{_name}-send-by-mail.metainfo.xml
%{_libdir}/%{_name}/plugins/send-by-mail.plugin
%{_libdir}/%{_name}/plugins/libsend-by-mail.so

%files -n %{_name}-plugin-slideshowshuffle
%dir %{_datadir}/metainfo/
%{_datadir}/metainfo/%{_name}-slideshowshuffle.metainfo.xml
%{_libdir}/%{_name}/plugins/slideshowshuffle.plugin
%{_libdir}/%{_name}/plugins/slideshowshuffle.py*
