Name:           xvkbd
Summary:        Virtual (on-screen) keyboard for X
Version:        4.1
Release:        %mkrel 3
Source:         http://t-sato.in.coocan.jp/%{name}/%{name}-%{version}.tar.gz
URL:            http://t-sato.in.coocan.jp/xvkbd/index.html
License:        GPLv2+
Group:          System/X11

Buildrequires:  imagemagick
Buildrequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xaw3d)

%description
xvkbd is a virtual (graphical) keyboard program for X Window System which
provides facility to enter characters onto other clients (software) by
clicking on a keyboard displayed on the screen. This may be used for systems
without a hardware keyboard such as kiosk terminals or handheld devices.

This program also has facility to send characters specified as the command
line option to another client, which can help when one wants to fully utilize
some modern mice with multiple buttons.

%prep
%setup -q

%build
perl -pl -i -E 's/\s+//g if /^InstallNonExec.*words\.english/' Imakefile
xmkmf
%make_build CDEBUGFLAGS="%optflags" SHLIBGLOBALSFLAGS="%ldflags" EXTRA_LDOPTIONS="%ldflags"

%install
mkdir -p %{buildroot}/%{_datadir}/X11
%make_install install.man
rm -f %{buildroot}/%_prefix/lib/X11/app-defaults

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=Virtual Keyboard
Comment=On-screen keyboard for X
Exec=%{_bindir}/%{name} -secure
Icon=%{name}
Terminal=false
Type=Application
Categories=GNOME;GTK;Utility;Accessibility;
EOF

#icons
mkdir -p %{buildroot}%_liconsdir
convert -size 48x48 xvkbd_icon.xbm %{buildroot}%_liconsdir/%name.png
mkdir -p %{buildroot}%_iconsdir
convert -size 32x32 xvkbd.xbm %{buildroot}%_iconsdir/%name.png
mkdir -p %{buildroot}%_miconsdir
convert -size 16x16 xvkbd.xbm %{buildroot}%_miconsdir/%name.png

%files
%doc README
%_prefix/bin/*
%{_datadir}/X11/app-defaults/*
%{_mandir}/man1/*
%{_datadir}/X11
%{_datadir}/applications
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
