%define major           2
%define libname         %mklibname xwidgets %{major}
%define develname       %mklibname xwidgets -d

Name:           xwidgets
Version:        0.29.0
Release:        %mkrel 2
Summary:        C++ back-end for Jupyter interactive widgets
Group:          System/Libraries
License:        BSD
URL:            https://github.com/jupyter-xeus/xwidgets
Source0:        https://github.com/jupyter-xeus/xwidgets/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake(xeus)
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  cmake(xtl)
BuildRequires:  cmake(xproperty)
BuildRequires:  cmake(cppzmq)
BuildRequires:  cmake(xeus-zmq)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  doxygen
BuildRequires:  gcc-c++

%description
xwidgets is a C++ implementation of the Jupyter interactive widgets protocol.
The Python reference implementation is available in the ipywidgets project

%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
xwidgets is a C++ implementation of the Jupyter interactive widgets protocol.
The Python reference implementation is available in the ipywidgets project

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       cmake(xtl)

%description -n %{develname}
Development files for %{name} library.

%prep
%autosetup -p1

%build
%cmake -DDISABLE_ARCH_NATIVE=1 \
       -DXWIDGETS_BUILD_STATIC_LIBS=OFF
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libxwidgets.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/xwidgets/
%{_libdir}/cmake/xwidgets/
%{_libdir}/libxwidgets.so
