%define major		2
%define libname		%mklibname %{name} %{major}
%define devellibname	%mklibname -d %{name}

Name:       xwiimote
Version:    2
Release:    %mkrel 12
Summary:    Linux X11 WiiMote Tools
Group:      System/X11
License:    MIT-like
URL:        https://github.com/dvdhrm/xwiimote
Source:     https://github.com/dvdhrm/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz

Requires:   %{libname} == %{version}-%{release}

BuildRequires: pkgconfig(udev)
BuildRequires: pkgconfig(ncursesw)
BuildRequires: doxygen

%description
xwiimote is a WiiMote Driver for X.


%package -n %{libname}
Summary:    X11 WiiMote library
Group:      System/Libraries
Recommends:   x11-driver-input-xwiimote

%description -n %{libname}
Library for xwiimote.

xwiimote is a WiiMote Driver for X.


%package -n %{devellibname}
Summary:    X11 WiiMote development library
Group:      Development/X11
Requires:   %{libname} == %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devellibname}
Development Library package for xwiimote.

xwiimote is a WiiMote Driver for X.


%prep
%setup -q
%autopatch -p1

sed -i -e 's,NCURSES,NCURSESW,g' configure.ac Makefile.am
sed -i -e 's,ncurses,ncursesw,g' configure.ac

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

# blacklist X11 rules
install -d -m 775 %{buildroot}%{_datadir}/X11/xorg.conf.d/
install -m 664 res/50-xorg-fix-xwiimote.conf %{buildroot}%{_datadir}/X11/xorg.conf.d/

# install xwiidump
install -m 775 xwiidump %{buildroot}%{_bindir}/

# clean up
find %{buildroot} -name "*.la" -delete

%files
%doc README
%doc %_datadir/doc/xwiimote
%{_bindir}/xwiishow
%{_bindir}/xwiidump
%{_mandir}/man1/xwiishow.*

%files -n %{libname}
%{_libdir}/libxwiimote.so.%{major}{,.*}
%{_datadir}/X11/xorg.conf.d/50-xorg-fix-xwiimote.conf

%files -n %{devellibname}
%{_includedir}/xwiimote.h
%{_libdir}/libxwiimote.so
%{_libdir}/pkgconfig/libxwiimote.pc
%{_mandir}/man7/xwiimote.*
%{_mandir}/man7/libxwiimote.*
