Name:		xwpick
Summary:	A X Window System screenshot grabber
Version:	2.20
Release:	%mkrel 29
License:	MIT
Group:		Graphics/Utilities
BuildRequires:	imake
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
# This URL is no longer available
Source0:	ftp://ftp.x.org/contrib/applications/%{name}-%{version}.tar.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
Patch1:		xwpick-gcc14.patch

%description
The xwpick program allows you to choose an image or a rectangular piece
of an image from an X Window System window and then write the image to
a file in a variety of formats, including PostScript(TM), GIF, and PICT.


%prep
%autosetup -p1

%build
xmkmf
perl -pi -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = %{build_cxxflags}|" Makefile
perl -pi -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = %{build_cxxflags}|" Makefile
perl -pi -e "s|LOCAL_LDFLAGS = .*|LOCAL_LDFLAGS = %{build_ldflags}|" Makefile
%make_build

%install
%make_install install.man

# icons
install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# Menu entry

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=Xwpick
Comment=Screenshot grabber
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;2DGraphics;
EOF

%files
%{_bindir}/%{name}
%{_mandir}/man1/xwpick.1*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/mageia-%{name}.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
