%global major		0
%global libname		%mklibname %{name} %{major}
%global develname	%mklibname %{name} -d

Name:		xxhash
Version:	0.8.3
Release:	%mkrel 1
Summary:	Extremely fast hash algorithm
Group:		Development/C

#		The source for the library (xxhash.c and xxhash.h) is BSD
#		The source for the command line tool (xxhsum.c) is GPLv2+
License:	BSD and GPLv2+
URL:		https://www.xxhash.com/
Source0:	https://github.com/Cyan4973/xxHash/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	gcc

%description
xxHash is an Extremely fast Hash algorithm, running at RAM speed
limits. It successfully completes the SMHasher test suite which
evaluates collision, dispersion and randomness qualities of hash
functions. Code is highly portable, and hashes are identical on all
platforms (little / big endian).

%package -n %libname
Summary:	Extremely fast hash algorithm - library
License:	BSD

%description -n %libname
xxHash is an Extremely fast Hash algorithm, running at RAM speed
limits. It successfully completes the SMHasher test suite which
evaluates collision, dispersion and randomness qualities of hash
functions. Code is highly portable, and hashes are identical on all
platforms (little / big endian).

%package -n %develname
Summary:	Extremely fast hash algorithm - development files
License:	BSD
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
Development files for the xxhash library.

%prep
%setup -q -n xxHash-%{version}

%build
# Enable runtime detection of sse2/avx2/avx512 on intel architectures
%ifarch %{ix86} x86_64
%global dispatch 1
# Some distribution variants build with -march=x86-64-v3.
# See xxh_x86dispatch.c.
%global moreflags_dispatch -DXXH_X86DISPATCH_ALLOW_AVX
%else
%global dispatch 0
%global moreflags_dispatch %{nil}
%endif

%set_build_flags
%make_build MOREFLAGS="%{__global_cflags} %{?__global_ldflags} %{moreflags_dispatch}" \
            LIBXXH_DISPATCH=%{dispatch}

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir} LIBXXH_DISPATCH=%{dispatch}

rm %{buildroot}%{_libdir}/libxxhash.a

%check
make check
make test-xxhsum-c

%files
%{_bindir}/xxh*sum
%{_mandir}/man1/xxh*sum.1*
%license LICENSE
%doc README.md

%files -n %libname
%{_libdir}/libxxhash.so.%{major}{,.*}
%license LICENSE
%doc README.md

%files -n %develname
%{_includedir}/xxhash.h
%{_includedir}/xxh3.h
%if 0%{?dispatch}
%{_includedir}/xxh_x86dispatch.h
%endif
%{_libdir}/libxxhash.so
%{_libdir}/pkgconfig/libxxhash.pc
