%global oname	XyGrib

Name:		xygrib
Version:	1.2.6.1
Release:	%mkrel 3
Summary:	Weather data visualization, GRIB file viewer
License:	GPLv3
Group:		Sciences/Geosciences
Url:		https://opengribs.org/en/xygrib
Source0:	https://github.com/opengribs/XyGrib/archive/v%{version}/XyGrib-%{version}.tar.gz
Patch1:		0001-Make-finding-version-specific-include-dirs-for-openj.patch
Patch2:		0002-Don-t-install-cmake-files-in-the-translation-directo.patch
Patch3:		0003-Fix-installation-on-linux-like-systems.patch
Patch4:		0004-Fix-installation-of-data-on-linux-like-systems.patch
Patch5:		0001-Don-t-set-CMAKE_CXX_FLAGS-for-compile-options.patch
Patch10:	0001-Lib-Proj-enable-deprecates-API.patch
Patch11:	0001-port-to-PROJ-8.0-API.patch
Patch12:	0002-Use-new-libproj-API-if-available.patch

Patch100:	0001-Find-OpenJPEG-2.4.patch
Patch101:	0001-Add-missing-QPainterPath-include.patch
Patch102:	0001-Use-system-g2clib.patch
Patch103:	0001-Use-system-Liberation-TTF-fonts.patch

BuildRequires:	cmake
BuildRequires:  git-core
BuildRequires:  imagemagick
BuildRequires:	ninja
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5PrintSupport)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5Xml)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(proj)
BuildRequires:  pkgconfig(libopenjpeg1)
BuildRequires:	bzip2-devel
BuildRequires:	libnova-devel
BuildRequires:	g2clib-devel

Provides:	zygrib = 8.0.1-10%{?dist}
Obsoletes:	zygrib < 8.0.1-10
Obsoletes:	zygrib-maps-high < 8.0.1-10

Requires:	proj
Requires:	fonts-ttf-liberation

%description
XyGrib is a Grib file reader and visualizes meteorological data providing an
off-line capability to analyse weather forecasts or hindcasts.

It is intended to be used as a capable weather work station for anyone with a
serious interest in examining weather. This would include members of the
sailing community, private and sport aviators, farmers, weather buffs and many
more.

XyGrib is the continuation of the zyGrib software package with a new team of
volunteers.

%prep
%autosetup -n XyGrib-%{version} -Sgit_am

# Use system g2clib
rm -rf src/g2clib-*/

# Use system liberation fonts
rm -rf data/fonts

%build
%cmake_qt5 -GNinja
%cmake_build

%install
%cmake_install

# use system fonts
rm -rf %{buildroot}%{_datadir}/openGribs/XyGrib/data/fonts/

# desktop file
install -d -m755 %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=%{oname}
GenericName=GRIB file viewer
Comment=Meterological file viewer
Exec=%{oname}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Science;Geoscience;
EOF

# icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{24x24,32x32}/apps
convert 'data/img/xyGrib_32.ico[0]' %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert 'data/img/xyGrib_32.ico[1]' %{buildroot}%{_iconsdir}/hicolor/24x24/apps/%{name}.png

%files
%{_bindir}/%{oname}
%dir %{_datadir}/openGribs/
%dir %{_datadir}/openGribs/XyGrib/
%{_datadir}/openGribs/XyGrib/data/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
