%global debug_package %{nil}

%define name yabinero
%define version 1.68.0
%define release %mkrel 1

Summary: Yet Another Binero Puzzle

Name: %{name}
Version: %{version}
Release: %{release}
Source0: https://github.com/nsalguero/%{name}/archive/v%{version}.tar.gz
# ex: tar xzf v1.0.0.tar.gz; cd yabinero-1.0.0; cargo vendor; tar cvJf ../yabinero-cargo-vendor-1.0.0.tar.xz vendor/
Source1: %{name}-cargo-vendor-%{version}.tar.xz

License: GPLv3+
Group: Games/Puzzles
Url: https://github.com/nsalguero/%{name}

BuildRequires: desktop-file-utils
BuildRequires: cargo
BuildRequires: cmake
BuildRequires: gettext
BuildRequires: git
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xft)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(libbsd)
BuildRequires: pkgconfig(liblzma)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(bzip2)
BuildRequires: pkgconfig(pango)

%description
This software can generate and solve binero puzzles.

The icon was created by the author of this game using GIMP.  The other icons
come from Openclipart.

The two ogg files come from the conversion of WAVE files that come from K3B.

%prep
%autosetup -p1

%__mkdir_p .cargo
cat > .cargo/config << "EOF"
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"
EOF
tar xf %{S:1}

%build
cargo build --release

cat > %{name}-wrapper << "EOF"
#!/bin/sh
cd %{_datadir}/games/%{name}
exec ./%{name}
EOF

cat > %{name}.desktop << "EOF"
[Desktop Entry]
Encoding=UTF-8
Name=Binero Game
Name[fr]=Jeu de Binero
Comment=Yet Another Binero Game
Comment[fr]=Encore Un Jeu de Binero
Exec=%{_prefix}/games/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF

%install
mkdir -p %{buildroot}/%{_datadir}/games/%{name}
install -m 0755 target/release/%{name} %{buildroot}/%{_datadir}/games/%{name}

install -m 0644 LICENSE %{buildroot}/%{_datadir}/games/%{name}

mkdir -p %{buildroot}/%{_datadir}/games/%{name}/icons
install -m 0644 icons/* %{buildroot}/%{_datadir}/games/%{name}/icons

mkdir -p %{buildroot}/%{_datadir}/games/%{name}/locale/fr/LC_MESSAGES
install -m 0644 locale/fr/LC_MESSAGES/%{name}.mo %{buildroot}/%{_datadir}/games/%{name}/locale/fr/LC_MESSAGES

mkdir -p %{buildroot}/%{_datadir}/games/%{name}/sounds
install -m 0644 sounds/*.ogg %{buildroot}/%{_datadir}/games/%{name}/sounds

mkdir -p %{buildroot}/%{_iconsdir}
install -m 0644 icons/icon.png %{buildroot}/%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_prefix}/games
install -m 0755 %{name}-wrapper %{buildroot}/%{_prefix}/games/%{name}

desktop-file-install --vendor="" \
                     --dir=%{buildroot}/%{_datadir}/applications/ \
                     %{name}.desktop

%files
%doc README.md
%license LICENSE

%{_datadir}/games/%{name}/%{name}
%{_datadir}/games/%{name}/LICENSE
%{_datadir}/games/%{name}/icons/icon.png
%{_datadir}/games/%{name}/icons/*.svg
%{_datadir}/games/%{name}/locale/fr/LC_MESSAGES/%{name}.mo
%{_datadir}/games/%{name}/sounds/*.ogg

%{_iconsdir}/%{name}.png

%{_prefix}/games/%{name}

%{_datadir}/applications/%{name}.desktop
