Name:       yad
Version:    14.0
Release:    %mkrel 1
Summary:    Call GTK+ graphical dialog boxes from command line
Group:      Development/GNOME and GTK+
License:    GPLv3+
URL:        https://sourceforge.net/projects/yad-dialog
Source0:    https://github.com/v1cont/yad/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.16.0
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
# HTML widget support
BuildRequires:  pkgconfig(webkit2gtk-4.1)

# Common deps
BuildRequires:  desktop-file-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  intltool >= 0.40.0

Requires:  %{name}-bin = %{version}-%{release}

%description
Yad (yet another dialog) is a fork of zenity with many improvements, such as
custom buttons, additional dialogs, pop-up menu in notification icon and more.

This package provides common files and localizations. You should install
%{name}-gtk3 package to get Yad binary files and functionality.

%package -n %{name}-gtk3
Summary:   Call GTK+ 3.0 graphical dialog boxes from command line
Requires:  %{name} = %{version}-%{release}
Provides:  %{name}-bin = %{version}-%{release}

%description -n %{name}-gtk3
Yad (yet another dialog) is a fork of zenity with many improvements, such as
custom buttons, additional dialogs, pop-up menu in notification icon and more.
This is GTK3 build of Yad.

%prep
# This package needs special attention. Please do not change to autosetup macro.
%setup -q

%build
%configure \
           --enable-icon-browser \
           --with-gtk=gtk3 \
           --enable-html
%make_build

%install
%make_install

mv -f %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/%{name}-gtk3
mv -f %{buildroot}%{_bindir}/%{name}-icon-browser %{buildroot}%{_bindir}/%{name}-icon-browser-gtk3

%find_lang %{name}

# Encoding key in group "Desktop Entry" is deprecated.
# Place the menu entry for yad-icon-browser under "Utilities".
desktop-file-install --remove-key Encoding     \
    --remove-category Development              \
    --add-category    Utility                  \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}-icon-browser.desktop

%post -n %{name}-gtk3
update-alternatives --install \
    %{_bindir}/%{name} %{name}-bin \
    %{_bindir}/%{name}-gtk3 \
    9 \
    --slave \
    %{_bindir}/%{name}-icon-browser %{name}-icon-browser-bin \
    %{_bindir}/%{name}-icon-browser-gtk3

%postun -n %{name}-gtk3
if [ "$1" -eq 0 ]; then
    update-alternatives --remove %{name}-bin %{_bindir}/%{name}-gtk3
fi

%files -f %{name}.lang
%license COPYING
%doc README.md NEWS AUTHORS THANKS
%{_bindir}/yad-settings
%{_bindir}/yad-tools
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}-icon-browser.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/aclocal/%{name}.m4
%{_mandir}/man1/%{name}*.1*
%{_datadir}/glib-2.0/schemas/%{name}.gschema.xml
%ghost %{_bindir}/%{name}
%ghost %{_bindir}/%{name}-icon-browser

%files -n %{name}-gtk3
%{_bindir}/%{name}-gtk3
%{_bindir}/%{name}-icon-browser-gtk3
