Name:		yagf
Version:	0.9.5
Release:	%mkrel 10
Summary:	Graphical front-end for cuneiform and tesseract
License:	GPLv3+
Group:		Office/Utilities
URL:		https://sourceforge.net/projects/yagf-ocr
# qt5 branch 2015-02-24
Source0:	https://sourceforge.net/projects/yagf-ocr/files/%{name}-%{version}.tar.gz
# from Debian (https://sourceforge.net/p/yagf-ocr/tickets/66)
Source1:	%{name}.1
# fix .desktop file (https://sourceforge.net/p/yagf-ocr/tickets/67)
Patch0:		%{name}-0.9.1-Source-desktop-fdr.patch
# https://sourceforge.net/p/yagf-ocr/tickets/67
Patch1:		%{name}-0.9.4.2-mga-i18n-desktop.patch
# https://sourceforge.net/p/yagf-ocr/tickets/50
Patch2:		%{name}-0.9.4.2-mga-disable-crop-image-when-loaded.patch
# https://sourceforge.net/p/yagf-ocr/tickets/55
Patch3:		%{name}-0.9.5-mga-qt5.patch
# https://sourceforge.net/p/yagf-ocr/tickets/68
Patch4:		%{name}-0.9.5-mga-del-online-help.patch
# https://sourceforge.net/p/yagf-ocr/tickets/69
Patch5:		%{name}-0.9.5-mga-configdialog.patch
# https://sourceforge.net/p/yagf-ocr/tickets/70
Patch6:		%{name}-0.9.5-mga-uk.patch
# https://sourceforge.net/p/yagf-ocr/code/merge-requests/1
Patch7:		%{name}-0.9.5-do-not-crash-when-specific-aspell-dictionary-is-not-found.patch
# https://sourceforge.net/p/yagf-ocr/tickets/61
Patch8:		%{name}-0.9.5-mga-application-size.patch
# https://sourceforge.net/p/yagf-ocr/tickets/71
Patch9:		%{name}-0.9.5-mga-i18n.patch
# https://sourceforge.net/p/yagf-ocr/tickets/72
Patch10:	%{name}-0.9.5-fdr-mga-nothreads.patch
# https://sourceforge.net/p/yagf-ocr/tickets/73
Patch11:	%{name}-0.9.5-fdr-mga-mainform-unistd.patch
# https://sourceforge.net/p/yagf-ocr/tickets/74
Patch12:	%{name}-0.9.5-add-chinese.patch
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	aspell-devel
Requires:	cuneiform-linux
Requires:	tesseract
Recommends:	poppler
Recommends:	ghostscript
Recommends:	xsane
Recommends:	djvulibre

%description
YAGF is a graphical interface for cuneiform and tesseract text recognition
tools on the Linux platform. With YAGF you can scan images via XSane, import
pages from PDF documents, perform images preprocessing and recognize texts
using cuneiform from a single command center. YAGF also makes it easy to scan
and recognize several images sequentially.

%prep
%setup -q
cp -f %{SOURCE1} ./
# fix wrong-script-end-of-line-encoding (https://sourceforge.net/p/yagf-ocr/tickets/64)
sed -i 's/\r//' `find ./ -name *.cpp -o -name *.h`

%autopatch -p1

# Substitute missing align.png resource (https://sourceforge.net/p/yagf-ocr/tickets/62)
cp -a src/images/{A,a}lign.png
# fix spurious-executable-perm (https://sourceforge.net/p/yagf-ocr/tickets/60)
chmod -x AUTHORS ChangeLog DESCRIPTION README
chmod -x `find ./ -name *.cpp -o -name *.h -o -name *.c`
# change urls (https://sourceforge.net/p/yagf-ocr/tickets/65)
for file in `find ./ -name *.ts -o -name *.cpp -o -name *.xml -o -name *.1`
do
  sed -i "s|http://symmetrica.net/cuneiform-linux/yagf-en.html|https://yagf-ocr.sourceforge.io|g" $file
  sed -i "s|http://symmetrica.net/cuneiform-linux/yagf-ru.html|https://yagf-ocr.sourceforge.io|g" $file
  sed -i "s|http://code.google.com/p/yagf/issues/list|https://sourceforge.net/p/yagf-ocr/tickets|g" $file
done

%build
%cmake
%cmake_build

%install
%cmake_install

desktop-file-validate %{buildroot}%{_datadir}/applications/YAGF.desktop

# install man page
mkdir -p %{buildroot}%{_mandir}/man1
cp -f %{name}.1 %{buildroot}%{_mandir}/man1/

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/translations/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_libdir}/%{name}/libxspreload.so
%{_datadir}/applications/YAGF.desktop
%{_datadir}/appdata/YAGF.appdata.xml
%{_mandir}/man1/%{name}*
%doc AUTHORS ChangeLog DESCRIPTION README
