%define git     fee1ebe
%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           yajl
Version:        2.1.0
Release:        %mkrel 8
Summary:        Yet Another JSON Library
License:        ISC License
Group:          System/Libraries
Url:            http://lloyd.github.com/yajl/

Source0:        https://github.com/lloyd/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         yajl-fix-CVE-2022-24795.patch
Patch1:         CVE-2017-16516.patch
Patch2:         CVE-2023-33460.patch
# fedora patches
Patch11:        0001-pkg-config-file-should-be-in-lib-dir-not-shared-data.patch
Patch14:        0004-drop-bogus-_s-suffix-from-yajl-dynamic-library.patch
BuildRequires:  doxygen
BuildRequires:  cmake

%description
Yet Another JSON Library. YAJL is a small event-driven (SAX-style) JSON parser
written in ANSI C, and a small validating JSON generator. YAJL is released
under the ISC license.

%package -n	%{libname}
Summary:        Yet Another JSON Library
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n	%{libname}
Yet Another JSON Library. YAJL is a small event-driven (SAX-style) JSON parser
written in ANSI C, and a small validating JSON generator. YAJL is released
under the ISC license.

%package -n	%{devname}
Summary:        Development files for using %{name}
Group:          Development/C

Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} >= %{version}-%{release}

%description -n	%{devname}
Development files for using %{name}.

%prep
%autosetup -p1

%build
# use cmake directly since the upstream configure script
# doesn't work properly on 64bit systems
# and it would only call cmake itself
%cmake

%cmake_build

%install
%cmake_install

# No static libraries
rm -f %{buildroot}%{_libdir}/libyajl_s.a

%files
%doc ChangeLog README TODO
%{_bindir}/json_reformat
%{_bindir}/json_verify

%files -n %{libname}
%license COPYING
%doc ChangeLog README TODO
%{_libdir}/libyajl.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libyajl.so
%{_includedir}/yajl/
%{_libdir}/pkgconfig/yajl.pc
