%define    major   1
%define    minor   5

Name:      yalib
Version:   1.8
Release:   %mkrel 3
Summary:   YaFlight and YaInstall shared library
Group:     System/Libraries
License:   GPLv3
URL:       https://github.com/xquiet/yalib
Source0:   https://github.com/xquiet/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	cmake

%define    libname    %mklibname yalib %{major}
%define    develname  %mklibname -d yalib

%description
yalib is a shared library written entirely in C++ and Qt to provide
common access methods to FlightGear resources for YaFlight and YaInstall.

#----------------------------------------------------------

%package -n %libname
Summary:      %{summary}
Group:        System/Libraries
Provides:     %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with yalib.

%files -n %libname
%doc src/COPYING* README.md
%{_libdir}/lib*.so.%{major}.*

#----------------------------------------------------------

%package -n %develname
Summary:      yalib header files
Group:        Development/C++
Requires:     %{libname} >= %{version}
Requires:     pkgconfig(Qt5Core)
Provides:     %{name}-devel = %{version}-%{release}

%description -n %develname
This is the development package for yalib.

%files -n %develname
%{_libdir}/lib*.so
%dir %{_includedir}/yalib
%{_includedir}/yalib/*.h

#----------------------------------------------------------

%prep
%setup -q %{name}-%{version}

%build
%cmake_qt5
%cmake_build

%install
%cmake_install
