%define name yapysudoku
%define version 4.0.5
%define release %mkrel 3

Summary: Yet Another Python Sudoku Puzzle

Name: %{name}
Version: %{version}
Release: %{release}
Source0: https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

License: GPLv3+
Group: Games/Puzzles
Url: https://%{name}.sourceforge.net/

BuildArch: noarch
Requires: python3 >= 3.7
Requires: python3-wxpython4 >= 4.1.1
Requires: python3-pygame >= 1.9.4
BuildRequires: desktop-file-utils

%description
This software can generate and solve different types of Sudoku puzzles like
those ones that can usually be found in all kind of magazines these days ;-)

All icons, except "yapysudoku.png" (created by the author of this game using
"The GIMP"), come from GTK.

All WAVE files come from K3B.

%prep
%setup -q

%build
cat > %{name} << "EOF"
#!/bin/sh
exec %{_datadir}/games/%{name}/%{name}.py
EOF

cat > %{name}.desktop << "EOF"
[Desktop Entry]
Encoding=UTF-8
Name=Sudoku Game
Name[fr]=Jeu de Sudoku
Comment=Yet Another Python Sudoku Game
Comment[fr]=Encore Un Jeu de Sudoku en Python
Exec=%{_prefix}/games/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF

%install
mkdir -p %{buildroot}/%{_datadir}/games/%{name}
install -m 0755 %{name}.py %{buildroot}/%{_datadir}/games/%{name}

install -m 0644 COPYING %{buildroot}/%{_datadir}/games/%{name}

mkdir -p %{buildroot}/%{_datadir}/games/%{name}/icons
install -m 0644 icons/%{name}.png %{buildroot}/%{_datadir}/games/%{name}/icons

mkdir -p %{buildroot}/%{_datadir}/games/%{name}/icons/24x24
install -m 0644 icons/24x24/*.png %{buildroot}/%{_datadir}/games/%{name}/icons/24x24

mkdir -p %{buildroot}/%{_datadir}/games/%{name}/locale/fr/LC_MESSAGES
install -m 0644 locale/fr/LC_MESSAGES/%{name}.mo %{buildroot}/%{_datadir}/games/%{name}/locale/fr/LC_MESSAGES

mkdir -p %{buildroot}/%{_datadir}/games/%{name}/sounds
install -m 0644 sounds/*.wav %{buildroot}/%{_datadir}/games/%{name}/sounds

mkdir -p %{buildroot}/%{_iconsdir}
install -m 0644 icons/%{name}.png %{buildroot}/%{_iconsdir}

mkdir -p %{buildroot}/%{_prefix}/games
install -m 0755 %{name} %{buildroot}/%{_prefix}/games

desktop-file-install --vendor="" \
                     --dir=%{buildroot}/%{_datadir}/applications/ \
                     %{name}.desktop

%files
%doc AUTHORS CHANGES COPYING README TODO examples

%{_datadir}/games/%{name}/%{name}.py*
%{_datadir}/games/%{name}/COPYING
%{_datadir}/games/%{name}/icons/%{name}.png
%{_datadir}/games/%{name}/icons/24x24/*.png
%{_datadir}/games/%{name}/locale/fr/LC_MESSAGES/%{name}.mo
%{_datadir}/games/%{name}/sounds/*.wav

%{_iconsdir}/%{name}.png

%{_prefix}/games/%{name}

%{_datadir}/applications/%{name}.desktop
