#empty debugsource
%global debug_package %{nil}

%global npm_name yarn

%global enable_tests 1

# don't require bundled modules
%global __requires_exclude_from ^(%{nodejs_sitelib}/yarn/lib/.*|%{nodejs_sitelib}/yarn/bin/yarn(|\\.cmd|\\.ps1|pkg.*))$

# WARNING npm version used in with yarnpkg-tarball.sh needs to be consistent with the version used to build
# It is required to rebuild the tarball source file when the npm version is updated
%define npm_ver 10.9.2

Name:           yarnpkg
Version:        1.22.22
Release:        %mkrel -c %{npm_ver} 3
Summary:        Fast, reliable, and secure dependency management
URL:            https://github.com/yarnpkg/yarn
# we need tarball with node_modules, brought by running Source1 script
Source0:        %{name}-v%{version}-bundled.tar.gz
Source1:        yarnpkg-tarball.sh
License:        BSD-2-Clause
Group:          Development/Java


BuildRequires:  ripgrep
BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
BuildRequires:  npm(npm) = %{npm_ver}

%description
Yarn is a package manager for your code.
It allows you to use and share (e.g. JavaScript) code with other developers
from around the world.
Yarn does this quickly, securely, and reliably so you don’t ever have to worry.


%prep
%autosetup -p1 -n %{npm_name}-%{version}


%build
# use build script
npm run build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json lib bin node_modules \
    %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
ln -sfr %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/yarn.js %{buildroot}%{_bindir}/yarnpkg
ln -sfr %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/yarn.js %{buildroot}%{_bindir}/yarn

# Import userland punycode
readarray -t punycode_importers < <(rg -t js -l "require\('punycode'\)" node_modules)
sed -i "s,require('punycode'),require('punycode/')," "${punycode_importers[@]}"

# Fix the shebang in yarn.js because brp-mangle-shebangs fails to detect this properly (rhbz#1998924)
sed -e "s|^#!/usr/bin/env node$|#!/usr/bin/node|" \
    -i %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/yarn.js

# Remove executable bits from bundled dependency tests
find %{buildroot}%{nodejs_sitelib}/%{npm_name}/node_modules \
    -ipath '*/test/*' -type f -executable \
    -exec chmod -x '{}' +

# Deleting binary files...
rm -rf %{buildroot}%{nodejs_sitelib}/%{npm_name}/node_modules/flow-bin/flow-*v*

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
if [[ $(%{buildroot}%{_bindir}/yarnpkg --version) == %{version} ]] ; then echo PASS; else echo FAIL && exit 1; fi
if [[ $(%{buildroot}%{_bindir}/yarn --version) == %{version} ]] ; then echo PASS; else echo FAIL && exit 1; fi
%endif


%files
%doc README.md
%license LICENSE
%{_bindir}/yarnpkg
%{_bindir}/yarn
%{nodejs_sitelib}/%{npm_name}/
