%define		_disable_ld_no_undefined 1
%define		libname %mklibname %{name}

Name:		yarock
Version:	1.5.0
Release:	%mkrel 2
Summary:	Modern and elegant Linux music player
Group:		Sound/Players
License:	GPLv3
URL:		https://launchpad.net/yarock
# https://launchpad.net/yarock/1.x/%%{version}/+download/Yarock_%%{version}_Sources.tar.gz#/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/sebaro/Yarock/archive/%{version}/%{name}-%{version}.tar.gz

Patch1:		yarock-1.5.0-remove-version-from-desktop-file.patch
Patch2:		yarock-taglib-2.0.patch

BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Phonon4Qt6)
BuildRequires:	pkgconfig(taglib) >= 2
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(mpv)
BuildRequires:	htmlcxx
BuildRequires:	pkgconfig(htmlcxx)
BuildRequires:	pkgconfig(sqlite3)
Requires:	qt6-database-plugin-sqlite
Recommends:	%{libname}-mpv = %{version}-%{release}
Recommends:	%{libname}-qtmultimedia = %{version}-%{release}
Recommends:	%{libname}-phonon = %{version}-%{release}
Recommends:	%{libname}-vlc = %{version}-%{release}

%description
Yarock is a modern looking music player, packed with features, that doesn't
depend on any specific desktop environment. Yarock is designed to provide
an easy and pretty music browser based on cover art. Yarock is easy to build
with a minimal set of dependencies, and offers the choice of different audio
back-ends.

%package -n	%{libname}-mpv
Summary:	The MPV audio back-end library for Yarock

%description -n	%{libname}-mpv
The MPV audio back-end library for Yarock.

%package -n	%{libname}-qtmultimedia
Summary:	The QtMultimedia audio back-end library for Yarock

%description -n	%{libname}-qtmultimedia
The QtMultimedia audio back-end library for Yarock.

%package -n	%{libname}-phonon
Summary:	The Phonon audio back-end library for Yarock

%description -n	%{libname}-phonon
The Phonon audio back-end library for Yarock.

%package -n	%{libname}-vlc
Summary:	The VLC audio back-end library for Yarock

%description -n	%{libname}-vlc
The VLC audio back-end library for Yarock.

%prep
%autosetup -p1 -n Yarock-%{version}

%build
%cmake_qt6 \
	-DENABLE_VLC=ON \
	-DENABLE_MPV=ON \
	-DENABLE_PHONON=ON \
	-DENABLE_QTMULTIMEDIA=ON \
	-DCMAKE_INSTALL_TRANS=%{_qt6_translationdir}
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_qt6_translationdir}
mv %{buildroot}%{_datadir}/%{name}/translations/* %{buildroot}%{_qt6_translationdir}/
rm -rf %{buildroot}%{_datadir}/%{name}

%files
%doc README.md
%{_bindir}/%{name}
%{_metainfodir}/org.yarock.metainfo.xml
%{_datadir}/pixmaps/application-x-yarock.png
%{_datadir}/applications/org.yarock.desktop
%{_iconsdir}/hicolor/*/apps/application-x-yarock.*
%{_qt6_translationdir}/%{name}*.qm

%files -n	%{libname}-mpv
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libenginempv.so

%files -n	%{libname}-qtmultimedia
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libengineqtmultimedia.so

%files -n       %{libname}-phonon
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libenginephonon.so

%files -n       %{libname}-vlc
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libenginevlc.so
