Name:		yasm
Version:	1.3.0
Release:	%mkrel 9
Summary:	Modular Assembler
License:	BSD
Group:		Development/Other
Url:		https://yasm.tortall.net/
Source0:	https://www.tortall.net/projects/%{name}/releases/%{name}-%{version}.tar.gz
Patch0:		yasm-CVE-2023-31975.patch

BuildRequires:	xmlto

Obsoletes:	yasm-python < 1.3.0-4

%description
Yasm is a complete rewrite of the NASM assembler.
It is designed from the ground up to allow for multiple
assembler syntaxes to be supported (e.g., NASM, TASM, GAS, etc.) in
addition to multiple output object formats and even multiple
instruction sets. Another primary module of the overall design is an
optimizer module.

#------------------------------------------------------------------------------

%package	devel
Summary:	Development headers and files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel
Development headers and files for %{name}.

#------------------------------------------------------------------------------

%prep
%setup -q
%patch -P 0 -p1

%build
%ifnarch %ix86
export CFLAGS="%{optflags} -fPIC"
%endif

%configure \
	--disable-rpath \
	--disable-python \
	--disable-python-bindings
%make_build

%install
%make_install

%files
%doc AUTHORS
%{_bindir}/*
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man7/%{name}_arch.7.*
%{_mandir}/man7/%{name}_dbgfmts.7.*
%{_mandir}/man7/%{name}_objfmts.7.*
%{_mandir}/man7/%{name}_parsers.7.*

%files devel
%{_libdir}/lib%{name}.a
%{_includedir}/libyasm/
%{_includedir}/libyasm.h
%{_includedir}/libyasm-stdint.h
