%define major     5
%define libname   %mklibname yaz %{major}
%define develname %mklibname yaz -d

Summary:	Z39.50 protocol support library
Name:		yaz
Version:	5.34.4
Release:	%mkrel 2
License:	BSD-like
Group:		System/Libraries
URL:		https://www.indexdata.dk/yaz/
Source0:	http://ftp.indexdata.dk/pub/yaz/%{name}-%{version}.tar.gz
Patch0:		yaz-config.diff
BuildRequires:	docbook-style-dsssl
BuildRequires:	docbook-style-xsl
BuildRequires:	libtool
BuildRequires:	libgpg-error-devel
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(hiredis)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libmemcached)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	termcap-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	icu-devel
BuildRequires:	bison
BuildRequires:	tcl

%description
This package contains both a test-server and clients (normal & ssl) for the
ANSI/NISO Z39.50 protocol for Information Retrieval.

%files
%doc README.md LICENSE installed-docs/*.html installed-docs/*.png
%{_bindir}/yaz-*
%{_bindir}/zoomsh
%{_mandir}/man1/yaz-client*.*
%{_mandir}/man1/yaz-iconv.1*
%{_mandir}/man1/yaz-icu.1*
%{_mandir}/man1/yaz-illclient.1*
%{_mandir}/man1/yaz-json-parse.1*
%{_mandir}/man1/yaz-marcdump.1*
%{_mandir}/man1/yaz-record-conv.1*
%{_mandir}/man1/yaz-url.1*
%{_mandir}/man1/zoomsh.*
%{_mandir}/man8/yaz-ztest*.*
# moved from lib pkg
%{_mandir}/man7/*
%dir %{_datadir}/yaz
%{_datadir}/yaz/etc

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Z39.50 Library
Group:		System/Libraries
Requires:	tcp_wrappers
Requires:	%{name} >= %{version}-%{release}

%description -n	%{libname}
YAZ is a library for the ANSI/NISO Z39.50 protocol for Information Retrieval.

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Z39.50 Library - development package
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development libraries and includes for the libyaz package.

%files -n %{develname}
%{_bindir}/yaz-config
%{_bindir}/yaz-asncomp
%{_includedir}/yaz
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/yaz.m4
%{_datadir}/yaz/z39.50
%{_datadir}/yaz/ill
%{_mandir}/man1/yaz-asncomp.*
%{_mandir}/man1/yaz-config.*

#--------------------------------------------------------------------

%prep

%setup -q

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*
perl -pi -e "s|/usr/lib/|%{_libdir}/|g" configure*

%build
%configure \
    --enable-shared \
    --enable-tcpd \
    --with-xml2 \
    --with-xslt \
    --with-exslt \
    --with-icu \
    --with-memcached \
    --with-redis \
    --disable-static

%make_build

%check
make check

%install
%make_install docdir=/installed-docs

# fix installed docs
rm -rf installed-docs
mv %{buildroot}/installed-docs .
mv %{buildroot}%{_docdir}/yaz/* installed-docs/

# fix yaz-config (weird stuff...)
perl -pi -e "s|^yaz_echo_source=.*|yaz_echo_source=yes|g" %{buildroot}%{_bindir}/yaz-config

# Remove cruft
find %{buildroot} -name '*.la' -delete

