%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		yelp-tools
Version:	42.1
Release:	%mkrel 3
Summary:	Create, manage, and publish documentation for Yelp
Group:		System/Internationalization
License:	GPLv2+
URL:		https://projects.gnome.org/yelp/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig(yelp-xsl)
BuildRequires:	itstool
BuildRequires:	xsltproc
BuildRequires:	meson
BuildRequires:	libxml2-utils
BuildRequires:	python3dist(lxml)
Requires:	yelp-xsl
Requires:	libxml2-utils
Requires:	python3dist(lxml)

%description
yelp-tools is a collection of scripts and build utilities to help create,
manage, and publish documentation for Yelp and the web. Most of the heavy
lifting is done by packages like yelp-xsl and itstool. This package just
wraps things up in a developer-friendly way.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson -Dhelp=true
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS README.md
%{_bindir}/yelp-build
%{_bindir}/yelp-check
%{_bindir}/yelp-new
%{_datadir}/yelp-tools
%{_datadir}/aclocal/yelp.m4
