%define	major 3
%define libname	%mklibname ykclient %{major}
%define develname %mklibname -d ykclient

Summary:	Implements online validation of Yubikey OTPs
Name:		ykclient
Version:	2.15
Release:	%mkrel 4
Group:		System/Libraries
License:	BSD
URL:		https://github.com/Yubico/yubico-c-client
Source0:	https://github.com/Yubico/yubico-c-client/archive/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	chrpath
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	help2man
BuildRequires:	libtool

%description
This is a library written in C to validate a Yubikey OTP against the Yubico
online server.

%package -n	%{libname}
Summary:	Implements online validation of Yubikey OTPs
Group:          System/Libraries
Obsoletes:	%{mklibname libyubikey-client 0}

%description -n	%{libname}
This is a library written in C to validate a Yubikey OTP against the Yubico
online server.

%package -n	%{develname}
Summary:	Static library and header files for the libykclientt library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname libyubikey-client -d}

%description -n	%{develname}
This is a library written in C to validate a Yubikey OTP against the Yubico
online server.

This package contains the static libyubikey-client library and its header files.

%prep
%setup -qn yubico-c-client-%{name}-%{version}

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

# nuke rpath
chrpath -d %{buildroot}%{_bindir}/ykclient

%files
%{_bindir}/ykclient
%{_mandir}/man1/*.1*

%files -n %{libname}
%doc AUTHORS NEWS README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
