Name:           ykpers
Version:        1.20.0
Release:        %mkrel 5
Summary:        Yubikey personalization program

Group:          System/Libraries
License:        BSD
URL:            https://developers.yubico.com/yubikey-personalization/
Source0:        https://developers.yubico.com/yubikey-personalization/Releases/%{name}-%{version}.tar.gz
Source1:        https://developers.yubico.com/yubikey-personalization/Releases/%{name}-%{version}.tar.gz.sig
Patch0:         ykpers-1.20.0-git-extern.patch
# PATCH-FIX-UPSTREAM ykpers-json.patch gh#Yubico/yubikey-personalization#159
Patch1:         ykpers-json.patch

BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  yubikey-devel

%description
Yubico's YubiKey can be re-programmed with a new AES key. This is a library
that makes this an easy task.

%package devel
Summary:        Development files for ykpers
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the header file needed to develop applications that
use ykpers.

%prep
%autosetup -p1

%build
%configure \
        --enable-static=no --disable-rpath \
        --with-udevrulesdir=%{_udevrulesdir} \
%ifnarch s390 s390x
        --with-backend=libusb-1.0
%else
        --with-backend=libusb
%endif
# --disable-rpath doesn't work for the configure script
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%check
export LD_LIBRARY_PATH=$RPM_BUILD_DIR/%{name}-%{version}/.libs
make check

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files
%license COPYING
%doc AUTHORS README ChangeLog NEWS
%doc doc/Compatibility.asciidoc
%{_bindir}/ykpersonalize
%{_bindir}/ykchalresp
%{_bindir}/ykinfo
%{_libdir}/libykpers-1.so.1
%{_libdir}/libykpers-1.so.%{version}
%{_mandir}/man1/ykchalresp.1*
%{_mandir}/man1/ykinfo.1*
%{_mandir}/man1/ykpersonalize.1*
%{_udevrulesdir}/69-yubikey.rules

%files devel
%doc doc/USB-Hid-Issue.asciidoc
%{_libdir}/pkgconfig/ykpers-1.pc
%{_libdir}/libykpers-1.so
%{_includedir}/ykpers-1/
