%define with_doc 1

Summary:	Yet oneOther Document Language
Name:		yodl
Version:	4.04.00
Release:	%mkrel 1
License:	GPLv3
Group:		Publishing
URL:		https://fbb-git.github.io/yodl/
Source:		https://gitlab.com/fbb-git/yodl/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	icmake >= 9.02.02
BuildRequires:	libstdc++-static-devel
%if %with_doc
BuildRequires:	texlive
BuildRequires:	texlive-texmf
%endif

%description
Yodl is a package that implements a pre-document language and tools to
process it. The idea of Yodl is that you write up a document in a
pre-language, then use the tools (e.g. yodl2html) to convert it to some
final document language. Current converters are for HTML, ms, man, LaTeX
SGML and texinfo, plus a poor-man's text converter. Main document types are
"article", "report", "book" and "manpage". The Yodl document language is
designed to be easy to use and extensible.

%if %with_doc
%package doc
Summary:	%{name} documentation package
Group:		Documentation
BuildArch:	noarch

%description doc
This package contains the yold documentation files.
%endif

%prep
%autosetup -p1

# build with our compile flags
sed -i -e 's|"#define COPT.*"|"#define COPT \"%{optflags}\""|' ./yodl/build

%build
pushd %{name}
./build programs
./build macros
./build man

%if %with_doc
./build manual
%endif
popd

%install
pushd %{name}
./build install programs %{buildroot}
./build install macros   %{buildroot}
./build install man      %{buildroot}
%if %with_doc
./build install manual   %{buildroot}
%endif

%if %with_doc

# fix encoding
pushd tmp/install/usr/share/doc/yodl-doc/
for i in yodl.txt yodl.latex; do
  iconv -f ISO-8859-1 -t UTF8 $i -o $i-utf-8;
  mv -f $i-utf-8 $i;
done
popd

# we'll %%doc these ones
rm -f %{buildroot}%{_docdir}/yodl-doc/{AUTHORS.txt,CHANGES,changelog}
%endif

%files
%doc yodl/AUTHORS.txt yodl/changelog yodl/README.3.00.0 README
%{_bindir}/yodl
%{_bindir}/yodl2html
%{_bindir}/yodl2latex
%{_bindir}/yodl2man
%{_bindir}/yodl2txt
%{_bindir}/yodl2whatever
%{_bindir}/yodl2xml
%{_bindir}/yodlpost
%{_bindir}/yodlstriproff
%{_bindir}/yodlverbinsert
%{_mandir}/man1/yodl.1.*
%{_mandir}/man1/yodl2html.1.*
%{_mandir}/man1/yodl2latex.1.*
%{_mandir}/man1/yodl2man.1.*
%{_mandir}/man1/yodl2txt.1.*
%{_mandir}/man1/yodl2whatever.1.*
%{_mandir}/man1/yodl2xml.1.*
%{_mandir}/man1/yodlconverters.1.*
%{_mandir}/man1/yodlpost.1.*
%{_mandir}/man1/yodlstriproff.1.*
%{_mandir}/man1/yodlverbinsert.1.*
%{_mandir}/man7/yodlbuiltins.7.*
%{_mandir}/man7/yodlletter.7.*
%{_mandir}/man7/yodlmacros.7.*
%{_mandir}/man7/yodlmanpage.7.*
%{_mandir}/man7/yodltables.7.*
%{_datadir}/yodl/

%if %with_doc
%files doc
%{_docdir}/yodl-doc/
%endif
