Name:		yokadi
Version:	1.3.0
Release:	%mkrel 2
Summary:	Command line oriented todo list system
Group:		Office/Organizer
License:	GPLv3+
URL:		https://yokadi.github.io/
Source0:	https://yokadi.github.io/download/%{name}-%{version}.tar.gz
Patch0:		yokadi-1.3.0-fix-dependencies.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

%description
Yokadi is a command-line oriented, SQLite powered, TODO list tool.
It helps you organize all the things you have to do and you must not
forget.It aims to be simple, intuitive and very efficient.

In Yokadi you manage projects, which contains tasks. At the minimum,
a task has a title, but it can also have a description, a due date,
an urgency or keywords. Keywords can be any word that help you to find
and sort your tasks.

%prep
%autosetup -p1

sed -i -e '/^#!\//, 1d' {yokadi/yokadid.py,yokadi/createdemodb.py,yokadi/tests/tests.py}

%build
%pyproject_wheel

%install
%pyproject_install

%files
%doc CHANGELOG.md README.md doc/*.md
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/yokadid
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}*.dist-info
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man*/*.*
