Name:		yoshimi
Version:	2.3.3.3
Release:	%mkrel 1
Summary:	Real-time MIDI software synthesizer
License:	GPLv2+
Group:		Sound/Midi
URL:		https://yoshimi.sourceforge.net/
Source0:	https://github.com/Yoshimi/yoshimi/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-fix-permissions.patch
Patch2:		0002-Fix-using-our-cflags.patch

BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(lv2)
BuildRequires:	pkgconfig(mxml)
BuildRequires:	pkgconfig(sm)

%description
Yoshimi is a rewrite of ZynAddSubFx to improve its compatibility with
the Jack Audio Connection Kit.

Yoshimi is an open source software synthesizer capable of making a
countless number of instrument sounds. It is microtonal, and the instruments
made by it sounds like those from professional keyboards. The program has
effects like Reverb, Echo, Chorus, Phaser...

%prep
%setup -q
%autopatch -p1

%build
%global _vpath_srcdir src
%cmake \
	-DCMAKE_INSTALL_DATAROOTDIR=%{_datadir}
%cmake_build

%install
%cmake_install

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}*.svg
%{_libdir}/lv2/yoshimi.lv2/
%{_metainfodir}/%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1.*
