%define pypi_name	youtube_dl

Name:		youtube-dl
Version:	2024.07.11
Release:	%mkrel 2
Summary:	Small command-line program to download videos from YouTube
License:	Public Domain
Group:		Video/Players
URL:		https://ytdl-org.github.io/youtube-dl/
# Done on the 2023.06.17 after bug https://github.com/ytdl-org/youtube-dl/issues/32314 is fixed
# Memo: git archive --output=./master.tar.gz --format=tar.gz --prefix=ytdl-org-youtube-dl-a96a45b/ HEAD
Source0:	https://github.com/ytdl-org/youtube-dl/archive/%{version}-nightly/%{name}-%{version}-nightly.tar.gz
#Source1:	https://yt-dl.org/downloads/%%{version}/%%{name}-%%{version}.tar.gz.sig
BuildArch:	noarch
BuildRequires:	zip
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
Requires:	python3
# MGA#18464 - cclive crashes
Obsoletes:	cclive < 0.9.3-12

%description
Small command-line program to download videos from YouTube.

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
%{?python_provide:%python_provide python3-%{name}}

%description -n	python3-%{name}
This is the Python 3 bindings for %{name}.

%prep
%autosetup -n %{name}-%{version}-nightly

# As long as a new version isn't made
perl -pi -e 's|2021.12.17|%{version}|' %{pypi_name}/version.py

# remove pre-built file
rm -f bin/*

sed -i 's|pandoc |#pandoc |g' Makefile

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

# No pandoc available on mageia - Faking man page
touch %{name}.1
%make_install PREFIX="%{_prefix}" MANDIR="%{_mandir}"

# force the youtube-dl binary to use python 3 environment by default
sed -i -e 's,#!/usr/bin/env python,#!/usr/bin/python3,' %{buildroot}%{_bindir}/%{name}

#rm -rf %{buildroot}%{_prefix}/etc
install -D -m 0644 README.md  %{buildroot}%{_datadir}/doc/youtube_dl/README.md
install -D -m 0644 LICENSE  %{buildroot}%{_datadir}/doc/youtube_dl/LICENSE

%files
%{_datadir}/doc/youtube_dl/README.md
%license %{_datadir}/doc/youtube_dl/LICENSE
%attr(0755,root,root) %{_bindir}/%{name}
%{_sysconfdir}/bash_completion.d/youtube-dl
%{_sysconfdir}/fish/completions/youtube-dl.fish
%{_datadir}/zsh/site-functions/_youtube-dl
%{_mandir}/man1/%{name}.1.*

%files -n python3-%{name} -f %{pyproject_files}
