# Rebuild with  '--with dbus' to enable dbus/Networkmanager support
%global nodbus_support %{?_with_dbus: %nil}%{?!_with_dbus: --disable-dbus-nm}

Summary:        The NIS daemon which binds NIS clients to an NIS domain
Name:           ypbind
Epoch:          3
Version:        2.7.2
Release:        %mkrel 6
License:        GPLv2
Group:          System/Servers
URL:            https://www.thkukuk.de/nis/nis/ypbind-mt/index.html
Source0:	https://github.com/thkukuk/ypbind-mt/archive/v%{version}.tar.gz#/ypbind-mt-%{version}.tar.gz
Source3:        ypbind.service
Source4:        ypbind-pre-setdomain
Source5:        ypbind-post-waitbind

# Recent systemd doesn't do well with network auth without a local daemon
# https://github.com/systemd/systemd/issues/7074 
Recommends:     nscd

# Fedora patches
Patch1:         ypbind-1.11-gettextdomain.patch

# Not sent to upstream.
Patch2:         ypbind-2.5-helpman.patch


%if %{?nodbus_support: 0}%{?!nodbus_support: 1}
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib >= 0.60
BuildRequires:  networkmanager-devel
%endif
# autoconf, automake, systemd-devel needed for patch 3
# gettext-devel also needed for /usr/bin/autopoint
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  libtirpc-devel
BuildRequires:  libnsl-devel

Requires(post):  rpm-helper
Requires(preun): rpm-helper
Requires:        rpcbind
Requires:        yp-tools

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network.  NIS can enable
users to login on any machine on the network, as long as the machine
has the NIS client programs running and the user's password is
recorded in the NIS passwd database.  NIS was formerly known as Sun
Yellow Pages (YP).

This package provides the ypbind daemon.  The ypbind daemon binds NIS
clients to an NIS domain.  Ypbind must be running on any machines
which are running NIS client programs.

Install the ypbind package on any machines which are running NIS client
programs (included in the yp-tools package).  If you need an NIS server,
you'll also need to install the ypserv package to a machine on your
network.

%prep
%setup -q -n ypbind-mt-%{version}
%autopatch -p1

%build
autoreconf -vfi
%serverbuild
%configure --sbindir=/sbin %{?nodbus_support}
%make_build

%install
%make_install sbindir=/sbin

mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 etc/yp.conf %{buildroot}%{_sysconfdir}/yp.conf
mkdir -p %{buildroot}%{_localstatedir}/yp/binding

mkdir -p %{buildroot}%{_unitdir}
install -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/ypbind.service
mkdir -p %{buildroot}%{_libexecdir}
install -m 755 %{SOURCE4} %{buildroot}%{_libexecdir}/ypbind-pre-setdomain
install -m 755 %{SOURCE5} %{buildroot}%{_libexecdir}/ypbind-post-waitbind

%find_lang %{name}

%post
%_post_service ypbind

%preun
%_preun_service ypbind

%files -f %{name}.lang
%doc README ChangeLog AUTHORS THANKS NEWS
%license COPYING
%attr(755, root, root) /sbin/ypbind
%{_mandir}/*/*
%{_unitdir}/*
%{_libexecdir}/*
%config(noreplace) %{_sysconfdir}/yp.conf
%dir %{_localstatedir}/yp/binding
