Summary:	The NIS (Network Information Service) server
Url:		http://www.linux-nis.org/
Name:		ypserv
Version:	4.2
Release:	%mkrel 4
License:	GPL-2.0-only
Group:		System/Servers

Source0:	https://github.com/thkukuk/%{name}/archive/v%{version}.tar.gz
Source1:	ypserv.service
Source2:	yppasswdd.service
Source3:	ypxfrd.service
Patch0:		ypserv-2.5-redhat.patch
Patch2:		ypserv-2.5-nfsnobody2.patch
Patch3:		ypserv-2.13-ypxfr-zeroresp.patch
Patch4:		ypserv-2.13-nonedomain.patch
Patch5:		ypserv-2.19-slp-warning.patch
Patch6:		ypserv-4.0-manfix.patch
Patch7:		ypserv-2.24-aliases.patch
Patch8:		ypserv-2.27-confpost.patch
Patch10:	ypserv-2.31-netgrprecur.patch
Patch12:	ypserv-4.0-headers.patch
Patch14:	ypserv-4.0-selinux-context.patch

BuildRequires:	gdbm-devel
BuildRequires:	openslp-devel
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	libtirpc-devel

Requires:	rpcbind make
Requires(post):		systemd
Requires(preun):	systemd

%description
The Network Information Service (NIS) is a system which provides network
information (login names, passwords, home directories, group information)
to all of the machines on a network.  NIS can enable users to login on
any machine on the network, as long as the machine has the NIS client
programs running and the user's password is recorded in the NIS passwd
database.  NIS was formerly known as Sun Yellow Pages (YP).

This package provides the NIS server, which will need to be running on
your network.  NIS clients do not need to be running the server.

Install ypserv if you need an NIS server for your network.  You'll also
need to install the yp-tools and ypbind packages onto any NIS client
machines.

%prep
%setup -q
%patch -P 0 -p1 -b .redhat
%patch -P 2 -p1 -b .nfsnobody
%patch -P 3 -p1 -b .respzero
%patch -P 4 -p1 -b .nonedomain
%patch -P 5 -p1 -b .slp-warning
%patch -P 6 -p1 -b .manfix
%patch -P 7 -p1 -b .aliases
%patch -P 8 -p1 -b .confpost
%patch -P 10 -p1 -b .netgrprecur
%patch -P 12 -b .headers
%patch -P 14 -p1 -b .selinux-context

%build
%serverbuild
autoreconf -vfi
cp etc/README etc/README.etc
%configure CFLAGS="$CFLAGS -Wno-format-overflow" \
	   --enable-checkroot \
	   --enable-fqdn \
	   --libexecdir=%{_libdir}/yp \
	   --mandir=%{_mandir}
%make_build

%install
%make_install

install -m644 etc/ypserv.conf -D %{buildroot}%{_sysconfdir}/ypserv.conf
install -m644 %{SOURCE1} -D %{buildroot}%{_unitdir}/ypserv.service
install -m644 %{SOURCE2} -D %{buildroot}%{_unitdir}/yppasswdd.service
install -m644 %{SOURCE3} -D %{buildroot}%{_unitdir}/ypxfrd.service

%post
%_post_service ypserv
%_post_service yppasswdd
%_post_service ypxfrd

%preun
%_preun_service ypserv
%_preun_service yppasswdd
%_preun_service ypxfrd

%files
%doc README INSTALL ChangeLog TODO NEWS
%doc etc/ypserv.conf etc/securenets etc/README.etc
%config(noreplace) %{_sysconfdir}/ypserv.conf
%config(noreplace) /var/yp/*
%{_unitdir}/*
%dir %{_libdir}/yp
%attr(755, root, root) %{_libdir}/yp/*
%attr(755, root, root) %{_sbindir}/*
%{_mandir}/*/*
%{_includedir}/*/*
