%define major     0
%define libname   %mklibname ytnef %{major}
%define develname %mklibname ytnef -d

Name:		ytnef
Epoch:		1
Version:	2.1.2
Release:	%mkrel 1
Summary:	Yerase's TNEF Stream Reader
License:	GPLv2+
Group:		System/Networking
Url:		https://github.com/Yeraze/ytnef
Source:		https://github.com/Yeraze/ytnef/archive/v%{version}/%{name}-%{version}.tar.gz

Requires:	perl-MIME-tools
Requires:	%{libname} = %{epoch}:%{version}

%description
Yerase's TNEF Stream Reader.  Can take a TNEF Stream (winmail.dat) sent from
Microsoft Outlook (or similar products) and extract the attachments, including
construction of Contact Cards & Calendar entries.

%package -n %{libname}
Summary: TNEF Stream Parser shared library
Group: System/Libraries

%description -n %{libname}
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.

%package -n %{develname}
Summary: Development files for libytnef
Group: Development/C
Requires: %{libname} = %{epoch}:%{version}
Provides: libytnef-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
The libytnef-devel package contains libraries and header files for
developing applications that use libytnef.

%prep
%setup -q

%build
#cd ytnef
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

%files
%doc README.md
%{_bindir}/ytnef
%{_bindir}/ytnefprint
%{_bindir}/ytnefprocess

%files -n %{libname}
%license COPYING
%{_libdir}/libytnef.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libytnef.so
%{_libdir}/pkgconfig/libytnef.pc
%{_includedir}/*.h
