Name:           yubico-piv-tool
Summary:        The Yubico PIV tool is used for interacting with the Personal Identity Verification (PIV) application on a YubiKey
Version:        2.7.1
Release:        %mkrel 1
License:        BSD
Group:          Development/C
Url:            https://github.com/Yubico/yubico-piv-tool
Source0:        https://github.com/Yubico/%{name}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  openssl-devel
BuildRequires:  pcsc-lite-devel
BuildRequires:  check-devel
BuildRequires:  gengetopt
BuildRequires:  help2man
Requires:		ccid
Requires:		pcsc-lite
Requires:		openssl

%description
The Yubico PIV tool is used for interacting with the Personal Identity Verification (PIV) application on a YubiKey.

With it you may generate keys on the device, importing keys and certificates, and create certificate requests, and other operations. A shared library and a command-line tool is included.

%prep
%setup -q -n %{name}-%{name}-%{version}

# Fix build issue for ykcs11 where the pthread lib is missing
perl -pi -e 's|-fvisibility=hidden|-fvisibility=hidden -pthread|' ykcs11/CMakeLists.txt

# Fix another build issue for help2man
perl -pi -e 's|ARGS -s1 -N |ARGS -s1 -N --no-discard-stderr |' cmake/help2man.cmake

%build
%cmake
%cmake_build

%install
%cmake_install

# move pkcs files to the expected place and set it up
install -d -m 0755 %{buildroot}%{_libdir}/pkcs11
mv %{buildroot}%{_libdir}/libykcs11*.so.* %{buildroot}%{_libdir}/pkcs11/
install -d -m 0755 %{buildroot}%{_datadir}/p11-kit/modules
echo 'module: libykcs11.so.2' > %{buildroot}%{_datadir}/p11-kit/modules/ykcs11.module

%files
%{_bindir}/%{name}
%{_libdir}/libykcs11*
%{_libdir}/pkcs11/libykcs11*
%{_libdir}/libykpiv*
%{_libdir}/pkgconfig/*.pc
%{_includedir}/ykpiv/
%{_datadir}/p11-kit/modules/ykcs11.module
%{_mandir}/man1/*.1.*
