Name:           yubikey-manager-qt
Summary:        Application for configuring any YubiKey over all USB interfaces
Version:        1.2.5
Release:        %mkrel 1
License:        BSD
Group:          Development/C
Url:            https://developers.yubico.com/yubikey-manager-qt
Source0:        https://developers.yubico.com/%{name}/Releases/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  openssl-devel
BuildRequires:  pcsc-lite-devel
BuildRequires:  check-devel
BuildRequires:  gengetopt
BuildRequires:  help2man
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickControls2)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Widgets)

Requires:		ccid
Requires:		pcsc-lite
Requires:		openssl
Requires:		qtquickcontrols5
Requires:		pyotherside
Requires:		python3-yubikey-manager

%description
YubiKey Manager is a Qt application written in QML that uses the
plugin PyOtherSide to enable the back-end logic to be written in
Python 3. The python library yubikey-manager is needed to
communicate with the YubiKey.

The current version can:

* Display the serial number and firmware version of a YubiKey
* Configure a FIDO2 PIN
* Reset the FIDO Applications
* Configure the OTP Application. A YubiKey have two slots (Short Touch and Long Touch), which may both be configured for different functionality.
This tool can configure a https://developers.yubico.com/OTP/[Yubico OTP] credential, a static password, a challenge-response credential or an https://developers.yubico.com/OATH/[OATH] HOTP credential in both of these slots.
* Manage certificates and PINs for the PIV Application
* Swap the credentials between two configured slots
* Enable and disable USB and NFC interfaces

%prep
%setup -q -n %{name}

%build
%qmake_qt5
%make_build INSTALL_ROOT=%{buildroot}

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/ykman-gui
