Name:           yubikey-manager
Version:        5.6.1
Release:        %mkrel 1
Summary:        Yubikey manager CLI
Group:          Security
License:        BSD-like
URL:            https://developers.yubico.com/yubikey-manager/
Source0:        https://developers.yubico.com/yubikey-manager/Releases/yubikey_manager-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(click) >= 8
BuildRequires:  python3dist(cryptography) >= 3
BuildRequires:  python3dist(fido2) >= 1
BuildRequires:  python3dist(keyring) >= 23.4
BuildRequires:  python3dist(poetry-core) >= 2
BuildRequires:  python3dist(pyscard) >= 2
Recommends:     pcsc-lite
# This contains the udev rules for setting device permissions
Recommends:     ykpers
%{?python_provide:%python_provide python3-%{name}}
Obsoletes:      python3-yubikey-manager < 4.0.9
Provides:       python3-yubikey-manager = %{version}-%{release}

%description
Yubikey manager command-line tool for configuring any YubiKey security key over
USB.

%prep
%autosetup -p1 -n yubikey_manager-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ykman yubikit
install -dm0755 %{buildroot}%{_datadir}/bash-completion/completions
install -dm0755 %{buildroot}%{_datadir}/fish/vendor_completions.d
install -dm0755 %{buildroot}%{_datadir}/zsh/site-functions

# generate shell completion files
_YKMAN_COMPLETE=bash_source PYTHONPATH="%{buildroot}%{python3_sitelib}" "%{buildroot}%{_bindir}"/ykman > "%{buildroot}%{_datadir}"/bash-completion/completions/ykman
_YKMAN_COMPLETE=fish_source PYTHONPATH="%{buildroot}%{python3_sitelib}" "%{buildroot}%{_bindir}"/ykman > %{buildroot}%{_datadir}/fish/vendor_completions.d/ykman.fish
_YKMAN_COMPLETE=zsh_source PYTHONPATH="%{buildroot}%{python3_sitelib}" "%{buildroot}%{_bindir}"/ykman > %{buildroot}%{_datadir}/zsh/site-functions/_ykman

#check
# DO NOT ATTEMPT TO RUN the TESTS!
# They will delete all data on a connected Yubikey

%files -f %{pyproject_files}
%doc NEWS README.adoc
%license COPYING
%{_bindir}/ykman
%{_datadir}/bash-completion/completions/ykman
%{_datadir}/fish/vendor_completions.d/ykman.fish
%{_datadir}/zsh/site-functions/_ykman
