Name:           yubikey-personalization-gui
Version:        3.1.25
Release:        %mkrel 5
Summary:        GUI for Yubikey personalization
Group:          Graphics/Utilities
License:        BSD
URL:            https://opensource.yubico.com/yubikey-personalization-gui/
Source0:        https://opensource.yubico.com/yubikey-personalization-gui/releases/%{name}-%{version}.tar.gz
BuildRequires:  yubikey-devel >= 1.11
BuildRequires:  ykpers-devel >= 1.14.1
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)

%description
Yubico's YubiKey can be re-programmed with a new AES key. This is a graphical
tool that makes this an easy task.

%prep
%setup -q

%build
%{qmake_qt5} "CONFIG+=fedora"
%make_build

%install
install -D -p -m 0755 build/release/%{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 0644 resources/lin/%{name}.1 \
    %{buildroot}%{_mandir}/man1/%{name}.1

mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -p -m 0644 resources/lin/%{name}.xpm %{buildroot}/%{_datadir}/pixmaps/
install -p -m 0644 resources/lin/%{name}.png %{buildroot}/%{_datadir}/pixmaps/

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
    resources/lin/%{name}.desktop

%files
%doc NEWS README COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*
