Name:           zam-plugins
Version:        4.3
Release:        %mkrel 1
Summary:        A collection of LV2/LADSPA/JACK audio plugins
License:        GPLv2+ and ISC
Group:          System/Libraries
URL:            https://www.zamaudio.com/
# Run './mk-tar <version>' in SOURCES to create tarball with git submodules included
Source0:        %{name}-%{version}.tar.gz
Source1:        mk-tar

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ladspa-devel
BuildRequires:  pkgconfig(fftw3) >= 3.3.5
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(x11)
BuildRequires:  zita-convolver-devel >= 4.0.3

# Packaged in error but may be introduced later
Obsoletes:      vst3-zam-plugins < 4.1-3.mga9
Obsoletes:      clap-zam-plugins < 4.1-3.mga9

%description
zam-plugins is a collection of LV2/LADSPA/VST/JACK audio plugins
for sound processing developed in-house at ZamAudio.


%package -n lv2-zam-plugins
Summary:        A collection of LV2/LADSPA/JACK audio plugins. LV2 version
Requires:       lv2 >= 1.8.1

%description -n lv2-zam-plugins
zam-plugins is a collection of LV2/LADSPA/VST/JACK audio plugins
for sound processing developed in-house at ZamAudio.
This is the LV2 version.


%package -n ladspa-zam-plugins
Summary:        A collection of LV2/LADSPA/JACK audio plugins. LADSPA version
Requires:       ladspa

%description -n ladspa-zam-plugins
zam-plugins is a collection of LV2/LADSPA/VST/JACK audio plugins
for sound processing developed in-house at ZamAudio.
This is the LADSPA version.

%prep
%autosetup -p1

%build
# This package does not build on all arches with upstream build flags,
# so upstream build flags are split.
# These are realtime audio plugins, so we need the fastest possible math,
# flags for x86_64 are set to be compatible with most AMD and Intel CPUs,
# and to use the best possible SIMD instruction set.
flags=" -ffast-math"

%ifarch %{ix86}
flags+=" -msse -mfpmath=sse"
%endif

%ifarch x86_64
flags+=" -msse2 -mfpmath=sse"
%endif

%set_build_flags

%make_build PREFIX=%{_prefix} LIBDIR=%{_lib} USE_SYSTEM_LIBS=1 \
 BASE_OPTS="${flags}" LINK_OPTS="%{optflags}"

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_lib} USE_SYSTEM_LIBS=1
# We don't need these yet?
rm -rf %{buildroot}%{_libdir}/vst %{buildroot}%{_libdir}/vst3 %{buildroot}%{_libdir}/clap
cp -f %{_builddir}/zam-plugins-%{version}/dpf/LICENSE .

%files
%{_bindir}/*
%license NOTICE.DPF NOTICE.SFZero LICENSE
%doc README.md

%files -n lv2-zam-plugins
%{_libdir}/lv2/*
%license NOTICE.DPF NOTICE.SFZero LICENSE
%doc README.md

%files -n ladspa-zam-plugins
%{_libdir}/ladspa/*
%license NOTICE.DPF NOTICE.SFZero LICENSE
%doc README.md
