%define	major 1
%define libname %mklibname zap %{major}
%define develname %mklibname zap -d

%define OCT6114_064_VERSION   1.05.01
%define OCT6114_128_VERSION   1.05.01
%define TC400M_VERSION        MR6.12
%define VPMADT032_VERSION     1.07

Summary:	Zapata Telecom Library
Name:		zapata
Version:	1.4.12.1
Release:	%mkrel 17
License:	GPLv2
Group:		System/Libraries
URL:            https://www.asterisk.org/
Source0:	https://downloads.asterisk.org/pub/telephony/zaptel/zaptel-%{version}.tar.gz
Source10:	https://downloads.digium.com/pub/telephony/firmware/releases/zaptel-fw-oct6114-064-%{OCT6114_064_VERSION}.tar.gz
Source11:	https://downloads.digium.com/pub/telephony/firmware/releases/zaptel-fw-oct6114-128-%{OCT6114_128_VERSION}.tar.gz
Source12:	https://downloads.digium.com/pub/telephony/firmware/releases/zaptel-fw-tc400m-%{TC400M_VERSION}.tar.gz
Source13:	https://downloads.digium.com/pub/telephony/firmware/releases/zaptel-fw-vpmadt032-%{VPMADT032_VERSION}.tar.gz
Source100:	autoconf.h
Patch0:		zaptel-1.4.12.1-printf.diff
Patch1:		zaptel-1.4.12.1-makefile.diff
Patch2:		zaptel-1.4.12.1-firmware.diff
Patch3:		zaptel-1.4.12-missing-include.patch
BuildRequires:	libtool
BuildRequires:	kernel-devel
BuildRequires:	wget

%description
The Zapata library implements function calls allowing the user
easy access to the telephony functionality.


%package	firmware
Summary:	Shared Zapata Telecom Library
Group:          System/Libraries

%description 	firmware
The Zapata library implements function calls allowing the user
easy access to the telephony functionality.  These are firmware files.

%package -n	%{libname}
Summary:	Shared Zapata Telecom Library
Group:          System/Libraries
Requires:	zapata

%description -n	%{libname}
The Zapata library implements function calls allowing the user
easy access to the telephony functionality.

%package -n	%{develname}
Summary:	Zapata Telecom Library development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	libzap-devel = %{version}

%description -n	%{develname}
The Zapata library implements function calls allowing the user
easy access to the telephony functionality.

This package contains the development library and its header
files for the Zapata Telecom Library.

%package -n	perl-%{name}
Summary:	Zapata Telecom Library perl files
Group:		Development/Perl
Provides:	%{name}-perl = %{version}

%description -n	perl-%{name}
The Zapata library implements function calls allowing the user
easy access to the telephony functionality.

This package contains the perl library and its header
files for the Zapata Telecom Library.

%prep
%setup -q -n zaptel-%{version}
%patch -P 0 -p1 -b .fprintf
%patch -P 1 -p1 -b .kernel
%patch -P 2 -p0 -b .firmware
%patch -P 3 -p1 -b .include

install -Dpm 644 %{SOURCE100} .

# skip downloading firmwares
for i in %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13};do
 # "download"
 install -Dpm 644 $i firmware/
 # extract
 tar -xvf $i -C ./firmware/
done

%build
%configure

%make_build \
    CFLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT -Iinclude -DHAVE_STRTOQ -DSTANDALONE_ZAPATA -DZAPTEL_CONFIG=\"zaptel.conf\" -DCONFIG_FILENAME\"zaptel.conf\"" \
    prefix=%{_prefix} libdir=%{_libdir}

%install
install -d %{buildroot}/%{_initrddir}
install -d %{buildroot}/%{_sysconfdir}
install -d %{buildroot}/etc/sysconfig
install -m0644 zaptel.conf.sample %{buildroot}/%{_sysconfdir}/zaptel.conf
install -m0755 zaptel.init %{buildroot}/%{_initrddir}/zaptel
install -m0644 zaptel.sysconfig %{buildroot}/etc/sysconfig/zaptel
rm -rf %{buildroot}

%make_install \
    libdir=%{_libdir} \
    includedir=%{_includedir} \
    PERLLIBDIR=%{perl_vendorlib}

# (cg) Fix udev rules location
mkdir -p %{buildroot}%{_prefix}/lib
mv %{buildroot}%{_sysconfdir}/udev %{buildroot}%{_prefix}/lib/

# skip static lib
find %{buildroot} -name "*.a" -delete

%post
%_post_service zaptel

%preun
%_preun_service zaptel

%files
%{_sysconfdir}/zaptel.conf
#{_initrddir}/zaptel
#{_sysconfdir}/sysconfig/zaptel
%{_sysconfdir}/hotplug/usb/xpp_fxloader
%{_sysconfdir}/hotplug/usb/xpp_fxloader.usermap
%{_udevrulesdir}/xpp.rules
/sbin/fxotune
/sbin/ztcfg
/sbin/ztmonitor
/sbin/ztscan
/sbin/ztspeed
/sbin/zttest
%{_sbindir}/genzaptelconf
%{_sbindir}/lszaptel
%{_sbindir}/xpp_blink
%{_sbindir}/xpp_sync
%{_sbindir}/zaptel_hardware
%{_sbindir}/zapconf
%{_sbindir}/zt_registration
%{_mandir}/man8/fxotune.8*
%{_mandir}/man8/genzaptelconf.8*
%{_mandir}/man8/lszaptel.8*
%{_mandir}/man8/xpp_blink.8*
%{_mandir}/man8/xpp_sync.8*
%{_mandir}/man8/zapconf.8*
%{_mandir}/man8/zaptel_hardware.8*
%{_mandir}/man8/zt_registration.8*
%{_mandir}/man8/ztcfg.8*
%{_mandir}/man8/ztmonitor.8*
%{_mandir}/man8/ztscan.8*
%{_mandir}/man8/ztspeed.8*
%{_mandir}/man8/zttest.8*
%{_datadir}/zaptel/FPGA_1141.hex
%{_datadir}/zaptel/FPGA_1151.hex
%{_datadir}/zaptel/FPGA_FXS.hex
%{_datadir}/zaptel/USB_FW.hex
%{_datadir}/zaptel/init_card_1_30
%{_datadir}/zaptel/init_card_2_30
%{_datadir}/zaptel/init_card_3_30
%{_datadir}/zaptel/init_card_4_30
%{_datadir}/zaptel/init_fxo_modes
%{_datadir}/zaptel/xpp_fxloader


%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%exclude %{_libdir}/libtonezone.so

%files -n perl-%{name}
%{perl_vendorlib}/Zaptel.pm
%{perl_vendorlib}/Zaptel

%files firmware
/lib/firmware/.zaptel*
/lib/firmware/zaptel*
/usr/lib/hotplug/firmware/.zaptel*
/usr/lib/hotplug/firmware/zaptel*

