%define _disable_ld_no_undefined %nil

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/zathura/.*\\.so

# explicitly set zathura version because plugins (like djvu, ps and pdf-poppler)
# should absolutely be rebuilded at each new release otherwise zathura crashes, see
# mga#32937
%define zathura_version 0.5.11

Name:		zathura-pdf-poppler
Version:	0.3.3
Release:	%mkrel 2
Summary:	PDF support for zathura via poppler
Group:		Publishing
License:	zlib
URL:		https://pwmt.org/projects/zathura-pdf-poppler/
Source0:	https://pwmt.org/projects/zathura-pdf-poppler/download/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(zathura) >= %{zathura_version}
BuildRequires:	pkgconfig(poppler-glib)

Requires:	zathura = %{zathura_version}

%description
The zathura-pdf-poppler plugin adds PDF support to zathura by using
the poppler rendering engine.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS
%license LICENSE
%{_libdir}/zathura/libpdf-poppler.so
%{_datadir}/applications/org.pwmt.zathura-pdf-poppler.desktop
%{_metainfodir}/org.pwmt.zathura-pdf-poppler.metainfo.xml
