%define _disable_ld_no_undefined %{nil}

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/zathura/.*\\.so

# explicitly set zathura version because plugins (like djvu, ps and pdf-poppler)
# should absolutely be rebuilded at each new release otherwise zathura crashes, see
# mga#32937
%define zathura_version 0.5.11

Name:		zathura-ps
Version:	0.2.8
Release:	%mkrel 2
Summary:	PS support for zathura via libspectre
Group:		Publishing
License:	zlib
URL:		https://pwmt.org/projects/zathura/plugins/%{name}
Source0:	https://pwmt.org/projects/zathura-ps/download/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(libspectre)
BuildRequires:	pkgconfig(zathura) = %{zathura_version}

Requires:	zathura = %{zathura_version}

%description
The zathura-ps plugin adds PostScript support to zathura by
using the libspectre library.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS
%license LICENSE
%{_libdir}/zathura/libps.so
%{_datadir}/applications/org.pwmt.zathura-ps.desktop
%{_metainfodir}/org.pwmt.zathura-ps.metainfo.xml
