# WARNING: for packagers at each new zathura release all zathura-plugins
# (like djvu, ps and pdf-poppler) should absolutely be rebuilded otherwise
# zathura crashes, see mga#32937

Name:		zathura
Version:	0.5.11
Release:	%mkrel 1
Summary:	A lightweight document viewer
Group:		Publishing
License:	zlib
URL:		https://pwmt.org/projects/zathura/
Source0:	https://github.com/pwmt/zathura/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(girara-gtk3) >= 0.4.4
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	appstream-util
BuildRequires:	file-devel
BuildRequires:	meson
BuildRequires:	python3-sphinx
BuildRequires:	rsvg
BuildRequires:	x11-server-xvfb

# mga#32937
Recommends:	zathura-pdf-poppler
Suggests:	zathura-djvu
Suggests:	zathura-ps
Suggests:	zathura-cb

%description
Zathura is a highly customizable and functional document viewer.
It provides a minimalistic and space saving interface as well as
an easy usage that mainly focuses on keyboard interaction.

Zathura requires plugins to support document formats. For instance:
  * zathura-pdf-poppler to open PDF files,
  * zathura-ps to open PostScript files,
  * zathura-djvu to open DjVu files,
  * zathura-cb to open Comic book files.

All of these are available as separate packages.

A zathura-plugins meta-package is available if you want
to install all available plugins.

%package devel
Summary:	Development files for the zathura PDF viewer
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files for the zathura PDF viewer.

%package plugins
Summary:	Meta-package for all Zathura plugins
Group:		Publishing
Requires:	zathura-cb
Requires:	zathura-djvu
Requires:	zathura-pdf-poppler
Requires:	zathura-ps

%description plugins
This package provides all Zathura plugins.

%prep
%autosetup -p1

%build
%meson \
	-Dsynctex=disabled
%meson_build

%install
%meson_install

#dir for plugins
mkdir -p %{buildroot}%{_libdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc README*
%dir %{_libdir}/%{name}
%{_bindir}/%{name}
%{_bindir}/%{name}-sandbox
%{_mandir}/man*/*
%{_datadir}/applications/org.pwmt.zathura.desktop
%{_iconsdir}/hicolor/*/apps/org.pwmt.zathura.{png,svg}
%{_metainfodir}/org.pwmt.zathura.appdata.xml
%{_datadir}/dbus-1/interfaces/org.pwmt.zathura.xml
%{_datadir}/bash-completion/completions/zathura
%{_datadir}/zsh/site-functions/_zathura
%{_datadir}/fish/vendor_completions.d/zathura.fish

%files devel
%{_includedir}/zathura/
%{_libdir}/pkgconfig/zathura.pc

%files plugins
