%bcond_without qt5

%define major		0
%define gi_major	1.0
%define libname		%mklibname %{name} %{major}
%define libgir		%mklibname %{name}-gir %{gi_major}
%define libgtk		%mklibname %{name}gtk %{major}
%define libqt		%mklibname %{name}qt %{major}
%define	devname		%mklibname %{name} -d

Name:		zbar
Summary:	Bar Code Reader software suite for reading bar codes from various sources
Version:	0.23.93
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphics/Utilities
URL:		https://github.com/mchehab/zbar
Source0:	https://www.linuxtv.org/downloads/zbar/zbar-%{version}.tar.gz
Source1:	zbar-qt.pc.in
Source2:	zbar-qt5.pc.in
Source3:	gettext.h
Patch0:		use_python3_on_python_script.patch
Patch1:		0001-configure.ac_Do-not-use-hardcoded-pkg-config-command.patch
Patch2:		0001-configure.ac_Use-old-way-to-detect-Qt5.patch

BuildRequires:	git
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libv4l1)
BuildRequires:	gettext-devel
%if %{with qt5}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
%endif
BuildRequires:	xmlto-notex
BuildRequires:	pkgconfig(GraphicsMagick)
Requires:	graphicsmagick

%description
ZBar Bar Code Reader is an open source software suite for reading bar
codes from various sources, such as video streams, image files and raw
intensity sensors. It supports EAN-13/UPC-A, UPC-E, EAN-8, Code 128,
Code 39, Interleaved 2 of 5 and QR Code.  Included with the library
are basic applications for decoding captured bar code images and using
a video device (e.g. webcam) as a bar code scanner.  For application
developers, language bindings are included for C, C++, Python and Perl
as well as GUI widgets for Qt, GTK and PyGTK.

%package -n %{libname}
Summary: ZBAR Libraries
Group: Graphics/Utilities

%description -n %{libname}
Libraries for the ZBar Bar Code Reader.

%package -n %{libgtk}
Summary: ZBAR Libraries
Group: Graphics/Utilities
Conflicts: %{_lib}zbar0 < %{version}-%{release}
Requires: %{libgir} = %{version}-%{release}

%description -n %{libgtk}
Libraries for the ZBar Bar Code Reader.

%package -n %{libgir}
Group: System/Libraries
Summary: GObject Introspection interface description for %{name}
Requires: %{libname} = %{version}-%{release}

%description -n %{libgir}
GObject Introspection interface description for %{name}.

%package -n %{libqt}
Summary: ZBAR Libraries
Group: Graphics/Utilities
Conflicts: %{_lib}zbar0 < %{version}-%{release}

%description -n %{libqt}
Libraries for the ZBar Bar Code Reader.

%package -n %{devname}
Summary: ZBAR Development headers and libraries
Group: Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}
Requires: %{libgtk} = %{version}
Requires: %{libgir} = %{version}
%if %{with qt5}
Requires: %{libqt} = %{version}
%endif
Obsoletes: %{_lib}zbar0-devel < %{version}-%{release}

%description -n %{devname}
Development headers and libraries for the ZBar Bar Code Reader.

%package -n python3-%{name}
Summary: Python 3 bindings for ZBAR
Group: Graphics/Utilities

Provides: python-zbar = %{version}-%{release}

%description -n python3-%{name}
Python 3 bindings for the ZBar Bar Code Reader.

%files -f %{name}.lang
%{_bindir}/zbarimg
%{_bindir}/zbarcam
%{_bindir}/zbarcam-gtk
%if %{with qt5}
%{_bindir}/zbarcam-qt
%endif
%doc %{_docdir}/%{name}/
%{_mandir}/man1/zbarimg.1*
%{_mandir}/man1/zbarcam.1*

%files -n %{libname}
%{_libdir}/libzbar.so.%{major}{,.*}

%files -n %{libgtk}
%{_libdir}/libzbargtk.so.%{major}{,.*}

%if %{with qt5}
%files -n %{libqt}
%{_libdir}/libzbarqt.so.%{major}{,.*}
%endif

%files -n python3-%{name}
%{python3_sitearch}/zbar.so

%files -n %{libgir}
%{_libdir}/girepository-1.0/ZBar-%{gi_major}.typelib

%files -n %{devname}
%dir %{_includedir}/zbar
%{_includedir}/zbar.h
%{_includedir}/zbar/*.h
%{_sysconfdir}/dbus-1/system.d/org.linuxtv.Zbar.conf
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libzbar.so
%{_libdir}/libzbargtk.so
%if %{with qt5}
%{_libdir}/libzbarqt.so
%endif
%{_datadir}/gir-1.0/ZBar-%{gi_major}.gir

#--------------------------------------------------------------------

%prep
%autosetup -p1

cp -a %{SOURCE1} .
cp -a %{SOURCE2} .
cp -a %{SOURCE3} ./zbar

%build
autoreconf -vfi
%configure \
	--disable-static \
	%{?!with_qt5:--without-qt5} \
	--with-gtk=auto \
	--with-python=python3 \
	--with-graphicsmagick \
	--without-java
%make_build

%install
%make_install
%find_lang %{name}

# remove .la files
find %{buildroot} -name '*.la' -delete
