Summary:	Ad-hoc link-local IP autoconfiguration
Name:		zcip
Version:	4
Release:	%mkrel 22
Source0:	%{name}-%{version}.tar.bz2
Patch0:		zcip-4-alias.patch
Patch1:		zcip-4-gcc3.patch
Patch2:         zcip-4-help.patch
Patch3:         zcip-4-format_string.patch
License:	MIT
Group:		System/Networking
URL:		https://zeroconf.sourceforge.net/
BuildRequires: net1.0-devel
BuildRequires: libpcap-devel

%description
This is an implementation of the ad-hoc link-local IP autoconfiguration
algorithm described in the IETF Draft "Dynamic Configuration of IPv4
link-local addresses".

%prep
%setup -q
%patch -P 0 -p1 -b .alias
%patch -P 1 -p1 -b .gcc3
%patch -P 2 -p0
%patch -P 3 -p0

%build
%make_build CFLAGS="%optflags -DSTORAGE_DIR=\\\"%{_localstatedir}/lib/zcip\\\"" LDFLAGS="%ldflags"

%install
install -m755 zcip -D %{buildroot}/sbin/zcip
install -m644 zcip.8 -D %{buildroot}%{_mandir}/man8/zcip.8
mkdir -p %{buildroot}%{_localstatedir}/lib/zcip

%files
%doc README draft-ietf-zeroconf-ipv4-linklocal-07.txt Changelog Copyright TODO
/sbin/*
%{_mandir}/man8/*
%{_localstatedir}/lib/zcip
