Name:		zeal
Version:	0.7.2
Release:	%mkrel 1
Summary:	Offline API documentation browser
License:	GPLv3+
Group:		Development/Tools
URL:		https://zealdocs.org
Source0:	https://github.com/zealdocs/zeal/releases/download/v%{version}/zeal-%{version}.tar.xz
# help2man -N --help-option=--help-all --no-discard-stderr --version-string=${version} ./zeal > ./zeal.1
Source1:	zeal.1
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:	aarch64 x86_64

BuildRequires:	qttools6
BuildRequires:	cmake
BuildRequires:	cmake(ECM)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6WebChannel)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(xcb-keysyms)

Requires:	qtbase6-database-plugin-sqlite

%description
Zeal is a simple offline API documentation browser inspired by Dash
(OS X app), available for Linux and Windows.
 * Quickly search documentation using Alt+Space (or customised)
   hotkey to display Zeal from any place in your workspace.
 * Search in multiple sets of documentation at once.
 * Don't be dependent on your internet connection.
 * Integrate Zeal with Emacs, Sublime Text, or Vim. See Usage »
   Editor plugins for details.

%prep
%autosetup -p1

%build
%cmake_qt6 \
    -D BUILD_SHARED_LIBS:BOOL=OFF \
    -D ZEAL_RELEASE_BUILD=ON

%cmake_build

%install
%cmake_install

# install manpage from Debian
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.zealdocs.zeal.desktop
%{_metainfodir}/org.zealdocs.zeal.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_mandir}/man1/%{name}.1.*
