%define debug_package %{nil}

Summary:        Turkish spell checker library
Name:           zemberek
Version:        2.1.1
Release:        %mkrel  13
License:        MPLv1.1
Group:          Development/Java
URL:            http://zemberek.googlecode.com
Source:         http://zemberek.googlecode.com/files/%{name}-%{version}-src.zip
Source1:        zemberek-demo
Patch0:         java-source-target-version.patch
BuildRequires:  ant
BuildRequires:  java-latest-openjdk-devel
BuildRequires:  jpackage-utils
BuildRequires:  xml-commons-apis-javadoc

Requires:       java

%description
Zemberek is an open source, platform independent, 
general purpose Natural Language Processing 
library and tool-set designed for Turkic languages,
especially Turkish.

%package javadoc
Summary: Javadocs for %{name}
Group:  Development/Java
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%package docs
Summary: Documentation for %{name}
Group:  Development/Java
Requires: %{name} = %{version}-%{release}

%description docs
This package contains %{name} documentation for developers.


%prep
%setup -q -n %{name}-%{version}-src
%patch -P 0 -p1

find . -type f -name "*.class" | xargs %{__rm} -f
find . -type f -name "*.jar" | xargs %{__rm} -f

%build

%{ant} dist \
      javadocs

%install

%{__mkdir_p} %{buildroot}%{_javadir}/%{name}


%{__install} -D -m 655 dagitim/jar/zemberek-az-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-az.jar
%{__install} -D -m 655 dagitim/jar/zemberek-cekirdek-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-cekirdek.jar
%{__install} -D -m 655 dagitim/jar/zemberek-demo-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-demo.jar
%{__install} -D -m 655 dagitim/jar/zemberek-tk-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-tk.jar
%{__install} -D -m 655 dagitim/jar/zemberek-tr-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-tr.jar


# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}
%{__cp} -a build/java-docs/* %{buildroot}%{_javadocdir}/%{name}

#docs
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}-docs
%{__cp} -a dokuman/%{name}* %{buildroot}%{_docdir}/%{name}-docs/
%{__cp} -a dokuman/*txt %{buildroot}%{_docdir}/%{name}-docs/
%{__cp} -R dokuman/dil-gelistirme/* %{buildroot}%{_docdir}/%{name}-docs/

# examples (demo)
%{__install}  -D -m 655 %{_sourcedir}/zemberek-demo   %{buildroot}%{_bindir}/%{name}-demo


%files
%doc surumler.txt dokuman/lisanslar/zemberek-license.txt
%{_javadir}/*
%{_bindir}/*

%files javadoc
%{_javadocdir}/%{name}

%files docs
%{_docdir}/%{name}-docs/*
