Summary:        Utility to force unused ext2 inodes and blocks to zero
Name:           zerofree
Version:        1.1.1
Release:        %mkrel 4
License:        GPLv2
Group:          File tools
URL:            https://frippery.org/uml/
Source0:        https://frippery.org/uml/%{name}-%{version}.tgz
Source1:        https://frippery.org/uml/sparsify.c
Source2:        https://frippery.org/uml/index.html
Source3:        zerofree.sgml
Source4:        zerofree.8

BuildRequires:  e2fsprogs-devel


%description
zerofree is a utility to set unused filesystem inodes and blocks of an
ext2 filesystem to zero.  This can improve the compressibility and
privacy of an ext2 filesystem.

This tool was inspired by the ext2fs privacy (i.e. secure deletion)
patch described in a Linux kernel mailing list thread.

WARNING: The filesystem to be processed should be unmounted or mounted
read-only.  The tool tries to check this before running, but you
should be careful.


%prep
%setup -q
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .


%build
%make_build CC="gcc $RPM_OPT_FLAGS"
gcc $RPM_OPT_FLAGS sparsify.c -o sparsify -lext2fs


%install
install -D -p -m 755 zerofree $RPM_BUILD_ROOT%{_sbindir}/zerofree
install -D -p -m 755 sparsify $RPM_BUILD_ROOT%{_sbindir}/sparsify
install -D -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man8/zerofree.8


%files
%doc index.html
%license COPYING
%{_sbindir}/zerofree
%{_sbindir}/sparsify
%{_mandir}/man8/zerofree.8*
