Summary:	OpenGL-based equation viewer and solver
Name:		zhu3d
Version:	4.2.6
Release:	%mkrel 18
License:	GPLv3
Group:		Sciences/Mathematics
Url:		https://kde-apps.org/content/show.php?content=43071
Source0:	https://download.sourceforge.net/zhu3d/%{name}-%{version}.tar.gz
# https://sourceforge.net/p/zhu3d/patches/4
Source1:	%{name}.desktop
# https://sourceforge.net/p/zhu3d/patches/2
Source2:	%{name}-4.2.6-languages.tar.gz
# https://sourceforge.net/p/zhu3d/patches/2
Source3:	%{name}-4.2.6-doc.tar.gz
Patch0:		%{name}-4.2.6-path.patch
# https://sourceforge.net/p/zhu3d/bugs/3
Patch1:		%{name}-4.2.6-gentoo-qt5.patch
# https://sourceforge.net/p/zhu3d/patches/2
Patch2:		%{name}-4.2.6-add-russian.patch
# https://sourceforge.net/p/zhu3d/patches/3
Patch3:		%{name}-4.2.6-qttranslations.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(glu)
Recommends:		qttranslations5

%description
With Zhu3D you interactively can view and animate functions,
isosurfaces and a further independent parametric system.
Numerical solutions of equation systems can be found with
a precise and reliable adaptive random search. The
OpenGL-viewer supports zooming, scaling, rotating and
translating as well as filed lightning or surface properties.
Special effects are transparency, textures, fog and motion blur.

%prep
%setup -q
pushd system
tar -xf %{SOURCE2}
popd
tar -xf %{SOURCE3}
%autopatch -p1

%build
# setup compile flags is needed so that -fPIC and -DPIC will be overwritten
%set_build_flags
%qmake_qt5
%make_build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}/{work/textures,work/slideshow,system/languages}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps

install -Dm755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dpm644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -pm644 work/*.zhu %{buildroot}%{_datadir}/%{name}/work
install -pm644 work/textures/* %{buildroot}%{_datadir}/%{name}/work/textures
install -pm644 work/slideshow/* %{buildroot}%{_datadir}/%{name}/work/slideshow
install -pm644 system/*.zhu %{buildroot}%{_datadir}/%{name}/system
install -pm644 system/languages/*.qm %{buildroot}%{_datadir}/%{name}/system/languages
install -pm644 system/icons/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%files
%doc doc/* readme.txt
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/work
%dir %{_datadir}/%{name}/work/textures
%dir %{_datadir}/%{name}/work/slideshow
%dir %{_datadir}/%{name}/system
%dir %{_datadir}/%{name}/system/languages
%{_datadir}/%{name}/system/languages/%{name}*.qm
%{_datadir}/%{name}/work/*.zhu
%{_datadir}/%{name}/work/textures/*.jpg
%{_datadir}/%{name}/work/textures/*.txt
%{_datadir}/%{name}/work/slideshow/*.zhu
%{_datadir}/%{name}/work/slideshow/*.txt
%{_datadir}/%{name}/system/*.zhu
%{_iconsdir}/hicolor/64x64/apps/*.png
%{_datadir}/applications/%{name}.desktop
