# filter out bogus auto-require
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(GtkosxApplication

Summary:	A desktop wiki and outliner
Name:		zim
Version:	0.76.1
Release:	%mkrel 1
License:	GPLv2
Group:		Editors
Url:		https://www.zim-wiki.org/
Source0:	https://www.zim-wiki.org/downloads/%{name}-%version.tar.gz
Patch1:		0001-Port-to-Ayatana-AppIndicator.patch
BuildRequires:	python3-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	python3dist(pygobject)
Requires:	python3dist(pygobject)
Requires:	python3dist(simplejson)
Recommends:	python3dist(pyxdg)
Recommends:	xdg-utils

# recommends added so all plugins can be enabled and used
Recommends:	scrot
Recommends:	imagemagick
Recommends:	graphviz
Recommends:	zeitgeist
Recommends:	gnuplot
Recommends:	R-base
Recommends:	gtksourceview2

# do we really want this? >= 120MB per package
#Recommends:	texlive
#Recommends:	lilypond

BuildArch:	noarch

%description
Zim is a graphical text editor used to maintain a collection of wiki pages.
Each page can contain links to other pages, simple formatting and images.
Pages are stored in a folder structure, like in an outliner, and can have
attachments. Creating a new page is as easy as linking to a nonexistent page.
All data is stored in plain text files with wiki formatting. Various plugins
provide additional functionality, like a task list manager, an equation editor,
a tray icon, and support for version control.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zim

install -D -m 0644 data/zim.png %{buildroot}%{_iconsdir}/hicolor/64x64/mimetypes/application-x-zim-notebook.png
install -D -m 0644 data/zim.png %{buildroot}%{_iconsdir}/hicolor/64x64/mimetypes/gnome-mime-application-x-zim-notebook.png

rm -rf %{buildroot}%{_iconsdir}/ubuntu*

%find_lang %{name}

%files -f %{name}.lang -f %{pyproject_files}
%doc README.md CHANGELOG.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_metainfodir}/org.zim_wiki.Zim.appdata.xml
%{_datadir}/applications/org.zim_wiki.Zim.desktop
%{_mandir}/man1/%{name}*
%{_datadir}/mime/*
%{_iconsdir}/hicolor/*/*/*
