%define major		0
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d

Summary: 	Online handwriting recognition system with machine learning
Name: 		zinnia
Version: 	0.07
Release: 	%mkrel 5
License: 	BSD
Group: 		System/Internationalization
URL: 		https://zinnia.sourceforge.net/
Source: 	https://github.com/silverhikari/zinnia/releases/download/%{version}/zinnia-%{version}.tar.gz
Patch0:		zinnia-0.05-bindings.patch
Patch1:		zinnia-python-module-version.patch
BuildRequires:	swig
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(python3)

%description
Zinnia is a simple, customizable, and portable, online handwriting
recognition system based on Support Vector Machines. Zinnia receives
user pen strokes as a sequence of coordinate data and outputs n-best
characters sorted by their SVM confidence. To keep portability, Zinnia
doesn't have any rendering functionality. In addition to recognition,
Zinnia provides a training module that allows one to create any hand-
writing recognition systems at low-cost.

%package -n %libname
Summary:	Libraries for %name
Group:		System/Internationalization

%description -n %libname
This package contains shared libraries for %name.

%package -n %develname
Summary:	Development files for %name
Group:		System/Internationalization
Requires:	%libname = %version
Provides:	%name-devel = %version-%release

%description -n %develname
This package contains development files for %name.

%package -n perl-%name
Summary:	Perl bindings for %name
Group:		Development/Perl
Requires:	%{name} = %{version}

%description -n perl-%name
This package contains perl bindings for %name.

%package -n python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python

%description -n python3-%{name}
This package contains python3 bindings for %{name}.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

pushd swig
make perl python ruby java
popd

pushd perl
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} OPTIMIZE="%{optflags}"
popd

pushd python
sed -i 's|zinnia.VERSION|%{version}|' setup.py
CFLAGS="%{optflags} -I../" CXXFLAGS="%{optflags} -I../" LDFLAGS="-L../.libs" %py3_build
popd

%install
%make_install

%make_install -C perl

pushd python
%py3_install
popd

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/*

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}

%files -n %develname
%doc doc/*
%{_includedir}/*.h
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n perl-%name
%dir %perl_vendorarch/auto/zinnia
%perl_vendorarch/auto/zinnia/zinnia.so
%perl_vendorarch/zinnia.pm

%files -n python3-%{name}
%{python3_sitearch}/_zinnia.*.so
%{python3_sitearch}/zinnia.py*
%{python3_sitearch}/zinnia_python-*info
%{python3_sitearch}/__pycache__/zinnia.*.py*
