%define filever %(echo %version|sed s/\\\\\.//)

Name: zip
Summary: A file compression and packaging utility compatible with PKZIP
Version: 3.0
Release: %mkrel 16
License: BSD-like
Group: Archiving/Compression
URL: http://www.info-zip.org/pub/infozip/
Source0: https://downloads.sourceforge.net/infozip/%{name}%{filever}.zip
Patch0: zip-2.3-unforce-cflags.patch
Patch1: zip-2.3-noninteractivepassword+testencrypedfile.patch
Patch2: zip-3.0-format_not_a_string_literal_and_no_format_arguments.diff
Patch3: zip-3.0-LDFLAGS.diff
Patch4: zip-gnu89-build.patch
Patch8: buffer_overflow.patch
BuildRequires: pkgconfig(bzip2)

%description
The zip program is a compression and file packaging utility. Zip is analogous
to a combination of the UNIX tar and compress commands and is compatible with
PKZIP (a compression and file packaging utility for MS-DOS systems).

Install the zip package if you need to compress files using the zip program.

This version support crypto encryption.

%prep

%setup -q -n %{name}%{filever}
%patch -P 0 -p1 -b .cflags
%patch -P 1 -p0 -b .pass
%patch -P 2 -p0 -b .format_not_a_string_literal_and_no_format_arguments
%patch -P 4 -p1 -b .gnu89
%patch -P 8 -p1 -b .buffer_overflow

%build
make -ef unix/Makefile prefix=%{prefix} CFLAGS_NOOPT="-I. -DUNIX %{optflags} -D_FILE_OFFSET_BITS=64" LDFLAGS="%{ldflags}" generic_gcc

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

%make_install -f unix/Makefile prefix=%{buildroot}%{_prefix} MANDIR=%{buildroot}%{_mandir}/man1

%files
%doc BUGS CHANGES INSTALL README TODO WHATSNEW WHERE LICENSE
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man1/*


