%define major     2
%define libname   %mklibname zipios %{major}
%define develname %mklibname zipios -d

Name:           zipios
Version:        2.3.2
Release:        %mkrel 1
License:        LGPLv2+
Summary:        C++ library for reading and writing Zip files
Group:          Development/C++
URL:            https://github.com/Zipios/Zipios
Source0:        https://github.com/Zipios/Zipios/archive/%{version}/Zipios-%{version}.tar.gz
Patch1:         fix_cstdint_include.patch
BuildRequires:  cmake
BuildRequires:  libstdc++-devel
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  graphviz
BuildRequires:  ImageMagick
BuildRequires:  doxygen
Obsoletes:      zipios++ < 2.2.5.0

%description
Zipios is a java.util.zip-like C++ library for reading and writing Zip files. Access to
individual entries is provided through standard C++ iostreams. A simple read-only virtual
file system that mounts regular directories and zip files is also provided.

%package -n %{libname}
Summary:        A java.util.zip-like C++ library for reading and writing Zip files
Group:          System/Libraries
Obsoletes:      %{_lib}zipios++2 < 2.2.5.0

%description -n %{libname}
Zipios is a java.util.zip-like C++ library for reading and writing Zip files. Access to
individual entries is provided through standard C++ iostreams. A simple read-only virtual
file system that mounts regular directories and zip files is also provided

%package -n %{develname}
Summary:        Header files for zipios
Group:          Development/C++
Provides:       %{name}++-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      %{_lib}zipios++-devel < 2.2.5.0

%description -n %{develname}
The header files are only needed for development of programs using the zipios.

%prep
%autosetup -p1 -n Zipios-%{version}

# install cmake config files into '/usr/lib(64)/cmake/'
sed --i 's|share/cmake/ZipIos|%{_lib}/cmake/ZipIos|' cmake/CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_bindir}/appendzip
%{_bindir}/dosdatetime
%{_bindir}/zcrc32
%{_bindir}/zipdir
%{_bindir}/zipios
%{_metainfodir}/zipios.metainfo.xml

%files -n %{libname}
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libzipios.so.%{major}{,.*}

%files -n %{develname}
%doc %{_docdir}/zipios/html
%{_libdir}/cmake/ZipIos/
%{_libdir}/libzipios.so
%{_mandir}/man3/*.3.*
%{_includedir}/zipios/
