%define	major	    0
%define	libname	    %mklibname %{name} %{major}
%define	develname   %mklibname %{name} -d

Name:		zita-alsa-pcmi
Summary:	Provides easy access to ALSA PCM devices
Version:	0.6.1
Release:	%mkrel 1
License:	GPLv3
Group:		System/Libraries
URL:		https://kokkinizita.linuxaudio.org/linuxaudio/
Source0:	https://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2

Patch0:		zita-alsa-pcmi-0.6.1-mga-flags.patch
Patch1:		zita-alsa-pcmi-0.6.1-apps_Makefile.patch
Patch2:		zita-alsa-pcmi-0.6.1-mga-fix_local_include.patch
Patch3:		zita-alsa-pcmi-0.6.1-mga-fix_bin_path.patch

BuildRequires:	ecasound-devel

%description
Zita-alsa-pcmi is the successor of clalsadrv. It provides easy access
to ALSA PCM devices, taking care of the many functions required to
open, initialize and use a hw: device in mmap mode, and providing
floating point audio data.

#--------------------------------------------------------------------

%package  utils
Summary:    ALSA utilities using the %{name} library
Group:      Sound/Mixers 
# The following are GPLv2+ licensed:
# /apps/alsa_delay.cc, /apps/alsa_loopback.cc, /apps/mtmd.cc /apps/mtdm.cc
License:	GPLv2+ and GPLv3+

%description utils
ALSA utilities using the %{name} library.

%files utils
%{_bindir}/alsa_delay
%{_bindir}/alsa_loopback

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	%{_lib}clalsadrv2 < 2.0.1

%description -n	%{libname}
The libraries from %{name} package needed by Aeolus.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{develname}
Group:		Development/Other
Summary:	Development files for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}clalsadrv-devel < 2.0.1

%description -n	%{develname}
This package contains the headers and development libraries for %{name}.

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

sed -e 's:ldconfig::' -i source/Makefile

%build
export OPTFLAGS="%{optflags}"
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir} BINDIR=%{_bindir} -C source
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir} BINDIR=%{_bindir} -C apps

%install
%make_install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir} BINDIR=%{_bindir} -C source
%make_install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir} BINDIR=%{_bindir} -C apps

# (tv) fix debuginfo:
chmod +x %{buildroot}%{_libdir}/*.so*
