%global major  4
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:          zita-convolver
Summary:       Convolution engine library
Version:       4.0.3
Release:       %mkrel 3
License:       GPLv3+
Group:         System/Libraries
URL:           https://kokkinizita.linuxaudio.org/
Source0:       https://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2

BuildRequires: fftw-devel
BuildRequires: gcc-c++

%description
%{name} is a fast, partitioned convolution engine library.

%package -n %{libname}
Summary:       Fast, partitioned convolution engine library
Group:         System/Libraries

%description -n %{libname}
%{name} is a fast, partitioned convolution engine library.

%package -n %{devname}
Summary:       Fast, partitioned convolution engine library
Group:         System/Libraries
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{devname}
%{name} is a fast, partitioned convolution engine library. This package
contains libraries and header files for developing applications that use
%{name}.

%prep
%autosetup -p1

# No need to call ldconfig during packaging
sed -i '\|ldconfig|d' source/Makefile
# Preserve timestamps
sed -i 's|install |install -p |' source/Makefile
# Force optflags
sed -i 's|-march=native|%{optflags}|' source/Makefile

%build
pushd source
%make_build  PREFIX=%{_prefix} 
popd

%install
pushd source
%make_install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir}
popd

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS
%license COPYING
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
