Name:		znc
Version:	1.9.1
Release:	%mkrel 6
License:	GPLv2+
Summary:	An IRC bouncer with many advanced features
Group:		Networking/IRC
URL:		https://wiki.znc.in/ZNC
Source0:	https://znc.in/releases/%{name}-%{version}.tar.gz

BuildRequires:		systemd-units
Requires(pre):		shadow-utils
Requires(post):		systemd-units
Requires(preun):	systemd-units
Requires(postun):	systemd-units

BuildRequires:		cmake
BuildRequires:		swig
BuildRequires:		boost-devel
BuildRequires:		gettext-devel
BuildRequires:		icu-devel
BuildRequires:		perl-devel
BuildRequires:		perl(ExtUtils::Embed)
BuildRequires:		pkgconfig(libcares)
BuildRequires:		pkgconfig(libsasl2)
BuildRequires:		pkgconfig(openssl) >= 1.1
BuildRequires:		pkgconfig(python3)
BuildRequires:		pkgconfig(tcl)
BuildRequires:		pkgconfig(libsystemd)
BuildRequires:		pkgconfig(zlib)

Obsoletes:		znc-extra <= %{version}-%{release}

%description
ZNC is an IRC bouncer with many advanced features like detaching,
multiple users, per channel playback buffer, SSL, IPv6, transparent
DCC bouncing, Perl and C++ module support to name a few.

%package devel
Summary:	Development files needed to compile ZNC modules
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel
All includes and program files you need to compile your own znc
modules.

%package modperl
Summary:	perl module for ZNC
Group:		Development/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	perl
Provides:	perl(ZNC::Module) = %{version}-%{release}

%description modperl
perl module for ZNC.

%package modpython
Summary:	python3 module for ZNC
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3

%description modpython
python3 module for ZNC.

%prep
%autosetup -p1

# drop pregenerated perl and python files
rm -rf modules/*/generated.tar.gz

%build
%cmake \
	-DWANT_IPV6=1 \
	-DWANT_PYTHON=1 \
	-DWANT_PERL=1 \
	-DWANT_TCL=1 \
	-DWANT_CYRUS=1 \
	-DWANT_SYSTEMD=1 \
	-DSYSTEMD_DIR=%{_unitdir} \
	-DWANT_PYTHON_VERSION=python3 \
	-DWANT_SWIG=1

%cmake_build

%pre
getent group znc >/dev/null || groupadd -r znc
getent passwd znc >/dev/null || \
    useradd -r -g znc -d /var/lib/znc -s /sbin/nologin \
    -c "Account for ZNC to run as" znc
mkdir -p /var/lib/znc
chown znc:znc /var/lib/znc
#exit 0

%install
%cmake_install

%find_lang %{name} --all-name

%post
%_post_service %{name}

%preun
%_preun_service %{name}


%files -f %{name}.lang
%doc ChangeLog.md NOTICE README.md
%license LICENSE
%{_libdir}/%{name}/
%exclude %{_libdir}/%{name}/modperl*
%exclude %{_libdir}/%{name}/perleval.pm
%exclude %{_libdir}/%{name}/modpython*
%{_bindir}/znc
%{_datadir}/znc/
%{_unitdir}/znc.service
%{_mandir}/man1/znc-buildmod.1.*
%{_mandir}/man1/znc.1.*

%files devel
%doc ChangeLog.md NOTICE README.md
%{_bindir}/znc-buildmod
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/znc/

%files modperl
%doc ChangeLog.md NOTICE README.md
%{_libdir}/znc/modperl/
%{_libdir}/znc/modperl.so
%{_libdir}/znc/perleval.pm

%files modpython
%doc ChangeLog.md NOTICE README.md
%{_libdir}/znc/modpython/
%{_libdir}/znc/modpython.so
