## NOTE tainted repo only
%define tainted 1
%define zmuid   apache
%define zmgid   apache
%define uname   ZoneMinder
%define moover  1.3.2

%global __requires_exclude perl\\(ZoneMinder|perl\\(ONVIF|perl\\(WSNotification|perl\\(WSDiscovery|perl\\(WSDiscovery10|perl\\(WSSecurity
%global __provides_exclude perl\\(ZoneMinder|perl\\(ONVIF|perl\\(WSNotification|perl\\(WSDiscovery|perl\\(WSDiscovery10|perl\\(WSSecurity

%bcond_without pcre

Name:           zoneminder
Version:        1.37.61
Release:        %mkrel 3
Summary:        Video Camera and CCTV Security with Motion Detection
Group:          Security
URL:            https://www.zoneminder.com/
License:        GPLv2+ and LGPLv2+ and MIT
# Included Mootools is under the MIT license: https://mootools.net/
# https://www.opensource.org/licenses/mit-license.php
# CakePHP is under the MIT license: https://github.com/cakephp/cakephp
# Crud is under the MIT license: https://github.com/FriendsOfCake/crud
# CakePHP-Enum-Behavior is under the MIT license: https://github.com/asper/CakePHP-Enum-Behavior

## NOTE Use mk-tar script to create tarball as upstream release tarball excludes git submodules.
## NOTE Do not use mgarepo sync -d
Source0:        %{uname}-%{version}.tar.gz
Source2:        %{name}.conf
Source3:        redalert.wav
Source4:        README.Mageia
Source6:        zmrestart
Source7:        zmstop
Source8:        zmsetup
Source9:        %{name}.service
Source10:       %{name}-tmpfiles.conf
Source11:       89-%{name}.rules
Source12:       03-mga.conf
Source13:       mk-tar

Patch1:         0001-Port-to-PCRE2.patch

BuildRequires:  cmake
# ffmpeg is needed for CMakeLists.txt to set OPT_FFMPEG
BuildRequires:  ffmpeg
BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  java-devel
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  libgcrypt-devel
BuildRequires:  mariadb-devel
BuildRequires:  json-devel

%if %{with pcre}
BuildRequires:  pkgconfig(libpcre2-8)
%endif
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libvlc)
BuildRequires:  pkgconfig(polkit-gobject-1)

%if %{tainted} == 1
BuildRequires:  pkgconfig(x264)
BuildRequires:  mp4v2-devel
%endif

# Perl modules really required for build
BuildRequires:  perl(Date::Manip)
BuildRequires:  perl(DBD::mysql)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Sys::Mmap)
BuildRequires:  perl-podlators

Requires:       cracklib-dicts
Requires:       ffmpeg
# Perl modules required but not auto-required
Requires:       perl(Archive::Zip)
Requires:       perl(DBD::mysql)
Requires:       perl(IO::Socket::SSL)
Requires:       perl(LWP::Protocol::https)
Requires:       perl(MIME::Entity)
Requires:       perl(MIME::Lite)
Requires:       perl(Net::FTP)
Requires:       perl(Net::SFTP::Foreign)
Requires:       perl(Net::SMTP)
Requires:       perl(PHP::Serialization)
Requires:       perl(Sys::CPU)
Requires:       perl(Sys::MemInfo)

Requires:       apache-mod_php
Requires:       php
Requires:       php-apcu
Requires:       php-ctype
Requires:       php-gd
Requires:       php-intl
Requires:       php-mysql
Requires:       php-pdo
Requires:       php-pdo_mysql
Requires:       php-sockets
Requires:       php-sysvsem

Requires(post): rpm-helper >= %{rpmhelper_required_version}
Requires(preun): rpm-helper >= %{rpmhelper_required_version}

Recommends:     mysql

%description
A CCTV security package with remote access, motion detection and recording.
ZoneMinder is intended for use in single or multi-camera video security
applications, including commercial or home CCTV. It supports capture,
analysis, recording, and monitoring of video data coming from one or more
video or network cameras attached to a Linux system. 
ZoneMinder also supports web and semi-automatic control of Pan/Tilt/Zoom
cameras using a variety of protocols.
It is designed to run on distributions which support the Video For Linux (V4L)
interface and has been tested with video cameras attached to BTTV cards,
various USB cameras and also supports most IP network cameras.

This package is now only in the 'Tainted' repository, due to license
restrictions on x264 and mp4v2. 

%prep
%autosetup -p1 -n %{uname}-%{version}

# Change the following default values
./utils/zmeditconfigdata.sh ZM_HTTP_VERSION 1.1
./utils/zmeditconfigdata.sh ZM_CHECK_FOR_UPDATES no
./utils/zmeditconfigdata.sh ZM_DYN_SHOW_DONATE_REMINDER no
./utils/zmeditconfigdata.sh WEB_ALARM_SOUND %{_datadir}/%{name}/sounds/redalert.wav
./utils/zmeditconfigdata.sh ZM_ENABLE_CSRF_MAGIC yes
./utils/zmeditconfigdata.sh ZM_OPT_CONTROL yes

cp %{SOURCE4} README.Mageia
cp %{SOURCE12} README.1.27.Mageia

%build

%cmake \
                %{!?with_pcre:-DZM_NO_PCRE=ON} \
                -DZM_WEB_USER=%{zmuid} \
                -DZM_WEB_GROUP=%{zmgid} \
                -DZM_CONFIG_DIR=%{_sysconfdir}/zm \
                -DZM_WEBDIR=%{_datadir}/%{name}/www \
                -DZM_CGIDIR=%{_datadir}/%{name}/cgi-bin \
                -DZM_PATH_ZMS=/zm/cgi-bin/nph-zms

%cmake_build

%install
%cmake_install

for dir in events images temp; do
    install -m 755 -d %{buildroot}%{_localstatedir}/lib/%{name}/$dir
    ln -sf %{_localstatedir}/lib/%{name}/$dir %{buildroot}%{_datadir}/%{name}/www/$dir
done
install -m 755 -d %{buildroot}%{_localstatedir}/cache/%{name}
install -D -m 755 %{SOURCE3} %{buildroot}%{_datadir}/%{name}/sounds/redalert.wav
install -D -m 755 %{SOURCE6} %{buildroot}%{_bindir}/zmrestart
install -D -m 755 %{SOURCE7} %{buildroot}%{_bindir}/zmstop
install -D -m 755 %{SOURCE8} %{buildroot}%{_bindir}/zmsetup
install -d -m 755 %{buildroot}%{_udevrulesdir}
install -D -p -m 0644 %{SOURCE11} %{buildroot}%{_udevrulesdir}/89-%{name}.rules
install -D -p -m 0644 %{SOURCE12} %{buildroot}%{_sysconfdir}/zm/conf.d/03-mga.conf
install -D -p -m 0644 %{SOURCE10} %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -d -m 755 %{buildroot}%{_localstatedir}/log/zm
install -D -m 644 scripts/zmlogrotate.conf.in %{buildroot}%{_sysconfdir}/logrotate.d/zm
install -D -m 644 %{SOURCE9} %{buildroot}%{_unitdir}/%{name}.service
install -m 755 -d %{buildroot}/var/lib/%{name}/sock
install -m 755 -d %{buildroot}/var/lib/%{name}/swap
install -m 755 -d %{buildroot}/var/lib/%{name}/temp
install -m 755 -d %{buildroot}/var/spool/%{name}-upload
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 db %{buildroot}%{_datadir}/%{name}/db
install -m 644 db/*.sql %{buildroot}%{_datadir}/%{name}/db
install -D -m 644 %{SOURCE2} %{buildroot}%{_webappconfdir}/%{name}.conf

cat > README.urpmi <<EOF

ZoneMinder is now installed.
Mageia has included a script to simplify setup.
It will:
* Help you add a mysql root password, or change an existing one.
* Help you to create a new ZoneMinder mysql database,
  or update from a previously installed version.
* Update the configuration settings in the mysql database.
* Set mysql permissions for the zoneminder user.
* Check and set a date.timezone for php.
* Start Mysql, Apache and ZoneMinder on completion.


To use it enter the following commands in a terminal:-

su

zmsetup

NOTE: After updating ZoneMinder to a new version always run zmsetup
and select to re-use your existing database.
This will allow you to update the database to be compatible with the newly
installed version of ZoneMinder, while keeping your existing events and
settings. Not opting to re-use your existing database will lose all previously
saved events, users and camera settings, as in a clean new installation.

EOF

# Remove unwanted files and folders
find %{buildroot} \( -name .htaccess -or -name .editorconfig -or -name .packlist \
                 -or -name .git -or -name .gitignore -or -name .gitattributes \
                 -or -name .travis.yml \) -type f -delete > /dev/null 2>&1 || :

# Desktop link is pointless for web app
rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop
rm -f %{buildroot}%{_datadir}/%{name}/icons/16x16/icon.xpm

# Recursively change shebang in all relevant scripts and set execute permission        
find %{buildroot}%{_datadir}/zoneminder/www/api \( -name cake -or -name cake.php \) -type f -exec sed -i 's\^#!/usr/bin/env bash$\#!%{_buildshell}\' {} \; -exec %{__chmod} 755 {} \;

# Fixes Mga#30733
rm -rf %{buildroot}%{_datadir}/zoneminder/www/api/lib/Cake/Test*

%post
%_tmpfilescreate %{name}

# Allow zoneminder access to local video sources, serial ports, and x10
%{_bindir}/gpasswd -a %{zmuid} video >/dev/null 2>&1 || :
%{_bindir}/gpasswd -a %{zmuid} dialout >/dev/null 2>&1 || :

# Make sure that service is not automatically re-started on update as
# zmsetup should be run before re-starting to avoid db errors.
if [ $1 -eq 2 ]; then
systemctl stop %{name}.service > /dev/null 2>&1
fi

%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README.md README.Mageia README.urpmi

%{_bindir}/zmaudit.pl
%{_bindir}/zmc
%{_bindir}/zmcontrol.pl
%{_bindir}/zmdc.pl
%{_bindir}/zmfilter.pl
%{_bindir}/zmcamtool.pl
%{_bindir}/zmeventtool.pl
%{_bindir}/zmpkg.pl
%{_bindir}/zmstats.pl
%{_bindir}/zmtrack.pl
%{_bindir}/zmtrigger.pl
%{_bindir}/zmu
%{_bindir}/zmupdate.pl
%{_bindir}/zmrecover.pl
%{_bindir}/zmvideo.pl
%{_bindir}/zmwatch.pl
%{_bindir}/zmsetup
%{_bindir}/zmstop
%{_bindir}/zmrestart
%{_bindir}/zmx10.pl
%{_bindir}/zmsystemctl.pl
%{_bindir}/zmonvif-probe.pl
%{_bindir}/zmtelemetry.pl
%{_bindir}/zm_rtsp_server
%{_bindir}/zmonvif-trigger.pl



%{_unitdir}/%{name}.service
%{perl_vendorlib}/*
%{_mandir}/man*/*

%dir %attr(755,%{zmuid},%{zmgid}) %{_datadir}/%{name}
%attr(755,%{zmuid},%{zmgid}) %dir %{_datadir}/%{name}/www
%attr(755,%{zmuid},%{zmgid}) %{_datadir}/%{name}/www/*
%attr(755,%{zmuid},%{zmgid})%{_datadir}/%{name}/db
%attr(755,%{zmuid},%{zmgid})%{_datadir}/%{name}/sounds
%attr(755,%{zmuid},%{zmgid})%{_datadir}/%{name}/cgi-bin

%dir %attr(755,%{zmuid},%{zmgid}) %dir %{_localstatedir}/log/zm
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/lib/%{name}
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/lib/%{name}/events
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/lib/%{name}/images
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/lib/%{name}/temp
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/lib/%{name}/sock
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/lib/%{name}/swap
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/cache/zoneminder
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/spool/%{name}-upload

# We want these two folders to have "normal" read permission
# compared to the folder contents
%dir %{_sysconfdir}/zm
%dir %{_sysconfdir}/zm/conf.d
%{_sysconfdir}/zm/conf.d/README

# Config folder contents contain sensitive info
# and should not be readable by normal users
%config(noreplace) %attr(640,root,%{zmgid}) %{_sysconfdir}/zm/zm.conf
%config(noreplace) %attr(640,root,%{zmgid}) %{_sysconfdir}/zm/conf.d/*.conf

%config(noreplace) %{_sysconfdir}/logrotate.d/zm
%config(noreplace) %{_webappconfdir}/%{name}.conf

%{_udevrulesdir}/89-%{name}.rules
%{_tmpfilesdir}/%{name}.conf
%{_datadir}/polkit-1/rules.d/com.%{name}.systemctl.rules
%{_datadir}/polkit-1/actions/com.%{name}.systemctl.policy
%{_datadir}/%{name}/fonts/default.zmfnt
%{_datadir}/%{name}/MacVendors.json
%{_datadir}/polkit-1/actions/com.%{name}.arp-scan.policy
%{_datadir}/polkit-1/rules.d/com.%{name}.arp-scan.rules
%{_includedir}/jwt-cpp/base.h
%{_includedir}/jwt-cpp/jwt.h
%{_includedir}/jwt-cpp/traits/boost-json/defaults.h
%{_includedir}/jwt-cpp/traits/boost-json/traits.h
%{_includedir}/jwt-cpp/traits/danielaparker-jsoncons/defaults.h
%{_includedir}/jwt-cpp/traits/danielaparker-jsoncons/traits.h
%{_includedir}/jwt-cpp/traits/defaults.h.mustache
%{_includedir}/jwt-cpp/traits/kazuho-picojson/defaults.h
%{_includedir}/jwt-cpp/traits/kazuho-picojson/traits.h
%{_includedir}/jwt-cpp/traits/nlohmann-json/defaults.h
%{_includedir}/jwt-cpp/traits/nlohmann-json/traits.h
%{_includedir}/picojson/picojson.h
%{_usr}/cmake/jwt-cpp-config-version.cmake
%{_usr}/cmake/jwt-cpp-config.cmake
%{_usr}/cmake/jwt-cpp-targets.cmake
