%define oname	zram

Name:		zramstart
Version:	1.0.2
Release:	%mkrel 6
Summary:	Sets up zram swap devices on boot
License:	GPLv2
Url:		https://github.com/mystilleef/FedoraZram
Group:		System/Kernel and hardware
# Cloned from a fork till the pull below is upstreamed 
# https://github.com/mystilleef/FedoraZram/pull/22/commits/815046ac2cf0d9908c3e8683a22d033ae8f69dd0
# The fork is in  sed s/mystilleef/Zecas/
#
# git clone https://github.com/mystilleef/FedoraZram.git
# cd FedoraZram
# make tarball
#
Source0:	%{oname}-%{version}.tar.bz2
# Cherry picked from a pull request
# https://github.com/mystilleef/FedoraZram/pull/24/commits/5fb69b01ace3649363e06e39f61da6ab675bd0da
Patch1:		0001-Solve-loop-in-systemd-dependencies.patch
#
# Add zram algorithm support
Patch2:		0001-add-compressor-algorithm-support.patch
#
BuildArch:	noarch
Provides:	zramswap-enabler
Provides:	zram
# For zramstat script
Requires:	bc
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description
zram compresses swap partitions into RAM for performance.

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

mv README.md README

%build
#nothing

%install
%make_install \
	PREFIX=%{_prefix} \
	SYSTEMD_UNITDIR=%{_unitdir}

%post
%_post_service mkzram

%preun
%_preun_service mkzram

%files
%doc README
%config(noreplace) %{_sysconfdir}/sysconfig/zram
%{_unitdir}/mkzram.service
%{_sbindir}/zramstart
%{_sbindir}/zramstat
%{_sbindir}/zramstop
