%define major      4
%define libname    %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Name:           zrtpcpp
Version:        4.6.6
Release:        %mkrel 5
Summary:        ZRTP support library for the GNU ccRTP stack
Group:          System/Libraries
License:        GPLv3+
URL:            https://github.com/wernerd/ZRTPCPP
Source0:        https://github.com/wernerd/ZRTPCPP/archive/V%{version}/%{name}-%{version}.tar.gz

# Look. Don't put #warning statements in header files that every application
# needs to include. Most modern things treat warnings as errors, causing every
# dependent build to fail, even if its not even calling zrtp_getSasType
Patch0:         libzrtpcpp-4.3.1-no-warning.patch

BuildRequires:  pkgconfig(libccrtp)
BuildRequires:  libgcrypt-devel
BuildRequires:  doxygen
BuildRequires:  cmake
BuildRequires:  pkgconfig(openssl)

%description
This package provides a library that adds ZRTP support to the GNU
ccRTP stack. Phil Zimmermann developed ZRTP to allow ad-hoc, easy to
use key negotiation to setup Secure RTP (SRTP) sessions. GNU ZRTP
together with GNU ccRTP (1.5.0 or later) provides a ZRTP
implementation that can be directly embedded into client and server
applications.


%package -n     %{libname}
Summary:        ZRTP support library for the GNU ccRTP stack
Group:          System/Libraries

%description -n %{libname}
This package provides a library that adds ZRTP support to the GNU
ccRTP stack. Phil Zimmermann developed ZRTP to allow ad-hoc, easy to
use key negotiation to setup Secure RTP (SRTP) sessions. GNU ZRTP
together with GNU ccRTP (1.5.0 or later) provides a ZRTP
implementation that can be directly embedded into client and server
applications.

This package contains the shared library part of ccrtp.


%package -n     %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Other

Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libnamedev}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n ZRTPCPP-%{version}
%patch -P 0 -p1 -b .nowarn

sed -i '/CMAKE_VERBOSE_MAKEFILE/d' CMakeLists.txt


%build
%cmake -DCCRTP=true
%cmake_build


%install
%cmake_install

# we don't want these
#find %%{buildroot} -name '*.la' -delete


%files -n %{libname}
%attr(0644,root,root) %doc README.md AUTHORS COPYING NEWS.md
%{_libdir}/libzrtpcpp.so.%{major}{,.*}

%files -n %{libnamedev}
%{_includedir}/libzrtpcpp
%{_libdir}/libzrtpcpp.so
%{_libdir}/pkgconfig/libzrtpcpp.pc
