#define prerel rc.2

Name:          zrythm
Version:       1.0.0
Release:       %mkrel %{?prerel:0.%prerel.}2
Summary:       A highly automated, intuitive, Digital Audio Workstation (DAW)
Group:         Sound/Editors and Converters
License:       GPLv3
URL:           https://www.zrythm.org
Source0:       https://www.zrythm.org/releases/%{name}-%{version}%{?prerel:-%prerel}.tar.xz
BuildRequires: gcc-c++
BuildRequires: gcc
BuildRequires: git
BuildRequires: gettext
BuildRequires: help2man
BuildRequires: python3
BuildRequires: sed
BuildRequires: texi2html
BuildRequires: xdg-utils
BuildRequires: ffmpeg-devel
BuildRequires: ladspa-devel
BuildRequires: pkgconfig(audec) >= 0.3.2
BuildRequires: pkgconfig(bash-completion)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtksourceview-4)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(guile-3.0)
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(lilv-0)
BuildRequires: pkgconfig(lv2)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(yaml-0.1)
BuildRequires: pkgconfig(libcyaml)
BuildRequires: pkgconfig(samplerate)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(fftw3)
BuildRequires: pkgconfig(portaudio-2.0)
BuildRequires: pkgconfig(reproc)
BuildRequires: pkgconfig(rtaudio)
BuildRequires: pkgconfig(rtmidi)
BuildRequires: pkgconfig(rubberband)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(libxdot)
BuildRequires: pkgconfig(libzstd)
BuildRequires: pkgconfig(lsp-dsp-lib)
BuildRequires: pkgconfig(libpcre)
BuildRequires: python3dist(sphinx)
BuildRequires: meson
BuildRequires: doxygen
BuildRequires: rubberband
BuildRequires: cppcheck
BuildRequires: clang-tools-extra
BuildRequires: jq
BuildRequires: flex
BuildRequires: sox
BuildRequires: tidy
BuildRequires: faust
BuildRequires: cmake
BuildRequires: pkgconfig(soxr)
BuildRequires: pkgconfig(graphene-1.0)
BuildRequires: pkgconfig(gtk4)
BuildRequires: pkgconfig(libadwaita-1)
BuildRequires: pkgconfig(libbacktrace)
BuildRequires: pkgconfig(libpanel-1)
BuildRequires: pkgconfig(libchromaprint)
BuildRequires: pkgconfig(gtksourceview-5)
BuildRequires: graphviz-devel
BuildRequires: pkgconfig(carla-host-plugin) >= 2.6.0
BuildRequires: pkgconfig(libxxhash)
BuildRequires: pkgconfig(vamp)
BuildRequires: pkgconfig(yyjson)
BuildRequires: appstream-util
BuildRequires: appstream
BuildRequires: sassc
Requires:      ladspa
Requires:      lilv
Requires:      lv2
Requires:      fftw
Requires:      jackit

%description
Zrythm is a native GNU/Linux application built with
the GTK+3 toolkit and using the JACK Connection Kit for audio I/O.
Zrythm can automate plugin parameters using built in LFOs and envelopes
and is designed to be intuitive to use.


%prep
%autosetup -p1 -n %{name}-%{version}%{?prerel:-%prerel} 

%build
%meson -Dsdl=enabled \
       -Drtmidi=enabled \
       -Drtaudio=enabled \
       -Dportaudio=disabled \
       -Dbuild_plugins_with_static_libs=false
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.md CONTRIBUTING.md CHANGELOG.md
%{_bindir}/%{name}
%{_bindir}/%{name}_gdb
%{_bindir}/%{name}_launch
%{_bindir}/%{name}_valgrind
%{_libdir}/%{name}
%{_datadir}/applications/org.%{name}.Zrythm.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%{_datadir}/fonts/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/%{name}/
%{_datadir}/metainfo/org.%{name}.Zrythm.appdata.xml
%{_datadir}/mime/packages/org.%{name}.Zrythm-mime.xml
%{_mandir}/man1/%{name}.1.*
