Name:           zug
Version:        0.1.1
Release:        %mkrel 1
Summary:        C++ library providing transducers
License:        BSL-1.0
Group:          System/Libraries
URL:            https://sinusoid.es/zug/
Source0:        https://github.com/arximboldi/zug/archive/v%{version}/%{name}-%{version}.tar.gz
# Header-only packages
BuildArch:      noarch
BuildRequires:  cmake
BuildRequires:  cmake(Catch2)


%description
zug is a C++ library providing transducers. Transducers are composable
sequential transformations independent of the source. They are extremely
lightweight, and can be used to express algorithms over pull-based sequences
(iterators, files) but also push based sequences (signals, events,
asynchronous streams) in a generic way.

%package devel
Summary:        Development files for %{name}
Group:          Development/C++

%description devel
Development files (Headers etc.) for %{name}.

zug is a C++ library providing transducers. Transducers are composable
sequential transformations independent of the source. They are extremely
lightweight, and can be used to express algorithms over pull-based sequences
(iterators, files) but also push based sequences (signals, events,
asynchronous streams) in a generic way.

%prep
%autosetup -p1

sed -i 's|zug VERSION 0.1.0|zug VERSION %{version}|' CMakeLists.txt

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_datadir}
%cmake_build

%install
%cmake_install

%files devel
%doc README.rst
%license LICENSE
%{_includedir}/%{name}/
%{_datadir}/cmake/Zug/
