%define git_name      zuki-themes
%define theme_name    Zukitwo
%define theme3_name   Zukitre
%define shell_name    Zuki-shell

%define url_ver       %(echo %{version}|cut -d. -f1,2)
%define patchlevel    %(echo %{version}|cut -d. -f3)

Name:           zukitwo
Epoch:          1
Version:        3.38.1
Release:        %mkrel 2
Summary:        Themes for GTK+2, GTK+3, Metacity, GNOME Shell and Xfwm4
Group:          Graphical desktop/Other
License:        GPLv3
URL:            https://lassekongo83.deviantart.com/art/Zukitwo-203936861
# Master branch is for GTK 3.32 and later:
Source0:        https://github.com/lassekongo83/zuki-themes/archive/v%{url_ver}-%{patchlevel}/%{name}-%{url_ver}-%{patchlevel}.tar.gz
Patch1:         0001-Gnome-40-compatibility.patch
Patch2:         0002-Some-tweaks.patch
BuildArch:      noarch
BuildRequires:  git-core
BuildRequires:  meson
BuildRequires:  sassc

%description
The %{theme_name} themes for GTK+2, GTK+3, GNOME Shell and Xfwm4.

#-----------------------------------------------------
%package -n     gnome-shell-theme-%{name}
Summary:        %{theme_name} GNOME Shell theme
Group:          Graphical desktop/GNOME
Requires: 	gnome-shell-extensions-user-theme >= 3.20
Requires:       google-droid-sans-fonts

%description -n gnome-shell-theme-%{name}
%{theme_name} GNOME Shell theme.

#-----------------------------------------------------
%package        gtk2-theme
Summary:        %{theme_name} GTK+2 themes
Group:          Graphical desktop/Other
Obsoletes:      %{name}-common < 1:3.32.4
Requires:       gtk2-murrine-engine

%description    gtk2-theme
Themes for GTK+2 as part of the %{theme_name} theme.

#-----------------------------------------------------
%package        gtk3-theme
Summary:        %{theme_name} GTK+3 themes
Group:          Graphical desktop/GNOME
Obsoletes:      %{name}-common < 1:3.32.4

%description    gtk3-theme
Themes for GTK+3 as part of the %{theme_name} theme.

#-----------------------------------------------------
%package        gtk4-theme
Summary:        %{theme_name} GTK+4 themes
Group:          Graphical desktop/GNOME

%description    gtk4-theme
Themes for GTK+4 as part of the %{theme_name} theme.

#-----------------------------------------------------
%package        xfwm4-theme
Summary:        %{theme_name} Xfwm4 themes
Group:          Graphical desktop/Xfce
Requires:       xfwm4

%description    xfwm4-theme
Themes for Xfwm4 as part of the %{theme_name} theme.

#-----------------------------------------------------
%package        xfce4-theme
Summary:        Meta package for %{theme_name} Xfce themes
Group:          Graphical desktop/Xfce
Requires:	zukitre-gtk2-theme
Requires:	zukitre-gtk3-theme
Requires:	zukitre-xfwm4-theme

%description    xfce4-theme
Themes for Xfce as part of the %{theme_name} theme.

This package requires all separate themes needed in Xfce.

#-----------------------------------------------------
%package -n     zukitre-gtk2-theme
Summary:        %{theme3_name} GTK+2 themes
Group:          Graphical desktop/GNOME
Requires:	gtk2-murrine-engine

%description -n zukitre-gtk2-theme
Themes for GTK+2 as part of the %{theme3_name} theme.

#-----------------------------------------------------
%package -n     zukitre-gtk3-theme
Summary: 	%{theme3_name} GTK+3 themes
Group:   	Graphical desktop/GNOME

%description -n zukitre-gtk3-theme
Themes for GTK+3 as part of the %{theme3_name} theme.

#-----------------------------------------------------
%package -n     zukitre-gtk4-theme
Summary:        %{theme3_name} GTK+4 themes
Group:          Graphical desktop/GNOME

%description -n zukitre-gtk4-theme
Themes for GTK+4 as part of the %{theme3_name} theme.

#-----------------------------------------------------
%package -n     zukitre-xfwm4-theme
Summary:        %{theme3_name} Xfwm4 themes
Group:          Graphical desktop/Xfce
Requires:	xfwm4

%description -n zukitre-xfwm4-theme
Themes for Xfwm4 as part of the %{theme_name} theme.

#-----------------------------------------------------
%package -n     zukitre-xfce4-theme
Summary:	Meta package for Zukitre Xfce themes
Group:		Graphical desktop/Xfce
Requires:	zukitre-gtk2-theme
Requires:	zukitre-gtk3-theme
Requires:	zukitre-xfwm4-theme

%description -n zukitre-xfce4-theme
Themes for Xfce as part of the %{theme3_name} theme.

This package requires all separate themes needed in Xfce.

#-----------------------------------------------------
%prep
%autosetup -Sgit_am -n %{git_name}-%{url_ver}-%{patchlevel}

# Remove "Thumbs.db" files
find . -name Thumbs.db -type f -exec rm -f '{}' \;

%build
%meson
%meson_build

%install
%meson_install

%files -n gnome-shell-theme-%{name}
%{_datadir}/themes/%{shell_name}/gnome-shell/

%files gtk2-theme
%dir %{_datadir}/themes/%{theme_name}{,-dark}/
%{_datadir}/themes/%{theme_name}{,-dark}/index.theme
%{_datadir}/themes/%{theme_name}{,-dark}/gtk-2.0/

%files gtk3-theme
%dir %{_datadir}/themes/%{theme_name}{,-dark}/
%{_datadir}/themes/%{theme_name}{,-dark}/index.theme
%{_datadir}/themes/%{theme_name}{,-dark}/gtk-3.0/

%files gtk4-theme
%dir %{_datadir}/themes/%{theme_name}{,-dark}/
%{_datadir}/themes/%{theme_name}{,-dark}/index.theme
%{_datadir}/themes/%{theme_name}{,-dark}/gtk-4.0/

%files xfce4-theme

%files xfwm4-theme
%dir %{_datadir}/themes/%{theme_name}{,-dark}/
%{_datadir}/themes/%{theme_name}{,-dark}/xfwm4/

%files -n zukitre-gtk2-theme
%dir %{_datadir}/themes/%{theme3_name}{,-dark}/
%{_datadir}/themes/%{theme3_name}{,-dark}/index.theme
%{_datadir}/themes/%{theme3_name}{,-dark}/gtk-2.0/

%files -n zukitre-gtk3-theme
%dir %{_datadir}/themes/%{theme3_name}{,-dark}/
%{_datadir}/themes/%{theme3_name}{,-dark}/index.theme
%{_datadir}/themes/%{theme3_name}{,-dark}/gtk-3.0/

%files -n zukitre-gtk4-theme
%dir %{_datadir}/themes/%{theme3_name}{,-dark}/
%{_datadir}/themes/%{theme3_name}{,-dark}/index.theme
%{_datadir}/themes/%{theme3_name}{,-dark}/gtk-4.0/

%files -n zukitre-xfwm4-theme
%dir %{_datadir}/themes/%{theme3_name}{,-dark}/
%{_datadir}/themes/%{theme3_name}{,-dark}/xfwm4/

%files -n zukitre-xfce4-theme
