%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		zvbi
Version:	0.2.44
Release:	%mkrel 1
Summary:	Raw VBI, Teletext and Closed Caption decoding library
License:	GPLv2 and LGPLv2
Group:		Video/Utilities
Url:		https://github.com/zapping-vbi/zvbi
Source0:	https://github.com/zapping-vbi/zvbi/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		zvbi-0.2.24-tvfonts.patch
Patch1:		zvbi-0.2.25-openfix.patch
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	doxygen
BuildRequires:	gtk-doc
BuildRequires:	gettext-devel
Requires:	gettext >= 0.10.36

%description
Non-versioned files of zvbi, mainly libzvbi0 translations

%package -n	%{libname}
Summary:	Raw VBI, Teletext and Closed Caption decoding library
Group:		System/Libraries

%description -n	%{libname}
VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to:
* read from raw VBI sampling devices (both V4L and V4L2 API are supported),
* a versatile raw vbi bit slicer,
* decoders for various data services and basic search,
* demodulate raw to sliced VBI data,
* interpret the data of several popular services.
* render and export functions for text pages.

The library is the vbi decoding backbone of the Zapping Gnome TV viewer
and Zapzilla Teletext browser.


%package -n	%{develname}
Summary:	Header files for developing apps which will use libzvbi
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files and static library of bzip2 functions, for developing apps which
will use the zvbi library (aka libzvbi)

%prep
%autosetup -p1

%build
./autogen.sh

%configure \
	--disable-static \
	--enable-v4l \
	--enable-dvb \
	--enable-proxy

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license COPYING
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%license COPYING
%{_libdir}/libzvbi*.so.%{major}{,.*}

%files -n %{develname}
%doc BUGS ChangeLog TODO doc/html
%license COPYING
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/libzvbi.h
