%define major	3
%define libname	%mklibname zxing %{major}
%define devname	%mklibname zxing -d

%bcond_without examples

Name:		zxing-cpp
Version:	2.2.1
Release:	%mkrel 2
Summary:	C++ port of the ZXing ("Zebra Crossing") barcode scanning library
Group:		System/Libraries
License:	LGPLv2+
Url:		https://github.com/nu-book/zxing-cpp
Source0:	https://github.com/nu-book/zxing-cpp/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	libstdc++-static-devel
BuildRequires:	cmake(fmt)
%if %{with examples}
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	pkgconfig(opencv)
BuildRequires:	pkgconfig(stb)
%endif

%description
This project is a C++ port of ZXing Library.

Same as ZXing, following barcode are supported:
* 1D product: UPC-A UPC-E EAN-8 EAN-13
* 1D industrial: Code 39, Code 93, Code 128, Codabar,
  ITF, RSS-14, RSS-Expanded
* 2D: QR Code, Data Matrix, Aztec (beta), PDF 417 (beta)

#----------------------------------------------------------------------------

%if %{with examples}
%package tools
Summary:	Utilities provided by ZXing library
Group:		System/Libraries

%description tools
This project is a C++ port of ZXing Library.

Same as ZXing, following barcode are supported:
* 1D product: UPC-A UPC-E EAN-8 EAN-13
* 1D industrial: Code 39, Code 93, Code 128, Codabar,
  ITF, RSS-14, RSS-Expanded
* 2D: QR Code, Data Matrix, Aztec (beta), PDF 417 (beta)

%files tools
%doc README.md
%{_bindir}/ZXingReader
%{_bindir}/ZXingWriter
%endif

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This project is a C++ port of ZXing Library.

Same as ZXing, following barcode are supported:
* 1D product: UPC-A UPC-E EAN-8 EAN-13
* 1D industrial: Code 39, Code 93, Code 128, Codabar,
  ITF, RSS-14, RSS-Expanded
* 2D: QR Code, Data Matrix, Aztec (beta), PDF 417 (beta)

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libZXing.so.%{major}
%{_libdir}/libZXing.so.%{version}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	zxingcore-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%files -n %{devname}
%{_includedir}/ZXing/
%{_libdir}/libZXing.so
%{_libdir}/cmake/ZXing/
%{_libdir}/pkgconfig/zxing.pc

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -GNinja \
  -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
  -DBUILD_DEPENDENCIES:STRING=LOCAL \
  -DBUILD_EXAMPLES:BOOL=%{?with_examples:ON}%{?!with_examples:OFF} \
  -DBUILD_BLACKBOX_TESTS:BOOL=OFF \
  -DBUILD_UNIT_TESTS:BOOL=OFF \
  -DBUILD_PYTHON_MODULE:BOOL=OFF
%cmake_build

%install
%cmake_install

