%define oname   ZynAddSubFX

Name:           zynaddsubfx
Version:        3.0.6
Release:        %mkrel 2
Summary:        Real-time MIDI software synthesizer
Group:          Sound/Midi
License:        GPLv2+
URL:            https://sourceforge.net/projects/zynaddsubfx

Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        mageia-controller.desktop
Source2:        mageia-spliter.desktop
Source3:        mageia-zynaddsubfx.desktop
# from https://github.com/zynaddsubfx/zynaddsubfx
Patch1:         0001-Add-stdint.h-header-include.patch

BuildRequires:  cmake
BuildRequires:  fltk-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo) >= 0.28
BuildRequires:  pkgconfig(mxml)
BuildRequires:  pkgconfig(xpm)

Provides:       ZynAddSubFX = %{version}-%{release}

%description
A real-time software synthesizer for Linux with many features,
including polyphony, multi-timbral and microtonal capabilities.
It includes randomness of some parameters,which makes warm sounds,
like analogue synthesizers. The program has system/insertion effects.

%prep
%autosetup -p1

%build
# It incorrectly detect neon on procs not having it, and decides to build
# for armv7 + neon on armv5tl
%cmake -DNoNeonPlease:BOOL=ON
%cmake_build

%make_build -C ExternalPrograms/Spliter
%make_build -C ExternalPrograms/Controller

%install
install -d %{buildroot}%{_bindir}
install -m 755 %{_vpath_builddir}/src/zynaddsubfx %{buildroot}%{_bindir}
install -m 755 ExternalPrograms/Spliter/spliter %{buildroot}%{_bindir}
install -m 755 ExternalPrograms/Controller/controller %{buildroot}%{_bindir}

install -d %{buildroot}%{_datadir}/applications
install -m 644 %{_sourcedir}/*.desktop %{buildroot}%{_datadir}/applications

install -d %{buildroot}%{_datadir}/%{name}
cp -a instruments/banks %{buildroot}%{_datadir}/%{name}

%files
%doc instruments/examples *.txt
%doc ExternalPrograms/Spliter/readme.txt
%{_bindir}/%{name}
%{_bindir}/spliter
%{_bindir}/controller
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
