%define name	zypper
%define docdir	%{_defaultdocdir}/%{name}

Name:		%{name}
Version:	1.14.84
Release:	%mkrel 2
Summary:	Command line package manager
License:	GPLv2+
Group:		System/Packaging
URL:		https://en.opensuse.org/Zypper
Source0:	https://github.com/openSUSE/zypper/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		zypper-1.6.5-docdir.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	pkgconfig(augeas)
BuildRequires:	pkgconfig(libzypp) >= 17.36.0
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:  ruby-asciidoctor
Provides:	apt
Obsoletes:	apt < 1:0.6

%description
Zypper is a command line package manager, which makes use of libzypp,
providing functions like repository access, dependency solving,
package installation, etc.

The XML based repository metadata used by this package manager is not
available on Mageia mirrors so it cannot be used for regular package
installation.

%prep
%autosetup -p1

%build
%cmake -DFEDORA:BOOL=TRUE -DDOC_INSTALL_DIR:PATH=%{docdir}
%cmake_build

%install
%cmake_install

%find_lang %{name}

# Fix shebang for zypper-log
sed -e "s|/usr/bin/env python|/usr/bin/python3|g" -i %{buildroot}%{_sbindir}/zypper-log

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/apt
%{_bindir}/apt-get
%{_sbindir}/%{name}*
%{_bindir}/aptitude
%{_bindir}/installation_sources
%exclude %{_bindir}/needs-restarting
%{_sbindir}/zypp-refresh
%{_datadir}/bash-completion/completions/zypper
%config(noreplace) %{_sysconfdir}/logrotate.d/zypp-refresh.lr
%config(noreplace) %{_sysconfdir}/logrotate.d/zypper.lr
%config(noreplace) %{_sysconfdir}/zypp/%{name}.conf
%{_sysconfdir}/zypp/apt-packagemap.d
%{_datadir}/%{name}/
%{_mandir}/man*/%{name}*
%exclude %{_mandir}/man1/needs-restarting.1.*
%{_mandir}/man8/zypp-refresh.8.*
%{docdir}/*
