%define	major	13
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname %{name} -d

Name:		zziplib
Version:	0.13.74
Release:	%mkrel 3
Summary:	ZZipLib - libZ-based ZIP-access Library
License:	LGPLv2+ or MPLv1.1
Group:		System/Libraries
URL:		https://github.com/gdraheim/zziplib
Source0:	https://github.com/gdraheim/zziplib/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		zziplib-set-version-0.13.74.patch
Patch1:		zziplib-do-not-install-unneeded-compat-lib.patch
Patch11:	0001-install-cmake-module-in-proper-path.patch
Patch12:	35c19a9e69be12b4220d466ae3102bf6af661ece.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	python3
BuildRequires:	zip
BuildRequires:	xmlto

%description
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

%package	utils
Summary:	Utilities for the zziplib library
Group:		Archiving/Compression

%description utils
The zziplib library is intentionally lightweight, it offers the ability to
easily extract data from files archived in a single zip file. Applications
can bundle files into a single zip archive and access them. The implementation
is based only on the (free) subset of compression with the zlib algorithm
which is actually used by the zip/unzip tools.

This packages contains all the utilities that come with the zziplib library.

%package -n     %{libname}
Summary:	ZZipLib - libZ-based ZIP-access Library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

%package -n     %{devname}
Summary:	ZZipLib - Development Files
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-utils = %{version}-%{release}

%description -n	%{devname}
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
these are the header files needed to develop programs using zziplib.
there are test binaries to hint usage of the library in user programs.

%prep
%autosetup -p1

# perl path fix
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%build
%cmake -DBUILD_TESTS:BOOL=ON \
       -DZZIP_LIBTOOL:BOOL=OFF
%cmake_build

# docs
%make_build mans -C %{_vpath_builddir}/docs

%check
%ctest

%install
%cmake_install

%files utils
%license docs/COPYING*
%doc ChangeLog README TODO
%{_bindir}/unzzip*
%{_bindir}/zz*
%{_bindir}/unzip-mem

%files -n %{libname}
%license docs/COPYING*
%doc ChangeLog README
%{_libdir}/libzzipfseeko.so.%{major}{,.*}
%{_libdir}/libzzipmmapped.so.%{major}{,.*}
%{_libdir}/libzzip.so.%{major}{,.*}
%{_libdir}/libzzipwrap.so.%{major}{,.*}

%files -n %{devname}
%doc docs/README.MD docs/*.md
%{_libdir}/libzzipfseeko.so
%{_libdir}/libzzipmmapped.so
%{_libdir}/libzzip.so
%{_libdir}/libzzipwrap.so
%{_includedir}/*.h
%dir %{_includedir}/zzip
%{_includedir}/zzip/*.h
%{_includedir}/SDL_rwops_zzip/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_libdir}/cmake/%{name}/
%{_mandir}/man3/*
