%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg2 --import %{SOURCE2} \
gpg2 --trust-model always --verify %{1} %{2} \
rm -Rf $GNUPGHOME \


Summary:          Photo-voltaic Inverter Monitor
Name:             zzzt
Version:          3.2
Release:          %mkrel 3
License:          GPLv3
Group:            System/Servers
URL:              https://zzzt.tuxfamily.org/
Source0:          https://download.tuxfamily.org/zzzt/%{name}-%{version}.tar.xz
Source1:          https://download.tuxfamily.org/zzzt/%{name}-%{version}.tar.xz.sig
Source2:          https://pgp.key-server.io/download/0xF5A0770F3CBE5CAA#/lists.jjorgeATfree.fr.pubkey
Requires(pre):    apache php-webinterface php-mysql php-mbstring php-mcrypt
Requires:         php-mysql php-mbstring php-gd php-sockets
Recommends:       apache-mod_php
Recommends:       php-cli mysql phpmyadmin
Recommends:       php-pdo_sqlite
Requires(post):   rpm-helper
Requires(postun): rpm-helper
BuildArch:        noarch
BuildRequires:    imagemagick
BuildRequires:    gnupg2

%description
Zzzt! is a monitor for Solarmax 3000 S photo-voltaic inverters.

%prep
#Try and validate signatures on source:
%check_sig %{SOURCE1} %{SOURCE0}

%setup -q

%build

%install
export DONT_RELINK=1
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}/var/www/%{name}
cp -aRf * %{buildroot}/var/www/%{name}/

# remove from the tree th doc files
rm %{buildroot}/var/www/%{name}/README
rm %{buildroot}/var/www/%{name}/COPYING

# activate the monitor every minute
install -d %{buildroot}/etc/cron.d
mv %{buildroot}/var/www/%{name}/standalone_crontab/zzzt %{buildroot}/etc/cron.d/

# Apache 2.4 webapp file
cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
  <RequireAny>
    Require ip 127.0.0.1
    Require ip ::1
  </RequireAny>
</Directory>

<Directory /var/www/%{name}/model>
  <RequireAny>
    Require all denied
  </RequireAny>
</Directory>

EOF

# Icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

convert images/inverter.png -resize 16x16  %{buildroot}%{_miconsdir}/%{name}.png
convert images/inverter.png -resize 32x32  %{buildroot}%{_iconsdir}/%{name}.png
convert images/inverter.png -resize 48x48  %{buildroot}%{_liconsdir}/%{name}.png

# install menu entry.
# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Zzzt!
Comment=%{summary}
Exec=%{_bindir}/www-browser http://localhost/%{name}/
Icon=%{name}
Terminal=false
Type=Application
Categories=Network;
EOF

%post
# apache service is not started automatically
service httpd start

%files
%doc README COPYING
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%config(noreplace) %{_sysconfdir}/cron.d/zzzt
# The config file is created by Zzzt!
%dir %attr(775,root,apache) /var/www/%{name}/config
/var/www/%{name}/config/*.php
/var/www/%{name}/i*
/var/www/%{name}/js
/var/www/%{name}/m*
/var/www/%{name}/s*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


