Name:           homer
Version:        0
Release:        %mkrel 0.20201026.2
Summary:        A DoH (DNS-over-HTTPS) client
License:        GPLv2
Group:          Networking/Other
URL:            https://framagit.org/bortzmeyer/homer
Source0:        https://framagit.org/bortzmeyer/homer/-/archive/master/homer-master.tar.bz2
Requires:       python3
Requires:       python3dist(dnspython) 
Requires:       python3dist(netaddr)
Requires:       python3dist(pycurl)
Requires:       python3dist(pyopenssl)
BuildArch:      noarch

%description
Homer is a DoH (DNS-over-HTTPS) and DoT (DNS-over-TLS) client. Its main purpose
is to test DoH and DoT resolvers.

With the proliferation of public DoH and DoT resolvers, and the implementation
of clients inside OS or applications such as web browsers, we wanted to have an
easy to use command line client to make DoT and DoH queries. Homer also aims to
assess if a DoT or DoH resolver is compliant with the RFCs (
RFC 7858 for DoT and RFC 8484 for DoH).

Homer is a Python3 script using the dnspython library to generate and parse DNS
messages, netaddr to manipulate IP addresses, PycURL to perform the HTTPs
transfers in DoH and pyOpenSSL to establish TLS session in DoT.

%prep
%setup -q -n homer-master

%build

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}/%{name}

install -m 755 homer.py %{buildroot}%{_datadir}/%{name}
install -m 755 monitoring.py %{buildroot}%{_datadir}/%{name}
cp -pr homer %{buildroot}%{_datadir}/%{name}

cat > %{buildroot}%{_bindir}/homer.sh <<'EOF'
#!/bin/sh
cd %{_datadir}/%{name}
exec ./homer.py "$@"
EOF
chmod +x %{buildroot}%{_bindir}/homer.sh

cat > %{buildroot}%{_bindir}/monitoring.sh <<'EOF'
#!/bin/sh
cd %{_datadir}/%{name}
exec ./monitoring.py "$@"
EOF
chmod +x %{buildroot}%{_bindir}/monitoring.sh

%files
%doc LICENSE README.md
%{_bindir}/homer.sh
%{_bindir}/monitoring.sh
%{_datadir}/homer
