Name:           mysql-connector-python
Version:        8.2.0
Release:        %mkrel 2
Summary:        MySQL Connector for Python
Group:          Development/Python
License:        GPLv2 with exceptions
URL:            https://dev.mysql.com/doc/connector-python/en/index.html
Source0:        http://cdn.mysql.com/Downloads/Connector-Python/%{name}-%{version}-src.tar.gz
BuildRequires:  pkgconfig(mariadb)
BuildRequires:  pkgconfig(protobuf)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
# for unittest
BuildRequires:  mysql


%description
MySQL Connector/Python is implementing the MySQL Client/Server protocol
completely in Python. No MySQL libraries are needed, and no compilation
is necessary to run this Python DB API v2.0 compliant driver.

%package -n python3-mysql-connector
Summary:      MySQL Connector for Python 3
Group:        Development/Python
Requires:     python3dist(dnspython)
%{?python_provide:%python_provide python3-mysql-connector}

%description -n python3-mysql-connector
MySQL Connector/Python is implementing the MySQL Client/Server protocol
completely in Python. No MySQL libraries are needed, and no compilation
is necessary to run this Python DB API v2.0 compliant driver.


%prep
%autosetup -p1 -n %{name}-%{version}-src

%build
%py3_build

%install
%{__python3} setup.py install \
    --prefix=%{_prefix} \
    --root=%{buildroot} \
    --extra-compile-args="%{optflags}" \
    --extra-link-args="%{ldflags}" \
    --with-protobuf-include-dir="%{_includedir}/google/protobuf/" \
    --with-protobuf-lib-dir="%{_libdir}" \
    --with-protoc="%{_bindir}/protoc" \
    --skip-vendor

%files -n python3-mysql-connector
%license LICENSE.txt
%doc CHANGES.txt README.txt
%doc examples
%{python3_sitearch}/*
