%define major   6.0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%global _vpath_srcdir fuzzylite

Name:           fuzzylite
Version:        6.0
Release:        %mkrel 3
Summary:        A fuzzy logic control library in C++
Group:          System/Libraries
License:        GPLv3 or ASL 2.0
URL:            https://www.fuzzylite.com/
Source0:        https://github.com/fuzzylite/fuzzylite/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-fuzzylite-src-main.cpp-support-building-with-gcc-12.patch
# from Debian
# replace Catch with Catch2
Patch2:         fix-tests2.patch
# suport Catch2 v3
Patch3:         catch2v3.patch

BuildRequires:  cmake
BuildRequires:  cmake(Catch2)
Requires:       %{libname} = %{version}-%{release}

%description
Fuzzylite is a free and open-source fuzzy logic control library
programmed in C++ for multiple platforms (Windows, Linux, Mac, iOS).
Its goal is to allow you to easily create fuzzy logic controllers
in a few steps utilizing object-oriented programming without
requiring any third-party libraries.

This package contains the %{name} console application.

%files
%{_bindir}/%{name}

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        A fuzzy logic control library in C++
Group:          System/Libraries

%description -n %{libname}
Fuzzylite is a free and open-source fuzzy logic control library
programmed in C++ for multiple platforms (Windows, Linux, Mac, iOS).
Its goal is to allow you to easily create fuzzy logic controllers
in a few steps utilizing object-oriented programming without
requiring any third-party libraries.

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development headers and library for %{name}.

%files -n       %{devname}
%doc AUTHOR CHANGELOG LICENSE NEWS README.md
%{_includedir}/fl/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DFL_BUILD_STATIC=OFF \
       -DFL_BACKTRACE=ON
%cmake_build

%install
%cmake_install
