%define pypi_name dnspython

%bcond_without check

Name:          python-%{pypi_name}
Summary:       DNS toolkit for Python
Version:       2.7.0
Release:       %mkrel 2
License:       MIT
Group:         Development/Python
URL:           https://pypi.org/project/dnspython/
Source0:       %{pypi_source}
BuildArch:     noarch
BuildRequires: python3-devel
%if %{with check}
BuildRequires: python3-pytest
%endif

%description
dnspython is a DNS toolkit for Python. It supports almost all record types. It
can be used for queries, zone transfers, and dynamic updates. It supports TSIG
authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. The high level
classes perform queries for data of a given name, type, and class, and return
an answer set. The low level classes allow direct manipulation of DNS zones,
messages, names, and records.

%package -n python3-%{pypi_name}
Summary:       DNS toolkit for Python 3
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-dns}
Provides:       python3-dns = %{version}-%{release}

%description -n python3-%{pypi_name}
dnspython is a DNS toolkit for Python. It supports almost all record types. It
can be used for queries, zone transfers, and dynamic updates. It supports TSIG
authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. The high level
classes perform queries for data of a given name, type, and class, and return
an answer set. The low level classes allow direct manipulation of DNS zones,
messages, names, and records.

# curio extras cannot be packages because nothing provides python3.9dist(curio) >= 1.2

%prep
%setup -q -n %{pypi_name}-%version

# strip executable permissions so that we don't pick up dependencies
# from documentation
find examples -type f | xargs chmod a-x

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dns

%if %{with check}
%check
# Skipped test: https://github.com/rthalley/dnspython/issues/590#issuecomment-729644000
%pytest -k "not test_override and not test_async and not test_resolver"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md examples
