%define pypi_name eventlet

Name:           python-%{pypi_name}
Version:        0.36.1
Release:        %mkrel 2
Summary:        Highly concurrent networking library
License:        MIT
Group:          Development/Python
URL:            https://eventlet.net/
Source0:        %{pypi_source}
# patch is from gh#rthalley/dnspython#519, discussion in gh#eventlet/eventlet#638
Patch1:         newdnspython.patch
BuildArch:      noarch

%description
Eventlet is a networking library written in Python. It achieves high
scalability by using non-blocking io while at the same time retaining
high programmer usability by using coroutines to make the non-blocking
io operations appear blocking at the source code level.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pkgconfig(python3)

Recommends:     python3dist(pyzmq)

%description -n python3-%{pypi_name}
Eventlet is a networking library written in Python 3. It achieves high
scalability by using non-blocking io while at the same time retaining
high programmer usability by using coroutines to make the non-blocking
io operations appear blocking at the source code level.
This is the Python 3 build of %{pypi_name}.

%package        doc
Summary:        Documentation for %{name}
Group:          Development/Python
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinxcontrib-apidoc)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(monotonic)
BuildRequires:  python3dist(dnspython)
BuildRequires:  python3dist(pyzmq)
BuildRequires:  python3dist(hatch-vcs)

%description    doc
Documentation for the python-eventlet package.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

# relax sphinx requirement
sed -i "s/>=2.0.0,!=2.1.0//" doc/requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
PYTHONPATH=${PWD} sphinx-build -b html doc/source doc/build/html

%install
%pyproject_install
%pyproject_save_files eventlet

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS LICENSE NEWS README.rst


%files doc
%doc examples tests
%doc doc/build/html
