%define major   3
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           glfw
Version:        3.4
Release:        %mkrel 1
Summary:        A cross-platform multimedia library
Group:          System/Libraries
License:        zlib
URL:            https://www.glfw.org
Source0:        https://github.com/glfw/glfw/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(wayland-scanner)

%description
GLFW is a free, open source, multi-platform library for OpenGL application
development that provides a powerful API for handling operating system specific
tasks such as opening an OpenGL window, reading keyboard, mouse, joystick and
time input, creating threads, and more.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        A cross-platform multimedia library
Summary(fr):    Une bibliothèque multimédia multi-plateforme
Group:          System/Libraries

%description -n %{libname}
GLFW is a free, open source, multi-platform library for OpenGL application
development that provides a powerful API for handling operating system specific
tasks such as opening an OpenGL window, reading keyboard, mouse, joystick and
time input, creating threads, and more.

%description -n %{libname} -l fr_FR
GLFW est un logiciel gratuit, Open Source, multi-plate-forme de bibliothèque
pour l'application OpenGL développement qui fournit une API puissante pour la
manipulation du système d'exploitation spécifique des tâches telles que
l'ouverture d'une fenêtre OpenGL, la lecture du clavier, souris, joystick et
entrée du temps, les discussions de créer, et plus encore.

%files -n       %{libname}
%doc README.md
%license LICENSE.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for GLFW
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The glfw-devel package contains header files for developing glfw
applications.

%files -n       %{devname}
%doc %{_docdir}/GLFW/
%{_includedir}/GLFW/
%{_libdir}/cmake/%{name}%{major}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}%{major}.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DGLFW_BUILD_EXAMPLES:BOOL=OFF \
       -DGLFW_BUILD_TESTS:BOOL=OFF
%cmake_build

%install
%cmake_install
