%define         major                    15
%define         netmajor                 0

%define         libname                  %mklibname %{name} %{major}
%define         develname                %mklibname %{name} -d

%define         netname                  netloc
%define         libnetname               %mklibname %{netname} %{netmajor}
%define         netdevelname             %mklibname %{netname} -d

Name:           hwloc
Summary:        Hardware locality utilities and libraries
Version:        2.11.2
Release:        %mkrel 2
License:        BSD
Group:          System/Libraries
URL:            https://www.open-mpi.org/projects/hwloc/
Source0:        https://www.open-mpi.org/software/hwloc/v%(cut -d. -f1,2 <<< %{version})/downloads/%{name}-%{version}.tar.bz2

%ifnarch %arm
BuildRequires:  numa-devel
%endif
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(pciaccess)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(OpenCL)

%description
The Portable Hardware Locality software package provides a portable
abstraction of the hierarchical topology of modern architectures,
including NUMA memory nodes, sockets, shared caches, cores and
simultaneous multi-threading. It also gathers various system attributes
such as cache and memory information as well as the locality of I/O
devices such as network interfaces, InfiniBand HCAs or GPUs. It
primarily aims at helping applications with gathering information
about modern computing hardware so as to exploit it accordingly and
efficiently. Try out the command "lstopo" and enjoy the show.

%package -n %{libname}
Summary:        Shared libraries for hwloc
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}
Obsoletes:      %{_lib}netloc0 < 2.10.0

%description -n %{libname}
%{summary}.

%package -n %{develname}
Summary:        Development files for hwloc
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel  = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}netloc-devel < 2.10.0

%description -n %{develname}
%{summary}.

%prep
%autosetup -p1

%build

%configure
%make_build

%install
%make_install

%files
%doc README COPYING
%doc %{_docdir}/%{name}/*.pdf
%doc %{_docdir}/%{name}/*.html
# This binary is built only for Intel architectures
%ifarch %ix86 x86_64
%{_sbindir}/hwloc-dump-hwdata
%endif
%{_bindir}/hwloc*
%{_bindir}/lstopo*
%{_datadir}/bash-completion/completions/hwloc
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_mandir}/man1/*.1*.*
%{_mandir}/man7/*.7.*

%files -n %{libname}
%{_libdir}/libhwloc.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS VERSION NEWS
%{_includedir}/hwloc.h
%{_includedir}/%{name}/
%{_libdir}/libhwloc.so
%{_libdir}/pkgconfig/hwloc.pc
%{_mandir}/man3/HWLOC*.3.*
%{_mandir}/man3/hwloc*.3.*
