%global __provides_exclude_from ^%{python3_sitearch}/.*\\.so$
%define modname gevent
%global optflags %(echo %{optflags} -I%{_includedir}/libev)

# with fixes from
# https://github.com/pld-linux/python-gevent/blob/master/python-gevent.spec

Name:		python-%{modname}
Version:	24.11.1
Release:	%mkrel 2
Summary:	A coroutine-based Python networking library
License:	MIT
Group:		Development/Python
Url:		https://www.gevent.org/
Source0:	https://pypi.io/packages/source/g/%{modname}/%{modname}-%{version}.tar.gz
BuildRequires: pyproject-rpm-macros
BuildRequires:	glibc-devel
BuildRequires:  pkgconfig(libcares)
BuildRequires:  pkgconfig(libev)
BuildRequires:  pkgconfig(libuv)

# Needed for tests
BuildRequires:  lsof
%{?with_system_libev:BuildRequires:    c-ares-devel >= 1.10.0}
%{?with_system_c_ares:BuildRequires:   libev-devel >= 4.11}
%{?with_tests:BuildRequires: python-greenlet}

%description
Gevent is a coroutine-based Python networking library that uses greenlet to
provide a high-level synchronous API on top of the libevent event loop.

%package -n python3-%{modname}
Summary: A coroutine-based Python3 networking library
Requires:       python3dist(greenlet)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(cffi)
BuildRequires:  python3dist(greenlet)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
Gevent is a coroutine-based Python3 networking library that uses greenlet to
provide a high-level synchronous API on top of the libevent event loop.

%prep
%autosetup -n %{modname}-%{version}
# Remove bundled libraries
rm -r deps
# Upstream intentionally includes C extension sources in the built package, 
# because... reasons (PyPy I think?) however we do not want that. Sources will 
# go into debuginfo as normal.
sed -i -e 's/include_package_data=True/include_package_data=False/' setup.py

# Force re-cythonizing the sources - missing with github tarballs
rm -f $(grep -rl '/\* Generated by Cython')
rm -f src/gevent/_generated_include/*

# Test requires network, fails in mock/koji
mv src/gevent/tests/test__resolver_dnspython.py{,.needsnetwork}

%generate_buildrequires
%pyproject_buildrequires

%build
export GEVENTSETUP_EMBED=0
%pyproject_wheel

%install
export GEVENTSETUP_EMBED=0
%pyproject_install

find %{buildroot} -name '.buildinfo' -delete
# Correct the permissions.
find %{buildroot} -name '*.so' -exec chmod 755 {} ';'

%files -n python3-%{modname}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{modname}*
