#                           !!!!! READ THIS FIRST !!!!!
# Packages that are replaced by another package should be obsoleted by the
# replacing package. Subpackages that are dropped should be obsoleted by
# another package in the same SRPM.
#
#    Packages put in task-obsolete simply just to drop them from the
#    repository should be removed from task-obsolete thereafter (or
#    use null package instead).
#
# Things should only stay in here if we definitely want those packages to be
# removed from users' machines when they upgrade. Please keep this notice in
# place.

Name:		task-obsolete
Version:	10
Release:	%mkrel 90

Summary:	Meta package obsoleting old packages
License:	GPLv2+
Group:		System/Base
BuildArch:	noarch

# This package won't be installed, but will obsolete other packages
# Reference: https://github.com/openSUSE/libsolv/commit/25356d16b4520d716e64c8f9506ef4d00b343c63
Provides:	libsolv-self-destruct-pkg()

# *** Mageia 10 ***

# 2025-02-23 (barjac)
# Introduced for potential new freedv rade packaging but not happening any time soon
Obsoletes: asmjit < 0.0^20231007git6e71f6be-2
Obsoletes: asmjit-devel < 0.0^20231007git6e71f6be-2
Obsoletes: foxi < 1.4.1^git20210526.c278588-2
Obsoletes: foxi-devel < 1.4.1^git20210526.c278588-2
# Was used by zoneminder but no longer needed
Obsoletes: cambozola < 0.936-4
Obsoletes: cambozola-javadoc < 0.936-4
# No longer used
Obsoletes: lockrun < 1.1.3-5

# 2025-02-20 (daviddavid)
# upstream never make it compatible with ffmpeg more than 4.4
Obsoletes: tupitube < 0.2.18-4
Obsoletes: libtupitube1 < 0.2.18-4
Obsoletes: lib64tupitube1 < 0.2.18-4

# 2025-02-12 (daviddavid)
# dead upstream and does not build anymore with boost 1.87
Obsoletes: linuxdcpp < 1.1.0-20
Obsoletes: slic3r < 1.3.0-20

# 2025-02-04 (daviddavid)
# dead upstream and segfault w/o any fix (mga#32773)
Obsoletes: stormbaancoureur < 2.1.6-10

# 2025-01-28
# Papoteur
# old python modules
Obsoletes: python3-typed-ast < 1.5.5-2
Obsoletes: python3-gevent-socketio < 0.3.6-20
Obsoletes: python-amqplib < 1.0.2-23
Obsoletes: python3-amqplib < 1.0.2-23
Obsoletes: python-versiontools < 1.9.1-14
Obsoletes: python3-versiontools < 1.9.1-14
# withdrawn upstream
Obsoletes: python-nose-randomly < 1.2.7
Obsoletes: python3-nose-randomly < 1.2.7

Obsoletes: rhn-client-tools < 2.9.36-9
Obsoletes: rhn-setup < 2.9.36-9
Obsoletes: rhnsd < 5.0.44-4
Obsoletes: dnf-plugin-spacewalk < 2.9.7-8
Obsoletes: python3-dnf-plugin-spacewalk < 2.9.7-8
#
# 2025-01-03 (daviddavid)
# Not compatible with plasma6
Obsoletes: plasma-applet-pstate < 2.0.0-3
# Archived by upstream
Obsoletes: transmageddon < 1.5-10
# 2024-12-23 (wally)
# old gtk2 + libsoup2.4 pkg, unmaintained by upstream
Obsoletes: gmpc < 11.8.16-13
Obsoletes: gmpc-albumview < 11.8.16-13
Obsoletes: gmpc-avahi < 11.8.16-12
Obsoletes: gmpc-devel < 11.8.16-13
Obsoletes: gmpc-discogs < 0.20.0-12
Obsoletes: gmpc-extraplaylist < 0.20.0-14
Obsoletes: gmpc-jamendo < 11.8.16-13
Obsoletes: gmpc-lastfm < 0.20.0-14
Obsoletes: gmpc-libnotify < 11.8.16-12
Obsoletes: gmpc-lyrics < 11.8.16-12
Obsoletes: gmpc-magnatune < 11.8.16-12
Obsoletes: gmpc-mserver < 0.20.0-14
Obsoletes: gmpc-shout < 0.20.0-14
Obsoletes: gmpc-tagedit < 11.8.16-12
# Old and unused
Obsoletes: lib64unique-devel < 1.1.6-22
Obsoletes: lib64unique-gir1.0 < 1.1.6-22
Obsoletes: lib64unique1.0_0 < 1.1.6-22
Obsoletes: libunique-devel < 1.1.6-22
Obsoletes: libunique-gir1.0 < 1.1.6-22
Obsoletes: libunique1.0_0 < 1.1.6-22
Obsoletes: lib64unique-gir3.0 < 3.0.2-17
Obsoletes: lib64unique3.0-devel < 3.0.2-17
Obsoletes: lib64unique3.0_0 < 3.0.2-17
Obsoletes: libunique-gir3.0 < 3.0.2-17
Obsoletes: libunique3.0-devel < 3.0.2-17
Obsoletes: libunique3.0_0 < 3.0.2-17
Obsoletes: perl-Gtk2-Unique < 0.70.0-7
# Old and abandoned by upstream
Obsoletes: lib64xplayer-plparser-devel < 1.0.3-2
Obsoletes: lib64xplayer-plparser-gir1.0 < 1.0.3-2
Obsoletes: lib64xplayer-plparser-mini18 < 1.0.3-2
Obsoletes: lib64xplayer-plparser18 < 1.0.3-2
Obsoletes: libxplayer-plparser-devel < 1.0.3-2
Obsoletes: libxplayer-plparser-gir1.0 < 1.0.3-2
Obsoletes: libxplayer-plparser-mini18 < 1.0.3-2
Obsoletes: libxplayer-plparser18 < 1.0.3-2
Obsoletes: xplayer < 2.4.4-3
Obsoletes: xplayer-devel < 2.4.4-3
Obsoletes: xplayer-doc < 2.4.4-3
Obsoletes: xplayer-plparser < 1.0.3-2
Obsoletes: xplayer-plugin-zeitgeist < 2.4.4-3
Obsoletes: xplayer-plugins < 2.4.4-3
# Archived by upstream
Obsoletes: glom < 1.32.0-22
Obsoletes: lib64glom1.32_0 < 1.32.0-22
Obsoletes: lib64glom-devel < 1.32.0-22
Obsoletes: libglom1.32_0 < 1.32.0-22
Obsoletes: libglom-devel < 1.32.0-22
Obsoletes: lib64epc1.0-devel < 0.4.6-6
Obsoletes: lib64epc1.0_3 < 0.4.6-6
Obsoletes: libepc1.0-devel < 0.4.6-6
Obsoletes: libepc1.0_3 < 0.4.6-6
Obsoletes: libepc-i18n < 0.4.6-6

# 2024-12-20 (ns80)
# parrot is dead upstream, fails to build
Obsoletes: parrot < 8.1.0-17
Obsoletes: parrot-doc < 8.1.0-17
Obsoletes: parrot-src < 8.1.0-17
Obsoletes: libparrot < 8.1.0-17
Obsoletes: lib64parrot < 8.1.0-17
Obsoletes: libparrot-devel < 8.1.0-17
Obsoletes: lib64parrot-devel < 8.1.0-17
# mozjs78 does not support python3.12
Obsoletes: libmozjs78 < 78.15.0-9
Obsoletes: lib64mozjs78 < 78.15.0-9
Obsoletes: libmozjs78-devel < 78.15.0-9
Obsoletes: lib64mozjs78-devel < 78.15.0-9
# couchdb depends on mozjs78 and does not work at all (mga#32481)
Obsoletes: couchdb < 3.2.2-5
# 2024-11-26 (ns80)
# sugar-paint-activity needs python2
Obsoletes: sugar-paint-activity < 70-4
# 2024-11-21 (ns80)
# orange was obsoleted on April 2
Obsoletes: orange < 3.36.2-3
# ksh was forked and now alive, pdksh is dead upstream
Obsoletes: pdksh < 5.2.14-42
#
# 2024-11-20 (ns80)
# links replaces links-hacked and linkx
Obsoletes: links-hacked < 0.0.031220-57
# 2024-11-01 (daviddavid)
# project was archived upstream
Obsoletes: vinagre < 3.22.0-12
# no new release from years, fails to build and unneeded by anything
Obsoletes: sary < 1.2.0-24
Obsoletes: libsary10 < 1.2.0-24
Obsoletes: lib64sary10 < 1.2.0-24
Obsoletes: libsary-devel < 1.2.0-24
Obsoletes: lib64sary-devel < 1.2.0-24
# 2024-10-17 (daviddavid)
# no new release since 2011, fails to build and unneeded by anything
Obsoletes: libmysac0 < 1.1.2-7
Obsoletes: lib64mysac0 < 1.1.2-7
Obsoletes: libmysac-devel < 1.1.2-7
Obsoletes: lib64mysac-devel < 1.1.2-7
# no new release since 2010, fails to build and unneeded by anything
Obsoletes: mcs < 0.7.2-15
Obsoletes: mcs-gconf < 0.7.2-15
Obsoletes: libmcs1 < 0.7.2-15
Obsoletes: lib64mcs1 < 0.7.2-15
Obsoletes: libmcs-devel < 0.7.2-15
Obsoletes: lib64mcs-devel < 0.7.2-15
# no new release since 2011, fails to build
Obsoletes: luvcview < 0.2.6-13
# no new release since 2005, fails to build and unneeded by anything
Obsoletes: libsvg1 < 0.1.4-26
Obsoletes: lib64svg1 < 0.1.4-26
Obsoletes: libsvg-devel < 0.1.4-26
Obsoletes: lib64svg-devel < 0.1.4-26
Obsoletes: libsvg-cairo1 < 0.1.6-24
Obsoletes: lib64svg-cairo1 < 0.1.6-24
Obsoletes: libsvg-cairo-devel < 0.1.6-24
Obsoletes: lib64svg-cairo-devel < 0.1.6-24
# RX has been decommissioned, fails to build and unneeded by anything
# https://www.gnu.org/software/rx/rx.html
Obsoletes: librx0 < 1.5-15
Obsoletes: lib64rx0 < 1.5-15
Obsoletes: librx-devel < 1.5-15
Obsoletes: lib64rx-devel < 1.5-15

# 2024-10-01 (daviddavid)
# Old, unmaintained and no more needed (lightmediascanner fails to build)
Obsoletes: enjoy < 0.1.0-0.20140511.9
Obsoletes: lightmediascanner < 0.4.5-11
# Note: this extension has several issues and should no longer be used.
# It is unmaintained.
Obsoletes: seahorse-nautilus < 3.11.92-8.git20221209.2
# fails to build, old and no more needed in mageia
Obsoletes: gdl-i18n < 3.40.0-3
Obsoletes: libgdl-devel < 3.40.0-3
Obsoletes: lib64gdl-devel < 3.40.0-3
Obsoletes: libgdl-gir3 < 3.40.0-3
Obsoletes: lib64gdl-gir3 < 3.40.0-3
Obsoletes: lib64gdl3_5 < 3.40.0-3
Obsoletes: lib64gdl3_5 < 3.40.0-3
# fails to build and latest release from 2010
Obsoletes: gnome-paint < 0.4.0-9
# fails to build and latest release from 2005
Obsoletes: gnuitar < 0.3.2-20
# fails to build and latest release from 2012 (better to use lib2geom)
Obsoletes: gypsy < 0.9-11
Obsoletes: gypsy-docs < 0.9-11
Obsoletes: libgypsy-devel < 0.9-11
Obsoletes: libgypsy0 < 0.9-11
Obsoletes: lib64gypsy-devel < 0.9-11
Obsoletes: lib64gypsy0 < 0.9-11
# fails to build and very very old pkg
Obsoletes: kterm < 6.2.0-42
# dead project
# https://github.com/sjuvonen/coquillo/issues/11
Obsoletes: coquillo < 2.0.1-4
# no more used by anything and not yet ready for taglib2
Obsoletes: libtag-extras1 < 1.0.1-16
Obsoletes: lib64tag-extras1 < 1.0.1-16
Obsoletes: taglib-extras-devel < 1.0.1-16
# 14 years old and does not build anymore
Obsoletes: pidgin-encryption < 3.1-12

# 2024-09-13 (wally)
# Dead, archived by upstream
Obsoletes: flightcrew-cli < 0.9.0-27
Obsoletes: flightcrew-common < 0.9.0-27
Obsoletes: flightcrew-gui < 0.9.0-27
Obsoletes: flightcrew-plugin < 0.9.0-27
Obsoletes: libflightcrew-devel < 0.9.0-27
Obsoletes: lib64flightcrew-devel < 0.9.0-27
Obsoletes: libflightcrew0.7.2 < 0.9.0-27
Obsoletes: lib64flightcrew0.7.2 < 0.9.0-27

# 2024-09-12
# (papoteur)
# archive is no more available, nothing require it, it seems to be integrated in XFS, does not build
# Obsoletes: dmapi < 2.2.12-14
# Obsoletes: lib64dm0 < 2.2.12-14
# Obsoletes: libdm0 < 2.2.12-14
# Obsoletes: lib64dm-devel < 2.2.12-14
# Obsoletes: libdm-devel < 2.2.12-14

# 2024-09-06
# (papoteur)
# Archived upstream since 2021, does not build
# Obsoletes: R-cran-cairoDevice

# 2024-09-02
# (papoteur)
# does not build, not updated since 2009
# Obsoletes: biew

# 2024-08-23
# (tv) no longer required, and doesn't build with perl-5.38
Obsoletes: perl-Audio-CD < 0.50.0-27
Obsoletes: perl-Authen-Smb < 0.910.0-29
Obsoletes: perl-B-C < 1.570.0-9
Obsoletes: perl-Data-LetterTree < 0.100.0-26
Obsoletes: perl-Eval-Compile < 0.110.0-24
Obsoletes: perl-Linux-CDROM < 0.20.0-26
Obsoletes: perl-Net-Arping < 0.20.0-30
Obsoletes: perl-Net-FreeDB < 0.100.0-19
Obsoletes: perl-Net-Interface < 1.16.0-17
Obsoletes: perl-Net-LDAPapi < 3.0.7-9
Obsoletes: perl-Net-Libdnet < 0.990.0-10
Obsoletes: perl-Spread < 3.17.4.4-27

# 2024-08-21
# Dead upstream
Obsoletes: lcgdm < 1.13.0-13
Obsoletes: lib64lcgdm-devel < 1.13.0-13
Obsoletes: lib64lcgdm0 < 1.13.0-13
Obsoletes: liblcgdm-devel < 1.13.0-13
Obsoletes: liblcgdm0 < 1.13.0-13
Obsoletes: dpm < 1.13.0-13
Obsoletes: dpm-copy-server-mysql < 1.13.0-13
Obsoletes: dpm-name-server-mysql < 1.13.0-13
Obsoletes: dpm-perl < 1.13.0-13
Obsoletes: dpm-rfio-server < 1.13.0-13
Obsoletes: dpm-server-mysql < 1.13.0-13
Obsoletes: dpm-srm-server-mysql < 1.13.0-13
Obsoletes: libdpm-devel < 1.13.0-13
Obsoletes: libdpm0 < 1.13.0-13
Obsoletes: lib64dpm-devel < 1.13.0-13
Obsoletes: lib64dpm0 < 1.13.0-13
Obsoletes: python3-dpm < 1.13.0-13
Obsoletes: python3-lfc < 1.13.0-13
Obsoletes: lfc < 1.13.0-13
Obsoletes: lfc-dli < 1.13.0-13
Obsoletes: lfc-perl < 1.13.0-13
Obsoletes: lfc-server-mysql < 1.13.0-13
Obsoletes: liblfc-devel < 1.13.0-13
Obsoletes: liblfc0 < 1.13.0-13 
Obsoletes: lib64lfc-devel < 1.13.0-13
Obsoletes: lib64lfc0 < 1.13.0-13

# 2024-07-17 (pterjan)
# Nothing is using gtkhtml4 anymore (same for mingw)
Obsoletes: gtkhtml4 < 4.10.0-7
Obsoletes: libgtkhtml4.0_0 < 4.10.0-7
Obsoletes: libgtkhtml4.0-devel < 4.10.0-7
Obsoletes: lib64gtkhtml4.0_0 < 4.10.0-7
Obsoletes: lib64gtkhtml4.0-devel < 4.10.0-7
Obsoletes: mingw32-gtkhtml3 < 4.8.0-9
Obsoletes: mingw32-gtkhtml3-static < 4.8.0-9
Obsoletes: mingw64-gtkhtml3 < 4.8.0-9
Obsoletes: mingw64-gtkhtml3-static < 4.8.0-9

# 2024-07-17 (pterjan)
# This has been dead upstream for almost 20 years and hasn't been useful for
# probably longer. WEP has been deprecated for 20 years and this passively
# decrypts keys which takes hours or days dependig on the traffic while more
# recent attacks (from over 15 years ago) do that actively in minutes.
# aircrack-ng is a much more useful replacement.
Obsoletes: airsnort < 0.2.7e-19

# 2024-07-16 (wally)
# Old, and segfaulting
Obsoletes: pdfmod < 0.9.1-20
# Old, upstream disappeared
Obsoletes: massmol < 1.5.2-13

# 2024-07-14 (pterjan)
# Drop very obsolete GNOME stuff, part 1
Obsoletes: perl-Gnome2 < 1.48.0-6
Obsoletes: perl-Gnome2-Canvas < 1.6.0-6
Obsoletes: perl-Gnome2-GConf < 1.47.0-6
Obsoletes: perl-Gnome2-Rsvg < 0.120.0-6
Obsoletes: perl-Gnome2-VFS < 1.84.0-6
Obsoletes: perl-Gnome2-Wnck < 0.180.0-6
Obsoletes: perl-UI-Dialog < 1.90.0-10
Obsoletes: yarssr < 2.2.9-16

# 2024-07-06 (mokraemer)
Obsoletes: spread < 4.1.1
Obsoletes: ucarp < 1.5.3

# 2024-06-30 (wally)
# Unused python pkgs
Obsoletes: python3-backports.shutil_get_terminal_size < 1.0.0-14

# 2024-05-03 (daviddavid)
# drop old/unmaintained and unneeded pkgs which still uses deprecated initscript
# https://wiki.mageia.org/en/Initscripts_conversion_to_systemd
Obsoletes: bpalogin < 2.0.2-19
Obsoletes: cpqarrayd < 2.3-22
Obsoletes: cpudyn < 1.0.1-17
Obsoletes: cpufreqd < 2.4.2-18
Obsoletes: libcpufreqd < 2.4.2-18
Obsoletes: lib64cpufreqd < 2.4.2-18
Obsoletes: devmon < 0.3.1-0.beta1.14
Obsoletes: imspector < 0.9-36
Obsoletes: imspector-mysql < 0.9-36
Obsoletes: imspector-postgresql < 0.9-36
Obsoletes: imspector-sqlite < 0.9-36
Obsoletes: mod_gearman < 1.3.4-14
Obsoletes: libnbs1 < 1.0-0.20040615.10
Obsoletes: lib64nbs1 < 1.0-0.20040615.10
Obsoletes: libnbs-devel < 1.0-0.20040615.10
Obsoletes: lib64nbs-devel < 1.0-0.20040615.10
Obsoletes: nbs-client < 1.0-0.20040615.10
Obsoletes: nbs-server < 1.0-0.20040615.10
Obsoletes: iplog < 2.2.3-28
Obsoletes: rrdcollect < 0.2.9-13
Obsoletes: vdradmin-am < 3.6.9-10
Obsoletes: vtun < 3.0.4-8
Obsoletes: smtp-gated < 1.4.20.0-12
Obsoletes: clusterscripts-client < 3.5-31
Obsoletes: clusterscripts-common < 3.5-31
Obsoletes: clusterscripts-server < 3.5-31
Obsoletes: clusterscripts-server-conf < 3.5-31
Obsoletes: clusterscripts-server-pxe < 3.5-31


# 2024-05-02 (mokraemer) wrong php packages
Obsoletes: php-83-memcached
Obsoletes: php-83-xattr
Obsoletes: php-83-zstd
Obsoletes: php-83-gmagick
Obsoletes: php-83-gender
Obsoletes: php-83-inotify
Obsoletes: php-83-pear
Obsoletes: php-83-pspell
Obsoletes: php-83-translit
Obsoletes: php-83-redis
Obsoletes: php-83-ds
Obsoletes: php-83-expect
Obsoletes: php-83-openssl
Obsoletes: php-83-mcrypt
Obsoletes: php-83-yaml
Obsoletes: php-83-bitset
Obsoletes: php-83-apcu
Obsoletes: php-83-dbase
Obsoletes: php-83-uuid
Obsoletes: php-83-jsmin
Obsoletes: php-83-event
Obsoletes: php-83-ssh2
Obsoletes: php-83-gnupg
Obsoletes: php-83-igbinary
Obsoletes: php-83-dio
Obsoletes: php-83-imagick
Obsoletes: php-83-mailparse
Obsoletes: php-83-xdebug
Obsoletes: php-83-mongodb
Obsoletes: php-83-rrd
Obsoletes: php-83-raphf
Obsoletes: php-83-msgpack
Obsoletes: php-83-apcu-admin
# 2024-04-16 (mokraemer) drop some old packages
Obsoletes: dnotify < 0.18.0-20
Obsoletes: djabberd < 0.850.0-14
Obsoletes: perl-DJabberd < 0.850.0-14
Obsoletes: perl-DJabberd-RosterStorage-SQLite < 1.0.0-18
Obsoletes: perl-DJabberd-Plugin-PrivateStorage < 0.600.0-7
Obsoletes: perl-DJabberd-Plugin-JabberIqVersion < 0.400.0-7
Obsoletes: powernowd < 1.00-17

# 2024-03-23 (papoteur)
# This repository has been archived by the owner on Jun 3, 2020.
Obsoletes: python3-rhnlib
Obsoletes: rhn-check
# from rhn-client-tools
Obsoletes: python3-rhn-check
Obsoletes: python3-rhn-setup
Obsoletes: python3-rhn-setup-gnome
Obsoletes: python3-rhn-client-tools
Obsoletes: rhn-setup-gnome

Obsoletes: yumex-dnf
# Not updated, doesn't build with py3.12
Obsoletes: python3-smartcols

# 2024-02-18 (eatdirt)
# binderfs now included in kernels >= 6.6.0 and waydroid does not need
# anymore dkms-anbox. Moreover, loading it yields to kernel-panic
Obsoletes: dkms-anbox < 0.0.3-5

# 2024-03-07 (daviddavid)
# doesn't work at all and our maintainer is no more active long time ago
Obsoletes: eduactiv8 < 4.19.02-6
# 2024-02-23 (daviddavid)
# no more needed and not ported to py3.12
Obsoletes: gnome-dvb-daemon < 0.2.90-15
Obsoletes: python3-jsonrpc-server < 0.4.0-6
# 2024-02-06
# Python modules not updated nor required
Obsoletes: python3-fdb < 2.0.1-5
Obsoletes: python3-protorpc < 0.12.0-9
Obsoletes: python-aspy.yaml < 1.3.0-7
Obsoletes: spyder-autopep8 < 2.0.4-3
Obsoletes: python-findates < 0.2-15
Obsoletes: python-gcs-oauth2-boto-plugin < 3.0-5
Obsoletes: python-gmpy < 1.17-19
Obsoletes: python-pysendfile < 2.0.1-11
Obsoletes: python-voevent-parse < 1.0.3-7
Obsoletes: python3-aspy.yaml < 1.3.0-7
Obsoletes: python3-findates < 0.2-15
Obsoletes: python3-gcs-oauth2-boto-plugin < 3.0-5
Obsoletes: python3-gmpy < 1.17-19
Obsoletes: python3-pysendfile < 2.0.1-11
Obsoletes: python3-voevent-parse < 1.0.3-7
Obsoletes: python3-django-userena < 2.0.1-11
Obsoletes: rhn-client-tools < 2.9.36-9


# 2024-02-05 (daviddavid)
# Upstream removed them for plasma6 (khotkeys, kopete and all telepathy-kde-xxxx)
Obsoletes: khotkeys < 5.27.9-2
Obsoletes: libkhotkeysprivate5 < 5.27.9-2
Obsoletes: lib64khotkeysprivate5 < 5.27.9-2
Obsoletes: libkf5hotkeysprivate-devel < 5.27.9-2
Obsoletes: lib64kf5hotkeysprivate-devel < 5.27.9-2

Obsoletes: kopete < 4:23.08.1-2
Obsoletes: kopete-handbook < 4:23.08.1-2
Obsoletes: libkopete-devel < 4:23.08.1-2
Obsoletes: libkopete1 < 4:23.08.1-2
Obsoletes: liboscar1 < 4:23.08.1-2
Obsoletes: libkopete_oscar1 < 4:23.08.1-2
Obsoletes: libkopete_otr_shared1 < 4:23.08.1-2
Obsoletes: libkopete_videodevice1 < 4:23.08.1-2
Obsoletes: libkopeteaddaccountwizard1 < 4:23.08.1-2
Obsoletes: libkopetechatwindow_shared1 < 4:23.08.1-2
Obsoletes: libkopetecontactlist1 < 4:23.08.1-2
Obsoletes: libkopeteidentity1 < 4:23.08.1-2
Obsoletes: libkopeteprivacy1 < 4:23.08.1-2
Obsoletes: libkopetestatusmenu1 < 4:23.08.1-2
Obsoletes: lib64kopete-devel < 4:23.08.1-2
Obsoletes: lib64kopete1 < 4:23.08.1-2
Obsoletes: lib64oscar1 < 4:23.08.1-2
Obsoletes: lib64kopete_oscar1 < 4:23.08.1-2
Obsoletes: lib64kopete_otr_shared1 < 4:23.08.1-2
Obsoletes: lib64kopete_videodevice1 < 4:23.08.1-2
Obsoletes: lib64kopeteaddaccountwizard1 < 4:23.08.1-2
Obsoletes: lib64kopetechatwindow_shared1 < 4:23.08.1-2
Obsoletes: lib64kopetecontactlist1 < 4:23.08.1-2
Obsoletes: lib64kopeteidentity1 < 4:23.08.1-2
Obsoletes: lib64kopeteprivacy1 < 4:23.08.1-2
Obsoletes: lib64kopetestatusmenu1 < 4:23.08.1-2

Obsoletes: telepathy-kde-accounts-kcm < 23.04.1-2
Obsoletes: libktpaccountskcminternal9 < 23.04.1-2
Obsoletes: lib64ktpaccountskcminternal9 < 23.04.1-2
Obsoletes: telepathy-kde-auth-handler < 23.04.1-2
Obsoletes: telepathy-kde-approver < 23.04.1-2
Obsoletes: telepathy-kde-call-ui < 23.04.1-2
Obsoletes: telepathy-kde-common-internals-core < 23.04.1-2
Obsoletes: libktpCommoninternals9 < 23.04.1-2
Obsoletes: libktplogger9 < 23.04.1-2
Obsoletes: libktpmodels9 < 23.04.1-2
Obsoletes: libktpwidgets9 < 23.04.1-2
Obsoletes: libktpotr9 < 23.04.1-2
Obsoletes: libtelepathy-kde-common-internals-devel < 23.04.1-2
Obsoletes: lib64ktpCommoninternals9 < 23.04.1-2
Obsoletes: lib64ktplogger9 < 23.04.1-2
Obsoletes: lib64ktpmodels9 < 23.04.1-2
Obsoletes: lib64ktpwidgets9 < 23.04.1-2
Obsoletes: lib64ktpotr9 < 23.04.1-2
Obsoletes: lib64telepathy-kde-common-internals-devel < 23.04.1-2
Obsoletes: telepathy-kde-contact-list < 23.04.1-2
Obsoletes: telepathy-kde-contact-runner < 23.04.1-2
Obsoletes: telepathy-kde-desktop-applets < 23.04.1-2
Obsoletes: telepathy-kde-filetransfer-handler < 23.04.1-2
Obsoletes: telepathy-kde-integration-module < 23.04.1-2
Obsoletes: telepathy-kde-send-file < 23.04.1-2
Obsoletes: telepathy-kde-text-ui < 23.04.1-2

# 2024-01-26 (daviddavid)
# upstream stop support for current python3.12
Obsoletes: libshiboken2-python3.12-devel < 5.15.12-3
Obsoletes: libshiboken2-python3.12_5.15 < 5.15.12-3
Obsoletes: lib64shiboken2-python3.12-devel < 5.15.12-3
Obsoletes: lib64shiboken2-python3.12_5.15 < 5.15.12-3
Obsoletes: python3-shiboken2 < 5.15.12-3
Obsoletes: shiboken2 < 5.15.12-3

Obsoletes: pyside2-tools < 5.15.7-2

Obsoletes: python3-pyside2-widgets < 5.15.7-3
Obsoletes: python3-pyside2-openglfunctions < 5.15.7-3
Obsoletes: python3-pyside2-gui < 5.15.7-3
Obsoletes: python3-pyside2-core < 5.15.7-3
Obsoletes: python3-pyside2-3drender < 5.15.7-3
Obsoletes: python3-pyside2-multimedia < 5.15.7-3
Obsoletes: libpyside2-python3.10-devel < 5.15.7-3
Obsoletes: lib64pyside2-python3.10-devel < 5.15.7-3
Obsoletes: python3-pyside2-datavisualization < 5.15.7-3
Obsoletes: python3-pyside2-network < 5.15.7-3
Obsoletes: python3-pyside2-charts < 5.15.7-3
Obsoletes: python3-pyside2-quick < 5.15.7-3
Obsoletes: python3-pyside2-sensors < 5.15.7-3
Obsoletes: python3-pyside2-location < 5.15.7-3
Obsoletes: python3-pyside2-sql < 5.15.7-3
Obsoletes: python3-pyside2-3dextras < 5.15.7-3
Obsoletes: python3-pyside2-help < 5.15.7-3
Obsoletes: python3-pyside2-xml < 5.15.7-3
Obsoletes: python3-pyside2-uitools < 5.15.7-3
Obsoletes: python3-pyside2-opengl < 5.15.7-3
Obsoletes: python3-pyside2-qml < 5.15.7-3
Obsoletes: python3-pyside2-webenginewidgets < 5.15.7-3
Obsoletes: python3-pyside2-3dcore < 5.15.7-3
Obsoletes: python3-pyside2-printsupport < 5.15.7-3
Obsoletes: python3-pyside2-positioning < 5.15.7-3
Obsoletes: python3-pyside2-3danimation < 5.15.7-3
Obsoletes: python3-pyside2-scxml < 5.15.7-3
Obsoletes: python3-pyside2-script < 5.15.7-3
Obsoletes: python3-pyside2-remoteobjects < 5.15.7-3
Obsoletes: python3-pyside2-multimediawidgets < 5.15.7-3
Obsoletes: python3-pyside2-3dinput < 5.15.7-3
Obsoletes: python3-pyside2-xmlpatterns < 5.15.7-3
Obsoletes: python3-pyside2-svg < 5.15.7-3
Obsoletes: libpyside2-python3.10_5.15 < 5.15.7-3
Obsoletes: lib64pyside2-python3.10_5.15 < 5.15.7-3
Obsoletes: python3-pyside2-quickwidgets < 5.15.7-3
Obsoletes: python3-pyside2-concurrent < 5.15.7-3
Obsoletes: python3-pyside2-websockets < 5.15.7-3
Obsoletes: python3-pyside2-webchannel < 5.15.7-3
Obsoletes: python3-pyside2-test < 5.15.7-3
Obsoletes: python3-pyside2-texttospeech < 5.15.7-3
Obsoletes: python3-pyside2-serialport < 5.15.7-3
Obsoletes: python3-pyside2-webenginecore < 5.15.7-3
Obsoletes: python3-pyside2-scripttools < 5.15.7-3
Obsoletes: python3-pyside2-3dlogic < 5.15.7-3
Obsoletes: python3-pyside2-webengine < 5.15.7-3
Obsoletes: python3-pyside2 < 5.15.7-3
Obsoletes: python3-pyside2-x11extras < 5.15.7-3
Obsoletes: python3-pyside2-quickcontrols2 < 5.15.7-3
# needs pyside2
Obsoletes: steamcontroller < 1.2-16
Obsoletes: steamcontroller-tools < 1.2-16

# 2024-01-26 (daviddavid)
# old and dead project since 2014 (also still use depcrecated Qt4) ((mga#32784)
Obsoletes: flukz < 0.4-10

# 2023-12-20 (papoteur)
# Old/unused/whatsoever python pkgs
Obsoletes: rawkit < 1.0.6-18
Obsoletes: python-recaptcha-client
Obsoletes: python3-sensors < 0.0.2-13
Obsoletes: python3-smartcols < 0.3.0-12
Obsoletes: python3-pyxb < 1.2.6-9
# deprecated, no more maintenance
Obsoletes: python-astropy-helpers

# 2023-12-19 (wally)
# Old/unused/whatsoever python pkgs
Obsoletes: python3-backports.os < 0.1.1-11
Obsoletes: python3-cchardet < 2.1.7-3
Obsoletes: python3-chai < 1.1.2-9
Obsoletes: python3-gpgme < 0.3-19
Obsoletes: python3-ipdns < 0.1.4-9
Obsoletes: python3-pyblake2 < 1.1.2-7
Obsoletes: python-pyblake2-doc < 1.1.2-7
Obsoletes: python3-unicodecsv < 0.14.1-11
# SRPMs:
Obsoletes: python-cchardet < 2.1.7-3
Obsoletes: python-ipdns < 0.1.4-9
# 2024-01-04 (wally)
# nassl uses openssl 1.x
# sslyze requires nassl
# cryptonice requires sslyze
Obsoletes: python3-nassl < 4.0.2-2
Obsoletes: python3-sslyze < 5.0.5-2
Obsoletes: cryptonice < 1.4.2.3-2

# 2023-10-17 (mokraemer)
# remove package with dependancies not met
Obsoletes: php-pear-Auth_RADIUS < 1.1.0-8

# 2023-10-02 (daviddavid)
# uses old webkitgtk-4.0 which has been retired also not yet ported to libsoup3
# and no more maintained upstream since October 2019
Obsoletes: midori < 9.0-8
Obsoletes: libmidori-core0 < 9.0-8
Obsoletes: lib64midori-core0 < 9.0-8
Obsoletes: libmidori-core-devel < 9.0-8
Obsoletes: lib64midori-core-devel < 9.0-8

# (mokraemer) 2023-09-24 bad removal, due to missing epoch
Obsoletes:	php-radius < 1:1.4.1

# (tv) 2023-12 unused/leaf perl modules with broken deps:
Obsoletes: perl-Mail-SpamAssassin-Plugin-SAGrey < 0.02-15
# (tv) 2023-09 unused/leaf perl modules which newer version would pull new deps:
Obsoletes: perl-Number-Phone < 4.0.0-2

# (tv) no longer required, and doesn't build with perl-5.38
Obsoletes: perl-Language-Befunge-Storage-Generic-Vec-XS < 0.30.0-25
# Needs perl(XML::Sablotron):
Obsoletes: perl-Apache-ASP < 2.630.0-6
# undefined reference to `Perl_hv_backreferences_p'
Obsoletes: perl-Data-Swap < 0.80.0-28
# *** stack smashing detected ***: terminated
Obsoletes: perl-XML-Sablotron < 1.10.0-24
# Fails since 5.38.0 RC2 (https://www.cpantesters.org/distro/L/Locale-Hebrew.html?oncpan=1&distmat=1&version=1.05&grade=3)
Obsoletes: perl-Locale-Hebrew < 1.50.0-23
# Depends on above perl-Data-Swap:
Obsoletes: perl-Catalyst-Model-KiokuDB < 0.120.0-13
Obsoletes: perl-KiokuDB < 0.570.0-10
Obsoletes: perl-KiokuDB-Backend-DBI < 1.230.0-9
Obsoletes: perl-KiokuDB-Cmd < 0.30.0-11
Obsoletes: perl-KiokuX-Model < 0.20.0-11
Obsoletes: perl-KiokuX-User < 0.20.0-14

# (tv) no longer required, and doesn't build with perl-5.36
Obsoletes: perl-SMS-Send < 1.60.0-13

# *** Mageia 9 ***

# 2023-03-03 (papoteur)
# due to usage of qtwebkit
# not updated since 2016
Obsoletes: cutemarked <  0.11.3-10

# pgadmin4 has too much fixed dependencies of python modules. This can be updated in a Mageia release cycle
Obsoletes: pgadmin4 < 4.30-3
Obsoletes: pgadmin4-doc < 4.30-3
Obsoletes: pgadmin4-web < 4.30-3

# 2023-06-20 (daviddavid)
# drop UNMAINTAINED Spell checker extension (mga#30163#c2)
Obsoletes: firefox-ext-mozvoikko < 2.0.1-13
# drop NPAPI plugin which is no longer supported in all major browsers (mga#30163#c3)
Obsoletes: mozilla-plugin-aliedit < 1.0.3.20-11
# As per discussion on qa discuss ml it still causes problems if installed (mga#30163#c51)
Obsoletes: invictus-firewall < 0.1-20

#
Obsoletes: tmate < 2.4.0-3
Obsoletes: quvi < 0.9.5-10
Obsoletes: perl-Net-IPv4Addr < 0.100.0-12
Obsoletes: perl-MondoRescue < 3.2.2-6
Obsoletes: perl-Net-Packet < 3.280.0-7
Obsoletes: perl-Net-Packet-Target < 1.10.0-11
Obsoletes: mindi < 3.0.2-6
Obsoletes: mondo < 1:3.2.2-7
Obsoletes: anki < 2.1.15-5

# 2023-06-17 (daviddavid)
# drop old sqlite2 (mga#32018)
Obsoletes: libsqlite0 < 2.8.17-29
Obsoletes: lib64sqlite0 < 2.8.17-29
Obsoletes: libsqlite0-devel < 2.8.17-29
Obsoletes: lib64sqlite0-devel < 2.8.17-29
Obsoletes: libsqlite0-static-devel < 2.8.17-29
Obsoletes: lib64sqlite0-static-devel < 2.8.17-29
Obsoletes: sqlite-tools < 2.8.17-29
# drop packages which depend on old sqlite2 (mga#32018)
Obsoletes: perl-DBD-SQLite2 < 0.380.0-8
# this one depends on perl-DBD-SQLite2
Obsoletes: perl-DBIx-Class-Loader < 0.210.0-11

#2023-06-16 (ns80, mga#30179)
Obsoletes: pm-utils < 1.4.1-16
Obsoletes: pm-utils-devel < 1.4.1-16
Obsoletes: pm-fallback-policy < 0.1-19

#2023-06-16 (mokraemer)
Obsoletes: tuxmath < 2.0.3-16

# 2023-06-14 (daviddavid)
# drop unmaintained X.org packages (mga#31867)
Obsoletes: libdmx1 < 1.1.4-5
Obsoletes: lib64dmx1 < 1.1.4-5
Obsoletes: libdmx-devel < 1.1.4-5
Obsoletes: lib64dmx-devel < 1.1.4-5
Obsoletes: libdmx-static-devel < 1.1.4-5
Obsoletes: lib64dmx-static-devel < 1.1.4-5
Obsoletes: liblbxutil1 < 1.1.0-14
Obsoletes: lib64lbxutil1 < 1.1.0-14
Obsoletes: liblbxutil-devel < 1.1.0-14
Obsoletes: lib64lbxutil-devel < 1.1.0-14
Obsoletes: liboldx6 < 1.0.1-20
Obsoletes: lib64oldx6 < 1.0.1-20
Obsoletes: liboldx-devel < 1.0.1-20
Obsoletes: lib64oldx-devel < 1.0.1-20
Obsoletes: libxevie1 < 1.0.3-14
Obsoletes: lib64xevie1 < 1.0.3-14
Obsoletes: libxevie-devel < 1.0.3-14
Obsoletes: lib64xevie-devel < 1.0.3-14
Obsoletes: libxfontcache1 < 1.0.5-15
Obsoletes: lib64xfontcache1 < 1.0.5-15
Obsoletes: libxfontcache-devel < 1.0.5-15
Obsoletes: lib64xfontcache-devel < 1.0.5-15
Obsoletes: libxp6 < 1.0.4-2
Obsoletes: lib64xp6 < 1.0.4-2
Obsoletes: libxp-devel < 1.0.4-2
Obsoletes: lib64xp-devel < 1.0.4-2
Obsoletes: libxkbui1 < 1.0.2-20
Obsoletes: lib64xkbui1 < 1.0.2-20
Obsoletes: libxkbui-devel < 1.0.2-20
Obsoletes: lib64xkbui-devel < 1.0.2-20
Obsoletes: libxprintutil1 < 1.0.1-21
Obsoletes: lib64xprintutil1 < 1.0.1-21
Obsoletes: libxprintutil-devel < 1.0.1-21
Obsoletes: lib64xprintutil-devel < 1.0.1-21
Obsoletes: libxtrap6 < 1.0.1-11
Obsoletes: lib64xtrap6 < 1.0.1-11
Obsoletes: libxtrap-devel < 1.0.1-11
Obsoletes: lib64xtrap-devel < 1.0.1-11
Obsoletes: xtrap < 1.0.3-5
Obsoletes: x11-driver-input-fpit < 1.4.0-28
Obsoletes: x11-driver-input-hyperpen < 1.4.1-34
Obsoletes: x11-driver-input-mutouch < 1.3.0-29
Obsoletes: x11-driver-input-penmount < 1.5.0-28
Obsoletes: x11-font-bitstream-speedo < 1.0.3-11
Obsoletes: xfindproxy < 1.0.4-5
Obsoletes: xfwp < 1.0.3-9
Obsoletes: xrx < 1.0.4-11
Obsoletes: xsetmode < 1.0.0-19
Obsoletes: xsetpointer < 1.0.1-16

# 2023-03-29 (daviddavid)
# no more maintained, no more used by anything, does not build anymore with ffmpeg >= 5
Obsoletes: libdlna0 < 0.2.14-13
Obsoletes: lib64dlna0 < 0.2.14-13
Obsoletes: libdlna-devel < 0.2.14-13
Obsoletes: lib64dlna-devel < 0.2.14-13
Obsoletes: k9copy < 3.0.3-18

#2023-03-28 (Philippe DIDIER)
# no update for years, no more useful, don't build anymore
Obsoletes: vdr-plugin-games < 0.6.3-33
Obsoletes: vdr-plugin-osdpip < 0.1.2-13
Obsoletes: vdr-plugin-skinelchi < 0.2.8.14
Obsoletes: vdr-plugin-skinsoppalusikka < 2.0.1-11
Obsoletes: vdr-plugin-sudoku < 0.3.5-17
Obsoletes: vdr-plugin-suspendoutput < 1.0.1-18
Obsoletes: vdr-plugin-ttxtsubs < 1:0.3.0-11
Obsoletes: vdr-plugin-tvonscreen < 1.0.141-28
Obsoletes: vdr-plugin-wapd < 0.9-20
Obsoletes: vdr-plugin-xvdr < 0.9.9-0.git20131223.11

# 2023-02-18 (papoteur)
# no more maintained, superseeded by python-m2r2
Obsoletes: python-m2r
Obsoletes: python3-m2r

# 2023-02-02 (papoteur)
# security reason (mga#31069)
Obsoletes: python-flask-security
Obsoletes: python3-flask-security
# wrong imports
Obsoletes: python3-azure-mgmt-resource
Obsoletes: python-azure-mgmt-resource
Obsoletes: python3-azure-mgmt-subscription
Obsoletes: python-azure-mgmt-subscription
# no more updated since 2019, doesn't build anymore
Obsoletes: hgsubversion

# 2023-01-17 (daviddavid)
# dead project, no more used by anything and very very old pkg
Obsoletes: liblinebreak20080321 < 20080321-15
Obsoletes: lib64linebreak20080321 < 20080321-15
Obsoletes: liblinebreak-devel < 20080321-15
Obsoletes: lib64linebreak-devel < 20080321-15

# 2023-01-11 (daviddavid)
# dead project and no more compatible with nautilus-extension-4
Obsoletes: nautilus-filesharing < 0.6-14

# 2022-12-21 (Papoteur)
# no more usefull
Obsoletes: fgx < 2.8.0-12
Obsoletes: easystroke < 0.6.0-23

# 2022-12-18 (Papoteur)
# no more required
Obsoletes: python-qt4 < 4.12.3-11
Obsoletes: python3-qt4 < 4.12.3-11
Obsoletes: python3-qt4-core < 4.12.3-11
Obsoletes: python3-qt4-doc < 4.12.3-11
Obsoletes: python3-qt4-designer < 4.12.3-11
Obsoletes: python3-qt4-examples < 4.12.3-11
Obsoletes: python3-qt4-gui < 4.12.3-11
Obsoletes: python3-qt4-help < 4.12.3-11
Obsoletes: python3-qt4-devel < 4.12.3-11
Obsoletes: python3-qt4-assistant < 4.12.3-11
Obsoletes: python3-qt4-dbus < 4.12.3-11
Obsoletes: python3-qt4-declarative < 4.12.3-11
Obsoletes: python3-qt4-multimedia < 4.12.3-11
Obsoletes: python3-qt4-network < 4.12.3-11
Obsoletes: python3-qt4-opengl < 4.12.3-11
Obsoletes: python3-qt4-phonon < 4.12.3-11
Obsoletes: python3-qt4-script < 4.12.3-11
Obsoletes: python3-qt4-sql < 4.12.3-11
Obsoletes: python3-qt4-svg < 4.12.3-11
Obsoletes: python3-qt4-scripttools < 4.12.3-11
Obsoletes: python3-qt4-test < 4.12.3-11
Obsoletes: python3-qt4-webkit < 4.12.3-11
Obsoletes: python3-qt4-xml < 4.12.3-11
Obsoletes: python3-qt4-xmlpatterns < 4.12.3-11
# based on qt4
Obsoletes: qt4pas
Obsoletes: qt4pas-devel
# wrong imports
Obsoletes: python-user-agents
Obsoletes: python3-user-agents
Obsoletes: python-azure-mgmt-common
Obsoletes: python3-azure-mgmt-common
Obsoletes: python-flask-socketio
Obsoletes: python3-flask-socketio
Obsoletes: python-msrestazure
Obsoletes: python3-msrestazure
# remaining from previously obsoleted
Obsoletes: lib64gnuradio-fcdproplus3.8.0
Obsoletes: libgnuradio-fcdproplus3.8.0
Obsoletes: lib64gnuradio-fcdproplus-devel
Obsoletes: libgnuradio-fcdproplus-devel

# 2022-12-08 (Akien)
# Both depend on Godot 2, which we don't provide anymore (mga#30838).
Obsoletes: minilens < 1.2-6
Obsoletes: tanks-of-freedom < 0.7.0-5

# 2022-12-07 (kekepower)
Obsoletes: guetzli < 1.0.1-4
Obsoletes: qesteidutil < 3.12.10-7

# 2022-12-05 (barjac)
# All dead upstream
Obsoletes: grig < 0.8.1-8
Obsoletes: osmo-sdr < 0.1.20151211-6
Obsoletes: lib64osmo-sdr-devel < 0.1.20151211-6
Obsoletes: libosmo-sdr-devel < 0.1.20151211-6
Obsoletes: lib64osmo-sdr0 < 0.1.20151211-6
Obsoletes: libosmo-sdr0 < 0.1.20151211-6
Obsoletes: osmo-sdr-devel-doc < 0.1.20151211-6

# 2022-11-23 (mokramer)
Obsoletes: mysqludf_json < 0.0.3

# 2022-11-20 (kekepower)
Obsoletes: xfbib < 0.1.0-9

# 2022-10-19 (kekepower)
# Easier to just download from Github directly
Obsoletes: bazel < 4.0.0-2

# 2022-11-05 (wally) unwanted
Obsoletes: python3-ssl-opt-out < 0.9.1-7
Obsoletes: python-ssl-opt-out < 0.9.1-7

# 2022-09-27 (wally) archived by upstream
Obsoletes: python-pyinsane < 2.0.13-8
Obsoletes: python3-pyinsane < 2.0.13-8
Obsoletes: filemanager-actions < 3.4-5
Obsoletes: filemanager-actions-caja < 3.4-5
Obsoletes: filemanager-actions-devel < 3.4-5
Obsoletes: filemanager-actions-nautilus < 3.4-5
Obsoletes: filemanager-actions-nemo < 3.4-5
Obsoletes: banshee < 1:2.6.2-19
Obsoletes: banshee-community-extensions < 2.4.0-7.git20131010.9
Obsoletes: banshee-devel < 1:2.6.2-19
Obsoletes: banshee-ipod < 1:2.6.2-19
Obsoletes: banshee-mtp < 1:2.6.2-19
Obsoletes: lib64grss-devel < 0.7.0-7
Obsoletes: lib64grss0 < 0.7.0-7
Obsoletes: libgrss-devel < 0.7.0-7
Obsoletes: libgrss0 < 0.7.0-7
Obsoletes: seahorse-sharing < 3.8.0-11
Obsoletes: gnome-online-miners < 3.34.0-6
# Used only with g-o-m
Obsoletes: lib64zapojit-devel < 0.0.3-12
Obsoletes: lib64zapojit-gir0.0 < 0.0.3-12
Obsoletes: lib64zapojit0.0_0 < 0.0.3-12
Obsoletes: libzapojit-devel < 0.0.3-12
Obsoletes: libzapojit-gir0.0 < 0.0.3-12
Obsoletes: libzapojit0.0_0 < 0.0.3-12

# 2022-09-19 (wally) old, and dead (upstream disappeared)
Obsoletes: gtkpod < 2.1.5-12
Obsoletes: lib64gtkpod-devel < 2.1.5-12
Obsoletes: lib64gtkpod1 < 2.1.5-12
Obsoletes: libgtkpod-devel < 2.1.5-12
Obsoletes: libgtkpod1 < 2.1.5-12
Obsoletes: lib64atomicparsley0 < 2.1.5-12
Obsoletes: libatomicparsley0 < 2.1.5-12

# 2022-10-30 (wally) old and unused
Obsoletes: lib64musicbrainz3-devel < 3.0.3-13
Obsoletes: lib64musicbrainz3_6 < 3.0.3-13
Obsoletes: libmusicbrainz3-devel < 3.0.3-13
Obsoletes: libmusicbrainz3_6 < 3.0.3-13
Obsoletes: lib64musicbrainz-devel < 2.1.5-21
Obsoletes: lib64musicbrainz4 < 2.1.5-21
Obsoletes: libmusicbrainz-devel < 2.1.5-21
Obsoletes: libmusicbrainz4 < 2.1.5-21

Obsoletes: lib64openshadinglanguage1.10-devel < 1.10.13-12
Obsoletes: lib64openshadinglanguage1.10_1.10 < 1.10.13-12
Obsoletes: libopenshadinglanguage1.10-devel < 1.10.13-12
Obsoletes: libopenshadinglanguage1.10_1.10 < 1.10.13-12
Obsoletes: openshadinglanguage1.10 < 1.10.13-12

Obsoletes: lib64llvm10-devel < 10.0.1-4
Obsoletes: lib64llvm10.0 < 10.0.1-4
Obsoletes: libllvm10-devel < 10.0.1-4
Obsoletes: libllvm10.0 < 10.0.1-4
Obsoletes: llvm10 < 10.0.1-4
Obsoletes: llvm10-doc < 10.0.1-4
Obsoletes: llvm10-static < 10.0.1-4
Obsoletes: lib64llvm11.0 < 11.0.1-8
Obsoletes: lib64llvm11.0-devel < 11.0.1-8
Obsoletes: libllvm11.0 < 11.0.1-8
Obsoletes: libllvm11.0-devel < 11.0.1-8
Obsoletes: llvm11.0 < 11.0.1-8
Obsoletes: llvm11.0-doc < 11.0.1-8
Obsoletes: llvm11.0-static < 11.0.1-8
Obsoletes: lib64llvm12.0 < 12.0.1-4
Obsoletes: lib64llvm12.0-devel < 12.0.1-4
Obsoletes: libllvm12.0 < 12.0.1-4
Obsoletes: libllvm12.0-devel < 12.0.1-4
Obsoletes: llvm12 < 12.0.1-4
Obsoletes: llvm12-doc < 12.0.1-4
Obsoletes: llvm12-static < 12.0.1-4
Obsoletes: lib64llvm13.0 < 13.0.1-5
Obsoletes: lib64llvm13.0-devel < 13.0.1-5
Obsoletes: libllvm13.0 < 13.0.1-5
Obsoletes: libllvm13.0-devel < 13.0.1-5
Obsoletes: llvm13 < 13.0.1-5
Obsoletes: llvm13-doc < 13.0.1-5
Obsoletes: llvm13-static < 13.0.1-5

# 2022-10-30 (wally) requires old llvm11
Obsoletes: python3-llvmlite < 0.38.0-4
Obsoletes: python3-pynndescent < 0.5.6-3
Obsoletes: python3-numba < 0.56.3-2
Obsoletes: python3-numba-devel < 0.56.3-2

# 2022-09-12 (wally) old and unused
Obsoletes: lib64mozjs38
Obsoletes: lib64mozjs38-devel
Obsoletes: libmozjs38
Obsoletes: libmozjs38-devel
Obsoletes: lib64mozjs52
Obsoletes: lib64mozjs52-devel
Obsoletes: libmozjs52
Obsoletes: libmozjs52-devel
Obsoletes: lib64mozjs60
Obsoletes: lib64mozjs60-devel
Obsoletes: libmozjs60
Obsoletes: libmozjs60-devel
Obsoletes: lib64mozjs68
Obsoletes: lib64mozjs68-devel
Obsoletes: libmozjs68
Obsoletes: libmozjs68-devel
Obsoletes: lib64mozjs91 < 91.7.0-3
Obsoletes: lib64mozjs91-devel < 91.7.0-3
Obsoletes: libmozjs91 < 91.7.0-3
Obsoletes: libmozjs91-devel < 91.7.0-3
Obsoletes: lib64memcache-devel < 1.4.0-0.rc2.18
Obsoletes: lib64memcache0 < 1.4.0-0.rc2.18
Obsoletes: libmemcache-devel < 1.4.0-0.rc2.18
Obsoletes: libmemcache0 < 1.4.0-0.rc2.18
Obsoletes: distcache-client < 1.5.1-31
Obsoletes: distcache-server < 1.5.1-31
Obsoletes: distcache-utils < 1.5.1-31
Obsoletes: lib64distcache-devel < 1.5.1-31
Obsoletes: lib64distcache1 < 1.5.1-31
Obsoletes: libdistcache-devel < 1.5.1-31
Obsoletes: libdistcache1 < 1.5.1-31
Obsoletes: lib64valhalla-devel < 2.0.0-18
Obsoletes: lib64valhalla2 < 2.0.0-18
Obsoletes: libvalhalla-devel < 2.0.0-18
Obsoletes: libvalhalla2 < 2.0.0-18
Obsoletes: libvalhalla-test < 2.0.0-18

Obsoletes: lib64gnomeuimm2.6-devel < 2.28.0-18
Obsoletes: lib64gnomeuimm2.6_1 < 2.28.0-18
Obsoletes: libgnomeuimm2.6-doc < 2.28.0-18
Obsoletes: libgnomeuimm2.6-devel < 2.28.0-18
Obsoletes: libgnomeuimm2.6_1 < 2.28.0-18

Obsoletes: gconfmm2.6-doc < 2.28.3-13
Obsoletes: lib64gconfmm2.6-devel < 2.28.3-13
Obsoletes: lib64gconfmm2.6_1 < 2.28.3-13
Obsoletes: libgconfmm2.6-devel < 2.28.3-13
Obsoletes: libgconfmm2.6_1 < 2.28.3-13

Obsoletes: lib64gnomecanvasmm2.6-devel < 2.26.0-19
Obsoletes: lib64gnomecanvasmm2.6_1 < 2.26.0-19
Obsoletes: libgnomecanvasmm2.6-devel < 2.26.0-19
Obsoletes: libgnomecanvasmm2.6_1 < 2.26.0-19
Obsoletes: libgnomecanvasmm2.6-doc < 2.26.0-19

Obsoletes: lib64gnomemm2.6-devel < 2.30.0-16
Obsoletes: lib64gnomemm2.6_1 < 2.30.0-16
Obsoletes: libgnomemm2.6-devel < 2.30.0-16
Obsoletes: libgnomemm2.6_1 < 2.30.0-16

Obsoletes: gnome-vfsmm2.6-doc < 2.26.0-19
Obsoletes: lib64gnome-vfsmm2.6-devel < 2.26.0-19
Obsoletes: lib64gnome-vfsmm2.6_1 < 2.26.0-19
Obsoletes: libgnome-vfsmm2.6-devel < 2.26.0-19
Obsoletes: libgnome-vfsmm2.6_1 < 2.26.0-19

# 2022-09-03 (wally) dead and unused
Obsoletes: libmx < 1.4.7-21
Obsoletes: libmx-utils < 1.4.7-21
Obsoletes: lib64mx1.0_2 < 1.4.7-21
Obsoletes: lib64mx-gtk1.0_0 < 1.4.7-21
Obsoletes: lib64mx1.0-devel < 1.4.7-21
Obsoletes: lib64mx-gtk1.0-devel < 1.4.7-21
Obsoletes: lib64mx-gir1.0 < 1.4.7-21
Obsoletes: lib64mx-gtk-gir1.0 < 1.4.7-21
Obsoletes: libmx1.0_2 < 1.4.7-21
Obsoletes: libmx-gtk1.0_0 < 1.4.7-21
Obsoletes: libmx1.0-devel < 1.4.7-21
Obsoletes: libmx-gtk1.0-devel < 1.4.7-21
Obsoletes: libmx-gir1.0 < 1.4.7-21
Obsoletes: libmx-gtk-gir1.0 < 1.4.7-21
# clutter will be dead anytime soon
Obsoletes: scim-clutter < 1.4.18-5
Obsoletes: clutter-imcontext < 0.1.6-15
Obsoletes: lib64clutter-imcontext0.1_0 < 0.1.6-15
Obsoletes: lib64clutter-imcontext-devel < 0.1.6-15
Obsoletes: libclutter-imcontext0.1_0 < 0.1.6-15
Obsoletes: libclutter-imcontext-devel < 0.1.6-15
Obsoletes: clutter-imcontext-docs < 0.1.6-15
Obsoletes: clutter-gesture < 0.0.2.1-12
Obsoletes: lib64clutter-gesture0.0.2_0 < 0.0.2.1-12
Obsoletes: lib64clutter-gesture0.0.2-devel < 0.0.2.1-12
Obsoletes: libclutter-gesture0.0.2_0 < 0.0.2.1-12
Obsoletes: libclutter-gesture0.0.2-devel < 0.0.2.1-12
Obsoletes: lib64mash-devel < 0.2.0-23
Obsoletes: lib64mash-gir0.2 < 0.2.0-23
Obsoletes: lib64mash0.2_0 < 0.2.0-23
Obsoletes: libmash-devel < 0.2.0-23
Obsoletes: libmash-gir0.2 < 0.2.0-23
Obsoletes: libmash0.2_0 < 0.2.0-23

# Qt4
Obsoletes: urtconnector < 0.9.0-36
Obsoletes: scim-qt4 < 1.4.18-6
# 2023-01-02 (davidadavid) time to drop old Qt4 packages (mga#30486)
Obsoletes: clash < 0.4.5-15
# 2023-02-01 (davidadavid) time to drop old Qt4 packages
Obsoletes: ptbatterysystemtray < 1.0.0-0.rc2.11
Obsoletes: gngt < 1.1.2-9
Obsoletes: hupnp < 1.0.0-13
Obsoletes: hupnp-devel < 1.0.0-13
Obsoletes: libhupnp1 < 1.0.0-13
Obsoletes: lib64hupnp1 < 1.0.0-13
Obsoletes: libqtsolutions_soap2.7_1 < 1.0.0-13
Obsoletes: lib64qtsolutions_soap2.7_1 < 1.0.0-13
# 2022-11-15 (davidadavid) time to drop old Qt4 packages
Obsoletes: exmplayer < 5.0.1-9

# 2022-08-14 (tv) retired/archived upstream and FTBFS downstream:
Obsoletes: gnome-books < 40.0-3

# (tv) only ship newest current and newest from previous Mageia release
Obsoletes: lib64ecpg13_6 < 13.15-4
Obsoletes: lib64pq5.13 < 13.15-4
Obsoletes: libecpg13_6 < 13.15-4
Obsoletes: libpq5.13 < 13.15-4
Obsoletes: postgresql13 < 13.15-4
Obsoletes: postgresql13-contrib < 13.15-4
Obsoletes: postgresql13-devel < 13.15-4
Obsoletes: postgresql13-docs < 13.15-4
Obsoletes: postgresql13-pl < 13.15-4
Obsoletes: postgresql13-plperl < 13.15-4
Obsoletes: postgresql13-plpgsql < 13.15-4
Obsoletes: postgresql13-plpython < 13.15-4
Obsoletes: postgresql13-plpython3 < 13.15-4
Obsoletes: postgresql13-pltcl < 13.15-4
Obsoletes: postgresql13-server < 13.15-4

# (tv) 2022-08-03 drop X.org drivers that do not build with latest xserver:
Obsoletes: x11-driver-video-glint < 1.2.9-5
Obsoletes: x11-driver-video-s3 < 0.7.0-3
Obsoletes: x11-driver-video-tga < 1.2.2-22

# (tv) 2022-08-02 drop avr-libc & cross-avr-gcc (do not build, unmaintained, unused, and if needed we can enable avr target in cross-gcc)
Obsoletes: avr-libc < 2.0.0-3
Obsoletes: avr-libc-docs < 2.0.0-3
Obsoletes: cross-avr-gcc < 4.8.5-5
Obsoletes: cross-avr-gcc-c++ < 4.8.5-5

# (wally) 2022-06-19 drop old tracker2
Obsoletes: gnome-documents < 3.34.0-7
Obsoletes: lib64tracker2.0-devel < 2.3.6-6
Obsoletes: lib64tracker2.0_0 < 2.3.6-6
Obsoletes: lib64tracker-gir2.0 < 2.3.6-6
Obsoletes: libtracker2.0-devel < 2.3.6-6
Obsoletes: libtracker2.0_0 < 2.3.6-6
Obsoletes: libtracker-gir2.0 < 2.3.6-6
Obsoletes: tracker2 < 2.3.6-6
Obsoletes: tracker2-docs < 2.3.6-6
Obsoletes: tracker2-miners < 2.3.5-6
Obsoletes: tracker2-vala < 2.3.6-6

# (tv) 2022-06/07 doesn't build with perl-5.36 or dep of a failed build (2022-06-13):
Obsoletes: perl-Apache2-ModSSL < 0.100.0-20.mga9
Obsoletes: perl-Google-RestApi < 1.0.2-2
Obsoletes: perl-Devel-Trepan < 1.0.1-4
Obsoletes: perl-Devel-Trepan-Disassemble < 2.0.2-8
Obsoletes: perl-Devel-Trepan-Shell < 1.500.0-12
Obsoletes: perl-LaTeX-TikZ < 0.30.0-7
Obsoletes: perl-POE-Component-Server-SimpleHTTP < 2.280.0-4
Obsoletes: perl-POE-Component-Server-SOAP < 1.140.0-12
Obsoletes: perl-Stardoc < 0.180.0-14

# (tv) 2022-06/07 unused/leaf perl modules:
Obsoletes: perl-App-cpangitify < 0.180.0-3
Obsoletes: perl-LWP-Curl < 0.140.0-7
Obsoletes: perl-Net-Jifty < 0.140.0-12
Obsoletes: perl-Net-Lighthouse < 0.60.0-16
Obsoletes: perl-Net-Trac < 0.160.0-13
Obsoletes: perl-Swim < 0.1.48-4
Obsoletes: perl-Swim-Plugin-badge < 0.1.8-7

# (mokraemer) 2022-11-04 removed because of warnings, not updated since 2016
Obsoletes:	php-radius < 1.4.1
# (mokraemer) 2022-04-08 old php-pear packages, which don't build
Obsoletes:	php-pear-channel-symfony2 < 1.0.9
Obsoletes:	php-pear-channel-components < 1.0.1
Obsoletes:	ezcomponents < 2009.2.1-13
Obsoletes:	php-manual-en < 7.3
Obsoletes:	php-paragonie-random-compat < 2.0.19
Obsoletes:	php-pear-Auth < 1.6.5
Obsoletes:	php-pear-Auth_HTTP < 2.1.9
Obsoletes:	php-pear-Cache < 1.5.7
Obsoletes:	php-pear-Calendar < 0.5.6
Obsoletes:	php-pear-channel-horde < 1.1
Obsoletes:	php-pear-channel-phpunit < 1.4
Obsoletes:	php-pear-channel-symfony < 1.1
Obsoletes:	php-pear-Config < 1.0.13
Obsoletes:	php-pear-Console_ProgressBar < 0.5.3
Obsoletes:	php-pear-Contact_AddressBook < 0.5.2
Obsoletes:	php-pear-Crypt_Blowfish < 1.0.2
Obsoletes:	php-pear-Crypt_CBC < 1.0.2
Obsoletes:	php-pear-Crypt_CHAP < 1.5.1
Obsoletes:	php-pear-Crypt_HMAC < 1.0.2
Obsoletes:	php-pear-Crypt_Rc4 < 1.0.4
Obsoletes:	php-pear-Crypt_RC4 < 1.0.4
Obsoletes:	php-pear-Crypt_RC42 < 1.0
Obsoletes:	php-pear-Crypt_Xtea < 1.1.1
Obsoletes:	php-pear-Date < 1.5.1
Obsoletes:	php-pear-DbUnit < 1.3.2
Obsoletes:	php-pear-DB_ado < 1.3.2
Obsoletes:	php-pear-DBA_Relational < 0.2.1
Obsoletes:	php-pear-DB_ldap < 1.2.2
Obsoletes:	php-pear-DB_ldap2 < 0.5.2
Obsoletes:	php-pear-DB_NestedSet < 1.4.2
Obsoletes:	php-pear-DB_Pager < 0.8
Obsoletes:	php-pear-DB_QueryTool < 1.1.3
Obsoletes:	php-pear-DB_Sqlite_Tools < 0.1.8
Obsoletes:	php-pear-DB_Table < 1.5.7
Obsoletes:	php-pear-Event_Dispatcher < 1.1.1
Obsoletes:	php-pear-File_Bittorrent < 1.1.1
Obsoletes:	php-pear-File_CSV < 1.0.1
Obsoletes:	php-pear-File_Find < 1.3.4
Obsoletes:	php-pear-File_Gettext < 0.4.3
Obsoletes:	php-pear-File_Iterator < 1.3.5
Obsoletes:	php-pear-File_IMC < 0.5.1
Obsoletes:	php-pear-File_Passwd < 1.1.8
Obsoletes:	php-pear-File_PDF < 0.3.4
Obsoletes:	php-pear-File_Util < 1.0.1
Obsoletes:	php-pear-FSM < 1.4.1
Obsoletes:	php-pear-Games_Chess < 1.0.2
Obsoletes:	php-pear-Gtk_FileDrop < 1.0.4
Obsoletes:	php-pear-Gtk_MDB_Designer < 0.2
Obsoletes:	php-pear-Gtk_ScrollingLabel < 1.0.1
Obsoletes:	php-pear-HTML_AJAX < 0.5.9
Obsoletes:	php-pear-HTML_Menu < 2.2.1
Obsoletes:	php-pear-HTML_Progress < 1.2.7
Obsoletes:	php-pear-HTML_QuickForm_Controller < 1.0.11
Obsoletes:	php-pear-HTML_QuickForm_DHTMLRulesTableless < 0.3.4
Obsoletes:	php-pear-HTML_QuickForm_Renderer_Tableless < 0.6.3
Obsoletes:	php-pear-HTML_Select < 1.3.2
Obsoletes:	php-pear-HTML_Template_PHPLIB < 1.6.1
Obsoletes:	php-pear-HTML_Template_Sigma < 1.3.1
Obsoletes:	php-pear-HTML_Template_Xipe < 1.7.7
Obsoletes:	php-pear-HTML_TreeMenu < 1.2.3
Obsoletes:	php-pear-HTTP < 1.4.2
Obsoletes:	php-pear-HTTP_Client < 1.2.2
Obsoletes:	php-pear-HTTP_Download < 1.1.5
Obsoletes:	php-pear-HTTP_Header < 1.2.2
Obsoletes:	php-pear-HTTP_Request < 1.4.5
Obsoletes:	php-pear-HTTP_Server < 0.4.2
Obsoletes:	php-pear-HTTP_SessionServer < 0.5.1
Obsoletes:	php-pear-HTTP_Upload < 0.9.2
Obsoletes:	php-pear-HTTP_WebDAV_Client < 1.0.3
Obsoletes:	php-pear-HTTP_WebDAV_Server < 1.0.1
Obsoletes:	php-pear-I18N < 1.0.1
Obsoletes:	php-pear-I18Nv2 < 0.11.5
Obsoletes:	php-pear-Image_Barcode < 1.1.4
Obsoletes:	php-pear-Image_Color < 1.0.5
Obsoletes:	php-pear-Image_Canvas < 0.3.6
Obsoletes:	php-pear-Image_Graph < 0.8.1
Obsoletes:	php-pear-Image_Remote < 1.0.3
Obsoletes:	php-pear-Image_Tools < 1.0.1
Obsoletes:	php-pear-Image_Transform < 0.9.6
Obsoletes:	php-pear-Image_XBM < 0.9.1
Obsoletes:	php-pear-LiveUser < 0.16.15
Obsoletes:	php-pear-LiveUser_Admin < 0.4.1
Obsoletes:	php-pear-Mail_IMAPv2 < 0.2.2
Obsoletes:	php-pear-Mail_Queue < 1.2.8
Obsoletes:	php-pear-Math_BinaryUtils < 0.3.1
Obsoletes:	php-pear-Math_Complex < 0.8.7
Obsoletes:	php-pear-Math_Fibonacci < 0.9
Obsoletes:	php-pear-Math_Integer < 0.9.1
Obsoletes:	php-pear-Math_Matrix < 0.8.8
Obsoletes:	php-pear-Math_Numerical_RootFinding < 1.1.1
Obsoletes:	php-pear-MDB_QueryTool < 1.2.4
Obsoletes:	php-pear-MP3_Id < 1.2.3
Obsoletes:	php-pear-Net_Curl < 1.2.6
Obsoletes:	php-pear-Net_Dict < 1.0.8
Obsoletes:	php-pear-Net_DNS < 1.0.8
Obsoletes:	php-pear-Net_DNSBL < 1.3.8
Obsoletes:	php-pear-Net_Finger < 1.0.2
Obsoletes:	php-pear-Net_FTP < 1.4.2
Obsoletes:	php-pear-Net_GameServerQuery < 0.3.1
Obsoletes:	php-pear-Net_Geo < 1.0.6
Obsoletes:	php-pear-Net_HL7 < 0.1.2
Obsoletes:	php-pear-Net_IDNA < 0.8.2
Obsoletes:	php-pear-Net_IDNA2 < 0.2.1
Obsoletes:	php-pear-Net_IMAP < 1.1.4
Obsoletes:	php-pear-Net_IMSP < 0.0.7
Obsoletes:	php-pear-Net_IPv6 < 1.3.1
Obsoletes:	php-pear-Net_Monitor < 0.3.1
Obsoletes:	php-pear-Net_SmartIRC < 1.1.14
Obsoletes:	php-pear-Net_SMPP_Client < 0.4.2
Obsoletes:	php-pear-Net_URL < 1.0.16
Obsoletes:	php-pear-Net_URL_Mapper < 0.9.2
Obsoletes:	php-pear-Net_UserAgent_Detect < 2.5.3
Obsoletes:	php-pear-Net_UserAgent_Mobile < 1.0.1
Obsoletes:	php-pear-Net_Vpopmaild < 0.3.3
Obsoletes:	php-pear-Numbers_Words < 0.18.3
Obsoletes:	php-pear-OLE < 1.0.1
Obsoletes:	php-pear-PackageFileManager2 < 1.0.5
Obsoletes:	php-pear-Payment_Clieop < 0.2.1
Obsoletes:	php-pear-Payment_DTA < 1.4.4
Obsoletes:	php-pear-PEAR_Frontend_Gtk < 0.4.1
Obsoletes:	php-pear-PEAR_Frontend_Web < 0.7.6
Obsoletes:	php-pear-PEAR_Info < 1.9.3
Obsoletes:	php-pear-PEAR_PackageFileManager < 1.7.3
Obsoletes:	php-pear-PEAR_PackageFileManager2 < 1.0.5
Obsoletes:	php-pear-PEAR_PackageFileManager_Plugins < 1.0.5
Obsoletes:	php-pear-PEAR_RemoteInstaller < 0.3.3
Obsoletes:	php-pear-PHP_Beautifier < 0.1.16
Obsoletes:	php-pear-PHP_Compat < 1.5.1
Obsoletes:	php-pear-PHP_CompatInfo < 1.9.1
Obsoletes:	php-pear-phpDocumentor < 2.8.2
Obsoletes:	php-pear-PHP_Fork < 0.3.3
Obsoletes:	php-pear-PHP_LexerGenerator < 0.4.1
Obsoletes:	php-pear-PHP_Parser < 1.3.8
Obsoletes:	php-pear-PHP_Shell < 0.3.3
Obsoletes:	php-pear-PHPUnit < 3.7.35
Obsoletes:	php-pear-PHPUnit2 < 2.3.7
Obsoletes:	php-pear-PHPUnit_Selenium < 1.3.4
Obsoletes:	php-pear-PHPUnit_Story < 1.0.3
Obsoletes:	php-pear-PHP_CodeCoverage < 1.2.18
Obsoletes:	php-pear-PHP_Invoker < 1.1.4
Obsoletes:	php-pear-PHP_Timer < 1.0.6
Obsoletes:	php-pear-PHP_TokenStream < 1.2.3
Obsoletes:	php-channel-phpunit < 1.4
Obsoletes:	php-pear-RDF < 0.2.1
Obsoletes:	php-pear-Science_Chemistry < 1.1.3
Obsoletes:	php-pear-Search_Mnogosearch < 0.1.2
Obsoletes:	php-pear-Services_Trackback < 0.7.2
Obsoletes:	php-pear-Spreadsheet_Excel_Writer < 0.9.5
Obsoletes:	php-pear-Stream_Var < 1.2.1
Obsoletes:	php-pear-Structures_DataGrid < 0.9.4
Obsoletes:	php-pear-Structures_DataGrid_Renderer_CSV < 0.1.6
Obsoletes:	php-pear-Structures_DataGrid_Renderer_Pager < 0.1.4
Obsoletes:	php-pear-Structures_DataGrid_Renderer_Smarty < 0.1.6
Obsoletes:	php-pear-Symfony2_Yaml < 2.4.5
Obsoletes:	php-pear-System_Mount < 1.0.2
Obsoletes:	php-pear-System_Socket < 0.4.2
Obsoletes:	php-pear-Text_Figlet < 1.0.3
Obsoletes:	php-pear-Text_Highlighter < 0.7.4
Obsoletes:	php-pear-Text_Template < 1.2.1
Obsoletes:	php-pear-Text_TeXHyphen < 0.1.1
Obsoletes:	php-pear-Text_Wiki < 1.2.2
Obsoletes:	php-pear-Text_Wiki_Mediawiki < 0.2.1
Obsoletes:	php-pear-Translation2 < 2.0.5
Obsoletes:	php-pear-Tree < 0.3.8
Obsoletes:	php-pear-Var_Dump < 1.0.5
Obsoletes:	php-pear-XML_Beautifier < 1.2.3
Obsoletes:	php-pear-XML_CSSML < 1.1.2
Obsoletes:	php-pear-XML_DTD < 0.5.3
Obsoletes:	php-pear-XML_FastCreate < 1.0.5
Obsoletes:	php-pear-XML_fo2pdf < 0.99
Obsoletes:	php-pear-XML_FOAF < 0.4.1
Obsoletes:	php-pear-XML_HTMLSax < 3.0.1
Obsoletes:	php-pear-XML_HTMLSax3 < 3.0.1
Obsoletes:	php-pear-XML_image2svg < 0.1.2
Obsoletes:	php-pear-XML_Indexing < 0.3.7
Obsoletes:	php-pear-XML_Parser2 < 0.1.1
Obsoletes:	php-pear-XML_SaxFilters < 0.3.1
Obsoletes:	php-pear-XML_svg2image < 0.2.1
Obsoletes:	php-pear-XML_Util2 < 0.2.1
Obsoletes:	php-pear-XML_Wddx < 1.0.3
Obsoletes:	php-pear-XML_XSLT_Wrapper < 0.2.3
Obsoletes:	php-pear-XML_XUL < 0.9.2
Obsoletes:	php-yubikey < 3.3.4
Obsoletes:	php-svn < 2.0.5
Obsoletes:	php-pear-PHPUnit_MockObject < 1.2.4
Obsoletes:	php-pear-PHP_DocBlockGenerator < 1.1.3
Obsoletes:	php-pear-HTML_CSS < 1.5.5
Obsoletes:	php-pear-Services_W3C_CSSValidator < 0.2.4
Obsoletes:	php-pear-XML_Transformer < 1.1.3
Obsoletes:	php-pear-DB_DataObject < 1.11.6
Obsoletes:	php-pear-Net_SMS < 0.2.2
Obsoletes:	php-pear-MDB < 1:1.3.1
Obsoletes:	php-pear-MDB2_Schema < 0.8.7
Obsoletes:	php-pear-Net_Server < 1.0.4
Obsoletes:	php-pear-File_SMBPasswd < 1.0.4
Obsoletes:	php-pear-Validate < 0.8.7
Obsoletes:	php-pear-Text_CAPTCHA < 1.0.3
Obsoletes:	php-pear-SOAP < 0.14.1
Obsoletes:	php-pear-HTML_Table_Matrix < 1.0.11
Obsoletes:	php-pear-HTML_QuickForm_advmultiselect < 1.5.2

# (tv) 2022-04-08 never required, and doesn't build
Obsoletes: flang < 15.0
Obsoletes: flang-doc < 15.0
Obsoletes: libflang13.0 < 15.0
Obsoletes: libflang-devel < 15.0
Obsoletes: lib64flang13.0 < 15.0
Obsoletes: lib64flang-devel < 15.0

# (tv) no longer required, and doesn't build
Obsoletes: mingw-gtkglext < 1.2.0-19
Obsoletes: mingw32-gtkglext < 1.2.0-19
Obsoletes: mingw32-gtkglext-static < 1.2.0-19
Obsoletes: mingw64-gtkglext < 1.2.0-19
Obsoletes: mingw64-gtkglext-static < 1.2.0-19

# (luigiwalser) 2021-06-21
Obsoletes: itop-itsm < 2.7.3-2

# (tv) incompatible with python 3.10 (2022-03-01):
Obsoletes: python-unittest2 < 1.1.0-13.mga9
Obsoletes: python3-unittest2 < 1.1.0-13.mga9

# (tv) doesn't build with perl-5.34 or dep of a failed build (2022-03-30):
Obsoletes: perl-AI-Pathfinding-OptimizeMultiple < 0.0.16-2
Obsoletes: perl-App-Raps2 < 0.540.0-6
Obsoletes: perl-Class-Discover < 1.0.3-12
Obsoletes: perl-Dist-Zilla-Plugin-MetaProvides-Class < 2.1.1-6
Obsoletes: perl-List-Objects-Types < 2.1.1-4
Obsoletes: perl-List-Objects-WithUtils < 2.28.3-5
Obsoletes: perl-MooX-Role-POE-Emitter < 1.1.2-6
Obsoletes: perl-MouseX-App-Cmd < 0.300.0-7
Obsoletes: perl-MouseX-Getopt < 0.380.0-3

# (ns80) requires Gtk+2 (2022-04-04)
Obsoletes: epdfview < 0.1.9

# (papoteur) 2022-03-16
Obsoletes: telldus-core < 2.1.3
Obsoletes: lib64telldus-core-devel < 2.1.3
Obsoletes: libtelldus-core-devel < 2.1.3
Obsoletes: lib64telldus-core2 < 2.1.3
Obsoletes: libtelldus-core2 < 2.1.3

# Eclipse removal
Obsoletes: eclipse-cdt < 9.11.1-9
Obsoletes: eclipse-cdt-llvm < 9.11.1-9
Obsoletes: eclipse-cdt-native < 9.11.1-9
Obsoletes: eclipse-cdt-sdk < 9.11.1-9
Obsoletes: eclipse-cdt-terminal < 9.11.1-9
Obsoletes: eclipse-ecf-core < 3.14.19-9
Obsoletes: eclipse-egit < 5.9.0-9
Obsoletes: eclipse-emf-core < 1:2.25.0-9
Obsoletes: eclipse-emf-runtime < 1:2.25.0-9
Obsoletes: eclipse-emf-xsd < 1:2.25.0-9
Obsoletes: eclipse-equinox-osgi < 1:4.17-9
Obsoletes: eclipse-jdt < 1:4.17-9
Obsoletes: eclipse-jgit < 5.9.0-9
Obsoletes: eclipse-license1 < 1.0.1-9
Obsoletes: eclipse-license2 < 2.0.1-9
Obsoletes: eclipse-p2-discovery < 1:4.17-9
Obsoletes: eclipse-pde < 1:4.17-9
Obsoletes: eclipse-platform < 1:4.17-9
Obsoletes: eclipse-remote < 3.0.1-3
Obsoletes: eclipse-swt < 1:4.17-9
Obsoletes: tuxguitar < 1.5.3-6

# (wally) 2021-08-16
# Latest versions are unbuildable and need python2 to build
Obsoletes: python3-skia-pathops < 0.2.1-4
Obsoletes: python-skia-pathops < 0.2.1-4

# (wally) 2021-09-05
# Old and unused
Obsoletes: obby < 0.4.8-11
Obsoletes: libobby0.4_1 < 0.4.8-11
Obsoletes: lib64obby0.4_1 < 0.4.8-11
Obsoletes: libobby-devel < 0.4.8-11
Obsoletes: lib64obby-devel < 0.4.8-11
Obsoletes: gtef-i18n < 2.0.1-4
Obsoletes: libgtef-devel < 2.0.1-4
Obsoletes: lib64gtef-devel < 2.0.1-4
Obsoletes: libgtef-gir2 < 2.0.1-4
Obsoletes: lib64gtef-gir2 < 2.0.1-4
Obsoletes: libgtef2_0 < 2.0.1-4
Obsoletes: lib64gtef2_0 < 2.0.1-4

# (solbu) 2021-08-16
# Abandoned upstream, no longer plays any content and the API used will be retired february next year
Obsoletes: orion < 1.6.7-3

# (akien) 2021-06-04
# Deprecated, now part of pyzo itself
Obsoletes: python3-pyzolib < 0.3.4-9

# (ngompa) 2021-04-05
# Upstream development has stopped
Obsoletes: manatools < 1.2.2-2
Obsoletes: manatools-common < 1.2.2-2
Obsoletes: manatools-extra < 1.2.2-2
Obsoletes: manatools-gtk < 1.2.2-2
Obsoletes: manatools-qt < 1.2.2-2

# (wally) 2021-03-12
# Unused
Obsoletes: gtkhtml3.14 < 3.32.2-15
Obsoletes: lib64gtkhtml3.14_19 < 3.32.2-15
Obsoletes: lib64gtkhtml-editor3.14_0 < 3.32.2-15
Obsoletes: lib64gtkhtml3.14-devel < 3.32.2-15
Obsoletes: libgtkhtml3.14_19 < 3.32.2-15
Obsoletes: libgtkhtml-editor3.14_0 < 3.32.2-15
Obsoletes: libgtkhtml3.14-devel < 3.32.2-15

# (daviddavid) 2021-03-01
# no more supported/provided by the java fedora team
Obsoletes: aesh < 0.66.8-4
Obsoletes: aesh-javadoc < 0.66.8-4

# (daviddavid) 2021-03-01
# obsoleted in svn by danf - dead upstream
Obsoletes: libmcal0 < 0.7-27
Obsoletes: lib64mcal0 < 0.7-27
Obsoletes: libmcal-devel < 0.7-27
Obsoletes: lib64mcal-devel < 0.7-27

# (daviddavid) 2021-03-24
# dead upstream, does not work anymore (mga#25715)
Obsoletes: ffdiaporama < 2.1.9.devel.2014.0701-19
Obsoletes: ffdiaporama-openclipart < 1.0-7
Obsoletes: ffdiaporama-texturemate < 1.0-7
# unbuildable with python 3.9, also unused by anything
Obsoletes: python3-scandir < 1.10.0-4

# ======================================
# =========== OCAML 4.12
# ======================================
# (tv) 2021-03-24
# ocaml-ppx_jane vs ocaml-4.12
# ppx_jane is painful to maintain and is not really needed, so drop it and the pkgs depending on it:
Obsoletes: ocaml-async <= 1:0.14.0
Obsoletes: ocaml-async-devel <= 1:0.14.0
Obsoletes: ocaml-async_extra <= 1:0.14.0
Obsoletes: ocaml-async_extra-devel <= 1:0.14.0
Obsoletes: ocaml-async_kernel <= 1:0.14.0
Obsoletes: ocaml-async_kernel-devel <= 1:0.14.0
Obsoletes: ocaml-async_rpc_kernel <= 1:0.14.0
Obsoletes: ocaml-async_rpc_kernel-devel <= 1:0.14.0
Obsoletes: ocaml-async_unix <= 1:0.14.0
Obsoletes: ocaml-async_unix-devel <= 1:0.14.0
Obsoletes: ocaml-base_bigstring <= 1:0.14.0
Obsoletes: ocaml-base_bigstring-devel <= 1:0.14.0
Obsoletes: ocaml-base_quickcheck < 1:0.14.1-2
Obsoletes: ocaml-base_quickcheck-devel < 1:0.14.1-2
Obsoletes: ocaml-core <= 1:0.14.0
Obsoletes: ocaml-core-devel <= 1:0.14.0
Obsoletes: ocaml-core_kernel <= 1:0.14.0
Obsoletes: ocaml-core_kernel-devel <= 1:0.14.0
Obsoletes: ocaml-ppx_bench < 1:0.14.1-2
Obsoletes: ocaml-ppx_bench-devel < 1:0.14.1-2
Obsoletes: ocaml-ppx_bin_prot < 1:0.13.0-6
Obsoletes: ocaml-ppx_bin_prot-devel < 1:0.13.0-6
Obsoletes: ocaml-ppx_expect < 1:0.14.1-2
Obsoletes: ocaml-ppx_expect-devel < 1:0.14.1-2
Obsoletes: ocaml-ppx_fail < 1:0.14.0-2
Obsoletes: ocaml-ppx_fail-devel < 1:0.14.0-2
Obsoletes: ocaml-ppx_jane <= 1:0.14.0
Obsoletes: ocaml-ppx_jane-devel <= 1:0.14.0
Obsoletes: ocaml-ppx_let < 1:0.14.0-2
Obsoletes: ocaml-ppx_let-devel < 1:0.14.0-2
Obsoletes: ocaml-ppx_module_timer < 1:0.14.0-21
Obsoletes: ocaml-ppx_module_timer-devel < 1:0.14.0-2
Obsoletes: ocaml-ppx_optional < 1:0.14.0-32
Obsoletes: ocaml-ppx_optional-devel < 1:0.14.0-3
Obsoletes: ocaml-ppx_pipebang < 1:0.14.0-2
Obsoletes: ocaml-ppx_pipebang-devel < 1:0.14.0-2
Obsoletes: ocaml-ppx_sexp_message < 1:0.14.1-2
Obsoletes: ocaml-ppx_sexp_message-devel < 1:0.14.1-2
Obsoletes: ocaml-ppx_sexp_value < 1:0.14.0-2
Obsoletes: ocaml-ppx_sexp_value-devel < 1:0.14.0-2
Obsoletes: ocaml-ppx_stable < 1:0.14.1-2
Obsoletes: ocaml-ppx_stable-devel < 1:0.14.1-2
Obsoletes: ocaml-ppx_string <= 1:0.14.1-2
Obsoletes: ocaml-ppx_string-devel <= 1:0.14.1-2
Obsoletes: ocaml-ppx-tools-versioned <= 5.2.3-5
Obsoletes: ocaml-ppx-tools-versioned-devel <= 5.2.3-5
Obsoletes: ocaml-ppx_typerep_conv < 1:0.14.2-2
Obsoletes: ocaml-ppx_typerep_conv-devel < 1:0.14.2-2
Obsoletes: ocaml-protocol_version_header <= 0.14.0
Obsoletes: ocaml-protocol_version_header-devel <= 0.14.0
Obsoletes: ocaml-spawn < 1:0.13.0-5
Obsoletes: ocaml-spawn-devel < 1:0.13.0-5
Obsoletes: ocaml-splittable_random < 0.14.0-2
Obsoletes: ocaml-splittable_random-devel < 0.14.0-2
Obsoletes: ocaml-textutils <= 0.14.0
Obsoletes: ocaml-textutils-devel <= 0.14.0
Obsoletes: ocaml-typerep < 1:0.14.0-2
Obsoletes: ocaml-typerep-devel < 1:0.14.0-2
# (tv) unused:
Obsoletes: ocaml-atd <= 2.2.1-3
Obsoletes: ocaml-atd-devel <= 2.2.1-3
Obsoletes: ocaml-atdgen <= 2.2.1-3
Obsoletes: ocaml-atdgen-devel <= 2.2.1-3
Obsoletes: ocaml-augeas <= 0.6-5
Obsoletes: ocaml-augeas-devel <= 0.6-5
Obsoletes: ocaml-bjack <= 0.1.4-15
Obsoletes: ocaml-bjack-devel <= 0.1.4-15
Obsoletes: ocaml-camlp4 <= 4.10-2
Obsoletes: ocaml-camlp4-devel <= 4.10-2
Obsoletes: ocaml-creal <= 0.7-21
Obsoletes: ocaml-creal-devel <= 0.7-21
Obsoletes: ocaml-event < 0.6.0-23
Obsoletes: ocaml-event-devel < 0.6.0-23
Obsoletes: ocaml-gavl < 0.1.5-15
Obsoletes: ocaml-gavl-devel < 0.1.5-15
Obsoletes: ocaml-getopt < 20120615-16
Obsoletes: ocaml-getopt-devel < 20120615-16
Obsoletes: ocaml-gg < 0.8.0-15
Obsoletes: ocaml-gg-devel < 0.8.0-15
Obsoletes: ocaml-json-wheel < 1.0.6-26
Obsoletes: ocaml-json-wheel-devel < 1.0.6-26
Obsoletes: ocaml-ladspa < 0.1.4-19
Obsoletes: ocaml-ladspa-devel < 0.1.4-19
Obsoletes: ocamlmakefile <= 6.37.0-12
Obsoletes: ocamlmakefile-doc <= 6.37.0-12
Obsoletes: ocaml-pgocaml-introduction <= 0.94-9
Obsoletes: ocaml-pure-fun <= 1.0.8-10
Obsoletes: ocaml-pure-fun-doc <= 1.0.8-10
Obsoletes: ocaml-qcheck-core < 0.13-3
Obsoletes: ocaml-qcheck-core-devel < 0.13-3
Obsoletes: ocaml-qcheck-ounit < 0.13-3
Obsoletes: ocaml-qcheck-ounit-devel < 0.13-3
Obsoletes: ocaml-samplerate < 0.1.2-15
Obsoletes: ocaml-samplerate-devel < 0.1.2-15
Obsoletes: ocaml-simple_gettext < 0.1-33
Obsoletes: ocaml-simple_gettext-devel < 0.1-33
Obsoletes: ocaml-size < 1.7-17
Obsoletes: ocaml-size-devel < 1.7-17
Obsoletes: ocaml-stringext < 1.6.0-5
Obsoletes: ocaml-stringext-devel < 1.6.0-5
Obsoletes: ocaml-syck < 0.1.1-21
Obsoletes: ocaml-syck-devel < 0.1.1-21
Obsoletes: ocaml-textile <= 0.10-15
Obsoletes: ocaml-textile-devel <= 0.10-15
Obsoletes: ocaml-tyxml-ppx < 4.3.0-6
Obsoletes: ocaml-tyxml-ppx-devel < 4.3.0-6
Obsoletes: ocaml-uint < 1.2.1-8
Obsoletes: ocaml-uint-devel < 1.2.1-8
Obsoletes: ocaml-uucd < 1.0.0-16
Obsoletes: ocaml-uucd-devel < 1.0.0-16
Obsoletes: ocamlwc <= 0.3-14
Obsoletes: ocaml-xhtml < 20050620-22
Obsoletes: ocaml-xhtml-devel < 20050620-22
# ======================================

# (daviddavid) 2021-04-20
# Upstream has been dead for several years, python-ujson is the only
# dependent and no longer needs blist, also does not build with python >= 3.9
Obsoletes: python3-blist < 1.3.6-5
# pyjournalctl was subsumed into systemd upstream and is no longer maintained since 2013
# Python module that reads systemd journald similar to journalctl
Obsoletes: python3-journalctl < 0.7.0-18

# (daviddavid) 2021-04-23
# Obsolete/unbuildable java pkgs after update to jdk11:
Obsoletes: jboss-sasl < 1.0.5-4
Obsoletes: jboss-sasl-javadoc < 1.0.5-4
Obsoletes: maven-injection-plugin < 1.0.2-22
Obsoletes: maven-injection-plugin-javadoc < 1.0.2-22

# (daviddavid) 2021-04-23
# no more used by filezilla and now unbuildable
Obsoletes: libstorj < 1.0.3-6
Obsoletes: libstorj0 < 1.0.3-6
Obsoletes: lib64storj0 < 1.0.3-6
Obsoletes: libstorj-devel < 1.0.3-6
Obsoletes: lib64storj-devel < 1.0.3-6

# (wally) 2021-06-26
# Moved to obsoletes/ tree
# https://svnweb.mageia.org/packages?view=revision&revision=1716561
Obsoletes: python3-pybloomfiltermmap < 0.3.15-3
# https://svnweb.mageia.org/packages?view=revision&revision=1868169
Obsoletes: python3-django-discover-runner < 1.0-13
# No support for python >= 3.9
Obsoletes: python3-uncompyle6 < 3.7.4-5

# *** Mageia 8 ***
# DO NOT DROP BEFORE CAULDRON REOPEN FOR MGA10
# 1) WE USUALLY KEEP OBSOLETES FROM N-2
# 2) SOME BELOW OBSOLETES WERE FURTHER FIXED IN MGA9 (see "svn di -r1701851")

#(eatdirt), no maintainer, not updated in the last four years, and
# latest version (7.0.7) does not built on i586,arm and
# aarch64
Obsoletes: su2-pde < 4.3.0-5

# (wally) 2021-01-09
# old version, unsupported by upstream
Obsoletes: odoo < 11.0-0.20190112.4
Obsoletes: odoo-addon-crm-custom-fields < 11.0-0.20190112.4
Obsoletes: odoo-addon-document-management-system < 11.0-0.20190112.4
Obsoletes: odoo-doc < 11.0-0.20190112.4

# (joequant)2020-10-31
# no longer open source as of 4.2.10 and there are other resource managers
Obsoletes: torque < 6.1.2-6
Obsoletes: torque-client < 6.1.2-6
Obsoletes: torque-gui < 6.1.2-6
Obsoletes: torque-mom < 6.1.2-6
Obsoletes: torque-sched < 6.1.2-6
Obsoletes: torque-server < 6.1.2-6
Obsoletes: libtorque2 < 6.1.2-6
Obsoletes: lib64torque2 < 6.1.2-6
Obsoletes: libtorque-devel < 6.1.2-6
Obsoletes: lib64torque-devel < 6.1.2-6
# no longer maintained and with security issues
Obsoletes: ipsec-tools < 0.8.2-9
Obsoletes: libipsec-devel < 0.8.2-9
Obsoletes: lib64ipsec-devel < 0.8.2-9
Obsoletes: libipsec0 < 0.8.2-9
Obsoletes: lib64ipsec0 < 0.8.2-9

# (wally) 2020-10-24
# Dead upstream
# https://gitlab.gnome.org/Infrastructure/Infrastructure/-/issues/273
Obsoletes: ekiga < 4.0.1-35
Obsoletes: ekiga-evolution-plugin < 4.0.1-35
# unused since ekiga was dropped
Obsoletes: lib64pt-devel < 2.18.5-2
Obsoletes: libpt-devel < 2.18.5-2
Obsoletes: lib64pt2.18.5 < 2.18.5-2
Obsoletes: libpt2.18.5 < 2.18.5-2
Obsoletes: lib64pt2.18.5-plugins < 2.18.5-2
Obsoletes: libpt2.18.5-plugins < 2.18.5-2
Obsoletes: lib64opal3-devel < 3.18.5-2
Obsoletes: libopal3-devel < 3.18.5-2
Obsoletes: lib64opal-devel < 3.18.5-2
Obsoletes: libopal-devel < 3.18.5-2
Obsoletes: lib64opal3.16.2 < 3.16.2-8
Obsoletes: libopal3.16.2 < 3.16.2-8
Obsoletes: lib64opal3.16.2-plugins < 3.16.2-8
Obsoletes: libopal3.16.2-plugins < 3.16.2-8
Obsoletes: lib64opal3.18.5 < 3.18.5-2
Obsoletes: libopal3.18.5 < 3.18.5-2
Obsoletes: lib64opal3.18.5-plugins < 3.18.5-2
Obsoletes: libopal3.18.5-plugins < 3.18.5-2

# Dead upstream
# https://gitlab.gnome.org/Infrastructure/Infrastructure/-/issues/235
Obsoletes: nemiver < 0.9.6-8
# old, unmaintained and requires openssl 1.0
Obsoletes: afbackup < 3.5.3-16
Obsoletes: afbackup-client < 3.5.3-16
# old and requires openssl 1.0
Obsoletes: netty-tcnative < 1.1.30-12
Obsoletes: netty-tcnative-javadoc < 1.1.30-12
Obsoletes: botan-doc < 1.10.17-13
Obsoletes: libbotan1.10-devel < 1.10.17-13
Obsoletes: lib64botan1.10-devel < 1.10.17-13
Obsoletes: libbotan1.10_1 < 1.10.17-13
Obsoletes: lib64botan1.10_1 < 1.10.17-13
Obsoletes: python3-botan < 1.10.17-13
Obsoletes: lib64snark-supercop-static-devel < 20141014-7
# old, unmaintained and requires botan1.10 which requires openssl 1.0
Obsoletes: monotone < 1.1-12
# old and unused
Obsoletes: libmsn0.3 < 4.2.1-14
Obsoletes: lib64msn0.3 < 4.2.1-14
Obsoletes: libmsn-devel < 4.2.1-14
Obsoletes: libmsn-test < 4.2.1-14
Obsoletes: libofetion-devel < 2.2.2-12
Obsoletes: lib64ofetion-devel < 2.2.2-12
Obsoletes: libofetion1 < 2.2.2-12
Obsoletes: lib64ofetion1 < 2.2.2-12
Obsoletes: libofetion < 2.2.2-12
# dead upstream
Obsoletes: libqxt-devel < 0.7.0-7
Obsoletes: libqxtcore0 < 0.7.0-7
Obsoletes: libqxtnetwork0 < 0.7.0-7
Obsoletes: libqxtsql0 < 0.7.0-7
Obsoletes: libqxtweb0 < 0.7.0-7
Obsoletes: libqxtwidgets0 < 0.7.0-7
Obsoletes: libqxtzeroconf0 < 0.7.0-7
Obsoletes: lib64qxt-devel < 0.7.0-7
Obsoletes: lib64qxtcore0 < 0.7.0-7
Obsoletes: lib64qxtnetwork0 < 0.7.0-7
Obsoletes: lib64qxtsql0 < 0.7.0-7
Obsoletes: lib64qxtweb0 < 0.7.0-7
Obsoletes: lib64qxtwidgets0 < 0.7.0-7
Obsoletes: lib64qxtzeroconf0 < 0.7.0-7
# dead upstream and uses libqxt
Obsoletes: qelly < 1.0-7
# dead upstream
Obsoletes: libwvstreams-devel < 4.6.1-21
Obsoletes: lib64wvstreams-devel < 4.6.1-21
Obsoletes: libwvstreams4.6 < 4.6.1-21
Obsoletes: lib64wvstreams4.6 < 4.6.1-21
Obsoletes: uniconf < 4.6.1-21
# dead upstream
Obsoletes: wvdial < 1:1.61-11
# depends on dead wvdial
Obsoletes: gtk-ppp < 3.0.1-4
# dead upstream
Obsoletes: w3c-libwww < 5.4.1-0.20061204.18
Obsoletes: w3c-libwww-apps < 5.4.1-0.20061204.18
Obsoletes: w3c-libwww-devel < 5.4.1-0.20061204.18
# unmaintained
Obsoletes: ircd-hybrid < 7.2.3-26
Obsoletes: ircd-hybrid-devel < 7.2.3-26
# unmaintained and unbuildable since mga6
Obsoletes: cookcc < 0.3.3-15
Obsoletes: cookcc-javadoc < 0.3.3-15
# dead and unused
Obsoletes: lib64gdlmm-devel < 3.7.3-9
Obsoletes: libgdlmm-devel < 3.7.3-9
Obsoletes: lib64gdlmm3.0_2 < 3.7.3-9
Obsoletes: libgdlmm3.0_2 < 3.7.3-9

# (eatdirt) 2020-10-14
# Do not work anymore with current Enlightenment
Obsoletes: e17-themes-mageia < 0.4-15
Obsoletes: e17-themes-extra < 0.4-15

# 2020-01-06
Obsoletes: gnome-python-extras < 2.25.3-53
Obsoletes: gnome-python-gksu < 2.25.3-53
Obsoletes: gnome-python-gksu2 < 2.25.3-53
Obsoletes: gnome-python-gda < 2.25.3-53
Obsoletes: gnome-python-gda-devel < 2.25.3-53
Obsoletes: gnome-python-gtkspell < 2.25.3-53
Obsoletes: gnome-python-gtkmozembed < 2.25.3-53
Obsoletes: gnome-python-gtkhtml2 < 2.25.3-53

# caspar has never been really used
Obsoletes: caspar < 20120530-9

# (daviddavid) 2019-07-17
# seen with neoclust
# Qt stack: removed upstream
Obsoletes: qtcanvas3d5 < 5.12.2-3
Obsoletes: qtcanvas3d5-doc < 5.12.2-3

# (tv) Nothing requires it and new version brings in new perl deps
Obsoletes: perl-Net-Stomp < 0.570.0-3

# (tv) unused, new version doesn't build:
Obsoletes: perl-Math-Float128 < 0.120.0-5

# (tv) unused, doesn't rebuild:
Obsoletes: perl-Algorithm-Evolutionary < 0.800.0-6
Obsoletes: perl-Astro-FITS-CFITSIO < 1.120.0-6
Obsoletes: perl-Class-Usul < 0.84.1-3
Obsoletes: perl-File-DataClass < 0.73.1-5
Obsoletes: perl-File-Gettext < 0.33.1-7
Obsoletes: perl-GnuPG < 0.190.0-9
Obsoletes: perl-IPC-SRLock < 0.31.1-6
Obsoletes: perl-Mail-GnuPG < 0.230.0-4
Obsoletes: perl-Math-Prime-FastSieve < 0.190.0-10
Obsoletes: perl-MooseX-Timestamp < 0.70.0-12
Obsoletes: perl-Net-Google-Code < 0.190.0-14

# (wally) old gnome2 stuff
Obsoletes: perl-BBS-Perm < 1.10.0-10
Obsoletes: perl-Gnome2-Vte < 0.110.0-17

# (wally) 2019-08-02
# Old and/or unused
Obsoletes: emerillon < 0.1.90-20
Obsoletes: emerillon-devel < 0.1.90-20
Obsoletes: emerillon-vala < 0.1.90-20
Obsoletes: geoclue1 < 0.12.99-16
Obsoletes: geoclue1-doc < 0.12.99-16
Obsoletes: geoclue1-gsmloc < 0.12.99-16
Obsoletes: geoclue1-gui < 0.12.99-16
Obsoletes: geoclue1-gypsy < 0.12.99-16
Obsoletes: libgeoclue-devel < 0.12.99-16
Obsoletes: lib64geoclue-devel < 0.12.99-16
Obsoletes: libgeoclue0 < 0.12.99-16
Obsoletes: lib64geoclue0 < 0.12.99-16

# (daviddavid) 2019-08-21
# seen with neoclust
# Old Qt4 stack: dead upstream and no more needed by anything
Obsoletes: libnetworkmanagerqt1 < 0.9.8.4-3
Obsoletes: lib64networkmanagerqt1 < 0.9.8.4-3
Obsoletes: libnetworkmanagerqt-devel < 0.9.8.4-3
Obsoletes: lib64networkmanagerqt-devel < 0.9.8.4-3
# 2019-09-18
Obsoletes: pyside-tools < 0.2.15-3
Obsoletes: shiboken < 1.2.4-2
Obsoletes: shiboken-devel < 1.2.4-2
Obsoletes: shiboken-include-devel < 1.2.4-2
Obsoletes: shiboken-cmake-devel < 1.2.4-2
Obsoletes: python3-shiboken < 1.2.4-2
Obsoletes: python3-shiboken-devel < 1.2.4-2
Obsoletes: libshiboken1 < 1.2.4-2
Obsoletes: lib64shiboken1 < 1.2.4-2
Obsoletes: libpython3-shiboken1 < 1.2.4-2
Obsoletes: lib64python3-shiboken1 < 1.2.4-2
Obsoletes: pyside < 1.2.4-7
Obsoletes: python3-pyside < 1.2.4-7
Obsoletes: pyside-phonon < 1.2.4-7
Obsoletes: python3-pyside-phonon < 1.2.4-7
Obsoletes: pyside-typesystems-phonon < 1.2.4-7
Obsoletes: python3-pyside-core < 1.2.4-7
Obsoletes: pyside-core < 1.2.4-7
Obsoletes: pyside-typesystems-core < 1.2.4-7
Obsoletes: python3-pyside-declarative < 1.2.4-7
Obsoletes: pyside-declarative < 1.2.4-7
Obsoletes: pyside-typesystems-declarative < 1.2.4-7
Obsoletes: python3-pyside-gui < 1.2.4-7
Obsoletes: pyside-gui < 1.2.4-7
Obsoletes: pyside-typesystems-gui < 1.2.4-7
Obsoletes: python3-pyside-help < 1.2.4-7
Obsoletes: pyside-help < 1.2.4-7
Obsoletes: pyside-typesystems-help < 1.2.4-7
Obsoletes: python3-pyside-multimedia < 1.2.4-7
Obsoletes: pyside-multimedia < 1.2.4-7
Obsoletes: pyside-typesystems-multimedia < 1.2.4-7
Obsoletes: python3-pyside-network < 1.2.4-7
Obsoletes: pyside-network < 1.2.4-7
Obsoletes: pyside-typesystems-network < 1.2.4-7
Obsoletes: python3-pyside-opengl < 1.2.4-7
Obsoletes: pyside-opengl < 1.2.4-7
Obsoletes: pyside-typesystems-opengl < 1.2.4-7
Obsoletes: python3-pyside-script < 1.2.4-7
Obsoletes: pyside-script < 1.2.4-7
Obsoletes: pyside-typesystems-scripts < 1.2.4-7
Obsoletes: python3-pyside-scripttools < 1.2.4-7
Obsoletes: pyside-scripttools < 1.2.4-7
Obsoletes: python3-pyside-sql < 1.2.4-7
Obsoletes: pyside-sql < 1.2.4-7
Obsoletes: pyside-typesystems-sql < 1.2.4-7
Obsoletes: python3-pyside-svg < 1.2.4-7
Obsoletes: pyside-svg < 1.2.4-7
Obsoletes: pyside-typesystems-svg < 1.2.4-7
Obsoletes: python3-pyside-test < 1.2.4-7
Obsoletes: pyside-test < 1.2.4-7
Obsoletes: pyside-typesystems-test < 1.2.4-7
Obsoletes: python3-pyside-uitools < 1.2.4-7
Obsoletes: pyside-uitools < 1.2.4-7
Obsoletes: pyside-typesystems-uitools < 1.2.4-7
Obsoletes: python3-pyside-webkit < 1.2.4-7
Obsoletes: pyside-webkit < 1.2.4-7
Obsoletes: pyside-typesystems-webkit < 1.2.4-7
Obsoletes: python3-pyside-xmlpatterns < 1.2.4-7
Obsoletes: pyside-xmlpatterns < 1.2.4-7
Obsoletes: python3-pyside-xml < 1.2.4-7
Obsoletes: pyside-xml < 1.2.4-7
Obsoletes: pyside-typesystems-xmls < 1.2.4-7
Obsoletes: libpyside1.2 < 1.2.4-7
Obsoletes: lib64pyside1.2 < 1.2.4-7
Obsoletes: libpython3-pyside1.2 < 1.2.4-7
Obsoletes: lib64python3-pyside1.2 < 1.2.4-7
Obsoletes: pyside-devel < 1.2.4-7
Obsoletes: python3-pyside-devel < 1.2.4-7
Obsoletes: pyside-include-devel < 1.2.4-7
Obsoletes: pyside-cmake-devel < 1.2.4-7
# 2019-09-19
Obsoletes: qimageblitz < 1:0.0.6-10.svn1480778.4
Obsoletes: libqimageblitz4 < 1:0.0.6-10.svn1480778.4
Obsoletes: lib64qimageblitz4 < 1:0.0.6-10.svn1480778.4
Obsoletes: libqimageblitz-devel < 1:0.0.6-10.svn1480778.4
Obsoletes: lib64qimageblitz-devel < 1:0.0.6-10.svn1480778.4
# 2019-12-22
Obsoletes: libqtkeychain1 < 0.9.1-2
Obsoletes: lib64qtkeychain1 < 0.9.1-2
Obsoletes: libqtkeychain-devel < 0.9.1-2
Obsoletes: lib64qtkeychain-devel < 0.9.1-2
# 2020-03-15
Obsoletes: qt4-phonon-backend-plugin < 1.0-6

# (wally) 2019-08-21
# old django pkgs
Obsoletes: python-django-notification < 1.3.3-6
Obsoletes: python-django-pagination < 1.0.7-11
Obsoletes: python-django-piston < 0.2.3-13
Obsoletes: python-django-profile < 0.6-11
Obsoletes: python-django-sorting < 0.1-11
Obsoletes: python-django-south < 1.0-10
Obsoletes: python3-django-south < 1.0-10
Obsoletes: python-django-staticfiles < 1.2.1-10
Obsoletes: python-django-tracking < 0.4.1-12
Obsoletes: python-django-userprofile < 0.7-13
Obsoletes: python-django-keyedcache < 1.5.1-9
Obsoletes: python-django-dpaste < 0.2.4-14

# (tv) Dead upstream, needs Python 2.
Obsoletes: uniconvertor < 2.0-1
Obsoletes: python2-backports-lzma < 0.0.2-9

# (wally) 2019-08-30
# no more python2 pytest
Obsoletes: python2-pytest-catchlog < 1.2.2-4

# (tv) Old and unsecure, use python-pycryptodome or python-pycryptodomex instead:
Obsoletes: python-pycrypto < 2.6.1-15
Obsoletes: python3-pycrypto < 2.6.1-15

# (wally) 2019-09-14
# Unused and dead upstream
Obsoletes: python-keyczar < 0.71c-9
# Python2 only pkg
Obsoletes: marave < 0.7-13
Obsoletes: fwbackups < 1.43.7-2
Obsoletes: gourmet < 0.17.4-10
Obsoletes: python2-pypoppler < 0.12.2-2
Obsoletes: childsplay < 1.6-15
Obsoletes: childsplay-sounds-bg < 1.6-15
Obsoletes: childsplay-sounds-ca < 1.6-15
Obsoletes: childsplay-sounds-de < 1.6-15
Obsoletes: childsplay-sounds-el < 1.6-15
Obsoletes: childsplay-sounds-en_GB < 1.6-15
Obsoletes: childsplay-sounds-es < 1.6-15
Obsoletes: childsplay-sounds-fr < 1.6-15
Obsoletes: childsplay-sounds-it < 1.6-15
Obsoletes: childsplay-sounds-lt < 1.6-15
Obsoletes: childsplay-sounds-nb < 1.6-15
Obsoletes: childsplay-sounds-nl < 1.6-15
Obsoletes: childsplay-sounds-pt < 1.6-15
Obsoletes: childsplay-sounds-pt_BR < 1.6-15
Obsoletes: childsplay-sounds-ro < 1.6-15
Obsoletes: childsplay-sounds-ru < 1.6-15
Obsoletes: childsplay-sounds-sl < 1.6-15
Obsoletes: childsplay-sounds-sv < 1.6-15
Obsoletes: comix < 4.0.4-12
Obsoletes: mcomix < 1.2.1-3
Obsoletes: devidify < 1.14-12
Obsoletes: driconf < 0.9.1-15
Obsoletes: gnutrition < 0.32-5
Obsoletes: pypar2 < 1.4-19
Obsoletes: python-kiwi < 1.9.40-5
Obsoletes: python-kiwi-docs < 1.9.40-5
Obsoletes: python-kye < 1.0-8
Obsoletes: wifi-radar < 2.0.s10-4
Obsoletes: openclass < 0.4-10
Obsoletes: urtsb < 0.4-12
Obsoletes: omnitux < 1.2.1-10
Obsoletes: samsung-tools < 2.3.1-8
Obsoletes: diffuse < 0.4.8-6
Obsoletes: key-mon < 1.19-0.git20150418.5
Obsoletes: openalchemist < 0.4-14
Obsoletes: tegaki-gui < 0.3.1-11
Obsoletes: tegaki-recognize < 0.3.1.2-11
Obsoletes: tegaki-train < 0.3.1-11
Obsoletes: rabbitvcs-cli < 0.17.1-3
Obsoletes: rabbitvcs-core < 0.17.1-3
Obsoletes: rabbitvcs-gedit < 0.17.1-3
Obsoletes: rabbitvcs-nautilus < 0.17.1-3
Obsoletes: rabbitvcs-thunar < 0.17.1-3
Obsoletes: sectool < 0.9.5-17
Obsoletes: sectool-gui < 0.9.5-17
Obsoletes: 4digits < 1.1.4-5
Obsoletes: pygtk2.0 < 2.24.0-15
Obsoletes: pygtk2.0-demos < 2.24.0-15
Obsoletes: pygtk2.0-devel < 2.24.0-15
Obsoletes: pygtk2.0-libglade < 2.24.0-15
Obsoletes: gonvert < 0.2.39-3
Obsoletes: eee-control < 0.9.6-10
Obsoletes: obmenu < 1.0-3
Obsoletes: python-opuscoords < 1.0.1-11
Obsoletes: python2-stsci.distutils < 0.3.7-2
Obsoletes: python2-cmd2 < 0.8.9-4
Obsoletes: python-pyamf < 0.8.0-4
Obsoletes: python2-pyamf < 0.8.0-4
Obsoletes: golly < 3.3-0.b1.3
Obsoletes: golly-devel < 3.3-0.b1.3
Obsoletes: euca2ools < 3.4.1-2
Obsoletes: python2-pybonjour < 1.1.1-13
Obsoletes: python2-typing < 3.7.4-2
Obsoletes: python-backports-lzma < 0.0.2-9
Obsoletes: python-beautifulsoup < 3.2.1-12
Obsoletes: python-cloudfiles < 1.7.11-2
Obsoletes: python-cmdln < 2.0.0-3
Obsoletes: python-gdata < 2.0.18-11
Obsoletes: python2-gdata < 2.0.18-11
Obsoletes: python-ipaddress < 1.0.22-2
Obsoletes: python2-ipaddress < 1.0.22-2
Obsoletes: python-lzma < 0.5.3-12
Obsoletes: python2-lzma < 0.5.3-12
Obsoletes: python-mingus < 0.5.1-5
Obsoletes: python2-mingus < 0.5.1-5
Obsoletes: python-progressbar < 2.5-2
Obsoletes: python-subprocess32 < 3.5.3-2
Obsoletes: python2-subprocess32 < 3.5.3-2
Obsoletes: python-kaa-imlib2 < 0.2.3-18
Obsoletes: python2-kaa-imlib2 < 0.2.3-18
Obsoletes: python-kaa-metadata < 0.7.7-14
Obsoletes: python2-kaa-metadata < 0.7.7-14
Obsoletes: python2-kaa-base < 0.6.0-13
Obsoletes: puddletag < 1.2.0-7
Obsoletes: pyrit < 0.5.0-3
Obsoletes: taskcoach < 1.4.6-2
Obsoletes: editra < 0.7.20-14
Obsoletes: python-yolk < 0.4.3-11
Obsoletes: python-wsgiproxy < 0.2.2-10
Obsoletes: python-moksha-hub < 1.5.17-2
Obsoletes: python-louie < 1.1-17
Obsoletes: python-googl < 0.2.2-12
Obsoletes: python-gerrit < 0.0.1-4.gita7ffd76.9
Obsoletes: python-foolscap < 0.10.1-3
Obsoletes: python-esmre < 0.3.1-10
Obsoletes: python-epsilon < 0.7.0-9
Obsoletes: python-elements < 0.13-18
Obsoletes: python-crypto < 1.1.0-10
Obsoletes: python-cosmolopy < 0.1.104-11
Obsoletes: python-carrot < 0.10.7-12
Obsoletes: python-axiom < 0.7.5-3
Obsoletes: python-apitools < 0.4.11-5
Obsoletes: python2-requestbuilder < 0.7.1-2
Obsoletes: python2-docker-py < 3.6.0-3
Obsoletes: wahcade < 0.99-0.pre8.5
Obsoletes: virtaal < 0.7.1-11
Obsoletes: stepintochinese < 0.8.1-5
Obsoletes: tuxmathscrabble < 1:0.8.1-5
Obsoletes: tuxwordsmith < 0.8.0-4
Obsoletes: tofu < 0.5-18
Obsoletes: sslstrip < 0.9-12
Obsoletes: bkchem < 0.14.0-0.pre2.17
Obsoletes: bzrtools < 2.6.0-9
Obsoletes: caldavclientlibrary < 0.0-1.10809.5
Obsoletes: grotesque < 0.9.5.1-4
Obsoletes: jack < 3.1.1-18
Obsoletes: opensvp < 0.4-12
Obsoletes: openteacher < 3.2-9
Obsoletes: pyorbit < 2.24.0-17
Obsoletes: pyorbit-devel < 2.24.0-17
Obsoletes: epydoc < 3.0.1-19
Obsoletes: pychecker < 0.8.19-11
Obsoletes: pymecavideo < 6.1-11
Obsoletes: tvdb_api < 1.8.2-1.git20130127.9
Obsoletes: tentakel < 2.2-18
Obsoletes: tailor < 0.9.35-12
Obsoletes: python-clientform < 0.2.10-13
Obsoletes: python-decoratortools < 1.8-11
Obsoletes: python-GnuPG-Interface < 0.3.2-20
Obsoletes: python-googlechart < 0.2.1-12
Obsoletes: python-gtkglext < 1.1.0-21
Obsoletes: python2-hachoir-parser < 1.3.4-13
Obsoletes: python-hachoir-parser < 1.3.4-13
Obsoletes: python-ID3 < 1.2-26
Obsoletes: python-poster < 0.8.1-11
Obsoletes: python-pypdf < 1.13-12
Obsoletes: python-pyrtf < 0.45-15
Obsoletes: mss < 2.4-0.9
Obsoletes: supybot < 0.83.4.1-11
Obsoletes: supybot-Dcc < 0.83.4.1-11
Obsoletes: supybot-ExternalNotice < 0.83.4.1-11
Obsoletes: supybot-Gateway < 0.83.4.1-11
Obsoletes: supybot-Meetbot < 0.1.4-11
Obsoletes: supybot-Sshd < 0.83.4.1-11
Obsoletes: supybot-Webserver < 0.83.4.1-11
Obsoletes: sabnzbd < 2.1.0-3
Obsoletes: retux < 1.3.4-3
Obsoletes: ocfs2-tools < 1.6.4-14
Obsoletes: ocfs2console < 1.6.4-14
Obsoletes: ocfs2-tools-devel < 1.6.4-14
Obsoletes: ocfs2-tools-static-devel < 1.6.4-14
Obsoletes: referencer < 1.2.2-13
Obsoletes: vegastrike < 0.5.1.r1-15
Obsoletes: vegastrike-data < 0.5.1.r1-7
Obsoletes: vegastrike-sounds < 0.5.1.r1-6
Obsoletes: coban < 1.2.0-9
Obsoletes: pyid3lib < 0.5.1-23
Obsoletes: python-daap < 0.7.1-14
Obsoletes: python2-memphis < 0.2.1-15
Obsoletes: python2-memphis-devel < 0.2.1-15
Obsoletes: python-pyogg < 1.3-26
Obsoletes: pyvorbis < 1.5-1.a.13
Obsoletes: python2-xmpp < 1.1.2-11
Obsoletes: python-yenc < 0.4.0-10
Obsoletes: gnome-python < 2.28.1-14
Obsoletes: gnome-python-bonobo < 2.28.1-14
Obsoletes: gnome-python-canvas < 2.28.1-14
Obsoletes: gnome-python-devel < 2.28.1-14
Obsoletes: gnome-python-gconf < 2.28.1-14
Obsoletes: gnome-python-gnomevfs < 2.28.1-14
Obsoletes: python2-backports-functools_lru_cache < 1.5-2
Obsoletes: python2-backports-ssl_match_hostname < 3.5.0.1-4
Obsoletes: python2-backports < 1.0-10
Obsoletes: python-bunch < 1.0.1-8
Obsoletes: python-CDDB < 1.4-26
Obsoletes: python2-CDDB < 1.4-26
Obsoletes: python-celementtree < 1.0.5-17
Obsoletes: python-cjson < 1.2.1-3
Obsoletes: python2-functools32 < 3.2.3.2-3
Obsoletes: python-functools32 < 3.2.3.2-3
Obsoletes: openstereo < 0.1.4-8
Obsoletes: offlineimap < 7.2.4-2
Obsoletes: giws < 2.0.2-10
Obsoletes: archivemail < 0.9.0-20
Obsoletes: fedmsg < 0.18.2-4
Obsoletes: fedmsg-announce < 0.18.2-4
Obsoletes: fedmsg-collectd < 0.18.2-4
Obsoletes: fedmsg-gateway < 0.18.2-4
Obsoletes: fedmsg-hub < 0.18.2-4
Obsoletes: fedmsg-irc < 0.18.2-4
Obsoletes: fedmsg-relay < 0.18.2-4
Obsoletes: obapps < 0.1.7-12
Obsoletes: oz < 0.12.0-10
Obsoletes: pyjamas < 0.8.1a-3
Obsoletes: pyjamas-doc < 0.8.1a-3
Obsoletes: pyjamas-examples < 0.8.1a-3
Obsoletes: pyjamas-ui < 0.8.1a-3
Obsoletes: python-bugz < 0.10.1-14
Obsoletes: python-configparser < 3.7.4-3
Obsoletes: python-dateutil15 < 1.5-5
Obsoletes: python-elib.intl < 0.0.3-0.git20110711.11
Obsoletes: python-flup < 1.0.2-12
Obsoletes: python-fpconst < 0.7.3-13
Obsoletes: python-fuse < 2.5-18
Obsoletes: python-gfbi_core < 0.5-11
Obsoletes: python-guess-language < 0.2-10
Obsoletes: python-krbV < 1.0.90-5
Obsoletes: python-lpsolve55 < 5.5.2.5-4
Obsoletes: python2-lpsolve55 < 5.5.2.5-4
Obsoletes: python-m2ext < 0.1-11
Obsoletes: python-mox < 0.5.3-10
Obsoletes: python-jaxml < 3.02-10
Obsoletes: python-json < 3.4-12
Obsoletes: python2-json < 3.4-12
Obsoletes: python-midi < 0.2.3-8
Obsoletes: python-ntlm < 1.0.1-10
Obsoletes: python-opengl-demo < 3.0.1b1-12
Obsoletes: python-planet < 2.0-12
Obsoletes: python-pyblock < 0.53-12
Obsoletes: python-pychart < 1.39-13
Obsoletes: python2-pychart < 1.39-13
Obsoletes: python-pydns < 2.3.6-14
Obsoletes: python2-pydns < 2.3.6-14
Obsoletes: python-pyemf < 2.0.0-13
Obsoletes: python2-pyemf < 2.0.0-13
Obsoletes: python-perlmodule < 1.0.1d-33
Obsoletes: python-pyexcelerator < 0.6.4.1-3
Obsoletes: python-pyifbabel < 0.4-4
Obsoletes: python-pylibpcap < 0.6.4-6
Obsoletes: python2-pylibpcap < 0.6.4-6
Obsoletes: mysql-utilities < 1.6.5-4
Obsoletes: python-pymad < 0.7-10
Obsoletes: python-pymtp < 0.0.6-8
Obsoletes: python-pyrex < 0.9.9-13
Obsoletes: python-pytorctl < 0-0.21
Obsoletes: python-pywebdav < 0.9.8-3
Obsoletes: python2-pywebdav < 0.9.8-3
Obsoletes: python-qpid < 1.37.0-2
Obsoletes: python-s3cmd < 1.0.1-11
Obsoletes: python-sampy < 1.2.1-11
Obsoletes: python-qwt < 5.2.0-23
Obsoletes: python2-qwt < 5.2.0-23
Obsoletes: python-scientific < 2.9.4-11
Obsoletes: python-scientific-devel < 2.9.4-11
Obsoletes: python-silvercity < 0.9.7-11
Obsoletes: python2-silvercity < 0.9.7-11
Obsoletes: python-soap < 0.12.0-14
Obsoletes: python-sqlite < 1.0.1-20
Obsoletes: python2-sqlite < 1.0.1-20
Obsoletes: python-sqlite2 < 2.6.3-12
Obsoletes: python2-sqlite2 < 2.6.3-12
Obsoletes: python-storm < 0.20-11
Obsoletes: python-storm-django < 0.20-11
Obsoletes: python-storm-mysql < 0.20-11
Obsoletes: python-storm-postgresql < 0.20-11
Obsoletes: python-storm-twisted < 0.20-11
Obsoletes: python-storm-zope < 0.20-11
Obsoletes: python-systemd-dbus < 0.1-13
Obsoletes: python2-systemd-dbus < 0.1-13
Obsoletes: python-telepathy < 0.15.19-12
Obsoletes: python2-telepathy < 0.15.19-12
Obsoletes: python-which < 1.1.0-18
Obsoletes: python-xklavier < 0.2-14
Obsoletes: libwxpython3.0-devel < 3.0.2.0-15
Obsoletes: lib64wxpython3.0-devel < 3.0.2.0-15
Obsoletes: wxpython < 3.0.2.0-15
Obsoletes: wxpython-docs < 3.0.2.0-15
Obsoletes: wxpython-tools < 3.0.2.0-15
Obsoletes: wxpython-wxversion < 3.0.2.0-15
Obsoletes: wxPython-docs < 1:3.0.2.0-15
Obsoletes: ajenti < 1.2.22-14
Obsoletes: python-aeidon < 0.19.2-17
Obsoletes: python-egenix-mx-base < 3.2.9-6
Obsoletes: python2-egenix-mx-base < 3.2.9-6
Obsoletes: python-egenix-mx-base-devel < 3.2.9-6
Obsoletes: python2-egenix-mx-base-devel < 3.2.9-6
Obsoletes: python-egenix-mx-base-doc < 3.2.9-6
Obsoletes: python-enum34 < 1.1.6-4
Obsoletes: python2-enum34 < 1.1.6-4
Obsoletes: python-futures < 3.3.0-3
Obsoletes: python-gd < 0.59-4
Obsoletes: keepnote < 0.7.8-13
Obsoletes: python2-hachoir-core < 1.3.3-13
Obsoletes: python2-hachoir-metadata < 1.3.3-14
Obsoletes: python2-hachoir-regex < 1.0.5-12
Obsoletes: python2-hachoir-urwid < 1.1-14
Obsoletes: python2-hachoir-wx < 0.3-15
Obsoletes: yum-metadata-parser < 1.1.4-14
Obsoletes: python-yum < 3.4.3-22
Obsoletes: tegaki < 0.3.1-14
Obsoletes: tegaki-zinnia-japanese < 0.3-10
Obsoletes: tegaki-zinnia-simplified-chinese < 0.3-10
Obsoletes: tegaki-zinnia-traditional-chinese < 0.3-10
Obsoletes: videoconvert < 0.2-10
Obsoletes: shinken < 2.4.3-5
Obsoletes: shinken-arbiter < 2.4.3-5
Obsoletes: shinken-broker < 2.4.3-5
Obsoletes: shinken-poller < 2.4.3-5
Obsoletes: shinken-reactionner < 2.4.3-5
Obsoletes: shinken-receiver < 2.4.3-5
Obsoletes: shinken-scheduler < 2.4.3-5
Obsoletes: lostsky < 1.1.1c-4
Obsoletes: apache-mod_python-compat < 3.4-13
Obsoletes: gcs-oauth2-boto-plugin < 1.9-5
Obsoletes: python2-musicbrainz2 < 0.7.4-14
Obsoletes: python-pyro415 < 4.15-9
Obsoletes: python2-PyGreSQL < 5.0.6-2
Obsoletes: python-gobject-devel < 2.28.7-4
Obsoletes: python2-gobject < 2.28.7-4
Obsoletes: libpyglib2.0_0 < 2.28.7-4
Obsoletes: lib64pyglib2.0_0 < 2.28.7-4
Obsoletes: python2-subvertpy < 0.10.1-6
Obsoletes: python-cpuinfo < 1.0-0.20090313.27
Obsoletes: python-py2play < 0.1.10-13
Obsoletes: exe < 2.1.3-6
Obsoletes: sc-controller < 0.4.7-3
Obsoletes: pyopenal < 0.1.6-13
Obsoletes: gsutil < 4.15-4
Obsoletes: gcimagebundle < 1.1.6-8
Obsoletes: google-startup-scripts < 1.1.6-8
Obsoletes: kolab-cli < 0.8.10-3
Obsoletes: kolab-saslauthd < 0.8.10-3
Obsoletes: kolab-server < 0.8.10-3
Obsoletes: postfix-kolab < 0.8.10-3
Obsoletes: pykolab < 0.8.10-3
Obsoletes: pykolab-telemetry < 0.8.10-3
Obsoletes: pykolab-xml < 0.8.10-3
Obsoletes: wallace < 0.8.10-3
Obsoletes: gemrb < 0.8.5-3
Obsoletes: mysql-workbench < 8.0.28-1
Obsoletes: dmeternal < 0.4.0-4
Obsoletes: fslint < 2.46-5
Obsoletes: jython < 2.7.1-4
Obsoletes: jython-demo < 2.7.1-4
Obsoletes: jython-javadoc < 2.7.1-4
Obsoletes: mrepo < 0.8.7-7
Obsoletes: opendict < 0.6.8-4
Obsoletes: opendict-lingvosoft < 0.8-8
Obsoletes: playonlinux < 4.3.4-4
Obsoletes: multiplicationstation < 0.6.8-5
Obsoletes: noethys < 1.2.5.6-3
Obsoletes: pyspread < 1.1-5
Obsoletes: youtube-dl-gui < 0.4-4
# (daviddavid) 2021-02-03
# Python2 only pkg
Obsoletes: rpmtidy < 1.0-8

# (wally) 2019-12-15
# requires python2 only pkg soya
Obsoletes: soya < 0.15rc1-30
Obsoletes: soya-tutorial < 0.15rc1-30
Obsoletes: balazarbrothers < 0.3.1-14
Obsoletes: slune < 1.0.16-2

# (wally) 2019-12-21
# python2 only and atm dead upstream
# https://github.com/gammu/wammu/issues/83
Obsoletes: wammu < 0.44-3
# https://github.com/muravjov/bombono-dvd/issues/21
Obsoletes: bombono-dvd < 1.2.4-13

# (wally) 2019-12-29
# old and not needed
Obsoletes: openerp-server < 7.0-20170329.5
# 2020-03-25
Obsoletes: libsigc++1.2-devel < 1.2.7-6
Obsoletes: libsigc++1.2_5 < 1.2.7-6
Obsoletes: lib64sigc++1.2-devel < 1.2.7-6
Obsoletes: lib64sigc++1.2_5 < 1.2.7-6
Obsoletes: libgtkhotkey-devel < 0.2.1-10
Obsoletes: libgtkhotkey1 < 0.2.1-10
Obsoletes: lib64gtkhotkey-devel < 0.2.1-10
Obsoletes: lib64gtkhotkey1 < 0.2.1-10
Obsoletes: libfreebob-devel < 1.0.11-18
Obsoletes: libfreebob0 < 1.0.11-18
Obsoletes: lib64freebob-devel < 1.0.11-18
Obsoletes: lib64freebob0 < 1.0.11-18
Obsoletes: libechonest-devel < 2.3.1-4
Obsoletes: libechonest2.3 < 2.3.1-4
Obsoletes: lib64echonest-devel < 2.3.1-4
Obsoletes: lib64echonest2.3 < 2.3.1-4
Obsoletes: libjsonrpccpp0 < 0.6.0-6
Obsoletes: libjsonrpccpp0.6-devel < 0.6.0-6
Obsoletes: lib64jsonrpccpp0 < 0.6.0-6
Obsoletes: lib64jsonrpccpp0.6-devel < 0.6.0-6
# 2020-04-16
Obsoletes: lib64beecrypt-devel < 4.2.1-33
Obsoletes: lib64beecrypt7 < 4.2.1-33
Obsoletes: lib64beecrypt_cxx7 < 4.2.1-33
Obsoletes: libbeecrypt-devel < 4.2.1-33
Obsoletes: libbeecrypt7 < 4.2.1-33
Obsoletes: libbeecrypt_cxx7 < 4.2.1-33
# 2020-04-30
Obsoletes: libntrack-devel < 017-6
Obsoletes: libntrack-glib-devel < 017-6
Obsoletes: libntrack-glib2 < 017-6
Obsoletes: libntrack-gobject-devel < 017-6
Obsoletes: libntrack-gobject1 < 017-6
Obsoletes: libntrack-qt4-devel < 017-6
Obsoletes: libntrack-qt4_1 < 017-6
Obsoletes: libntrack0 < 017-6
Obsoletes: ntrack < 017-6
Obsoletes: ntrack-devel < 017-6
Obsoletes: lib64ntrack-devel < 017-6
Obsoletes: lib64ntrack-glib-devel < 017-6
Obsoletes: lib64ntrack-glib2 < 017-6
Obsoletes: lib64ntrack-gobject-devel < 017-6
Obsoletes: lib64ntrack-gobject1 < 017-6
Obsoletes: lib64ntrack-qt4-devel < 017-6
Obsoletes: lib64ntrack-qt4_1 < 017-6
Obsoletes: lib64ntrack0 < 017-6
Obsoletes: lib64metakit-devel < 2.4.9.7-22
Obsoletes: lib64metakit1 < 2.4.9.7-22
Obsoletes: libmetakit-devel < 2.4.9.7-22
Obsoletes: libmetakit1 < 2.4.9.7-22
Obsoletes: metakit-tcl < 2.4.9.7-22
Obsoletes: python-metakit < 2.4.9.7-22
# 2020-08-11
Obsoletes: lib64indicator3_7 < 12.10.1-11
Obsoletes: lib64indicator3-devel < 12.10.1-11
Obsoletes: lib64indicator3-tools < 12.10.1-11
Obsoletes: lib64indicator7 < 12.10.1-11
Obsoletes: lib64indicator-devel < 12.10.1-11
Obsoletes: lib64indicator-tools < 12.10.1-11
Obsoletes: libindicator3_7 < 12.10.1-11
Obsoletes: libindicator3-devel < 12.10.1-11
Obsoletes: libindicator3-tools < 12.10.1-11
Obsoletes: libindicator7 < 12.10.1-11
Obsoletes: libindicator-devel < 12.10.1-11
Obsoletes: libindicator-tools < 12.10.1-11
Obsoletes: lib64appindicator2_1 < 12.10.0-25
Obsoletes: lib64appindicator2-devel < 12.10.0-25
Obsoletes: lib64appindicator2-gir0.1 < 12.10.0-25
Obsoletes: lib64appindicator3-devel < 12.10.0-25
Obsoletes: lib64appindicator3-gir0.1 < 12.10.0-25
Obsoletes: libappindicator-sharp < 12.10.0-25
Obsoletes: libappindicator2_1 < 12.10.0-25
Obsoletes: libappindicator2-devel < 12.10.0-25
Obsoletes: libappindicator2-gir0.1 < 12.10.0-25
Obsoletes: libappindicator3-devel < 12.10.0-25
Obsoletes: libappindicator3-gir0.1 < 12.10.0-25
Obsoletes: lib64indicate-devel < 12.10.1-7
Obsoletes: lib64indicate-gir0.7 < 12.10.1-7
Obsoletes: lib64indicate-gtk-devel < 12.10.1-7
Obsoletes: lib64indicate-gtk3_3 < 12.10.1-7
Obsoletes: lib64indicate5 < 12.10.1-7
Obsoletes: lib64indicategtk3-gir0.7 < 12.10.1-7
Obsoletes: libindicate-doc < 12.10.1-7
Obsoletes: libindicate-devel < 12.10.1-7
Obsoletes: libindicate-gir0.7 < 12.10.1-7
Obsoletes: libindicate-gtk-devel < 12.10.1-7
Obsoletes: libindicate-gtk3_3 < 12.10.1-7
Obsoletes: libindicate5 < 12.10.1-7
Obsoletes: libindicategtk3-gir0.7 < 12.10.1-7

# (wally) 2020-01-01
# Dead sugar pkgs
Obsoletes: sugar-presence-service < 0.90.2-10
Obsoletes: sugar-base < 0.98.0-12

# (wally) 2020-01-30
# Not yet ported to python3
Obsoletes: drakwizard-trac < 1.3.6-2
Obsoletes: trac < 1.3.6-2
Obsoletes: trac-cgi < 1.3.6-2
Obsoletes: trac-fcgi < 1.3.6-2
Obsoletes: trac-mod_python < 1.3.6-2
Obsoletes: trac-mysql < 1.3.6-2
Obsoletes: trac-postgresql < 1.3.6-2
Obsoletes: trac-sqlite < 1.3.6-2
Obsoletes: trac-standalone < 1.3.6-2
Obsoletes: trac-svn < 1.3.6-2
Obsoletes: trac-wsgi < 1.3.6-2

# (solbu) 2020-02-15
# not yet ported to python3
Obsoletes: finfaktura < 2.2.1-3
Obsoletes: gytha < 0.9-10

# (wally) 2019-12-20
# Seems to be a dead project
Obsoletes: autoscan < 1.50-19
Obsoletes: autoscan-agent < 1.50-19
Obsoletes: compatibleone < 2.0-19
Obsoletes: compatibleone-accords < 2.0-19
Obsoletes: compatibleone-accords-doc < 2.0-19
Obsoletes: compatibleone-azprocci < 2.0-19
Obsoletes: compatibleone-broker < 2.0-19
Obsoletes: compatibleone-coees < 2.0-19
Obsoletes: compatibleone-coips < 2.0-19
Obsoletes: compatibleone-comons < 2.0-19
Obsoletes: compatibleone-conets < 2.0-19
Obsoletes: compatibleone-coobas < 2.0-19
Obsoletes: compatibleone-cool < 2.0-19
Obsoletes: compatibleone-copaas < 2.0-19
Obsoletes: compatibleone-cops < 2.0-19
Obsoletes: compatibleone-cosacs < 2.0-19
Obsoletes: compatibleone-cosched < 2.0-19
Obsoletes: compatibleone-coss < 2.0-19
Obsoletes: compatibleone-dcprocci < 2.0-19
Obsoletes: compatibleone-devel < 2.0-19
Obsoletes: compatibleone-ezvm < 2.0-19
Obsoletes: compatibleone-fileserver < 2.0-19
Obsoletes: compatibleone-nagios < 2.0-19
Obsoletes: compatibleone-onprocci < 2.0-19
Obsoletes: compatibleone-osocciprocci < 2.0-19
Obsoletes: compatibleone-osprocci < 2.0-19
Obsoletes: compatibleone-paasprocci < 2.0-19
Obsoletes: compatibleone-paprocci < 2.0-19
Obsoletes: compatibleone-paprocci-java < 2.0-7
Obsoletes: compatibleone-procci < 2.0-19
Obsoletes: compatibleone-publisher < 2.0-19
Obsoletes: compatibleone-slam < 2.0-19
Obsoletes: compatibleone-testsuite < 2.0-19
Obsoletes: libcompatibleone-accords0 < 2.0-19
Obsoletes: lib64compatibleone-accords0 < 2.0-19
Obsoletes: libcompatibleone-accords0-devel < 2.0-19
Obsoletes: lib64compatibleone-accords0-devel < 2.0-19
Obsoletes: python-compatibleone-accords < 2.0-19
#
Obsoletes: sslsniff < 0.8-27
# 2020-05-01 dead since 2013
Obsoletes: silicon < 2.0.0-10
Obsoletes: silicon-audio-disc < 2.0.0-10
Obsoletes: silicon-converter < 2.0.0-10
Obsoletes: silicon-copy-disc < 2.0.0-10
Obsoletes: silicon-data-disc < 2.0.0-10
Obsoletes: silicon-database < 2.0.0-10
Obsoletes: silicon-disc-details < 2.0.0-10
Obsoletes: silicon-disc-eraser < 2.0.0-10
Obsoletes: silicon-disc-imaging < 2.0.0-10
Obsoletes: silicon-disc-scanner < 2.0.0-10
Obsoletes: silicon-image-burner < 2.0.0-10
Obsoletes: silicon-library < 2.0.0-10
Obsoletes: silicon-limoo < 2.0.0-10
Obsoletes: silicon-mounter < 2.0.0-10
Obsoletes: silicon-plugin-audio-cd-record < 2.0.0-10
Obsoletes: silicon-plugin-cd-record < 2.0.0-10
Obsoletes: silicon-plugin-eraser < 2.0.0-10
Obsoletes: silicon-plugin-fuseiso < 2.0.0-10
Obsoletes: silicon-plugin-lyric-browser < 2.0.0-10
Obsoletes: silicon-plugin-mkdiscfs < 2.0.0-10
Obsoletes: silicon-plugin-mkisofs < 2.0.0-10
Obsoletes: silicon-plugin-mpg123 < 2.0.0-10
Obsoletes: silicon-plugin-now-playing < 2.0.0-10
Obsoletes: silicon-plugin-read-cd < 2.0.0-10
Obsoletes: silicon-plugin-single-inner-dialog < 2.0.0-10
Obsoletes: silicon-plugin-system-tray < 2.0.0-10
Obsoletes: silicon-plugin-tagarg-audio-disc < 2.0.0-10
Obsoletes: silicon-plugin-udisks < 2.0.0-10
Obsoletes: silicon-sample-app < 2.0.0-10
Obsoletes: silicon-script-runner < 2.0.0-10
Obsoletes: silicon-tagarg-player < 2.0.0-10
Obsoletes: silicon-themes < 2.0.0-10

# (wally) 2020-05-02
# Drop until ported to python3
Obsoletes: pulse-agent-plugins < 1.8-4
Obsoletes: pulse-xmppmaster-agentplugins < 1.8-4
Obsoletes: pulseagent-plugins-relay < 1.8-4
Obsoletes: pulseagent-plugins-machine < 1.8-4
Obsoletes: pulse-xmpp-agent < 1.9.5-4

# (wally) 2019-09-19
# Unmaintained and doesn't build with recent popplers
Obsoletes: utopia-documents < 3.1.0-10

# (daviddavid) 2019-10-12
# Unused and dead upstream for a while
Obsoletes: libphat0 < 0.3.1-11
Obsoletes: lib64phat0 < 0.3.1-11
Obsoletes: libphat-devel < 0.3.1-11
Obsoletes: lib64phat-devel < 0.3.1-11
# 2020-03-17
Obsoletes: libredblack0 < 1.3-5
Obsoletes: lib64redblack0 < 1.3-5
Obsoletes: libredblack-devel < 1.3-5
Obsoletes: lib64redblack-devel < 1.3-5

# (tv) Dead upstream, fwupd is a better alternative
Obsoletes: firmware-tools < 2.1.15-9

# (wally) old and unneeded gtk2 app
Obsoletes: glade3 < 1:3.8.6-3
Obsoletes: libgladeui1-devel < 1:3.8.6-3
Obsoletes: libgladeui1_11 < 1:3.8.6-3
Obsoletes: lib64gladeui1-devel < 1:3.8.6-3
Obsoletes: lib64gladeui1_11 < 1:3.8.6-3

# (tv) doesn't recompile, unused:
Obsoletes: openshadinglanguage1.9 < 1.9.13-6
Obsoletes: lib64openshadinglanguage1.9_1.9 < 1.9.13-6
Obsoletes: libopenshadinglanguage1.9_1.9 < 1.9.13-6
Obsoletes: lib64openshadinglanguage1.9-devel < 1.9.13-6
Obsoletes: libopenshadinglanguage1.9-devel < 1.9.13-6
Obsoletes: openshadinglanguage < 1.11.8.0-2
Obsoletes: openshadinglanguage1.11 < 1.11.8.0-2
Obsoletes: lib64openshadinglanguage1.11_1.11 < 1.11.8.0-2
Obsoletes: libopenshadinglanguage1.11_1.11 < 1.11.8.0-2
Obsoletes: lib64openshadinglanguage1.11-devel < 1.11.8.0-2
Obsoletes: libopenshadinglanguage1.11-devel < 1.11.8.0-2
Obsoletes: python3-openshadinglanguage < 1.11.8.0-2
# (kekepower) SK1 is, afaik, python 2 only
Obsoletes: sk1 < 2.0-0.rc3.6

# only ship newest current and newest from previous Mageia release
Obsoletes: postgresql9.6 < 9.6.15-6
Obsoletes: postgresql9.6-contrib < 9.6.15-6
Obsoletes: postgresql9.6-devel < 9.6.15-6
Obsoletes: postgresql9.6-docs < 9.6.15-6
Obsoletes: postgresql9.6-pl < 9.6.15-6
Obsoletes: postgresql9.6-plperl < 9.6.15-6
Obsoletes: postgresql9.6-plpgsql < 9.6.15-6
Obsoletes: postgresql9.6-plpython < 9.6.15-6
Obsoletes: postgresql9.6-pltcl < 9.6.15-6
Obsoletes: postgresql9.6-server < 9.6.15-6
Obsoletes: libpq5.9 < 9.6.15-6
Obsoletes: libpq9.6_5.9 < 9.6.15-6
Obsoletes: libecpg9.6_6 < 9.6.15-6
Obsoletes: lib64pq5.9 < 9.6.15-6
Obsoletes: lib64pq9.6_5.9 < 9.6.15-6
Obsoletes: lib64ecpg9.6_6 < 9.6.15-6

# more dead python2 gtk2 stuff
Obsoletes: gtk-recordmydesktop < 0.3.8-16
Obsoletes: ibus-sunpinyin < 2.0.3-13
Obsoletes: idjc < 0.8.17-3
Obsoletes: ladish < 2-1
Obsoletes: gladish < 2-1
Obsoletes: medit < 1.2.0-3
Obsoletes: python2-gtksourceview < 2.10.1-17
Obsoletes: python2-gtksourceview-devel < 2.10.1-17
Obsoletes: python2-notify < 0.1.1-20
Obsoletes: python-osmgpsmap < 0.7.3-15
Obsoletes: python-pygoocanvas < 0.14.1-12
Obsoletes: python-pygoocanvas-devel < 0.14.1-12
Obsoletes: furiusisomount < 0.11.3.1-11
Obsoletes: ht2html < 0:2.0-21
Obsoletes: pydb < 1.26-15

# (tv) Obsolete/Unbuildable OCaml packages:
Obsoletes: ocaml-batteries < 2.9.0-2
Obsoletes: ocaml-batteries-devel < 2.9.0-2
Obsoletes: ocaml-bisect < 1.3-16
Obsoletes: ocaml-bisect-devel < 1.3-16
Obsoletes: ocaml-bitstring < 2.0.4-12
Obsoletes: ocaml-bitstring-devel < 2.0.4-12
Obsoletes: ocaml-config-file < 1.2-10
Obsoletes: ocaml-config-file-devel < 1.2-10
Obsoletes: ocaml-expect < 0.6-4
Obsoletes: ocaml-expect-devel < 0.0.6-4
Obsoletes: ocaml-extunix < 0.1.6-4
Obsoletes: ocaml-extunix-devel < 0.1.6-4
Obsoletes: ocaml-json-static < 0.9.8-19
Obsoletes: ocaml-objsize < 0.16-11
Obsoletes: ocaml-objsize-devel < 0.16-11
Obsoletes: ocaml-ppx_tools < 6.3-2
Obsoletes: ocaml-ppx_tools-devel < 6.3-2
Obsoletes: ocaml-ppx_traverse_builtins < 0.10.0-6
Obsoletes: ocaml-ppx_traverse_builtins-devel < 0.10.0-6
Obsoletes: ocaml-pxp < 1.2.8-5
Obsoletes: ocaml-pxp-devel < 1.2.8-5
Obsoletes: ocaml-text < 0.8-4
Obsoletes: ocaml-text-devel < 0.8-4
Obsoletes: ocaml-text-doc < 0.8-4
Obsoletes: ocaml-ulex < 1.1-22
Obsoletes: ocaml-ulex-devel < 1.1-22
Obsoletes: ocaml-type-conv < 1:3.0.5-4
Obsoletes: ocaml-deriving < 0.8.1-4
Obsoletes: ocaml-deriving-devel < 0.8.1-4
Obsoletes: ocaml-optcomp < 1.6-4
Obsoletes: ocaml-optcomp-devel < 1.6-4
Obsoletes: ocamldsort < 0.16.0-11
Obsoletes: ccss < 1.6-4
Obsoletes: rpmcheck < 0.0.2368-19

# (daviddavid) 2020-03-02
# upstream removed it since Qt 5.14, doesn't built anymore and also no more used
Obsoletes: libqtenginio1 < 1:1.6.3-8.3
Obsoletes: lib64qtenginio1 < 1:1.6.3-8.3
Obsoletes: libqt5enginio-devel < 1:1.6.3-8.3
Obsoletes: lib64qt5enginio-devel < 1:1.6.3-8.3
Obsoletes: qtenginio5 < 1:1.6.3-8.3
Obsoletes: qtenginio5-doc < 1:1.6.3-8.3

#(eatdirt) 2020-03-20
# unmaintained since a few years and python2 exclusive
Obsoletes: python2-pyspatialite <= 3.0.1

# (tv) no more needed:
Obsoletes: libllvm8.08.0 < 8.0.0-13
Obsoletes: libllvm8.0-devel < 8.0.0-13
Obsoletes: lib64llvm8.08.0 < 8.0.0-13
Obsoletes: lib64llvm8.0-devel < 8.0.0-13
Obsoletes: llvm8.0 < 8.0.0-13
Obsoletes: llvm8.0-doc < 8.0.0-13
Obsoletes: llvm8.0-static < 8.0.0-13

# (zezinho) python2 only
Obsoletes: editobj2 < 0.4-11
Obsoletes: songwrite2 < 0.4.1-14
Obsoletes: python2-faulthandler < 3.0-4

# (ovitters) fails to build, no more dependencies
Obsoletes: pangox-compat < 0.0.2-8

# (kekepower) fails to build as it's Python 2 only
Obsoletes: cherokee < 1.2.103-18
Obsoletes: cherokee-devel < 1.2.103-18
Obsoletes: libcherokee-base0 < 1.2.103-18
Obsoletes: libcherokee-client0 < 1.2.103-18
Obsoletes: libcherokee-server0 < 1.2.103-18
Obsoletes: lib64cherokee-base0 < 1.2.103-18
Obsoletes: lib64cherokee-client0 < 1.2.103-18
Obsoletes: lib64cherokee-server0 < 1.2.103-18
Obsoletes: cget < 1.2.103-18

# (kekepower) Dead since 2015
# See mga#22944
Obsoletes: googlecl < 0.9.14-13

# (ovitters) Mirrorbrain is Python2 only. No update expected
Obsoletes: apache-mod_autoindex_mb < 2.18.1-8
Obsoletes: apache-mod_mirrorbrain < 2.18.1-8
Obsoletes: mirrorbrain  < 2.18.1-8
Obsoletes: mirrorbrain-scanner < 2.18.1-8
Obsoletes: mirrorbrain-tools < 2.18.1-8
Obsoletes: python-mb < 2.18.1-8
# (ovitters) also by Mirrorbrain, depends on Python2 as well
Obsoletes: apache-mod_asn < 1.7-4

# (ovitters) Python2 only, last release/development in 2011, dropped in all big distros
Obsoletes: gnupylot < 0.1.9-7

# (ovitters) Python2 only, last development was 14 years ago, no response to issues on GitHub, old location not available anymore
#            https://github.com/antonylesuisse/qweb/tree/master/ajaxterm
Obsoletes: ajaxterm < 0.10-9

# (guillomovitch) Python2 only, last development in 2013
Obsoletes: gitbuster < 2.1-1.b5.10

# (tv) unmaintained:
Obsoletes: prelink < 1:0.5.0-1.20130503.10

# (guillomovitch) Python2 only
Obsoletes: pcredz < 1.0.0-4

# uses Python2, has security issues
Obsoletes: mailman < 2.1.33-1

Obsoletes: openjpeg < 1.5.2-12
Obsoletes: libopenjpeg5 < 1.5.2-12
Obsoletes: libopenjpeg-devel < 1.5.2-12
Obsoletes: lib64openjpeg5 < 1.5.2-12
Obsoletes: lib64openjpeg-devel < 1.5.2-12

Obsoletes: gtksourceview2 < 2.11.2-15
Obsoletes: libgtksourceview2.0_0 < 2.11.2-15
Obsoletes: libgtksourceview2.0-devel < 2.11.2-15
Obsoletes: libgtksourceview-gir2.0 < 2.11.2-15
Obsoletes: lib64gtksourceview2.0_0 < 2.11.2-15
Obsoletes: lib64gtksourceview2.0-devel < 2.11.2-15
Obsoletes: lib64gtksourceview-gir2.0 < 2.11.2-15
Obsoletes: alt-ergo-gui < 2.2.0-10
Obsoletes: frama-c < 19.1-1
Obsoletes: frama-c-doc < 19.1-1
Obsoletes: frama-c-emacs < 19.1-1
Obsoletes: why3 < 1.3.1-2
Obsoletes: why3-emacs < 1.3.1-2
Obsoletes: ocaml-why3 < 1.3.1-2
Obsoletes: ocaml-why3-devel < 1.3.1-2
Obsoletes: gummi < 0.6.6-4
Obsoletes: laby < 0.6.4-6
Obsoletes: boo < 0.9.7.0-7
Obsoletes: boo-devel < 0.9.7.0-7
Obsoletes: boo-examples < 0.9.7.0-7

# not compatible with new zipios
Obsoletes: enigma < 1.21-12
Obsoletes: enigma-data < 1.21-12

# remove old flash at all
Obsoletes: freshplayerplugin < 0.3.9-9

# plugins no longer supported
Obsoletes: mozplugger < 2.1.6-6
Obsoletes: firefox-garminplugin < 0.3.27-5
Obsoletes: nspluginwrapper < 1.4.4-15
Obsoletes: nspluginwrapper-i386 < 1.4.4-15
Obsoletes: spice-xpi < 2.8.90-4

# (shlomif) discontinued
Obsoletes: arora < 0.11.1

# wrongly imported
Obsoletes: libpng15 < 1.5.30-2

# (martinw) obsoleted in svn by danf
Obsoletes: isdn4k-utils < 1:3.12-25
Obsoletes: isdn4k-utils-doc < 1:3.12-25
Obsoletes: isdn4k-utils-eurofile < 1:3.12-25
Obsoletes: isdn4k-utils-isdnlog < 1:3.12-25
Obsoletes: isdn4k-utils-vbox < 1:3.12-25
Obsoletes: isdn4k-utils-xtools < 1:3.12-25
Obsoletes: libisdn4k-utils3 < 1:3.12-25
Obsoletes: libisdn4k-utils-devel < 1:3.12-25
Obsoletes: lib64isdn4k-utils3 < 1:3.12-25
Obsoletes: lib64isdn4k-utils-devel < 1:3.12-25

# (martinw) doesn't build, unused, dead upstream
Obsoletes: libhippo-canvas1_0 < 0.3.1-18
Obsoletes: libhippo-canvas-devel < 0.3.1-18
Obsoletes: libhippo-canvas-gir1.0 < 0.3.1-18
Obsoletes: lib64hippo-canvas1_0 < 0.3.1-18
Obsoletes: lib64hippo-canvas-devel < 0.3.1-18
Obsoletes: lib64hippo-canvas-gir1.0 < 0.3.1-18

# (martinw) requires prelink to build, no upstream development since 2006
Obsoletes: hugs98 < 2006.09-17
Obsoletes: hugs98-alut < 2006.09-17
Obsoletes: hugs98-demos < 2006.09-17
Obsoletes: hugs98-glut < 2006.09-17
Obsoletes: hugs98-hgl < 2006.09-17
Obsoletes: hugs98-openal < 2006.09-17
Obsoletes: hugs98-opengl < 2006.09-17
Obsoletes: hugs98-x11 < 2006.09-17

# deleted upstream
Obsoletes: lightlang < 0.8.7-0.git20141004.10
Obsoletes: lightlang-dict < 0.0.2-11
Obsoletes: lightlang-sounds < 0.0.1-9

# (barjac) No longer maintained upstream, build fails.
Obsoletes: peerguardian < 2.3.1-5

# (daviddavid) 2020-08-21
# upstream removed it since release-service 20.08.0
Obsoletes: kblog-common < 20.04.3-2
Obsoletes: libkf5blog5 < 20.04.3-2
Obsoletes: lib64kf5blog5 < 20.04.3-2
Obsoletes: libkf5blog-devel < 20.04.3-2
Obsoletes: lib64kf5blog-devel < 20.04.3-2

# (martinw) build fails, not required by lilypond since ~2005
Obsoletes: ec-fonts-mftraced < 1.0.12-14


#Java
Obsoletes:  apache-commons-csv < 1.8
Obsoletes:  apache-commons-csv-javadoc < 1.8
Obsoletes:  apache-commons-el < 1.1
Obsoletes:  apache-commons-el-javadoc < 1.1
Obsoletes:  apache-commons-email < 1.6
Obsoletes:  apache-commons-email-javadoc < 1.6
Obsoletes:  apache-commons-javaflow < 1.1
Obsoletes:  apache-commons-javaflow-javadoc < 1.1
Obsoletes:  apache-commons-jci < 1.2
Obsoletes:  apache-commons-jci-javadoc < 1.2
Obsoletes:  apache-commons-jcs < 2.2
Obsoletes:  apache-commons-jcs-javadoc < 2.2
Obsoletes:  apache-commons-ognl < 3.0.3
Obsoletes:  apache-commons-ognl-javadoc < 3.0.3
Obsoletes:  apache-commons-pool2 < 2.4.3
Obsoletes:  apache-commons-pool2-javadoc < 2.4.3
Obsoletes:  apache-commons-validator < 1.5.1
Obsoletes:  apache-commons-validator-javadoc < 1.5.1
Obsoletes:  apache-mina < 2.0.10
Obsoletes:  gnu-trove < 2.1.0-11
Obsoletes:  gnu-trove-javadoc < 2.1.0-11
Obsoletes:  httpcomponents-asyncclient < 4.2
Obsoletes:  maven-changelog-plugin < 2.4
Obsoletes:  maven-checkstyle-plugin < 3.0.1
Obsoletes:  maven-plugins-pom < 29
Obsoletes:  maven-shared-jarsigner < 1.3.3

# (martinw) obsoleted in svn by barjac - dead upstream
Obsoletes: ghpsdr3-alex < 4.13-0.20170125.12
Obsoletes: QtRadio < 4.13-0.20170125.12
Obsoletes: libortp9 < 0.24.2-4
Obsoletes: lib64ortp9 < 0.24.2-4
Obsoletes: libortp9-devel < 0.24.2-4
Obsoletes: lib64ortp9-devel < 0.24.2-4
Obsoletes: nitrogen < 1.6.1-4

#(martinw) dead upstream, needs python2
Obsoletes: nagios-check_xendomains < 20070528-18

# once again unmaintained and broken
Obsoletes: chromium-browser < 1:87.0.4280.88-1
Obsoletes: chromium-browser-stable < 87.0.4280.88-1

# (martinw) doesn't build, only works with ancient X servers
Obsoletes: lbxproxy < 1.0.3-8
Obsoletes: proxymngr < 1.0.4-3

# (martinw) obsolete, no longer required, and causes error when /boot is in a LVM (mga#24949)
Obsoletes: udisks < 1.0.5-12
Obsoletes: udisks-devel < 1.0.5-12
Obsoletes: udisks-glue < 1.3.5-9

# (tv) obsolete, no longer required, and doesn't build
Obsoletes: mingw-cximage < 600-18
Obsoletes: mingw32-cximage < 600-18
Obsoletes: mingw32-cximage-static < 600-18
Obsoletes: mingw64-cximage < 600-18
Obsoletes: mingw64-cximage-static < 600-18

# wrongly imported, someone already removed from SVN
Obsoletes: snapd < 2.45.3.1-2
Obsoletes: snapd-devel < 2.45.3.1-2
Obsoletes: snap-confine < 2.45.3.1-2

# (tv) doesn't rebuild, new version needs significant effort:
Obsoletes: freeswitch < 1:1.6.20-11
Obsoletes: libfreeswitch1 < 1:1.6.20-11
Obsoletes: lib64freeswitch1 < 1:1.6.20-11
Obsoletes: libfreeswitch-devel < 1:1.6.20-11
Obsoletes: lib64freeswitch-devel < 1:1.6.20-11
Obsoletes: freeswitch-application-abstraction < 1:1.6.20-11
Obsoletes: freeswitch-application-avmd < 1:1.6.20-11
Obsoletes: freeswitch-application-blacklist < 1:1.6.20-11
Obsoletes: freeswitch-application-callcenter < 1:1.6.20-11
Obsoletes: freeswitch-application-cidlookup < 1:1.6.20-11
Obsoletes: freeswitch-application-conference < 1:1.6.20-11
Obsoletes: freeswitch-application-curl < 1:1.6.20-11
Obsoletes: freeswitch-application-db < 1:1.6.20-11
Obsoletes: freeswitch-application-directory < 1:1.6.20-11
Obsoletes: freeswitch-application-distributor < 1:1.6.20-11
Obsoletes: freeswitch-application-easyroute < 1:1.6.20-11
Obsoletes: freeswitch-application-enum < 1:1.6.20-11
Obsoletes: freeswitch-application-esf < 1:1.6.20-11
Obsoletes: freeswitch-application-expr < 1:1.6.20-11
Obsoletes: freeswitch-application-fifo < 1:1.6.20-11
Obsoletes: freeswitch-application-fsk < 1:1.6.20-11
Obsoletes: freeswitch-application-fsv < 1:1.6.20-11
Obsoletes: freeswitch-application-hash < 1:1.6.20-11
Obsoletes: freeswitch-application-httapi < 1:1.6.20-11
Obsoletes: freeswitch-application-http-cache < 1:1.6.20-11
Obsoletes: freeswitch-application-lcr < 1:1.6.20-11
Obsoletes: freeswitch-application-limit < 1:1.6.20-11
Obsoletes: freeswitch-application-memcache < 1:1.6.20-11
Obsoletes: freeswitch-application-nibblebill < 1:1.6.20-11
Obsoletes: freeswitch-application-redis < 1:1.6.20-11
Obsoletes: freeswitch-application-rss < 1:1.6.20-11
Obsoletes: freeswitch-application-sms < 1:1.6.20-11
Obsoletes: freeswitch-application-snapshot < 1:1.6.20-11
Obsoletes: freeswitch-application-snom < 1:1.6.20-11
Obsoletes: freeswitch-application-soundtouch < 1:1.6.20-11
Obsoletes: freeswitch-application-spy < 1:1.6.20-11
Obsoletes: freeswitch-application-stress < 1:1.6.20-11
Obsoletes: freeswitch-application-valet_parking < 1:1.6.20-11
Obsoletes: freeswitch-application-voicemail < 1:1.6.20-11
Obsoletes: freeswitch-application-voicemail-ivr < 1:1.6.20-11
Obsoletes: freeswitch-asrtts-flite < 1:1.6.20-11
Obsoletes: freeswitch-asrtts-pocketsphinx < 1:1.6.20-11
Obsoletes: freeswitch-asrtts-tts-commandline < 1:1.6.20-11
Obsoletes: freeswitch-asrtts-unimrcp < 1:1.6.20-11
Obsoletes: freeswitch-cli < 1:1.6.20-11
Obsoletes: freeswitch-codec-bv < 1:1.6.20-11
Obsoletes: freeswitch-codec-codec2 < 1:1.6.20-11
Obsoletes: freeswitch-codec-h26x < 1:1.6.20-11
Obsoletes: freeswitch-codec-ilbc < 1:1.6.20-11
Obsoletes: freeswitch-codec-isac < 1:1.6.20-11
Obsoletes: freeswitch-codec-mp4v < 1:1.6.20-11
Obsoletes: freeswitch-codec-opus < 1:1.6.20-11
Obsoletes: freeswitch-codec-passthru-amr < 1:1.6.20-11
Obsoletes: freeswitch-codec-passthru-amrwb < 1:1.6.20-11
Obsoletes: freeswitch-codec-passthru-g723_1 < 1:1.6.20-11
Obsoletes: freeswitch-codec-passthru-g729 < 1:1.6.20-11
Obsoletes: freeswitch-codec-silk < 1:1.6.20-11
Obsoletes: freeswitch-codec-speex < 1:1.6.20-11
Obsoletes: freeswitch-codec-theora < 1:1.6.20-11
Obsoletes: freeswitch-config-vanilla < 1:1.6.20-11
Obsoletes: freeswitch-directory-ldap < 1:1.6.20-11
Obsoletes: freeswitch-endpoint-dingaling < 1:1.6.20-11
Obsoletes: freeswitch-endpoint-portaudio < 1:1.6.20-11
Obsoletes: freeswitch-endpoint-rtmp < 1:1.6.20-11
Obsoletes: freeswitch-endpoint-skinny < 1:1.6.20-11
Obsoletes: freeswitch-endpoint-skypopen < 1:1.6.20-11
Obsoletes: freeswitch-event-cdr-mongodb < 1:1.6.20-11
Obsoletes: freeswitch-event-cdr-pg-csv < 1:1.6.20-11
Obsoletes: freeswitch-event-cdr-sqlite < 1:1.6.20-11
Obsoletes: freeswitch-event-erlang-event < 1:1.6.20-11
Obsoletes: freeswitch-event-json-cdr < 1:1.6.20-11
Obsoletes: freeswitch-event-multicast < 1:1.6.20-11
Obsoletes: freeswitch-event-snmp < 1:1.6.20-11
Obsoletes: freeswitch-format-local-stream < 1:1.6.20-11
Obsoletes: freeswitch-format-native-file < 1:1.6.20-11
Obsoletes: freeswitch-format-portaudio-stream < 1:1.6.20-11
Obsoletes: freeswitch-format-shell-stream < 1:1.6.20-11
Obsoletes: freeswitch-format-tone-stream < 1:1.6.20-11
Obsoletes: freeswitch-freetdm < 1:1.6.20-11
Obsoletes: freeswitch-lang-de < 1:1.6.20-11
Obsoletes: freeswitch-lang-en < 1:1.6.20-11
Obsoletes: freeswitch-lang-es < 1:1.6.20-11
Obsoletes: freeswitch-lang-fr < 1:1.6.20-11
Obsoletes: freeswitch-lang-he < 1:1.6.20-11
Obsoletes: freeswitch-lang-pt < 1:1.6.20-11
Obsoletes: freeswitch-lang-ru < 1:1.6.20-11
Obsoletes: freeswitch-lang-sv < 1:1.6.20-11
Obsoletes: freeswitch-lua < 1:1.6.20-11
Obsoletes: freeswitch-perl < 1:1.6.20-11
Obsoletes: freeswitch-sounds-en < 1:1.6.20-11
Obsoletes: freeswitch-sounds-es < 1:1.6.20-11
Obsoletes: freeswitch-sounds-fr < 1:1.6.20-11
Obsoletes: freeswitch-sounds-moh < 1:1.6.20-11
Obsoletes: freeswitch-sounds-ru < 1:1.6.20-11
Obsoletes: freeswitch-sounds-sv < 1:1.6.20-11
Obsoletes: freeswitch-timer-posix < 1:1.6.20-11
Obsoletes: freeswitch-xml-cdr < 1:1.6.20-11
Obsoletes: freeswitch-xml-curl < 1:1.6.20-11
Obsoletes: dkms-skypopen < 1:1.6.20-11
Obsoletes: nagios-check_freeswitch < 1:1.6.20-11
Obsoletes: fusionpbx < 4.2.2-5
Obsoletes: fusionpbx-mysql < 4.2.2-5
Obsoletes: fusionpbx-pgsql < 4.2.2-5
Obsoletes: fusionpbx-sqlite < 4.2.2-5
Obsoletes: astpp < 1.7.2-19
Obsoletes: astpp-sounds < 1.7.2-19
Obsoletes: perl-astpp < 1.7.2-19

# Obsolete/unbuildable java pkgs after update to jdk11:
Obsoletes: acegisecurity < 69:100-1
Obsoletes: activeio < 69:100-1
Obsoletes: annox < 69:100-1
Obsoletes: aoi < 69:100-1
Obsoletes: apache-commons-discovery < 69:100-1
Obsoletes: apache-commons-discovery-javadoc < 69:100-1
Obsoletes: apache-commons-javaflow < 69:100-1
Obsoletes: apache-commons-jci < 69:100-1
Obsoletes: apache-commons-jcs < 69:100-1
Obsoletes: apacheds < 69:100-1
Obsoletes: apacheds-http-integration < 69:100-1
Obsoletes: apacheds-i18n < 69:100-1
Obsoletes: apacheds-javadoc < 69:100-1
Obsoletes: apacheds-jdbm1 < 69:100-1
Obsoletes: apacheds-jdbm2 < 69:100-1
Obsoletes: apacheds-jdbm-javadoc < 69:100-1
Obsoletes: apacheds-jdbm-parent < 69:100-1
Obsoletes: apacheds-kerberos < 69:100-1
Obsoletes: apacheds-ldap-api < 69:100-1
Obsoletes: apacheds-ldap-api < 69:100-1
Obsoletes: apacheds-ldap-api-javadoc < 69:100-1
Obsoletes: apacheds-osgi < 69:100-1
Obsoletes: apacheds-protocols < 69:100-1
Obsoletes: apacheds-re < 69:100-1
Obsoletes: apacheds-server < 69:100-1
Obsoletes: apacheds-service < 69:100-1
Obsoletes: apacheds-wrapper < 69:100-1
Obsoletes: apache-james-project < 69:100-1
Obsoletes: apache-mime4j < 69:100-1
Obsoletes: apache-mina1 < 1.1.7-14
Obsoletes: apache-mina1-javadoc < 1.1.7-14
Obsoletes: apache-mina < 69:100-1
Obsoletes: apache-mina-javadoc < 69:100-1
Obsoletes: apache-mina-mina-core < 69:100-1
Obsoletes: apache-mina-mina-filter-compression < 69:100-1
Obsoletes: apache-mina-mina-http < 69:100-1
Obsoletes: apache-mina-mina-statemachine < 69:100-1
Obsoletes: apache-poi < 69:100-1
Obsoletes: apiviz < 1.3.2-18
Obsoletes: arduino < 69:100-1
Obsoletes: aries-blueprint-cm < 69:100-1
Obsoletes: arquillian-core < 69:100-1
Obsoletes: artemis < 69:100-1
Obsoletes: artemis-wildfly-integration < 69:100-1
Obsoletes: aspectjweaver < 69:100-1
Obsoletes: avro < 69:100-1
Obsoletes: aws-sdk-java < 69:100-1
Obsoletes: axiom < 69:100-1
Obsoletes: base64coder < 69:100-1
Obsoletes: bea-stax < 69:100-1
Obsoletes: bindex < 69:100-1
Obsoletes: bluej < 4.1.2-5
Obsoletes: bluej-oxygen-icons < 4.1.2-5
Obsoletes: bluej-kde < 4.1.2-5
Obsoletes: bluej-extensions < 20180323-4
Obsoletes: bluej-extensions-acm-invoker < 20180323-4
Obsoletes: bluej-extensions-checkstyle < 20180323-4
Obsoletes: bluej-extensions-cnu-formatter < 20180323-4
Obsoletes: bluej-extensions-multiproject < 20180323-4
Obsoletes: bluej-extensions-patterncoder < 20180323-4
Obsoletes: bluej-extensions-rolesofvariables < 20180323-4
Obsoletes: boilerpipe < 69:100-1
Obsoletes: bookkeeper < 69:100-1
Obsoletes: bridge-method-injector < 69:100-1
Obsoletes: buoy < 69:100-1
Obsoletes: bval < 69:100-1
Obsoletes: bytecode-compatibility-transformer < 69:100-1
Obsoletes: c3p0 < 69:100-1
Obsoletes: carol-irmi < 69:100-1
Obsoletes: cas-client < 69:100-1
Obsoletes: cassandra-java-driver < 69:100-1
Obsoletes: castor < 69:100-1
Obsoletes: castor-maven-plugin < 69:100-1
Obsoletes: classmate < 69:100-1
Obsoletes: cli-parser < 69:100-1
Obsoletes: closure-compiler < 69:100-1
Obsoletes: codegen < 69:100-1
Obsoletes: codemodel < 69:100-1
Obsoletes: codenarc < 69:100-1
Obsoletes: concurrentlinkedhashmap-lru < 69:100-1
Obsoletes: cookxml < 69:100-1
Obsoletes: csg-util < 69:100-1
Obsoletes: cssparser < 69:100-1
Obsoletes: curvesapi < 69:100-1
Obsoletes: cxf < 69:100-1
Obsoletes: checkstyle < 69:100-1
Obsoletes: datanucleus-api-jdo < 69:100-1
Obsoletes: datanucleus-core < 69:100-1
Obsoletes: datanucleus-maven-parent < 69:100-1
Obsoletes: datanucleus-rdbms < 69:100-1
Obsoletes: deltaspike < 69:100-1
Obsoletes: derby < 69:100-1
Obsoletes: dnsjava < 2.1.3-7
Obsoletes: dnsjava-javadoc < 2.1.3-7
Obsoletes: docker-client-java < 69:100-1
Obsoletes: eclipselink < 69:100-1
Obsoletes: eclipselink-persistence-api < 69:100-1
Obsoletes: eclipse-linuxtools < 69:100-1
Obsoletes: eclipse-mylyn < 69:100-1
Obsoletes: eclipse-swtbot < 69:100-1
Obsoletes: eclipse-tm-terminal < 69:100-1
Obsoletes: ehcache-core < 69:100-1
Obsoletes: ehcache-sizeof-agent < 69:100-1
Obsoletes: emma < 69:100-1
Obsoletes: extra166y < 69:100-1
Obsoletes: fastutil < 69:100-1
Obsoletes: felix-framework < 69:100-1
Obsoletes: felix-main < 69:100-1
Obsoletes: felix-osgi-core < 69:100-1
Obsoletes: felix-osgi-obr < 69:100-1
Obsoletes: felix-osgi-obr-resolver < 69:100-1
Obsoletes: felix-scr-annotations < 69:100-1
Obsoletes: felix-scr-generator < 69:100-1
Obsoletes: felix-shell < 69:100-1
Obsoletes: fit-java < 69:100-1
Obsoletes: freemind < 69:100-1
Obsoletes: freeplane < 69:100-1
Obsoletes: gemini-blueprint < 69:100-1
Obsoletes: gentlyweb-utils < 69:100-1
Obsoletes: geronimo-commonj < 69:100-1
Obsoletes: geronimo-ejb < 69:100-1
Obsoletes: geronimo-jaspic-spec < 69:100-1
Obsoletes: geronimo-jcache < 69:100-1
Obsoletes: geronimo-jcdi-1.0-api < 69:100-1
Obsoletes: geronimo-jcdi-1.1-api < 69:100-1
Obsoletes: geronimo-txmanager < 69:100-1
Obsoletes: glassfish-ejb-api < 69:100-1
Obsoletes: glassfish-enterprise-concurrent < 69:100-1
Obsoletes: glassfish-enterprise-concurrent-api < 69:100-1
Obsoletes: glassfish-gmbal < 69:100-1
Obsoletes: glassfish-ha-api < 69:100-1
Obsoletes: glassfish-hk2 < 69:100-1
Obsoletes: glassfish-jaxrpc-api < 69:100-1
Obsoletes: glassfish-jaxws < 69:100-1
Obsoletes: glassfish-legal < 69:100-1
Obsoletes: glassfish-management-api < 69:100-1
Obsoletes: glassfish-master-pom < 69:100-1
Obsoletes: glassfish-pfl < 69:100-1
Obsoletes: glassfish-policy < 69:100-1
Obsoletes: glassfish-saaj < 69:100-1
Obsoletes: glassfish-toplink-essentials < 69:100-1
Obsoletes: glassfish-transaction-api < 69:100-1
Obsoletes: gmavenplus-plugin < 69:100-1
Obsoletes: gmetric4j < 69:100-1
Obsoletes: gmetrics < 69:100-1
Obsoletes: gnu-trove < 69:100-1
Obsoletes: google-http-java-client < 69:100-1
Obsoletes: google-oauth-java-client < 69:100-1
Obsoletes: gpars < 69:100-1
Obsoletes: gradle < 69:100-1
Obsoletes: grizzly < 69:100-1
Obsoletes: grizzly-npn < 69:100-1
Obsoletes: groovy18 < 69:100-1
Obsoletes: groovy < 69:100-1
Obsoletes: groovy-sandbox < 69:100-1
Obsoletes: guacamole-client  < 69:100-1
Obsoletes: gwt < 2.8.2-4
Obsoletes: gwt-javadoc < 2.8.2-4
Obsoletes: h2 < 69:100-1
Obsoletes: hadoop < 69:100-1
Obsoletes: hawtbuf < 69:100-1
Obsoletes: hawtdb < 69:100-1
Obsoletes: hawtdispatch < 69:100-1
Obsoletes: hazelcast < 69:100-1
Obsoletes: hdfview < 69:100-1
Obsoletes: hibernate3 < 69:100-1
Obsoletes: hibernate4 < 69:100-1
Obsoletes: hibernate5 < 69:100-1
Obsoletes: hibernate-hql < 69:100-1
Obsoletes: hibernate-jpamodelgen < 69:100-1
Obsoletes: hibernate-search < 69:100-1
Obsoletes: hibernate-validator < 69:100-1
Obsoletes: HikariCP < 69:100-1
Obsoletes: hppc < 69:100-1
Obsoletes: htmlunit < 69:100-1
Obsoletes: htrace < 69:100-1
Obsoletes: http-builder < 69:100-1
Obsoletes: idlj-maven-plugin < 69:100-1
Obsoletes: infinispan < 69:100-1
Obsoletes: ironjacamar < 69:100-1
Obsoletes: itext < 69:100-1
Obsoletes: jace < 69:100-1
Obsoletes: jace < 69:100-1
Obsoletes: jackcess < 69:100-1
Obsoletes: jackson < 69:100-1
Obsoletes: jackson-dataformat-xml < 69:100-1
Obsoletes: jackson-datatype-joda < 69:100-1
Obsoletes: jackson-datatypes-collections < 69:100-1
Obsoletes: jacorb < 69:100-1
Obsoletes: jai-imageio-core < 69:100-1
Obsoletes: jamonapi < 69:100-1
Obsoletes: jandex < 69:100-1
Obsoletes: jarbundler < 69:100-1
Obsoletes: jarjar < 69:100-1
Obsoletes: jasperreports < 69:100-1
Obsoletes: jastow < 69:100-1
Obsoletes: jasypt < 69:100-1
Obsoletes: jatl < 69:100-1
Obsoletes: java3ds-fileloader < 1.2-7
Obsoletes: java3ds-fileloader-javadoc < 1.2-7
Obsoletes: java-gnome < 4.1.3-13
Obsoletes: java-gnome-javadoc < 4.1.3-13
Obsoletes: java-hll < 69:100-1
Obsoletes: java-oauth < 69:100-1
Obsoletes: java-service-wrapper < 69:100-1
Obsoletes: javolution < 69:100-1
Obsoletes: jaxb2-common-basics < 69:100-1
Obsoletes: jaxws-undertow-httpspi < 69:100-1
Obsoletes: jberet < 69:100-1
Obsoletes: jboss-dmr < 69:100-1
Obsoletes: jboss-ejb-client < 69:100-1
Obsoletes: jboss-integration < 69:100-1
Obsoletes: jboss-invocation < 69:100-1
Obsoletes: jboss-jaspi-1.0-api < 69:100-1
Obsoletes: jboss-jaxb-2.2-api < 69:100-1
Obsoletes: jboss-jaxb-intros < 69:100-1
Obsoletes: jboss-jaxrpc-1.1-api < 69:100-1
Obsoletes: jboss-jaxws-2.2-api < 69:100-1
Obsoletes: jboss-jsf-2.2-api < 69:100-1
Obsoletes: jboss-logging-tools1 < 69:100-1
Obsoletes: jboss-marshalling < 69:100-1
Obsoletes: jboss-metadata < 69:100-1
Obsoletes: jboss-msc < 69:100-1
Obsoletes: jboss-naming < 69:100-1
Obsoletes: jboss-negotiation < 69:100-1
Obsoletes: jboss-remote-naming < 69:100-1
Obsoletes: jboss-remoting < 69:100-1
Obsoletes: jboss-remoting-jmx < 69:100-1
Obsoletes: jboss-rmi-1.0-api < 69:100-1
Obsoletes: jboss-saaj-1.3-api < 69:100-1
Obsoletes: jboss-servlet-2.5-api < 69:100-1
Obsoletes: jboss-specs-parent < 69:100-1
Obsoletes: jboss-stdio < 69:100-1
Obsoletes: jboss-threads < 69:100-1
Obsoletes: jboss-transaction-1.1-api < 69:100-1
Obsoletes: jboss-vfs < 69:100-1
Obsoletes: jboss-web < 69:100-1
Obsoletes: jboss-web-native < 69:100-1
Obsoletes: jbossws-common < 69:100-1
Obsoletes: jbossws-cxf < 69:100-1
Obsoletes: jclasslib < 69:100-1
Obsoletes: jdbi < 69:100-1
Obsoletes: jdbm < 69:100-1
Obsoletes: jdeparser1 < 69:100-1
Obsoletes: jdo2-api < 69:100-1
Obsoletes: jdo-api < 69:100-1
Obsoletes: je < 69:100-1
Obsoletes: jemmy < 69:100-1
Obsoletes: jenkins-commons-jelly < 69:100-1
Obsoletes: jenkins-jexl < 69:100-1
Obsoletes: jenkins-xstream < 69:100-1
Obsoletes: jersey1 < 69:100-1
Obsoletes: jersey < 69:100-1
Obsoletes: jets3t < 69:100-1
Obsoletes: jetty-alpn-api < 69:100-1
Obsoletes: jetty-build-support < 69:100-1
Obsoletes: jetty-schemas < 69:100-1
Obsoletes: jetty-test-helper < 69:100-1
Obsoletes: jetty-test-policy < 69:100-1
Obsoletes: jetty-version-maven-plugin < 69:100-1
Obsoletes: jfor < 69:100-1
Obsoletes: jgroups212 < 69:100-1
Obsoletes: jgroups212-javadoc < 69:100-1
Obsoletes: jibx < 69:100-1
Obsoletes: jing-trang < 69:100-1
Obsoletes: jinput < 2.0.9-3
Obsoletes: jinput-javadoc < 2.0.9-3
Obsoletes: jline1 < 69:100-1
Obsoletes: jmapviewer < 69:100-1
Obsoletes: jmatio < 69:100-1
Obsoletes: jmh < 69:100-1
Obsoletes: jmol < 69:100-1
Obsoletes: johnzon < 69:100-1
Obsoletes: josm < 69:100-1
Obsoletes: josql < 69:100-1
Obsoletes: jpathwatch < 69:100-1
Obsoletes: jredis < 2.0.0-0.2.a.3
Obsoletes: jredis-core < 2.0.0-0.2.a.3
Obsoletes: jredis-core-api < 2.0.0-0.2.a.3
Obsoletes: jredis-core-bench < 2.0.0-0.2.a.3
Obsoletes: jredis-core-ii < 2.0.0-0.2.a.3
Obsoletes: jredis-javadoc < 2.0.0-0.2.a.3
Obsoletes: jrexx < 69:100-1
Obsoletes: jruby < 69:100-1
Obsoletes: jsilver < 69:100-1
Obsoletes: jsmol < 69:100-1
Obsoletes: jsonic < 69:100-1
Obsoletes: json-lib < 69:100-1
Obsoletes: json-path < 69:100-1
Obsoletes: jspc < 69:100-1
Obsoletes: jspecview < 69:100-1
Obsoletes: jsr-311 < 69:100-1
Obsoletes: jsslutils < 69:100-1
Obsoletes: jtds < 69:100-1
Obsoletes: jtype < 69:100-1
Obsoletes: jutils < 69:100-1
Obsoletes: jyaml < 69:100-1
Obsoletes: kohsuke-pom < 14-6
Obsoletes: kryo < 69:100-1
Obsoletes: kryo-serializers < 69:100-1
Obsoletes: kunststoff < 69:100-1
Obsoletes: langdetect < 69:100-1
Obsoletes: language-detector < 69:100-1
Obsoletes: ldaptive < 69:100-1
Obsoletes: lettuce < 69:100-1
Obsoletes: leveldb-java < 69:100-1
Obsoletes: leveldbjni < 69:100-1
Obsoletes: libjay-java < 1.0.2-10
Obsoletes: libjay-java-javadoc < 1.0.2-10
Obsoletes: libpam4j < 69:100-1
Obsoletes: libreadline-java < 69:100-1
Obsoletes: liquibase < 69:100-1
Obsoletes: liquidlnf < 69:100-1
Obsoletes: localizer < 69:100-1
Obsoletes: log4j-jboss-logmanager < 69:100-1
Obsoletes: logback < 69:100-1
Obsoletes: lucene3 < 69:100-1
Obsoletes: lucene4 < 69:100-1
Obsoletes: lz4-java < 69:100-1
Obsoletes: maven-eclipse-plugin < 69:100-1
Obsoletes: maven-hpi-plugin < 69:100-1
Obsoletes: maven-processor-plugin < 69:100-1
Obsoletes: maven-project-info-reports-plugin < 69:100-1
Obsoletes: maven-shared-jar < 69:100-1
Obsoletes: maven-site-plugin < 69:100-1
Obsoletes: mchange-commons < 69:100-1
Obsoletes: memoryfilesystem < 69:100-1
Obsoletes: metadata-extractor < 69:100-1
Obsoletes: metrics < 69:100-1
Obsoletes: minim < 69:100-1
Obsoletes: mnemonicsetter < 69:100-1
Obsoletes: mojarra < 69:100-1
Obsoletes: mongo-java-driver < 69:100-1
Obsoletes: morfologik-stemming < 69:100-1
Obsoletes: morphia < 69:100-1
Obsoletes: mp3spi < 69:100-1
Obsoletes: multithreadedtc < 69:100-1
Obsoletes: mustache-java < 69:100-1
Obsoletes: mvel < 69:100-1
Obsoletes: mx4j < 69:100-1
Obsoletes: mybatis < 69:100-1
Obsoletes: mybatis-generator < 69:100-1
Obsoletes: mybatis-parent < 69:100-1
Obsoletes: mycila-pom < 69:100-1
Obsoletes: mycila-xmltool < 69:100-1
Obsoletes: myrtle < 69:100-1
Obsoletes: naga < 69:100-1
Obsoletes: narayana < 69:100-1
Obsoletes: nar-maven-plugin < 69:100-1
Obsoletes: native-platform < 69:100-1
Obsoletes: neethi < 69:100-1
Obsoletes: neko-htmlunit < 69:100-1
Obsoletes: netbeans-javaparser < 69:100-1
Obsoletes: netcdf-java < 69:100-1
Obsoletes: netty3 < 69:100-1
Obsoletes: netty-xnio-transport < 69:100-1
Obsoletes: objectweb-asm3 < 69:100-1
Obsoletes: opencsv < 69:100-1
Obsoletes: openid4java < 69:100-1
Obsoletes: openjdk-orb < 69:100-1
Obsoletes: openjpa < 69:100-1
Obsoletes: opennlp < 69:100-1
Obsoletes: opensaml-java < 69:100-1
Obsoletes: openwebbeans < 69:100-1
Obsoletes: ops4j-base < 69:100-1
Obsoletes: owasp-java-html-sanitizer < 69:100-1
Obsoletes: parboiled < 69:100-1
Obsoletes: pdf-renderer < 69:100-1
Obsoletes: pegdown < 69:100-1
Obsoletes: php-zookeeper < 69:100-1
Obsoletes: picketbox < 69:100-1
Obsoletes: picketbox-commons < 69:100-1
Obsoletes: picketbox-xacml < 69:100-1
Obsoletes: picketlink < 69:100-1
Obsoletes: picketlink-bindings < 69:100-1
Obsoletes: picocontainer < 69:100-1
Obsoletes: powermock < 69:100-1
Obsoletes: properties-maven-plugin < 69:100-1
Obsoletes: protostream < 69:100-1
Obsoletes: proxool < 69:100-1
Obsoletes: proxytoys < 69:100-1
Obsoletes: qpid-proton-java < 69:100-1
Obsoletes: quartz < 69:100-1
Obsoletes: querydsl3 < 69:100-1
Obsoletes: querydsl < 69:100-1
Obsoletes: randomizedtesting < 69:100-1
Obsoletes: redis-protocol < 69:100-1
Obsoletes: reflectasm < 69:100-1
Obsoletes: remotetea < 69:100-1
Obsoletes: restlet-jse < 69:100-1
Obsoletes: rhq-plugin-annotations < 69:100-1
Obsoletes: rngom < 69:100-1
Obsoletes: robust-http-client < 69:100-1
Obsoletes: rome < 69:100-1
Obsoletes: saxon < 69:100-1
Obsoletes: sbinary < 69:100-1
Obsoletes: sbt < 69:100-1
Obsoletes: ant-scala < 2.10.6-7
Obsoletes: scala < 2.10.6-7
Obsoletes: scala-apidoc < 2.10.6-7
Obsoletes: scala-swing < 2.10.6-7
Obsoletes: seam-conversation < 69:100-1
Obsoletes: shibboleth-java-parent-v3 < 69:100-1
Obsoletes: shibboleth-java-support < 69:100-1
Obsoletes: shrinkwrap-descriptors < 69:100-1
Obsoletes: shrinkwrap-resolver < 69:100-1
Obsoletes: simple < 69:100-1
Obsoletes: simple-xml1 < 69:100-1
Obsoletes: simple-xml < 69:100-1
Obsoletes: SimplyHTML < 69:100-1
Obsoletes: sisc < 69:100-1
Obsoletes: smooks < 69:100-1
Obsoletes: snifflib < 69:100-1
Obsoletes: snmp4j < 69:100-1
Obsoletes: solr3 < 69:100-1
Obsoletes: sonar < 69:100-1
Obsoletes: sonar-update-center < 69:100-1
Obsoletes: sonatype-gossip < 69:100-1
Obsoletes: spatial4j < 69:100-1
Obsoletes: spock < 69:100-1
Obsoletes: springframework < 69:100-1
Obsoletes: springframework-data-redis < 1.3.5-5
Obsoletes: spring-ldap < 69:100-1
Obsoletes: spymemcached < 69:100-1
Obsoletes: sshj < 69:100-1
Obsoletes: sslext < 69:100-1
Obsoletes: stapler < 69:100-1
Obsoletes: staxmate < 69:100-1
Obsoletes: stax-utils < 69:100-1
Obsoletes: stream-lib < 69:100-1
Obsoletes: struts < 69:100-1
Obsoletes: swagger-core < 69:100-1
Obsoletes: swingx < 69:100-1
Obsoletes: swizzle < 69:100-1
Obsoletes: tggraphlayout < 69:100-1
Obsoletes: theora-java < 69:100-1
Obsoletes: thredds < 69:100-1
Obsoletes: thymeleaf < 69:100-1
Obsoletes: tiger-types < 69:100-1
Obsoletes: tika < 69:100-1
Obsoletes: tiles < 69:100-1
Obsoletes: time-api < 69:100-1
Obsoletes: tlddoc < 69:100-1
Obsoletes: trilead-putty-extension < 69:100-1
Obsoletes: tritonus < 69:100-1
Obsoletes: tuscany-sdo-java < 69:100-1
Obsoletes: txw2 < 69:100-1
Obsoletes: uima-addons < 69:100-1
Obsoletes: uima-parent-pom < 10-7
Obsoletes: uimaj < 69:100-1
Obsoletes: unbescape < 69:100-1
Obsoletes: undertow < 69:100-1
Obsoletes: undertow-js < 69:100-1
Obsoletes: vassal < 69:100-1
Obsoletes: velocity-tools < 69:100-1
Obsoletes: vizant < 69:100-1
Obsoletes: vorbis-java < 69:100-1
Obsoletes: vuze < 5.7.6.0-6
Obsoletes: weld-core < 69:100-1
Obsoletes: wildfly < 69:100-1
Obsoletes: woden < 69:100-1
Obsoletes: wss4j < 69:100-1
Obsoletes: xapool < 69:100-1
Obsoletes: xmlbeans < 69:100-1
Obsoletes: xmlbeans-maven-plugin < 69:100-1
Obsoletes: xml-security < 69:100-1
Obsoletes: xnio < 69:100-1
Obsoletes: zookeeper < 69:100-1
Obsoletes: mavibot < 69:100-1
Obsoletes: mavibot-javadoc < 69:100-1
Obsoletes: processing-app < 69:100-1
Obsoletes: processing-core < 69:100-1
Obsoletes: metainf-services < 69:100-1
Obsoletes: metainf-services-javadoc < 69:100-1
Obsoletes: sxc < 69:100-1
Obsoletes: sxc-core < 69:100-1
Obsoletes: sxc-javadoc < 69:100-1
Obsoletes: sxc-jaxb < 69:100-1
Obsoletes: sxc-jaxb-core < 69:100-1
Obsoletes: sxc-jaxb-maven-plugin < 69:100-1
Obsoletes: sxc-runtime < 69:100-1
Obsoletes: sxc-xpath < 69:100-1
Obsoletes: relaxngcc < 69:100-1
Obsoletes: relaxngcc-javadoc < 69:100-1
Obsoletes: sezpoz < 69:100-1
Obsoletes: sezpoz-javadoc < 69:100-1
Obsoletes: sax2 < 69:100-1
Obsoletes: sax2-javadoc < 69:100-1
Obsoletes: keystore-explorer < 5.3.2-4
Obsoletes: jgroups < 69:100-1
Obsoletes: jgroups-javadoc < 69:100-1
Obsoletes: annotation-indexer < 69:100-1
Obsoletes: annotation-indexer-javadoc < 69:100-1
Obsoletes: httpunit < 69:100-1
Obsoletes: httpunit-doc < 69:100-1
Obsoletes: httpunit-javadoc < 69:100-1
Obsoletes: projectlibre < 1.9.0-7
Obsoletes: pdfsam < 2.2.4e-7

# (akien) 2020-10-16, python2 only
Obsoletes: fretsonfire < 1.3.110-10

# (akien) 2020-10-16, dead upstream, doesn't build
Obsoletes: haste-client < 0.2.3-4

# (akien) 2020-10-19, obsolete, doesn't work
Obsoletes: luadoc < 3.0.1-16

# (akien) 2020-10-21, FTBFS with clang nor gcc, no release in 4 years
Obsoletes: freeminer < 0.4.14.8-8

# (akien) 2020-10-21, gtk2 only, unmaintained
Obsoletes: gtkguitune < 0.8-14

# (akien) 2020-10-21, gtk2 and python2, not ported yet
Obsoletes: k3d < 0.8.0.6-13
Obsoletes: k3d-devel < 0.8.0.6-13

# (akien) 2020-10-22, dead upstream, dropped in all distros
Obsoletes: freepops < 0.2.9-19
Obsoletes: freepops-updater < 0.2.9-19

# (akien) 2020-10-23, obsolete and unmaintained
Obsoletes: gnome-encfs-manager < 1.8.19-1
Obsoletes: fsa < 0.51-8
Obsoletes: fsa-tcl < 0.51-8
Obsoletes: perl-Dict-FSA < 0.1.2-16

# (akien) 2020-10-23, leaf packages without maintainer
Obsoletes: gxneur < 0.20.0-4
Obsoletes: lib64xneur-devel < 0.20.0-5
Obsoletes: libxneur-devel < 0.20.0-5
Obsoletes: lib64xneur20 < 0.20.0-5
Obsoletes: libxneur20 < 0.20.0-5
Obsoletes: xneur < 0.20.0-5

# (akien) 2020-10-26, python2 only
Obsoletes: lv2-triceratops < 0.3.1-5

# (akien) 2020-10-26, obsoleted in SVN a while ago
Obsoletes: lib64ssrfmarblewidget-devel < 4.6.4-7
Obsoletes: lib64ssrfmarblewidget21 < 4.6.4-7
Obsoletes: libssrfmarblewidget-devel < 4.6.4-7
Obsoletes: libssrfmarblewidget21 < 4.6.4-7

# (akien) 2020-10-26, no upstream source anymore, doesn't build
Obsoletes: malaga < 7.12-21
Obsoletes: lib64malaga7 < 7.12-21
Obsoletes: lib64malaga-devel < 7.12-21
Obsoletes: libmalaga7 < 7.12-21
Obsoletes: libmalaga-devel < 7.12-21

# (akien) 2020-10-27, no longer needed, obsoleted in SVN a while ago
Obsoletes: lib64hif1 < 0.2.3-6
Obsoletes: lib64hif-devel < 0.2.3-6
Obsoletes: lib64hif-gir1.0 < 0.2.3-6
Obsoletes: libhif1 < 0.2.3-6
Obsoletes: libhif-devel < 0.2.3-6
Obsoletes: libhif-gir1.0 < 0.2.3-6

# (akien) 2020-11-02, requires old semantic_version, unused
Obsoletes: python3-releases < 1.6.3-3
Obsoletes: python-releases-doc < 1.6.3-3

# (akien) 2020-11-03, was dropped in SVN but not properly in repo
Obsoletes: juffed-devel < 0.10-11
Obsoletes: juffed-plugin-autosave < 0.10-11
Obsoletes: juffed-plugin-colorpicker < 0.10-11
Obsoletes: juffed-plugin-doclist < 0.10-11
Obsoletes: juffed-plugin-favorites < 0.10-11
Obsoletes: juffed-plugin-filemanager < 0.10-11
Obsoletes: juffed-plugin-findinfiles < 0.10-11
Obsoletes: juffed-plugin-keybindings < 0.10-11
Obsoletes: juffed-plugin-sort < 0.10-11
Obsoletes: juffed-plugin-symbolbrowser < 0.10-11
Obsoletes: juffed-plugin-xmlformat < 0.10-11
Obsoletes: juffed-plugins < 0.10-11

# (akien) 2020-11-03, last user tsc finally supports cegui 0.8+
Obsoletes: lib64cegui0.7.9 < 0.7.9-17
Obsoletes: lib64cegui-devel < 0.7.9-17
Obsoletes: libcegui0.7.9 < 0.7.9-17
Obsoletes: libcegui-devel < 0.7.9-17

# (daviddavid) 2020-11-18
# upstream archived it, doesn't built anymore since new kcddb
Obsoletes: kaudiocreator < 1.3-8.git20191114.4
Obsoletes: kaudiocreator-handbook < 1.3-8.git20191114.4

# does not build
Obsoletes: spring < 104.0-9
# depends on spring
Obsoletes: springlobby < 0.270-2

# (daviddavid) 2020-12-15
# broken with plasma5 and unmaintained upstream
Obsoletes: kde-rootactions-servicemenu < 2.9-5
# removed upstream since kde-apps 20.12 and no more used by anything
Obsoletes: libkgeomap < 2:20.08.3-2
Obsoletes: libkf5geomap5 < 2:20.08.3-2
Obsoletes: lib64kf5geomap5 < 2:20.08.3-2
Obsoletes: libkf5geomap-devel < 2:20.08.3-2
Obsoletes: lib64kf5geomap-devel < 2:20.08.3-2

Obsoletes: pycharm-community < 2020.3-1
Obsoletes: pycharm-community-doc < 2020.3-1
Obsoletes: pycharm-community-plugins < 2020.3-1

# broken and dead upstream, should be replaced by tomboy-ng (mga#21946)
Obsoletes: tomboy < 1.15.9-5

# php-graphviz not available yet for PHP 8
Obsoletes: pandorafms_console < 6.0SP3-6

# Obsolete all egroupware:
Obsoletes: egroupware < 1.9
Obsoletes: egroupware-bookmarks < 1.9
Obsoletes: egroupware-calendar < 1.9
Obsoletes: egroupware-developer_tools < 1.9
Obsoletes: egroupware-egw-pear < 1.9
Obsoletes: egroupware-emailadmin < 1.9
Obsoletes: egroupware-felamimail < 1.9
Obsoletes: egroupware-filemanager < 1.9
Obsoletes: egroupware-gallery < 1.9
Obsoletes: egroupware-importexport < 1.9
Obsoletes: egroupware-infolog < 1.9
Obsoletes: egroupware-manual < 1.9
Obsoletes: egroupware-news_admin < 1.9
Obsoletes: egroupware-notifications < 1.9
Obsoletes: egroupware-phpbrain < 1.9
Obsoletes: egroupware-phpsysinfo < 1.9
Obsoletes: egroupware-polls < 1.9
Obsoletes: egroupware-projectmanager < 1.9
Obsoletes: egroupware-registration < 1.9
Obsoletes: egroupware-sambaadmin < 1.9
Obsoletes: egroupware-sitemgr < 1.9
Obsoletes: egroupware-syncml < 1.9
Obsoletes: egroupware-timesheet < 1.9
Obsoletes: egroupware-tracker < 1.9
Obsoletes: egroupware-wiki < 1.9

Obsoletes: lib64croco-devel < 0.6.13-4
Obsoletes: libcroco-devel < 0.6.13-4
Obsoletes: lib64croco0.6_3 < 0.6.13-4
Obsoletes: libcroco0.6_3 < 0.6.13-4
Obsoletes: libcroco-utils < 0.6.13-4

Obsoletes: db1-tools < 1.85-31
Obsoletes: lib64db1-devel < 1.85-31
Obsoletes: libdb1-devel < 1.85-31
Obsoletes: lib64db1 < 1.85-31
Obsoletes: libdb1 < 1.85-31

# licensing issues, development branch, security issue
Obsoletes: mongodb < 4.1.4-19
Obsoletes: mongodb-server < 4.1.4-19

Obsoletes: doublecmd-common < 0.9.9-1
Obsoletes: doublecmd-gtk < 0.9.9-1
Obsoletes: doublecmd-qt < 0.9.9-1

# not compatible with python-cryptography 3.3
Obsoletes: aws-cli < 2.1.15-1
Obsoletes: aws-cli-docs < 2.1.15-1
Obsoletes: python3-aws-cli < 2.1.15-1

# broken, unmaintained, unused
Obsoletes: dkms-rtl8192cu < 1.10-1

# security bug mga#27171
Obsoletes: perl-PlRPC < 1:0.202.0-6

# upstream dead for over 18 years, does not build
Obsoletes: dsniff < 2:2.4-1
Obsoletes: dsniff-webspy < 2:2.4-1
# upstream disappeared, does not build
Obsoletes: etrace < 1.1-18

# upstream project inactive since 2015, doesn't work with Java > 8
Obsoletes: areca-backup < 7.5-13

# not ported to py3cairo
Obsoletes: uniconvertor < 2.0-0.1.rc4

# (daviddavid) 2021-01-09
# unbuildable
Obsoletes: dexed < git20180224-3

# (daviddavid) 2021-01-09
# not ported to new jami project
Obsoletes: ring-kde < 3.0.0-7
Obsoletes: libringqt1 < 3.0.0-7
Obsoletes: lib64ringqt1 < 3.0.0-7
Obsoletes: libringqt-devel < 3.0.0-7
Obsoletes: lib64ringqt-devel < 3.0.0-7

# unmaintained
Obsoletes: pdns < 4.4.0-1
Obsoletes: pdns-backend-geoip < 4.4.0-1
Obsoletes: pdns-backend-ldap < 4.4.0-1
Obsoletes: pdns-backend-mysql < 4.4.0-1
Obsoletes: pdns-backend-pgsql < 4.4.0-1
Obsoletes: pdns-backend-pipe < 4.4.0-1
Obsoletes: pdns-backend-sqlite < 4.4.0-1
Obsoletes: pdns-recursor < 4.4.2-1

Obsoletes: nodejs-jison < 0.4.18-2
Obsoletes: mocha < 2.4.5-10
Obsoletes: nodejs-jade < 1.3.1-10
Obsoletes: nodejs-constantinople < 2.0.0-7
Obsoletes: nodejs-docopt < 0.6.2-7
Obsoletes: nodejs-ejs < 1.0.0-5
Obsoletes: nodejs-entities < 1.1.1-8
Obsoletes: nodejs-esutils < 2.0.2-4
Obsoletes: nodejs-event-lite < 0.1.1-4
Obsoletes: nodejs-fast-levenshtein < 1.1.3-5
Obsoletes: nodejs-github-url-from-git < 1.1.1-12
Obsoletes: nodejs-js-yaml < 3.13.1-3
Obsoletes: nodejs-mdurl < 1.0.1-7
Obsoletes: nodejs-msgpack-lite < 0.1.26-9
Obsoletes: nodejs-sprintf-js < 1.0.3-8
Obsoletes: nodejs-should < 8.4.0-2
Obsoletes: nodejs-should-equal < 0.7.3-4
Obsoletes: nodejs-should-format < 0.3.2-6
Obsoletes: nodejs-simple-assert < 1.0.0-5
Obsoletes: nodejs-uri-path < 1.0.0-5
Obsoletes: nodejs-with < 3.0.0-7
Obsoletes: nodejs-cjson < 0.3.2-7
Obsoletes: nodejs-json-parse-helpfulerror < 1.0.3-8
Obsoletes: nodejs-read-package-json < 2.0.3-7
Obsoletes: nodejs-grunt-contrib-internal < 0.4.13-7
Obsoletes: nodejs-chai < 3.5.0-9
Obsoletes: nodejs-character-parser < 1.2.0-6
Obsoletes: nodejs-argparse < 1.0.9-4
Obsoletes: nodejs-spdx-expression-parse < 1.0.2-6
Obsoletes: nodejs-chalk < 1.1.1-11
Obsoletes: nodejs-grunt-contrib-concat < 1.0.1-6
Obsoletes: nodejs-grunt-contrib-cssmin < 0.14.0-6
Obsoletes: nodejs-grunt-contrib-uglify < 0.11.1-10
Obsoletes: nodejs-grunt-legacy-log-utils < 2.0.1-2
Obsoletes: nodejs-maxmin < 2.1.0-7
Obsoletes: nodejs-nomnom < 1.8.1-10
Obsoletes: nodejs-jison-lex < 0.3.4-6
Obsoletes: nodejs-qunit < 2.6.0-8
Obsoletes: nodejs-commander < 2.20.3-2
Obsoletes: nodejs-nan < 2.14.1-2
Obsoletes: nodejs-npm2rpm < 6.0.1-3
Obsoletes: nodejs-qunit < 2.6.0-8
Obsoletes: uglify-js < 3.10.4-2
Obsoletes: nodejs-msgpack < 1.0.3-2
Obsoletes: nodejs-grunt-legacy-log < 2.0.0-2
Obsoletes: nodejs-grunt < 1.1.0-2
Obsoletes: nodejs-grunt-cli < 1.2.0-4
Obsoletes: nodejs-normalize-package-data < 2.4.0-7
Obsoletes: nodejs-npm2rpm < 6.0.1-3
Obsoletes: nodejs-tap-mocha-reporter < 3.0.7-6
Obsoletes: nodejs-tap-parser < 1.2.2-9
Obsoletes: nodejs-tape < 4.9.0-3
Obsoletes: nodejs-closure-compiler < 0.2.10-5
Obsoletes: nodejs-commonmark < 0.24.0-6
Obsoletes: nodejs-defence-cli < 1.0.4-7
Obsoletes: nodejs-defence < 1.0.5-4
Obsoletes: nodejs-coveralls < 3.0.1-9
Obsoletes: nodejs-deep-eql < 0.1.3-10
Obsoletes: nodejs-deep-equal < 1.0.1-6
Obsoletes: nodejs-tap < 0.7.1-3
Obsoletes: nodeunit < 0.9.1-9
Obsoletes: nodejs-define-properties < 1.1.3-2
Obsoletes: nodejs-object-is < 1.1.2-3
Obsoletes: nodejs-string-dot-prototype-dot-trim < 1.1.2-5
Obsoletes: nodejs-es-abstract < 1.17.3-3
Obsoletes: nodejs-object-dot-assign < 4.1.0-2
Obsoletes: nodejs-is < 3.2.1-1
Obsoletes: nodejs-array-map < 0.0.0-2
Obsoletes: nodejs-util-inspect < 0.1.8-2
Obsoletes: nodejs-bl < 2.1.2-4
Obsoletes: nodejs-clone < 1.0.4-3
Obsoletes: nodejs-less < 3.10.3-2
Obsoletes: nodejs-concat-stream < 1.6.0-5
Obsoletes: nodejs-deep-eql < 0.1.3-10
Obsoletes: nodejs-defined < 1.0.0-7
Obsoletes: nodejs-duplexer < 0.1.1-8
Obsoletes: nodejs-gzip-size < 3.0.0-6
Obsoletes: nodejs-es-to-primitive < 1.2.1-3
Obsoletes: nodejs-escodegen < 1.9.0-5
Obsoletes: nodejs-fast-levenshtein < 1.1.3-6
Obsoletes: nodejs-foreach < 2.0.5-5
Obsoletes: nodejs-function-bind < 1.1.1-2
Obsoletes: nodejs-has < 1.0.3-2
Obsoletes: nodejs-hosted-git-info < 2.7.1-3
Obsoletes: nodejs-jsonselect < 0.4.0-10
Obsoletes: nodejs-multimatch < 2.1.0-6
Obsoletes: nodejs-object-keys < 1.1.1-2
Obsoletes: nodejs-process-nextick-args < 2.0.1-2
Obsoletes: nodejs-spdx-correct < 1.0.2-6
Obsoletes: nodejs-stream-replace < 1.0.0-7
Obsoletes: nodejs-validate-npm-package-license < 3.0.1-8
Obsoletes: nodejs-xtend < 4.0.1-3

# Remove dead upstream (mga#28198)
Obsoletes: php-ZendFramework2 < 2.4.13-4
Obsoletes: php-ZendFramework2-Authentication < 2.4.13-4
Obsoletes: php-ZendFramework2-Barcode < 2.4.13-4
Obsoletes: php-ZendFramework2-Cache < 2.4.13-4
Obsoletes: php-ZendFramework2-Captcha < 2.4.13-4
Obsoletes: php-ZendFramework2-Code < 2.4.13-4
Obsoletes: php-ZendFramework2-Config < 2.4.13-4
Obsoletes: php-ZendFramework2-Console < 2.4.13-4
Obsoletes: php-ZendFramework2-Crypt < 2.4.13-4
Obsoletes: php-ZendFramework2-Db < 2.4.13-4
Obsoletes: php-ZendFramework2-Debug < 2.4.13-4
Obsoletes: php-ZendFramework2-Di < 2.4.13-4
Obsoletes: php-ZendFramework2-Dom < 2.4.13-4
Obsoletes: php-ZendFramework2-Escaper < 2.4.13-4
Obsoletes: php-ZendFramework2-EventManager < 2.4.13-4
Obsoletes: php-ZendFramework2-Feed < 2.4.13-4
Obsoletes: php-ZendFramework2-File < 2.4.13-4
Obsoletes: php-ZendFramework2-Filter < 2.4.13-4
Obsoletes: php-ZendFramework2-Form < 2.4.13-4
Obsoletes: php-ZendFramework2-Http < 2.4.13-4
Obsoletes: php-ZendFramework2-I18n < 2.4.13-4
Obsoletes: php-ZendFramework2-InputFilter < 2.4.13-4
Obsoletes: php-ZendFramework2-Json < 2.4.13-4
Obsoletes: php-ZendFramework2-Ldap < 2.4.13-4
Obsoletes: php-ZendFramework2-Log < 2.4.13-4
Obsoletes: php-ZendFramework2-Mail < 2.4.13-4
Obsoletes: php-ZendFramework2-Math < 2.4.13-4
Obsoletes: php-ZendFramework2-Memory < 2.4.13-4
Obsoletes: php-ZendFramework2-Mime < 2.4.13-4
Obsoletes: php-ZendFramework2-ModuleManager < 2.4.13-4
Obsoletes: php-ZendFramework2-Mvc < 2.4.13-4
Obsoletes: php-ZendFramework2-Navigation < 2.4.13-4
Obsoletes: php-ZendFramework2-Paginator < 2.4.13-4
Obsoletes: php-ZendFramework2-Permissions-Acl < 2.4.13-4
Obsoletes: php-ZendFramework2-Permissions-Rbac < 2.4.13-4
Obsoletes: php-ZendFramework2-ProgressBar < 2.4.13-4
Obsoletes: php-ZendFramework2-Serializer < 2.4.13-4
Obsoletes: php-ZendFramework2-Server < 2.4.13-4
Obsoletes: php-ZendFramework2-ServiceManager < 2.4.13-4
Obsoletes: php-ZendFramework2-Session < 2.4.13-4
Obsoletes: php-ZendFramework2-Soap < 2.4.13-4
Obsoletes: php-ZendFramework2-Stdlib < 2.4.13-4
Obsoletes: php-ZendFramework2-Tag < 2.4.13-4
Obsoletes: php-ZendFramework2-Test < 2.4.13-4
Obsoletes: php-ZendFramework2-Text < 2.4.13-4
Obsoletes: php-ZendFramework2-Uri < 2.4.13-4
Obsoletes: php-ZendFramework2-Validator < 2.4.13-4
Obsoletes: php-ZendFramework2-Version < 2.4.13-4
Obsoletes: php-ZendFramework2-View < 2.4.13-4
Obsoletes: php-ZendFramework2-XmlRpc < 2.4.13-4
Obsoletes: php-ZendFramework2-ZendXml < 2.4.13-4

# (akien) 2021-01-15
# dead upstream, requires outdated 'love' version
Obsoletes: super-space-invader < 0-0.git20160108.5

# Does not build ( need ant-contrib )
Obsoletes: jogl2 < 2.3.2-12
Obsoletes: sweethome3d < 6.3-2
Obsoletes: gluegen2 < 2.4.0-1

# Does not work/build with ocaml >= 4.10
Obsoletes: mldonkey < 3.1.7.2-2

# Not compatible with django 3.1.3
Obsoletes: python-django-firebird < 2.0-0.a0.git20181213.3

# (daviddavid) 2021-02-07
# dead upstream, no more compatible with current firefox
Obsoletes: uget-integrator < 1.0.0-4

Obsoletes: maven-license-plugin < 1.8.0-10

# BIG FAT WARNING:
# DO NOT ADD ANYTHING BELOW THIS POINT
# ADD NEW MGA9 STUFF AT TOP!

%description
This package is used to obsolete packages that are no longer supported.

%files

%check
# This to prevent packagers increasing the version instead of the release
# It should be bumped once per Mageia release
%if "%version" != "10"
%{error:Version was increased (should increase the release)! If this on purpose, please update the %%check section.}
exit 1
%endif
