# https://github.com/libimobiledevice/idevicerestore
# git snapshot from commit a88351d58f9041ae104a794ec9b747d7d0790084

# comment out when not a git snapshot
#define git	20200615

%define rel	5

Name:		idevicerestore
Version:	1.0.0
Release:	%mkrel %{?git:0.git%git.}%{rel}
Summary:	Restore/upgrade firmware of iOS devices
Group:		System/Libraries
License:	LGPLv3
Url:		https://www.libimobiledevice.org/
Source0:	https://github.com/libimobiledevice/idevicerestore/releases/download/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libimobiledevice-1.0)
BuildRequires:	pkgconfig(libirecovery-1.0)
BuildRequires:	pkgconfig(libplist-2.0)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(libzip)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(readline)

%description
A command-line application to restore firmware files to iOS devices.

Features:

The idevicerestore application is a full reimplementation of all granular
steps which are performed during the restore of a firmware to a device.

In general, upgrades and downgrades are possible, however subject to
availability of SHSH blobs from Apple for signing the firmware files.

Some key features are:

  * Restore: Update firmware on iOS devices
  * Firmware: Use official IPSW firmware archive file or a directory as source
  * Update: Allows updating the device by default or erasing all data
  * Download: On demand download of latest available firmware for a device
  * Cache: Downloaded firmware files are cached locally
  * Custom Firmware: Restore custom firmware files (requires bootrom exploit)
  * Baseband: Allows you to skip NOR/Baseband upgrade
  * SHSH: Fetch TSS records and save them as ".shsh" files
  * DFU: Put devices in pwned DFU mode (limera1n devices only)
  * AP Ticket: Use custom AP ticket from a file
  * Cross-Platform: Tested on Linux, macOS, Windows and Android platforms
  * History: Developed since 2010

WARNING: This tool can easily destroy your user data irreversibly.

Use with caution and make sure to backup your data before trying to restore.

In any case, usage is at your own risk.

#-------------------------------------------------

%prep
%autosetup -p1

%build
%configure
%make_build LIBS="-lpthread"

%install
%make_install

%files
%doc NEWS README.md
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
