%define _disable_ld_no_undefined 1

%define major 12
%define libname %mklibname iptables %{major}
%define develname %mklibname -d iptables

%define iptc_develname %mklibname -d iptc

%define ipq_major 0
%define ipq_libname %mklibname ipq %{ipq_major}
%define ipq_develname %mklibname -d ipq

%define ip4tc_major 2
%define ip4tc_libname %mklibname ip4tc %{ip4tc_major}
%define ip4tc_develname %mklibname -d ip4tc

%define ip6tc_major 2
%define ip6tc_libname %mklibname ip6tc %{ip6tc_major}
%define ip6tc_develname %mklibname -d ip6tc

# install init scripts to /usr/libexec with systemd
%define script_path %{_libexecdir}

Summary:	Tools for managing Linux kernel packet filtering capabilities
Name:		iptables
Version:	1.8.11
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://www.netfilter.org/
Source0:	https://www.netfilter.org/projects/iptables/files/%{name}-%{version}.tar.xz
Source3:	iptables.config
Source4:	ip6tables.config
Source5:        iptables.service
Source6:        ip6tables.service
Source10:	iptables.default
Source11:	ip6tables.default
# S101 used to be in the added patches
Source101:	libipt_IFWLOG.c
# (oe) psd comes from iptables-1.3.7, was removed in iptables-1.3.8
Source102:	libipt_psd.c
Source103:	libipt_psd.man
Patch0:         iptables-1.2.8-libiptc.h.patch
Patch1:		iptables-1.8.2-dont_read_garbage.patch
Patch101:	iptables-IFWLOG_extension.diff
Patch102:	iptables-psd.diff
Provides:	userspace-ipfilter = %{version}
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	xz
BuildRequires:	pkgconfig(libmnl) >= 1.0
BuildRequires:	pkgconfig(libnftnl) >= 1.1.6
BuildRequires:	pkgconfig(libnfnetlink)
BuildRequires:	pkgconfig(libnetfilter_conntrack) >= 1.0.4
BuildRequires:	pcap-devel
BuildRequires:	kernel-headers
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Obsoletes:	%{name} < 1.4.3.2
Obsoletes:	%{name}-ipv6 < 1.4.1.1-0.5
Provides:	%{name}-ipv6
BuildRequires:	systemd-units
Requires(post):	initscripts
Requires(post):	sysvinit
Requires(preun): sysvinit
Requires(postun): sysvinit
Provides:	ebtables = 2.0.10.4-10
Obsoletes:	ebtables < 2.0.10.4-9
Provides:	arptables = 0.0.5-3
Obsoletes:	arptables < 0.0.5-2

%description
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

Install iptables if you need to set up firewalling for your network.

%package	nft
Summary:	NFT Packet Filter Administration utilities in the style of Xtables
Group:		System/Kernel and hardware
Conflicts:	ebtables < 2.0.10.4-9
Conflicts:	iptables < 1.8.8-2

%description	nft
The programs shipped in this subpackage behave like iptables on the
command line, but instead edit the rules of the NFT packet filter in
the Linux kernel. Linux kernel 4.2 or newer is recommended to exploit
all features.

%package -n	%{libname}
Summary:	Shared iptables library
Group:          System/Libraries
Conflicts:	%mklibname %{name} 1

%description -n	%{libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the shared iptables library.

%package -n	%{develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{libname} = %{version}-%{release}
Provides:	iptables-devel = %{version}
Obsoletes:	iptables-devel < 1.4.2

%description -n	%{develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the static iptables library.


# ipq
%package -n	%{ipq_libname}
Summary:	Shared iptables library
Group:          System/Libraries
Obsoletes:	%{mklibname iptables 1} < 1.4.3.2

%description -n	%{ipq_libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the ipq library.

%package -n	%{ipq_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{ipq_libname} = %{version}-%{release}
Requires:	%{ipq_develname} = %{version}-%{release}
Provides:	iptables-ipq-devel = %{version}

%description -n	%{ipq_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the ipq library.

#iptc
%package -n	%{iptc_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Provides:	iptables-iptc-devel = %{version}

%description -n	%{iptc_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the IPTC library.

# ip4tc
%package -n	%{ip4tc_libname}
Summary:	Shared iptables library
Group:          System/Libraries
Obsoletes:	%{mklibname iptables 1} < 1.4.3.2

%description -n	%{ip4tc_libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the IP4TC library.

%package -n	%{ip4tc_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{ip4tc_libname} = %{version}-%{release}
Requires:	%{iptc_develname} = %{version}-%{release}
Provides:	iptables-ip6tc-devel = %{version}

%description -n	%{ip4tc_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the development files for IPTC library.

# ip6tc
%package -n	%{ip6tc_libname}
Summary:	Shared iptables library
Group:          System/Libraries
Obsoletes:	%{mklibname iptables 1} < 1.4.3.2

%description -n	%{ip6tc_libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the IP6TC library.

%package -n	%{ip6tc_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{ip6tc_libname} = %{version}-%{release}
Provides:	iptables-ip6tc-devel = %{version}

%description -n	%{ip6tc_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the development files for IP6TC library.

%prep

%setup -q
%patch -P 0 -p1
%patch -P 1 -p1

# (cg) NB the name "iptables.init" is important. See note in install below
cp %{SOURCE3} iptables.sample
cp %{SOURCE4} ip6tables.sample

# extensions
install -m0644 %{SOURCE101} extensions/
# (oe) psd comes from iptables-1.3.7, was removed in iptables-1.3.8
install -m0644 %{SOURCE102} extensions/
install -m0644 %{SOURCE103} extensions/

%patch -P 101 -p0
%patch -P 102 -p0

find . -type f | xargs perl -pi -e "s,/usr/local,%{_prefix},g"

# use the saner headers from the kernel
rm -f include/linux/{kernel,types}.h

# don't run /sbin/ldconfig
perl -pi -e "s|/sbin/ldconfig|%{_bindir}/true|g" Makefile* iptables/Makefile*

%build
export LIBS="-ldl"

%serverbuild

autoreconf -fis

%configure \
    --bindir=%{_sbindir} \
    --sbindir=%{_sbindir} \
    --enable-devel \
    --enable-libipq \
    --enable-ipv4 \
    --enable-ipv6 \
    --with-ksource=%{_prefix}/src/linux \
    --with-xtlibdir=%{_libdir}/iptables

%make_build

## make more devel libs (debian)
#ar rcs libiptables.a iptables.o
#ar rcs libip6tables.a ip6tables.o

# hmm...
ar rcs libiptc/libiptc.a libiptc/.libs/libip4tc.o libiptc/.libs/libip6tc.o

%install
%make_install

# (oe) this in conjunction with the distro initscript will make it possible
# to use development versions of the netfilter modules and with different
# api:s. (according to blino)
install -d %{buildroot}%{_libdir}/iptables.d
mv %{buildroot}%{_libdir}/iptables %{buildroot}%{_libdir}/iptables.d/linux-2.6-main
ln -snf ./iptables.d/linux-2.6-main %{buildroot}%{_libdir}/iptables

# static development files
install -d %{buildroot}%{_libdir}
install -m0644 libiptc/libiptc.a %{buildroot}%{_libdir}/libiptc.a

# header development files
install -d %{buildroot}%{_includedir}/{libipq,libiptc}
install -m0644 include/libipq/*.h %{buildroot}%{_includedir}/libipq/
install -m0644 include/libiptc/*.h %{buildroot}%{_includedir}/libiptc/

# iptables and netfilter development files
install -d %{buildroot}%{_includedir}/net/netfilter/
install -d %{buildroot}%{_includedir}/iptables
#install -m0644 include/net/netfilter/*.h %{buildroot}%{_includedir}/net/netfilter/
install -m0644 include/ip*tables.h %{buildroot}%{_includedir}/
install -m0644 include/iptables/internal.h %{buildroot}%{_includedir}/iptables
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m0644 %{SOURCE10} %{buildroot}%{_sysconfdir}/sysconfig/iptables.default
install -m0644 %{SOURCE11} %{buildroot}%{_sysconfdir}/sysconfig/ip6tables.default

# (tmb) add compat symlinks for ip(6)tbles-multi
pushd %{buildroot}%{_sbindir}
ln -snf xtables-nft-multi iptables-multi
ln -snf xtables-nft-multi ip6tables-multi
popd

# install systemd service files
install -d -m 755 %{buildroot}%{_unitdir}/
install -Dpm 644 %{SOURCE5} %{buildroot}%{_unitdir}/
install -Dpm 644 %{SOURCE6} %{buildroot}%{_unitdir}/
#sed -i 's!@LIBDIR@!%{_libexecdir}!' %{buildroot}/lib/systemd/system/ip6tables.service
#sed -i 's!@LIBDIR@!%{_libexecdir}!' %{buildroot}/lib/systemd/system/iptables.service

%post
%_post_service iptables
%_post_service ip6tables

%preun
%_preun_service iptables
%_preun_service ip6tables

%triggerun -- iptables < 1.4.12.1
# Autostart
%{_bindir}/systemctl --no-reload enable iptables.service >/dev/null 2>&1 ||:

# Delete from sysv management, try to restart service
%{_sbindir}/chkconfig --del iptables >/dev/null 2>&1 || :
%{_bindir}/systemctl try-restart iptables.service >/dev/null 2>&1 || :

# Autostart
%{_bindir}/systemctl --no-reload enable ip6tables.service >/dev/null 2>&1 ||:

# Delete from sysv management, try to restart service
%{_sbindir}/chkconfig --del ip6tables >/dev/null 2>&1 || :
%{_bindir}/systemctl try-restart ip6tables.service >/dev/null 2>&1 || :

%files
%doc iptables.sample ip6tables.sample
%config %{_sysconfdir}/sysconfig/iptables.default
%config %{_sysconfdir}/sysconfig/ip6tables.default
%{_unitdir}/iptables.service
%{_unitdir}/ip6tables.service
%{_sbindir}/iptables
%{_sbindir}/iptables-apply
%{_sbindir}/iptables-multi
%{_sbindir}/iptables-restore
%{_sbindir}/iptables-save
%{_sbindir}/iptables-xml
%{_sbindir}/nfnl_osf
# ipv6
%{_sbindir}/ip6tables
%{_sbindir}/ip6tables-apply
%{_sbindir}/ip6tables-multi
%{_sbindir}/ip6tables-restore
%{_sbindir}/ip6tables-save
%{_sbindir}/arptables
%{_sbindir}/arptables-nft
%{_sbindir}/arptables-nft-restore
%{_sbindir}/arptables-nft-save
%{_sbindir}/arptables-restore
%{_sbindir}/arptables-save
%{_sbindir}/arptables-translate
%{_sbindir}/ebtables
%{_sbindir}/ebtables-nft
%{_sbindir}/ebtables-nft-restore
%{_sbindir}/ebtables-nft-save
%{_sbindir}/ebtables-restore
%{_sbindir}/ebtables-save
%{_sbindir}/ip6tables-legacy
%{_sbindir}/ip6tables-legacy-restore
%{_sbindir}/ip6tables-legacy-save
%{_sbindir}/ip6tables-nft
%{_sbindir}/ip6tables-nft-restore
%{_sbindir}/ip6tables-nft-save
%{_sbindir}/iptables-legacy
%{_sbindir}/iptables-legacy-restore
%{_sbindir}/iptables-legacy-save
%{_sbindir}/iptables-nft
%{_sbindir}/iptables-nft-restore
%{_sbindir}/iptables-nft-save
%{_sbindir}/xtables-legacy-multi
%{_sbindir}/xtables-monitor
%{_sbindir}/xtables-nft-multi
%{_libdir}/iptables
%dir %{_libdir}/iptables.d
%dir %{_libdir}/iptables.d/linux-2.6-main
%{_libdir}/iptables.d/linux-2.6-main/libarpt_mangle.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_802_3.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_among.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_arp.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_arpreply.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_dnat.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_ip.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_ip6.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_log.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_mark.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_mark_m.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_nflog.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_pkttype.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_redirect.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_snat.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_stp.so
%{_libdir}/iptables.d/linux-2.6-main/libebt_vlan.so
%{_libdir}/iptables.d/linux-2.6-main/libipt_ah.so
%{_libdir}/iptables.d/linux-2.6-main/libipt_CLUSTERIP.so
%{_libdir}/iptables.d/linux-2.6-main/libipt_ECN.so
%{_libdir}/iptables.d/linux-2.6-main/libipt_icmp.so
%{_libdir}/iptables.d/linux-2.6-main/libipt_IFWLOG.so
%{_libdir}/iptables.d/linux-2.6-main/libipt_NETMAP.so
%{_libdir}/iptables.d/linux-2.6-main/libipt_psd.so
%{_libdir}/iptables.d/linux-2.6-main/libipt_realm.so
%{_libdir}/iptables.d/linux-2.6-main/libipt_REJECT.so
%{_libdir}/iptables.d/linux-2.6-main/libipt_ttl.so
%{_libdir}/iptables.d/linux-2.6-main/libipt_TTL.so
%{_libdir}/iptables.d/linux-2.6-main/libipt_ULOG.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_AUDIT.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_addrtype.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_bpf.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_cgroup.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_CHECKSUM.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_CLASSIFY.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_cluster.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_comment.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_connbytes.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_connlabel.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_connlimit.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_connmark.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_CONNMARK.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_CONNSECMARK.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_conntrack.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_cpu.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_CT.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_dccp.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_devgroup.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_DNAT.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_dscp.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_DSCP.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_esp.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_ecn.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_hashlimit.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_helper.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_HMARK.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_IDLETIMER.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_ipcomp.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_iprange.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_ipvs.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_LED.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_length.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_limit.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_LOG.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_mac.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_mark.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_MARK.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_MASQUERADE.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_multiport.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_nfacct.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_NAT.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_NFLOG.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_NFQUEUE.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_NOTRACK.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_osf.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_owner.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_physdev.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_pkttype.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_policy.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_quota.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_rateest.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_RATEEST.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_recent.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_REDIRECT.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_rpfilter.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_sctp.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_SECMARK.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_set.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_SET.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_SNAT.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_socket.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_standard.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_state.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_statistic.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_string.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_SYNPROXY.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_tcpmss.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_TCPMSS.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_TCPOPTSTRIP.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_tcp.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_TEE.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_time.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_tos.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_TOS.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_TPROXY.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_TRACE.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_u32.so
%{_libdir}/iptables.d/linux-2.6-main/libxt_udp.so
%{_mandir}/*/arptables*
%{_mandir}/*/ebtables*
%{_mandir}/*/iptables.8.*
%{_mandir}/*/iptables-apply.8.*
%{_mandir}/*/iptables-restore.8.*
%{_mandir}/*/iptables-save.8.*
%{_mandir}/*/iptables-xml.1.*
%{_mandir}/*/iptables-extensions.8.*
%{_mandir}/*/xtables*
%{_mandir}/man8/nfnl_osf.8*
#{_mandir}/man8/nfbpf_compile.8*
%{_datadir}/xtables/iptables.xslt
%{_datadir}/xtables/pf.os
# ipv6
%{_libdir}/iptables.d/linux-2.6-main/libip6t_ah.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_dst.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_DNPT.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_eui64.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_frag.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_hbh.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_hl.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_HL.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_icmp6.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_ipv6header.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_mh.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_NETMAP.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_REJECT.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_rt.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_SNPT.so
%{_libdir}/iptables.d/linux-2.6-main/libip6t_srh.so
%{_mandir}/*/ip6tables.8.*
%{_mandir}/*/ip6tables-apply.8.*
%{_mandir}/*/ip6tables-restore.8.*
%{_mandir}/*/ip6tables-save.8.*

%files nft
%{_sysconfdir}/ethertypes
%{_sbindir}/ebtables-translate
%{_sbindir}/iptables-restore-translate
%{_sbindir}/iptables-translate
%{_mandir}/*/iptables-translate.*
%{_mandir}/*/iptables-restore-translate.*

# ipv6
%{_sbindir}/ip6tables-restore-translate
%{_sbindir}/ip6tables-translate
%{_mandir}/*/ip6tables-translate.*
%{_mandir}/*/ip6tables-restore-translate.*

%files -n %{libname}
%{_libdir}/libxtables.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%dir %{_includedir}/iptables
%{_includedir}/iptables/*.h
%{_libdir}/libxtables.so
%{_libdir}/pkgconfig/xtables.pc

%files -n %{ipq_libname}
%{_libdir}/libipq.so.%{ipq_major}{,.*}

%files -n %{ipq_develname}
%{_includedir}/libipq/*.h
%{_libdir}/pkgconfig/libipq.pc
%dir %{_includedir}/libipq
%{_libdir}/libipq.so
%{_mandir}/man3/*ipq*

%files -n %{iptc_develname}
%{_includedir}/libiptc/*.h
%dir %{_includedir}/libiptc
%{_libdir}/libiptc.*a
%{_libdir}/pkgconfig/libiptc.pc

%files -n %{ip4tc_libname}
%{_libdir}/libip4tc.so.%{ip4tc_major}{,.*}

%files -n %{ip4tc_develname}
%{_libdir}/libip4tc.so
%{_libdir}/pkgconfig/libip4tc.pc

%files -n %{ip6tc_libname}
%{_libdir}/libip6tc.so.%{ip6tc_major}{,.*}

%files -n %{ip6tc_develname}
%{_libdir}/libip6tc.so
%{_libdir}/pkgconfig/libip6tc.pc
