# https://github.com/openclonk/openclonk/issues/69
ExclusiveArch: x86_64 %{ix86}

Name:           openclonk
Version:        8.1
Release:        %mkrel 11
Summary:        An action-packed game of strategy, tactics, and skill featuring Clonks
Group:          Games/Arcade
License:        ISC
URL:            https://www.openclonk.org/
Source0:        https://www.openclonk.org/builds/release/%{version}/%{name}-%{version}-src.tar.bz2
Patch0:         openclonk-8.1-fix-build-gcc12.patch
Patch1:         openclonk-8.1-fix-build-gcc14.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(libdw)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libupnp)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(tinyxml)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  readline-devel
Requires:       %{name}-data = %{version}-%{release}

%description
Clonk is a multiplayer-action-tactics-skill game. It is often referred to as
a mixture of The Settlers and Worms. In a simple 2D antfarm-style landscape,
the player controls his crew of Clonks, small but robust humanoid beings.
The game encourages free play but the normal goal is to either exploit
valuable resources from the earth by building a mine or fight each other on
an arena-like map.

%package        data
Summary:        Arch-independent data files for OpenClonk
Group:          Games/Arcade
BuildArch:      noarch

%description    data
Arch-independent data files for OpenClonk. The purpose of this package is
to be installed alongside the "%{name}" package which contains the game
binary.

%prep
%autosetup -p1 -n %{name}-release-%{version}-src

%build
%global optflags %(echo "%{optflags} -DSTDC")

%cmake  -DUSE_STATIC_BOOST=OFF \
        -DBUILD_SHARED_LIBS=OFF
%cmake_build

%install
%cmake_install

%files
%doc Credits.txt TRADEMARK
%{_bindir}/c4group
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files          data
%{_gamesdatadir}/%{name}/
