%define upstream_name    MooseX-ArrayRef
%define upstream_version 0.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Blessed arrayrefs with Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(Test::More) >= 0.610.0
BuildArch:  noarch

%description
Objects implemented with arrayrefs rather than hashrefs are often faster
than those implemented with hashrefs. Moose's default object implementation
is hashref based. Can we go faster?

Simply 'use MooseX::ArrayRef' instead of 'use Moose', but note the
limitations in the section below.

The current implementation is mostly a proof of concept, but it does mostly
seem to work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*